package digital.laboratory.platform.reagent.dto;

import cn.hutool.core.date.DateTime;
import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.sql.Date;
import java.time.LocalDate;
import java.time.LocalDateTime;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class WarehousingRecordFormDTO {

    @ApiModelProperty(value = "批号")
    private String batchNumber;

    @ApiModelProperty(value = "物品编码")
    private String code;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @JSONField(format = "yyyy-MM-dd")
    @ApiModelProperty(value = "(生产日期)")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate dateOfProduction;


    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "(有效日期)")
    private LocalDate expirationDate;

    @ApiModelProperty(value = "(数量)")
    private Integer quantity;

    @ApiModelProperty(value = "(入库批次明细ID)")
    private String warehousingBatchListId;

    @ApiModelProperty(value = "(入库内容ID)")
    private String warehousingContentId;

    @ApiModelProperty(value = "(格子ID)")
    private String latticeId;

    @ApiModelProperty(value = "(备注)")
    private String remark;

    @ApiModelProperty(value = "(存储期限)")
    private String limitDate;

    @ApiModelProperty(value = "(预警值)")
    private Integer warningValue;

    @ApiModelProperty(value = "(位置信息)")
    private String location;

    @ApiModelProperty(value = "(保管人名称)")
    private String custodianName;

    @ApiModelProperty(value="柜子ID")
    private String boxId;

    @ApiModelProperty(value="标准物质质量")
    private Double referenceMaterialMass;
}
