/*
 Navicat Premium Data Transfer

 Source Server         : 106
 Source Server Type    : MySQL
 Source Server Version : 100412
 Source Host           : 192.168.5.106:3306
 Source Schema         : dlp_reagent_managment

 Target Server Type    : MySQL
 Target Server Version : 100412
 File Encoding         : 65001

 Date: 10/08/2023 18:14:33
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for acceptance_record_form
-- ----------------------------
DROP TABLE IF EXISTS `acceptance_record_form`;
CREATE TABLE `acceptance_record_form`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `acceptance_conclusion` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(验收结论)',
  `audit_time_of_three_level` datetime(6) NULL DEFAULT NULL COMMENT '三级审核人审核时间',
  `date_of_acceptance` datetime(6) NULL DEFAULT NULL COMMENT '(验收日期)',
  `audit_opinion_of_three_level` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级审核人审核意见',
  `three_level_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级审核人ID',
  `follow_up_treatment` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(后续处理情况)',
  `nonconforming_item` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(不合格项目)',
  `audit_opinion_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核人审核意见',
  `primary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核人ID',
  `audit_time_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核人审核时间',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `audit_opinion_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核人审核意见',
  `audit_time_of_secondary` datetime(6) NULL DEFAULT NULL COMMENT '(二级审核人审核日期)',
  `secondary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(二级审核人ID)',
  `audit_result_of_secondary` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材管理员审核结果',
  `audit_result_of_three_level` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级审核审核结果',
  `audit_result_of_primary` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(一级审核结果)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `the_same_brand_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '规格型号是否一致',
  `bam_remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '规格型号是否一致备注',
  `consistent_quantity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '数量是否一致',
  `cq_remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '数量是否一致备注',
  `packing_in_good_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装是否完好',
  `pgc_remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装是否完好备注',
  `validity_period` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '有效期',
  `vp_remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '有效期备注',
  `delivery_cycle` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '供货周期',
  `dc_remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '供货周期备注',
  `supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '供应商ID',
  `status` int(6) NULL DEFAULT NULL COMMENT '状态',
  `warehousing_content_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '签收物品单ID',
  `user_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'user_name',
  `commit_time` datetime(6) NULL DEFAULT NULL COMMENT '提交时间',
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '验收物品名称',
  `acceptance_sign_for_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '验收中间表ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_unicode_ci COMMENT = '(验收记录表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of acceptance_record_form
-- ----------------------------
INSERT INTO `acceptance_record_form` VALUES ('4311CD5226DB11917B4A5D088D5524E4', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '744D830223F86194E6BA97329BDF10C2', NULL, NULL, NULL, '0', '0', '0', '2023-08-10 11:44:57.000000', '2023-08-10 11:44:57.000000', 'd55ac39af1c11d7a61e7580a5a56a97a', 'd55ac39af1c11d7a61e7580a5a56a97a', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '118C0523C039906FF8ABFAF8C4A4BC52', 0, NULL, NULL, NULL, '封口膜', '0118104B8992DAEDFB9268BA29238511');

-- ----------------------------
-- Table structure for acceptance_sign_for
-- ----------------------------
DROP TABLE IF EXISTS `acceptance_sign_for`;
CREATE TABLE `acceptance_sign_for`  (
  `id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `quantity` int(11) NULL DEFAULT NULL COMMENT '验收种数',
  `warehousing_record_form_id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '签收记录表ID',
  `status` int(255) NULL DEFAULT NULL COMMENT '状态\r\n',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of acceptance_sign_for
-- ----------------------------
INSERT INTO `acceptance_sign_for` VALUES ('0118104B8992DAEDFB9268BA29238511', 5, 'C67BDC8BFE471D34C825221DFDAD5A45', 1, '2023-08-10 11:44:18.000000', '2023-08-10 11:44:57.000000', 'd55ac39af1c11d7a61e7580a5a56a97a', 'd55ac39af1c11d7a61e7580a5a56a97a');

-- ----------------------------
-- Table structure for application_for_use
-- ----------------------------
DROP TABLE IF EXISTS `application_for_use`;
CREATE TABLE `application_for_use`  (
  `date_of_collection` datetime(6) NULL DEFAULT NULL COMMENT '(领取日期)',
  `recipient_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(领用人ID)',
  `status` int(11) NULL DEFAULT NULL COMMENT '(状态)',
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `delivery_registration_form_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '出库登记表ID',
  `requisition_record_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '领用登记表ID',
  `claim_code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '领取码',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `experiment_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '检验鉴定实验ID',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `IXFK_application_for_use_requisition_record`(`requisition_record_id`) USING BTREE,
  CONSTRAINT `FK_application_for_use_requisition_record` FOREIGN KEY (`requisition_record_id`) REFERENCES `requisition_record` (`requisition_record_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材领用申请表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of application_for_use
-- ----------------------------
INSERT INTO `application_for_use` VALUES ('2023-08-07 16:36:29.000000', 'd26046736c8c7bf2dd9ac996081d7715', 2, '41C6C13050E16BDD9EF234DF796C44C6', '51B12917EA0C9672E2647001E6664C49', NULL, '', '2023-08-07 16:36:29.000000', '2023-08-07 16:58:27.000000', 'd26046736c8c7bf2dd9ac996081d7715', 'c4a61eae81712e03f58a1922f8be27de', 'B1C0F2D1456D5DBBF7D383B6E0BAE741');
INSERT INTO `application_for_use` VALUES (NULL, '8dc12f99dfe97426bf1ba00a0d037f60', 0, '4AFB5BCB2245DA653A3833B0A1C9C5FC', NULL, NULL, NULL, '2023-08-10 14:48:36.000000', '2023-08-10 14:48:36.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', NULL);

-- ----------------------------
-- Table structure for batch_details
-- ----------------------------
DROP TABLE IF EXISTS `batch_details`;
CREATE TABLE `batch_details`  (
  `batch_details_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `reagent_consumable_inventory_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材库存ID)',
  `batch` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(批次)',
  `batch_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(批号)',
  `compliance_test_situation` tinyint(5) NULL DEFAULT NULL COMMENT '(符合性检验情况)',
  `date_of_last_check` datetime(6) NULL DEFAULT NULL COMMENT '(上次期间核查日期)',
  `date_of_production` datetime(6) NULL DEFAULT NULL COMMENT '(生产日期)',
  `deviation_or_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(偏差/不确定度)',
  `expiration_date` datetime(6) NULL DEFAULT NULL COMMENT '(有效日期)',
  `fixed_result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(定值结果)',
  `purchase_time` datetime(6) NULL DEFAULT NULL COMMENT '(购置时间)',
  `quantity` int(11) NULL DEFAULT NULL COMMENT '(数量)',
  `service_status` int(11) NULL DEFAULT NULL COMMENT '(使用状态)',
  `supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商ID)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `number` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `lattice_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '格子ID',
  `location` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '位置信息',
  `limit_date` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '存放时间',
  `box_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '柜子ID',
  `warning_information` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '预警信息',
  `warehousing_batch_list_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '签收入库明细ID',
  `room_no` varchar(11) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '仓库号(房间号)',
  `reagent_consumable_stash_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材仓库表ID',
  PRIMARY KEY (`batch_details_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '批次明细' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of batch_details
-- ----------------------------
INSERT INTO `batch_details` VALUES ('019808D6A019AD67A47E06610869AA54', '46CD279D9B8956D71A75D6BF124C6B9C', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:32:56.868000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:32:57.125000', '2023-08-07 15:32:57.125000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'A4C3A79291B725019DDB66E1488D37A7');
INSERT INTO `batch_details` VALUES ('023EB1C15D3B343465BA99DD88C8FE5D', '5F06EE79C5BEA8860080CBB74802497F', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:48.403000', 4, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:48.621000', '2023-08-07 15:37:48.621000', '1', '1', NULL, '436ee808c12a10f8c191f71f51118662', 'F7-706_试剂柜-E_E3-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'FB23F1B92B741E33574C6D3DC90750E8');
INSERT INTO `batch_details` VALUES ('02CD60FAC886679E5F337AAE211DF45E', '4DD308C1304FE9D7138D131E44AE0286', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:29.473000', 6, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:29.790000', '2023-08-07 15:36:29.790000', '1', '1', NULL, '2bbf92ebb86852426fbdc9f73c9f6b73', 'F7-707_试剂柜-D_D4-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '97AB71B8B411609D4BD809C0A066C75C');
INSERT INTO `batch_details` VALUES ('032CBA1B73DFD76417F4210853EA63A0', '74023CB23D1E905DD3145D2D4FD824C5', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:47.092000', 5, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:47.358000', '2023-08-07 15:36:47.358000', '1', '1', NULL, '029e9facf01df4463e0cfc021f2387b5', 'F7-706_试剂柜-D_D1-1', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', '85C1525B6F30F84AA8133DE4BBC74CD1');
INSERT INTO `batch_details` VALUES ('034318AA4CD87C2A14F5BDBBEB0A31B2', '29B764F4AA02D54E0D8B07F2E413A742', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:33:23.108000', 13, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:33:23.442000', '2023-08-07 15:33:23.442000', '1', '1', NULL, 'f59134f62115fee1d4e59dfe2e3f3ce5', 'F7-707_试剂柜-B_B2-1', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '1D73EAE75AA021968F3B98715DBBA198');
INSERT INTO `batch_details` VALUES ('03FA086F2A5529092F3DA5D3C8DE05B7', 'F8949778BF4D14F3571B5D4C7987DC1A', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:49.455000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:49.864000', '2023-08-07 15:57:49.864000', '1', '1', NULL, 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('0476FB46DE1A841E1417A20C44853292', 'A7043B9F5D73B03C8A3C1CDD39900348', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:33:00.135000', 16, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:33:00.380000', '2023-08-07 15:33:00.380000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '179F3531CBA5E69B20DD1A7EA06DD57B');
INSERT INTO `batch_details` VALUES ('05090F0A6D3887DCDFD743983DB1EFC7', '2392673A811E9444A7DB5B77C1E3CF08', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:42.231000', 19, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:42.527000', '2023-08-07 15:34:42.527000', '1', '1', NULL, '4e49d8c191425016848c7023a6790c06', 'F7-707_试剂柜-D_D1-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '75A79A01C2F7B617B2A1C789A4D20378');
INSERT INTO `batch_details` VALUES ('05D9A348821E69154C9D6843A06094C3', '418F01C0BC29E8A1F511C5A6D08F9545', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:54.628000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:54.912000', '2023-08-07 15:56:54.912000', '1', '1', NULL, 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('05E5AD356626632E0BA2EDC262CA5FC2', 'CA43F1AD5FD36C7960B71199C15A71F3', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:57.967000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:58.263000', '2023-08-07 15:37:58.263000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', '10DCC4172CA9C217C3EDE961BC2EEC00');
INSERT INTO `batch_details` VALUES ('078968158633A482FBBD706F6FE957C9', 'DE8FB92438D94DE680BB679153A5B9E4', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:07.274000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:07.586000', '2023-08-07 15:57:07.586000', '1', '1', NULL, '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('079D5ED2B4039EEA47E4A49D45E64500', '3EACF708E2E3EFD851BEC2BD36A4EA72', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:23.455000', 20, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:23.756000', '2023-08-07 15:36:23.756000', '1', '1', NULL, '520eaf3711a30b76cda447d5f94c20a8', 'F7-707_试剂柜-D_D2-4', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'E2A09ABBF0F30B9C57B32329AAA7B1E4');
INSERT INTO `batch_details` VALUES ('090047D64C67B53311514AF98CE50923', '53E5B0BBD09A2CBC3BE0B5665FD10733', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:33.701000', 14, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:33.966000', '2023-08-07 15:36:33.966000', '1', '1', NULL, '2eabf5d1aeb6485633565f266eb2ef84', 'F7-707_试剂柜-D_D4-4', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '633B28095AD28BF57B1124A2087357F9');
INSERT INTO `batch_details` VALUES ('092B266D3204C1A0675F32CE357B58CA', '079316D226BEC5F53374C74C31BFD7FD', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:19.976000', 10, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:20.217000', '2023-08-07 15:34:20.217000', '1', '1', NULL, '55e5081784af82837467649da44000e2', 'F7-707_试剂柜-B_B3-2', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '49609A9EA4737DC3DBA5EA6C1EC47DE3');
INSERT INTO `batch_details` VALUES ('0932AE0B2CF21BE3248FE503A4500E77', '331D4D8FE0F4FC0224B8BD2619896F23', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:23.133000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:23.427000', '2023-08-07 15:56:23.427000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('09E50A4B313BDA9A876ED7076147734F', '859AD82429A9D9586E3049D08077C84E', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:03.593000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:03.864000', '2023-08-07 15:57:03.864000', '1', '1', NULL, '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('09E62BDC25449121F781FA4463784D39', 'E7B0DEB41ECB910EB8C2C89283B26B7E', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:50.992000', 9, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:51.240000', '2023-08-07 15:34:51.240000', '1', '1', NULL, '1c64707b7fa93765aa78f48b99e8f1c3', 'F7-707_试剂柜-D_D2-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '8BD9E0B211E9069E3F04D1ED8A6A7F49');
INSERT INTO `batch_details` VALUES ('0A618E06D5B17DE504FE7BA0A8925986', '97A77BB38EDDA3A2D8237CED2487357D', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:21.926000', 300, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:22.277000', '2023-08-07 15:30:22.277000', '1', '1', NULL, 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'AE83F2694A4F9ECE52AB65C86137B58E');
INSERT INTO `batch_details` VALUES ('0A9182D1A96A4F9164C8F41CDD58B403', '1BCF2D59ABA8C742CF761DA45E96030C', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:33:25.616000', 44, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:33:25.898000', '2023-08-07 15:33:25.898000', '1', '1', NULL, 'f59134f62115fee1d4e59dfe2e3f3ce5', 'F7-707_试剂柜-B_B2-1', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', 'C4DF9502144665DC2B1623041CCEF491');
INSERT INTO `batch_details` VALUES ('0B0695F4C4A52C0537AC2BD2775FE8EE', '11286BB16CAE29A868DE6DE1BCC61D7A', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:33:11.242000', 7, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:33:11.520000', '2023-08-07 15:33:11.520000', '1', '1', NULL, '4ebdd8ebb8f820a73f6047675a895025', 'F7-707_试剂柜-A_A2-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'F9655ADB2D81B4F153DAB7B0A394907E');
INSERT INTO `batch_details` VALUES ('0B3121E05FCEB12191E17537AA74497C', '583FA83A04ED711D3E366C8F6F20FA78', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:33:01.286000', 8, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:33:01.564000', '2023-08-07 15:33:01.564000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'E31E704F36F7FF0BAB2F97C35480E512');
INSERT INTO `batch_details` VALUES ('0B5EC29A8C0E093FACEBE90987819775', 'BEC0DE755761662AD9F5C2E997DEC1EB', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:59.146000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:59.399000', '2023-08-07 15:37:59.399000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', 'D60C4F931FFBF5006609BF6ED9CAEF23');
INSERT INTO `batch_details` VALUES ('0BD33D9D9DFE63DB7C8F5A34EE709073', '16A3C2DF2D33F489C7AE17DFC149AF1A', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:43.461000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:43.716000', '2023-08-07 15:56:43.716000', '1', '1', NULL, 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('0C603DE2E64EF9E0FEC7A62F127F8E66', '1E3838A21745E75D270D1C8EEE14A0C9', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:20.406000', 42, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:20.714000', '2023-08-07 15:36:20.714000', '1', '1', NULL, 'cbf6e4dd457b2730e3142568f935fcfc', 'F7-707_试剂柜-D_D2-2', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '9722BB96E496A49F03FF40C7CDB588C8');
INSERT INTO `batch_details` VALUES ('0D9388B72BA4E14F8199EC5A453681BE', '8C082C73A08DB84FDE4C86BBE3FDD54F', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:48.954000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:49.314000', '2023-08-07 15:56:49.314000', '1', '1', NULL, 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('0E4996AC3001FA6AAFC0A416C29A9466', '5EB2C6E23790D70BA97DA43C58546E1D', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:46.514000', 20, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:46.773000', '2023-08-07 15:30:46.773000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'B1E0D81C8CC1F352D27F643D6671117C');
INSERT INTO `batch_details` VALUES ('0E769CE32D27D1DDD0F56159CA91FB7D', '581908AA4FC444D214EBB652C18FB1FF', '2023-2', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:42.163000', 16, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:42.340000', '2023-08-07 15:36:42.340000', '1', '1', NULL, '8cd2ea7b40147a60632bf7df448bdaa3', 'F7-706_试剂柜-B_B2-3', NULL, 'B84152270A4A03147E7BA602B85DC2B9', NULL, NULL, '706', '1CED7559045BC10E130033AD4376650E');
INSERT INTO `batch_details` VALUES ('0E7EB8896C3D1C9DF020C4189AB6FECD', '4040CAFE2575949A2DC2A3BDA4F17B8A', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:33:16.652000', 80, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:33:16.980000', '2023-08-07 15:33:16.980000', '1', '1', NULL, '0ec70b255bfa9cfe1613d28ca2f3d4e1', 'F7-707_试剂柜-B_B1-2', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '49195449CCA612351AEF80B0F6047E1C');
INSERT INTO `batch_details` VALUES ('0F48A0B7FF7AD5C7E06727795F859F1A', '7821E11D4DA6EF1F95128BD3747A9606', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:59.062000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:59.422000', '2023-08-07 15:56:59.422000', '1', '1', NULL, '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('10205F9B22AC63B5232B802CA1F2A1D1', '1EE0F290E543C4746F2CE440762D64E8', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:17.054000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:17.306000', '2023-08-07 15:57:17.306000', '1', '1', NULL, '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('109429C29B167BD57218E27BCE909ED6', 'B6BBD357D54C6149C7743F88883EB541', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:31.659000', 5, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:31.966000', '2023-08-07 15:34:31.966000', '1', '1', NULL, '0042d9473d2e7f8dabd1716e8eaa93bc', 'F7-707_试剂柜-C_C3-1', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '759A9962DD25A0A083AAAE9D539E8761');
INSERT INTO `batch_details` VALUES ('10D4B20B673DFD3F960E0749D9982527', 'F5D938DA08A383A04A523F00E153C6B7', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:27.855000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:28.164000', '2023-08-07 15:56:28.164000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('1269D6B42419392C295307D7C7D7EA2D', '2F075AEECC7E208BD71D16B84ED0B593', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:35.191000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:35.419000', '2023-08-07 15:30:35.419000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'C36BA1A9F7F1427DE8D74D41D80E8003');
INSERT INTO `batch_details` VALUES ('13E2FAD37418298C89CE11ED8E935457', 'F1B4338D2D5470E8C641F72A5C1A9627', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:03.269000', 3, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:03.524000', '2023-08-07 15:37:03.524000', '1', '1', NULL, '1f529f67270eac072f2ac17b583a1754', 'F7-706_试剂柜-E_E1-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '4407444707F18777735E34626952C2C3');
INSERT INTO `batch_details` VALUES ('143B312935CF5AD443E1B58A4C0418F1', '078388701B1CDC4B584476E9C498AD15', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:33.961000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:34.226000', '2023-08-07 15:57:34.226000', '1', '1', NULL, 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('14DABA0A50C6B7EDBC7BCEFDF06C8405', 'FFE1D9FF0C8A57732D27FE0386BD0DF5', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:35.715000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:36.046000', '2023-08-07 15:56:36.046000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('15B9F045A1281F45D3114CE950033B85', '8285DDD524F3E12FA88B73C6BEB336F3', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:41.340000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:41.662000', '2023-08-07 15:56:41.662000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('15C46BFA9BEC9C46118A30104297EFCF', '2A5950D9A4DC222C3E032A30CEF105E1', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:43.713000', 10, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:43.974000', '2023-08-07 15:34:43.974000', '1', '1', NULL, '4e49d8c191425016848c7023a6790c06', 'F7-707_试剂柜-D_D1-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'A7CDCBCED783745D3FC186D9134F4FEC');
INSERT INTO `batch_details` VALUES ('15CBF57B759BD154E6C3595CAF99869F', '221D9DE3334287E293D0F5FE7DFEB546', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:50.671000', 21, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:51.029000', '2023-08-07 15:30:51.029000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '91CDEA14DD3795111E8C78282E434911');
INSERT INTO `batch_details` VALUES ('16F8C7F384D5A765102C45693CA59C80', 'EFC1ECB51795EA780AB3F020F0172823', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:36.835000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:37.149000', '2023-08-07 15:30:37.149000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'AE3068BAC1FFFB8EE54CF5A57FBE9CCF');
INSERT INTO `batch_details` VALUES ('175EEE70C8CDA108BB02E974FC619B47', '35E8E753EFD0404AFD8E978D5D952D8F', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:38:01.470000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:38:01.713000', '2023-08-07 15:38:01.713000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', '635B9CADBAD6B4586BB1C6AF6152E0D4');
INSERT INTO `batch_details` VALUES ('17CD7C2BBC7D550CE40246F7E2F12252', '6A4346E526F75F504FF07D9422D7A90E', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:37.969000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:38.291000', '2023-08-07 15:56:38.291000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('182DAABD9DC2BDB9241562B5FBC0BF89', '6CDCBA60F535BE6176C421442ADFE589', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:42.772000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:43.104000', '2023-08-07 15:56:43.104000', '1', '1', NULL, 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('19607861EDB5DE5E79136376B5F0AABD', 'E4114BB792D660092286B70C4D164F37', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:15.928000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:16.194000', '2023-08-07 15:57:16.194000', '1', '1', NULL, '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('19B9593A1B2FB774AAC6BD30DBF1D445', '62344A39AC021A55F73FF0394725AFDE', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:39.344000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:39.654000', '2023-08-07 15:57:39.654000', '1', '1', NULL, 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('1AE6229C5B7CE0F2D3F6792505D90255', 'FDAB6D26FEA2349141383ADE8A49EEE4', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:34.451000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:34.763000', '2023-08-07 15:30:34.763000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '63050B8794AA0F22FCC4FD3461B670A9');
INSERT INTO `batch_details` VALUES ('1B0475548FB94BF08DE61911E91E73D2', '06654B0D2A2D5A61AC9EB0976A402763', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:58.591000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:58.880000', '2023-08-07 15:37:58.880000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', '20F7D73CC111A2369CEA4CA9DF68282C');
INSERT INTO `batch_details` VALUES ('1BB1377E33F91FC178BE62594A31E6B2', '7ED88E1FFCF851C2BF5A5B5123C3A607', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:33:05.169000', 9, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:33:05.554000', '2023-08-07 15:33:05.554000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'D0EB6B91D4303A9225BFF03D79DBBAFB');
INSERT INTO `batch_details` VALUES ('1BDCFE001504A8013EFA4DE48EB690D1', 'A73FA18C0490E3106E544FBEE69B59FA', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:33:03.303000', 30, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:33:03.622000', '2023-08-07 15:33:03.622000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'F9833166B4BB621C49025803322E6789');
INSERT INTO `batch_details` VALUES ('1C270A3B2D867BB9FF84AADAC0143541', '4B9EE04B2B9B074F1E3F06DD87F18F1F', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:26.882000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:27.209000', '2023-08-07 15:57:27.209000', '1', '1', NULL, '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('1C8DA7CB2B53339C211440332995BC2C', 'AF997ED628D86671F2AEFDC6BA633B98', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:28.554000', 19, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:28.813000', '2023-08-07 15:34:28.813000', '1', '1', NULL, '489a662cbd07e8489a84b775a3a27526', 'F7-707_试剂柜-C_C2-1', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', 'C152453CA1DE219C0419CBD14D019011');
INSERT INTO `batch_details` VALUES ('1CC4E1904286D4B2824E5C78FF53F3A7', '1E548FACDED3F78F117607C8AFC4CE6A', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:53.418000', 21, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:53.856000', '2023-08-07 15:30:53.856000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'AC492CEB2E9EBDFBDD2A4EDE3F25F2B3');
INSERT INTO `batch_details` VALUES ('1CC69449651FC06FD77412FDB6700A1C', 'F80F33DFE7EAAAE860000CF55170748D', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:33:27.055000', 4, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:33:27.320000', '2023-08-07 15:33:27.320000', '1', '1', NULL, 'f59134f62115fee1d4e59dfe2e3f3ce5', 'F7-707_试剂柜-B_B2-1', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '05A0A126893B3278E9FB5FA54969D532');
INSERT INTO `batch_details` VALUES ('1CF4275A3D45D12E28AA965D3C9455B2', '837BE1DFAF3760CFF36CDECDF997454D', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:36.348000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:36.621000', '2023-08-07 15:57:36.621000', '1', '1', NULL, 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('1D68F6FF61D49A9B67D67190148244DF', '0CA4D47A902FF72A33AD50AEB11F4BEF', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:33:21.198000', 6, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:33:21.445000', '2023-08-07 15:33:21.445000', '1', '1', NULL, '499b443a4bf686a9c7b3e40b5537f5b2', 'F7-707_试剂柜-B_B1-4', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '23A4EDC27170328085B3A1BA55525424');
INSERT INTO `batch_details` VALUES ('1E05BC6417C4F8B999F07C133B7517FD', '8F6235A75414AAE2FF21693656141468', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:34.168000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:34.523000', '2023-08-07 15:56:34.523000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('1E09A6B3537DF8867E517EC0479734EE', '38DC4F931E1A3244C4CCD328AB5A8337', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:29.461000', 1300, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:29.762000', '2023-08-07 15:30:29.762000', '1', '1', NULL, '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '4FC51D3B7F2C178DA2C359C56A5A202A');
INSERT INTO `batch_details` VALUES ('1FA0068A47C1F0177AFC86D44CDC06FB', '3F39FB0C6E93491015CED472621C3786', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:33:26.379000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:33:26.632000', '2023-08-07 15:33:26.632000', '1', '1', NULL, 'f59134f62115fee1d4e59dfe2e3f3ce5', 'F7-707_试剂柜-B_B2-1', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '26A23F26F04604FF442EC963FC158500');
INSERT INTO `batch_details` VALUES ('1FBEBA593B8A93A2DF193305CB96393A', '63796ECD414B41A0FE075D014E42DA6A', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:34.080000', 8, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:34.427000', '2023-08-07 15:37:34.427000', '1', '1', NULL, '5eff609a8cc1e16248f784af8907b032', 'F7-706_试剂柜-E_E2-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '2BAA76D67D48220293EF1880EF86A016');
INSERT INTO `batch_details` VALUES ('20702E71D6592C3A38E136CC55FCF99D', 'FF19A982DCB972C705AE1950933E136D', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:30.718000', 1300, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:31.025000', '2023-08-07 15:30:31.025000', '1', '1', NULL, '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '226E8279BF629958347A75D5B79B7E8A');
INSERT INTO `batch_details` VALUES ('208D5C438DD73960A2E3BD2149E84E45', '3FE940131BB97815423EA1DD8D0045FD', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:21.315000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:21.646000', '2023-08-07 15:57:21.646000', '1', '1', NULL, '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('2109274B4EAE477B01CEBB7B37FF4D25', '06E21C9F43EC36C7B76E2BFED782F6BA', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:43.276000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:43.580000', '2023-08-07 15:57:43.580000', '1', '1', NULL, 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('21815553A2528E10DC9C8B8951282E21', '812FD9AA93AB314B0818E240F83511F0', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:52.114000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:52.451000', '2023-08-07 15:56:52.451000', '1', '1', NULL, 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('21D771FE06A96261A34A8D3A2B571B59', 'AFB56C1D17C8C555C517C630BBCEBA94', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:14.707000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:15.020000', '2023-08-07 15:57:15.020000', '1', '1', NULL, '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('22CA53E43CA9EED8D607B47996ADF38C', '8194A233187D83F7A0BB190745B68ECA', '2023-2', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:44.316000', 5, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:44.425000', '2023-08-07 15:37:44.425000', '1', '1', NULL, '0bb34e9b041dff3f06129c15bd49f8e3', 'F7-706_试剂柜-E_E2-3', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '13CAACFF9A5AD9BD508A0177BC618F26');
INSERT INTO `batch_details` VALUES ('230DE447FF3A482E1CDB684CED57DD87', 'E96453448DF4DDE4181D819BCEA036F5', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:18.866000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:19.209000', '2023-08-07 15:57:19.209000', '1', '1', NULL, '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('2320B0967B414CCBC2A32B2326EB8CFB', '47FB190424449C5B79C81209E2AFA7ED', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:08.635000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:08.941000', '2023-08-07 15:57:08.941000', '1', '1', NULL, '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('253C1638F64C704E9691EAA059B5FFF0', '74A942912A50D34BE2FF21972F91D3A0', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:56.565000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:56.847000', '2023-08-07 15:37:56.847000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', '529745FA6DE58F6BF76A2DCC9A9EE11F');
INSERT INTO `batch_details` VALUES ('253ED84AF2D575925398C17AB748A959', '5C85DB5943A5E2FD007398EB644A7F6E', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:46.330000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:46.624000', '2023-08-07 15:37:46.624000', '1', '1', NULL, '75bb1e5693ddf7d3f83365fc7ce874a2', 'F7-706_试剂柜-E_E3-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'A1E4E5805285ED87E80D42166F60AEEA');
INSERT INTO `batch_details` VALUES ('2632904B66C565E807CE91B058C16BC8', '18DB33F906BF7DA07E5B3C2F05A177C5', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:28.516000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:28.884000', '2023-08-07 15:57:28.884000', '1', '1', NULL, '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('26F1FF2F32E13E8A0672A9307DB07E66', 'CFB5333D6A8F795891E44080C226C9B8', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:42.402000', 5, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:42.722000', '2023-08-07 15:30:42.722000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'C86F2191E3109B6B1DC0A54D5F43E10D');
INSERT INTO `batch_details` VALUES ('27456F4E0B59B8FED4E1970DB537CBAD', '8FE3706AB1DE067AE3FA8E9287EA9035', '2023-2', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:43.709000', 9, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:43.895000', '2023-08-07 15:37:43.895000', '1', '1', NULL, '0bb34e9b041dff3f06129c15bd49f8e3', 'F7-706_试剂柜-E_E2-3', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'D552FEFD6D1FAC452FDBFCDC53261C5A');
INSERT INTO `batch_details` VALUES ('27755CDDB219819E8E113718E1B1AFBC', '12D2D6E379741CB288476189B23AEC3F', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:02.773000', 3, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:03.029000', '2023-08-07 15:37:03.029000', '1', '1', NULL, '1f529f67270eac072f2ac17b583a1754', 'F7-706_试剂柜-E_E1-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '7405AA456534C711E9945E50CB882857');
INSERT INTO `batch_details` VALUES ('281012E93402E90308E99C57B67BA387', 'D57A228C3A7F3D64C1713A77893382DC', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:29.398000', 3, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:29.646000', '2023-08-07 15:37:29.646000', '1', '1', NULL, 'b92a5ca88d157557618e1da8d096b96d', 'F7-706_试剂柜-E_E1-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '8FA29318EF577363BFFB1A1160866A0F');
INSERT INTO `batch_details` VALUES ('2861908598538627A54C1F31EA361CA4', '4A8614E4AB4B56BE79C9173A0947CC1C', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:47.004000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:47.315000', '2023-08-07 15:37:47.315000', '1', '1', NULL, '75bb1e5693ddf7d3f83365fc7ce874a2', 'F7-706_试剂柜-E_E3-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '57BB15D10784D228845DF9403D7700D3');
INSERT INTO `batch_details` VALUES ('287130ED151276CA6988089F8BA136F5', '7EBEB06A5FD50E321BC35B6747D5E994', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:45.957000', 20, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:46.280000', '2023-08-07 15:30:46.280000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '54F14074B3DD618EB9DAC6AA03B18D43');
INSERT INTO `batch_details` VALUES ('29F46307829355270926A4B4BBA1641D', 'A831741009B96794E2849383A9EF7325', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:41.495000', 9, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:41.793000', '2023-08-07 15:36:41.793000', '1', '1', NULL, 'd0512a2dbc87f32acaf8b771a13e5738', 'F7-706_试剂柜-B_B2-2', NULL, 'B84152270A4A03147E7BA602B85DC2B9', NULL, NULL, '706', '38035D1AEE296D70DF06CBA008596CE5');
INSERT INTO `batch_details` VALUES ('2A18ECA2A8F08981C0A07DBA17D84561', '5F2349E317E1488B460F34DF70C073C0', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:54.005000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:54.299000', '2023-08-07 15:56:54.299000', '1', '1', NULL, 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('2B568A7093815C0C463F1EF1A847F899', '4CB8FFB7294A8DD519A6235BD6356543', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:22.368000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:22.714000', '2023-08-07 15:56:22.714000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('2BB9062AC672E42685DF2816B32E8613', 'D24A3EDEFD039AA323B46F6DED967F50', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:31.288000', 1300, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:31.591000', '2023-08-07 15:30:31.591000', '1', '1', NULL, 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '1A0633EBB95D8E11E100CA2205A7B2AF');
INSERT INTO `batch_details` VALUES ('2C5BAD8CBB63BD0422BBF793DE862FF7', 'A170567DA9F6E01979EEC67761B44793', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:20.117000', 100, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:20.477000', '2023-08-07 15:30:20.477000', '1', '1', NULL, 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '591F205D2E27CFAF7EDE8D41A8EB5F8B');
INSERT INTO `batch_details` VALUES ('2CCF8C08C44A31F86E6A269577DD0C70', '8A286DBD89B73EB5443EE6B822262036', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:53.128000', 3, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:53.390000', '2023-08-07 15:34:53.390000', '1', '1', NULL, '1c64707b7fa93765aa78f48b99e8f1c3', 'F7-707_试剂柜-D_D2-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '4A8897BF46B13DEFB279E3804E622FDB');
INSERT INTO `batch_details` VALUES ('2CE6BA40C745E85BE60D3D657E61DFE0', '3328A401E2B95766D6034F3B2757A698', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:27.422000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:27.668000', '2023-08-07 15:57:27.668000', '1', '1', NULL, '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('2D70BA799816D2C288608D1D8690A177', '114023E3E773FD2C69D3E5E62F320C56', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:25.718000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:26.038000', '2023-08-07 15:57:26.038000', '1', '1', NULL, '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('2E92BB68FFB5B9D1C166D9FDAC8726A5', 'F6AB246F51F505E92E940B7AC9A147A1', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:47.684000', 5, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:47.949000', '2023-08-07 15:36:47.949000', '1', '1', NULL, '029e9facf01df4463e0cfc021f2387b5', 'F7-706_试剂柜-D_D1-1', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', '0CAE9013D6226D176F260DD378278040');
INSERT INTO `batch_details` VALUES ('2EAE4680C0276A1016DC9AF66E8EC038', 'C862092CAF84B7427AECB35CCDC26D2D', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:29.981000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:30.327000', '2023-08-07 15:56:30.327000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('2ED1C109B97407C5433DAC8CB346B5CD', '2BE5FCC0C125F442A3CCF22AAD33FD47', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:35.610000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:35.900000', '2023-08-07 15:37:35.900000', '1', '1', NULL, '5eff609a8cc1e16248f784af8907b032', 'F7-706_试剂柜-E_E2-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '993711A7910D911D18FFDC8509F640F5');
INSERT INTO `batch_details` VALUES ('2F0EBBCE5E40355E2F1F4E906118CF3A', 'CAC4288AB5DCF391F97E86BD596B2F7A', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:36.445000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:36.901000', '2023-08-07 15:56:36.901000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('2F49FEB61E11679830490711A6C328BD', 'A178C0D1EEA03280ED8C2F1B5669259B', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:44.798000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:45.109000', '2023-08-07 15:56:45.109000', '1', '1', NULL, 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('2FBC8844A10316AF8C96C996F893B5C7', '8EE8E57A34A40A8E0EF17A0199E7671A', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:32:54.896000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:32:55.151000', '2023-08-07 15:32:55.151000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'F4CF7FE25FF80A7317F83B1289E071A6');
INSERT INTO `batch_details` VALUES ('2FCB58FFFBD4207767DC7C9ACCA4C6A0', 'DBC39A9FB0B5E98E3B67139D496D0DB1', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:38.968000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:39.227000', '2023-08-07 15:37:39.227000', '1', '1', NULL, 'e12c1ffbe42606dd02973fe424f420e3', 'F7-706_试剂柜-E_E2-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'FF40E947517CE2C1ACC630B2105DA107');
INSERT INTO `batch_details` VALUES ('3115D856CA7244BD58FE3E419D4364F9', '4235508D7E9DA3F9B3816B2F4E81D004', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:33:13.793000', 30, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:33:14.109000', '2023-08-07 15:33:14.109000', '1', '1', NULL, '9db704bafc97645c3391308c36516400', 'F7-707_试剂柜-A_A3-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '259E6366D7CADCD8F06C7D05BA9937F2');
INSERT INTO `batch_details` VALUES ('312A646257554063976824EAF265D63E', '506BA297ABEDA062C27D109A3AF4B2FB', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:37.304000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:37.575000', '2023-08-07 15:56:37.575000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('31A168A97B8DFFC80FA87A8BAD83E979', '524D6DF49E9BCAE6029E698F4C35561B', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:34.372000', 28, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:34.687000', '2023-08-07 15:36:34.687000', '1', '1', NULL, '2ce4d0ac4a04ff5820c49367deeb6bed', 'F7-706_试剂柜-A_A1-3', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', 'A3A708C8460EEB1320B342A3F20AACD8');
INSERT INTO `batch_details` VALUES ('31E0642CA60F6DC1FE555EAFE7D0E9ED', '5BC78E8AFA8F74DA3C468000BD4677F2', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:22.521000', 100, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:22.757000', '2023-08-07 15:30:22.757000', '1', '1', NULL, 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'C0828581D3C1873EA4FBB1C7AC8DB128');
INSERT INTO `batch_details` VALUES ('33165AA6CCB56094587A657B809111FF', '147436D7314F5FB678B91E45276198C0', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:50.249000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:50.496000', '2023-08-07 15:36:50.496000', '1', '1', NULL, '029e9facf01df4463e0cfc021f2387b5', 'F7-706_试剂柜-D_D1-1', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', '0800F2C234FC28C0FCF128DBF21845F8');
INSERT INTO `batch_details` VALUES ('3326D095178CD51B012A34FB48830E4F', 'C77A0C7342168081231016C3DA61D400', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:51.311000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:51.580000', '2023-08-07 15:37:51.580000', '1', '1', NULL, '3758207bf7407dd113a9bd57636a4e0a', 'F7-706_试剂柜-E_E3-3', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'E960A70DCF7198D302CBB379218207C4');
INSERT INTO `batch_details` VALUES ('3375F12C219B8CF3FC17D15EF15F41C8', 'D8BC28ECF7131131484F89F95E9D8076', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:30.087000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:30.371000', '2023-08-07 15:37:30.371000', '1', '1', NULL, 'b92a5ca88d157557618e1da8d096b96d', 'F7-706_试剂柜-E_E1-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '8719AA61BD2C7AD1606496ED9A23DB50');
INSERT INTO `batch_details` VALUES ('34298AD5208CB6CECA9B079473FEA12E', 'B462CB7ECFF1B3F45187D97E6FF783DD', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:35.677000', 4, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:35.936000', '2023-08-07 15:30:35.936000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'EAB10640AE92F526F6F0D98212BF80CB');
INSERT INTO `batch_details` VALUES ('348DE7DCB379AABEBCF4354EDCFE978A', 'A3007B31C0D3DB6F0BFBA18F559F989A', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:32:53.774000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:32:54.015000', '2023-08-07 15:32:54.015000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '9BEF70B140ACCEB083A2F61A97EFE7A9');
INSERT INTO `batch_details` VALUES ('3548F632985250B9237F1FD7BA33DC75', '41B192AE5213EA46AC6C7599AB0784C0', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:05.217000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:05.523000', '2023-08-07 15:57:05.523000', '1', '1', NULL, '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('363CDB714C154A5A5DD753253ABB57BB', '18FEB0F0932533699CD2E83937D18388', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:33.189000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:33.541000', '2023-08-07 15:30:33.541000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'E2ED20E4076EB8FBEE55B73EC60D7EF1');
INSERT INTO `batch_details` VALUES ('36923C9322F3EF82013B16DBEE3E955F', '62899DD33584C40B92571EDC0658AF70', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:17.540000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:17.905000', '2023-08-07 15:57:17.905000', '1', '1', NULL, '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('36CA1FBB7A012050E0EA154F8044A0EF', 'D1824F10F3A4E7E063E45ABE2CCE2D0B', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:39.309000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:39.585000', '2023-08-07 15:36:39.585000', '1', '1', NULL, 'c09176dcda4c53e3a73bed226c4d6b08', 'F7-706_试剂柜-B_B1-1', NULL, 'B84152270A4A03147E7BA602B85DC2B9', NULL, NULL, '706', 'E2D4CB667975DF299C097BD4D3CCB136');
INSERT INTO `batch_details` VALUES ('373ACE9B3362E2A0A4252A2327851660', '46D8333B17DA623B7E650FB89BE90052', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:20.080000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:20.400000', '2023-08-07 15:57:20.400000', '1', '1', NULL, '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('37468EA089589BFEEEBBA996C93C6F96', '53F4C1C7BEB24C2E76E94BEA5ACF3091', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:43.151000', 5, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:43.399000', '2023-08-07 15:37:43.399000', '1', '1', NULL, 'e12c1ffbe42606dd02973fe424f420e3', 'F7-706_试剂柜-E_E2-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '3A0872706BE58C1812D8E0B410025C27');
INSERT INTO `batch_details` VALUES ('37D3BE92E75A0FF2B54B2CB1E537C7FE', '5EBD2D428DE742E6EBED393E63C40BC5', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:43.970000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:44.414000', '2023-08-07 15:36:44.414000', '1', '1', NULL, '5ed98268a70fc33b0473b62598cef3be', 'F7-706_试剂柜-C_C1-3', NULL, 'EA39B525D5DC678C4CA7F95C4CAC7F53', NULL, NULL, '706', 'B4DE687D9FCC8A9CE60ED5E735C71590');
INSERT INTO `batch_details` VALUES ('38B299964204BB2BB468914B6BAA4901', 'F0E3E3A2003CC9CB5DC5D291AAC5482E', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:33:10.503000', 10, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:33:10.804000', '2023-08-07 15:33:10.804000', '1', '1', NULL, '4ebdd8ebb8f820a73f6047675a895025', 'F7-707_试剂柜-A_A2-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '91B94A60A6EC6331827556B81F3C0381');
INSERT INTO `batch_details` VALUES ('399BEA19E269656B43FC5441E1C179AD', '882CE8A94AD10E93EDD8A2BDB5F50F7B', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:15.718000', 30, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:16.026000', '2023-08-07 15:34:16.026000', '1', '1', NULL, '3854518756e7994ee5876d7e9e861cdf', 'F7-707_试剂柜-B_B3-1', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', 'A7C161F037CF2CC9886014039E1021ED');
INSERT INTO `batch_details` VALUES ('3AC40ECBAC7178744C19097CFF428554', 'ED64CAF216435311A031A662EC340C49', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:14.191000', 9, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:14.533000', '2023-08-07 15:34:14.533000', '1', '1', NULL, 'dc73321545d667bd25e1ff9bfb125654', 'F7-707_试剂柜-B_B2-4', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', 'E72CB5C6C9DDCD4C25EB3067F855271D');
INSERT INTO `batch_details` VALUES ('3AC6C5E1AEDDB52812827271A1831893', 'D2EFF4A34299368F4B7C22C59BD8F281', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:33:19.980000', 18, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:33:20.241000', '2023-08-07 15:33:20.241000', '1', '1', NULL, '499b443a4bf686a9c7b3e40b5537f5b2', 'F7-707_试剂柜-B_B1-4', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '6F1B999DBA68D8088CDF87312F414FBF');
INSERT INTO `batch_details` VALUES ('3B5065382A1764C8C79823DD59175C88', '257D6273AB24291CA8536C519CD5EA3D', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:00.939000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:01.207000', '2023-08-07 15:37:01.207000', '1', '1', NULL, '1f529f67270eac072f2ac17b583a1754', 'F7-706_试剂柜-E_E1-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'C0720914D96BC54F37E9778820077BD5');
INSERT INTO `batch_details` VALUES ('3BB179F878A06291F982BBFAB55E5BBF', '7E5EE591497E0DD54C5DE83ACC58221B', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:25.250000', 20, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:25.515000', '2023-08-07 15:36:25.515000', '1', '1', NULL, '520eaf3711a30b76cda447d5f94c20a8', 'F7-707_试剂柜-D_D2-4', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'F9A876E341D59E5D8FE6678F0D741106');
INSERT INTO `batch_details` VALUES ('3CB68A94A2EF041FD0E419749F651774', '6793B039B096711B4F17C046154891E5', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:45.707000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:45.974000', '2023-08-07 15:57:45.974000', '1', '1', NULL, 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('3D297433A252310EB3140A2A08363225', 'B766614679E806BFA98EEA95D4A5786A', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:33:00.802000', 20, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:33:01.047000', '2023-08-07 15:33:01.047000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '325C877C7B85E83984333E7EAAA3FFAD');
INSERT INTO `batch_details` VALUES ('3DE5E9F2ED98C1E43E3B32B977157AB4', '9E6964BE2F913C0F7BC03224C3345384', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:44.024000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:44.325000', '2023-08-07 15:57:44.325000', '1', '1', NULL, 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('3DF0D4E45A6DD68B5D4AAB6F794255AF', '1DE74B75FC15C32F9AEFA391EFDC4E10', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:38:02.900000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:38:03.246000', '2023-08-07 15:38:03.246000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', 'B77F703094DB08D3084F1CFA87F04D28');
INSERT INTO `batch_details` VALUES ('3E8A73564E39FA478136F92F78041995', '286BD6A2F143E72798DA3BA78389ED75', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:32:55.380000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:32:55.658000', '2023-08-07 15:32:55.658000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'B02952AC463B2CFD4C4F099CD19B30EF');
INSERT INTO `batch_details` VALUES ('3F97D4B9864263182433F0E8FFC595C9', '24B7715CDC080DA0FD2EAC24D7109D31', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:20.223000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:20.569000', '2023-08-07 15:56:20.569000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('3FAD4038A815746194855CF9CC0C149B', 'DF42D337B5F5574C98EC637DFA2C07FF', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:27.895000', 9, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:28.240000', '2023-08-07 15:34:28.240000', '1', '1', NULL, 'a2cd6c74361086626449c4a32ba6e390', 'F7-707_试剂柜-C_C1-4', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', 'E590CECE4EF9DE613A94E5179EF2BC5E');
INSERT INTO `batch_details` VALUES ('406691711C874EA4B7282D3E6546FAD5', '16B567ED5385402FEE7C22B13A33605D', '2023-2', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:52.835000', 10, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:52.994000', '2023-08-07 15:37:52.994000', '1', '1', NULL, 'e896b9f64d79b125e2d3c0a6d30bc337', 'F7-706_试剂柜-E_E4-3', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '07C2804EA792831C7D774354AD3FD750');
INSERT INTO `batch_details` VALUES ('40CA68450762379E7D373C6C092A1D07', 'F3710C0C2F68A9E5825B690932DC61B2', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:11.866000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:12.244000', '2023-08-07 15:57:12.244000', '1', '1', NULL, '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('41154CAF10460D73088A748383DCAAEA', 'F941D68E342E84AB50B8C2C8C5EE9269', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:40.759000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:41.083000', '2023-08-07 15:57:41.083000', '1', '1', NULL, 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('4184964508663269DD4DA4AFA772F98A', '9D726356F51E1997FA8BE77D6B472F19', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:37.509000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:37.814000', '2023-08-07 15:57:37.814000', '1', '1', NULL, 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('42496274E1FB823EA62721E87EA98CD3', 'FC9941B2BA0B1AB385BF8FEE1AD1C28B', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:38.297000', 22, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:38.607000', '2023-08-07 15:30:38.607000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '116AD240B234D91B813A1DDBD42D33FE');
INSERT INTO `batch_details` VALUES ('4257D59ED94990DB75D517F63ECE57F7', '86A218A872030C37C39FC14C955E4297', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:54.832000', 20, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:55.208000', '2023-08-07 15:30:55.208000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'C6E957E640431E0BCF03B2E8477C7B8A');
INSERT INTO `batch_details` VALUES ('427FC6ECE5EC7633D3E0F77C48D0AF27', '13E2F1A6C03A566C3226208F001FEB80', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:54.777000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:55.051000', '2023-08-07 15:37:55.051000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', '9500977704CA16E5FB10A01BA2B3505F');
INSERT INTO `batch_details` VALUES ('434F5D6A7D7EDFB92CD348B32E13D955', 'D0CCCC1B9A232977E99F64617368200F', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:32.615000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:32.966000', '2023-08-07 15:30:32.966000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '3C3F75C3DBD46A11DE539508FC9F942E');
INSERT INTO `batch_details` VALUES ('43F1A18FE0D2C1D94F13E0DE585B865E', '00434EFB8EAA519B01668C2B45C23A54', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:44.181000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:44.482000', '2023-08-07 15:56:44.482000', '1', '1', NULL, 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('441A610A01F382C71BAB5D75A3C70AC2', 'D56DE7E239797507B62FD271C85A0992', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:38.912000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:39.128000', '2023-08-07 15:57:39.128000', '1', '1', NULL, 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('447FFFCC62574F4B4DB8AB98C009D517', '01C229466CD9D7A29BDD3EAB53A16656', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:28.796000', 39, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:29.123000', '2023-08-07 15:36:29.123000', '1', '1', NULL, '9c89e7eba1b9f07fadccee3cb8ca1b48', 'F7-707_试剂柜-D_D3-3', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '7DE52783AAA572973D98E9163E3BD959');
INSERT INTO `batch_details` VALUES ('450C48BD68A13E1A2D7128206FEC200D', '5F9EABD885A7E3FA3E4E9BC1D83B02E0', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:32:59.685000', 13, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:32:59.918000', '2023-08-07 15:32:59.918000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'CA6A58649958EE7966260C0753F66E4D');
INSERT INTO `batch_details` VALUES ('45E4FD43E66C66C7AC8C111D9EC5406A', 'D48AACAB1A94320986BAF2E5BF40F49C', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:33.259000', 19, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:33.614000', '2023-08-07 15:34:33.614000', '1', '1', NULL, '0042d9473d2e7f8dabd1716e8eaa93bc', 'F7-707_试剂柜-C_C3-1', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '6A20EBE631F871383CED5E1607E5856B');
INSERT INTO `batch_details` VALUES ('464C25A3E795502E72990B167CFB8B79', 'EE118232D31FA68F2877F0E90C002ADD', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:37.250000', 4, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:37.540000', '2023-08-07 15:36:37.540000', '1', '1', NULL, 'c09176dcda4c53e3a73bed226c4d6b08', 'F7-706_试剂柜-B_B1-1', NULL, 'B84152270A4A03147E7BA602B85DC2B9', NULL, NULL, '706', '63A7E7F6A2B4C77274F74E2D24230B58');
INSERT INTO `batch_details` VALUES ('46B5D05A8D375EA2588EAE7295B156B4', '3FDF5A4F8A615519AB72177B5B99122A', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:49.787000', 4, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:50.057000', '2023-08-07 15:36:50.057000', '1', '1', NULL, '029e9facf01df4463e0cfc021f2387b5', 'F7-706_试剂柜-D_D1-1', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', '83B19AC2624F15565773D151CDD23B2D');
INSERT INTO `batch_details` VALUES ('473085B4B0B49A0CB11290194B9B074D', 'ABD39F8CC544E8130B0EA0183E6C7E1C', '2023-2', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:27.084000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:27.296000', '2023-08-07 15:36:27.296000', '1', '1', NULL, '498aefc01ddb655f8d0feaf96ac38bda', 'F7-707_试剂柜-D_D3-2', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '7B917E2ABCC5B9DB687AA3B5EAE29E2B');
INSERT INTO `batch_details` VALUES ('49276B74113BAD0EA6A0A08DACB19D4B', '61E758A564D3FB3EBE040BB902C9908C', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:40.111000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:40.416000', '2023-08-07 15:56:40.416000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('495316FF971E4FC1C4A383DBDBC69919', '74B50958C67CC0FFDF106C9DDB5D18D4', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:38.607000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:38.973000', '2023-08-07 15:56:38.973000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('4A9E58CD1646D06E0DC6A0338CDFE2BD', 'A90CC7626B596386969803EED3DA50B3', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:30.171000', 1300, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:30.491000', '2023-08-07 15:30:30.491000', '1', '1', NULL, '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '347719E414C23AD2EA80DB282E8E7AC2');
INSERT INTO `batch_details` VALUES ('4B2A95C4ED051A87DB4073A61739ED17', '4B3CEDF117E66E3BA6F554F45B288505', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:33:03.959000', 30, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:33:04.256000', '2023-08-07 15:33:04.256000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '68B1C4CD110CCBF01A99956877B5944F');
INSERT INTO `batch_details` VALUES ('4B3D6FB229CB48BAEF7F6B35EC72466D', 'EE4C12AEA9877698D999BD2CEC573D5F', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:46.017000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:46.320000', '2023-08-07 15:56:46.320000', '1', '1', NULL, 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('4B55E2C90145812D01ADD966DF2EA0AC', '339B3F5D370C1B2244F28F81BB46ACF9', '2023-1', '1', NULL, NULL, '2023-08-10 00:00:00.000000', NULL, '2122-08-10 00:00:00.000000', NULL, '2023-08-10 11:44:47.000000', 500, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-10 11:44:47.000000', '2023-08-10 11:44:47.000000', 'd55ac39af1c11d7a61e7580a5a56a97a', 'd55ac39af1c11d7a61e7580a5a56a97a', NULL, '1702536e1b32690e06ce92c51dec7227', 'F6_606_606-耗材柜-F_F1-1', NULL, '169C929E143568B5659910E6240A4951', NULL, '38E0D03518D975B07BB5C25F55EE6810', '606', '9BB68A8FF22B5AD98BDC007D63CDC74F');
INSERT INTO `batch_details` VALUES ('4B9841A2D27914F0B3EB08BD0B0D0E45', 'E49285489058D60BBFBDC9BDEAD3BA27', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:30.873000', 18, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:31.188000', '2023-08-07 15:34:31.188000', '1', '1', NULL, 'cc1e723a600df519bb30716aed1a65b4', 'F7-707_试剂柜-C_C2-3', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '0B05F24648B4910BE135ABF4D197EEA1');
INSERT INTO `batch_details` VALUES ('4C0FC887666B6F08E873F30D812CDCCD', 'F442ABC13D4A3E14BFEA82900A626DCD', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:23.792000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:24.093000', '2023-08-07 15:57:24.093000', '1', '1', NULL, '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('4CECE78B4F4D928598C671A4B6DD7036', '7E1D02BC84EE8D6E9E0D470AB43811F9', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:28.712000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:29.037000', '2023-08-07 15:37:29.037000', '1', '1', NULL, 'b92a5ca88d157557618e1da8d096b96d', 'F7-706_试剂柜-E_E1-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '001730CE187FFD9B09402EB8B532E0D6');
INSERT INTO `batch_details` VALUES ('4DADD63484F25DFDAE806EF6140E2AB3', 'C7C7348E0721E40B3685F167907646DD', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:27.216000', 9, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:27.491000', '2023-08-07 15:34:27.491000', '1', '1', NULL, 'd9f0626d354219840ea291f2efa83aad', 'F7-707_试剂柜-C_C1-3', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '3209BE685045A450DF03AF251221364C');
INSERT INTO `batch_details` VALUES ('4E2523D77D1E44D26DC6A013ABC867EA', '1CF5EF79A58822428CD0D0462994E67C', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:52.766000', 20, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:53.013000', '2023-08-07 15:30:53.013000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '83E24815CCC4860E2F3484810AE269D1');
INSERT INTO `batch_details` VALUES ('4F22FAB1BF4BEAA31802D5BA5A9EFF46', 'D89BCBA06C5D3FC62DF3F8FDFB514258', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:16.014000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:16.321000', '2023-08-07 15:56:16.321000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('4F4F66B4122D089CAC7F3140B046C326', 'DEA6C6EB95596C8171B367D2DB07BDE5', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:01.840000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:02.181000', '2023-08-07 15:57:02.181000', '1', '1', NULL, '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('4F6FD44E8062B336D2B95C14E892123F', '8DE4016B78636604986862C527FD77BD', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:18.844000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:19.236000', '2023-08-07 15:56:19.236000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('4FBD07EC351383961D8BDF51769032EE', '9F8E76D108B308ABA206049E85777A37', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:24.636000', 20, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:24.867000', '2023-08-07 15:36:24.867000', '1', '1', NULL, '520eaf3711a30b76cda447d5f94c20a8', 'F7-707_试剂柜-D_D2-4', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'DDF90CAC7D555B1C00086BB253DC6E5B');
INSERT INTO `batch_details` VALUES ('4FF8DA9BFC30E5029B782B6904EF777F', '46BFE73DC0224D1F06779E45E2120A5D', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:27.393000', 170, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:27.662000', '2023-08-07 15:30:27.662000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '7804905FE29BC2569AB7037B3B3CC5CB');
INSERT INTO `batch_details` VALUES ('5039E9A7E358DB613382827ED52E127A', 'F649819DA5B03271EE6AAA3E27CA89F5', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:30.195000', 6, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:30.460000', '2023-08-07 15:36:30.460000', '1', '1', NULL, '2bbf92ebb86852426fbdc9f73c9f6b73', 'F7-707_试剂柜-D_D4-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'CFC9384E2AB28BE98EC8CFD4464D9B15');
INSERT INTO `batch_details` VALUES ('50B5EE77A3C19E838881E96A746EF88E', 'DA5A70774EA306AA22F170571BF09F4B', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:59.093000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:59.334000', '2023-08-07 15:36:59.334000', '1', '1', NULL, 'bce0bfb02df0b406c2891ac97e00bb61', 'F7-706_试剂柜-D_D3-3', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', 'D363DEF7FAF0921FA0CA4F1A62971659');
INSERT INTO `batch_details` VALUES ('51083000EAB6D55573F4DD2CA3990F34', '7707BDC9A4A766A3C22CB498C95C368D', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:06.629000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:06.938000', '2023-08-07 15:57:06.938000', '1', '1', NULL, '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('51AFFBE719DC11BE3EEB09CD4AA3DB91', '1696CBD9B47D11F29F3A127ABDEA6A73', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:33:18.295000', 20, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:33:18.549000', '2023-08-07 15:33:18.549000', '1', '1', NULL, '7655b680f65a6470af4e6ee3818ee7d4', 'F7-707_试剂柜-B_B1-3', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', 'E39ACCC1DE556A856C5EE70F7F8378A6');
INSERT INTO `batch_details` VALUES ('51D88438FF6282C39F0DD698D15B9FF4', '6373FED4C448659F9C2DD717A8850A04', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:34.640000', 9, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:34.920000', '2023-08-07 15:34:34.920000', '1', '1', NULL, '0042d9473d2e7f8dabd1716e8eaa93bc', 'F7-707_试剂柜-C_C3-1', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '9C770210A4E938AA90297C7FE9F39427');
INSERT INTO `batch_details` VALUES ('525AD7E8EC6075EC8D15D458477D9FE0', '5074BD48130119E7532CB44E57CEB002', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:21.363000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:21.732000', '2023-08-07 15:34:21.732000', '1', '1', NULL, '55e5081784af82837467649da44000e2', 'F7-707_试剂柜-B_B3-2', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '0D816B313D823F86FA076828DE41A1B5');
INSERT INTO `batch_details` VALUES ('52609BCF109295762293517E4EF07F98', '5DE4C4D9CBE15B2DE5EEEE74215659DC', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:23.891000', 19, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:24.158000', '2023-08-07 15:34:24.158000', '1', '1', NULL, '0b4e3c79988b8fc357b3a0f5443aa63e', 'F7-707_试剂柜-C_C1-1', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '11AFD6235B224239FB504A1D9C15EB7D');
INSERT INTO `batch_details` VALUES ('533FF14A8149DDA7A8B49EC1B8245288', '962DE12D21A9D1918286AACD2323A725', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:24.142000', 20, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:24.393000', '2023-08-07 15:36:24.393000', '1', '1', NULL, '520eaf3711a30b76cda447d5f94c20a8', 'F7-707_试剂柜-D_D2-4', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'B5D5E46ED2C7A5576074546202C3C389');
INSERT INTO `batch_details` VALUES ('54991EFEB5194E76463F9DFCEB9E517A', '9FEACAF60A86507525FB8407D58B4337', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:33:04.626000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:33:04.921000', '2023-08-07 15:33:04.921000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'B3BD677B1BD6AE13579643AA35190AFE');
INSERT INTO `batch_details` VALUES ('54BBE6AC40AD9C2F9AA187CCC0A9C2AE', 'EB44495873E8C3577111CC47CA13D22F', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:11.064000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:11.564000', '2023-08-07 15:57:11.564000', '1', '1', NULL, '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('54D09037B955FE87B0A95EF531738F53', '6B311D2A51F2D6A4E36B49FC89201B0A', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:56.658000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:56.986000', '2023-08-07 15:56:56.986000', '1', '1', NULL, 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('57FA32800834518A469530FCF39BE1A1', 'B3FDF7A1587B2AFC7CDBECCEA189C4D0', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:47.339000', 20, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:47.623000', '2023-08-07 15:34:47.623000', '1', '1', NULL, 'c64848f3e1c3140fe26e131b3505750f', 'F7-707_试剂柜-D_D1-4', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'EF04688E14D2E9C8FEA0D0D80CE01774');
INSERT INTO `batch_details` VALUES ('585E9A514F9CD797597D65D086D415BA', 'F1B079C85DF77FD01C0BA596601C47A5', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:51.627000', 7, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:51.905000', '2023-08-07 15:36:51.905000', '1', '1', NULL, 'd44d1d51a3315a64708412a81c6e4e8d', 'F7-706_试剂柜-D_D1-2', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', '12E11720D31267CFD4E49C2E3D535255');
INSERT INTO `batch_details` VALUES ('5A332A2E29DB219C2C2D495EB1E40FD1', 'C4262A942345078578688FF9C2AD1468', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:53.738000', 20, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:54.011000', '2023-08-07 15:36:54.011000', '1', '1', NULL, '8b42641b10157a4b1e57a3bab763f85d', 'F7-706_试剂柜-D_D1-3', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', 'AAEB89BD966251ECB0D6246D854203B0');
INSERT INTO `batch_details` VALUES ('5C01C58EF728166B4795DE81FB07A029', '96C474E2AD9400FCC158EFF0CD5E8F44', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:46.377000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:46.685000', '2023-08-07 15:36:46.685000', '1', '1', NULL, '9eab0c91375efa5608f8248a29d697f5', 'F7-706_试剂柜-C_C1-4', NULL, 'EA39B525D5DC678C4CA7F95C4CAC7F53', NULL, NULL, '706', '960A85DEEE7AC670992452F46E5ABBAD');
INSERT INTO `batch_details` VALUES ('5C7850EFAD01E060DFB553F640C0726D', '33EC59CB6BCA330E3817B37A72E7DB10', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:45.535000', 16, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:45.813000', '2023-08-07 15:34:45.813000', '1', '1', NULL, '4e49d8c191425016848c7023a6790c06', 'F7-707_试剂柜-D_D1-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'A822E8075F3B1686E4049B759C03C203');
INSERT INTO `batch_details` VALUES ('5CA83DCBC5A489DB7688A65DE16A3DD1', '3F9F867CC2CD6F03B73026D1ACB4473C', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:41.978000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:42.285000', '2023-08-07 15:57:42.285000', '1', '1', NULL, 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('5D17AF2A9C90C83CA005E5769485AD87', 'FD266CCD300BBC90C9E16650B2BB6B8C', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:22.631000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:22.893000', '2023-08-07 15:57:22.893000', '1', '1', NULL, '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('5EA739B5D0A7400E2092F16CA78097FB', '8E38A8F79305ECC17FE2ADC0603EDF3B', '2023-2', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:56.534000', 20, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:56.677000', '2023-08-07 15:36:56.677000', '1', '1', NULL, '0e6d04ffce66ad909f95d4e2b1beec33', 'F7-706_试剂柜-D_D2-2', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', '4F36E56264275B7520764FA169B20D77');
INSERT INTO `batch_details` VALUES ('5EBCC82BE4EC4C436380F06ECFC04968', '899D734EEFD9D0D03CB8B54B01B4EE67', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:57.344000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:57.615000', '2023-08-07 15:56:57.615000', '1', '1', NULL, 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('5EC64493726C3942E7E6D2C21649931A', '35D645789EC4220335893F545AC232D3', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:04.611000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:04.838000', '2023-08-07 15:57:04.838000', '1', '1', NULL, '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('5FCF9376FBD85B7792E8AC8F3408F60A', 'C6A66EEEE4921D9579B494EF2302AF32', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:39.695000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:40.037000', '2023-08-07 15:37:40.037000', '1', '1', NULL, 'e12c1ffbe42606dd02973fe424f420e3', 'F7-706_试剂柜-E_E2-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '49F0F21A9476D7BDD2782BD43A84105B');
INSERT INTO `batch_details` VALUES ('60653BAAD7AD499A0ED1C729FB2D3E75', 'A0BF5DBEF0748FA044BCD46AEA4265DD', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:21.652000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:21.956000', '2023-08-07 15:36:21.956000', '1', '1', NULL, 'cbf6e4dd457b2730e3142568f935fcfc', 'F7-707_试剂柜-D_D2-2', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '69C8A04B1E0064D0AB4C714B57F627FB');
INSERT INTO `batch_details` VALUES ('60E2E33DEFD5205197D77F8D1D2F58C2', '9D07EBDE7C731197ACE756D7C5BB265D', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:23.103000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:23.439000', '2023-08-07 15:57:23.439000', '1', '1', NULL, '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('618E81CF0EA273C8E08BBDC69CC95595', 'BE5D8EDA9472EFC41551FFB05B81E596', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:49.304000', 17, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:49.620000', '2023-08-07 15:30:49.620000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '2BF2AA668E059AE72A9E6A6FDC024CFB');
INSERT INTO `batch_details` VALUES ('621A85434909EB298B81685755562117', '835A3F584CA5AA73E82877317ABA6E82', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:33.444000', 3, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:33.728000', '2023-08-07 15:37:33.728000', '1', '1', NULL, 'e12c1ffbe42606dd02973fe424f420e3', 'F7-706_试剂柜-E_E2-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '888D9C1265BA0DC45B417B9C265633FE');
INSERT INTO `batch_details` VALUES ('6241BFD2D325B72323B8A59D1955DA91', 'DC3EB60DD6A35175512026E226D94088', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:50.143000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:50.362000', '2023-08-07 15:37:50.362000', '1', '1', NULL, '3758207bf7407dd113a9bd57636a4e0a', 'F7-706_试剂柜-E_E3-3', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '5987F5971273E302F875AFA5D27FC4C0');
INSERT INTO `batch_details` VALUES ('625E2C789AA4ED5A8A7F1382AC8CC182', '853133C348698F18B83E6F8380DCDC49', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:26.245000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:26.536000', '2023-08-07 15:57:26.536000', '1', '1', NULL, '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('63E963FA91B094DD64C80FEF33E93825', 'D60C66F4067D84F6976BBB6BDD98F593', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:52.359000', 9, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:52.600000', '2023-08-07 15:37:52.600000', '1', '1', NULL, '3758207bf7407dd113a9bd57636a4e0a', 'F7-706_试剂柜-E_E3-3', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'F0E9E2C3567597B75C31EDDE7B693CEC');
INSERT INTO `batch_details` VALUES ('640562DB84497935389A671D7D249A39', 'C101E082F6F10A8CEDCC87E68F7CE924', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:48.654000', 20, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:48.941000', '2023-08-07 15:30:48.941000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '36EE97523CB735EB036A167920CA3D7E');
INSERT INTO `batch_details` VALUES ('64C89C0904ACB11A352817A4EF668C27', 'A66974AF01DE0EE9BA6E5672FB6404AA', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:53.096000', 20, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:53.513000', '2023-08-07 15:36:53.513000', '1', '1', NULL, '8b42641b10157a4b1e57a3bab763f85d', 'F7-706_试剂柜-D_D1-3', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', 'C80A39BE977704D12A4EE0CE9CB406BE');
INSERT INTO `batch_details` VALUES ('64F8A22E519BDC302673DCFD95D19845', 'F86B94935AEEF268A4758A8C07C7D543', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:29.039000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:29.341000', '2023-08-07 15:34:29.341000', '1', '1', NULL, 'd8c3ed9db28572a33e13f48f401f0b52', 'F7-707_试剂柜-C_C2-2', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '5B61261B4EB383D2E9CFD1C98D09F705');
INSERT INTO `batch_details` VALUES ('6502D9BC0E58CF23DA48D436EBB9314D', 'C91B176922C0ADE6C13A60AB3404589F', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:04.073000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:04.409000', '2023-08-07 15:57:04.409000', '1', '1', NULL, '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('652A933A8C70D4B3C6F93B23A23AF381', '75E34653B5A24F8497DE6E545EA5FAFD', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:22.368000', 3, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:22.592000', '2023-08-07 15:34:22.592000', '1', '1', NULL, 'd8c3ed9db28572a33e13f48f401f0b52', 'F7-707_试剂柜-C_C2-2', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '64EEFDE827D94A013BC895238635CD45');
INSERT INTO `batch_details` VALUES ('65F9EF681D52E1FF49EA7A7981CF1AD5', '2D99584E3806652AE70A080FA3E023D9', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:45.023000', 4, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:45.296000', '2023-08-07 15:34:45.296000', '1', '1', NULL, '4e49d8c191425016848c7023a6790c06', 'F7-707_试剂柜-D_D1-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '1C0EC0B231557A6DEFE6220049625A06');
INSERT INTO `batch_details` VALUES ('68B62174A7E5BD588CF68AFF411DF562', 'B5627C492BF880271323248446BA9A2A', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:56.152000', 20, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:56.518000', '2023-08-07 15:30:56.518000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '09762935F90D3A3CE081EB3273DED9D5');
INSERT INTO `batch_details` VALUES ('68E96FEE4D3679EDF27DFDF1740839A0', '76002A424A8EE3E6A437F242EE7E3BE4', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:10.364000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:10.627000', '2023-08-07 15:57:10.627000', '1', '1', NULL, '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('68F93ED5A12B8604F2CC5CE784EB4955', '17F14F85F1092C4E9F3194C031B6390E', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:33:23.655000', 11, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:33:23.984000', '2023-08-07 15:33:23.984000', '1', '1', NULL, 'f59134f62115fee1d4e59dfe2e3f3ce5', 'F7-707_试剂柜-B_B2-1', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '5835FD8ABBCEB9708665AB4A9599F50F');
INSERT INTO `batch_details` VALUES ('695278F7C2F24AD494640F00BB841C1A', '524D6DF49E9BCAE6029E698F4C35561B', '2023-2', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:34.933000', 16, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:35.105000', '2023-08-07 15:36:35.105000', '1', '1', NULL, 'eb9e5ab34ecb098711c58ec600e55ccb', 'F7-706_试剂柜-A_A2-3', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', 'A3A708C8460EEB1320B342A3F20AACD8');
INSERT INTO `batch_details` VALUES ('69A4DA57EFDFB2CC8D296700319A46E2', 'FBB60138B2ABD2F6F8F687BD8B9A6208', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:29.100000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:29.378000', '2023-08-07 15:57:29.378000', '1', '1', NULL, '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('6A1253F3BF851CDCAA136D8490BB1CFE', 'B418FACA9649D419E5E431F6E7CE651E', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:33:18.905000', 20, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:33:19.198000', '2023-08-07 15:33:19.198000', '1', '1', NULL, '7655b680f65a6470af4e6ee3818ee7d4', 'F7-707_试剂柜-B_B1-3', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '5B95AE5E2313D08348BD5BE268536A55');
INSERT INTO `batch_details` VALUES ('6A64358CC9402E5F26DF6277C358FB23', '37EC14A92B2C7E866BFD260E25F85F7C', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:33:09.844000', 8, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:33:10.120000', '2023-08-07 15:33:10.120000', '1', '1', NULL, 'dda3d50e55162b4528f6feb32946ffe4', 'F7-707_试剂柜-A_A2-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '3D226807C36C1D18DBC7297813B13B18');
INSERT INTO `batch_details` VALUES ('6A69D30941C4CD61C71A248848985C18', '9DC217BCDB6818B038302FCA7FD9B931', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:55.250000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:55.582000', '2023-08-07 15:56:55.582000', '1', '1', NULL, 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('6AEBE285CBDF0328B717D2B225CA580E', 'E4EC66567AD0607C304ACE2E7361EE1E', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:47.858000', 20, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:48.161000', '2023-08-07 15:34:48.161000', '1', '1', NULL, 'c64848f3e1c3140fe26e131b3505750f', 'F7-707_试剂柜-D_D1-4', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '852CE9CBD6B436F68D688A402695F76D');
INSERT INTO `batch_details` VALUES ('6C1426A44641759545E63AB890038E25', 'CFAB41DF055E344BB36ABB50670FBFD5', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:55.122000', 6, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:55.389000', '2023-08-07 15:36:55.389000', '1', '1', NULL, '9385d102cad285d69123ad6a279044a5', 'F7-706_试剂柜-D_D2-1', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', 'AE8DA3D53412700D208F293B371D83D5');
INSERT INTO `batch_details` VALUES ('6C1EB59CA41A8813EAD3B855445B5377', 'D0769DBBEAA4A089BDDF34E36C281D3E', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:36.356000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:36.646000', '2023-08-07 15:37:36.646000', '1', '1', NULL, '5eff609a8cc1e16248f784af8907b032', 'F7-706_试剂柜-E_E2-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '6383F0B5A10BAC90B888F8AD47E35EE9');
INSERT INTO `batch_details` VALUES ('6C9E15D6CAEC85E57D9784D2555E0D18', '3EE6A804F0BD45345F575E291FE51CD5', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:42.020000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:42.334000', '2023-08-07 15:56:42.334000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('6CEEBC01AF6021FA3AA2ED52A4393355', '387296ADD206403C03300FDF5BD15706', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:19.422000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:19.728000', '2023-08-07 15:57:19.728000', '1', '1', NULL, '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('6D2AA8C12D19D743628CC48B0EB540BF', 'EF96E47D2FBD67291224BFC4D1BC2D48', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:52.133000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:52.534000', '2023-08-07 15:57:52.534000', '1', '1', NULL, 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('6D30CFF9190E2364C77D93C895384230', 'D43185A0AE371887F613301E0A79DB9F', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:32.023000', 4, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:32.286000', '2023-08-07 15:37:32.286000', '1', '1', NULL, '7dc5b344b9decc98856cec750c5168ce', 'F7-706_试剂柜-E_E1-3', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '6FBC401C9E5B19213546A53CA42D6AE6');
INSERT INTO `batch_details` VALUES ('6E00B4432BAEB746F36445572CC6F8A3', '2112BAC200A40BFC1EFC281F203B8581', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:35.288000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:35.614000', '2023-08-07 15:57:35.614000', '1', '1', NULL, 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('6E68D784C0CF5C277FD06567C8870859', 'C3EB37DE63243380D56C9D4ADDAABC15', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:53.382000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:53.633000', '2023-08-07 15:56:53.633000', '1', '1', NULL, 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('6E9FD4A4CF351535C212772F7A193586', 'DCAE1F7C76C94101C24CF97F1EC7C757', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:31.349000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:31.747000', '2023-08-07 15:56:31.747000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('6EBB9C94E177EE8882EFE374BA9EB4B5', '3E01263EF648C15AFB8AD3E0AA11CB71', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:32.293000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:32.602000', '2023-08-07 15:57:32.602000', '1', '1', NULL, '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('6EF39CA0AE1C2E0207855983E16C8042', '8CA04A6ECEC74FF1359464D41A7E9FE8', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:33:12.690000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:33:13.009000', '2023-08-07 15:33:13.009000', '1', '1', NULL, '4ebdd8ebb8f820a73f6047675a895025', 'F7-707_试剂柜-A_A2-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'BF5246A842CE7979DEE86EEB874CFD9D');
INSERT INTO `batch_details` VALUES ('6F2FA53B2BA2E486DCA343A1FB20902E', 'CC7C5DE7B0B194A8FA17B60F41037DBC', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:39.659000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:39.931000', '2023-08-07 15:34:39.931000', '1', '1', NULL, '5ff780813a112e04ebbe6ed2a71ab1fa', 'F7-707_试剂柜-C_C3-3', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '1E2E748ABA35C4A76438D3DA113C4625');
INSERT INTO `batch_details` VALUES ('6F9AD77A5081A01D6F7E5C34FC74C2AF', '84ACBAF91044C57406C0BD690EA8EBF7', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:27.082000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:27.404000', '2023-08-07 15:56:27.404000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('6FA868F4F6DB520ABA3B1EBFC70EE8DD', '0CB7DAFC56EABCC0B55AA5A66F5699DB', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:40.290000', 5, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:40.539000', '2023-08-07 15:36:40.539000', '1', '1', NULL, '1f1031ca1792f71298724ac09acfac36', 'F7-706_试剂柜-B_B1-2', NULL, 'B84152270A4A03147E7BA602B85DC2B9', NULL, NULL, '706', 'E1F99CD392DC28E267B92AE04CE96C0E');
INSERT INTO `batch_details` VALUES ('7028B6C753D834E5EAACFC029514E1D1', '3E8FDD461EBA806650E74516F3ADC8B8', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:36.917000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:37.126000', '2023-08-07 15:57:37.126000', '1', '1', NULL, 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('707292CA4BBB77C33A39F93DFE44D08B', 'D5E96663026BBA20B74CEBC32CCB26CA', '2023-2', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:45.311000', 10, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:45.437000', '2023-08-07 15:37:45.437000', '1', '1', NULL, '0bb34e9b041dff3f06129c15bd49f8e3', 'F7-706_试剂柜-E_E2-3', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '1D7E10D3595F108104493C054B4AE28A');
INSERT INTO `batch_details` VALUES ('708127B93998D265B79649C483BE515D', 'CB4431FCF7DCB117206EE2BF3BBFE8D0', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:32.165000', 75, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:32.443000', '2023-08-07 15:36:32.443000', '1', '1', NULL, '27ed91eaeea8379e10a23a0d80bb0c6b', 'F7-707_试剂柜-D_D4-3', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '6067D68A9BED926C37C915D7E07E4155');
INSERT INTO `batch_details` VALUES ('717DE7549158F8ECF8022FE9F698A6F1', '64B16102ACD59AEE964BB265180554ED', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:33:09.298000', 4, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:33:09.619000', '2023-08-07 15:33:09.619000', '1', '1', NULL, 'dda3d50e55162b4528f6feb32946ffe4', 'F7-707_试剂柜-A_A2-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '4E65D5BF12D7B29DEDFDDFE1ACD5F9E1');
INSERT INTO `batch_details` VALUES ('72551565A9B65FD3E9C8D3012C6FFF57', '7BC86B864E1B7F03C8229B6C905142C1', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:38:03.671000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:38:03.980000', '2023-08-07 15:38:03.980000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', '0A522305BB79DAFAF60993FE46239DD0');
INSERT INTO `batch_details` VALUES ('7298A7EC5C83C53F07F1EFE11D5DB10B', 'E42D74AEFA3EBC8B2BBED2DA296F37DD', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:48.025000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:48.373000', '2023-08-07 15:57:48.373000', '1', '1', NULL, 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('72ECED6AFB241D79A9901BD15970FEED', '72888BBAEB536DF421C81FAC47CFBCB5', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:52.203000', 20, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:52.515000', '2023-08-07 15:30:52.515000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '03FB3EC3DB3B14709FB9AC19D53CA79F');
INSERT INTO `batch_details` VALUES ('73719C49671B6EE1ED114246F46489A6', '0C231ACA5EF0DEC02FF67865EECFFE4B', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:48.273000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:48.558000', '2023-08-07 15:56:48.558000', '1', '1', NULL, 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('737D47BA9F6B2A749CBDDA3B37914743', 'C6D1B52D55A793F26A8FBC1018677D08', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:25.010000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:25.371000', '2023-08-07 15:56:25.371000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('742DACB4F508A2862FC1F25392BB4689', '6E629920EA59F76170C1D34AB4308651', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:33:24.309000', 36, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:33:24.658000', '2023-08-07 15:33:24.658000', '1', '1', NULL, 'f59134f62115fee1d4e59dfe2e3f3ce5', 'F7-707_试剂柜-B_B2-1', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '36F525450A2CC833F124636EE6CF5E19');
INSERT INTO `batch_details` VALUES ('7503BC0C631AFD1D331990BD7E3D50DC', '29DFDF6EB0A01B98E17E8A769060D0F0', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:33:22.481000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:33:22.858000', '2023-08-07 15:33:22.858000', '1', '1', NULL, 'f59134f62115fee1d4e59dfe2e3f3ce5', 'F7-707_试剂柜-B_B2-1', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', 'C6B72472D9F0C82AC7AE8D12ABBAF678');
INSERT INTO `batch_details` VALUES ('7601A9B3E26DB0FA660D94AC4B325751', '5514D76AEC7663A8760CEC31E585F840', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:33.973000', 10, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:34.288000', '2023-08-07 15:34:34.288000', '1', '1', NULL, '0042d9473d2e7f8dabd1716e8eaa93bc', 'F7-707_试剂柜-C_C3-1', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', 'E5909A9F033321BFF71AD261BED85BDE');
INSERT INTO `batch_details` VALUES ('7788FADA1EAD27EC55391606E104A0A9', 'CFD74B53D280B5BF32588F0BDB46FF3F', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:45.292000', 25, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:45.566000', '2023-08-07 15:30:45.566000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '7A6BD278CC4A08BCDA256DC1EFD3957E');
INSERT INTO `batch_details` VALUES ('7830537D936C20A95BC4E208D55ECA0C', '36766EE82D7F5DB50860D5E6E63BAE01', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:44.620000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:44.977000', '2023-08-07 15:57:44.977000', '1', '1', NULL, 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('790704BC57E7DB8360D2ACF35899FA1B', 'B559F7629E11A11B40656F42BEB87F62', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:45.390000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:45.663000', '2023-08-07 15:36:45.663000', '1', '1', NULL, '9eab0c91375efa5608f8248a29d697f5', 'F7-706_试剂柜-C_C1-4', NULL, 'EA39B525D5DC678C4CA7F95C4CAC7F53', NULL, NULL, '706', '98F2C83091308E729750639DF2F94768');
INSERT INTO `batch_details` VALUES ('7ABA1106DAE7B56BDC3F0F5DE9E71A3D', 'A746C67225BF08B6787F64EE2C5BB110', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:50.924000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:51.236000', '2023-08-07 15:57:51.236000', '1', '1', NULL, 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('7AFC1AEC8FB707B82E843D075005F39A', '76EEC9D73AB357084EC104E62BD92D4A', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:51.573000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:51.797000', '2023-08-07 15:56:51.797000', '1', '1', NULL, 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('7B33C086A070C6301C1D2726906A5E96', '3E760A28E352B043E9F92D5AA60E5B34', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:33:20.586000', 11, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:33:20.962000', '2023-08-07 15:33:20.962000', '1', '1', NULL, '499b443a4bf686a9c7b3e40b5537f5b2', 'F7-707_试剂柜-B_B1-4', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '07E98C9AAF91A43EBA55469EAEFB9758');
INSERT INTO `batch_details` VALUES ('7C0741F3C1EEF02EB22D7C386576F305', 'BE67739BEC2CCA4DF7F1F19EFDAF7C99', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:45.673000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:45.932000', '2023-08-07 15:37:45.932000', '1', '1', NULL, '75bb1e5693ddf7d3f83365fc7ce874a2', 'F7-706_试剂柜-E_E3-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'DA7395E6839CFAD00AF01FE66066603A');
INSERT INTO `batch_details` VALUES ('7C9F20E1454696E9AEE9D6DF0D0B1283', '7223CB915C2C025FCE968C9C46ACED2D', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:29.291000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:29.630000', '2023-08-07 15:56:29.630000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('7CFCD4F88DE007301B388D93355B88F5', '40B394518CF71333BFBFFD34D6D73B59', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:44.312000', 5, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:44.634000', '2023-08-07 15:34:44.634000', '1', '1', NULL, '4e49d8c191425016848c7023a6790c06', 'F7-707_试剂柜-D_D1-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '355B38F4AE2F1F6E44C82DD2FD2E0737');
INSERT INTO `batch_details` VALUES ('7D7ABA9072C7E96604C38E957F6DB8C2', '32B72E5882C99F62580C1875F918645B', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:32.707000', 5, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:32.989000', '2023-08-07 15:37:32.989000', '1', '1', NULL, '5eff609a8cc1e16248f784af8907b032', 'F7-706_试剂柜-E_E2-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'E632EFB5C5CCA1182C9C50F98415D28D');
INSERT INTO `batch_details` VALUES ('7E4D80792D59BACFB400D226FC6A2A54', '9745C95B6BD0EF237010F603C006D38D', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:30.728000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:31.027000', '2023-08-07 15:56:31.027000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('7E6FC577464A14DBA95B5072368F222C', '84BBD6F82D391A8ADD6A35338E3887CF', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:40.838000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:41.114000', '2023-08-07 15:56:41.114000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('7F1D7C21EA7F5D950D9FD30CDB3D2537', '2B6630C0BCB0DC3CB06B075759317FCB', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:28.543000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:28.924000', '2023-08-07 15:56:28.924000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('7F2DE04EA6A641FD92B8264556C249C3', '90307EBDE9DEC23F2A04D0996EA41439', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:39.763000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:40.039000', '2023-08-07 15:30:40.039000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '211371159AE4F54E9F068FFAF77BCF55');
INSERT INTO `batch_details` VALUES ('7F76E8C58DD2EC7A45C7874B0E87A729', '3FD37486C97275CC3C7E92202400B323', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:25.234000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:25.492000', '2023-08-07 15:57:25.492000', '1', '1', NULL, '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('7FC22E4B1653A5E9C19F379CD4855521', 'E5F29620429CC1273A7D0F3566493755', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:33:06.073000', 3, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:33:06.351000', '2023-08-07 15:33:06.351000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '9F301C958DDE2D7F4F69E67BCF8AA580');
INSERT INTO `batch_details` VALUES ('7FEA827B2ACAAC6DA1CAFDDBD0D1F127', 'C1CBD27CD4B933F46F41AA051C1A8E1A', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:33:07.502000', 3, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:33:07.854000', '2023-08-07 15:33:07.854000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '216610B67A14F419D97EB7A059612740');
INSERT INTO `batch_details` VALUES ('8157C935CAC7C16CEE63A5E0960A5B69', 'D2542D5CB1188FEF44B169877F528457', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:47.309000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:47.653000', '2023-08-07 15:57:47.653000', '1', '1', NULL, 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('831157AE0FB3BD600831A71BB64A340A', '00ABD938A01FDCE2D924D6C2C4095FEA', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:44.755000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:45.031000', '2023-08-07 15:36:45.031000', '1', '1', NULL, '5ed98268a70fc33b0473b62598cef3be', 'F7-706_试剂柜-C_C1-3', NULL, 'EA39B525D5DC678C4CA7F95C4CAC7F53', NULL, NULL, '706', '3DEE8E91A090E479A0177096207FE8E1');
INSERT INTO `batch_details` VALUES ('8372A21E612A84614303565870C5B961', '6794CF6BD57806BA6767C32FCE13C04D', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:36.169000', 6, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:36.457000', '2023-08-07 15:30:36.457000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'CAD40783D2A16EAC083B6BECC6C7030D');
INSERT INTO `batch_details` VALUES ('845EEB573D97D38A1C865AA52717964E', 'A69B413FA100E9A68E0C64E0025F5DFD', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:14.944000', 19, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:15.242000', '2023-08-07 15:34:15.242000', '1', '1', NULL, '3854518756e7994ee5876d7e9e861cdf', 'F7-707_试剂柜-B_B3-1', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '505E6875657AEC06475678AEBDE6B4DE');
INSERT INTO `batch_details` VALUES ('84BC90B29A18A537AAC44503B2335353', 'BD822A7214C3B93D40CB035FC6B25F98', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:25.868000', 16, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:26.190000', '2023-08-07 15:34:26.190000', '1', '1', NULL, '7cf58321f48a1cca620f8964f4421544', 'F7-707_试剂柜-C_C1-2', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '7AE1C4F046AFAC96AA10E4247EE83DF4');
INSERT INTO `batch_details` VALUES ('84BF80497B2DED1BD13B44EF73499A34', '0CEC46B1FA6BBE13F85D8AADD37C3C3C', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:33:19.423000', 10, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:33:19.746000', '2023-08-07 15:33:19.746000', '1', '1', NULL, '7655b680f65a6470af4e6ee3818ee7d4', 'F7-707_试剂柜-B_B1-3', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', 'B00AF8EE086231B0AA38C79170D40D28');
INSERT INTO `batch_details` VALUES ('85E1CEE362AB2FD27582FCD0675F25D1', '21A9917340AF6E40B7FFD9FE11467C21', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:26.691000', 160, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:26.960000', '2023-08-07 15:30:26.960000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'E9B6BE918FC1EE290BA2917290F2ABB5');
INSERT INTO `batch_details` VALUES ('86113BCB5D95A8B3CD46056426C79320', '34F4E082091551484689184912A74A97', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:32:58.534000', 5, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:32:58.801000', '2023-08-07 15:32:58.801000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '2D9729D048D9C559F3FFB665F6B2E18E');
INSERT INTO `batch_details` VALUES ('866441B91799CC438950FB68149DA2B2', '4A7352C4D15165C2E6C53BE0990977B5', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:58.559000', 19, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:58.876000', '2023-08-07 15:36:58.876000', '1', '1', NULL, 'bce0bfb02df0b406c2891ac97e00bb61', 'F7-706_试剂柜-D_D3-3', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', '411102F1C6C221FB5C5481AEDFF7AD15');
INSERT INTO `batch_details` VALUES ('8743858BE4958759BB747E6C7C589126', 'BD0D250A563B4769B81C333DF903116A', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:33:25.005000', 41, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:33:25.267000', '2023-08-07 15:33:25.267000', '1', '1', NULL, 'f59134f62115fee1d4e59dfe2e3f3ce5', 'F7-707_试剂柜-B_B2-1', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', 'AC7229684696DC32C9B1B9EBBCA0F0F7');
INSERT INTO `batch_details` VALUES ('8765E3BCFE3CDE263947143F99502FCC', 'AFCC23830CA9F666A988A0FD599BD69B', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:20.747000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:21.103000', '2023-08-07 15:57:21.103000', '1', '1', NULL, '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('8784902254B1692143E74762A9ABA53E', '60EA12A9A5DDC698D45B918A1DA30A23', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:59.622000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:59.902000', '2023-08-07 15:37:59.902000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', '60EEDE23F2FB97C47DD30B6B3557F62C');
INSERT INTO `batch_details` VALUES ('878E53222FD8D2B1690DD2A2E82394C9', '339B3F5D370C1B2244F28F81BB46ACF9', '2023-2', '1', NULL, NULL, '2023-08-10 00:00:00.000000', NULL, '2122-08-10 00:00:00.000000', NULL, '2023-08-10 11:44:57.000000', 800, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-10 11:44:57.000000', '2023-08-10 11:44:57.000000', 'd55ac39af1c11d7a61e7580a5a56a97a', 'd55ac39af1c11d7a61e7580a5a56a97a', NULL, '029e9facf01df4463e0cfc021f2387b5', 'F7_706_试剂柜-D_D1-1', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, '779167B030DE5498CD3E41AD6FF856D7', '706', 'A3125776E17F39AC09F9B77A9D78B25C');
INSERT INTO `batch_details` VALUES ('882DCF7C6285A78FBB0EDB494AAB38F1', '0BF80257D3DC02AE798288E86AFCF152', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:44.763000', 30, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:45.058000', '2023-08-07 15:30:45.058000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '7C1FFCF012B340E66B6FCE77859DBAC6');
INSERT INTO `batch_details` VALUES ('891542BBDA4DD321B14A23EDFD6A1B5B', 'ABD39F8CC544E8130B0EA0183E6C7E1C', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:26.398000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:26.655000', '2023-08-07 15:36:26.655000', '1', '1', NULL, 'b94df56e494e48d772b74c6d1566de9a', 'F7-707_试剂柜-D_D3-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '7B917E2ABCC5B9DB687AA3B5EAE29E2B');
INSERT INTO `batch_details` VALUES ('89B419EC3F5A7D8B8B779CA4AD642E95', 'BD1C008D85DA80C9000304B96260F8EB', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:33:11.941000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:33:12.255000', '2023-08-07 15:33:12.255000', '1', '1', NULL, '4ebdd8ebb8f820a73f6047675a895025', 'F7-707_试剂柜-A_A2-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '213684C2E7D9985F3FDC9B78C91FE20C');
INSERT INTO `batch_details` VALUES ('89E224B21EBAF05473C2142432F8C7BC', '6632A407EC3F054B0C1DEEE2EFD62C0F', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:18.195000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:18.513000', '2023-08-07 15:56:18.513000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('8A9D5D85711D50E5EDDB57AE9187ADC6', '1142B7F1289C9CF694DF660E94D80804', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:12.598000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:12.939000', '2023-08-07 15:57:12.939000', '1', '1', NULL, '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('8B39D4BE9D587931BB86D6C17D44AFD1', '9B1A0CF8BC5BE2959D388E3914E6A385', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:38:04.302000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:38:04.627000', '2023-08-07 15:38:04.627000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', 'DE38EE88A2431E86D8AADC4B44979CEF');
INSERT INTO `batch_details` VALUES ('8BB2A774115E29E4F3CAE5DAA5A2D6AB', 'EA52952E1A473C9417094B74908D3EFC', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:16.266000', 19, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:16.584000', '2023-08-07 15:34:16.584000', '1', '1', NULL, '55e5081784af82837467649da44000e2', 'F7-707_试剂柜-B_B3-2', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '9F24C4F1F30146B056F10AA08EA7927C');
INSERT INTO `batch_details` VALUES ('8C0BB80F683BA3184AEBCD658EF9E97A', 'EDC6A983C12A430AF351853444915011', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:53.356000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:53.577000', '2023-08-07 15:37:53.577000', '1', '1', NULL, 'e896b9f64d79b125e2d3c0a6d30bc337', 'F7-706_试剂柜-E_E4-3', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '5568B8EDB32866BE65717F2A7C2830D8');
INSERT INTO `batch_details` VALUES ('8C160218A3F272F5F7D56566642FB851', '6E165AB62108CAD71A3F4CD41D1DA535', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:41.886000', 5, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:42.151000', '2023-08-07 15:30:42.151000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '7D61638408236A11ED9DD41CFF2A2744');
INSERT INTO `batch_details` VALUES ('8CDD9669F723CD4B037C2BCB191F3805', 'B9190D8B708923A6672E6AF50C11C8FA', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:25.187000', 13, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:25.465000', '2023-08-07 15:34:25.465000', '1', '1', NULL, '7cf58321f48a1cca620f8964f4421544', 'F7-707_试剂柜-C_C1-2', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', 'F56EFBF2F8DDA9983A575AD688E85277');
INSERT INTO `batch_details` VALUES ('8D2334C514BD91E71F171EF838DCDDD9', '6A25EA5B63DDDF0FA28F88C5D6F74073', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:02.390000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:02.757000', '2023-08-07 15:57:02.757000', '1', '1', NULL, '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('8D2C1E1AA6D095F423FCC7D9CC15A834', 'E6C2F213700F55E71DB205430E1C4B96', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:30.089000', 10, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:30.421000', '2023-08-07 15:34:30.421000', '1', '1', NULL, 'cc1e723a600df519bb30716aed1a65b4', 'F7-707_试剂柜-C_C2-3', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', 'F2BC224DD685FEAED683350BAA24C756');
INSERT INTO `batch_details` VALUES ('8E379C99B1047A46A60A7508A6EF92C4', 'D5C8A0F5C1FE7DC02A69D8CBAA8E3DA9', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:16.749000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:17.074000', '2023-08-07 15:56:17.074000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('8ECC9D87F0E44358A0ABAF3DC08766D1', 'F453B5FFA94EBF8EB09B6DD3ED40F780', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:46.730000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:47.026000', '2023-08-07 15:56:47.026000', '1', '1', NULL, 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('8F382B804783CD9DF8CFEFBA4744F71F', 'C985A18B6399B84664937BBA5C48BA15', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:47.194000', 19, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:47.453000', '2023-08-07 15:30:47.453000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '9403BA0E47FE110D5314ACFA126BF65E');
INSERT INTO `batch_details` VALUES ('8F50027FCC71C5DBF951204F7AE8698F', '07DCC727A0508E50FC1268B4660CAAC0', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:32.905000', 9, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:33.220000', '2023-08-07 15:36:33.220000', '1', '1', NULL, '2eabf5d1aeb6485633565f266eb2ef84', 'F7-707_试剂柜-D_D4-4', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '8099684F002F02D763F46B6F82ADE673');
INSERT INTO `batch_details` VALUES ('9002CC8A413CD8FAF749DDA0945BDE38', '7724DAEA32E995510233203B1432FFE5', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:21.655000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:21.968000', '2023-08-07 15:56:21.968000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('93182719DCC64A3BA3C319DC9EAA6732', '22A26E996A14847A5E252113DCE1B2BE', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:44.296000', 26, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:44.540000', '2023-08-07 15:30:44.540000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '6E064718AE991136D4E1EDCCEE3BF0A6');
INSERT INTO `batch_details` VALUES ('9340DC5E9B9551F324B3DE5656342580', '111DD90CF9F4C8D0F89AC923433AAB56', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:51.022000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:51.290000', '2023-08-07 15:56:51.290000', '1', '1', NULL, 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('94047D87AAFA67805A23C8E5A32E3AC5', '6876DF3FD8FE536131B731250D92867E', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:29.580000', 10, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:29.869000', '2023-08-07 15:34:29.869000', '1', '1', NULL, 'cc1e723a600df519bb30716aed1a65b4', 'F7-707_试剂柜-C_C2-3', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', 'F406FCB64D8DC8914B5078F0597F7666');
INSERT INTO `batch_details` VALUES ('9449B0CBAD5816C53D01A060E93279E1', '9AF7BE84B061F525A1FC0A31A98E3A71', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:55.998000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:56.297000', '2023-08-07 15:37:56.297000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', '40A13C4095DD2401432FD287B2BAFDBE');
INSERT INTO `batch_details` VALUES ('947A6B44DF5E79F44CD95FDA751BB343', 'DCEE176011B51D38A4F207FF0B9705EA', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:25.291000', 160, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:25.546000', '2023-08-07 15:30:25.546000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'E4F162E520541092F4632D5860B7C539');
INSERT INTO `batch_details` VALUES ('94FCBAADA2F0274DF47E140F1ACF51DD', '4B0ED03A7BAB3C04098E7FEB5130FE61', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:29.659000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:29.986000', '2023-08-07 15:57:29.986000', '1', '1', NULL, '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('950F7C08C8C06BAC2B6C8783E76EFA84', 'B18F3061B042DE96BB195DFCA9923818', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:37.532000', 18, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:37.844000', '2023-08-07 15:34:37.844000', '1', '1', NULL, 'e48349ea644fd3c1035e9a83a4890f9c', 'F7-707_试剂柜-C_C3-2', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', 'BA6933977E4E06DDCB457330CCA9E5FA');
INSERT INTO `batch_details` VALUES ('9529BE09CD57C495410D5BFC809106AE', '0B6C86C49AC0719FF5AA2DBF33DAF4FA', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:57.853000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:58.139000', '2023-08-07 15:56:58.139000', '1', '1', NULL, 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('97F034EE8C7DFE05B64F32C8353046A1', 'CD58E22C593C7B6CC2D3F8C708A17F42', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:38:00.320000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:38:00.568000', '2023-08-07 15:38:00.568000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', '3F42DC01DEFFFF40E41299BC7CC7C9E3');
INSERT INTO `batch_details` VALUES ('981C769A2ECC91ABEB33B4D69C495686', 'BC4C089AB87B5339103B775C0BF344A9', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:04.461000', 5, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:04.726000', '2023-08-07 15:37:04.726000', '1', '1', NULL, 'b92a5ca88d157557618e1da8d096b96d', 'F7-706_试剂柜-E_E1-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '483A42835B860A765088E8146DFBE47E');
INSERT INTO `batch_details` VALUES ('98527F69CDC214E483B68A470A6BB3D9', 'F57BDCC7EAF93ACB6C0D5F0F59D58CDE', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:22.848000', 19, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:23.115000', '2023-08-07 15:36:23.115000', '1', '1', NULL, '520eaf3711a30b76cda447d5f94c20a8', 'F7-707_试剂柜-D_D2-4', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '5C3B49090C6505BAE4582E5D4975DB74');
INSERT INTO `batch_details` VALUES ('98BACEB87310DA993D45B57F7CF50051', 'CEDA8B2CFB1127D608F6F2D19C66380A', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:21.111000', 45, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:21.388000', '2023-08-07 15:36:21.388000', '1', '1', NULL, 'cbf6e4dd457b2730e3142568f935fcfc', 'F7-707_试剂柜-D_D2-2', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'C169514B4A4DD475BD87848DB0C3CEEE');
INSERT INTO `batch_details` VALUES ('98F87D6770A153CBA99D7923375D287B', '512F56501371CBB0C0BF694590D03ABC', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:40.515000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:40.773000', '2023-08-07 15:30:40.773000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '1C1391B8EE3960EA8CC994BC92D13D78');
INSERT INTO `batch_details` VALUES ('990A5109DD702834D8DF5F685E00674C', '911136512EF07D2864FC259D5EAB8F22', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:19.363000', 15, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:19.718000', '2023-08-07 15:34:19.718000', '1', '1', NULL, '55e5081784af82837467649da44000e2', 'F7-707_试剂柜-B_B3-2', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '9B26E7231E3CA25B169EEC1602D19C6C');
INSERT INTO `batch_details` VALUES ('9A718219B887F7AD214C5BCCEA448B80', '6541864C32DA61EBA80D8C297C88C406', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:17.530000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:17.883000', '2023-08-07 15:56:17.883000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('9B410DAF96439B85E3748CF23C93021E', 'D2EFE130B99EBD24C51B7897CF6075F2', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:27.645000', 17, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:27.931000', '2023-08-07 15:36:27.931000', '1', '1', NULL, '9c89e7eba1b9f07fadccee3cb8ca1b48', 'F7-707_试剂柜-D_D3-3', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '34A30E68A2A191EFAF5194FDD1AD9CE0');
INSERT INTO `batch_details` VALUES ('9C393E7C53A72B5F23185BBC737EF231', 'F58F9055AA1FAEA4346BEBD765152381', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:23.410000', 20, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:23.668000', '2023-08-07 15:34:23.668000', '1', '1', NULL, '0b4e3c79988b8fc357b3a0f5443aa63e', 'F7-707_试剂柜-C_C1-1', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '53E203A78DFC0BCB73992DD6799C1E50');
INSERT INTO `batch_details` VALUES ('9C41FE804678A578F2BDAABFC04E2F1C', '581908AA4FC444D214EBB652C18FB1FF', '2023-3', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:43.450000', 13, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:43.605000', '2023-08-07 15:36:43.605000', '1', '1', NULL, '361ea4b8d57b1cb3f427b559c6242514', 'F7-706_试剂柜-B_B3-3', NULL, 'B84152270A4A03147E7BA602B85DC2B9', NULL, NULL, '706', '1CED7559045BC10E130033AD4376650E');
INSERT INTO `batch_details` VALUES ('9C6DAA7C6700CA9AAE532E6FD7DC6DAE', '5AFD18F1A777C35598D6FAB9FBECDBD6', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:26.351000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:26.730000', '2023-08-07 15:56:26.730000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('9CE827A9E6C91A91D74A268D5A73A650', '9AF1CB012642B4C7D56B78F30411570C', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:58.369000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:58.723000', '2023-08-07 15:56:58.723000', '1', '1', NULL, '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('9D3AEA97B51DFE9F9921AAB72F0A19B9', '16B567ED5385402FEE7C22B13A33605D', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:50.914000', 5, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:51.195000', '2023-08-07 15:36:51.195000', '1', '1', NULL, 'd44d1d51a3315a64708412a81c6e4e8d', 'F7-706_试剂柜-D_D1-2', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', '07C2804EA792831C7D774354AD3FD750');
INSERT INTO `batch_details` VALUES ('9F00B288348418A7C1AF4D6903FA8FB5', 'B97563C053CD04908B19884308BE651E', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:45.886000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:46.144000', '2023-08-07 15:36:46.144000', '1', '1', NULL, '9eab0c91375efa5608f8248a29d697f5', 'F7-706_试剂柜-C_C1-4', NULL, 'EA39B525D5DC678C4CA7F95C4CAC7F53', NULL, NULL, '706', '8C7AA7B6854234F653EEB469E1DFE92B');
INSERT INTO `batch_details` VALUES ('9F6A42402CE83F0F316DB13D858D538A', '925A218CE4B6FDC42CA9C35E16DC1FBC', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:24.547000', 170, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:24.820000', '2023-08-07 15:30:24.820000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '2F332EFEC48901084BFE8210D36012E2');
INSERT INTO `batch_details` VALUES ('9FA911B138726574F127D4D99D3C5EC7', '8E38A8F79305ECC17FE2ADC0603EDF3B', '2023-3', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:57.126000', 19, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:57.277000', '2023-08-07 15:36:57.277000', '1', '1', NULL, '7f087c99e409ccf451b4d97a30c8f4b1', 'F7-706_试剂柜-D_D2-3', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', '4F36E56264275B7520764FA169B20D77');
INSERT INTO `batch_details` VALUES ('A030693FD1F69A81F359D7F5C0121E56', '35E21486BC08E63FE7E6AA1C9352E605', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:19.539000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:19.820000', '2023-08-07 15:56:19.820000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('A0875A347F4A014AFC8204087C895079', '67176A19B94BA8BC86E018D86F874B28', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:45.502000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:45.811000', '2023-08-07 15:56:45.811000', '1', '1', NULL, 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('A17F9EB9ADD8151E25758A3E5E35D795', '8FE3706AB1DE067AE3FA8E9287EA9035', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:55.794000', 11, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:56.101000', '2023-08-07 15:36:56.101000', '1', '1', NULL, '0e6d04ffce66ad909f95d4e2b1beec33', 'F7-706_试剂柜-D_D2-2', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', 'D552FEFD6D1FAC452FDBFCDC53261C5A');
INSERT INTO `batch_details` VALUES ('A4496BA22C2A26DD841F7D8B2A62891A', '23EB4310EF1C2DCBCD7B79A3348BE58E', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:50.380000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:50.668000', '2023-08-07 15:56:50.668000', '1', '1', NULL, 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('A683A12C59C1754784BF6D8D958F32D1', '325DFC851CA9E0B72CD8A80CBF5D5AFF', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:49.718000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:50.014000', '2023-08-07 15:56:50.014000', '1', '1', NULL, 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('A8113FD2D56FF743DB77D1F02D8B0576', '9419E6A99EDE20441BCCB15B2FD8D4E5', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:41.676000', 4, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:42.021000', '2023-08-07 15:34:42.021000', '1', '1', NULL, '5ff780813a112e04ebbe6ed2a71ab1fa', 'F7-707_试剂柜-C_C3-3', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', 'F0FA08FDB1A06A560B270B0E09806E2D');
INSERT INTO `batch_details` VALUES ('A897C640B93A1EC4EBA82147A8C452B8', 'A00CCE55A247EF0B287D885604D6E31D', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:40.034000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:40.364000', '2023-08-07 15:57:40.364000', '1', '1', NULL, 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('A8F51AD844444FCDCC68C786160287C9', '631314CDF9F0808DC4CA1AC320B7FE44', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:32.791000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:33.119000', '2023-08-07 15:56:33.119000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('A96401DE05A2965664550102858C5794', '66AE545C0E0CEEE55395531B9EC95FB9', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:37.903000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:38.212000', '2023-08-07 15:36:38.212000', '1', '1', NULL, 'c09176dcda4c53e3a73bed226c4d6b08', 'F7-706_试剂柜-B_B1-1', NULL, 'B84152270A4A03147E7BA602B85DC2B9', NULL, NULL, '706', '94AF1BED3ED965262F5F2391080A6AA0');
INSERT INTO `batch_details` VALUES ('A98B89E1754A14926144E47F2CAE2594', 'B1CA941C6466781AF01A56FB84A3B71E', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:33:17.452000', 18, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:33:17.867000', '2023-08-07 15:33:17.867000', '1', '1', NULL, '7655b680f65a6470af4e6ee3818ee7d4', 'F7-707_试剂柜-B_B1-3', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '789A1AEA5D866488CE1B2A3F47BE1B16');
INSERT INTO `batch_details` VALUES ('AA35AB2A7FA59F0FD850D1F3DDCB5F4A', '371E4C0355F48CE648ECE2594E4F9185', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:32.816000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:33.057000', '2023-08-07 15:57:33.057000', '1', '1', NULL, '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('AAF92281721CD064824A4964442C664E', 'EB5AE2245EFC5B0821537F79445DA77D', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:03.004000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:03.295000', '2023-08-07 15:57:03.295000', '1', '1', NULL, '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('AB18BB37382E821A72D139CAC58E849F', '13EA2924C54BDDBD5344462854BD25D6', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:51.409000', 18, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:51.828000', '2023-08-07 15:30:51.828000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'D5C5F384549886F2A86008C3ACD220C9');
INSERT INTO `batch_details` VALUES ('AB4EEAE5FCC3F26268ABF86C639F118C', '06A6A9DCB6A093E405C92326E7008731', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:32:51.703000', 20, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:32:52.018000', '2023-08-07 15:32:52.018000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'FC236278820E9876DD34A91FEFDD91EF');
INSERT INTO `batch_details` VALUES ('ACD0ECC859DDC08030C4CC2DB13F46EF', '5BAD68C61BDD25810D606D47EE9E9259', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:33:01.799000', 6, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:33:02.086000', '2023-08-07 15:33:02.086000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '12DF34B6F6B999C953414D41ED5C5D6B');
INSERT INTO `batch_details` VALUES ('ACEE7DDE17C15C418949A1C62F330FFD', 'E7C59C214FC39AB21686E165A1394A52', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:25.949000', 100, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:26.259000', '2023-08-07 15:30:26.259000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'C4B3FA4CA7B8DA9FCD5E45096CC50CA9');
INSERT INTO `batch_details` VALUES ('AD057392784FC137F38C4B9FEE349EDF', 'F341F34C013E73017943F083D3610CA5', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:23.178000', 400, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:23.444000', '2023-08-07 15:30:23.444000', '1', '1', NULL, 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'A1A1A00320D465AC84FE17A653087AD2');
INSERT INTO `batch_details` VALUES ('AD0E500FAE759E73137FC7299B364B3A', 'BF80DE9513C1381C8ABBE0CD022A09A5', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:42.949000', 19, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:43.261000', '2023-08-07 15:34:43.261000', '1', '1', NULL, '4e49d8c191425016848c7023a6790c06', 'F7-707_试剂柜-D_D1-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '884E8EA245E3CABC0AC0BA04DBA168EE');
INSERT INTO `batch_details` VALUES ('AD8F37000D7CDF01B69A8D29B322407C', '198E86E88F34CFD8AD8F040346773E65', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:24.000000', 0, -1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:24.000000', '2023-08-07 16:58:28.000000', '1', 'c4a61eae81712e03f58a1922f8be27de', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('ADA1DF78720BF56168BEF97406B4DA4F', 'E21D49C4BC1F36FFB63822CC05FBB3D3', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:32:57.343000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:32:57.610000', '2023-08-07 15:32:57.610000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'ECBD291E9AE4DD32DC5CB97A24F4C0FA');
INSERT INTO `batch_details` VALUES ('ADFEA3AA54FC1CA002691894E10650C7', 'DE613573D93AD3B3CD4C9DC91226E52D', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:33:28.207000', 5, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:33:28.531000', '2023-08-07 15:33:28.531000', '1', '1', NULL, '89ebc6fe97fc3ab2dec49c03d225e4ab', 'F7-707_试剂柜-B_B2-2', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '641C24C1290261A1AFA70444C6745565');
INSERT INTO `batch_details` VALUES ('AE1ADB91CBAD631AA3C46361FC1AF6D6', '7ECBA4E3714B858D62362492F11E0804', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:23.762000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:24.123000', '2023-08-07 15:56:24.123000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('AEDB047D5AEFB12730E847D197D6D99B', 'F75864EAC540F14FCD9A173D86BE56B5', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:02.180000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:02.535000', '2023-08-07 15:37:02.535000', '1', '1', NULL, '1f529f67270eac072f2ac17b583a1754', 'F7-706_试剂柜-E_E1-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'CDA0AFA95F01D3214617AAC4E15EDFC4');
INSERT INTO `batch_details` VALUES ('AF2A820B188E2C381247DB8A67013F9F', 'EB58F785EAA72E73D49C7DB39945383F', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:20.707000', 400, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:21.044000', '2023-08-07 15:30:21.044000', '1', '1', NULL, 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '41561E87F072EDC49E6EF4677E1FE703');
INSERT INTO `batch_details` VALUES ('AFD9969892BEE3C194611905B9FF7B3E', '581908AA4FC444D214EBB652C18FB1FF', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:40.895000', 13, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:41.133000', '2023-08-07 15:36:41.133000', '1', '1', NULL, '69946b21e1450afbeeeef59ebb483afe', 'F7-706_试剂柜-B_B1-3', NULL, 'B84152270A4A03147E7BA602B85DC2B9', NULL, NULL, '706', '1CED7559045BC10E130033AD4376650E');
INSERT INTO `batch_details` VALUES ('B15A8170D588ABAA5D970F055CC87D9D', '0EB1524033A71667DE18A5C51580F12F', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:41.179000', 3, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:41.421000', '2023-08-07 15:37:41.421000', '1', '1', NULL, 'e12c1ffbe42606dd02973fe424f420e3', 'F7-706_试剂柜-E_E2-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '3528CC3BF71C8DB4EA399BD26204B0A5');
INSERT INTO `batch_details` VALUES ('B17F6DFE68AE959AB3F27D766F5B2180', '1BD2B8168F9F1876F6DF956B7A6E5BBC', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:49.790000', 20, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:50.089000', '2023-08-07 15:34:50.089000', '1', '1', NULL, 'c64848f3e1c3140fe26e131b3505750f', 'F7-707_试剂柜-D_D1-4', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'F2EF2A52C85EFB41ED42CA1258B79597');
INSERT INTO `batch_details` VALUES ('B1B1D2F65063B0350BAC4BB9B50C58E9', '47B27E5D5B7AC4DC611AF3C7622B905E', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:35.836000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:36.132000', '2023-08-07 15:57:36.132000', '1', '1', NULL, 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('B27D09172BC8360624E8A061250CDEE4', 'ED4F4EA2EEE6DDF99CA83EC34F301C89', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:46.756000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:47.093000', '2023-08-07 15:57:47.093000', '1', '1', NULL, 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('B2F4BCACCC4B248EC70188A8B86CC4F5', '230D980EAC673FB53425089F596F67D2', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:22.365000', 19, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:22.621000', '2023-08-07 15:36:22.621000', '1', '1', NULL, '520eaf3711a30b76cda447d5f94c20a8', 'F7-707_试剂柜-D_D2-4', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '9CEF8291AEB760940056CCAE34F07BD2');
INSERT INTO `batch_details` VALUES ('B31B9DF7B10A12E7836D92C04AA286A6', '4D32D027A6C63E1642263521E944B1F4', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:32.407000', 4, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:32.791000', '2023-08-07 15:34:32.791000', '1', '1', NULL, '0042d9473d2e7f8dabd1716e8eaa93bc', 'F7-707_试剂柜-C_C3-1', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '43FF98996E240623A3D106E5AC62862B');
INSERT INTO `batch_details` VALUES ('B39BAF952445B25F60AD03D77B86FB76', 'F5EFFAF49A2F2CA5C7B2A127D612F9EA', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:13.549000', 16, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:13.798000', '2023-08-07 15:34:13.798000', '1', '1', NULL, 'dc73321545d667bd25e1ff9bfb125654', 'F7-707_试剂柜-B_B2-4', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '82FADA15EF427389F51FD3B953B1E90D');
INSERT INTO `batch_details` VALUES ('B4062C9AF9A98EB91C2AA7E4F320D882', '2C568267F1875F1DB9071511FDA4DE0F', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:47.707000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:48.071000', '2023-08-07 15:37:48.071000', '1', '1', NULL, '75bb1e5693ddf7d3f83365fc7ce874a2', 'F7-706_试剂柜-E_E3-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'D9C3CB4ACCBCA8C1A23AE53C39741579');
INSERT INTO `batch_details` VALUES ('B47DBCBB0708646D1C12CD9DDB8494C2', '2EEF7BD191749822AC4171A2F7174903', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:48.782000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:49.124000', '2023-08-07 15:57:49.124000', '1', '1', NULL, 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('B4CCD14FCF057061D6D1AE733DEFBE8D', 'FD220DC0DE7B09B464C75AA9DF95DD1B', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:15.351000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:15.722000', '2023-08-07 15:56:15.722000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('B5D6E1292499593A77AEEFA44AFCB7B5', 'C3AE40E2A1EAE5722367E3D51BBB6A38', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:34.843000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:35.161000', '2023-08-07 15:37:35.161000', '1', '1', NULL, '5eff609a8cc1e16248f784af8907b032', 'F7-706_试剂柜-E_E2-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'C0CDE8F5F19EDD9400375808FD2D6178');
INSERT INTO `batch_details` VALUES ('B83CAC4B45530954AF3CF008B0996C9D', '0D48CA983D7382041FDF0A204EB54C1C', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:21.861000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:22.260000', '2023-08-07 15:57:22.260000', '1', '1', NULL, '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('B84317153A57409E2DA2B60FEB84E7EA', '1C54C740376FEC3010D7B7E55C9F587B', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:43.711000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:43.991000', '2023-08-07 15:30:43.991000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'C6411F62B67BB233F4249116519EC6DF');
INSERT INTO `batch_details` VALUES ('B8F30809131FFDE1DE84E893CCF941D6', 'BBCF76BCC1F393560A92E7C53CE37E9A', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:36.801000', 19, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:37.104000', '2023-08-07 15:34:37.104000', '1', '1', NULL, 'e48349ea644fd3c1035e9a83a4890f9c', 'F7-707_试剂柜-C_C3-2', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '8AF9A1E4973B8AE26FE9FDD796D5E7AC');
INSERT INTO `batch_details` VALUES ('B933E6DD90700C25E05E9DA8B9081C31', '4A712DFDD826ED5C7139892A15BF7B64', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:20.622000', 9, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:20.899000', '2023-08-07 15:34:20.899000', '1', '1', NULL, '55e5081784af82837467649da44000e2', 'F7-707_试剂柜-B_B3-2', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '8623FB47E7F57C49B5B13B7A29B00699');
INSERT INTO `batch_details` VALUES ('B970A69649BE5AEE3F6F61B345127996', '27FBC2AC4A8EE1FC86CF4544347A835F', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:40.291000', 7, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:40.543000', '2023-08-07 15:34:40.543000', '1', '1', NULL, '5ff780813a112e04ebbe6ed2a71ab1fa', 'F7-707_试剂柜-C_C3-3', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '59879C86A4619D88015D19E1267F672C');
INSERT INTO `batch_details` VALUES ('B99D464259C468A72D76F0AFA08C8EEA', 'B3AF1BA79140F64CF01D67184D463477', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:32:59.138000', 200, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:32:59.455000', '2023-08-07 15:32:59.455000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '7D892F31D6FA9332B6CB94053CF909AE');
INSERT INTO `batch_details` VALUES ('BA8696E168ACA1D4740AD6F03E4C1E7C', 'F10CCC832EEABDD02095BA8E25703284', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:21.481000', 400, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:21.720000', '2023-08-07 15:30:21.720000', '1', '1', NULL, 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '922446C9643BDD5ABE078569A0795A2F');
INSERT INTO `batch_details` VALUES ('BB32E4D0097190C71C6747AE02EE943B', 'A405087A6BB42D7241BCAFA8BC433B2E', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:16.940000', 11, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:17.476000', '2023-08-07 15:34:17.476000', '1', '1', NULL, '55e5081784af82837467649da44000e2', 'F7-707_试剂柜-B_B3-2', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', 'B2A2F7886A37EAB9A0AE0451E8C55995');
INSERT INTO `batch_details` VALUES ('BBA1E83DD9CADA6D093AD45F0B71A506', '2DAAA0DFE89A1ECEF3ADF97DED7DFDA9', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:13.312000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:13.627000', '2023-08-07 15:57:13.627000', '1', '1', NULL, '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('BBA953CFEB19E192493964704FEA45D2', '15C22B1FE4742CCD46B57CF225661038', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:51.794000', 8, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:52.113000', '2023-08-07 15:37:52.113000', '1', '1', NULL, '3758207bf7407dd113a9bd57636a4e0a', 'F7-706_试剂柜-E_E3-3', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '7991E770DE07B6C008022CAE8CF089C6');
INSERT INTO `batch_details` VALUES ('BBC1AB9468A513F0A8A062B1A2FA64D1', '739A80444BA1FFA023808CA5D1DD3239', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:01.219000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:01.481000', '2023-08-07 15:57:01.481000', '1', '1', NULL, '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('BBD02AEEB40121567AFAAC9DBCED697E', '3B7178E1C928F3B2A0E47430F2DBB5F8', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:46.833000', 5, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:47.114000', '2023-08-07 15:34:47.114000', '1', '1', NULL, '7fee0fd4732d7c816a1afc079c2ca1b8', 'F7-707_试剂柜-D_D1-3', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'C898637DCC086701977F308E7CB85934');
INSERT INTO `batch_details` VALUES ('BC52F54665E277716D8D0B1242C2DF72', 'BD55A19CE547B89FF5BC2E6D2DEAB01C', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:46.283000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:46.534000', '2023-08-07 15:57:46.534000', '1', '1', NULL, 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('BCF27BDAB90DCA7DCEA8E82DB988131C', '9D6B1B8E8EE1E62F34CF27A387B74D23', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:49.971000', 18, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:50.269000', '2023-08-07 15:30:50.269000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'E63C23389B52A99FF89AFBFA7827C0BB');
INSERT INTO `batch_details` VALUES ('BD43CD666BF7C4EE28CA8DA34FBB53BA', '35DC319FD520E67B6AFBC1B702A9E242', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:22.823000', 12, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:23.097000', '2023-08-07 15:34:23.097000', '1', '1', NULL, '0b4e3c79988b8fc357b3a0f5443aa63e', 'F7-707_试剂柜-C_C1-1', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '90351A77D5704972BAA51668CE26C8CE');
INSERT INTO `batch_details` VALUES ('BD4BDF05F60342CDFF5DB9B2CE7BDADC', '16A77A05950C4FAF5722A10C3A0AF593', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:35.933000', 3, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:36.190000', '2023-08-07 15:36:36.190000', '1', '1', NULL, '35cea1f480155d71908002b4cc6a584b', 'F7-706_试剂柜-A_A3-3', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', '9059BA456C6C10328050B1DA7331BC0D');
INSERT INTO `batch_details` VALUES ('BD71E3890C0C9C5BE92ABA640E65EF19', '50A74CC26B0DC5C0C0025C54314363C0', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:41.000000', 0, -1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:41.000000', '2023-08-07 16:58:28.000000', '1', 'c4a61eae81712e03f58a1922f8be27de', NULL, 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('BEC6842E7A99CF4228A184734E1A90BA', '96B04F5297821C5927EF7FC938685D0E', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:25.742000', 14, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:25.989000', '2023-08-07 15:36:25.989000', '1', '1', NULL, 'b94df56e494e48d772b74c6d1566de9a', 'F7-707_试剂柜-D_D3-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '932465384FC0EFF3FEFF129037253281');
INSERT INTO `batch_details` VALUES ('BECB7017AE3A9840AB81BCD0FBC4DBFB', 'D66CEF5D4501CD296E38F20F776EEDDA', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:37.657000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:38.035000', '2023-08-07 15:37:38.035000', '1', '1', NULL, '5eff609a8cc1e16248f784af8907b032', 'F7-706_试剂柜-E_E2-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '003A0A9350EA3327B5A5962F07EC88A4');
INSERT INTO `batch_details` VALUES ('BFD32DCC695CD811BA6BC35E9C62F618', 'ECF752DFDFE95BB11E53BD7D6302DCAC', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:33.777000', 4, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:34.019000', '2023-08-07 15:30:34.019000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '4BC5B17DA45F4C108DA8206031DDB6CD');
INSERT INTO `batch_details` VALUES ('C006F1D79E87F2F0EEAD369D1D02C5C4', '7DC2C9E09F6EF1DAAC553EBEFD00E932', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:31.559000', 36, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:31.815000', '2023-08-07 15:36:31.815000', '1', '1', NULL, 'b9ce3dd4d0b2e75ada27bf5607e45ca1', 'F7-707_试剂柜-D_D4-2', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '3BA82E22AE9B49C238667145968A1C8B');
INSERT INTO `batch_details` VALUES ('C1CB9B55ACCEE1927CF2D5332EC816CF', '4314D90636353467967DEB38B4B44B70', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:51.708000', 9, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:51.982000', '2023-08-07 15:34:51.982000', '1', '1', NULL, '1c64707b7fa93765aa78f48b99e8f1c3', 'F7-707_试剂柜-D_D2-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '521CC17FAC4183B67A2C28826AE2E791');
INSERT INTO `batch_details` VALUES ('C202D88A6632B0043DB3591E450BE89B', '6FB40C6E697804CD2E03A22496D9FE80', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:23.810000', 100, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:24.040000', '2023-08-07 15:30:24.040000', '1', '1', NULL, 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'EBC68E1F724EF2650DF04055609270C7');
INSERT INTO `batch_details` VALUES ('C3844E45455BA06F6B70C43C4743BCEE', '3A330AA79C4A37276EB2162834B8C5E5', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:41.661000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:41.932000', '2023-08-07 15:37:41.932000', '1', '1', NULL, 'e12c1ffbe42606dd02973fe424f420e3', 'F7-706_试剂柜-E_E2-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '5D21DFACDC699F25E03D4AA7F3EB1716');
INSERT INTO `batch_details` VALUES ('C3B20097D0BC2F754BBF559ECAA30C6D', 'AD8C997FCB3FA9F08E1FDBDEF0221B1F', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:54.105000', 39, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:54.409000', '2023-08-07 15:30:54.409000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '89D73D9E2098371AD7825A15457B244B');
INSERT INTO `batch_details` VALUES ('C3D8B339D932C4182BF93673A81F66AB', 'D5CB52F25D904C5549FB35E5A190C78A', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:33:21.796000', 5, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:33:22.068000', '2023-08-07 15:33:22.068000', '1', '1', NULL, '499b443a4bf686a9c7b3e40b5537f5b2', 'F7-707_试剂柜-B_B1-4', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', 'C02E062C7DE8689024DF189D68AEAEE1');
INSERT INTO `batch_details` VALUES ('C4604873FBDD5F1AED4C7122327C934D', '718A3993C174415BCA3935D3A70D6A0E', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:20.890000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:21.235000', '2023-08-07 15:56:21.235000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('C496AD1D012F3A589DE3D31AE1974487', '8D6F674AE0014B688D7736D23F141E48', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:45.209000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:45.496000', '2023-08-07 15:57:45.496000', '1', '1', NULL, 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('C527E0811F7CF12DC544472BE50FE97F', 'C5919165080B675BC4E2C04EB576D04A', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:25.709000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:26.026000', '2023-08-07 15:56:26.026000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('C5334601E07A73AC571CA8D331BD2635', '48503913E581BF63D5337A08E4C06406', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:50.618000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:50.879000', '2023-08-07 15:37:50.879000', '1', '1', NULL, '3758207bf7407dd113a9bd57636a4e0a', 'F7-706_试剂柜-E_E3-3', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '537972BBF71118C3B5F4C406F2C72C2A');
INSERT INTO `batch_details` VALUES ('C572D7ACEFCE4414567AE402698204C9', '0C2B060C8FE4F56BC8A2607459086AC6', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:54.032000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:54.368000', '2023-08-07 15:37:54.368000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', '34EA160112B9669CE84375E71027EFEC');
INSERT INTO `batch_details` VALUES ('C75C0E6F1F20A509D8D6B13BE26238F3', '91A4F2DD9B5C662C863E88C1C6E5B778', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:27.904000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:28.180000', '2023-08-07 15:57:28.180000', '1', '1', NULL, '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('C78A8E74322F06E27B03BF3D88757B07', '4E6DDC0DE89F5F456EE93368D2F7D648', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:30.971000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:31.375000', '2023-08-07 15:57:31.375000', '1', '1', NULL, '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('C7B5162E766235F2B1C92E981A6BC8BA', '894396490F0069745020D701A0B9D82A', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:39.434000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:39.779000', '2023-08-07 15:56:39.779000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('C8222DABB3A589D2E49023BDC8559B3A', '4156E4CB32BB91E15BB41733DC8BEE25', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:32:57.834000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:32:58.102000', '2023-08-07 15:32:58.102000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'F6A1DEE4859621BF072E44C9C8AEDDAE');
INSERT INTO `batch_details` VALUES ('C8E8F2C45F6ADE04EF52CEC693137D35', '7A8376176B5517417254168CD5F887CF', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:32:54.233000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:32:54.542000', '2023-08-07 15:32:54.542000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '222EDCF70C35B31D510872087033782B');
INSERT INTO `batch_details` VALUES ('CA546792149F7DFECFAF4D391F377662', '6CC49AD87FF879D486196E722201338E', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:28.050000', 190, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:28.344000', '2023-08-07 15:30:28.344000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'CD93E4EDF05287F8A4E48935D2E869ED');
INSERT INTO `batch_details` VALUES ('CA8B327B908B93CEB12C4DA064547B9F', '8C69C8142D29F2B51291C22DB9BBB019', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:33:27.698000', 11, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:33:27.953000', '2023-08-07 15:33:27.953000', '1', '1', NULL, '89ebc6fe97fc3ab2dec49c03d225e4ab', 'F7-707_试剂柜-B_B2-2', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', 'E7A9C5CBB4E72137AB358A53CC36A824');
INSERT INTO `batch_details` VALUES ('CAF9F654E92D995E121D2004412F1879', '4D79DF5B857ADA972A6F90F195628425', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:48.428000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:48.757000', '2023-08-07 15:36:48.757000', '1', '1', NULL, '029e9facf01df4463e0cfc021f2387b5', 'F7-706_试剂柜-D_D1-1', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', '408BF56C63AA68F86E3E333558D41D4A');
INSERT INTO `batch_details` VALUES ('CCAB4FC3DED443AFC682467FFFA50AC2', '41DFA4E8CB9097FC98EC8E1C62FDFB21', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:44.664000', 10, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:44.889000', '2023-08-07 15:37:44.889000', '1', '1', NULL, '0bb34e9b041dff3f06129c15bd49f8e3', 'F7-706_试剂柜-E_E2-3', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '3B5F51C63090761DAC1C9E4ABFFC2CAC');
INSERT INTO `batch_details` VALUES ('CD12F15ECD514D10B11134A0918FACF2', '0291BE662A8928C173A9620B19B065AA', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:38:02.132000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:38:02.454000', '2023-08-07 15:38:02.454000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', '557561FDA370362C71069F445DAAFF05');
INSERT INTO `batch_details` VALUES ('CE01B0583A15E888855B664AFE1FE336', '645E3B7E3F678FC181AE1AFE27111C35', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:48.576000', 19, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:48.851000', '2023-08-07 15:34:48.851000', '1', '1', NULL, 'c64848f3e1c3140fe26e131b3505750f', 'F7-707_试剂柜-D_D1-4', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'EFDFD3BB471D8A85D2C97BD7E7206654');
INSERT INTO `batch_details` VALUES ('CE29349684DF3EE9F7AA01C4E2748293', '9520BAA8ED80DBDA6676041D71C8735D', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:18.335000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:18.649000', '2023-08-07 15:57:18.649000', '1', '1', NULL, '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('CE2C0893C31E4259E94D285CE36C0631', 'C023C288148BE0A3CA6EE365F553A9F7', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:15.241000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:15.517000', '2023-08-07 15:57:15.517000', '1', '1', NULL, '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('CECF1A81B364867938293989B49B88F9', 'D0D9F318ECA0EBADD6E42BDA86B0DF7C', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:41.180000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:41.546000', '2023-08-07 15:30:41.546000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'E32E6464C3E60DB80A1BC5ADCE7FC918');
INSERT INTO `batch_details` VALUES ('CFAF9B73B724DF09F936F79A7D244978', 'E9F1C67EFFE7EB5B4FF4F864D1852679', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:43.190000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:43.465000', '2023-08-07 15:30:43.465000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'C222E417F7FA50E6A4C7F9E3ADAF6C81');
INSERT INTO `batch_details` VALUES ('CFD1EEB2835E46313E4AC3125AD6275C', 'B456B2F812F8B3F515CD3A29E5A35508', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:17.921000', 10, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:18.176000', '2023-08-07 15:34:18.176000', '1', '1', NULL, '55e5081784af82837467649da44000e2', 'F7-707_试剂柜-B_B3-2', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '25B31A9A724F8739DA872710C969016B');
INSERT INTO `batch_details` VALUES ('D09CB49CC6C84505DA9F00CF06460E0C', '921BEB24B1E0D40344FE2429EFD4FDE4', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:53.669000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:53.974000', '2023-08-07 15:34:53.974000', '1', '1', NULL, '1c64707b7fa93765aa78f48b99e8f1c3', 'F7-707_试剂柜-D_D2-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'BFB0085237CB6EBBC874249C95CD9301');
INSERT INTO `batch_details` VALUES ('D108287CACB355408ACBA2E052C3C33F', '4B400147452A4D5E50054DDAAAF6B9E1', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:37.586000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:37.932000', '2023-08-07 15:30:37.932000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'D70E741D219806485B1586A7AFD56565');
INSERT INTO `batch_details` VALUES ('D2508586A4DB76C595B167F6C8CF0ED6', '07EC002A0113F4F90A5EABE7413C5BAE', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:52.797000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:53.059000', '2023-08-07 15:56:53.059000', '1', '1', NULL, 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('D2E981386D0F108E7B7A0547CC6D7755', '9EC6259276D455B8FAB3A87CD144F489', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:33.275000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:33.559000', '2023-08-07 15:57:33.559000', '1', '1', NULL, '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('D306FF081B4B95468D131158413874CE', '3440B7D6FFE4F874363E64FB07A7AA3F', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:03.933000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:04.236000', '2023-08-07 15:37:04.236000', '1', '1', NULL, '1f529f67270eac072f2ac17b583a1754', 'F7-706_试剂柜-E_E1-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'D6B088601DAE2989F5DB014D38B60DCD');
INSERT INTO `batch_details` VALUES ('D315CD3013E1FACEEC0C156F86442883', 'AB168552B2BE19F1DA4D2CEF9C6A2101', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:52.341000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:52.628000', '2023-08-07 15:36:52.628000', '1', '1', NULL, 'd44d1d51a3315a64708412a81c6e4e8d', 'F7-706_试剂柜-D_D1-2', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', '36AD5C075F94BB71FFD92586CE24B5A9');
INSERT INTO `batch_details` VALUES ('D37EAB794ED5DFFEA3C4C7A8BEF6E7F4', 'F18DA9A7E5AC69A22C33E8E7D75055EC', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:35.389000', 10, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:35.756000', '2023-08-07 15:34:35.756000', '1', '1', NULL, '0042d9473d2e7f8dabd1716e8eaa93bc', 'F7-707_试剂柜-C_C3-1', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '989DAFEB85DCAC450B6BDC53E21289E8');
INSERT INTO `batch_details` VALUES ('D3F6E891F8971405687EAB1B2BC0C8E8', '58E611FD37907DC6317E118990C15D3F', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:28.262000', 3, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:28.551000', '2023-08-07 15:36:28.551000', '1', '1', NULL, '9c89e7eba1b9f07fadccee3cb8ca1b48', 'F7-707_试剂柜-D_D3-3', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '9702CD48384A5CD5BA9284414E54EEA5');
INSERT INTO `batch_details` VALUES ('D4A9B9850DD644B2FF03867B6B54D646', 'DADDD033405B3FDB299EC40E700422B8', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:36.265000', 10, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:36.577000', '2023-08-07 15:34:36.577000', '1', '1', NULL, '0042d9473d2e7f8dabd1716e8eaa93bc', 'F7-707_试剂柜-C_C3-1', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', 'B83BE4A02BDDAE12FB4D6E88CFB93420');
INSERT INTO `batch_details` VALUES ('D4BBA6F3AEA8CE036976F7EC93B83319', '0069AFFD4A973D117D57F1202F2A0B6F', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:38.211000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:38.562000', '2023-08-07 15:57:38.562000', '1', '1', NULL, 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('D5ACEE0AF371F6238674F57F34210DAF', '8194A233187D83F7A0BB190745B68ECA', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:54.377000', 5, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:54.654000', '2023-08-07 15:36:54.654000', '1', '1', NULL, '9385d102cad285d69123ad6a279044a5', 'F7-706_试剂柜-D_D2-1', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', '13CAACFF9A5AD9BD508A0177BC618F26');
INSERT INTO `batch_details` VALUES ('D5D8D447273D4244DB220F365FF38241', 'D82502F58E3A1A0BCAFD995AF02ABF48', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:48.899000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:49.167000', '2023-08-07 15:37:49.167000', '1', '1', NULL, '436ee808c12a10f8c191f71f51118662', 'F7-706_试剂柜-E_E3-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'A5C36CF295DDAEB9325A624856912536');
INSERT INTO `batch_details` VALUES ('D774493DC3FE2C76A797E51FA23CDD32', 'D5E96663026BBA20B74CEBC32CCB26CA', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:57.752000', 20, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:58.074000', '2023-08-07 15:36:58.074000', '1', '1', NULL, '47ce2cdb3a64cf95991d2891ff16ce46', 'F7-706_试剂柜-D_D3-2', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', '1D7E10D3595F108104493C054B4AE28A');
INSERT INTO `batch_details` VALUES ('D817E8B52907DABDE96DC956FBEF0BC4', '735E7E6EA3324440A4679DC9CBDFDB08', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:32:52.332000', 19, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:32:52.601000', '2023-08-07 15:32:52.601000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '91517D0FA30FFC0AE21649382A0E1406');
INSERT INTO `batch_details` VALUES ('D9CA3099A74CBAB18B5C89DAE178D42F', '5074BD48130119E7532CB44E57CEB002', '2023-2', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:21.956000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:22.124000', '2023-08-07 15:34:22.124000', '1', '1', NULL, 'c9dfab1c973b587eebdc60b57747eafe', 'F7-707_试剂柜-B_B3-4', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '0D816B313D823F86FA076828DE41A1B5');
INSERT INTO `batch_details` VALUES ('DA34DB3C9159FFBC20C81A6E4EE9B690', 'F7E760DB9C291D56CADE8A238EDABB3A', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:31.304000', 8, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:31.635000', '2023-08-07 15:37:31.635000', '1', '1', NULL, '7dc5b344b9decc98856cec750c5168ce', 'F7-706_试剂柜-E_E1-3', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'E3B183295F05E8595C4B0C5E5D4BE0AD');
INSERT INTO `batch_details` VALUES ('DA4D97342043307CF018FA6ED4F214E7', '8FB395CF7AD2797EE340B1D0E6B02831', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:05.846000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:06.220000', '2023-08-07 15:57:06.220000', '1', '1', NULL, '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('DA7257105C1061DB691471F4C780D94F', '90BC3F48CF47C0E6778AA4331CED28E0', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:51.444000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:51.733000', '2023-08-07 15:57:51.733000', '1', '1', NULL, 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('DBA73C6BB41EF62AC0A979739D0FBA9A', 'D4AC118C23B6B4B75E5E726813E49D57', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:50.430000', 20, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:50.765000', '2023-08-07 15:34:50.765000', '1', '1', NULL, 'c64848f3e1c3140fe26e131b3505750f', 'F7-707_试剂柜-D_D1-4', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '9F63A16BD59F7BB81A5DC0D8A687BE6B');
INSERT INTO `batch_details` VALUES ('DD9A74E6631EE179CD6BCA3755422B58', 'CC024A6D57C292CE320A219622819445', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:28.784000', 950, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:29.051000', '2023-08-07 15:30:29.051000', '1', '1', NULL, '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'D895B823083B8E8CE4E97BA8CEA28D88');
INSERT INTO `batch_details` VALUES ('DDBD2C0B97B63C005CA8EF2680A6DC9B', '873522A86DC323452C5016BAF2F28040', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:49.597000', 9, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:49.921000', '2023-08-07 15:37:49.921000', '1', '1', NULL, '436ee808c12a10f8c191f71f51118662', 'F7-706_试剂柜-E_E3-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '0BA2A58F1DA5EBDAADA87CB9A04FCCFB');
INSERT INTO `batch_details` VALUES ('DE847112CE1E9FC8458D4E572E76A817', 'C9DF2C4934786DFD7FE5B25AFB920B2C', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:40.947000', 4, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:41.205000', '2023-08-07 15:34:41.205000', '1', '1', NULL, '8d595e951489bf1c16deef3b34449a91', 'F7-707_试剂柜-C_C3-4', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '83E3DF525989442775B12EDAA394FEA0');
INSERT INTO `batch_details` VALUES ('DF287F329C4E98E33EA491E51F3D95D3', '3274EFB73A1DB23BD19E5A23908672CF', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:59.563000', 4, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:59.879000', '2023-08-07 15:36:59.879000', '1', '1', NULL, '1f529f67270eac072f2ac17b583a1754', 'F7-706_试剂柜-E_E1-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'F288CAE88D4D3A9050CDA0D7C1391785');
INSERT INTO `batch_details` VALUES ('DFBEDD6D5C8DF4FBB11FD24D9D756A66', '1F2F7CC7EA57349AFC143BE7631EF904', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:38.203000', 7, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:38.446000', '2023-08-07 15:34:38.446000', '1', '1', NULL, 'e48349ea644fd3c1035e9a83a4890f9c', 'F7-707_试剂柜-C_C3-2', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '079EC416EB5B00220F332A9489BF137E');
INSERT INTO `batch_details` VALUES ('DFFAFAEBC2C2A385B3024B6E849130F1', 'D1132A329EC68C085C7BE2AA337777F9', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:01.436000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:01.727000', '2023-08-07 15:37:01.727000', '1', '1', NULL, '1f529f67270eac072f2ac17b583a1754', 'F7-706_试剂柜-E_E1-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '0CD94ACD61CF38B52FA4555AD39CF46D');
INSERT INTO `batch_details` VALUES ('E09C6256250A4ACF6E9D670B4139CCA7', 'B3B02DB5F7D32541E0BC64998313BB28', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:09.159000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:09.534000', '2023-08-07 15:57:09.534000', '1', '1', NULL, '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('E0B049292BDBF38B7555ACF43F3BC64B', '9563C954759FD53CEA6E9A052155EF45', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:24.514000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:24.864000', '2023-08-07 15:57:24.864000', '1', '1', NULL, '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('E0D5804A1ACDA0F4421B2883B6013320', '1FA9B4B3229B2BB0462A59CEE67A150E', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:40.433000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:40.757000', '2023-08-07 15:37:40.757000', '1', '1', NULL, 'e12c1ffbe42606dd02973fe424f420e3', 'F7-706_试剂柜-E_E2-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'A75EC1EF3A16C81921A76311AD5AFA84');
INSERT INTO `batch_details` VALUES ('E0FE4622683307FD1B0DE4BBCA796CDB', '4253EC2CF9DB38E305D815A55C810806', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:19.934000', 10, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:20.174000', '2023-08-07 15:36:20.174000', '1', '1', NULL, '1c64707b7fa93765aa78f48b99e8f1c3', 'F7-707_试剂柜-D_D2-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '19BF813E76295B5A9C7B261587EE1EAA');
INSERT INTO `batch_details` VALUES ('E1465AD1D9F5C50828C83E521684F32C', 'D20077FE474317A8878A43D267BF9BED', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:31.966000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:32.258000', '2023-08-07 15:30:32.258000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'F638AA5E29A2F46C8428727FF1BD5846');
INSERT INTO `batch_details` VALUES ('E15963B83CE4CD1FB94D119F48C0B8C6', '57786CBAD67C6778380D009BB777154D', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:56.991000', 20, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:57.302000', '2023-08-07 15:30:57.302000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '732AAE5A83F1E1F42626FF27F49EE75C');
INSERT INTO `batch_details` VALUES ('E1E2BCE4FBCF09246192152ED5410144', 'EE18E7BAD5B9559708728EC9736AA25D', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:49.094000', 20, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:49.396000', '2023-08-07 15:34:49.396000', '1', '1', NULL, 'c64848f3e1c3140fe26e131b3505750f', 'F7-707_试剂柜-D_D1-4', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'C9895A1905CFCE60E48CF7A752DCF679');
INSERT INTO `batch_details` VALUES ('E20DD9AD0BB216E4815CDB7E346485EF', '9A5DDD1CB1CB356F6F6B3FF2B0BEC575', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:42.647000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:42.921000', '2023-08-07 15:57:42.921000', '1', '1', NULL, 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('E2C39FF847DBE83D818BDEE041FE3A22', '1D300C5364E04DA2B5079E2907B6C8DE', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:00.331000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:00.686000', '2023-08-07 15:37:00.686000', '1', '1', NULL, '1f529f67270eac072f2ac17b583a1754', 'F7-706_试剂柜-E_E1-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '5114EEAB9AD338EF3BC4FDD7A2F01E78');
INSERT INTO `batch_details` VALUES ('E351B5EDF25820491C5E506A4D38884A', 'E87F5ED47168DA7D867C69B9DB505361', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:32:56.095000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:32:56.425000', '2023-08-07 15:32:56.425000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'E0572D8504E25F518A127501E75FB366');
INSERT INTO `batch_details` VALUES ('E38BCBAEF02E473B91DDA1DBE457A634', '0723B9AC7248C8D41B3D29CFFF657F12', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:32:53.035000', 5, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:32:53.336000', '2023-08-07 15:32:53.336000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '69238D3EC9A163A2A826CA990197BCC9');
INSERT INTO `batch_details` VALUES ('E43500D682260D843968E3793F4CAA7B', '13BBE4C856008BD35CCCCAEB72AC0017', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:47.507000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:47.839000', '2023-08-07 15:56:47.839000', '1', '1', NULL, 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('E472521D327F48802DA4AEA8972E45BB', 'C0C71470C4D2D5DB90005E8760942300', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:24.621000', 20, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:24.960000', '2023-08-07 15:34:24.960000', '1', '1', NULL, 'cc1e723a600df519bb30716aed1a65b4', 'F7-707_试剂柜-C_C2-3', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '531BF0E40611413F0DEBE7A0548BE5C6');
INSERT INTO `batch_details` VALUES ('E4C3D514DDA61224997A0F3D90A855E3', '05C2F492EBFB63958E379BCF5ED19A91', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:38.873000', 6, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:39.236000', '2023-08-07 15:34:39.236000', '1', '1', NULL, 'e48349ea644fd3c1035e9a83a4890f9c', 'F7-707_试剂柜-C_C3-2', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', 'AD8E29A4727BDA52AEB33F0E7FF92DEC');
INSERT INTO `batch_details` VALUES ('E613B4A7C48A507C0FE08B17E5554E36', '35F58364C35F7298C8CB7B740C08DF4B', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:33:14.435000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:33:14.770000', '2023-08-07 15:33:14.770000', '1', '1', NULL, '7bef90f7d97d11a6460147934b72ee49', 'F7-707_试剂柜-A_A3-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'E0618F52478BC383057A310F2FBFC6FF');
INSERT INTO `batch_details` VALUES ('E7D771696AC54F153AFE589B750632D3', 'F07B2F6EBECB10163CE1C1490AEE43D1', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:31.714000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:32.072000', '2023-08-07 15:57:32.072000', '1', '1', NULL, '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('E7DAB37781EBAB2EE91876DF9438624E', '85D5DB5CC95D4975D3CA3FEAF436B591', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:55.616000', 20, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:55.889000', '2023-08-07 15:30:55.889000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '6CD36A96A2AC1CE8FDDF2575BED2910A');
INSERT INTO `batch_details` VALUES ('E9D7B6A076711AD938BEC26A32F2DB49', 'DD397FDBD35780F6A5EE0A98F50E575C', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:38.970000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:39.355000', '2023-08-07 15:30:39.355000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '9CDCAF0580EE991666C871605B9BE8E6');
INSERT INTO `batch_details` VALUES ('EA09F55C8814C5D64020EEC04B34CCF2', '3E3139858ABBAA7D103DB4CD9D173292', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:00.472000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:00.838000', '2023-08-07 15:57:00.838000', '1', '1', NULL, '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('EA640B53723F8BFD29B88760F26D6F76', '3846EF5371BDDD5D942F0456D5BFAB78', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:52.392000', 5, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:52.724000', '2023-08-07 15:34:52.724000', '1', '1', NULL, '1c64707b7fa93765aa78f48b99e8f1c3', 'F7-707_试剂柜-D_D2-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '973C2B1552AFD60574E88F4D0C1A1803');
INSERT INTO `batch_details` VALUES ('EAD5D402158097622E9DAC4C529B02F1', '28891BD4137B4DE114C7EBDCF6184B0B', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:34.536000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:34.878000', '2023-08-07 15:57:34.878000', '1', '1', NULL, 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('EB272AC901BA39C141503E447D3BC626', 'E189CC5D54D8843EC42EF9939F306783', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:26.629000', 8, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:26.978000', '2023-08-07 15:34:26.978000', '1', '1', NULL, 'd9f0626d354219840ea291f2efa83aad', 'F7-707_试剂柜-C_C1-3', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '8FFB4459309494D597A347689846C744');
INSERT INTO `batch_details` VALUES ('EB2F277CFCAE6C92BBFB08926C5F98F2', 'E035CDF7E4B70012B853420B8F7D59D1', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:18.685000', 9, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:18.993000', '2023-08-07 15:34:18.993000', '1', '1', NULL, '55e5081784af82837467649da44000e2', 'F7-707_试剂柜-B_B3-2', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '9AAC4E2C75131B1060E80256AC8F32B3');
INSERT INTO `batch_details` VALUES ('EB37331AEF40D900B82ACA5D5D92EBAE', '5E4B8A83611EC34F7E84B91F66A64BE4', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:16.410000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:16.694000', '2023-08-07 15:57:16.694000', '1', '1', NULL, '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('EB5A9F406B026B9D29006AA096BAEBE4', '203AB6180D7F4DC96EA1AD7507092166', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:09.885000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:10.165000', '2023-08-07 15:57:10.165000', '1', '1', NULL, '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('EB7B260E14C648FB0691F465301C9E73', '6BF9BDC6E54047643EC1FFDE6BD3564C', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:12.179000', 8, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:12.443000', '2023-08-07 15:34:12.443000', '1', '1', NULL, '9fc5fef81344f22fdf7f7a038d7c52fa', 'F7-707_试剂柜-B_B2-3', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '422249DF7FEF637A2A30A61A82553192');
INSERT INTO `batch_details` VALUES ('EBF3ED1897D2BBDD73E48C7C231C9E38', 'A3D90FBF4E8A5017BA61F0EF88345DB4', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:39.793000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:40.046000', '2023-08-07 15:36:40.046000', '1', '1', NULL, '1f1031ca1792f71298724ac09acfac36', 'F7-706_试剂柜-B_B1-2', NULL, 'B84152270A4A03147E7BA602B85DC2B9', NULL, NULL, '706', '5795DAD450B946C76745C10E4D6D3F4D');
INSERT INTO `batch_details` VALUES ('ECADB3B0CA97081EA32CD72D755C9044', '295DF4C699B071CDE7C3C425641D748E', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:33.528000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:33.883000', '2023-08-07 15:56:33.883000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('ECE5DB4A97B53CD3C1D39B9E41BD4499', 'B0DE7C08218F84D51B0F65375D79F56D', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:33:28.934000', 4, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:33:29.239000', '2023-08-07 15:33:29.239000', '1', '1', NULL, '89ebc6fe97fc3ab2dec49c03d225e4ab', 'F7-707_试剂柜-B_B2-2', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '6B2F0ACD7281D691806E44438A8678C3');
INSERT INTO `batch_details` VALUES ('EE2AED08A64C2001E50FB2544AA0B68A', 'CC82CC217EF9D663B0782A1329622B03', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:33:15.153000', 11, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:33:15.477000', '2023-08-07 15:33:15.477000', '1', '1', NULL, '31e28f9a6474d87e3dfac25118dbdf85', 'F7-707_试剂柜-B_B1-1', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', 'C7314C7802F48312E8890CE7362B9144');
INSERT INTO `batch_details` VALUES ('EEFF2EDE97ADBA3ECCC97C25B3344360', 'F6508751FC867A0D61C005A19CB94232', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:42.749000', 3, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:43.023000', '2023-08-07 15:36:43.023000', '1', '1', NULL, '25253dad124c54c4d9be9dfe3235edd1', 'F7-706_试剂柜-B_B3-2', NULL, 'B84152270A4A03147E7BA602B85DC2B9', NULL, NULL, '706', 'D52545E647EC916B260606664423F8DF');
INSERT INTO `batch_details` VALUES ('EF2855A3A73579BE823B328EABB5AF94', 'BDC043905D82B6647538C360E0C12C13', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:07.940000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:08.281000', '2023-08-07 15:57:08.281000', '1', '1', NULL, '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('F05C8725EF6925264A3788EA9E3A13A0', 'F34F7FD64E854CEF0680309B610EE360', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:59.754000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:00.097000', '2023-08-07 15:57:00.097000', '1', '1', NULL, '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('F084E30F5A39C8C8166597B198F86DD4', '378B2FBA967236D4CF671E18E0298F66', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:33:13.263000', 20, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:33:13.559000', '2023-08-07 15:33:13.559000', '1', '1', NULL, '4ebdd8ebb8f820a73f6047675a895025', 'F7-707_试剂柜-A_A2-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '76D58253CE469AFF2F134C79D0A50602');
INSERT INTO `batch_details` VALUES ('F1C36387C1355641AB784B86990C1B0D', '299D06A34EF495A369EF42FDC42D41C4', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:36.941000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:37.246000', '2023-08-07 15:37:37.246000', '1', '1', NULL, '5eff609a8cc1e16248f784af8907b032', 'F7-706_试剂柜-E_E2-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'D8244282A1F8982870D9D89B930BF6C4');
INSERT INTO `batch_details` VALUES ('F33C09E67393660DB9AB47A5B308C6E7', 'A95FF9905D85D57DBE7684AC04B017D4', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:33:08.080000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:33:08.303000', '2023-08-07 15:33:08.303000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '035AE0DED46C32E591C5B580F5C0D5EB');
INSERT INTO `batch_details` VALUES ('F48DF20124EF937197D09BCEDC8FE1FD', '0C1D40AB9380424B6FFC9FCE7814A00B', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:19.320000', 8, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:19.724000', '2023-08-07 15:36:19.724000', '1', '1', NULL, '1c64707b7fa93765aa78f48b99e8f1c3', 'F7-707_试剂柜-D_D2-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '5813CCEECE913A7AFA42EAFDEB110C77');
INSERT INTO `batch_details` VALUES ('F4E27DFFE086DBF7468A774766754D6A', '18AB697E0F8DB975FF4C6509543B4904', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:34.000000', 0, -1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:35.000000', '2023-08-07 16:58:28.000000', '1', 'c4a61eae81712e03f58a1922f8be27de', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('F4EEFE470D1F25EF3886345E5F1C6F23', 'F5F9977FB0C6A556D4C9BD31CA3FCB2B', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:55.924000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:56.256000', '2023-08-07 15:56:56.256000', '1', '1', NULL, 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('F4FECDC721675D2F4327A4AD0C441B0A', '3B0C936735E0BA06A41FF142101A49EF', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:30.824000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:31.069000', '2023-08-07 15:37:31.069000', '1', '1', NULL, 'b92a5ca88d157557618e1da8d096b96d', 'F7-706_试剂柜-E_E1-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'AE84D0B575543456063F94CD4537D380');
INSERT INTO `batch_details` VALUES ('F525169BE0DF037F494010E3ADB202CC', '4297659AEA24F3AF86E31D18CCD7DAA9', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:13.998000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:14.296000', '2023-08-07 15:57:14.296000', '1', '1', NULL, '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('F59A605A1A1C4BBBC8B932F136B9B4B1', '8E38A8F79305ECC17FE2ADC0603EDF3B', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:49.067000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:49.328000', '2023-08-07 15:36:49.328000', '1', '1', NULL, '029e9facf01df4463e0cfc021f2387b5', 'F7-706_试剂柜-D_D1-1', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', '4F36E56264275B7520764FA169B20D77');
INSERT INTO `batch_details` VALUES ('F5B08F70854DB933B874546A16140F60', 'ADCACB0D1884B43457B7C74B7F8EE4CA', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:30.841000', 10, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:31.129000', '2023-08-07 15:36:31.129000', '1', '1', NULL, 'b9ce3dd4d0b2e75ada27bf5607e45ca1', 'F7-707_试剂柜-D_D4-2', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'D41668E1435513023B8849851485DB21');
INSERT INTO `batch_details` VALUES ('F66134A4509BF8B44238BA12F56977C8', '816D6AAF603D9088D5949C0AC1CEB43C', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:38.271000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:38.615000', '2023-08-07 15:37:38.615000', '1', '1', NULL, 'e12c1ffbe42606dd02973fe424f420e3', 'F7-706_试剂柜-E_E2-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'D648FC3E2CABA6793F808434B61B144E');
INSERT INTO `batch_details` VALUES ('F6ADAC8C64D00BAD532F84C82231960F', '1FC904751AA53B32B4897C6A822EA938', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:12.848000', 11, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:13.107000', '2023-08-07 15:34:13.107000', '1', '1', NULL, '9fc5fef81344f22fdf7f7a038d7c52fa', 'F7-707_试剂柜-B_B2-3', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', 'ACC76B2BA08B134EED2740D072D54B81');
INSERT INTO `batch_details` VALUES ('F6E7E5EE495A4AD61E202453BAD02626', 'F3E743A00338EF6D85A6660FD6C5EB02', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:30:47.861000', 15, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:30:48.233000', '2023-08-07 15:30:48.233000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '7F68B7FD6808B9BE9A68CDCE8B47D453');
INSERT INTO `batch_details` VALUES ('F74DB1ED09496C6620F2E7AA19556A27', '5D4D5F21BD4A5A4B77F184065E2F6BB1', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:33:08.665000', 10, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:33:08.930000', '2023-08-07 15:33:08.930000', '1', '1', NULL, 'dda3d50e55162b4528f6feb32946ffe4', 'F7-707_试剂柜-A_A2-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '41C71723ADEA896729021DC881B18B31');
INSERT INTO `batch_details` VALUES ('F80A47BC5B2D0479C1BEE499F79B8245', 'C423F082300208F6C500B9D3C7351952', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:34:46.042000', 19, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:34:46.385000', '2023-08-07 15:34:46.385000', '1', '1', NULL, '4e49d8c191425016848c7023a6790c06', 'F7-707_试剂柜-D_D1-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'E5C0DCEE05DDFB811AD22A42F7B70D2B');
INSERT INTO `batch_details` VALUES ('F86D2836F739A38324AE06807FD3DB45', '6840E4FABAEC166DA73D89D34C1F8A95', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:36.526000', 4, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:36.826000', '2023-08-07 15:36:36.826000', '1', '1', NULL, '35cea1f480155d71908002b4cc6a584b', 'F7-706_试剂柜-A_A3-3', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', 'DB9B9CDB20FA1200AB65ABD097276930');
INSERT INTO `batch_details` VALUES ('F94680A2E55445D3B24E9CEEF0827D3F', '4046DCB28BC517D4E793D8DB40FAFE9E', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:57.290000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:57.582000', '2023-08-07 15:37:57.582000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', 'EEB4A04D560F0F0A2216E8EB889CA5FF');
INSERT INTO `batch_details` VALUES ('F9EF3CF0507A4FEF3BB487C42B865B85', 'B86DC03F3F9DA53AE80E66E0973BD52B', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:35.460000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:35.711000', '2023-08-07 15:36:35.711000', '1', '1', NULL, 'dd998657700b7074478bae03b2f401f2', 'F7-706_试剂柜-A_A1-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', 'F8C8956D83EDF3C5F188233F4B65E9A7');
INSERT INTO `batch_details` VALUES ('FA05DC835337D070DAD5C8572DBEAA4D', '85451397FA0F937035DF0E2C7F125EC4', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:56:32.080000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:56:32.436000', '2023-08-07 15:56:32.436000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('FA884921348FD97B33F6E7C76C029E2A', 'C537F41873C92FAE15002170C86697B8', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:55.297000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:55.565000', '2023-08-07 15:37:55.565000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', 'EDF1002727513B230B1C7D6E0919597F');
INSERT INTO `batch_details` VALUES ('FC496329C6D8CEC7067E02FE8B10C996', '82E9BCD2564582DD7F9243CA7999A45C', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:50.310000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:50.646000', '2023-08-07 15:57:50.646000', '1', '1', NULL, 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('FCA59D2CE4DA2E5F9E63246BE2D66D9D', '8FEB7D9AE3DCFDF91776079C6DAD7F73', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:33:02.582000', 5, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:33:02.866000', '2023-08-07 15:33:02.866000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '670E46E8A2194B2CBC7B73A59910685B');
INSERT INTO `batch_details` VALUES ('FCCABBC35E10E934A0186587CC06EF83', 'C2544BB792509CEBF03C55875AD4405F', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-08-07 15:57:30.322000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:57:30.604000', '2023-08-07 15:57:30.604000', '1', '1', NULL, '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', NULL);
INSERT INTO `batch_details` VALUES ('FCF1AD3371CAF2D5FBB388FB76D92AFD', '7C806FC8612149284DD350715FB7E7FA', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:37:42.364000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:37:42.696000', '2023-08-07 15:37:42.696000', '1', '1', NULL, 'e12c1ffbe42606dd02973fe424f420e3', 'F7-706_试剂柜-E_E2-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '13202DDD3D168B0EE39FD7B97536ECC8');
INSERT INTO `batch_details` VALUES ('FD320A1184990659EC66E169AA77E322', '7E80184AFA3A40B53F59288F5B774A5B', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:36:38.612000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:36:38.892000', '2023-08-07 15:36:38.892000', '1', '1', NULL, 'c09176dcda4c53e3a73bed226c4d6b08', 'F7-706_试剂柜-B_B1-1', NULL, 'B84152270A4A03147E7BA602B85DC2B9', NULL, NULL, '706', '6F767F75DD1FBCF89CD0618B9D0C017E');
INSERT INTO `batch_details` VALUES ('FE06CEFA6E0DEB84391A9B29C29CA39F', '889B89DCE0FCACF216D1FABB536215BB', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:33:06.813000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:33:07.126000', '2023-08-07 15:33:07.126000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '79CC80C2A249CF667DB250B2F90BDB30');
INSERT INTO `batch_details` VALUES ('FE66D187056E99A6DBE6FDAE21F73D1C', 'F535A41A55BFDC70CD50E7ED95676F86', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:38:00.782000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:38:01.075000', '2023-08-07 15:38:01.075000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', '642929B9EC1DFDE3723ED36C5B0B0E25');
INSERT INTO `batch_details` VALUES ('FE7FA2951A0D11FECEDD2596CF14954F', 'E779C36078429E79BAB5D0DE9EA6BB7F', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:38:05.048000', 2, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:38:05.406000', '2023-08-07 15:38:05.406000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', 'CC6AF6FBC947619A0F45BE0C10486CE7');
INSERT INTO `batch_details` VALUES ('FFA0D56FB0FFB20DD3C97B717BF78AD2', 'CE85D7C19F351C08F0B1F1F93483BD7E', '2023-1', '/', NULL, NULL, '2023-08-07 00:00:00.000000', NULL, '2122-08-07 00:00:00.000000', NULL, '2023-08-07 15:33:15.919000', 1, 1, '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-07 15:33:16.244000', '2023-08-07 15:33:16.244000', '1', '1', NULL, '31e28f9a6474d87e3dfac25118dbdf85', 'F7-707_试剂柜-B_B1-1', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '85AD444FDAC403A37DABFC05A84E6FA0');

-- ----------------------------
-- Table structure for blacklist
-- ----------------------------
DROP TABLE IF EXISTS `blacklist`;
CREATE TABLE `blacklist`  (
  `blacklist_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `reagent_consumable_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `results_of_compliance_check` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(符合性检查结果)',
  `supplier_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商ID)',
  `compliance_check_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '符合性检查记录表ID',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  PRIMARY KEY (`blacklist_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材黑名单)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of blacklist
-- ----------------------------

-- ----------------------------
-- Table structure for catalogue_details
-- ----------------------------
DROP TABLE IF EXISTS `catalogue_details`;
CREATE TABLE `catalogue_details`  (
  `catalogue_details_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `brand` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(品牌)',
  `category` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(类别)',
  `deviation_or_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '偏差/不确定度',
  `packaged_copies` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装份数',
  `purchase_catalogue_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购目录ID',
  `purchase_catalogue_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(采购目录编号)',
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材名称',
  `species` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(种类)',
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(规格型号)',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `unit_price` double(10, 2) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '单价',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `english_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '英文名',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材ID',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '别名',
  `storage_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '存储条件',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注\r\n',
  `minimum_unit` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装单位',
  `cas_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'CAS编号',
  `code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '物品编码',
  `purity_grade` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '纯度等级',
  PRIMARY KEY (`catalogue_details_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(采购目录明细)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of catalogue_details
-- ----------------------------
INSERT INTO `catalogue_details` VALUES ('00CDA2D8BD66BCE765B81B754715FC01', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-130', '干燥器', '普通耗材', '210mm', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '144E3C8B6BF7A12B89CED05EB6C0AA09', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('020CC2943D0BBA7286F9BDE5BED2D83C', 'Bomex', '耗材', NULL, '10', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-124', '量筒', '普通耗材', '25ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'D19A01AAF2B221025D67F3126A0DBB3B', '/', '常规贮存', '/', '支', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('022FD6BFE46913B8014372E28C97E480', 'Waters', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-25', 'ACQUITY UPLC BEH C18                    ', '色谱柱', '2.1*100mm,1.7um', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '6E6C84960D9D6A3BE319C8842575D328', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('0347AF3BD26DE86BD241F9F43533F282', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-87', '塑料吸管', '普通耗材', '2ml，100支/袋', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '5F580364E00D2223A2BD97FBB000FB29', '/', '常规贮存', '/', '袋', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('03819A2186222A4F942B4DBC346B081E', '柯沃', '耗材', NULL, '10', 'E473120E6AD745213F230978964CF5E3', '2023-185', '一次性蓝色丁腈手套', '普通耗材', 'L', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'BBE1455505831DEA264ACEA2D52A44A1', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('03879C52E605977B55D6624F7925C747', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-103', '洗瓶', '普通耗材', '500ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '7A866B417B76820E58BDC693A15DF122', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('049A29BE6C933D7866059606366B5919', '安捷伦', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-134', '进样小瓶', '普通耗材', '2ml,5182-0714，100个/盒', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'D4A7E6FD2D4657C98DCEA77B96F50FF9', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('052C7A4BA96A635A3F207B69622AAA4B', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-194', '干燥器', '普通耗材', '300mm', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '1BC224475D8282E9FE9251E5FD0B2225', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('06C45B0B64B945986ABC3F89030E8AA9', '垒固', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-148', 'LG玻板抽滤漏斗', '普通耗材', '250ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '39CBA0E4D5644083828D1CFF88F81486', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('0840120775AF05D1A05F12F9D653AA92', '申迪', '耗材', NULL, '10', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-121', '圆底烧瓶', '普通耗材', '500ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '7397DBF2E1C3BD3BDA1B477EF207F050', '/', '常规贮存', '/', '瓶', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('08417D1D96B9B3932FEE6DA7F1135E63', 'n/a', '耗材', NULL, '10', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-149', '标准漏斗', '普通耗材', 'n/a', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '8FCDBB170412C4ED1F25D08F4266D086', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('097A638AFC914112C6C101C8F0495482', 'n/a', '耗材', NULL, '100', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-15', '物证封装袋', '普通耗材', '16.5*12cm', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '42D8D00268672663E954E1D5DA52D588', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('0D2A6CF3B3D2AF2F74B2016FB13FE6EE', 'Sartorius', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-198', '枪头', '普通耗材', '10ml，250个', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'E72AB4267DF408E6DC5AD95BC768FB9E', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('0DD0A5E8F1BB7F3496BC98FFBB540817', 'n/a', '耗材', NULL, '10', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-11', '牛皮纸物证袋', '普通耗材', '30*17*46cm', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '4CEDDE1639D4D807DEB5CB0642E1A72A', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('0E6C04A12EBE747937BC6071566F31F6', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-193', '干燥器', '普通耗材', '300mm', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '1BC224475D8282E9FE9251E5FD0B2225', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('0F337419C591180E4D98E108B836AEDB', '双联牌', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-172', '定量滤纸', '普通耗材', '7cm,快速', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '97E93E9235339AFE03F52F081DB5AAEB', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('0FCC17BEE5D18D692C132B757E135AE9', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-74', '药匙', '普通耗材', '3x1', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'A4563F6F3CD40BED135357D8666B96D7', '/', '常规贮存', '/', '套', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('1033DB2D1D0022870DD46A0D1F533DA5', 'KIMTECH', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-67', '擦镜纸', '普通耗材', '11.0*21.3cm', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '0F2333B90C15E33D5D5C1D86FB96C465', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('104C6D521758C5239FFA643FD5F1A8D8', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-38', '试管', '普通耗材', '15*150mm', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '709C0DF2982CE7F1DA43E324A4CC7746', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('10D8106D9991479DA07C0617B17DB019', 'Waters', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-28', 'ACQUITY UPLC CSH C18', '色谱柱', '2.1*100mm,1.7um', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'C8F879630BD68FE5D337D79FF81DA1CD', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('13337D2555A179D57996524BE0897815', 'Bomex', '耗材', NULL, '10', 'E473120E6AD745213F230978964CF5E3', '2023-126', '量筒', '普通耗材', '100ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '0FE69FE9C8EB1E78667CC0531FE096E5', '/', '常规贮存', '/', '支', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('1477930C3B519A6F23238BE167D2710F', '皎洁', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-190', '定性滤纸', '普通耗材', '11cm，中速', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '7C2FDDA407F0D5634CD83FC93E69FE37', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('15B8AEBD2362198FB855F61F68A9FED3', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-200', '移液管架', '普通耗材', 'n/a', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'CAD80C3160774CC1C7840BFDA814A503', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('15F6CDF760DB4B8397FC7FACC2C8F3AC', 'Sartorius', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-64', '移液枪', '普通耗材', '0.1-3ul', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'EE6386F97F3C2EDB188F4B2442BCF139', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('169E9902087188679FFEB89ADDCC0B51', '津隆', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-177', '进口滤膜', '普通耗材', '13mm，水洗聚醚砜（PES）,0.45um，货号：JLSP054501', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '589D62DF6390C0805D780C2895C33002', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('17159139D477BCBA8A66A099BF8D7DEA', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-58', '玻璃冻存管', '普通耗材', '透明，5ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '63A6FE5AA12AFFC8AC3EEE2C90E56401', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('17891B22D01F8C42852C279B6E34C3E1', 'agilent', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-20', 'InfinityLab Poroshecll 120 PFP', '色谱柱', '4.6*250mm,4um', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '50CD1613EAFBE23B56E5BD80AE295C2A', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('17C7BE0052CAAE99596E5C15E40039FD', '柯沃', '耗材', NULL, '10', 'E473120E6AD745213F230978964CF5E3', '2023-184', '一次性蓝色丁腈手套', '普通耗材', 'M', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'D10DBC3AEAF5182F38549DBE43422BDB', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('17C922C1E2BCF5D515DFF9F7880DAAAB', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-146', '一次性塑料烧杯', '普通耗材', '50ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'D99C8531F034DE73F25FE05C3BB0AC37', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('18B8CF0ECE5108B388E6549A2A13D76D', '新星', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-175', '定量滤纸', '普通耗材', '18cm，中速', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'DC984A25B5CA0B8CCEF2DD385CBA6F82', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('18D86D4CB045B3CE58F23D21E5BFB587', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-50', '血清移液管', '普通耗材', '50ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'AD6044D8D82E3B81FF260063AA5040B1', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('1944CEC88E26FD3F36F942BF75931177', 'Sartorius', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-64', '移液枪', '普通耗材', '0.1-3ul', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'EE6386F97F3C2EDB188F4B2442BCF139', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('19A8D226B5807D0902254611B06DB212', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-85', '塑料吸管', '普通耗材', '1ml，100支/袋', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '101CC6B0B917BDB2CA88DFB72AB18F8E', '/', '常规贮存', '/', '袋', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('1B1EF917E2C93CDE1C61F091EF6BDDFB', 'Sartorius', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-198', '枪头', '普通耗材', '10ml，250个', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'E72AB4267DF408E6DC5AD95BC768FB9E', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('1C9434AB12799897E421B5651D4F15BB', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-87', '塑料吸管', '普通耗材', '2ml，100支/袋', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '5F580364E00D2223A2BD97FBB000FB29', '/', '常规贮存', '/', '袋', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('1CBDFD3AC75504BFBC9CAB8A81AB689D', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-78', '试管帽', '普通耗材', 'Φ18', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '8D9573F9EF9FA471F3519780403C452B', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('1E311C52CA63D4687091A538142B7EEB', '岛津', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-31', '密封垫', '普通耗材', '货号221-48972-91，20个/盒', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'FE0095EAE5AB73FD244CC06416E507D6', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('1ECA1BE482E90CED1163A0ABD74C3AE6', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-131', '干燥器', '普通耗材', '210mm', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '144E3C8B6BF7A12B89CED05EB6C0AA09', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('1EECBFBD29EB644922366223CA3C62BA', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-52', '滴管', '普通耗材', '18cm', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'DD88719507D2FBA86528C2A4FC797786', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('1FDFD73BE5FA685A36334C51DBA47C4D', 'n/a', '耗材', NULL, '10', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-12', '牛皮纸物证袋', '普通耗材', '40*20cm', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '0F8F9C2BC44BA339FB6781411761CECA', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('21007E2BE14846AF48996B9355BBA4B0', 'Brand', '耗材', NULL, '2', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-113', '容量瓶', '普通耗材', '1ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'A4270E21FE6B7B925AE247C4F40418ED', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('2213A81F91006C3FE586274A7F516B11', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-82', '镊子', '普通耗材', '直头，20cm', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '944C5FDE2CFFF8C99B6E90CCB14614CA', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('2247F1AE6ED1BD5C9209FCFCBC0E7C64', 'n/a', '耗材', NULL, '8', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-155', '带塞溶剂瓶', '普通耗材', '500ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'B1415E7712373D16325D5F5F13B6806E', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('228B130C9E578B0D914D255E1E8E67A3', 'Brand', '耗材', NULL, '2', 'E473120E6AD745213F230978964CF5E3', '2023-112', '容量瓶', '普通耗材', '2ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '152B2263E7DDC5293C7E794D848FEFBF', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('2436D19D23C0181C3069FD189AD7C69A', '皎洁', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-187', '定性滤纸', '普通耗材', '9cm，中速', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '231946970204C7048C7C17CC9E9F4FAC', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('247ED92826293652C3B446584C471F81', '上海新亚', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-167', '滤膜', '普通耗材', '有机，0.22um，50mm，50片/盒', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '4921A490F66DAD25FD9B1AF6FDF24343', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('2525F0A71A441B353954A7D621B32E08', '安捷伦', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-135', '进样小瓶盖', '普通耗材', '2ml,5182-0717，100个/包', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '27EBEF42F3FFAB56052EFBCC208B338D', '/', '常规贮存', '/', '包', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('26DF58B0736823A40CB3C3515539F57C', 'n/a', '耗材', NULL, '10', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-13', '牛皮纸物证袋', '普通耗材', '50*30cm', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'ACC94C533DA04F3C822C40DE2EB46502', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('27D8A4E170423586E31B98C4823199E0', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-82', '镊子', '普通耗材', '直头，20cm', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '944C5FDE2CFFF8C99B6E90CCB14614CA', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('27DC9F20724A400B46AA34ED5688C561', '岛津', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-32', '密封垫', '普通耗材', '货号221-48398-91，20个/盒', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '30469F338C71C8B478BB4CE8DD29961F', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('28C377A26A72001E16142B8016F41A16', '治宇', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-169', '一次性使用无菌注射器 带针', '普通耗材', '2ml,200/支', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '84A83141E2F36DFCF6849ABC05CD8148', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('2A06C940E6658BB1082F3B72A7FBA27A', '津隆', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-162', '进口滤膜', '普通耗材', '25mm，100片/盒，有机尼龙66，0.45um，货号：JLSN184502', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '9E9A19ACAB5251DF67AB18ACA2504AB8', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('2AE32144C1A84701661383178EF11A6B', 'CYPRESS', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-93', '连盖离心管', '普通耗材', '5ml，300支/袋', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '47E5959EE794D809712ACE670507B79A', '/', '常规贮存', '/', '包', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('2B7A7252DD978862602561F10EF8DEEF', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-84', '刮刀', '普通耗材', '25cm', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '6F82F3636C1D6F6C6AB97C688832BB16', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('2BBC6CB210C064D5311D1B0CB682AFD2', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-138', '试管架', '普通耗材', '4x6', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '11503E4159FB17CB53C2328F88A6E6D4', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('2C5F777ECB199BC3ADFEB5C369CFE0C3', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-104', '丝口试剂瓶', '普通耗材', '5000ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '86569313D0FCD2B05981A9D4335CEBF4', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('2DBA5E7ED14AE60945839C97BE72DAC5', 'n/a', '耗材', NULL, '20', 'E473120E6AD745213F230978964CF5E3', '2023-127', '称量瓶', '普通耗材', '25x25', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'AC43D3977BFF031A687525EFE60A054A', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('2E5C5EDD62FB72EF8CFE22F6F614A634', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-137', '试管架', '普通耗材', '3x6', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'D5F2B1CD5E63BEEC306691F0D001261F', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('3064B74F016415B569778A2C7FFBBD73', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-83', '刮刀', '普通耗材', '10cm', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'A3A1315047C03897A95C0AC1C913A4DE', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('3125E375092028E5135883772B25CA2D', 'Waters', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-27', 'ACQUITY UPLC BEN HILIC VanGuard Pre-Column 3/Pk', '色谱柱', '2.1*5mm,1.7um,3个/盒', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '6DB229DF049FB3EDFA6B04C09B48DB85', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('3153D69A1FB706278AAD5EDBAA8F58E5', '柯沃', '耗材', NULL, '10', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-185', '一次性蓝色丁腈手套', '普通耗材', 'L', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'BBE1455505831DEA264ACEA2D52A44A1', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('31ADBE00434FD377D74C339C45B51BEA', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-45', '血清移液管', '普通耗材', '1ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '0F4FC5312720C9EB37B40ADFF16CCA73', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('3268CD236B97F8137F7DD3689B0959DF', '皎洁', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-190', '定性滤纸', '普通耗材', '11cm，中速', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '7C2FDDA407F0D5634CD83FC93E69FE37', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('32C69AE8AB9AA12FFF006DA0796FEDD5', '津隆', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-165', '进口滤膜', '普通耗材', '25mm，100片/盒，水洗聚醚砜（PES），0.22um，货号：JLSP202202', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '378A58662B01BFAB3A9856956A26E8CE', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('3341258F0663FCF806F6DBEBEB1C2A9C', 'Bomex', '耗材', NULL, '2', 'E473120E6AD745213F230978964CF5E3', '2023-151', '梨形分液漏斗', '普通耗材', '60ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'EA2EBB6232BD7892B31365B20941282A', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('3361DBFA43F06BF94C70DA55497E7740', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-159', '塑料烧杯', '普通耗材', '3000ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'D1150317A7B12F4731A48D221445CF62', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('3409A6BFBBACEAA7B515259E508AA67B', 'n/a', '耗材', NULL, '10', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-9', '牛皮纸物证袋', '普通耗材', '16.5*9.8cm', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'F2394477AA5FC846D335C0EDEDFD6160', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('3440BDAD0BF40015CECFB332611F9CD6', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-60', '表面皿', '普通耗材', 'Φ60mm，10个/盒', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '3B7B987E5E74FF5BFE1EF23929D890A5', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('3491720A37751C19716901D36BC7E73B', '岛津', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-29', '气相进样针', '进样针', '10ul', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'B394DAEF34639B7809C0B2B472FDA610', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('34C50F3F1F5258EC9CD12C41950DC220', '新星', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-173', '定量滤纸', '普通耗材', '11cm，中速', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '7D9D66C3E257C15325F0C2880B7AA43E', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('34EE9A51C91D85DC1720FEA57E0BDDE8', '安捷伦', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-134', '进样小瓶', '普通耗材', '2ml,5182-0714，100个/盒', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'D4A7E6FD2D4657C98DCEA77B96F50FF9', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('35191F61ABF28B89DF429455172C9CF3', '双联牌', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-170', '定量滤纸', '普通耗材', '12.5cm，慢速', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'BF7C76CF1975341D02DD66A7542B6C7B', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('3525780422D395FDB123DD7348F0F879', 'MC', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-42', '移液管', '普通耗材', '20ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'D7B5E6C0E897CCA263F25CAAEF2B9C3B', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('35C0E528A09ADCF542D9456BA6F7EFC9', '上海新亚', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-168', '滤膜', '普通耗材', '有机，0.45um，50mm，50片/盒', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '45009596D81130BF2A9903E7D5889CAD', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('35CF63D625B5A8CB4178F014FF33DDCA', 'n/a', '耗材', NULL, '10', 'E473120E6AD745213F230978964CF5E3', '2023-129', '称量瓶', '普通耗材', '50x30', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'BC6ACF483410EEB9BE0347484D0591F2', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('36851B3A777FEE88E75F5954E767A087', 'Waters', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-28', 'ACQUITY UPLC CSH C18', '色谱柱', '2.1*100mm,1.7um', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'C8F879630BD68FE5D337D79FF81DA1CD', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('374B0B2F97A96DE65A62B89AAC7C3683', '安捷伦', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-34', 'O型圈', '普通耗材', '货号5188-5365，10个/盒', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'A91084FB4041E62AA9E88B5DD9C2D155', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('37687C634D8F48A0C5F10FD0AA1E2E9E', 'n/a', '耗材', NULL, '10', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-122', '称量纸', '普通耗材', '10cm', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'C4613814105DF4561982D10C40BB5278', '/', '常规贮存', '/', '包', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('38809642544D7600E9B95EE976529EDB', '津隆', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-178', '进口滤膜', '普通耗材', '13mm，水洗聚醚砜（PES）,0.22um，货号：JLSP042201', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '52149875E223374F4CACA7C97D68FE56', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('396E8D5F38DCFFA42CB2668E0BC249CE', 'Brand', '耗材', NULL, '2', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-110', '容量瓶', '普通耗材', '10ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '8344618D833F56A832A1F131A9830D59', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('39A3C8168E1E446E02F0145E6D10A8DF', 'n/a', '耗材', NULL, '8', 'E473120E6AD745213F230978964CF5E3', '2023-155', '带塞溶剂瓶', '普通耗材', '500ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'B1415E7712373D16325D5F5F13B6806E', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('3A02C28455C5C46F9520DF4682DE4409', 'Bomex', '耗材', NULL, '2', 'E473120E6AD745213F230978964CF5E3', '2023-152', '梨形分液漏斗', '普通耗材', '125ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'A164E9F7CB80DE42C7DB19E1A938A2D9', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('3A2ECCBD776237B9EC46513289D85F7B', 'n/a', '耗材', NULL, '10', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-98', '白色滴瓶', '普通耗材', '60ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'E7746A9BF42E7EE5F9AB438A6A789419', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('3AB92657569C8561E9548388ACD6933E', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-60', '表面皿', '普通耗材', 'Φ60mm，10个/盒', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '3B7B987E5E74FF5BFE1EF23929D890A5', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('3B8136BE43D3C8F95DCA3B32B885FFCE', '蜀玻', '耗材', NULL, '3', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-133', '丝口试剂瓶', '普通耗材', '2000ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'BFFF00F8593F383078830951636D399E', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('3BFA5F283E3C30DC0A3BED71F06E977A', '垒固', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-116', '研钵', '普通耗材', '12ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '6B7E591FED81DD3E023EA2D7B3089FC9', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('3C5260EBCBC667D442E9CD5B1210BD89', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-95', '活性炭口罩', '普通耗材', '50支/盒', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '21D74208AF1BA7B159F4B5B92205CA8C', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('3EAF4ADE1C9B2C5AB9A95C050C733985', 'n/a', '耗材', NULL, '6', 'E473120E6AD745213F230978964CF5E3', '2023-142', '小口试剂瓶', '普通耗材', '1000ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'D43DB550EFD4D9F03A363462124A0EAF', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('3F29DCDC54A838188204C4413A08345E', 'MC', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-44', '移液管', '普通耗材', '2ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '3E6A60262CD921AEBE16DBF06A616B0B', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('3F4D811B56D797264580A1309BD80132', '双联牌', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-172', '定量滤纸', '普通耗材', '7cm,快速', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '97E93E9235339AFE03F52F081DB5AAEB', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('3F7A78D24BD7FD171109D3C5A6692A78', '苹果', '耗材', NULL, '100', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-7', '保鲜自封袋4号', '普通耗材', '85x120mm', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'B00AC6E5CD8A4968088E71FBEEA78788', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('4008760727968EFCB98545AC5F63733A', 'n/a', '耗材', NULL, '10', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-100', '白色滴瓶', '普通耗材', '125ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'B8B3F5D0463B018F1A1B86E02D4F445E', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('4015AB7D4953A734D801E65732F9DB90', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-57', '滴管', '普通耗材', '15cm', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '86DF990A143AC06EE8B04EC37960592F', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('40890768E20CD7D5E8B534261C3871C2', '岛津', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-36', '隔垫', '普通耗材', '货号221-75180，50个/盒', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '8CD32004D147BB981D6540DF5250D067', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('40CAD7BBB6FF4323681BBC75AC5C3238', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-103', '洗瓶', '普通耗材', '500ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '7A866B417B76820E58BDC693A15DF122', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('419886E454430680B4A56B31973BD687', 'n/a', '耗材', NULL, '10', 'E473120E6AD745213F230978964CF5E3', '2023-13', '牛皮纸物证袋', '普通耗材', '50*30cm', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'ACC94C533DA04F3C822C40DE2EB46502', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('419B5220144396E3B88BE12D22CEC94F', '新星', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-174', '定量滤纸', '普通耗材', '15cm，中速', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '5D0BE3B0732D3B165CF00645B77E874A', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('41F4BA807A24B65BF42275509D0D55E8', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-86', '塑料吸管', '普通耗材', '0.2ml，500支/袋', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '2502C4C70D30DFF607A4014F6A201682', '/', '常规贮存', '/', '袋', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('42E132E837C7C3C2853B630856C11357', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-72', '橡皮吸球', '普通耗材', '3ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '1A9BCFA8A0B40FC03460B5A0C1F44118', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('43D9B35F27B5D1481749615B2F4BC00F', '垒固', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-147', 'LG玻板抽滤漏斗', '普通耗材', '100ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'BF45AE6FE966F27F4EF7A9887A4A6D3B', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('44850F196074D0EC488CC096DCA98967', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-85', '塑料吸管', '普通耗材', '1ml，100支/袋', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '101CC6B0B917BDB2CA88DFB72AB18F8E', '/', '常规贮存', '/', '袋', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('45132ABC9EB543B0D79F6C0353547FE9', '双鹿', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-68', '手术剪', '普通耗材', '12.5cm直尖', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '78BE79D6CB1A0B6E837B4B586464D34C', '/', '常规贮存', '/', '把', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('453C94EAA1F073EC0413A03A297CD017', 'Brand', '耗材', NULL, '2', 'E473120E6AD745213F230978964CF5E3', '2023-107', '容量瓶', '普通耗材', '100ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '32714A502D90D86BA30D73CC69985709', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('460B492B2D57D4CA8A1C7B2050564904', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-131', '干燥器', '普通耗材', '210mm', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '144E3C8B6BF7A12B89CED05EB6C0AA09', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('469C5C5416A9B2588677327F54E812DA', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-144', '一次性塑料烧杯', '普通耗材', '250ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:45.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '528E1ADCC042D779E830D3C39DF019CC', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('46A18543C4B66D92024F38A2C23D5ED2', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-56', '滴管', '普通耗材', '12cm', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'A955AD0B6FFDCBD9AF062CF66FC22D89', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('46C29CEB76262E2E94F75A0278060699', '津隆', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-178', '进口滤膜', '普通耗材', '13mm，水洗聚醚砜（PES）,0.22um，货号：JLSP042201', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '52149875E223374F4CACA7C97D68FE56', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('48E6F8C4B7338B460E71FECEF187E0E8', '治宇', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-169', '一次性使用无菌注射器 带针', '普通耗材', '2ml,200/支', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '84A83141E2F36DFCF6849ABC05CD8148', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('4B0995C928C72044FC323AAF47E48B0B', '津隆', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-164', '进口滤膜', '普通耗材', '25mm，100片/盒，水洗聚醚砜（PES），0.45um，货号：JLSP214502', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'C26ABE44D0565A3E4DBA9C03C135CBAB', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('4B956CCE1B8113856622138E03B3B13C', '赛默飞', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-24', 'Hypersil GOLD VANQUISH', '色谱柱', '100*2.1um', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '044CA537746A3E7288131F48D56A8C70', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('4CC3F1A8BB45A11F98E5D4382C11A2D6', 'KIMTECH', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-67', '擦镜纸', '普通耗材', '11.0*21.3cm', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '0F2333B90C15E33D5D5C1D86FB96C465', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('4CF4C59516D9B611B36EFEBD62B4766A', 'n/a', '耗材', NULL, '10', 'E473120E6AD745213F230978964CF5E3', '2023-12', '牛皮纸物证袋', '普通耗材', '40*20cm', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '0F8F9C2BC44BA339FB6781411761CECA', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('4D9FF5A16E4481BF75B5CFE884C69387', 'SAIL BRAND', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-196', '单凹片载玻片', '普通耗材', '25.4x76.2mm，50片，7103', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '14409B14272DB2601E796B3EDA3D444E', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('4DFCF4F28C248ABD6357F25384B7634E', '垒固', '耗材', NULL, '14', 'E473120E6AD745213F230978964CF5E3', '2023-192', '密度计', '普通耗材', '0.6-2.0', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '7EF757697E27A2EB416EE12C342AB735', '/', '常规贮存', '/', '支', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('4E99D4092BD1F90179A74CC2A74F5A20', 'Bomex', '耗材', NULL, '20', 'E473120E6AD745213F230978964CF5E3', '2023-123', '量筒', '普通耗材', '10ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '2C24F9332C21D66436C94D693C4EFDFF', '/', '常规贮存', '/', '支', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('50704269E261CC40467750A1D7F68344', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-54', '滴管', '普通耗材', '9cm', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'AFEB27FC0278E762957A99F249F3E033', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('50CBE67B90483FC657F73AF5ADBD774A', 'sartorius', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-179', '枪头', '普通耗材', '10ul', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '545FED46C1885BEA22DCDF83EA8AA454', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('50F89324AE2A6AA7253730FC3B9890B3', 'n/a', '耗材', NULL, '10', 'E473120E6AD745213F230978964CF5E3', '2023-11', '牛皮纸物证袋', '普通耗材', '30*17*46cm', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '4CEDDE1639D4D807DEB5CB0642E1A72A', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('5257BF1E34C289B3C44E09ABE47E3FEF', '垒固', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-115', '研钵', '普通耗材', '15ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'C670EAED879ECDE8B08EE622A9F3FD86', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('5412397968CA77A7BCE763D45DA2968F', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-104', '丝口试剂瓶', '普通耗材', '5000ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '86569313D0FCD2B05981A9D4335CEBF4', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('552B1522B45EF209650DCEAEB8534B9B', '双鹿', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-68', '手术剪', '普通耗材', '12.5cm直尖', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '78BE79D6CB1A0B6E837B4B586464D34C', '/', '常规贮存', '/', '把', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('5620FE32B3E5F3CD59C4C3BBC1F7146C', '垒固', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-147', 'LG玻板抽滤漏斗', '普通耗材', '100ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'BF45AE6FE966F27F4EF7A9887A4A6D3B', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('5624A0BDDC61AA538391594B30D4E72A', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-84', '刮刀', '普通耗材', '25cm', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '6F82F3636C1D6F6C6AB97C688832BB16', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('57056845226735741FD083E90DB220B8', '皎洁', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-188', '定性滤纸', '普通耗材', '18cm，中速', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'D6AD35C22BE6B386B66127E3BA869746', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('577ADB4DEC923F6F4206BF7EC3255666', 'Brand', '耗材', NULL, '2', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-107', '容量瓶', '普通耗材', '100ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '32714A502D90D86BA30D73CC69985709', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('5812F87CE3F61C915AD0080A344FC458', '津隆', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-163', '进口滤膜', '普通耗材', '25mm，100片/盒，有机尼龙66，0.22um，货号：JLSN172202', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'C751651120BE2BEA89867B45444CEF87', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('5835CB8564989F0979BFFAB62DF9B2C4', '皎洁', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-187', '定性滤纸', '普通耗材', '9cm，中速', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '231946970204C7048C7C17CC9E9F4FAC', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('5850C6BFEDED9100F718F0C0C67A2B09', '垒固', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-201', '点样毛细管', '普通耗材', '0.3x1000，1000支', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'EB13E1DF593885F213266B18E1F89DCA', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('58679ECFA810E59B3CF22A02DD47C3D4', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-55', '滴管', '普通耗材', '10cm', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'BEBFD30233119277C91537263D1BB8A0', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('591CD9259EF36AD4DAF5BC2ED3529613', 'n/a', '耗材', NULL, '100', 'E473120E6AD745213F230978964CF5E3', '2023-15', '物证封装袋', '普通耗材', '16.5*12cm', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '42D8D00268672663E954E1D5DA52D588', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('5B738ABDD7CC3B23A144AB81AECD6981', 'Bomex', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-203', '锥形瓶', '普通耗材', '250ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '4B5D062DBFA2711099274434984A3980', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('5B85FC71617DE197922179D3E8B3C4B8', '新星', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-175', '定量滤纸', '普通耗材', '18cm，中速', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'DC984A25B5CA0B8CCEF2DD385CBA6F82', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('5BCB6085C9D4A43A3DFB1321894443D5', 'AXYGEN', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-94', '连盖离心管', '普通耗材', '2ml，500支/袋', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '76D7CD14E2A462AB3B95A5B8942954BC', '/', '常规贮存', '/', '包', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('5C3868CCE31D5360C0327DF20D1A1B2B', 'Bomex', '耗材', NULL, '10', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-126', '量筒', '普通耗材', '100ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '0FE69FE9C8EB1E78667CC0531FE096E5', '/', '常规贮存', '/', '支', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('5CFC56C0731FAD4BF7ADDD18C00434A4', '苹果', '耗材', NULL, '100', 'E473120E6AD745213F230978964CF5E3', '2023-3', '保鲜自封袋7号', '普通耗材', '200x140mm', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '0C54AD522F6C0DBB1469027DB33E9265', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('5D655C4B6EE3BC8BEEA2817A8A29994E', 'Brand', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-160', '枪头', '普通耗材', '5ml，200支/包', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'F83B62E78CA0A47C02A4F47AC4744924', '/', '常规贮存', '/', '包', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('5DD9032E43BF544D3616C011F169555C', '双联牌', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-171', '定量滤纸', '普通耗材', '9cm，慢速', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '504ACDC09F444287F4C0BD9BDFFB2BE8', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('5EE1DAB85834346CCF9F81C43173DCED', 'Brand', '耗材', NULL, '2', 'E473120E6AD745213F230978964CF5E3', '2023-113', '容量瓶', '普通耗材', '1ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'A4270E21FE6B7B925AE247C4F40418ED', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('606E666D93987BFEB40BD3A2703BC825', 'n/a', '耗材', NULL, '10', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-129', '称量瓶', '普通耗材', '50x30', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'BC6ACF483410EEB9BE0347484D0591F2', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('6156840E858E6ADBBAFFE69E953BCB21', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-50', '血清移液管', '普通耗材', '50ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'AD6044D8D82E3B81FF260063AA5040B1', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('620E3982B329B502F31BF2FE163F9ED4', 'n/a', '耗材', NULL, '10', 'E473120E6AD745213F230978964CF5E3', '2023-9', '牛皮纸物证袋', '普通耗材', '16.5*9.8cm', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'F2394477AA5FC846D335C0EDEDFD6160', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('6247C37A366DAEC10DF7CA9D5A70EA67', '蜀牛', '耗材', NULL, '10', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-139', '螺纹试剂瓶', '普通耗材', '250ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'C0989B3D20F6859AF650A9AF553B3F7B', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('631FC0068CA18FE4A1B18966B4FDD5CB', 'Waters', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-26', 'ACQUITY UPLC ENH HILIC ', '色谱柱', '2.1*100mm,1.7um', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '51E89D3CD9AF92582CB3E0E91942B8E4', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('637BDDC482FC517464E0CFCA55348BD4', 'Brand', '耗材', NULL, '2', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-109', '容量瓶', '普通耗材', '25ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'DC3833FB7AEC86FEF6AF5146BE87932A', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('6387F37ED9941AAC5F1FE9C07BCA0F7F', 'Sartorius', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-63', '移液枪', '普通耗材', '500-5000ul', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '7E177F2FF8071BA8F7A0B9B77F7A3947', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('65660F5A634A4D94215506D824BEAAB7', '苹果', '耗材', NULL, '100', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-3', '保鲜自封袋7号', '普通耗材', '200x140mm', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '0C54AD522F6C0DBB1469027DB33E9265', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('6616E4DA9832C48EB08E6A72144C270B', '皎洁', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-186', '定性滤纸', '普通耗材', '7cm，中速', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '19D3A8EB33A3626BF4E1A4B410E2CF84', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('66E3F851203BB642BC49440AF8E1DB25', 'Bomex', '耗材', NULL, '2', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-151', '梨形分液漏斗', '普通耗材', '60ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'EA2EBB6232BD7892B31365B20941282A', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('66E6790A5DCF5DC234927F2504643BD9', '金利', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-70', '红色胶帽', '普通耗材', 'n/a', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'F0607FE67D8B461FFBF35F91C2AB94B6', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('6803C347B94D311338F90AD5A2E0D9AC', '苹果', '耗材', NULL, '100', 'E473120E6AD745213F230978964CF5E3', '2023-7', '保鲜自封袋4号', '普通耗材', '85x120mm', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'B00AC6E5CD8A4968088E71FBEEA78788', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('68300117C6F93FB7AE6D4BA1B2FA74D5', 'n/a', '耗材', NULL, '100', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-16', '物证封装袋', '普通耗材', '30*22cm', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'C2FE68D41F8F7B76A558EC10F38F816B', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('68F5A736AFB4567BE97B54A02789C6DF', 'n/a', '耗材', NULL, '10', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-128', '称量瓶', '普通耗材', '25x40', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '8341CCD6BD433A1C49B66184A2E66886', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('692C743D7610525E42552D8C76E57652', '垒固', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-115', '研钵', '普通耗材', '15ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'C670EAED879ECDE8B08EE622A9F3FD86', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('697A665A43312434FA4335260980E0E5', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-80', '镊子', '普通耗材', '直头，12.5cm', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'CA5B5351C698FF785F036C7452AD24F0', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('69E90DD687083281DF0ABD8DA9B997B2', 'Brand', '耗材', NULL, '10', 'E473120E6AD745213F230978964CF5E3', '2023-181', '枪头', '普通耗材', '200ul', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '35C00276463D29EB56ED44B6EF1C45B0', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('69F707C5F7B8611A746FF910ECBC50A0', '垒固', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-105', '研钵', '普通耗材', '18cm', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '9A18912AA6BF66235704D1120710AD50', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('6A4215630681FD70AB9D12B8AEA6A1F7', '安捷伦', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-65', 'DB-5', '普通耗材', '30m*0.25mm*0.25um，122-5032', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'FFBC2B16FF1D546DEE5ED4CD09BC74AD', '/', '常规贮存', '/', '根', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('6A6361E39904B258C337EFFFCE305733', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-145', '一次性塑料烧杯', '普通耗材', '100ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '6E3F4AD11E5F603AE53169491B8A32E2', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('6AA9E073F501E7465C223BFE1DE85A33', '柯沃', '耗材', NULL, '10', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-183', '一次性蓝色丁腈手套', '普通耗材', 'S', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '44FD2C851135570E474C12B36B1D84FB', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('6B2B088AAAE1666F025FE3332EE9E01E', '皎洁', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-191', '定性滤纸', '普通耗材', '12.5cm，中速', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '32192E2A9D76069E893DAF5424E11575', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('6B884452FE3524FBBAE318FC0266C9E1', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-81', '镊子', '普通耗材', '弯头，12.5cm', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'E08090F3B415AD7FC1D283F997EDCB21', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('6BFCFB376C1888EC8282AC813B219A97', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-54', '滴管', '普通耗材', '9cm', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'AFEB27FC0278E762957A99F249F3E033', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('6F4F864E2E3751C3317F65CE16049836', '安其生', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-69', '手术剪', '普通耗材', '12.5cm弯尖', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'AFD3BA44C8C057D75791801661C03440', '/', '常规贮存', '/', '把', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('7080C700E8DE95A6E84AA5C370A42FE5', 'n/a', '耗材', NULL, '10', 'E473120E6AD745213F230978964CF5E3', '2023-149', '标准漏斗', '普通耗材', 'n/a', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '8FCDBB170412C4ED1F25D08F4266D086', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('71A5A42A43DEF89EBFD9D58C068CB7C1', 'n/a', '耗材', NULL, '100', 'E473120E6AD745213F230978964CF5E3', '2023-17', '物证封装袋', '普通耗材', '43*31cm', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'F323ADD0644D620B3109DA3F620D7B31', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('733FA8A1BCDAE69275917002490FBF92', 'MC', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-79', '温度计', '普通耗材', '200ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'F90E8EC819B068BCF944A27E4CB33B39', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('735E47CCD5377184BA1B56791628DAA3', '赛默飞', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-24', 'Hypersil GOLD VANQUISH', '色谱柱', '100*2.1um', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '044CA537746A3E7288131F48D56A8C70', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('73DEE225330BB8CC84F6C3D9C9F0D246', '岛津', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-36', '隔垫', '普通耗材', '货号221-75180，50个/盒', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '8CD32004D147BB981D6540DF5250D067', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('74C10B71F56EC54434B472742F561E60', 'sartorius', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-96', '瓶口分液器', '普通耗材', '0.2ml-1ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '534067179AD57F2F6182AF9ACEAB69C9', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('76114F9A960CE7483F5D65806737E7B5', 'SAIL BRAND', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-197', '载玻片', '普通耗材', '25.4x76.2mm，50片，7102', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '52CBC132CB32C315D32AA93200229258', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('7694D5A59866C24F6C5E172E21A3DC7A', '普兰德', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-61', '移液枪', '普通耗材', '500-5000ul', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '85D13698293047F5D4D4986F1F19BBFC', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('775473C6B6B20A671D95C6D4E67E6E08', 'n/a', '耗材', NULL, '10', 'E473120E6AD745213F230978964CF5E3', '2023-100', '白色滴瓶', '普通耗材', '125ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'B8B3F5D0463B018F1A1B86E02D4F445E', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('77F53DB545BF35764E3FBE4316E7018E', 'Bomex', '耗材', NULL, '10', 'E473120E6AD745213F230978964CF5E3', '2023-124', '量筒', '普通耗材', '25ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'D19A01AAF2B221025D67F3126A0DBB3B', '/', '常规贮存', '/', '支', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('7804FA20D491F1E537D0C09DD1D7FB99', '岛津', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-22', 'Shim-pack GIST', '色谱柱', '4.6*150mm,5um', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'B8FEF531D07C0352F447F20BB2A8A932', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('788B82AC5C38A028394E7AD5F40D187D', 'n/a', '耗材', NULL, '100', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-17', '物证封装袋', '普通耗材', '43*31cm', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'F323ADD0644D620B3109DA3F620D7B31', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('78A1804121BF7860A8093F1F0254D0E2', '环球', '耗材', NULL, '12', 'E473120E6AD745213F230978964CF5E3', '2023-156', '锥形瓶', '普通耗材', '50ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'E63B3F00E2BF74520A54F16DECEE7F3D', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('79CAE09B048CC18562E1DFCC2F140204', 'n/a', '耗材', NULL, '10', 'E473120E6AD745213F230978964CF5E3', '2023-150', '梨形分液漏斗', '普通耗材', '10ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '6FA51C4CB01B6C5041E535D55E128530', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('7A45C102353A8C2DA0C9A6242832EFE3', '垒固', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-148', 'LG玻板抽滤漏斗', '普通耗材', '250ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '39CBA0E4D5644083828D1CFF88F81486', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('7A69DADE8DA080EAB39A8F3CF4182453', 'Waters', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-26', 'ACQUITY UPLC ENH HILIC ', '色谱柱', '2.1*100mm,1.7um', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '51E89D3CD9AF92582CB3E0E91942B8E4', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('7B552A2CC14B689892CE1FA98EFCF91B', 'NORELL', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-30', '核磁管', '核磁管', '100个/盒', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '41AD8970BF0C8B47856EA895F2317234', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('7B5E1B9A2BC9EC57208D0B051B314687', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-91', '塑料离心管', '普通耗材', '8ml,，225支/袋', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '92C9CCD28F576183CC8F7E6F4894D728', '/', '常规贮存', '/', '袋', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('7C0893A74A7A66CC2AAE59C7B6884C42', 'SAIL BRAND', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-197', '载玻片', '普通耗材', '25.4x76.2mm，50片，7102', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '52CBC132CB32C315D32AA93200229258', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('7C08B7762C26403D7DD06C790AE81144', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-71', '橡皮吸球', '普通耗材', '10ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '07B4BBFD02469A5EA387F68D71964D42', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('7CB09C6B0516F29E43374375149B0F31', '蜀牛', '耗材', NULL, '20', 'E473120E6AD745213F230978964CF5E3', '2023-140', '螺纹试剂瓶', '普通耗材', '80ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'B55D7547F900E35B7AAD24AE081D07F4', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('7D069EDCB837A648368933DDC7C762C1', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-161', '枪头', '普通耗材', '5ml，200支/包', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '844CB57FBA942358006F428D6F0BFC06', '/', '常规贮存', '/', '包', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('7D309ABE50C11D6C5A54A57C46AF9EAB', '岛津', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-31', '密封垫', '普通耗材', '货号221-48972-91，20个/盒', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'FE0095EAE5AB73FD244CC06416E507D6', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('7D45A51ABC6B9A842009A375F969F143', 'MC', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-41', '移液管', '普通耗材', '50ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '86C29C45C3E33F236DB6323E926C65A5', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('7DF1D37FD335A4CFF657A096ECEC1524', 'Bomex', '耗材', NULL, '6', 'E473120E6AD745213F230978964CF5E3', '2023-114', '容量瓶', '普通耗材', '250ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'CADC742EE1BE70774DA89E4719769575', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('7E724C101F189D0D35ECE385F039D927', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-49', '血清移液管', '普通耗材', '10ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '2CEF7953A7965A062F7487F170D5A576', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('7E8AA77339D07A508F20E6B171EE4343', '安捷伦', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-35', '石墨垫圈', '普通耗材', '货号5080-8853，10个/盒', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '6B508110CE358ED0A8DBB9EB1ABE3BAD', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('7EBC21109E132F5E28067DCD01027AF4', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-46', '血清移液管', '普通耗材', '2ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '64B6C5E0B3DC6FA2F95422EE3BB083C6', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('7F4C3ACE5E1E8206EFBBD5E103ED59D3', '安捷伦', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-66', 'DB-35MS', '普通耗材', '30m*0.25mm*0.25um，122-3832', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '2D05D439A02CC4CF61A010CB276C1C39', '/', '常规贮存', '/', '根', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('8056F1D9FACD0B234420CACE76252450', 'Brand', '耗材', NULL, '2', 'E473120E6AD745213F230978964CF5E3', '2023-111', '容量瓶', '普通耗材', '5ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'E215BAC1B87CF0348ED63561A32E3DA4', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('808AF8DEFF0AB5F4462731F1E88B062D', 'n/a', '耗材', NULL, '10', 'E473120E6AD745213F230978964CF5E3', '2023-101', '棕色滴瓶', '普通耗材', '125ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '9C0C4BCA4EF31E65E589CCB4849EE167', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('809CC62503198D810FA27239011CE39F', '皎洁', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-189', '定性滤纸', '普通耗材', '15cm，中速', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '626006C737D336AC168F42D2C8A69767', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('80C8A5190B487A06AB294D81242DFD83', '申迪', '耗材', NULL, '10', 'E473120E6AD745213F230978964CF5E3', '2023-121', '圆底烧瓶', '普通耗材', '500ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '7397DBF2E1C3BD3BDA1B477EF207F050', '/', '常规贮存', '/', '瓶', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('80DD19BE10D25C3370CFE53F7E6C84C2', 'sartorius', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-180', '枪头', '普通耗材', '200ul', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '3BF1ECF7D80355363B735EFDF8150E78', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('81141C7C335030ACB1941DF469D361E7', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-76', '药匙', '普通耗材', '20cm', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '1F2A1C498B1EF465E33E0EE76D28AB03', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('81C72E5481F5DD1FAA3644EC9CEE8127', '治宇', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-132', '一次性使用无菌注射器 带针', '普通耗材', '1ml，200支/盒', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'A1DF76E1887DA166F55DFC4D42018DE3', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('81DFA363502DFBF82996B2ECDEA1A299', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-46', '血清移液管', '普通耗材', '2ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '64B6C5E0B3DC6FA2F95422EE3BB083C6', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('84FD60200121DC35F30C2CBAEF77B4AE', 'n/a', '耗材', NULL, '10', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-10', '牛皮纸物证袋', '普通耗材', '21*14cm', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'C7B07AB86612807AAA50E4324EC8C481', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('855474185BC0F7561891C3F0795786DB', 'merck', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-21', 'Astec CHIROBIOTIC V2', '色谱柱', '25cm*4.6mm,5um', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '47CF44D683CCAEB50EB2C159FEB72A91', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('85AF9333FD58DF056685AB8EF916800B', 'n/a', '耗材', NULL, '10', 'E473120E6AD745213F230978964CF5E3', '2023-122', '称量纸', '普通耗材', '10cm', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'C4613814105DF4561982D10C40BB5278', '/', '常规贮存', '/', '包', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('8660C344F72922CD3CB57D42F644D5CB', 'Bomex', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-106', '容量瓶', '普通耗材', '250ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'F21DCA0AB2615586CE73504A97FE8E34', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('86843A8B83FF9C68E23C91DF4A27DD14', '苹果', '耗材', NULL, '100', 'E473120E6AD745213F230978964CF5E3', '2023-1', '保鲜自封袋10号', '普通耗材', '340x240mm', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'A4D16B383557E926776B845CC0E443C7', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('86ACD560DA33B6693CF01D18A11B6BF8', 'MC', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-42', '移液管', '普通耗材', '20ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'D7B5E6C0E897CCA263F25CAAEF2B9C3B', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('876B6DA8C39E845390BB97CCEAAB37D2', 'Bomex', '耗材', NULL, '2', 'E473120E6AD745213F230978964CF5E3', '2023-119', '高硼硅量筒', '普通耗材', '250ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '29D7E45FCEBBBED0D8A15D1EA7770BDB', '/', '常规贮存', '/', '支', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('884703002133E4A8741CB5DBF7E13D31', '垒固', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-201', '点样毛细管', '普通耗材', '0.3x1000，1000支', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'EB13E1DF593885F213266B18E1F89DCA', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('89CC5F747F43DE85A8624BEE0A090694', '蜀牛', '耗材', NULL, '10', 'E473120E6AD745213F230978964CF5E3', '2023-139', '螺纹试剂瓶', '普通耗材', '250ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'C0989B3D20F6859AF650A9AF553B3F7B', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('8AA9109C1842532F99E9D6D4AB7307C6', '津隆', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-165', '进口滤膜', '普通耗材', '25mm，100片/盒，水洗聚醚砜（PES），0.22um，货号：JLSP202202', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '378A58662B01BFAB3A9856956A26E8CE', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('8B078700796A14900C89628F1C19CEC6', '唐丰', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-117', '自吸过滤式防毒面具', '普通耗材', 'TF503型', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '7F3BD1525FF4C4EAD39FACE5C208A2D5', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('8BA45024AB11CB5AA954460FB2653A1A', '岛津', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-33', 'O型圈', '普通耗材', '货号036-11203-84，5个/袋', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '02A2A02DBFA8512406243ACE8F46260F', '/', '常规贮存', '/', '袋', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('8BE4359BA81A26E153F12BD0F9FFA5C2', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-158', '收纳盒', '普通耗材', 'n/a', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '7B23DD07612A938E37234484BB5372BA', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('8BF717D683CE7EAD1A1F33A376F637FD', '苹果', '耗材', NULL, '100', 'E473120E6AD745213F230978964CF5E3', '2023-5', '保鲜自封袋6号', '普通耗材', '120x170mm', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '2AF699BB34C7D2066D7F66D4B69227DE', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('8C72F8A647BFEB333C1B5F2FC6805565', 'n/a', '耗材', NULL, '10', 'E473120E6AD745213F230978964CF5E3', '2023-154', '带塞溶剂瓶', '普通耗材', '250ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'E6611493FCB01177492609A45313672D', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('8CF3D3435A56ED7356B6C354979725AA', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-159', '塑料烧杯', '普通耗材', '3000ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'D1150317A7B12F4731A48D221445CF62', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('8EA5A94505EA30F485733B76588A147A', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-48', '血清移液管', '普通耗材', '25ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '1021A0694DFEB552C29E6D2233FDDA70', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('8EDB977972BCBF28CDC6A357CBA5CAB9', '新星', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-174', '定量滤纸', '普通耗材', '15cm，中速', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '5D0BE3B0732D3B165CF00645B77E874A', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('8F9DDC0D2324B871BB145FC1E6334DE3', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-83', '刮刀', '普通耗材', '10cm', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'A3A1315047C03897A95C0AC1C913A4DE', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('8FC4A8AF26A1345E8995DF739153C86A', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-95', '活性炭口罩', '普通耗材', '50支/盒', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '21D74208AF1BA7B159F4B5B92205CA8C', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('920B819DDE9182587182353FA0D182E0', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-47', '血清移液管', '普通耗材', '5ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'CC1D517497249BA28F72CF284554E058', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('92A0B4B635304FF8FFD9323D7FB07470', '安捷伦', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-66', 'DB-35MS', '普通耗材', '30m*0.25mm*0.25um，122-3832', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '2D05D439A02CC4CF61A010CB276C1C39', '/', '常规贮存', '/', '根', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('9385C3B3F9257E076168DC8BB1484835', 'SAIL BRAND', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-196', '单凹片载玻片', '普通耗材', '25.4x76.2mm，50片，7103', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '14409B14272DB2601E796B3EDA3D444E', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('939FE430D830F1C8D3BA7CF4E7F0635A', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-92', '白色药瓶', '普通耗材', '20ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '6F676FEB5CC2C188BC9E80792A6921AC', '/', '常规贮存', '/', '瓶', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('94741834F8BB19F8E3BBC7DF24C0FDD3', 'brand', '耗材', NULL, '10', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-97', '枪头', '普通耗材', '50-1000ul', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '98089E74B1CB8EE011A9DA071E2EF7EB', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('94B83A07CD94F501F846CE3D00C00196', 'Brand', '耗材', NULL, '10', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-182', '枪头', '普通耗材', '1000ul', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '9FAD2B0B27B4673C017CE9E9217E0B9E', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('9528FDF17C2775CE350C6FCC0236F484', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-38', '试管', '普通耗材', '15*150mm', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '709C0DF2982CE7F1DA43E324A4CC7746', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('95FA769B8EECF366338DE6E4C076105D', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-59', '玻璃冻存管', '普通耗材', '棕色，5ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '7ACF511AEB6EAA13A017CC5B566C9D9B', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('96AE41E809AE37B2B85ABB77823F8428', 'MC', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-44', '移液管', '普通耗材', '2ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '3E6A60262CD921AEBE16DBF06A616B0B', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('9752617CA769720024616FF89F8C2781', 'n/a', '耗材', NULL, '10', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-150', '梨形分液漏斗', '普通耗材', '10ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '6FA51C4CB01B6C5041E535D55E128530', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('978E1D7C39054C948F1790D39FFBE05C', '苹果', '耗材', NULL, '100', 'E473120E6AD745213F230978964CF5E3', '2023-4', '保鲜自封袋8号', '普通耗材', '240x170mm', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '33507A4B07B101DDE09A2EAEE6D48699', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('981D80CEA2F894E409653BC33D958D14', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-130', '干燥器', '普通耗材', '210mm', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '144E3C8B6BF7A12B89CED05EB6C0AA09', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('99236FF4957BCB615D46A89715364066', '安捷伦', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-34', 'O型圈', '普通耗材', '货号5188-5365，10个/盒', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'A91084FB4041E62AA9E88B5DD9C2D155', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('99D631B9B5AB6DCAD08E0EA0E692DBAF', '3M', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-118', '防冲击眼罩', '普通耗材', '1621型', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'DE69E4CA07464E195FD37184401D1210', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('9B53CB78F2712E80B446F5DE8B462FCB', '垒固', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-105', '研钵', '普通耗材', '18cm', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '9A18912AA6BF66235704D1120710AD50', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('9B677814CC65CEF03783B8E49D19DA09', '岛津', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-37', '隔垫', '普通耗材', '货号221-76650-01,25个/盒', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'E79EFB15AF32D290C8D8147CE6BBF1AD', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('9CCB1E64C0AC2AE276147CE7BF04B8E3', 'Bomex', '耗材', NULL, '10', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-125', '量筒', '普通耗材', '50ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '6C905D6EF005D6AB98A42914749D3685', '/', '常规贮存', '/', '支', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('9CDAFD3D4313E061D613B409B7ACBBA7', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-80', '镊子', '普通耗材', '直头，12.5cm', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'CA5B5351C698FF785F036C7452AD24F0', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('9CFC3CB972357F8AE492D1099F77F53D', 'n/a', '耗材', NULL, '100', 'E473120E6AD745213F230978964CF5E3', '2023-16', '物证封装袋', '普通耗材', '30*22cm', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'C2FE68D41F8F7B76A558EC10F38F816B', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('9D8A35D1D92706ED7B7D0C18498C9AA0', 'Bemis', '耗材', NULL, '100', 'E473120E6AD745213F230978964CF5E3', '2023-18', '封口膜', '普通耗材', '4IN.*125FT.ROLL，PM-996', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '744D830223F86194E6BA97329BDF10C2', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('9E2D9486ECFDB2AE008B8B6E28B1A394', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-194', '干燥器', '普通耗材', '300mm', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '1BC224475D8282E9FE9251E5FD0B2225', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('9E74EDF2406FE6000A2D76D378201AAF', 'MC', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-43', '移液管', '普通耗材', '10ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'C4A0CD31CDB29E271567A7CA0F0FDC02', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('9EBC6BEA36A1515956CE2AE04743986F', 'merck', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-21', 'Astec CHIROBIOTIC V2', '色谱柱', '25cm*4.6mm,5um', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '47CF44D683CCAEB50EB2C159FEB72A91', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('9EC764C9FAC7DB3B780A5ABC40A57EF4', 'CYPRESS', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-93', '连盖离心管', '普通耗材', '5ml，300支/袋', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '47E5959EE794D809712ACE670507B79A', '/', '常规贮存', '/', '包', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('9F944844AF058C087000D53F5FBD67D3', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-92', '白色药瓶', '普通耗材', '20ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '6F676FEB5CC2C188BC9E80792A6921AC', '/', '常规贮存', '/', '瓶', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('A0875D8120F05B527F1B4D68EBA92746', '苹果', '耗材', NULL, '100', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-4', '保鲜自封袋8号', '普通耗材', '240x170mm', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '33507A4B07B101DDE09A2EAEE6D48699', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('A1BE1805C19BD442A6B7857C249C5AC2', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-53', '塑料烧杯', '普通耗材', '10ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '97DE3D7165EF2D1C0B8E228A95AE6549', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('A22A70B35AAB4DE26E09980983485173', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-55', '滴管', '普通耗材', '10cm', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'BEBFD30233119277C91537263D1BB8A0', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('A26EA6DCAFFCA783BAEE2CDF99911532', '津隆', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-163', '进口滤膜', '普通耗材', '25mm，100片/盒，有机尼龙66，0.22um，货号：JLSN172202', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'C751651120BE2BEA89867B45444CEF87', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('A4E625BE5FF79FF173FD1C89F348FF19', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-73', '橡皮吸球', '普通耗材', '1ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '93D63AFFB0954E8B16B16A0E24D73840', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('A52907D2C78F415CF3AA681970A42E46', 'Bemis', '耗材', NULL, '100', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-18', '封口膜', '普通耗材', '4IN.*125FT.ROLL，PM-996', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '744D830223F86194E6BA97329BDF10C2', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('A533DB0F8594B5D9D7E9F567EAE80D2B', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-195', '离心管架', '普通耗材', '4X5，20孔', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '6488A336F64C7F72211CB8D638DB15F8', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('A5EB4EE51F2D76EE841DD12A650D99F2', 'n/a', '耗材', NULL, '10', 'E473120E6AD745213F230978964CF5E3', '2023-8', '牛皮纸物证袋', '普通耗材', '10.2*8.8cm', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '7A84AE86F2F0332A6A0A278EE0263F85', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('A60E593A615D1BD6D0F51AE44969B473', 'MC', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-79', '温度计', '普通耗材', '200ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'F90E8EC819B068BCF944A27E4CB33B39', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('A6A6C526087359CB6062AF760BBEA558', 'n/a', '耗材', NULL, '10', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-154', '带塞溶剂瓶', '普通耗材', '250ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'E6611493FCB01177492609A45313672D', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('A707B78CCE42CB3F93625EDF4D7E53E8', 'n/a', '耗材', NULL, '50', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-14', '物证提取袋', '普通耗材', '15*10cm', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'E8FF134E5B5B70F33EDAC9F56DB33979', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('A7FE6B0EC0E3824B20F5CB6E6312FF89', '飞诺美', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-23', 'Kinetex Biphenyl', '色谱柱', '100*3.0mm,2.6um', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'D86D8D9E39A9103ACDA28BE8043696B6', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('A80F530019962CEEF5E92B6CA836A887', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-102', '洗瓶', '普通耗材', '250ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '95085B5F253E7CE9B7F5F1607BAF473C', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('A86E93B09A437FDEA20555A325022782', 'Brand', '耗材', NULL, '2', 'E473120E6AD745213F230978964CF5E3', '2023-109', '容量瓶', '普通耗材', '25ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'DC3833FB7AEC86FEF6AF5146BE87932A', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('AA82DEA4A5DE8B09101E797E7278101C', '津隆', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-176', '进口滤膜', '普通耗材', '13mm，有机尼龙66,0.45um，货号：JLSN024501', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '088D6CCA820C4D561C7B1F8BB0519892', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('AA9A5FD85432550D7B0F9597DC12CA1E', 'Bomex', '耗材', NULL, '20', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-123', '量筒', '普通耗材', '10ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '2C24F9332C21D66436C94D693C4EFDFF', '/', '常规贮存', '/', '支', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('AABFA0237B639846EC23298329EE2CDB', '柯沃', '耗材', NULL, '10', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-184', '一次性蓝色丁腈手套', '普通耗材', 'M', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'D10DBC3AEAF5182F38549DBE43422BDB', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('AB16C9F335D8E89B654C726B1C05C875', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-47', '血清移液管', '普通耗材', '5ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'CC1D517497249BA28F72CF284554E058', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('AB48449838B263D47784C4BDC824F8FA', '蜀牛', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-136', '小口试剂瓶', '普通耗材', '2500ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '3E3DAF128CA84B5C9D56A39F667BD943', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('AB68F4B4196C6D555A2559EFAE24F923', 'Corning', '耗材', NULL, '20', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-141', '一次性塑料离心管', '普通耗材', '50ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '8629772E3F9D8246C03650CFCB3F7E55', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('ABD6B002EC83D2D7AA3D94907940A446', 'Brand', '耗材', NULL, '2', 'E473120E6AD745213F230978964CF5E3', '2023-110', '容量瓶', '普通耗材', '10ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '8344618D833F56A832A1F131A9830D59', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('AC014561E4BEB9204E2721283C84B52A', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-204', '废液瓶架', '普通耗材', 'n/a', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '5726EA29F7212BEFC0615D48258EBA82', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('AD58C50D53BA1324EC5B18611971D2FE', 'GreenMall', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-166', '微孔滤膜', '普通耗材', '有机系（尼龙）,50mm,0.22um,50片/盒', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '69813B59D6AF644D9FF83F57FB3630D5', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('AE0508A48F9A0E03087778FE04256CA0', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-78', '试管帽', '普通耗材', 'Φ18', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '8D9573F9EF9FA471F3519780403C452B', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('AF38238811E5CF9D1020A5B58695F18F', 'n/a', '耗材', NULL, '10', 'E473120E6AD745213F230978964CF5E3', '2023-128', '称量瓶', '普通耗材', '25x40', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '8341CCD6BD433A1C49B66184A2E66886', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('AFF32049FCC68763FD573541B7AE73BF', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-53', '塑料烧杯', '普通耗材', '10ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '97DE3D7165EF2D1C0B8E228A95AE6549', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('B04D5A7008F3CB6EF0C0CB2F160797B6', '杭州新星', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-51', '擦镜纸', '普通耗材', '10*15cm', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '2E7AE2A76E0463B8E7548CB751951FF5', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('B078EE570D9018A3214C0B2528745740', '飞诺美', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-23', 'Kinetex Biphenyl', '色谱柱', '100*3.0mm,2.6um', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'D86D8D9E39A9103ACDA28BE8043696B6', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('B18CA32EF0A42F76AB59FEB134361D0C', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-39', '试管', '普通耗材', '18*180mm', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'DD2A66BBA9B8D89D445D45D62523342C', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('B19093988EB0656B281B1077FFF07004', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-81', '镊子', '普通耗材', '弯头，12.5cm', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'E08090F3B415AD7FC1D283F997EDCB21', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('B2330B775D3D5D49E451611591A51CB4', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-90', '塑料离心管', '普通耗材', '5ml，400支/袋', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'E53B993CAB95C141F1BC596A6C08F52E', '/', '常规贮存', '/', '袋', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('B52BE9B265372050707FE51FD279008E', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-138', '试管架', '普通耗材', '4x6', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '11503E4159FB17CB53C2328F88A6E6D4', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('B55B2C0B584330C7B4D952A9E488C269', '苹果', '耗材', NULL, '100', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-1', '保鲜自封袋10号', '普通耗材', '340x240mm', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'A4D16B383557E926776B845CC0E443C7', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('B564AC072C2F3BABA55D492AA78BA200', '苹果', '耗材', NULL, '100', 'E473120E6AD745213F230978964CF5E3', '2023-2', '保鲜自封袋9号', '普通耗材', '280x200mm', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '293EFDAD996824B63FFBF6F7DAB3C09E', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('B6074CE1D2B65F5C295EA0948884D762', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-73', '橡皮吸球', '普通耗材', '1ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '93D63AFFB0954E8B16B16A0E24D73840', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('B6B9703FB04748C41BA5B59DECDB0A56', '安捷伦', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-143', '顶空瓶', '普通耗材', '10ml,5182-0838', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'E9E3C4DD9912649514E31FCF8EACEB05', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('B6F241CA0521C028C6DB55AB798025F1', '普兰德', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-61', '移液枪', '普通耗材', '500-5000ul', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '85D13698293047F5D4D4986F1F19BBFC', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('B7728E12F1244CC77F6C266A87D63143', 'n/a', '耗材', NULL, '10', 'E473120E6AD745213F230978964CF5E3', '2023-99', '棕色滴瓶', '普通耗材', '60ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '1F3F7266A6534B8C3A18B96329CB5400', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('B79494962EDB40A52ADCCD9FD8FFA510', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-204', '废液瓶架', '普通耗材', 'n/a', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '5726EA29F7212BEFC0615D48258EBA82', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('B7C29757C4EBEE948FCFFE5517882323', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-72', '橡皮吸球', '普通耗材', '3ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '1A9BCFA8A0B40FC03460B5A0C1F44118', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('B7D923316724213D4E8E9C929B6DA5CD', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-48', '血清移液管', '普通耗材', '25ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '1021A0694DFEB552C29E6D2233FDDA70', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('B8189E449992E2D12E80218AEAFF5065', 'Brand', '耗材', NULL, '10', 'E473120E6AD745213F230978964CF5E3', '2023-182', '枪头', '普通耗材', '1000ul', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '9FAD2B0B27B4673C017CE9E9217E0B9E', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('B865E357226A74E820C4C9ADCDDD3D7E', 'Bomex', '耗材', NULL, '6', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-114', '容量瓶', '普通耗材', '250ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'CADC742EE1BE70774DA89E4719769575', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('B87A6A3E7321262A889E2F63959DC7F8', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-75', '药匙', '普通耗材', '16cm', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '69230B2C940F52DAF85C1D529411C16F', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('B8B9347D81BCF25E73DDB2B1ABE05D9F', '安捷伦', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-65', 'DB-5', '普通耗材', '30m*0.25mm*0.25um，122-5032', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'FFBC2B16FF1D546DEE5ED4CD09BC74AD', '/', '常规贮存', '/', '根', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('B9719935F3C6829AD97C03139A49B865', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-195', '离心管架', '普通耗材', '4X5，20孔', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '6488A336F64C7F72211CB8D638DB15F8', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('BA22C027907C410C62EBAB56A85ABC99', 'NORELL', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-30', '核磁管', '核磁管', '100个/盒', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '41AD8970BF0C8B47856EA895F2317234', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('BACA33C57A9F29F0E3D45B509DA2A8A5', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-45', '血清移液管', '普通耗材', '1ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '0F4FC5312720C9EB37B40ADFF16CCA73', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('BB05F4380144F3B548E9BC5E608184CF', '皎洁', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-186', '定性滤纸', '普通耗材', '7cm，中速', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '19D3A8EB33A3626BF4E1A4B410E2CF84', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('BB0FB53BEA156755A2F7302E084EA963', 'Brand', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-160', '枪头', '普通耗材', '5ml，200支/包', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'F83B62E78CA0A47C02A4F47AC4744924', '/', '常规贮存', '/', '包', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('BBC7A4D84AB97737A93F52D68511C6D4', '金利', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-70', '红色胶帽', '普通耗材', 'n/a', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'F0607FE67D8B461FFBF35F91C2AB94B6', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('BC88D0B9E225D387EABFCE1B8EA63FE7', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-161', '枪头', '普通耗材', '5ml，200支/包', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '844CB57FBA942358006F428D6F0BFC06', '/', '常规贮存', '/', '包', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('BCCA2C1E8CE7D8EBD85C21C9BB1C09C8', 'Bomex', '耗材', NULL, '2', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-152', '梨形分液漏斗', '普通耗材', '125ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'A164E9F7CB80DE42C7DB19E1A938A2D9', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('BD3407AE7A842262CD7463022FABA8AC', 'Sartorius', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-62', '移液枪', '普通耗材', '1-10ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '568B888F25140F580D52432045B15F21', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('BD4AB9A76856EEE7A18D6CCF8AD3E874', 'MC', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-40', '移液管', '普通耗材', '5ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '6E279FB7A7DE8E79E3102AFE8805951F', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('BDCE841CE37B85572B463398292C77A8', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-88', '塑料吸管', '普通耗材', '5ml，100支/袋', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '13DCD7053B5BD275B951916020157DEE', '/', '常规贮存', '/', '袋', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('BE090E33DAE819A11E34A38F77229A66', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-158', '收纳盒', '普通耗材', 'n/a', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '7B23DD07612A938E37234484BB5372BA', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('BE964F6885ADAC3D0E8789878131FE37', '蜀牛', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-136', '小口试剂瓶', '普通耗材', '2500ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '3E3DAF128CA84B5C9D56A39F667BD943', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('BEA941EEDED1667378427F23337B4289', '津隆', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-177', '进口滤膜', '普通耗材', '13mm，水洗聚醚砜（PES）,0.45um，货号：JLSP054501', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '589D62DF6390C0805D780C2895C33002', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('BF9B2D0B4B6AFA074F6AABC56502B220', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-74', '药匙', '普通耗材', '3x1', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'A4563F6F3CD40BED135357D8666B96D7', '/', '常规贮存', '/', '套', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('BFFA1303386DFC9B5E2152FDA8ABB5F8', 'Brand', '耗材', NULL, '2', 'E473120E6AD745213F230978964CF5E3', '2023-108', '容量瓶', '普通耗材', '50ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'ECFAE346B9FC674DE107C579D93ADC41', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('C05EA62FC14590068E9166789DBDEED8', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-91', '塑料离心管', '普通耗材', '8ml,，225支/袋', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '92C9CCD28F576183CC8F7E6F4894D728', '/', '常规贮存', '/', '袋', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('C06C2D6DE01765E93AE40BE4828F1BAF', '苹果', '耗材', NULL, '100', 'E473120E6AD745213F230978964CF5E3', '2023-6', '保鲜自封袋5号', '普通耗材', '100x150mm', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'CF0DB4AEF5975149FC08519CCF9DEFAB', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('C09C03C3964FE594084DE1DE2B85CD4E', 'Bomex', '耗材', NULL, '2', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-153', '梨形分液漏斗', '普通耗材', '250ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '204A88EA9170FEFF470492359A907248', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('C1A3EAB3673B32EC0450EFCC331BBB20', '安捷伦', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-143', '顶空瓶', '普通耗材', '10ml,5182-0838', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'E9E3C4DD9912649514E31FCF8EACEB05', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('C3376326DF60D55CF822F78108049EAD', '岛津', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-22', 'Shim-pack GIST', '色谱柱', '4.6*150mm,5um', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'B8FEF531D07C0352F447F20BB2A8A932', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('C365B39E30CF9713B0399EF5708620D0', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-199', '连盖离心管', '普通耗材', '2ml，300个', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '74B0D770C6F7DC69C081AD3A3F118195', '/', '常规贮存', '/', '袋', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('C37604EA08B617A5A45E5B00209944C8', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-90', '塑料离心管', '普通耗材', '5ml，400支/袋', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'E53B993CAB95C141F1BC596A6C08F52E', '/', '常规贮存', '/', '袋', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('C558D6D3A10D1AC24E2F493D1F441D6A', 'Bomex', '耗材', NULL, '2', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-120', '高硼硅量筒', '普通耗材', '500ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '9B9C7C72BF125D90F52BE649433C0507', '/', '常规贮存', '/', '支', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('C591487AABC25995132D673B7AB7EAE1', '岛津', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-32', '密封垫', '普通耗材', '货号221-48398-91，20个/盒', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '30469F338C71C8B478BB4CE8DD29961F', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('C5BC9AA474792523F719BAF2EBFBAD62', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-88', '塑料吸管', '普通耗材', '5ml，100支/袋', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '13DCD7053B5BD275B951916020157DEE', '/', '常规贮存', '/', '袋', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('C5C6354B1281049FAE1C457976435ABF', 'Bomex', '耗材', NULL, '2', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-119', '高硼硅量筒', '普通耗材', '250ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '29D7E45FCEBBBED0D8A15D1EA7770BDB', '/', '常规贮存', '/', '支', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('C614C3815E5B7B2047457D3EC7602773', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-202', '试管刷', '普通耗材', '无', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '7ADC467B4EEB6A3DCF2F7248BFA67990', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('C643A0801227C5F1D7FD1B6A352E884A', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-57', '滴管', '普通耗材', '15cm', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '86DF990A143AC06EE8B04EC37960592F', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('C6568B9633F347B9DBD9EC17FDF49C19', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-77', '试管帽', '普通耗材', 'Φ15', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'A43593ED3DE7490AA34AF1BBDB8AAA19', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('C66A3B6B059E931073130A878AECF43F', '治宇', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-132', '一次性使用无菌注射器 带针', '普通耗材', '1ml，200支/盒', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'A1DF76E1887DA166F55DFC4D42018DE3', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('C6B3B7DA20771CF2C17226E42DD824F6', 'Brand', '耗材', NULL, '2', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-111', '容量瓶', '普通耗材', '5ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'E215BAC1B87CF0348ED63561A32E3DA4', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('C7A1AB8ADD7E057A95BF284A84C1B19D', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-202', '试管刷', '普通耗材', '无', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '7ADC467B4EEB6A3DCF2F7248BFA67990', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('C8977E533979CB5065ECAE68D9C4471F', 'AXYGEN', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-94', '连盖离心管', '普通耗材', '2ml，500支/袋', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '76D7CD14E2A462AB3B95A5B8942954BC', '/', '常规贮存', '/', '包', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('C8EE31BFD40AF53EF0EF80BC27BF8F4C', '蜀玻', '耗材', NULL, '3', 'E473120E6AD745213F230978964CF5E3', '2023-133', '丝口试剂瓶', '普通耗材', '2000ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'BFFF00F8593F383078830951636D399E', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('C91BEDC514D56AE6663E3B9E3350498F', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-59', '玻璃冻存管', '普通耗材', '棕色，5ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '7ACF511AEB6EAA13A017CC5B566C9D9B', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('C95111EA4F550BA82739D8DC307EC3A2', '垒固', '耗材', NULL, '14', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-192', '密度计', '普通耗材', '0.6-2.0', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '7EF757697E27A2EB416EE12C342AB735', '/', '常规贮存', '/', '支', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('CB28E1E5A65025F2289A2E11368F41AF', 'agilent', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-19', 'ZORBAX Eclipse Plus C18', '色谱柱', '4.6*150mm,5um', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'C31FE534F362A3B43A6E9798A8A1B2A4', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('CB334A5CF077AF2268B98149E10E3F6C', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-102', '洗瓶', '普通耗材', '250ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '95085B5F253E7CE9B7F5F1607BAF473C', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('CBFBEC4323FF77AAC026D65ECB1C059B', 'GreenMall', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-166', '微孔滤膜', '普通耗材', '有机系（尼龙）,50mm,0.22um,50片/盒', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '69813B59D6AF644D9FF83F57FB3630D5', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('CD4B9F0C511707B0FC13864CD87AE663', 'MC', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-43', '移液管', '普通耗材', '10ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'C4A0CD31CDB29E271567A7CA0F0FDC02', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('CDABF2B96FA9750376D4069D0C9D3DE5', '苹果', '耗材', NULL, '100', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-6', '保鲜自封袋5号', '普通耗材', '100x150mm', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'CF0DB4AEF5975149FC08519CCF9DEFAB', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('CE26DA55051CFC1520850B70BC2DACDA', 'agilent', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-19', 'ZORBAX Eclipse Plus C18', '色谱柱', '4.6*150mm,5um', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'C31FE534F362A3B43A6E9798A8A1B2A4', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('CE66C68B790A4B41F35C351466FA9AC1', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-49', '血清移液管', '普通耗材', '10ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '2CEF7953A7965A062F7487F170D5A576', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('CFB8EE92C39BF5ADFAC1678B45D2235F', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-145', '一次性塑料烧杯', '普通耗材', '100ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '6E3F4AD11E5F603AE53169491B8A32E2', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('CFDFDF98D4B2FD58B57B653CAE1E1EC2', 'Bomex', '耗材', NULL, '2', 'E473120E6AD745213F230978964CF5E3', '2023-120', '高硼硅量筒', '普通耗材', '500ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '9B9C7C72BF125D90F52BE649433C0507', '/', '常规贮存', '/', '支', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('CFF6AD0EFF20DCC81288E74732DACFCE', '唐丰', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-117', '自吸过滤式防毒面具', '普通耗材', 'TF503型', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '7F3BD1525FF4C4EAD39FACE5C208A2D5', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('D0DFC6AD76FF4C4E3828247DDE1DB85F', '安其生', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-69', '手术剪', '普通耗材', '12.5cm弯尖', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'AFD3BA44C8C057D75791801661C03440', '/', '常规贮存', '/', '把', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('D0E97FE9A4E022C9DED97AEACB0B215A', '双联牌', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-171', '定量滤纸', '普通耗材', '9cm，慢速', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '504ACDC09F444287F4C0BD9BDFFB2BE8', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('D0F494B835565B73789F894140110391', 'n/a', '耗材', NULL, '10', 'E473120E6AD745213F230978964CF5E3', '2023-98', '白色滴瓶', '普通耗材', '60ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'E7746A9BF42E7EE5F9AB438A6A789419', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('D120B4E1CFE8631D505DD2FEA8F7BF5F', 'n/a', '耗材', NULL, '20', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-127', '称量瓶', '普通耗材', '25x25', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'AC43D3977BFF031A687525EFE60A054A', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('D1C75F3B1CCCED9ED04CB338D89C9EA2', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-137', '试管架', '普通耗材', '3x6', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'D5F2B1CD5E63BEEC306691F0D001261F', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('D27D7A5CF8DB4377B814C6590ADD27E2', 'n/a', '耗材', NULL, '10', 'E473120E6AD745213F230978964CF5E3', '2023-10', '牛皮纸物证袋', '普通耗材', '21*14cm', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'C7B07AB86612807AAA50E4324EC8C481', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('D37F75250F3DD4C7CD78370FB1726C38', 'brand', '耗材', NULL, '10', 'E473120E6AD745213F230978964CF5E3', '2023-97', '枪头', '普通耗材', '50-1000ul', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '98089E74B1CB8EE011A9DA071E2EF7EB', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('D423692B2CDB15365BD426DE78131512', '安捷伦', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-135', '进样小瓶盖', '普通耗材', '2ml,5182-0717，100个/包', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '27EBEF42F3FFAB56052EFBCC208B338D', '/', '常规贮存', '/', '包', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('D4687465228AF11D45C910BF6C8C6853', 'agilent', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-20', 'InfinityLab Poroshecll 120 PFP', '色谱柱', '4.6*250mm,4um', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '50CD1613EAFBE23B56E5BD80AE295C2A', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('D4724DD70284908E80ACE39FAC365321', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-52', '滴管', '普通耗材', '18cm', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'DD88719507D2FBA86528C2A4FC797786', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('D4F4260F757323F8311CD1AD46AD0FC4', '皎洁', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-191', '定性滤纸', '普通耗材', '12.5cm，中速', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '32192E2A9D76069E893DAF5424E11575', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('D50490C2532E23E7C87BBAAECC609AEA', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-200', '移液管架', '普通耗材', 'n/a', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'CAD80C3160774CC1C7840BFDA814A503', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('D56099EE25EEFB1C0838199F552E6CA7', 'Sartorius', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-63', '移液枪', '普通耗材', '500-5000ul', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '7E177F2FF8071BA8F7A0B9B77F7A3947', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('D58BCEA7733E8A3E366427E86624AD35', 'Brand', '耗材', NULL, '10', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-181', '枪头', '普通耗材', '200ul', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '35C00276463D29EB56ED44B6EF1C45B0', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('D599253569A974144EFDBF79092B67C6', '安捷伦', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-35', '石墨垫圈', '普通耗材', '货号5080-8853，10个/盒', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '6B508110CE358ED0A8DBB9EB1ABE3BAD', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('D67B165B6171F3294588235C081DDF83', '3M', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-118', '防冲击眼罩', '普通耗材', '1621型', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'DE69E4CA07464E195FD37184401D1210', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('D80C63463B4A87A542F4265F7A04E746', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-89', '塑料吸管', '普通耗材', '3ml，100支/袋', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '60C1C4567C44951AB63F606F56AD3A9E', '/', '常规贮存', '/', '袋', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('D80E7DB6121551BE44FBF6E46C119810', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-199', '连盖离心管', '普通耗材', '2ml，300个', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '74B0D770C6F7DC69C081AD3A3F118195', '/', '常规贮存', '/', '袋', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('D88245F17CF658E3D7B8006F9D04CC1A', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-144', '一次性塑料烧杯', '普通耗材', '250ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '528E1ADCC042D779E830D3C39DF019CC', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('D9687261CF1F089B8ECB97AE1E40CB80', '苹果', '耗材', NULL, '100', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-2', '保鲜自封袋9号', '普通耗材', '280x200mm', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '293EFDAD996824B63FFBF6F7DAB3C09E', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('D9AAD5CD636B68E15A3A865DB332D86D', 'Waters', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-25', 'ACQUITY UPLC BEH C18                    ', '色谱柱', '2.1*100mm,1.7um', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '6E6C84960D9D6A3BE319C8842575D328', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('DBAF76D5261896A506057C08CE9D800A', 'Bomex', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-106', '容量瓶', '普通耗材', '250ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'F21DCA0AB2615586CE73504A97FE8E34', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('DD8F17CACB416936138691D482947CF2', 'Waters', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-27', 'ACQUITY UPLC BEN HILIC VanGuard Pre-Column 3/Pk', '色谱柱', '2.1*5mm,1.7um,3个/盒', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '6DB229DF049FB3EDFA6B04C09B48DB85', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('DEE7768613695247E4CC9C4296B6260B', '杭州新星', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-51', '擦镜纸', '普通耗材', '10*15cm', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '2E7AE2A76E0463B8E7548CB751951FF5', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('E1500D1A82BC71F731328D34DE9793A9', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-146', '一次性塑料烧杯', '普通耗材', '50ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'D99C8531F034DE73F25FE05C3BB0AC37', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('E2CD37D7CBFB177851F1AC482EAFE98B', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-58', '玻璃冻存管', '普通耗材', '透明，5ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '63A6FE5AA12AFFC8AC3EEE2C90E56401', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('E3AB711DB63F9F2C97AFD8BC79883CF2', '新星', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-173', '定量滤纸', '普通耗材', '11cm，中速', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '7D9D66C3E257C15325F0C2880B7AA43E', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('E413C42C8A3E8208858255FEF6CAAD08', '岛津', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-37', '隔垫', '普通耗材', '货号221-76650-01,25个/盒', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'E79EFB15AF32D290C8D8147CE6BBF1AD', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('E4483D842C086DF0A7B2FE81B9B6A03B', '苹果', '耗材', NULL, '100', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-5', '保鲜自封袋6号', '普通耗材', '120x170mm', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '2AF699BB34C7D2066D7F66D4B69227DE', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('E461F582461D2D13B8508A8363E41C7A', 'n/a', '耗材', NULL, '10', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-8', '牛皮纸物证袋', '普通耗材', '10.2*8.8cm', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '7A84AE86F2F0332A6A0A278EE0263F85', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('E742A2DCD7A90B2E6D9D8316EA74F626', '岛津', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-29', '气相进样针', '进样针', '10ul', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'B394DAEF34639B7809C0B2B472FDA610', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('E756E9939F89939E709CC5B564581A6A', 'sartorius', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-180', '枪头', '普通耗材', '200ul', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '3BF1ECF7D80355363B735EFDF8150E78', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('E75E60F816908A6C989D547487EC44EB', 'Bomex', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-203', '锥形瓶', '普通耗材', '250ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '4B5D062DBFA2711099274434984A3980', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('EAA6B766E387A3C20137C764689FB60C', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-56', '滴管', '普通耗材', '12cm', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'A955AD0B6FFDCBD9AF062CF66FC22D89', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('EB897472C7A8122E694813F4EA38A232', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-86', '塑料吸管', '普通耗材', '0.2ml，500支/袋', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '2502C4C70D30DFF607A4014F6A201682', '/', '常规贮存', '/', '袋', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('EDECEAC90D1853817747CA5C56ED6766', 'Sartorius', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-62', '移液枪', '普通耗材', '1-10ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '568B888F25140F580D52432045B15F21', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('EE04DAA10783EC5335F47C3D5AB1310C', '津隆', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-164', '进口滤膜', '普通耗材', '25mm，100片/盒，水洗聚醚砜（PES），0.45um，货号：JLSP214502', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'C26ABE44D0565A3E4DBA9C03C135CBAB', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('EE3C82D1F3B8DEC7B3EFB16C83BE9490', '皎洁', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-189', '定性滤纸', '普通耗材', '15cm，中速', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '626006C737D336AC168F42D2C8A69767', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('EECC90D83BFB1213752DD4E5D39DB616', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-76', '药匙', '普通耗材', '20cm', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '1F2A1C498B1EF465E33E0EE76D28AB03', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('EF87EC5A7B9E09D6D483C07B09183F3C', 'Brand', '耗材', NULL, '2', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-112', '容量瓶', '普通耗材', '2ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '152B2263E7DDC5293C7E794D848FEFBF', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('EFDD2674FEB6C69EDCCEF5D9CB0D959A', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-193', '干燥器', '普通耗材', '300mm', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '1BC224475D8282E9FE9251E5FD0B2225', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('EFE94569B0E2DA8BB8415872CFCA4509', '津隆', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-162', '进口滤膜', '普通耗材', '25mm，100片/盒，有机尼龙66，0.45um，货号：JLSN184502', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '9E9A19ACAB5251DF67AB18ACA2504AB8', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('F03E9D5A8600BDD93C31F618D94ABB98', 'n/a', '耗材', NULL, '10', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-101', '棕色滴瓶', '普通耗材', '125ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '9C0C4BCA4EF31E65E589CCB4849EE167', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('F07A1DB85266B3431D615F05C09DAE0E', '津隆', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-176', '进口滤膜', '普通耗材', '13mm，有机尼龙66,0.45um，货号：JLSN024501', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '088D6CCA820C4D561C7B1F8BB0519892', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('F0B094A10B84AB7E17CA405F9037AB3B', 'MC', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-40', '移液管', '普通耗材', '5ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '6E279FB7A7DE8E79E3102AFE8805951F', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('F248BF9E5F711905CD2434FC19AA2C8B', '蜀牛', '耗材', NULL, '20', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-140', '螺纹试剂瓶', '普通耗材', '80ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'B55D7547F900E35B7AAD24AE081D07F4', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('F430D991911B30F7C01CBB2FBCE18DAB', 'n/a', '耗材', NULL, '6', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-142', '小口试剂瓶', '普通耗材', '1000ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'D43DB550EFD4D9F03A363462124A0EAF', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('F58310775CA43E4855A2487E7758CB05', 'Bomex', '耗材', NULL, '2', 'E473120E6AD745213F230978964CF5E3', '2023-153', '梨形分液漏斗', '普通耗材', '250ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '204A88EA9170FEFF470492359A907248', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('F6086B8410C0463DAE57E8EEE9928D42', '环球', '耗材', NULL, '12', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-157', '锥形瓶', '普通耗材', '250ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '02431B9AC6753CCDED3CD404BED6174C', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('F641FF82CB5455F639C0511EF3E42CD0', 'MC', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-41', '移液管', '普通耗材', '50ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '86C29C45C3E33F236DB6323E926C65A5', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('F648AE390B5C4B88DB4CD4FFCA3D558F', '皎洁', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-188', '定性滤纸', '普通耗材', '18cm，中速', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'D6AD35C22BE6B386B66127E3BA869746', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('F69C1E25D5EE862D3FBA895DBD65BC75', 'Brand', '耗材', NULL, '2', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-108', '容量瓶', '普通耗材', '50ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'ECFAE346B9FC674DE107C579D93ADC41', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('F6F1447DBFF0E8C87AAB83266AF3CE0B', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-75', '药匙', '普通耗材', '16cm', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '69230B2C940F52DAF85C1D529411C16F', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('F703E484D678852075FC1D4D3F24FF55', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-39', '试管', '普通耗材', '18*180mm', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'DD2A66BBA9B8D89D445D45D62523342C', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('F71046390EA1BAEEA0A396D543886BDD', 'sartorius', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-179', '枪头', '普通耗材', '10ul', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '545FED46C1885BEA22DCDF83EA8AA454', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('F7B78A03125C126713944938F522427B', '上海新亚', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-168', '滤膜', '普通耗材', '有机，0.45um，50mm，50片/盒', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '45009596D81130BF2A9903E7D5889CAD', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('F88B6A31556036843F0ACF88A423E581', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-71', '橡皮吸球', '普通耗材', '10ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '07B4BBFD02469A5EA387F68D71964D42', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('F906AE506B1CF0078EEE8850B2046D07', '环球', '耗材', NULL, '12', 'E473120E6AD745213F230978964CF5E3', '2023-157', '锥形瓶', '普通耗材', '250ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '02431B9AC6753CCDED3CD404BED6174C', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('F9147CE3627F1C455EB9519975F3EF7C', 'n/a', '耗材', NULL, '10', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-99', '棕色滴瓶', '普通耗材', '60ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '1F3F7266A6534B8C3A18B96329CB5400', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('F984C9F41599041779FBE54FC012C38E', '环球', '耗材', NULL, '12', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-156', '锥形瓶', '普通耗材', '50ml', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', 'E63B3F00E2BF74520A54F16DECEE7F3D', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('F9C39742A8A21B4DC31492E07B520C23', 'n/a', '耗材', NULL, '50', 'E473120E6AD745213F230978964CF5E3', '2023-14', '物证提取袋', '普通耗材', '15*10cm', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'E8FF134E5B5B70F33EDAC9F56DB33979', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('FA65F2E0671E37738DD227548F33E64F', 'n/a', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-77', '试管帽', '普通耗材', 'Φ15', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'A43593ED3DE7490AA34AF1BBDB8AAA19', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('FABD8E6BD0820C442DB4D53823255042', '岛津', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-33', 'O型圈', '普通耗材', '货号036-11203-84，5个/袋', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '02A2A02DBFA8512406243ACE8F46260F', '/', '常规贮存', '/', '袋', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('FAF4B7E59F1A35E2B668F2F9DDDF3E3A', 'Bomex', '耗材', NULL, '10', 'E473120E6AD745213F230978964CF5E3', '2023-125', '量筒', '普通耗材', '50ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '6C905D6EF005D6AB98A42914749D3685', '/', '常规贮存', '/', '支', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('FBF14EA21068E4D1421708527625A713', 'n/a', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-89', '塑料吸管', '普通耗材', '3ml，100支/袋', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '60C1C4567C44951AB63F606F56AD3A9E', '/', '常规贮存', '/', '袋', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('FD0DB1B9356EE81C5AF0EAC766A51812', '双联牌', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-170', '定量滤纸', '普通耗材', '12.5cm，慢速', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', 'BF7C76CF1975341D02DD66A7542B6C7B', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('FE241408D1E1D17C9A91819C3BF870DE', '柯沃', '耗材', NULL, '10', 'E473120E6AD745213F230978964CF5E3', '2023-183', '一次性蓝色丁腈手套', '普通耗材', 'S', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '44FD2C851135570E474C12B36B1D84FB', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('FE5FCB29478C6340EF79006B00F0CB33', 'Corning', '耗材', NULL, '20', 'E473120E6AD745213F230978964CF5E3', '2023-141', '一次性塑料离心管', '普通耗材', '50ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '8629772E3F9D8246C03650CFCB3F7E55', '/', '常规贮存', '/', '盒', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('FE866313E32774F1ADF7B1209290D2B3', '垒固', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-116', '研钵', '普通耗材', '12ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '6B7E591FED81DD3E023EA2D7B3089FC9', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('FF1B9EE354B6E97DFE58301D0E3038BE', 'sartorius', '耗材', NULL, '1', 'E473120E6AD745213F230978964CF5E3', '2023-96', '瓶口分液器', '普通耗材', '0.2ml-1ml', '/', 0000001.00, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:51.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', '534067179AD57F2F6182AF9ACEAB69C9', '/', '常规贮存', '/', '个', '/', NULL, NULL);
INSERT INTO `catalogue_details` VALUES ('FF8F20A2A71D9D53D59F905830B18941', '上海新亚', '耗材', NULL, '1', 'B4C3C8479ED6AB219FD1313BCC54B2E7', '2023-167', '滤膜', '普通耗材', '有机，0.22um，50mm，50片/盒', '/', 0000001.00, '2023-08-10 11:32:32.000000', '2023-08-10 11:32:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'f679c530f56d206e9653b4867b917f4a', '/', '4921A490F66DAD25FD9B1AF6FDF24343', '/', '常规贮存', '/', '盒', '/', NULL, NULL);

-- ----------------------------
-- Table structure for category_table
-- ----------------------------
DROP TABLE IF EXISTS `category_table`;
CREATE TABLE `category_table`  (
  `category` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '类别',
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `species` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '种类',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_time` datetime(6) NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of category_table
-- ----------------------------
INSERT INTO `category_table` VALUES ('耗材', '11B0423943B019EDAB30D597A312F667', '普通耗材', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000');
INSERT INTO `category_table` VALUES ('耗材', '6EEE794D444D8357FD9B09047196F914', '色谱柱', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000');
INSERT INTO `category_table` VALUES ('耗材', '901C09E89FB4C9E18354D44EAF5A8233', '核磁管', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000');
INSERT INTO `category_table` VALUES ('耗材', 'E6190783D0C404F91BD1E04F28B0AB92', '进样针', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000');

-- ----------------------------
-- Table structure for centralized_request
-- ----------------------------
DROP TABLE IF EXISTS `centralized_request`;
CREATE TABLE `centralized_request`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `applicant_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(申请人ID)',
  `date_of_application` datetime(6) NULL DEFAULT NULL COMMENT '(申请日期)',
  `purchasing_plan_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购计划ID',
  `status` int(11) NULL DEFAULT NULL COMMENT '(状态)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `applicant_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '申请人名称',
  `audit_result` tinyint(255) NULL DEFAULT NULL COMMENT '审核结果',
  `audit_opinion` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审核意见',
  `audit_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审核人ID',
  `audit_time` datetime(6) NULL DEFAULT NULL COMMENT '审核时间',
  `purpose` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用途/购买理由',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(集中采购申请)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of centralized_request
-- ----------------------------
INSERT INTO `centralized_request` VALUES ('11D1AE926FAF6213A1D4D2F4AD179553', '50d28c59a966a690d264e2f111435068', '2023-08-10 11:41:34.000000', 'A21C184FBF745E7A425E7880F9DBC91C', 4, '2023-08-10 11:41:14.000000', '2023-08-10 11:44:30.000000', '50d28c59a966a690d264e2f111435068', 'd55ac39af1c11d7a61e7580a5a56a97a', NULL, '廖琦', 1, NULL, '50d28c59a966a690d264e2f111435068', '2023-08-10 11:42:34.000000', NULL);
INSERT INTO `centralized_request` VALUES ('56AC76AF266D8521FF45C6D9997C23DD', '0220d83e97719ea98f76a44ebe6bae72', '2023-08-10 11:42:16.000000', 'A21C184FBF745E7A425E7880F9DBC91C', 4, '2023-08-10 11:42:09.000000', '2023-08-10 11:44:30.000000', '0220d83e97719ea98f76a44ebe6bae72', 'd55ac39af1c11d7a61e7580a5a56a97a', NULL, '肖雷', 1, NULL, '50d28c59a966a690d264e2f111435068', '2023-08-10 11:42:47.000000', NULL);
INSERT INTO `centralized_request` VALUES ('7C6A83D6538F9607DCDD62431C7579B9', 'd55ac39af1c11d7a61e7580a5a56a97a', '2023-08-10 11:40:37.000000', 'A21C184FBF745E7A425E7880F9DBC91C', 4, '2023-08-10 11:40:26.000000', '2023-08-10 11:44:30.000000', 'd55ac39af1c11d7a61e7580a5a56a97a', 'd55ac39af1c11d7a61e7580a5a56a97a', NULL, '刘晋菲', 1, NULL, '50d28c59a966a690d264e2f111435068', '2023-08-10 11:42:50.000000', NULL);
INSERT INTO `centralized_request` VALUES ('A037F624D466F57601FCC3BBF5886221', 'c4a61eae81712e03f58a1922f8be27de', '2023-08-10 11:40:55.000000', 'A21C184FBF745E7A425E7880F9DBC91C', 4, '2023-08-10 11:40:50.000000', '2023-08-10 11:44:30.000000', 'c4a61eae81712e03f58a1922f8be27de', 'd55ac39af1c11d7a61e7580a5a56a97a', NULL, '王蕊', 1, NULL, '50d28c59a966a690d264e2f111435068', '2023-08-10 11:42:59.000000', NULL);
INSERT INTO `centralized_request` VALUES ('AB883B35206C21CBCE992452C0427E83', 'e0189164533eb988f79a209a9b8b64a7', NULL, NULL, 0, '2023-08-10 11:41:47.000000', '2023-08-10 11:41:47.000000', 'e0189164533eb988f79a209a9b8b64a7', 'e0189164533eb988f79a209a9b8b64a7', NULL, '杨春', 0, NULL, NULL, NULL, NULL);
INSERT INTO `centralized_request` VALUES ('B260D8FDB63AB7022845F3A96B84BC5A', 'f679c530f56d206e9653b4867b917f4a', '2023-08-10 11:40:10.000000', 'A21C184FBF745E7A425E7880F9DBC91C', 4, '2023-08-10 11:40:08.000000', '2023-08-10 11:44:30.000000', 'f679c530f56d206e9653b4867b917f4a', 'd55ac39af1c11d7a61e7580a5a56a97a', NULL, '焦英', 1, NULL, '50d28c59a966a690d264e2f111435068', '2023-08-10 11:42:57.000000', NULL);

-- ----------------------------
-- Table structure for check_schedule
-- ----------------------------
DROP TABLE IF EXISTS `check_schedule`;
CREATE TABLE `check_schedule`  (
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `manager_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '制定人ID',
  `audit_time_of_technical` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审核时间',
  `audit_result_of_technical` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审核结果',
  `audit_opinion_of_technical` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审核意见',
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `create_time` datetime(6) NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `technical_director_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审核人ID',
  `status` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '状态',
  `commit_time` datetime(6) NULL DEFAULT NULL COMMENT '提交时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of check_schedule
-- ----------------------------

-- ----------------------------
-- Table structure for compliance_check
-- ----------------------------
DROP TABLE IF EXISTS `compliance_check`;
CREATE TABLE `compliance_check`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `commit_time` datetime(6) NULL DEFAULT NULL COMMENT '提交时间',
  `batch_details_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '批次ID',
  `audit_opinion_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核意见',
  `audit_opinion_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核意见',
  `audit_result_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核结果',
  `audit_result_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核结果',
  `audit_time_of_primary` datetime(6) NULL DEFAULT NULL COMMENT '一级审核时间',
  `audit_time_of_secondary` datetime(6) NULL DEFAULT NULL COMMENT '二级审核时间',
  `date_of_inspection` datetime(6) NULL DEFAULT NULL COMMENT '(检查日期)',
  `examination_conclusion` varchar(55) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(检查结论)',
  `primary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核人ID',
  `inspection_scheme` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(检查方案)',
  `status` int(11) NULL DEFAULT NULL COMMENT '(状态)',
  `secondary_auditor_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核人ID',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `reagent_consumable_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质编号',
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '规格型号',
  `nonconforming_item` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '不合格项目',
  `brand` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '品牌',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材ID',
  `executor_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '执行者ID',
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材名称',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(符合性检查记录表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of compliance_check
-- ----------------------------
INSERT INTO `compliance_check` VALUES ('A3DF8E74526AFDD8005C36691A0FABD1', NULL, 'F4E27DFFE086DBF7468A774766754D6A', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, -1, NULL, '2023-08-07 16:58:28.000000', '2023-08-07 16:58:28.000000', 'd26046736c8c7bf2dd9ac996081d7715', 'c4a61eae81712e03f58a1922f8be27de', NULL, 'MDMB-FUBINACA-2023-7-1', '1mg/ml,1ml', NULL, NULL, 'A30D66508E87197B71D8F1AF899213DC', NULL, '2-(1-(4-氟苄基)-1H-吲唑-3-甲酰胺)-3,3-二甲基丁酸甲酯', '001B7205D76A8A08D925A27C4C72BF16');
INSERT INTO `compliance_check` VALUES ('B4873D21076806DAD67CC6F29B89B453', NULL, 'BD71E3890C0C9C5BE92ABA640E65EF19', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, -1, NULL, '2023-08-07 16:58:28.000000', '2023-08-07 16:58:28.000000', 'd26046736c8c7bf2dd9ac996081d7715', 'c4a61eae81712e03f58a1922f8be27de', NULL, 'D4-氯胺酮盐酸盐-2023-7-1', '1mg/ml,1ml', NULL, NULL, '5DDBFE5597C43CB16ED13AFA749C8449', NULL, '2-(2-氯苯基-3,4,5,6-d4) -2-(甲氨基) 环己烷-1-酮', '0517660CA04B665259F16D849CB3C23E');
INSERT INTO `compliance_check` VALUES ('CDABB4B9A379D3B6EDAC76746F8C3C78', NULL, 'AD8F37000D7CDF01B69A8D29B322407C', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, -1, NULL, '2023-08-07 16:58:28.000000', '2023-08-07 16:58:28.000000', 'd26046736c8c7bf2dd9ac996081d7715', 'c4a61eae81712e03f58a1922f8be27de', NULL, 'A-834,735-2023-7-1', '1mg/ml,1ml', NULL, NULL, '93B3738CD511C4D4CC5B99C3C4734FCF', NULL, '(1-((四氢-2H-吡喃-4-基)甲基)-1H-吲哚-3-基)(2,2,3,3-四甲基环丙基)甲酮', '061E8E372BC500DB13FFB8E3264AADB2');

-- ----------------------------
-- Table structure for deactivation_application
-- ----------------------------
DROP TABLE IF EXISTS `deactivation_application`;
CREATE TABLE `deactivation_application`  (
  `deactivation_application_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `applicant_id` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(申请人ID)',
  `application_time` datetime(0) NULL DEFAULT NULL COMMENT '(申请时间)',
  `reference_material_id` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质ID)',
  `reference_material_number` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质编号)',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  PRIMARY KEY (`deactivation_application_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准物质到期停用申请表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of deactivation_application
-- ----------------------------

-- ----------------------------
-- Table structure for decentralize_details
-- ----------------------------
DROP TABLE IF EXISTS `decentralize_details`;
CREATE TABLE `decentralize_details`  (
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `brand` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(品牌)',
  `category` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(类别)',
  `decentralized_request_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(分散采购申请ID)',
  `deviation_or_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '偏差/不确定度',
  `packaged_copies` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装份数',
  `quantity` int(10) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '(数量)',
  `reagent_consumable_Id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `species` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(种类)',
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(规格型号)',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `technical_parameter` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术参数)',
  `unit_price` double(10, 2) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '单价',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `purpose` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(用途)',
  `english_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '英文名',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '别名',
  `storage_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '存储条件',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '物品备注',
  `minimum_unit` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装单位',
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材名称',
  `purchase_list_details_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购清单明细ID',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购备注',
  `cas_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'CAS号',
  `code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '物品编码',
  `purity_grade` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '纯度等级',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '分散采购申请明细' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of decentralize_details
-- ----------------------------

-- ----------------------------
-- Table structure for decentralized_request
-- ----------------------------
DROP TABLE IF EXISTS `decentralized_request`;
CREATE TABLE `decentralized_request`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `applicant_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(申请人id)',
  `opinion_of_approval` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审批意见',
  `result_of_approval` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审批结果\r\n',
  `approval_of_time` datetime(6) NULL DEFAULT NULL COMMENT '审批时间',
  `audit_opinion_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核意见',
  `audit_opinion_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核意见',
  `audit_opinion_of_three_level` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级审核意见',
  `audit_result_of_primary` tinyint(3) NULL DEFAULT NULL COMMENT '一级审核结果',
  `audit_result_of_secondary` tinyint(3) NULL DEFAULT NULL COMMENT '二级审核结果',
  `audit_result_of_three_level` tinyint(3) NULL DEFAULT NULL COMMENT '三级审核结果',
  `audit_time_of_primary` datetime(6) NULL DEFAULT NULL COMMENT '一级审核时间',
  `audit_time_of_secondary` datetime(6) NULL DEFAULT NULL COMMENT '二级审核时间',
  `audit_time_of_three_level` datetime(6) NULL DEFAULT NULL COMMENT '三级审核时间',
  `compliance_testing` tinyint(6) NULL DEFAULT NULL COMMENT '(需要符合性检验)',
  `date_of_application` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(申请日期)',
  `approver_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审批人ID',
  `primary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核人ID\r\n',
  `purchase_list_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(采购清单ID)',
  `secondary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核人ID',
  `status` int(8) NULL DEFAULT NULL COMMENT '(提交状态)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `three_level_audit_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级审核人ID',
  `commit_time` datetime(6) NULL DEFAULT NULL COMMENT '提交时间',
  `purpose` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用途/理由',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(分散采购申请)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of decentralized_request
-- ----------------------------

-- ----------------------------
-- Table structure for delivery_registration_form
-- ----------------------------
DROP TABLE IF EXISTS `delivery_registration_form`;
CREATE TABLE `delivery_registration_form`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `date_of_delivery` datetime(6) NULL DEFAULT NULL COMMENT '(出库日期)',
  `depositor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(出库人)',
  `outgoing_applicant_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(出库申请人)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `status` int(5) NULL DEFAULT NULL COMMENT '状态',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材出库登记表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of delivery_registration_form
-- ----------------------------
INSERT INTO `delivery_registration_form` VALUES ('51B12917EA0C9672E2647001E6664C49', NULL, 'c4a61eae81712e03f58a1922f8be27de', 'd26046736c8c7bf2dd9ac996081d7715', '2023-08-07 16:36:29.000000', '2023-08-07 16:58:28.000000', 'd26046736c8c7bf2dd9ac996081d7715', 'c4a61eae81712e03f58a1922f8be27de', 1);

-- ----------------------------
-- Table structure for details_of_centralized
-- ----------------------------
DROP TABLE IF EXISTS `details_of_centralized`;
CREATE TABLE `details_of_centralized`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `centralized_request_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(集中采购申请ID)',
  `purchase_catalogue_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(采购目录编号)',
  `quantity_purchased` int(255) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '(采购数量)',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `procurement_content_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购计划明细ID',
  `replacement_quantity` int(255) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '换货数量',
  `replacement_reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '换货试剂耗材ID',
  `number_of_applications` int(11) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '采购申请数量',
  `details_remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '修改明细备注',
  `replacement_remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '换货备注',
  `purpose` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用途/理由',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(集中采购申请明细)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of details_of_centralized
-- ----------------------------
INSERT INTO `details_of_centralized` VALUES ('14B6C6E4F782AA05055FEA8E0F520599', '11D1AE926FAF6213A1D4D2F4AD179553', '2023-51', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000013, '2E7AE2A76E0463B8E7548CB751951FF5', NULL, '2023-08-10 11:41:25.000000', '2023-08-10 11:43:11.000000', '50d28c59a966a690d264e2f111435068', 'd55ac39af1c11d7a61e7580a5a56a97a', 'D7D394999C35FF1E1B64F56AE1075285', NULL, NULL, 00000000013, NULL, NULL, '无');
INSERT INTO `details_of_centralized` VALUES ('3139F7FF536E44B12E16DF4AEF73B5AD', '11D1AE926FAF6213A1D4D2F4AD179553', '2023-1', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001, 'A4D16B383557E926776B845CC0E443C7', NULL, '2023-08-10 11:41:14.000000', '2023-08-10 11:43:11.000000', '50d28c59a966a690d264e2f111435068', 'd55ac39af1c11d7a61e7580a5a56a97a', '7F94E35C88B5B5F0AEAF6844E1FDC704', NULL, NULL, 00000000001, NULL, NULL, '无');
INSERT INTO `details_of_centralized` VALUES ('400572E1389796EBA63F8E2E90D1FF71', 'A037F624D466F57601FCC3BBF5886221', '2023-30', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001, '41AD8970BF0C8B47856EA895F2317234', NULL, '2023-08-10 11:40:55.000000', '2023-08-10 11:43:11.000000', 'c4a61eae81712e03f58a1922f8be27de', 'd55ac39af1c11d7a61e7580a5a56a97a', '9D665434912CDEAF0EB5B6749B933C24', NULL, NULL, 00000000001, NULL, NULL, '无');
INSERT INTO `details_of_centralized` VALUES ('4A3A6AA7E7BEC572E1B462D0BDA0E0E5', 'A037F624D466F57601FCC3BBF5886221', '2023-18', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001, '744D830223F86194E6BA97329BDF10C2', NULL, '2023-08-10 11:40:50.000000', '2023-08-10 11:43:11.000000', 'c4a61eae81712e03f58a1922f8be27de', 'd55ac39af1c11d7a61e7580a5a56a97a', '8F7219B982AE967131560A711167CC2C', NULL, NULL, 00000000001, NULL, NULL, '无');
INSERT INTO `details_of_centralized` VALUES ('52E977A7CB774CD0C2C2169FC2A47F77', '56AC76AF266D8521FF45C6D9997C23DD', '2023-83', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000014, 'A3A1315047C03897A95C0AC1C913A4DE', NULL, '2023-08-10 11:42:16.000000', '2023-08-10 11:43:11.000000', '0220d83e97719ea98f76a44ebe6bae72', 'd55ac39af1c11d7a61e7580a5a56a97a', '74BABCEBC283F75E7564659D03908FF4', NULL, NULL, 00000000014, NULL, NULL, '无');
INSERT INTO `details_of_centralized` VALUES ('9AF0C4C1F6EB49BF0E4F293A6942C735', '11D1AE926FAF6213A1D4D2F4AD179553', '2023-30', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000003, '41AD8970BF0C8B47856EA895F2317234', NULL, '2023-08-10 11:41:33.000000', '2023-08-10 11:43:11.000000', '50d28c59a966a690d264e2f111435068', 'd55ac39af1c11d7a61e7580a5a56a97a', '9D665434912CDEAF0EB5B6749B933C24', NULL, NULL, 00000000003, NULL, NULL, '无');
INSERT INTO `details_of_centralized` VALUES ('B211D9959953BC50CF22C1662760911D', '7C6A83D6538F9607DCDD62431C7579B9', '2023-18', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001, '744D830223F86194E6BA97329BDF10C2', NULL, '2023-08-10 11:40:26.000000', '2023-08-10 11:43:11.000000', 'd55ac39af1c11d7a61e7580a5a56a97a', 'd55ac39af1c11d7a61e7580a5a56a97a', '8F7219B982AE967131560A711167CC2C', NULL, NULL, 00000000001, NULL, NULL, '无');
INSERT INTO `details_of_centralized` VALUES ('CC4F8E0A880B5293FC5CC694CCEFC971', 'AB883B35206C21CBCE992452C0427E83', '2023-18', NULL, '744D830223F86194E6BA97329BDF10C2', NULL, '2023-08-10 11:41:47.000000', '2023-08-10 11:41:47.000000', 'e0189164533eb988f79a209a9b8b64a7', 'e0189164533eb988f79a209a9b8b64a7', NULL, NULL, NULL, 00000000001, NULL, NULL, '无');
INSERT INTO `details_of_centralized` VALUES ('E59CB5D16DBD8AAED986047A7EDEABF2', '56AC76AF266D8521FF45C6D9997C23DD', '2023-18', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001, '744D830223F86194E6BA97329BDF10C2', NULL, '2023-08-10 11:42:09.000000', '2023-08-10 11:43:11.000000', '0220d83e97719ea98f76a44ebe6bae72', 'd55ac39af1c11d7a61e7580a5a56a97a', '8F7219B982AE967131560A711167CC2C', NULL, NULL, 00000000001, NULL, NULL, '无');
INSERT INTO `details_of_centralized` VALUES ('EE9A2D6250C5AE5FC53D34C6217363C1', '7C6A83D6538F9607DCDD62431C7579B9', '2023-30', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000010, '41AD8970BF0C8B47856EA895F2317234', NULL, '2023-08-10 11:40:36.000000', '2023-08-10 11:43:11.000000', 'd55ac39af1c11d7a61e7580a5a56a97a', 'd55ac39af1c11d7a61e7580a5a56a97a', '9D665434912CDEAF0EB5B6749B933C24', NULL, NULL, 00000000010, NULL, NULL, '无');
INSERT INTO `details_of_centralized` VALUES ('F1B6F31A02C5334EBA3B0C1F3FFC6042', 'B260D8FDB63AB7022845F3A96B84BC5A', '2023-18', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000010, '744D830223F86194E6BA97329BDF10C2', NULL, '2023-08-10 11:40:08.000000', '2023-08-10 11:43:11.000000', 'f679c530f56d206e9653b4867b917f4a', 'd55ac39af1c11d7a61e7580a5a56a97a', '8F7219B982AE967131560A711167CC2C', NULL, NULL, 00000000010, NULL, NULL, '无');

-- ----------------------------
-- Table structure for evaluation_form
-- ----------------------------
DROP TABLE IF EXISTS `evaluation_form`;
CREATE TABLE `evaluation_form`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `comments_from_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级评价意见',
  `comments_from_three_level` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级评价意见',
  `contact_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(联系电话)',
  `contact_person` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(联系人)',
  `primary_user_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级评价人ID',
  `comments_from_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级评价意见',
  `secondary_user_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级评价人ID',
  `service_provider_and_supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(服务商/供应商ID)',
  `three_level_user_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级评价人ID',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `supplier_information_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '供应商/服务商信息表ID',
  `supplier_business_license` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商营业执照)',
  `supplier_passes_quality_assurance_system` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商通过质量保证体系)',
  `supplier_product_certification` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商产品认证)',
  `check_and_calibrate_efficiency_of_supplies` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(对供应品检验校准效率)',
  `overall_supplier_service_satisfaction` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(对供应商总体服务是否满意)',
  `supplier_attitude` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商态度)',
  `supplier_equipment_and_facilities` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商设备与设施)',
  `supplier_technology_and_management_capability` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商技术与管理能力)',
  `whether_the_supplier_delivers_on_time` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商交货是否及时)',
  `comments_result_from_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级评价结果',
  `comments_date_from_primary` datetime(6) NULL DEFAULT NULL COMMENT '一级评价时间',
  `comments_result_from_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级评价结果',
  `comments_date_from_secondary` datetime(6) NULL DEFAULT NULL COMMENT '二级评价时间',
  `comments_result_from_three_level` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级评价结果',
  `comments_date_from_three_level` datetime(6) NULL DEFAULT NULL COMMENT '三级评价时间',
  `status` int(2) NULL DEFAULT NULL COMMENT '状态\r\n',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `commit_time` datetime(6) NULL DEFAULT NULL COMMENT '提交时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(服务商/供应商评价表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of evaluation_form
-- ----------------------------

-- ----------------------------
-- Table structure for fixed_value_report
-- ----------------------------
DROP TABLE IF EXISTS `fixed_value_report`;
CREATE TABLE `fixed_value_report`  (
  `fixed_value_report_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `fixed_value_report` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(定值报告URL)',
  `reference_substance_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质ID',
  `fixed_result` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '定值结果',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  PRIMARY KEY (`fixed_value_report_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(定值报告)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of fixed_value_report
-- ----------------------------

-- ----------------------------
-- Table structure for instruction_book
-- ----------------------------
DROP TABLE IF EXISTS `instruction_book`;
CREATE TABLE `instruction_book`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `audit_opinion_of_technical` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '技术负责人审核意见',
  `audit_result_of_technical` tinyint(3) NULL DEFAULT NULL COMMENT '技术负责人审核结果',
  `audit_time_of_technical` datetime(6) NULL DEFAULT NULL COMMENT '技术负责人审核时间',
  `commit_status` int(11) NULL DEFAULT NULL COMMENT '(提交状态)',
  `instruction_book` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(指导书)',
  `maker_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(制定人)',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质id)',
  `set_time` datetime(6) NULL DEFAULT NULL COMMENT '(制定时间)',
  `technical_director_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '技术负责人ID',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `reference_material_type_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注物质类型ID',
  `commit_time` datetime(6) NULL DEFAULT NULL COMMENT '提交时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准物质期间核查指导书)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of instruction_book
-- ----------------------------

-- ----------------------------
-- Table structure for outgoing_contents
-- ----------------------------
DROP TABLE IF EXISTS `outgoing_contents`;
CREATE TABLE `outgoing_contents`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `delivery_registration_form_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材出库登记表ID)',
  `outbound_use` int(3) NULL DEFAULT NULL COMMENT '(出库用途)',
  `quantity` int(11) NULL DEFAULT NULL COMMENT '(数量)',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `reagent_consumable_type` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材类型)',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `reference_material_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质编号',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质ID',
  `batch_details_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '入库物品批次ID',
  `lattice_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '格子ID',
  `location` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '位置信息',
  `box_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '柜子ID',
  `code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '领取码',
  `reagent_consumables_set_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '领用物品信息ID',
  `reagent_consumable_stash_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '领用物品ID(分库房)',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(出库内容)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of outgoing_contents
-- ----------------------------
INSERT INTO `outgoing_contents` VALUES ('35998F3E4B984EA63F427AB8EBF6F58E', '51B12917EA0C9672E2647001E6664C49', 0, 1, 'A30D66508E87197B71D8F1AF899213DC', '标准物质', NULL, '2023-08-07 16:58:28.000000', '2023-08-07 16:58:28.000000', 'c4a61eae81712e03f58a1922f8be27de', 'c4a61eae81712e03f58a1922f8be27de', 'MDMB-FUBINACA-2023-7-1', '001B7205D76A8A08D925A27C4C72BF16', 'F4E27DFFE086DBF7468A774766754D6A', 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, NULL, 'AAB5B149806CE1CDADD7A137B6C2AB97', NULL);
INSERT INTO `outgoing_contents` VALUES ('4BFA5144EDC74DE2A82C629B1CC5BE0F', '51B12917EA0C9672E2647001E6664C49', 0, 1, '93B3738CD511C4D4CC5B99C3C4734FCF', '标准物质', NULL, '2023-08-07 16:58:28.000000', '2023-08-07 16:58:28.000000', 'c4a61eae81712e03f58a1922f8be27de', 'c4a61eae81712e03f58a1922f8be27de', 'A-834,735-2023-7-1', '061E8E372BC500DB13FFB8E3264AADB2', 'AD8F37000D7CDF01B69A8D29B322407C', 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, NULL, '0787F6C9A09F2396F1FB2C1C0B768AA1', NULL);
INSERT INTO `outgoing_contents` VALUES ('8D89909DB21EB79E2A9318E78CB45B15', '51B12917EA0C9672E2647001E6664C49', 0, 1, '5DDBFE5597C43CB16ED13AFA749C8449', '标准物质', NULL, '2023-08-07 16:58:28.000000', '2023-08-07 16:58:28.000000', 'c4a61eae81712e03f58a1922f8be27de', 'c4a61eae81712e03f58a1922f8be27de', 'D4-氯胺酮盐酸盐-2023-7-1', '0517660CA04B665259F16D849CB3C23E', 'BD71E3890C0C9C5BE92ABA640E65EF19', 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, NULL, 'A5B67C44D2D41D1D171D4543318AD6A0', NULL);

-- ----------------------------
-- Table structure for period_verification_implementation
-- ----------------------------
DROP TABLE IF EXISTS `period_verification_implementation`;
CREATE TABLE `period_verification_implementation`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `audit_opinion_of_technical` varchar(6) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术负责人审核意见)',
  `audit_result_of_technical` tinyint(36) NULL DEFAULT NULL COMMENT '(技术负责人审核结果)',
  `audit_time_of_technical` datetime(6) NULL DEFAULT NULL COMMENT '(技术负责人审核时间)',
  `cause_of_dissatisfaction` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(不满足应用要求原因分析)',
  `checking_time` datetime(6) NULL DEFAULT NULL COMMENT '(核查时间)',
  `commit_status` int(11) NULL DEFAULT NULL COMMENT '(提交状态)',
  `deviation_and_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(偏差/不确定度)',
  `implementation_and_results` varchar(2550) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(核查实施情况及结果)',
  `inspector_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(核查人员ID)',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(编号)',
  `opinion_of_inspector` tinyint(3) NULL DEFAULT NULL COMMENT '(核查人员意见)',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质ID)',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `technical_director_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术负责人ID)',
  `verification_method` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(核查方法)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `period_verification_plan_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '期间核查计划明细ID',
  `reference_material_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质编号',
  `reference_material_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质名称',
  `verification_basis` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '核查依据',
  `result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '核查结果',
  `commit_time` datetime(6) NULL DEFAULT NULL COMMENT '提交时间',
  `cause_of_dissatisfaction_result` tinyint(6) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准物质期间核查实施情况及结果记录表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of period_verification_implementation
-- ----------------------------

-- ----------------------------
-- Table structure for period_verification_plan
-- ----------------------------
DROP TABLE IF EXISTS `period_verification_plan`;
CREATE TABLE `period_verification_plan`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `date_of_next_check` datetime(6) NULL DEFAULT NULL COMMENT '(下次核查日期)',
  `deviation_and_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(偏差/不确定度)',
  `inspector_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(核查人ID)',
  `instruction_book_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(指导书ID)',
  `planned_verification_cycle` int(5) NULL DEFAULT NULL COMMENT '(计划核查周期)',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质ID)',
  `scheduled_verification_date` datetime(6) NULL DEFAULT NULL COMMENT '(计划核查日期)',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `verification_basis` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(核查依据)',
  `implementation_date` datetime(6) NULL DEFAULT NULL COMMENT '(核查实施日期)',
  `verification_result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(核查结果)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `check_schedule_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '期间核查计划主表ID',
  `reference_material_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准物质期间核查计划和确认表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of period_verification_plan
-- ----------------------------

-- ----------------------------
-- Table structure for procurement_content
-- ----------------------------
DROP TABLE IF EXISTS `procurement_content`;
CREATE TABLE `procurement_content`  (
  `procurement_content_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `purchasing_plan_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(采购计划id)',
  `quantity_purchased` int(8) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '(数量)',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `subtotal` double(255, 0) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '(小计)',
  `unit_price` double(10, 2) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '(单价)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `replacement_quantity` int(255) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '换货数量',
  `replacement_reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '换货试剂耗材ID',
  `replacement_price` double(10, 2) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '换货后的单价',
  `details_of_centralized_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '集中采购申请明细ID',
  `number_of_applications` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购申请数量',
  `plan_remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购计划明细备注',
  `replacement_remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '换货信息备注',
  `supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '供应商ID',
  PRIMARY KEY (`procurement_content_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(采购内容)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of procurement_content
-- ----------------------------
INSERT INTO `procurement_content` VALUES ('74BABCEBC283F75E7564659D03908FF4', 'A21C184FBF745E7A425E7880F9DBC91C', 00000014, 'A3A1315047C03897A95C0AC1C913A4DE', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000014, 0000001.00, '2023-08-10 11:43:11.000000', '2023-08-10 11:43:11.000000', 'd55ac39af1c11d7a61e7580a5a56a97a', 'd55ac39af1c11d7a61e7580a5a56a97a', NULL, NULL, NULL, '52E977A7CB774CD0C2C2169FC2A47F77', '14', NULL, NULL, NULL);
INSERT INTO `procurement_content` VALUES ('7F94E35C88B5B5F0AEAF6844E1FDC704', 'A21C184FBF745E7A425E7880F9DBC91C', 00000001, 'A4D16B383557E926776B845CC0E443C7', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001, 0000001.00, '2023-08-10 11:43:11.000000', '2023-08-10 11:43:11.000000', 'd55ac39af1c11d7a61e7580a5a56a97a', 'd55ac39af1c11d7a61e7580a5a56a97a', NULL, NULL, NULL, '3139F7FF536E44B12E16DF4AEF73B5AD', '1', NULL, NULL, NULL);
INSERT INTO `procurement_content` VALUES ('8F7219B982AE967131560A711167CC2C', 'A21C184FBF745E7A425E7880F9DBC91C', 00000013, '744D830223F86194E6BA97329BDF10C2', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000013, 0000001.00, '2023-08-10 11:43:11.000000', '2023-08-10 11:43:11.000000', 'd55ac39af1c11d7a61e7580a5a56a97a', 'd55ac39af1c11d7a61e7580a5a56a97a', NULL, NULL, NULL, 'E59CB5D16DBD8AAED986047A7EDEABF2', '1', NULL, NULL, NULL);
INSERT INTO `procurement_content` VALUES ('9D665434912CDEAF0EB5B6749B933C24', 'A21C184FBF745E7A425E7880F9DBC91C', 00000014, '41AD8970BF0C8B47856EA895F2317234', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000014, 0000001.00, '2023-08-10 11:43:11.000000', '2023-08-10 11:43:11.000000', 'd55ac39af1c11d7a61e7580a5a56a97a', 'd55ac39af1c11d7a61e7580a5a56a97a', NULL, NULL, NULL, '9AF0C4C1F6EB49BF0E4F293A6942C735', '3', NULL, NULL, NULL);
INSERT INTO `procurement_content` VALUES ('D7D394999C35FF1E1B64F56AE1075285', 'A21C184FBF745E7A425E7880F9DBC91C', 00000013, '2E7AE2A76E0463B8E7548CB751951FF5', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000013, 0000001.00, '2023-08-10 11:43:11.000000', '2023-08-10 11:43:11.000000', 'd55ac39af1c11d7a61e7580a5a56a97a', 'd55ac39af1c11d7a61e7580a5a56a97a', NULL, NULL, NULL, '14B6C6E4F782AA05055FEA8E0F520599', '13', NULL, NULL, NULL);

-- ----------------------------
-- Table structure for provide_services_or_supplies
-- ----------------------------
DROP TABLE IF EXISTS `provide_services_or_supplies`;
CREATE TABLE `provide_services_or_supplies`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `evaluation_form_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(服务商/供应商评价表ID)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '提供服务或供应品' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of provide_services_or_supplies
-- ----------------------------

-- ----------------------------
-- Table structure for purchase_catalogue
-- ----------------------------
DROP TABLE IF EXISTS `purchase_catalogue`;
CREATE TABLE `purchase_catalogue`  (
  `purchase_catalogue_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `audit_opinion` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核意见\r\n',
  `audit_result` tinyint(255) NULL DEFAULT NULL COMMENT '一级审核结果',
  `audit_time` datetime(6) NULL DEFAULT NULL COMMENT '一级审核时间',
  `auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核人',
  `release_date` datetime(6) NULL DEFAULT NULL COMMENT '发布日期',
  `status` int(255) NULL DEFAULT NULL COMMENT '(状态)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `secondary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核人ID',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `commit_time` datetime(6) NULL DEFAULT NULL,
  `purity_grade` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`purchase_catalogue_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(采购目录)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of purchase_catalogue
-- ----------------------------
INSERT INTO `purchase_catalogue` VALUES ('B4C3C8479ED6AB219FD1313BCC54B2E7', NULL, 1, '2023-08-10 11:32:45.000000', 'f679c530f56d206e9653b4867b917f4a', NULL, 4, '2023-08-10 11:32:32.000000', '2023-08-10 11:33:22.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', NULL, NULL, '2023-08-10 11:32:33.000000', NULL);
INSERT INTO `purchase_catalogue` VALUES ('E473120E6AD745213F230978964CF5E3', NULL, 1, '2023-08-10 11:50:50.000000', '8dc12f99dfe97426bf1ba00a0d037f60', NULL, 4, '2023-08-10 11:50:45.000000', '2023-08-10 11:50:55.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', NULL, NULL, '2023-08-10 11:50:47.000000', NULL);

-- ----------------------------
-- Table structure for purchase_list
-- ----------------------------
DROP TABLE IF EXISTS `purchase_list`;
CREATE TABLE `purchase_list`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '清单名称',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `status` int(9) NULL DEFAULT NULL COMMENT '状态 0 ：未提交 1：已提交',
  `type` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '类型：采购计划/分散采购申请',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(采购清单)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of purchase_list
-- ----------------------------
INSERT INTO `purchase_list` VALUES ('120A9C800B833CA4E7639D52D2C275E3', '2023-08-10 11:44:18采购清单', '2023-08-10 11:44:18.000000', '2023-08-10 11:44:30.000000', 'd55ac39af1c11d7a61e7580a5a56a97a', 'd55ac39af1c11d7a61e7580a5a56a97a', NULL, 1, '采购计划');

-- ----------------------------
-- Table structure for purchase_list_details
-- ----------------------------
DROP TABLE IF EXISTS `purchase_list_details`;
CREATE TABLE `purchase_list_details`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `purchase_list_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(采购清单ID)·',
  `purchase_quantity` int(11) NULL DEFAULT NULL COMMENT '(采购量)',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商ID)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `procurement_content_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购i计划表ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(采购清单明细)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of purchase_list_details
-- ----------------------------
INSERT INTO `purchase_list_details` VALUES ('2C42E3F9BAC4333F81F36B52764B2AFB', '120A9C800B833CA4E7639D52D2C275E3', 14, '41AD8970BF0C8B47856EA895F2317234', '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-10 11:44:18.000000', '2023-08-10 11:44:29.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'd55ac39af1c11d7a61e7580a5a56a97a', '9D665434912CDEAF0EB5B6749B933C24');
INSERT INTO `purchase_list_details` VALUES ('4C9D0F237FEE00296330364ABC26B581', '120A9C800B833CA4E7639D52D2C275E3', 13, '744D830223F86194E6BA97329BDF10C2', '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-10 11:44:18.000000', '2023-08-10 11:44:29.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'd55ac39af1c11d7a61e7580a5a56a97a', '8F7219B982AE967131560A711167CC2C');
INSERT INTO `purchase_list_details` VALUES ('E5A8F52931C1457C269BDB799B339FBB', '120A9C800B833CA4E7639D52D2C275E3', 1, 'A4D16B383557E926776B845CC0E443C7', '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-10 11:44:18.000000', '2023-08-10 11:44:29.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'd55ac39af1c11d7a61e7580a5a56a97a', '7F94E35C88B5B5F0AEAF6844E1FDC704');
INSERT INTO `purchase_list_details` VALUES ('F0118855E310EB0B4426873EF856A11C', '120A9C800B833CA4E7639D52D2C275E3', 14, 'A3A1315047C03897A95C0AC1C913A4DE', '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-10 11:44:18.000000', '2023-08-10 11:44:29.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'd55ac39af1c11d7a61e7580a5a56a97a', '74BABCEBC283F75E7564659D03908FF4');
INSERT INTO `purchase_list_details` VALUES ('F923FF16160ED929D9DFEDBA2F3CBBD3', '120A9C800B833CA4E7639D52D2C275E3', 13, '2E7AE2A76E0463B8E7548CB751951FF5', '118C0523C039906FF8ABFAF8C4A4BC52', '2023-08-10 11:44:19.000000', '2023-08-10 11:44:29.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'd55ac39af1c11d7a61e7580a5a56a97a', 'D7D394999C35FF1E1B64F56AE1075285');

-- ----------------------------
-- Table structure for purchasing_plan
-- ----------------------------
DROP TABLE IF EXISTS `purchasing_plan`;
CREATE TABLE `purchasing_plan`  (
  `purchasing_plan_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `appropriation_budget` double(255, 0) NULL DEFAULT NULL COMMENT '(经费预算)',
  `approval_opinion` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审批意见',
  `approval_result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审批结果',
  `approval_time` datetime(6) NULL DEFAULT NULL COMMENT '审批时间',
  `audit_opinion_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核意见',
  `audit_result_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核结果',
  `audit_time_of_primary` datetime(6) NULL DEFAULT NULL COMMENT '一级审核时间',
  `approver_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审批人ID',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `purchase_list_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(采购清单ID)',
  `primary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核人ID',
  `release_date` datetime(6) NULL DEFAULT NULL COMMENT '发布日期',
  `status` int(11) NULL DEFAULT NULL COMMENT '(状态)',
  `create_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '制定人\r\n',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `create_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人名称',
  `commit_time` datetime(6) NULL DEFAULT NULL COMMENT '提交时间',
  `procurement_content_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购计划明细ID',
  PRIMARY KEY (`purchasing_plan_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(采购计划)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of purchasing_plan
-- ----------------------------
INSERT INTO `purchasing_plan` VALUES ('A21C184FBF745E7A425E7880F9DBC91C', 55, NULL, '1', '2023-08-10 11:44:18.000000', NULL, '1', '2023-08-10 11:44:16.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '2023-08-10 11:43:11.000000', '2023-08-10 11:44:19.000000', 'd55ac39af1c11d7a61e7580a5a56a97a', '8dc12f99dfe97426bf1ba00a0d037f60', '120A9C800B833CA4E7639D52D2C275E3', '8dc12f99dfe97426bf1ba00a0d037f60', NULL, 5, 'd55ac39af1c11d7a61e7580a5a56a97a', NULL, '刘晋菲', '2023-08-10 11:43:29.000000', NULL);

-- ----------------------------
-- Table structure for reagent_consumable_inventory
-- ----------------------------
DROP TABLE IF EXISTS `reagent_consumable_inventory`;
CREATE TABLE `reagent_consumable_inventory`  (
  `reagent_consumable_inventory_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材id',
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材名称',
  `brand` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(品牌)',
  `category` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(类别)',
  `deviation_or_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '偏差/不确定度',
  `instruction_book_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(指导书ID)',
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(规格型号)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `technical_parameter` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术参数)',
  `total_quantity` int(55) NOT NULL COMMENT '(总数量)',
  `species` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '种类\r\n',
  `packaged_copies` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装份数',
  `lattice_Id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '格子ID',
  `configuration_concentration` double(64, 30) NULL DEFAULT NULL COMMENT '配置浓度',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '别名',
  `storage_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '存储条件',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `minimum_unit` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装单位',
  `english_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '英文名',
  `unit_price` decimal(10, 2) NULL DEFAULT NULL COMMENT '单价',
  `storage_life` int(6) NULL DEFAULT NULL COMMENT '存储期限',
  `status` int(255) NULL DEFAULT NULL COMMENT '状态',
  `warning_information` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '预警信息',
  `warning_value` int(10) NULL DEFAULT NULL COMMENT '预警值',
  `code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '物品编码',
  `cas_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'CAS编号',
  `purity_grade` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '纯度等级',
  PRIMARY KEY (`reagent_consumable_inventory_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '试剂耗材库存' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of reagent_consumable_inventory
-- ----------------------------
INSERT INTO `reagent_consumable_inventory` VALUES ('00434EFB8EAA519B01668C2B45C23A54', '4F3854C62BB387A046FEA9D410635148', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)丙酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:44.000000', '2023-08-10 18:14:00.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对氟芬太尼', '冷藏贮存', 'GASS-108', '瓶', 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)-propionamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '90736-23-5', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('0069AFFD4A973D117D57F1202F2A0B6F', '57D9F0612EE202CF1BCA924E5408E7F0', '1-(4-甲氧基苯基-2,3,5,6-d4)丙-2-胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:38.000000', '2023-08-10 18:14:00.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'D4-PMA盐酸盐', '冷藏贮存', 'GASS-451', '瓶', '1-(4-methoxyphenyl-2,3,5,6-d4)propan-2-amine', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('00ABD938A01FDCE2D924D6C2C4095FEA', '6A7CBA49B3C28071925AA41C35F1451A', '甲苯', 'fisher', '试剂', NULL, NULL, '4L/瓶', '2023-08-07 15:36:44.000000', '2023-08-10 18:14:00.000000', '1', NULL, '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('01C229466CD9D7A29BDD3EAB53A16656', '61C474011A1D8F6870A89E1DBBAF1252', '载玻片', 'SAIL BRAND', '耗材', NULL, NULL, '25.4x76.2mm，50片，7102', '2023-08-07 15:36:28.000000', '2023-08-10 18:14:00.000000', '1', NULL, '/', NULL, 39, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('0291BE662A8928C173A9620B19B065AA', '8F8B250118A466601C1DDF6B182442CF', 'HOBT, 1-羟基苯并三唑一水合物', '阿拉丁', '试剂', NULL, NULL, '≥97.0%, 100g/瓶', '2023-08-07 15:38:02.000000', '2023-08-10 18:14:00.000000', '1', NULL, '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, '123333-53-9', 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('05C2F492EBFB63958E379BCF5ED19A91', 'AAD62619C7D3CB4966F8912FEFFAA6D5', '锥形瓶', '环球', '耗材', NULL, NULL, '250ml', '2023-08-07 15:34:38.000000', '2023-08-10 18:14:00.000000', '1', NULL, '/', NULL, 6, '普通耗材', '12', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('06654B0D2A2D5A61AC9EB0976A402763', 'E9746B3269FE9F3B4ED6201837075699', 'L-缬氨酰胺盐酸盐', '阿拉丁', '试剂', NULL, NULL, '98%，25g/瓶', '2023-08-07 15:37:58.000000', '2023-08-10 18:14:00.000000', '1', NULL, '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, '3014-80-0', 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('06A6A9DCB6A093E405C92326E7008731', 'EA772F4FA807E9F04AAF24DF4F75EB5F', '玻璃冻存管', 'n/a', '耗材', NULL, NULL, '透明，5ml', '2023-08-07 15:32:51.000000', '2023-08-10 18:14:00.000000', '1', NULL, '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('06E21C9F43EC36C7B76E2BFED782F6BA', 'C5956C2B4AA4211F1803DDDC1F01C29F', '2-(1-(5-氟戊基)-1H-吲哚-3-甲酰胺-4,5,6,7-d4)-3,3-二甲基丁酸甲酯', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:43.000000', '2023-08-10 18:14:00.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'D4-5F-MDMB-PICA', '冷藏贮存', 'GASS-465', '瓶', 'methyl 2-(1-(5-fluoropentyl)-1H-indole-3-carboxamido-4,5,6,7-d4)-3,3-dimethylbutanoate', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('0723B9AC7248C8D41B3D29CFFF657F12', 'C003B18CE042E50BA19E0971F8FC2851', '表面皿', 'n/a', '耗材', NULL, NULL, 'Φ60mm，10个/盒', '2023-08-07 15:32:53.000000', '2023-08-10 18:14:00.000000', '1', NULL, '/', NULL, 5, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('078388701B1CDC4B584476E9C498AD15', '75FC7493802DA6090CE0C7D55BED036D', '2-氨基-2-(2-氟苯基)环已烷-1-酮', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:33.000000', '2023-08-10 18:14:00.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '去甲氟胺酮盐酸盐', '冷藏贮存', 'GASS-403', '瓶', '2-amino-2-(2-fluorophenyl)cyclohexan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '1956327-93-7', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('079316D226BEC5F53374C74C31BFD7FD', 'AD5787F5B41602692F655CA7F907271A', '称量瓶', 'n/a', '耗材', NULL, NULL, '25x40', '2023-08-07 15:34:19.000000', '2023-08-10 18:14:00.000000', '1', NULL, '/', NULL, 10, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('07DCC727A0508E50FC1268B4660CAAC0', 'D2DB1A941ABA4D27685D764B73AAC8C9', '锥形瓶', 'Bomex', '耗材', NULL, NULL, '250ml', '2023-08-07 15:36:32.000000', '2023-08-10 18:14:00.000000', '1', NULL, '/', NULL, 9, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('07EC002A0113F4F90A5EABE7413C5BAE', 'DA1A60DB3806C16C2FCC7D789735A44A', '(1-(戊-4-烯-1-基) -1H-吲哚-3-羰基)缬氨酸甲酯', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:52.000000', '2023-08-10 18:14:00.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'AMB-4en-PICA', '冷藏贮存', 'GASS-269', '瓶', 'methyl(1-(pent-4-en-1-yl)-1H-indole-3-carbonyl)valinate', 1.00, NULL, NULL, '库存不足', 1, NULL, '2659308-31-1', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('0B6C86C49AC0719FF5AA2DBF33DAF4FA', 'A6CE35E6E88616D2F6BA596C8806A2F7', '2-(苯甲基亚磺酰基)乙酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:57.000000', '2023-08-10 18:14:00.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '莫达非尼', '冷藏贮存', 'GASS-298', '瓶', '2-(benzhydrylsulfinyl)acetamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '68693-11-8', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('0BF80257D3DC02AE798288E86AFCF152', '215C4694C270F98AFFDDDD25D213DDA2', '试管', 'n/a', '耗材', NULL, NULL, '18*180mm', '2023-08-07 15:30:44.000000', '2023-08-10 18:14:00.000000', '1', NULL, '/', NULL, 30, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('0C1D40AB9380424B6FFC9FCE7814A00B', '3A1DB7700E66ABF1790BD9CDE1AFB89C', '枪头', 'Brand', '耗材', NULL, NULL, '200ul', '2023-08-07 15:36:19.000000', '2023-08-10 18:14:00.000000', '1', NULL, '/', NULL, 8, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('0C231ACA5EF0DEC02FF67865EECFFE4B', 'AD0C36C2C4C61AB1E9F2AF6CB8F7088B', '(1-((1-甲基哌啶-2-基)甲基)-1H-吲哚-3-基)(萘-1-基)甲酮', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:48.000000', '2023-08-10 18:14:00.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'AM-1220', '冷藏贮存', 'GASS-048', '瓶', '(1-((1-methylpiperidin-2-yl)methyl)-1H-indol-3-yl)(naphthalen-1-yl)methanone', 1.00, NULL, NULL, '库存不足', 1, NULL, '137642-54-7', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('0C2B060C8FE4F56BC8A2607459086AC6', '69E5D0D19023F961C27D5A7F4DF3D5F6', '1H-吲唑-3-羧酸甲酯', '阿拉丁', '试剂', NULL, NULL, '97%，5g/瓶', '2023-08-07 15:37:54.000000', '2023-08-10 18:14:00.000000', '1', NULL, '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, '43120-28-1', 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('0CA4D47A902FF72A33AD50AEB11F4BEF', '0E61BDE4FA7F220939C0CB3F01BB70F0', '丝口试剂瓶', 'n/a', '耗材', NULL, NULL, '5000ml', '2023-08-07 15:33:21.000000', '2023-08-10 18:14:00.000000', '1', NULL, '/', NULL, 6, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('0CB7DAFC56EABCC0B55AA5A66F5699DB', '1AC113C7F73FD73BA6169E0203071323', '磷酸', '阿拉丁', '试剂', NULL, NULL, '89-90%,500ml/瓶', '2023-08-07 15:36:40.000000', '2023-08-10 18:14:00.000000', '1', NULL, '/', NULL, 5, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('0CEC46B1FA6BBE13F85D8AADD37C3C3C', '1ACD0FEA690B6C48E2F953468C6B2762', '棕色滴瓶', 'n/a', '耗材', NULL, NULL, '125ml', '2023-08-07 15:33:19.000000', '2023-08-10 18:14:00.000000', '1', NULL, '/', NULL, 10, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('0D48CA983D7382041FDF0A204EB54C1C', 'B55A5C2CD5E02E2E5FCA6613E6B9DE01', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)辛酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:21.000000', '2023-08-10 18:14:00.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对甲苯基正辛酰基芬太尼', '冷藏贮存', 'GASS-378', '瓶', 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)octanamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('0EB1524033A71667DE18A5C51580F12F', '48EC487AE05A7A560F4C77171AA5EB69', '氘代DMSO', 'CIL', '试剂', NULL, NULL, '50ml/瓶', '2023-08-07 15:37:41.000000', '2023-08-10 18:14:00.000000', '1', NULL, '/', NULL, 3, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('111DD90CF9F4C8D0F89AC923433AAB56', 'D4BA4A4EBC6452E9AF1BD8AC2D1911BE', 'N-(金刚烷-1-基)-1-(5-氯戊基)-1H-吲唑-3-甲酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:51.000000', '2023-08-10 18:14:00.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '5CI-APINACA', '冷藏贮存', 'GASS-260', '瓶', 'N-(adamantan-1-yl)-1-(5-chloropentyl)-1H-indazole-3-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '2160555-52-0', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('11286BB16CAE29A868DE6DE1BCC61D7A', '85A257C6F7CB140789AAEFF2121B6A00', '塑料吸管', 'n/a', '耗材', NULL, NULL, '3ml，100支/袋', '2023-08-07 15:33:11.000000', '2023-08-10 18:14:01.000000', '1', NULL, '/', NULL, 7, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '袋', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('114023E3E773FD2C69D3E5E62F320C56', 'A67C35040F674EA5911488782081F0BF', '2-氯-N-(4-氟苯基) -N-(1-苯乙基哌啶-4-基) 乙酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:25.000000', '2023-08-10 18:14:01.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对氟苯基氯乙酰基芬太尼', '冷藏贮存', 'GASS-384', '瓶', '2-chloro-N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)acetamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('1142B7F1289C9CF694DF660E94D80804', 'CAE43EAFBE0DAD2A81086FF043289A12', 'N、N-二乙基-7-甲基-4,6,6a，7,8,9-六氢吲哚[4,3-fg]喹啉-9-羧酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:12.000000', '2023-08-10 18:14:01.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'LSD', '冷藏贮存', 'GASS-340', '瓶', 'N,N-diethyl-7-methyl-4,6,6a,7,8,9-hexahydroindolo[4,3-fg]quinoline-9-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '50-37-3', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('12D2D6E379741CB288476189B23AEC3F', 'C4C69A812F4E91AA017ACE86ED8D7CA3', '氢氧化钠（片状）', '科密欧', '试剂', NULL, NULL, '500g/瓶', '2023-08-07 15:37:02.000000', '2023-08-10 18:14:01.000000', '1', NULL, '/', NULL, 3, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('13BBE4C856008BD35CCCCAEB72AC0017', '0C4D8E92748BF9A4506E68D338050350', '2-(乙基氨基)-2-(3-甲氧基苯基)环已烷-1-酮', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:47.000000', '2023-08-10 18:14:01.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '2-(3-甲氧基苯基)-2-乙复基环己酮', '冷藏贮存', 'GASS-167', '瓶', '2-(ethylamino)-2-(3-methoxyphenyl)cyclohexan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '1239943-76-0', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('13E2F1A6C03A566C3226208F001FEB80', 'B5450DADE2DCDF2100F618C70CD8B7D7', '叔丁醇钾', '阿拉丁', '试剂', NULL, NULL, '98%，500g/瓶', '2023-08-07 15:37:54.000000', '2023-08-10 18:14:01.000000', '1', NULL, '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('13EA2924C54BDDBD5344462854BD25D6', '4D23ABBEFE55381E96869D529E5F4380', '血清移液管', 'n/a', '耗材', NULL, NULL, '10ml', '2023-08-07 15:30:51.000000', '2023-08-10 18:14:01.000000', '1', NULL, '/', NULL, 18, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('147436D7314F5FB678B91E45276198C0', '394D2138D494C296800683C9C4E26A82', '乙酸乙酯', '沪试', '试剂', NULL, NULL, '500ml/瓶', '2023-08-07 15:36:50.000000', '2023-08-10 18:14:01.000000', '1', NULL, '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('15C22B1FE4742CCD46B57CF225661038', '8DFBF7D817BFF34A459C4E4CCEED8389', '二氯甲烷', '国药集团', '试剂', NULL, NULL, '≥99.5', '2023-08-07 15:37:51.000000', '2023-08-10 18:14:01.000000', '1', NULL, '/', NULL, 8, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('1696CBD9B47D11F29F3A127ABDEA6A73', '40A9214BCD99CD09A316F534FFF28567', '棕色滴瓶', 'n/a', '耗材', NULL, NULL, '60ml', '2023-08-07 15:33:18.000000', '2023-08-10 18:14:01.000000', '1', NULL, '/', NULL, 20, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('16A3C2DF2D33F489C7AE17DFC149AF1A', '14F91800B812C3D971091669D5F54B6D', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)异丁酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:43.000000', '2023-08-10 18:14:01.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '4-氟异丁酰芬太尼', '冷藏贮存', 'GASS-097', '瓶', 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)isobutyramide', 1.00, NULL, NULL, '库存不足', 1, NULL, '244195-32-2', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('16A77A05950C4FAF5722A10C3A0AF593', '88C5EFEBD97834A65965F5EBF55B99FC', '异丙醇', 'Supelco', '试剂', NULL, NULL, '4L/瓶', '2023-08-07 15:36:35.000000', '2023-08-10 18:14:01.000000', '1', NULL, '/', NULL, 3, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('16B567ED5385402FEE7C22B13A33605D', 'C8C3F5D4163885E757FFEC2C4D62D3C7', '正己烷', '科密欧', '试剂', NULL, NULL, '500ml/瓶', '2023-08-07 15:36:50.000000', '2023-08-10 18:14:01.000000', '1', NULL, '/', NULL, 5, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('17F14F85F1092C4E9F3194C031B6390E', '71D7226D3710BDFFEDC886C632BF7394', '容量瓶', 'Brand', '耗材', NULL, NULL, '50ml', '2023-08-07 15:33:23.000000', '2023-08-10 18:14:01.000000', '1', NULL, '/', NULL, 11, '普通耗材', '2', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('18AB697E0F8DB975FF4C6509543B4904', 'A30D66508E87197B71D8F1AF899213DC', '2-(1-(4-氟苄基)-1H-吲唑-3-甲酰胺)-3,3-二甲基丁酸甲酯', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:34.000000', '2023-08-10 18:14:01.000000', '1', NULL, '/', NULL, 0, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'MDMB-FUBINACA', '冷藏贮存', 'GASS-068', '瓶', 'methyl2-(1-(4-fluorobenzyl)-1H-indazole-3-carboxamido)-3,3-dimethylbutanoate', 1.00, NULL, NULL, '库存不足', 1, NULL, '1715016-77-5', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('18DB33F906BF7DA07E5B3C2F05A177C5', 'AE911C6C8F224DF2D8F3BED64B61E493', 'N-(1-苯乙基哌啶-4-基)-N-苯基环丁烷甲酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:28.000000', '2023-08-10 18:14:01.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '苯基环丁甲酰基芬太尼', '冷藏贮存', 'GASS-389', '瓶', 'N-(1-phenethylpiperidin-4-yl)-N-phenylcyclobutanecarboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '2306827-55-2', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('18FEB0F0932533699CD2E83937D18388', '7CE7BF22E7903FC545D1934ADEB888D1', 'Astec CHIROBIOTIC V2', 'merck', '耗材', NULL, NULL, '25cm*4.6mm,5um', '2023-08-07 15:30:33.000000', '2023-08-10 18:14:01.000000', '1', NULL, '/', NULL, 2, '色谱柱', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('198E86E88F34CFD8AD8F040346773E65', '93B3738CD511C4D4CC5B99C3C4734FCF', '(1-((四氢-2H-吡喃-4-基)甲基)-1H-吲哚-3-基)(2,2,3,3-四甲基环丙基)甲酮', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:24.000000', '2023-08-10 18:14:01.000000', '1', NULL, '/', NULL, 0, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'A-834,735', '冷藏贮存', 'GASS-042', '瓶', '(1-((tetrahydro-2H-pyran-4-yl)methyl)-1H-indol-3-yl)(2,2,3,3-tetramethylcyclopropyl)methanone', 1.00, NULL, NULL, '库存不足', 1, NULL, '895155-57-4', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('1BCF2D59ABA8C742CF761DA45E96030C', '31F05CF6E5FF37CA972C00FC71031DCF', '容量瓶', 'Brand', '耗材', NULL, NULL, '5ml', '2023-08-07 15:33:25.000000', '2023-08-10 18:14:01.000000', '1', NULL, '/', NULL, 44, '普通耗材', '2', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('1BD2B8168F9F1876F6DF956B7A6E5BBC', '89D52AE28AA1C68265C9E5A12DAF55FD', '定量滤纸', '新星', '耗材', NULL, NULL, '15cm，中速', '2023-08-07 15:34:49.000000', '2023-08-10 18:14:01.000000', '1', NULL, '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('1C54C740376FEC3010D7B7E55C9F587B', '8FA73E52DDAE4A0C80D4EC58EA116775', '隔垫', '岛津', '耗材', NULL, NULL, '货号221-76650-01,25个/盒', '2023-08-07 15:30:43.000000', '2023-08-10 18:14:01.000000', '1', NULL, '/', NULL, 1, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('1CF5EF79A58822428CD0D0462994E67C', '1FF232E10510D1828861ED44A936EFDC', '擦镜纸', '杭州新星', '耗材', NULL, NULL, '10*15cm', '2023-08-07 15:30:52.000000', '2023-08-10 18:14:01.000000', '1', NULL, '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('1D300C5364E04DA2B5079E2907B6C8DE', '0CDBB88E9E6F7D5AC54F28B969E2D358', '碳酸氢钠', '大茂', '试剂', NULL, NULL, '500g/瓶', '2023-08-07 15:37:00.000000', '2023-08-10 18:14:01.000000', '1', NULL, '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'GR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('1DE74B75FC15C32F9AEFA391EFDC4E10', '5E09A6BC8A90AD143BA66F657FA694EE', 'HBTU, 苯并三氮唑-N,N,N\',N\'-四甲基脲六氟磷酸酯', '阿拉丁', '试剂', NULL, NULL, '99%, 100g/瓶', '2023-08-07 15:38:02.000000', '2023-08-10 18:14:01.000000', '1', NULL, '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, '94790-37-1', 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('1E3838A21745E75D270D1C8EEE14A0C9', 'E561DE0E1AE356249FF5134E816D0248', '一次性蓝色丁腈手套', '柯沃', '耗材', NULL, NULL, 'S', '2023-08-07 15:36:20.000000', '2023-08-10 18:14:01.000000', '1', NULL, '/', NULL, 42, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('1E548FACDED3F78F117607C8AFC4CE6A', '690E4B113A8D28431037055D5B0E47E2', '滴管', 'n/a', '耗材', NULL, NULL, '18cm', '2023-08-07 15:30:53.000000', '2023-08-10 18:14:01.000000', '1', NULL, '/', NULL, 21, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('1EE0F290E543C4746F2CE440762D64E8', '1EB8C51BA03E156360273A437CC55BA5', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)环丙烷甲酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:17.000000', '2023-08-10 18:14:02.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对甲苯基环丙甲酰基芬太尼', '冷藏贮存', 'GASS-370', '瓶', 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)cyclopropanecarboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '2749910-42-5', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('1F2F7CC7EA57349AFC143BE7631EF904', '57B8083981D0C76FFB819298EF953E0F', '锥形瓶', '环球', '耗材', NULL, NULL, '50ml', '2023-08-07 15:34:38.000000', '2023-08-10 18:14:02.000000', '1', NULL, '/', NULL, 7, '普通耗材', '12', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('1FA9B4B3229B2BB0462A59CEE67A150E', 'CF1985061C9BF52C82BE0665559FF4E5', '利血平', 'Sigma-Aldrich', '试剂', NULL, NULL, '5g/瓶,99%', '2023-08-07 15:37:40.000000', '2023-08-10 18:14:02.000000', '1', NULL, '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('1FC904751AA53B32B4897C6A822EA938', 'E8C0A88DFBA043AA9E55C4B4CDEA56A4', '防冲击眼罩', '3M', '耗材', NULL, NULL, '1621型', '2023-08-07 15:34:12.000000', '2023-08-10 18:14:02.000000', '1', NULL, '/', NULL, 11, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('203AB6180D7F4DC96EA1AD7507092166', '81481E96179F53AE3A7F7A1F3A9D6A68', '1-(3-氯苯基)-2-(二乙基氨基)丙-1-酮', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:09.000000', '2023-08-10 18:14:02.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'N-乙基-间氯-乙卡西酮盐酸盐', '冷藏贮存', 'GASS-335', '瓶', '1-(3-chlorophenyl)-2-(diethylamino)propan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '1152853-89-8', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('2112BAC200A40BFC1EFC281F203B8581', '5A061786CCF8559499EF8E9CF40DB4F1', '2-(2-溴苯基) -2-(甲氨基) 环己烷-1-酮', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:35.000000', '2023-08-10 18:14:02.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '溴胺酮盐酸盐', '冷藏贮存', 'GASS-405', '瓶', '2-(2-bromophenyl)-2-(methylamino)cyclohexan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '120807-70-7(base)', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('21A9917340AF6E40B7FFD9FE11467C21', '55E216226612FF7924B63DEDAA07C589', '牛皮纸物证袋', 'n/a', '耗材', NULL, NULL, '30*17*46cm', '2023-08-07 15:30:26.000000', '2023-08-10 18:14:02.000000', '1', NULL, '/', NULL, 160, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('221D9DE3334287E293D0F5FE7DFEB546', '53CEE1B8560E5AAB6A76AED8BE2F7935', '血清移液管', 'n/a', '耗材', NULL, NULL, '25ml', '2023-08-07 15:30:50.000000', '2023-08-10 18:14:02.000000', '1', NULL, '/', NULL, 21, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('22A26E996A14847A5E252113DCE1B2BE', 'D33F92F87E82492B04AB7F6D4C5A03B3', '试管', 'n/a', '耗材', NULL, NULL, '15*150mm', '2023-08-07 15:30:44.000000', '2023-08-10 18:14:02.000000', '1', NULL, '/', NULL, 26, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('230D980EAC673FB53425089F596F67D2', '57C4C6CBA1539BD5F2394B801CBFE52A', '定性滤纸', '皎洁', '耗材', NULL, NULL, '7cm，中速', '2023-08-07 15:36:22.000000', '2023-08-10 18:14:02.000000', '1', NULL, '/', NULL, 19, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('2392673A811E9444A7DB5B77C1E3CF08', 'B49AF0E77FC8F15DEEADE629298F2EC4', '进口滤膜', '津隆', '耗材', NULL, NULL, '25mm，100片/盒，有机尼龙66，0.45um，货号：JLSN184502', '2023-08-07 15:34:42.000000', '2023-08-10 18:14:02.000000', '1', NULL, '/', NULL, 19, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('23EB4310EF1C2DCBCD7B79A3348BE58E', '32AB8D0E6C7D8910588365A17AA79AA2', '2-(1-(5-氟戊基)-1H-吲哚-3-甲酰胺)-3,3-二甲基丁酸甲酯', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:50.000000', '2023-08-10 18:14:02.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '5F-MDMB-PICA', '冷藏贮存', 'GASS-259', '瓶', 'methyl 2-(1-(5-fluoropentyl)-1H-indole-3-carboxamido)-3,3-dimethylbutanoate', 1.00, NULL, NULL, '库存不足', 1, NULL, '1971007-88-1', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('24B7715CDC080DA0FD2EAC24D7109D31', '5DB5491C5E2CB07E77190BD98DF27667', 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基)-1-(5-氟戊基-1H-吲哚-3-甲酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:20.000000', '2023-08-10 18:14:02.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '5F-ADBICA', '冷藏贮存', 'GASS-036', '瓶', 'N-(1-amino-3,3-dimethyl-1-oxobutan-2-yl)-1-(5-fluoropentyl)-1H-indole-3-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '1801338-27-1', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('257D6273AB24291CA8536C519CD5EA3D', '7F5C6D308A1F0ED2BD72F2B9C440C64C', '乙酸铵', '大茂', '试剂', NULL, NULL, '500g/瓶', '2023-08-07 15:37:00.000000', '2023-08-10 18:14:02.000000', '1', NULL, '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'GR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('27FBC2AC4A8EE1FC86CF4544347A835F', '2F86BEA371F267DACFB3020053E7489B', '塑料烧杯', 'n/a', '耗材', NULL, NULL, '3000ml', '2023-08-07 15:34:40.000000', '2023-08-10 18:14:02.000000', '1', NULL, '/', NULL, 7, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('286BD6A2F143E72798DA3BA78389ED75', 'F16A0A56E41B57F1FA00893525F037D8', '移液枪', 'Sartorius', '耗材', NULL, NULL, '0.1-3ul', '2023-08-07 15:32:55.000000', '2023-08-10 18:14:02.000000', '1', NULL, '/', NULL, 1, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('28891BD4137B4DE114C7EBDCF6184B0B', '2881B2C3975BBF245A74686015746C3F', '2-(2-氟苯基)-2-(甲氨基) 环已烷-1-酮', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:34.000000', '2023-08-10 18:14:02.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '氟胺酮盐酸盐', '冷藏贮存', 'GASS-404', '瓶', '2-(2-fluorophenyl)-2-(methylamino)cyclohexan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '111982-49-1', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('295DF4C699B071CDE7C3C425641D748E', '6853203D69ACE02C557525288B2294BF', '(4-乙基萘-1-基)(1-戊基-1H-吲哚-3-基)甲酮', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:33.000000', '2023-08-10 18:14:02.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'JWH-210', '冷藏贮存', 'GASS-064', '瓶', '(4-ethylnaphthalen-1-yl)(1-pentyl-1H-indol-3-yl)methanone', 1.00, NULL, NULL, '库存不足', 1, NULL, '824959-81-1', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('299D06A34EF495A369EF42FDC42D41C4', '1CEC6B29599FADB6148D56C2A0987B11', '吡嗪', 'Sigma-Aldrich', '试剂', NULL, NULL, '≥99，100g/瓶', '2023-08-07 15:37:36.000000', '2023-08-10 18:14:02.000000', '1', NULL, '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'FG级');
INSERT INTO `reagent_consumable_inventory` VALUES ('29B764F4AA02D54E0D8B07F2E413A742', 'E0822406E503971E15D9C61F87FDCC75', '容量瓶', 'Brand', '耗材', NULL, NULL, '100ml', '2023-08-07 15:33:23.000000', '2023-08-10 18:14:02.000000', '1', NULL, '/', NULL, 13, '普通耗材', '2', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('29DFDF6EB0A01B98E17E8A769060D0F0', '8AB34E548C776F4B618C732A34852F7C', '容量瓶', 'Bomex', '耗材', NULL, NULL, '250ml', '2023-08-07 15:33:22.000000', '2023-08-10 18:14:02.000000', '1', NULL, '/', NULL, 1, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('2A5950D9A4DC222C3E032A30CEF105E1', '3F350C403EE7796C35559C7962EFF2C3', '进口滤膜', '津隆', '耗材', NULL, NULL, '25mm，100片/盒，水洗聚醚砜（PES），0.45um，货号：JLSP214502', '2023-08-07 15:34:43.000000', '2023-08-10 18:14:02.000000', '1', NULL, '/', NULL, 10, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('2B6630C0BCB0DC3CB06B075759317FCB', '6F2BB1AF01B78A52C800501C6DFFF7C4', '(2-碘代苯基)(1-((1-甲基哌啶-2-基)甲基)-1H-吲哚-3-基)甲酮', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:28.000000', '2023-08-10 18:14:02.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'AM-2233', '冷藏贮存', 'GASS-050', '瓶', '(2-iodophenyl)(1-((1-methylpiperidin-2-yl)methyl)-1H-indol-3-yl)methanone', 1.00, NULL, NULL, '库存不足', 1, NULL, '444912-75-8', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('2BE5FCC0C125F442A3CCF22AAD33FD47', 'ABD300B06D0CA25F14984F738829ED46', '1,4-二甲氧基苯', 'Sigma-Aldrich', '试剂', NULL, NULL, '100g/瓶,99%', '2023-08-07 15:37:35.000000', '2023-08-10 18:14:02.000000', '1', NULL, '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'RP');
INSERT INTO `reagent_consumable_inventory` VALUES ('2C568267F1875F1DB9071511FDA4DE0F', 'AAE59A34FCC4E0C2255A1F9DDAE93014', '氯化亚砜', '科密欧', '试剂', NULL, NULL, '500ml/瓶', '2023-08-07 15:37:47.000000', '2023-08-10 18:14:02.000000', '1', NULL, '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('2D99584E3806652AE70A080FA3E023D9', 'B42D5FF2A772984335EAA1342D266DFA', '微孔滤膜', 'GreenMall', '耗材', NULL, NULL, '有机系（尼龙）,50mm,0.22um,50片/盒', '2023-08-07 15:34:45.000000', '2023-08-10 18:14:02.000000', '1', NULL, '/', NULL, 4, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('2DAAA0DFE89A1ECEF3ADF97DED7DFDA9', 'C7DA99EF4ACDF57E33DF36C2235AF83C', '2-氨基-2-(2-氯苯基) 环已烷-1-酮', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:13.000000', '2023-08-10 18:14:03.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '去甲氯胺酮盐酸盐', '冷藏贮存', 'GASS-341', '瓶', '2-amino-2-(2-chlorophenyl)cyclohexan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '79499-59-5', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('2EEF7BD191749822AC4171A2F7174903', '762B564E8D8DB0754F68701EFFA08E98', '1-(5-氟戊基)-N-(2-苯基丙-2-基) -1H-吲唑-4,5,6,7-d4-3-羧酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:48.000000', '2023-08-10 18:14:03.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'D4-5F-CUMYL-PINACA', '冷藏贮存', 'GASS-508', '瓶', '1-(5-fluoropentyl)-N-(2-phenylpropan-2-yl)-1H-indazole-4,5,6,7-d4-3-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('2F075AEECC7E208BD71D16B84ED0B593', 'F4FDEA8D4B58692F145C72C69097E9C5', 'Hypersil GOLD VANQUISH', '赛默飞', '耗材', NULL, NULL, '100*2.1um', '2023-08-07 15:30:35.000000', '2023-08-10 18:14:03.000000', '1', NULL, '/', NULL, 1, '色谱柱', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('325DFC851CA9E0B72CD8A80CBF5D5AFF', '798FC26EFB30F0824A5491C33A151636', '3-(2-(二甲基氨基)乙基)-1H-吲哚-4-基磷酸二氢盐', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:49.000000', '2023-08-10 18:14:03.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '赛洛西宾', '冷藏贮存', 'GASS-199', '瓶', '3-(2-(dimethylamino)ethyl)-1H-indol-4-yl dihydrogenphosphate', 1.00, NULL, NULL, '库存不足', 1, NULL, '520-52-5', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3274EFB73A1DB23BD19E5A23908672CF', 'EBEDE816B7429859B1CB3C066AFB4D0F', '白凡士林', '上海商习伟康', '试剂', NULL, NULL, '500g/瓶', '2023-08-07 15:36:59.000000', '2023-08-10 18:14:03.000000', '1', NULL, '/', NULL, 4, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, '其他');
INSERT INTO `reagent_consumable_inventory` VALUES ('32B72E5882C99F62580C1875F918645B', '338C3918009C9A3917C2D208A4C3A839', '氘代甲醇', 'CIL', '试剂', NULL, NULL, '0.6mLx10,99.8%', '2023-08-07 15:37:32.000000', '2023-08-10 18:14:03.000000', '1', NULL, '/', NULL, 5, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('331D4D8FE0F4FC0224B8BD2619896F23', '3428BAC3FCF00E8F5952D85AAB63600F', '(1-(5-氟戊基)-1H-吲哚-3-基)(2,2,3,3-四甲基环丙基)甲酮', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:23.000000', '2023-08-10 18:14:03.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '5F-UR-144', '冷藏贮存', 'GASS-040', '瓶', '(1-(5-fluoropentyl)-1H-indol-3-yl)(2,2,3,3-tetramethylcyclopropyl)methanone', 1.00, NULL, NULL, '库存不足', 1, NULL, '1364933-54-9', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3328A401E2B95766D6034F3B2757A698', '8E9CE0DEE73422A05C0C2E4B02AD3ECD', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)乙酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:27.000000', '2023-08-10 18:14:03.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对氟苯基乙酰基芬太尼', '冷藏贮存', 'GASS-387', '瓶', 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)acetamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '244195-30-0', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('339B3F5D370C1B2244F28F81BB46ACF9', '744D830223F86194E6BA97329BDF10C2', '封口膜', 'Bemis', '耗材', NULL, NULL, '4IN.*125FT.ROLL，PM-996', '2023-08-10 11:44:46.000000', '2023-08-10 18:14:03.000000', '8dc12f99dfe97426bf1ba00a0d037f60', NULL, '/', NULL, 1300, '普通耗材', '100', NULL, 0.000000000000000000000000000000, '/', '常规贮存', '/', '个', '/', 1.00, NULL, 1, '库存充足', 1, '', '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('33EC59CB6BCA330E3817B37A72E7DB10', '7342D52B5EB84CC3C418BDAC1F48CEC1', '滤膜', '上海新亚', '耗材', NULL, NULL, '有机，0.22um，50mm，50片/盒', '2023-08-07 15:34:45.000000', '2023-08-10 18:14:03.000000', '1', NULL, '/', NULL, 16, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3440B7D6FFE4F874363E64FB07A7AA3F', '466574DA20560FBFDCE01225B6FE92DA', '三（羟甲基）氨基甲烷', '沪试', '试剂', NULL, NULL, '100g/瓶', '2023-08-07 15:37:03.000000', '2023-08-10 18:14:03.000000', '1', NULL, '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('34F4E082091551484689184912A74A97', 'EF8CED4F364BDAE2D21F7EDCC36E6427', '手术剪', '安其生', '耗材', NULL, NULL, '12.5cm弯尖', '2023-08-07 15:32:58.000000', '2023-08-10 18:14:03.000000', '1', NULL, '/', NULL, 5, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '把', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('35D645789EC4220335893F545AC232D3', '8400EBBB8A41ABD8EE043C74C9057393', '1-(4-溴苯基)-2-(二甲基氨基)丙-1-酮', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:04.000000', '2023-08-10 18:14:03.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'N-甲基-对溴-甲卡西酮盐酸盐', '冷藏贮存', 'GASS-327', '瓶', '1-(4-bromophenyl)-2-(dimethylamino)propan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '1157737-03-5', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('35DC319FD520E67B6AFBC1B702A9E242', 'B80D680E1050320966E988507C6881F9', '丝口试剂瓶', '蜀玻', '耗材', NULL, NULL, '2000ml', '2023-08-07 15:34:22.000000', '2023-08-10 18:14:03.000000', '1', NULL, '/', NULL, 12, '普通耗材', '3', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('35E21486BC08E63FE7E6AA1C9352E605', 'A458CF117D53FA82AD81A345AD031D9C', 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(5-氟戊基)-1H-吲唑-3-甲酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:19.000000', '2023-08-10 18:14:03.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '5F-AB-PINACA', '冷藏贮存', 'GASS-035', '瓶', 'N-(1-amino-3-methyl-1-oxobutan-2-yl)-1-(5-fluoropentyl)-1H-indazole-3-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '1800101-60-3', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('35E8E753EFD0404AFD8E978D5D952D8F', 'B5024E2AB89F183774FDB1D8C4F00BEC', 'DMAP, 4-二甲氨基吡啶', '阿拉丁', '试剂', NULL, NULL, '99%, 100g/瓶', '2023-08-07 15:38:01.000000', '2023-08-10 18:14:03.000000', '1', NULL, '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, '1122-58-3', 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('35F58364C35F7298C8CB7B740C08DF4B', 'AAE383C084A3842EDEA63A5D11985001', '连盖离心管', 'AXYGEN', '耗材', NULL, NULL, '2ml，500支/袋', '2023-08-07 15:33:14.000000', '2023-08-10 18:14:03.000000', '1', NULL, '/', NULL, 1, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('36766EE82D7F5DB50860D5E6E63BAE01', '5381BAFEA25E80A251B0549C6DDA9F4F', '(E)-N\'-(1-(5-氟戊基)-2-氧代吲哚-3-亚基) 苯甲酰肼', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:44.000000', '2023-08-10 18:14:03.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '5F-MDA-19', '冷藏贮存', 'GASS-501', '瓶', '(E)-N\'-(1-(5-fluoropentyl)-2-oxoindolin-3-ylidene)benzohydrazide', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('371E4C0355F48CE648ECE2594E4F9185', '78C2B1903B63D83FB0D5214662AFCDAD', '1-(4-氯苯基)-2-(吡咯烷-1-基)丙-1-酮', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:32.000000', '2023-08-10 18:14:03.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '4-氯苯基-N-吡咯烷基卡西酮盐酸盐', '冷藏贮存', 'GASS-396', '瓶', '1-(4-chlorophenyl)-2-(pyrrolidin-1-yl)propan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '93307-24-5', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('378B2FBA967236D4CF671E18E0298F66', 'C6A48FE46881A23CCF263C180F1D0FC7', '白色药瓶', 'n/a', '耗材', NULL, NULL, '20ml', '2023-08-07 15:33:13.000000', '2023-08-10 18:14:03.000000', '1', NULL, '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('37EC14A92B2C7E866BFD260E25F85F7C', 'BC16F1B86AEAB5AF6A4C733A0A73694D', '塑料吸管', 'n/a', '耗材', NULL, NULL, '2ml，100支/袋', '2023-08-07 15:33:09.000000', '2023-08-10 18:14:03.000000', '1', NULL, '/', NULL, 8, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '袋', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3846EF5371BDDD5D942F0456D5BFAB78', '874618DDFD7973D71A61617C6F8246D1', '进口滤膜', '津隆', '耗材', NULL, NULL, '13mm，水洗聚醚砜（PES）,0.22um，货号：JLSP042201', '2023-08-07 15:34:52.000000', '2023-08-10 18:14:04.000000', '1', NULL, '/', NULL, 5, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('387296ADD206403C03300FDF5BD15706', 'ECBF93E0371BC42CD3AF8F6488475558', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基) 环丁酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:19.000000', '2023-08-10 18:14:04.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对甲苯基环丁甲酰基芬太尼', '冷藏贮存', 'GASS-374', '瓶', 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)cyclobutanecarboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('38DC4F931E1A3244C4CCD328AB5A8337', 'D333EC2035E9EAEED2D06192ACFC636F', '物证封装袋', 'n/a', '耗材', NULL, NULL, '16.5*12cm', '2023-08-07 15:30:29.000000', '2023-08-10 18:14:04.000000', '1', NULL, '/', NULL, 1300, '普通耗材', '100', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3A330AA79C4A37276EB2162834B8C5E5', 'B62A324CA9DC60C34DDDA53B0863F912', '茶碱', '百灵威', '试剂', NULL, NULL, '98%,5g/瓶', '2023-08-07 15:37:41.000000', '2023-08-10 18:14:04.000000', '1', NULL, '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'RD');
INSERT INTO `reagent_consumable_inventory` VALUES ('3B0C936735E0BA06A41FF142101A49EF', '0945C6A73C638F8332E89EA557585E06', '无水磷酸二氢钠', '麦克林', '试剂', NULL, NULL, 'HPLC,50G', '2023-08-07 15:37:30.000000', '2023-08-10 18:14:04.000000', '1', NULL, '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('3B7178E1C928F3B2A0E47430F2DBB5F8', 'A9E711D8C0A12C1217980D7EE9415ECB', '一次性使用无菌注射器 带针', '治宇', '耗材', NULL, NULL, '2ml,200/支', '2023-08-07 15:34:46.000000', '2023-08-10 18:14:04.000000', '1', NULL, '/', NULL, 5, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3E01263EF648C15AFB8AD3E0AA11CB71', '1B1E30CD32A8A9AF12F783236B6E178A', '1-(4-氯苯基)-2-(二甲基氨基)丙-1-酮', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:32.000000', '2023-08-10 18:14:04.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对氯-N,N-二甲基卡西酮盐酸盐', '冷藏贮存', 'GASS-395', '瓶', '1-(4-chlorophenyl)-2-(dimethylamino)propan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '2493977-47-0', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3E3139858ABBAA7D103DB4CD9D173292', 'D757B0E9566323FE34D626242620D940', '3,4-二甲基-2-苯基吗啉', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:00.000000', '2023-08-10 18:14:04.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '苯甲曲秦', '冷藏贮存', 'GASS-312', '瓶', '3,4-dimethyl-2-phenylmorpholine', 1.00, NULL, NULL, '库存不足', 1, NULL, '634-03-7', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3E760A28E352B043E9F92D5AA60E5B34', '018DB548F851B29EE0E9CE0E7F684CA8', '洗瓶', 'n/a', '耗材', NULL, NULL, '500ml', '2023-08-07 15:33:20.000000', '2023-08-10 18:14:04.000000', '1', NULL, '/', NULL, 11, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3E8FDD461EBA806650E74516F3ADC8B8', '73F2F99975EEF2DD1B5F97742B36065F', '1-(4-肉桂酰哌嗪-1-基)丁-1-酮', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:36.000000', '2023-08-10 18:14:04.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '布桂嗪', '冷藏贮存', 'GASS-410', '瓶', '1-(4-cinnamylpiperazin-1-yl)butan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '2624256-67-1', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3EACF708E2E3EFD851BEC2BD36A4EA72', '818A65DF5F637FC4FBF676232FE66BF8', '定性滤纸', '皎洁', '耗材', NULL, NULL, '18cm，中速', '2023-08-07 15:36:23.000000', '2023-08-10 18:14:04.000000', '1', NULL, '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3EE6A804F0BD45345F575E291FE51CD5', 'E091060F53A0F7394788391079FC7F84', 'N-(1-苯乙基哌啶-4-基)-N-苯基异丁酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:42.000000', '2023-08-10 18:14:04.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '异丁酰芬太尼', '冷藏贮存', 'GASS-091', '瓶', 'N-(1-phenethylpiperidin-4-yl)-N-phenylisobutyramide', 1.00, NULL, NULL, '库存不足', 1, NULL, '119618-70-1', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3F39FB0C6E93491015CED472621C3786', '1C45AAAA7FDF17A6602269CFEE102380', '容量瓶', 'Brand', '耗材', NULL, NULL, '2ml', '2023-08-07 15:33:26.000000', '2023-08-10 18:14:04.000000', '1', NULL, '/', NULL, 2, '普通耗材', '2', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3F9F867CC2CD6F03B73026D1ACB4473C', '97B178243D55A1532AC355CEE550A355', 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(4-氟苄基)-1H-吲哚-4,5,6,7-d4-3-羧酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:41.000000', '2023-08-10 18:14:04.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'D4-AB-FUBICA', '冷藏贮存', 'GASS-463', '瓶', 'N-(1-amino-3-methyl-1-oxobutan-2-yl)-1-(4-fluorobenzyl)-1H-indole-4,5,6,7-d4-3-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3FD37486C97275CC3C7E92202400B323', '83AB14C7ECE6FA20518C7E90C6C2FC3B', 'N-(4-氟苯基)-3甲基-N-(1-苯乙基哌啶-4-基)丁酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:25.000000', '2023-08-10 18:14:04.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对氟苯基3-甲基丁酰基芬太尼', '冷藏贮存', 'GASS-383', '瓶', 'N-(4-fluorophenyl)-3-methyl-N-(1-phenethylpiperidin-4-yl)butanamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3FDF5A4F8A615519AB72177B5B99122A', 'BBAF49D31EDF1FA98FEB6D9188D94521', '乙酸乙酯', '科密欧', '试剂', NULL, NULL, '500ml/瓶', '2023-08-07 15:36:49.000000', '2023-08-10 18:14:04.000000', '1', NULL, '/', NULL, 4, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('3FE940131BB97815423EA1DD8D0045FD', '3DA72B2A1DC8C31A3D8F279D306690D1', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)戊酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:21.000000', '2023-08-10 18:14:04.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对甲苯基正戊酰基芬太尼', '冷藏贮存', 'GASS-377', '瓶', 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)pentanamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('4040CAFE2575949A2DC2A3BDA4F17B8A', 'E075111E085C24410795CC6AF951CF61', '枪头', 'brand', '耗材', NULL, NULL, '50-1000ul', '2023-08-07 15:33:16.000000', '2023-08-10 18:14:04.000000', '1', NULL, '/', NULL, 80, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('4046DCB28BC517D4E793D8DB40FAFE9E', 'A144BB4EC347709926A684376F0313B6', '4-(三氟甲基)苄溴', '阿拉丁', '试剂', NULL, NULL, '98%，25g/瓶', '2023-08-07 15:37:57.000000', '2023-08-10 18:14:04.000000', '1', NULL, '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, '402-49-3', 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('40B394518CF71333BFBFFD34D6D73B59', '56E22A84F698CE78C3933CECE54D2482', '进口滤膜', '津隆', '耗材', NULL, NULL, '25mm，100片/盒，水洗聚醚砜（PES），0.22um，货号：JLSP202202', '2023-08-07 15:34:44.000000', '2023-08-10 18:14:04.000000', '1', NULL, '/', NULL, 5, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('4156E4CB32BB91E15BB41733DC8BEE25', 'C08500BAB84C89634EC2C961BD78B4D7', '手术剪', '双鹿', '耗材', NULL, NULL, '12.5cm直尖', '2023-08-07 15:32:57.000000', '2023-08-10 18:14:04.000000', '1', NULL, '/', NULL, 1, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '把', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('418F01C0BC29E8A1F511C5A6D08F9545', '8C243C724C9093F9114ECA175108F5AF', '萘-1-基-1-(5-氟戊基)-1H-吲唑-3-羧酸盐', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:54.000000', '2023-08-10 18:14:04.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '5F-SDB-005', '冷藏贮存', 'GASS-291', '瓶', 'naphthalen-1-yl 1-(5-fluoropentyl)-1H-indazole-3-carboxylate', 1.00, NULL, NULL, '库存不足', 1, NULL, '2185863-14-1', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('41B192AE5213EA46AC6C7599AB0784C0', '5D5F26B7975C548CA62A0A17E388B76B', '1-(4-溴苯基)-2-(二乙基氨基)丙-1-酮', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:05.000000', '2023-08-10 18:14:04.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'N-乙基-对溴-乙卡西酮盐酸盐', '冷藏贮存', 'GASS-328', '瓶', '1-(4-bromophenyl)-2-(diethylamino)propan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '92104-89-7', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('41DFA4E8CB9097FC98EC8E1C62FDFB21', '7E06C0BBB18B9A79096FFC20E5B7B9F5', '石油醚', '津东天正', '试剂', NULL, NULL, '500ml/瓶', '2023-08-07 15:37:44.000000', '2023-08-10 18:14:04.000000', '1', NULL, '/', NULL, 10, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('4235508D7E9DA3F9B3816B2F4E81D004', 'F1E6384E3A981BB4BA55EA276C7B3503', '连盖离心管', 'CYPRESS', '耗材', NULL, NULL, '5ml，300支/袋', '2023-08-07 15:33:13.000000', '2023-08-10 18:14:05.000000', '1', NULL, '/', NULL, 30, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('4253EC2CF9DB38E305D815A55C810806', 'DEA5491CD6158FEEC3D028A08BEECDFB', '枪头', 'Brand', '耗材', NULL, NULL, '1000ul', '2023-08-07 15:36:19.000000', '2023-08-10 18:14:05.000000', '1', NULL, '/', NULL, 10, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('4297659AEA24F3AF86E31D18CCD7DAA9', 'E75356588FC63528CA41B6523E32563B', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)乙酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:13.000000', '2023-08-10 18:14:05.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对甲苯基乙酰基芬太尼', '冷藏贮存', 'GASS-365', '瓶', 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)acetamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '90736-12-2', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('4314D90636353467967DEB38B4B44B70', '4E6E2670DA4B436067DB4040D53F8408', '进口滤膜', '津隆', '耗材', NULL, NULL, '13mm，水洗聚醚砜（PES）,0.45um，货号：JLSP054501', '2023-08-07 15:34:51.000000', '2023-08-10 18:14:05.000000', '1', NULL, '/', NULL, 9, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('46BFE73DC0224D1F06779E45E2120A5D', '4FCCAB116AD0D5E388BD3F9F177A2DD2', '牛皮纸物证袋', 'n/a', '耗材', NULL, NULL, '40*20cm', '2023-08-07 15:30:27.000000', '2023-08-10 18:14:05.000000', '1', NULL, '/', NULL, 170, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('46CD279D9B8956D71A75D6BF124C6B9C', '2EC8CCB1C3C71BC1901BE8DD9075F7D2', 'DB-35MS', '安捷伦', '耗材', NULL, NULL, '30m*0.25mm*0.25um，122-3832', '2023-08-07 15:32:56.000000', '2023-08-10 18:14:05.000000', '1', NULL, '/', NULL, 1, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '根', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('46D8333B17DA623B7E650FB89BE90052', 'BAA62B9F52C052FFF45A7AA8483CFD10', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基) 环戊酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:20.000000', '2023-08-10 18:14:05.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对甲苯基环戊甲酰基芬太尼', '冷藏贮存', 'GASS-375', '瓶', 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)cyclopentanecarboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '2748409-67-6', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('47B27E5D5B7AC4DC611AF3C7622B905E', '28A95A7EAD3928AF0390A98EDEA7EA00', '2-(乙基氨基)-2-(噻吩-2-基) 环己烷-1-酮', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:35.000000', '2023-08-10 18:14:05.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '乙基噻吩胺酮盐酸盐', '冷藏贮存', 'GASS-406', '瓶', '2-(ethylamino)-2-(thiophen-2-yl)cyclohexan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '14176-50-2', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('47FB190424449C5B79C81209E2AFA7ED', 'D35946108BEDB65B089B4C070D78C5C3', '2-(吡咯烷-1-基)-1-(对甲苯基)丙-1-酮', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:08.000000', '2023-08-10 18:14:05.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'N-环丁基-对甲-卡西酮盐酸盐', '冷藏贮存', 'GASS-333', '瓶', '2-(pyrrolidin-1-yl)-1-(p-tolyl)propan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '1313393-58-6', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('48503913E581BF63D5337A08E4C06406', '0F213C0ED1A14B88D92DE8AAC7BEB461', '乙腈', 'Thermo', '试剂', NULL, NULL, '4L/瓶', '2023-08-07 15:37:50.000000', '2023-08-10 18:14:05.000000', '1', NULL, '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'HPLC，GC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('4A712DFDD826ED5C7139892A15BF7B64', '4F78CE16CE63E21FED9E9F3C18CC55D6', '称量瓶', 'n/a', '耗材', NULL, NULL, '50x30', '2023-08-07 15:34:20.000000', '2023-08-10 18:14:05.000000', '1', NULL, '/', NULL, 9, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('4A7352C4D15165C2E6C53BE0990977B5', '097C70D112714524642C73358077F01B', '三氯甲烷', '科隆', '试剂', NULL, NULL, '500ml/瓶', '2023-08-07 15:36:58.000000', '2023-08-10 18:14:05.000000', '1', NULL, '/', NULL, 19, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'GR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('4A8614E4AB4B56BE79C9173A0947CC1C', '7EC164D0733886D977FD0E249D5CB63E', '丙酸酐', '成都艾科', '试剂', NULL, NULL, '98%，500g/瓶', '2023-08-07 15:37:47.000000', '2023-08-10 18:14:05.000000', '1', NULL, '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('4B0ED03A7BAB3C04098E7FEB5130FE61', '58D577E957141BC4F502285116C6139A', '3-环戊基-N-(1-苯乙基哌啶-4-基)-N-苯基丙酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:29.000000', '2023-08-10 18:14:05.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '苯基环戊丙酰基芬太尼', '冷藏贮存', 'GASS-391', '瓶', '3-cyclopentyl-N-(1-phenethylpiperidin-4-yl)-N-phenylpropanamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('4B3CEDF117E66E3BA6F554F45B288505', 'C96C32DAE04B9C8EFC0B928EED1E775F', '试管帽', 'n/a', '耗材', NULL, NULL, 'Φ18', '2023-08-07 15:33:03.000000', '2023-08-10 18:14:05.000000', '1', NULL, '/', NULL, 30, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('4B400147452A4D5E50054DDAAAF6B9E1', '937C05C281CE9A8EF537FF9F260CCBC8', 'ACQUITY UPLC CSH C18', 'Waters', '耗材', NULL, NULL, '2.1*100mm,1.7um', '2023-08-07 15:30:37.000000', '2023-08-10 18:14:05.000000', '1', NULL, '/', NULL, 2, '色谱柱', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('4B9EE04B2B9B074F1E3F06DD87F18F1F', '90358CFF01890738A4DFB2A7C395E672', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)环丁酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:26.000000', '2023-08-10 18:14:05.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对氟苯基环丁甲酰基芬太尼', '冷藏贮存', 'GASS-386', '瓶', 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)cyclobutanecarboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('4CB8FFB7294A8DD519A6235BD6356543', 'E928A6A531739D32149C5153C1392191', '喹啉-8-基1-(5-氟戊基)-1H-吲哚-3-羧酸盐', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:22.000000', '2023-08-10 18:14:05.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '5F-PB-22', '冷藏贮存', 'GASS-039', '瓶', 'quinolin-8-yl 1-(5-fluoropentyl)-1H-indole-3-carboxylate', 1.00, NULL, NULL, '库存不足', 1, NULL, '1400742-41-7', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('4D32D027A6C63E1642263521E944B1F4', '5CD9478AB4B040086EF36B380C9C2B02', 'LG玻板抽滤漏斗', '垒固', '耗材', NULL, NULL, '250ml', '2023-08-07 15:34:32.000000', '2023-08-10 18:14:05.000000', '1', NULL, '/', NULL, 4, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('4D79DF5B857ADA972A6F90F195628425', '01BA4386D218AF388B671914A0E9BB82', '丙二酸二乙酯', '阿拉丁', '试剂', NULL, NULL, '0.99', '2023-08-07 15:36:48.000000', '2023-08-10 18:14:05.000000', '1', NULL, '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('4DD308C1304FE9D7138D131E44AE0286', '6B0F7889C40F7B658FC401EC3614E327', '枪头', 'Sartorius', '耗材', NULL, NULL, '10ml，250个', '2023-08-07 15:36:29.000000', '2023-08-10 18:14:05.000000', '1', NULL, '/', NULL, 6, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('4E6DDC0DE89F5F456EE93368D2F7D648', '6FF7AFD3D325A581BFB8C8CD8D9B4456', '2-(二乙基氨基)-1-苯基戊烷-1-酮', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:30.000000', '2023-08-10 18:14:05.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'N,N-二乙基戊卡西酮盐酸盐', '冷藏贮存', 'GASS-393', '瓶', '2-(diethylamino)-1-phenylpentan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('506BA297ABEDA062C27D109A3AF4B2FB', '67ACFEC45187DDDAB4A3A3362F9FF1FC', 'N-(金刚烷-1-基)-1-(5-氟戊基)-1H-吲哚-3-甲酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:37.000000', '2023-08-10 18:14:06.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '5F-APICA(STS-135)', '冷藏贮存', 'GASS-072', '瓶', 'N-(adamantan-1-yl)-1-(5-fluoropentyl)-1H-indole-3-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '1354631-26-7', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('5074BD48130119E7532CB44E57CEB002', '0138AED6BEFD91FE65F95ECF36BF78D0', '干燥器', 'n/a', '耗材', NULL, NULL, '210mm', '2023-08-07 15:34:21.000000', '2023-08-10 18:14:06.000000', '1', NULL, '/', NULL, 2, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('50A74CC26B0DC5C0C0025C54314363C0', '5DDBFE5597C43CB16ED13AFA749C8449', '2-(2-氯苯基-3,4,5,6-d4) -2-(甲氨基) 环己烷-1-酮', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:41.000000', '2023-08-10 18:14:06.000000', '1', NULL, '/', NULL, 0, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'D4-氯胺酮盐酸盐', '冷藏贮存', 'GASS-459', '瓶', '2-(2-chlorophenyl-3,4,5,6-d4)-2-(methylamino)cyclohexan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('512F56501371CBB0C0BF694590D03ABC', '580898C9034B29502B9F71345441E645', '密封垫', '岛津', '耗材', NULL, NULL, '货号221-48398-91，20个/盒', '2023-08-07 15:30:40.000000', '2023-08-10 18:14:06.000000', '1', NULL, '/', NULL, 1, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('524D6DF49E9BCAE6029E698F4C35561B', '386EC0AE77D5A7DAC3500CBAEC32FC3B', '乙腈', 'Supelco', '试剂', NULL, NULL, '2.5L/瓶', '2023-08-07 15:36:34.000000', '2023-08-10 18:14:06.000000', '1', NULL, '/', NULL, 44, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'LC/MS级');
INSERT INTO `reagent_consumable_inventory` VALUES ('53E5B0BBD09A2CBC3BE0B5665FD10733', 'AEBB5CD9428E71CD109199DD92F869DB', '废液瓶架', 'n/a', '耗材', NULL, NULL, 'n/a', '2023-08-07 15:36:33.000000', '2023-08-10 18:14:06.000000', '1', NULL, '/', NULL, 14, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('53F4C1C7BEB24C2E76E94BEA5ACF3091', '86A2C1E9102EF35C2B0F7A2581687793', '氘代氯仿', 'CIL', '试剂', NULL, NULL, '0.6mLx10,99.8%', '2023-08-07 15:37:43.000000', '2023-08-10 18:14:06.000000', '1', NULL, '/', NULL, 5, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('5514D76AEC7663A8760CEC31E585F840', 'C2A04A64246A7F53DC978CC944529DCB', '梨形分液漏斗', 'n/a', '耗材', NULL, NULL, '10ml', '2023-08-07 15:34:33.000000', '2023-08-10 18:14:06.000000', '1', NULL, '/', NULL, 10, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('57786CBAD67C6778380D009BB777154D', 'B6404D5C5A1E4070B0E98E3D5958019A', '滴管', 'n/a', '耗材', NULL, NULL, '15cm', '2023-08-07 15:30:56.000000', '2023-08-10 18:14:06.000000', '1', NULL, '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('581908AA4FC444D214EBB652C18FB1FF', '645FBBBDD5DC8BB2FF48C2BCC739F3B5', '甲醇', 'Supelco', '试剂', NULL, NULL, '4L/瓶', '2023-08-07 15:36:40.000000', '2023-08-10 18:14:06.000000', '1', NULL, '/', NULL, 42, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('583FA83A04ED711D3E366C8F6F20FA78', '34C5C274AE4268C7992F2E638D12411B', '药匙', 'n/a', '耗材', NULL, NULL, '3x1', '2023-08-07 15:33:01.000000', '2023-08-10 18:14:06.000000', '1', NULL, '/', NULL, 8, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '套', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('58E611FD37907DC6317E118990C15D3F', '30FE3DCECE20E17E9CE9AA4727BA06C3', '单凹片载玻片', 'SAIL BRAND', '耗材', NULL, NULL, '25.4x76.2mm，50片，7103', '2023-08-07 15:36:28.000000', '2023-08-10 18:14:06.000000', '1', NULL, '/', NULL, 3, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('5AFD18F1A777C35598D6FAB9FBECDBD6', '2C18ACB96AB51A52715C2ADE1C81C222', 'N-(1-氨基-3-甲基-1-氧代丁-2-基) -1-戊基-1H-吲唑-3-甲酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:26.000000', '2023-08-10 18:14:06.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'AB-PINACA', '冷藏贮存', 'GASS-045', '瓶', 'N-(1-amino-3-methyl-1-oxobutan-2-yl)-1-pentyl-1H-indazole-3-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '1445583-20-9', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('5BAD68C61BDD25810D606D47EE9E9259', '56C7E762DC86C51F1672E018277D71DA', '药匙', 'n/a', '耗材', NULL, NULL, '16cm', '2023-08-07 15:33:01.000000', '2023-08-10 18:14:06.000000', '1', NULL, '/', NULL, 6, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('5BC78E8AFA8F74DA3C468000BD4677F2', 'BE96A715FDC204E634C5563DAC5F9EF6', '保鲜自封袋6号', '苹果', '耗材', NULL, NULL, '120x170mm', '2023-08-07 15:30:22.000000', '2023-08-10 18:14:06.000000', '1', NULL, '/', NULL, 100, '普通耗材', '100', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('5C85DB5943A5E2FD007398EB644A7F6E', '94024C15BFFC7FF29AE0106E26BC5C1E', '丙酸酐', '麦克林', '试剂', NULL, NULL, '98%,500g/瓶', '2023-08-07 15:37:46.000000', '2023-08-10 18:14:06.000000', '1', NULL, '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('5D4D5F21BD4A5A4B77F184065E2F6BB1', '093AE0B83CF8020566FCC027799E9B4C', '塑料吸管', 'n/a', '耗材', NULL, NULL, '1ml，100支/袋', '2023-08-07 15:33:08.000000', '2023-08-10 18:14:06.000000', '1', NULL, '/', NULL, 10, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '袋', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('5DE4C4D9CBE15B2DE5EEEE74215659DC', '00451C90D70615792C4B1C81FD6020C4', '进样小瓶盖', '安捷伦', '耗材', NULL, NULL, '2ml,5182-0717，100个/包', '2023-08-07 15:34:23.000000', '2023-08-10 18:14:06.000000', '1', NULL, '/', NULL, 19, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('5E4B8A83611EC34F7E84B91F66A64BE4', 'A602CD90C468292D419C6497141A237D', '5-氯-N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)戊酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:16.000000', '2023-08-10 18:14:06.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对甲苯基5-氯戊酰基芬太尼', '冷藏贮存', 'GASS-369', '瓶', '5-chloro-N-(1-phenethylpiperidin-4-yl)-N-(ptolyl)pentanamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('5EB2C6E23790D70BA97DA43C58546E1D', '4CCAD38510D9C269B4DC4954AB09BFA5', '移液管', 'MC', '耗材', NULL, NULL, '20ml', '2023-08-07 15:30:46.000000', '2023-08-10 18:14:06.000000', '1', NULL, '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('5EBD2D428DE742E6EBED393E63C40BC5', 'CB48DFDD8C8237B1DC52340E130D73C2', '乙腈', 'OCEANPAK', '试剂', NULL, NULL, '4L/瓶', '2023-08-07 15:36:43.000000', '2023-08-10 18:14:06.000000', '1', NULL, '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('5F06EE79C5BEA8860080CBB74802497F', '6B7E6B64D85254C10C554F8020FA2647', '盐酸', '西陇', '试剂', NULL, NULL, '500ml/瓶', '2023-08-07 15:37:48.000000', '2023-08-10 18:14:06.000000', '1', NULL, '/', NULL, 4, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('5F2349E317E1488B460F34DF70C073C0', 'D26EDE6A9C060186AB7B052AB07AA2D6', '(1-(4-氟苄基)-1H-吲哚-3-羰基)缬氨酸甲酯', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:54.000000', '2023-08-10 18:14:06.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'AMB-FUBICA', '冷藏贮存', 'GASS-275', '瓶', 'methyl(1-(4-fluorobenzyl)-1H-indole-3-carbonyl)valinate', 1.00, NULL, NULL, '库存不足', 1, NULL, '1971007-90-5', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('5F9EABD885A7E3FA3E4E9BC1D83B02E0', '83DB90812F611E9FBBB0F881B8FA751D', '橡皮吸球', 'n/a', '耗材', NULL, NULL, '10ml', '2023-08-07 15:32:59.000000', '2023-08-10 18:14:07.000000', '1', NULL, '/', NULL, 13, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('60EA12A9A5DDC698D45B918A1DA30A23', 'ABBF962315BB9B580B63A7323AAB1AED', 'DCC , N,N\'-二环己基碳二亚胺', '阿拉丁', '试剂', NULL, NULL, '99%, 100g/瓶', '2023-08-07 15:37:59.000000', '2023-08-10 18:14:07.000000', '1', NULL, '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, '538-75-0', 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('61E758A564D3FB3EBE040BB902C9908C', 'FC804628C6F60382F1CDD5ABF9FE13C3', '2-(1-(5-氟戊基)-1H-吲唑-3-甲酰胺)-3,3-二甲基丁酸甲酯', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:40.000000', '2023-08-10 18:14:07.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '5F-ADB', '冷藏贮存', 'GASS-078', '瓶', 'methyl 2-(1-(5-fluoropentyl)-1H-indazole-3-carboxamido)-3,3-dimethylbutanoate', 1.00, NULL, NULL, '库存不足', 1, NULL, '1715016-75-3', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('62344A39AC021A55F73FF0394725AFDE', 'DC52185FFE7F26B8CB0D15188B1C4266', '2-((二甲基氨基)甲基)-1-(3-甲氧基苯基-2,4,5,6-d4)环己烷-1-醇', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:39.000000', '2023-08-10 18:14:07.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'D4-曲马多盐酸盐', '冷藏贮存', 'GASS-453', '瓶', '2-((dimethylamino)methyl)-1-(3-methoxyphenyl-2,4,5,6-d4)cyclohexan-1-ol', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('62899DD33584C40B92571EDC0658AF70', '47026962CA347D98D85ECFCB4E6C64CB', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)丁酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:17.000000', '2023-08-10 18:14:07.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对甲苯基正丁酰基芬太尼', '冷藏贮存', 'GASS-371', '瓶', 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)butyramide', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('631314CDF9F0808DC4CA1AC320B7FE44', '0EC1ACC0A649166388D2C1FA8C9930DF', '(2-甲基-1-丙基-1H-吲哚-3-基)(萘-1-基)甲酮', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:32.000000', '2023-08-10 18:14:07.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'JWH-015', '冷藏贮存', 'GASS-059', '瓶', '(2-methyl-1-propyl-1H-indol-3-yl)(naphthalen-1-yl)methanone', 1.00, NULL, NULL, '库存不足', 1, NULL, '155471-08-2', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('6373FED4C448659F9C2DD717A8850A04', '159F8B42C9CC4F96D2137507A40F6481', '梨形分液漏斗', 'Bomex', '耗材', NULL, NULL, '60ml', '2023-08-07 15:34:34.000000', '2023-08-10 18:14:07.000000', '1', NULL, '/', NULL, 9, '普通耗材', '2', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('63796ECD414B41A0FE075D014E42DA6A', 'E388F04926F2F731AA2C8F69C9A0783A', '氘代DMSO', 'CIL', '试剂', NULL, NULL, '0.6mLx10,99.8%', '2023-08-07 15:37:34.000000', '2023-08-10 18:14:07.000000', '1', NULL, '/', NULL, 8, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('645E3B7E3F678FC181AE1AFE27111C35', '657DD8500E6ED23D735247F437F970E0', '定量滤纸', '双联牌', '耗材', NULL, NULL, '7cm,快速', '2023-08-07 15:34:48.000000', '2023-08-10 18:14:07.000000', '1', NULL, '/', NULL, 19, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('64B16102ACD59AEE964BB265180554ED', '39D02BD5F462924DC30BC18405917852', '塑料吸管', 'n/a', '耗材', NULL, NULL, '0.2ml，500支/袋', '2023-08-07 15:33:09.000000', '2023-08-10 18:14:07.000000', '1', NULL, '/', NULL, 4, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '袋', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('6541864C32DA61EBA80D8C297C88C406', 'A07E18E5D70597299619CCAD5AC571DD', '1-(4-甲氧基苯基)-N-甲基丙-2-胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:17.000000', '2023-08-10 18:14:07.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'PMMA盐酸盐', '冷藏贮存', 'GASS-017', '瓶', '1-(4-methoxyphenyl)-N-methylpropan-2-amine', 1.00, NULL, NULL, '库存不足', 1, NULL, '22331-70-0', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('6632A407EC3F054B0C1DEEE2EFD62C0F', '8977B20F5BB5DAA92F0E823D2FAB3E3E', '7-溴-5-(2-氯苯基)-1,3-二氢-2H-苯并[e][1,4]二氮杂-2-酮', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:18.000000', '2023-08-10 18:14:07.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'Phenazepam(芬纳西洋)', '冷藏贮存', 'GASS-018', '瓶', '7-bromo-5-(2-chlorophenyl)-1,3-dihydro-2H-benzo[e][1,4]diazepin-2-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '51753-57-2', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('66AE545C0E0CEEE55395531B9EC95FB9', '8C191CF2585FE5C1378242661925FB93', '磷酸', 'Sigma-Aldrich', '试剂', NULL, NULL, '0.85', '2023-08-07 15:36:37.000000', '2023-08-10 18:14:07.000000', '1', NULL, '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('67176A19B94BA8BC86E018D86F874B28', 'C145040CE040D4C85211CA52CB3CC0DC', '1-(苯并[d][1,3]二羟基-5-基)-2-(吡咯烷-1-基)戊-1-酮', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:45.000000', '2023-08-10 18:14:07.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'MDPV(盐酸盐)', '冷藏贮存', 'GASS-162', '瓶', '1-(benzo[d][1,3]dioxol-5-yl)-2-(pyrrolidin-1-yl)pentan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '24622-62-6', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('6793B039B096711B4F17C046154891E5', 'D906882CCB6D3BDD0C4E5091799A92C5', '2-(1-(5-氟戊基)-1H-吲唑-3-甲酰胺-4,5,6,7-d4)-3,3-二甲基丁酸甲酯', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:45.000000', '2023-08-10 18:14:07.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'D4-5F-ADB', '冷藏贮存', 'GASS-503', '瓶', 'methyl 2-(1-(5-fluoropentyl)-1H-indazole-3-carboxamido-4,5,6,7-d4)-3,3-dimethylbutanoate', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('6794CF6BD57806BA6767C32FCE13C04D', '7E80878D5E0D954D2AEE126884C2993F', 'ACQUITY UPLC ENH HILIC ', 'Waters', '耗材', NULL, NULL, '2.1*100mm,1.7um', '2023-08-07 15:30:36.000000', '2023-08-10 18:14:07.000000', '1', NULL, '/', NULL, 6, '色谱柱', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('6840E4FABAEC166DA73D89D34C1F8A95', '76C6B4AF93EF1172D28D191A9E64AF15', '正己烷', 'Supelco', '试剂', NULL, NULL, '4L/瓶', '2023-08-07 15:36:36.000000', '2023-08-10 18:14:07.000000', '1', NULL, '/', NULL, 4, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('6876DF3FD8FE536131B731250D92867E', '5383BC09A87CEFD4C74A2FF9A0094C26', '一次性塑料烧杯', 'n/a', '耗材', NULL, NULL, '250ml', '2023-08-07 15:34:29.000000', '2023-08-10 18:14:07.000000', '1', NULL, '/', NULL, 10, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('6A25EA5B63DDDF0FA28F88C5D6F74073', '261C5B5984AC428C77EB0C536CDA2A5F', 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(4-氟苄基)-1H-吲唑-3-甲酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:02.000000', '2023-08-10 18:14:07.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'AB-FUBICA', '冷藏贮存', 'GASS-316', '瓶', 'N-(1-amino-3-methyl-1-oxobutan-2-yl)-1-(4-fluorobenzyl)-1H-indole-3-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '1801338-22-6', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('6A4346E526F75F504FF07D9422D7A90E', '408572A0E4C84F071F52CD183C13DA42', '(1-(4-氟苄基)-1H-吲唑-3-羰基)缬氨酸甲酯', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:37.000000', '2023-08-10 18:14:07.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'AMB-FUBINACA', '冷藏贮存', 'GASS-074', '瓶', 'methyl(1-(4-fluorobenzyl)-1H-indazole-3-carbonyl)valinate', 1.00, NULL, NULL, '库存不足', 1, NULL, '1715016-76-4', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('6B311D2A51F2D6A4E36B49FC89201B0A', '9396F543C77820618010FA65A5F01361', 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基)-1-丁基-1H-吲唑-3-甲酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:56.000000', '2023-08-10 18:14:07.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'ADB-BUTINACA', '冷藏贮存', 'GASS-295', '瓶', 'N-(1-amino-3,3-dimethyl-1-oxobutan-2-yl)-1-butyl-1H-indazole-3-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '2682867-55-4', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('6BF9BDC6E54047643EC1FFDE6BD3564C', '8F2037D60AB31DFD078753FAB8D6DCF1', '自吸过滤式防毒面具', '唐丰', '耗材', NULL, NULL, 'TF503型', '2023-08-07 15:34:12.000000', '2023-08-10 18:14:07.000000', '1', NULL, '/', NULL, 8, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('6CC49AD87FF879D486196E722201338E', '999681DC86C595D8595BF0584E9B1D45', '牛皮纸物证袋', 'n/a', '耗材', NULL, NULL, '50*30cm', '2023-08-07 15:30:28.000000', '2023-08-10 18:14:08.000000', '1', NULL, '/', NULL, 190, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('6CDCBA60F535BE6176C421442ADFE589', 'C87A6D17F7BA87713673518034100249', 'N-(1-苯乙基哌啶-4-基)-N-苯基呋喃-2-甲酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:42.000000', '2023-08-10 18:14:08.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '呋喃芬太尼', '冷藏贮存', 'GASS-095', '瓶', 'N-(1-phenethylpiperidin-4-yl)-N-phenylfuran-2-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '101345-66-8', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('6E165AB62108CAD71A3F4CD41D1DA535', 'A1C0DC9BA7332C79FC40EBA95618FC53', 'O型圈', '安捷伦', '耗材', NULL, NULL, '货号5188-5365，10个/盒', '2023-08-07 15:30:41.000000', '2023-08-10 18:14:08.000000', '1', NULL, '/', NULL, 5, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('6E629920EA59F76170C1D34AB4308651', '244998CCBE0453045562B3AD2DB7A716', '容量瓶', 'Brand', '耗材', NULL, NULL, '25ml', '2023-08-07 15:33:24.000000', '2023-08-10 18:14:08.000000', '1', NULL, '/', NULL, 36, '普通耗材', '2', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('6FB40C6E697804CD2E03A22496D9FE80', '4270653BDC5653B68C477AFA61D876D3', '保鲜自封袋4号', '苹果', '耗材', NULL, NULL, '85x120mm', '2023-08-07 15:30:23.000000', '2023-08-10 18:14:08.000000', '1', NULL, '/', NULL, 100, '普通耗材', '100', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('718A3993C174415BCA3935D3A70D6A0E', 'F6075C5465F08741B67B9BEF24E06FFE', '(1-(5-氟戊基)-1H-吲唑-3-羰基)缬氨酸甲酯', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:20.000000', '2023-08-10 18:14:08.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '5F-AMB', '冷藏贮存', 'GASS-037', '瓶', 'methyl (1-(5-fluoropentyl)-1H-indazole-3-carbonyl)valinate', 1.00, NULL, NULL, '库存不足', 1, NULL, '1715016-74-2', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('7223CB915C2C025FCE968C9C46ACED2D', '5B26611EE22809F1BE2B86C544667972', 'N-(金刚烷-1-基)-1-戊基-1H-吲哚-3-甲酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:29.000000', '2023-08-10 18:14:08.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'APICA', '冷藏贮存', 'GASS-051', '瓶', 'N-(adamantan-1-yl)-1-pentyl-1H-indole-3-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '1345973-50-3', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('72888BBAEB536DF421C81FAC47CFBCB5', '67A72C92BDEF045C37D12F41D45F7CCC', '血清移液管', 'n/a', '耗材', NULL, NULL, '50ml', '2023-08-07 15:30:52.000000', '2023-08-10 18:14:08.000000', '1', NULL, '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('735E7E6EA3324440A4679DC9CBDFDB08', '8D2CB0670EA47879AABDCEEC9418046B', '玻璃冻存管', 'n/a', '耗材', NULL, NULL, '棕色，5ml', '2023-08-07 15:32:52.000000', '2023-08-10 18:14:08.000000', '1', NULL, '/', NULL, 19, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('739A80444BA1FFA023808CA5D1DD3239', '66E6C5C91E19DE089F69D239A20E5F3E', '2-苯基-2-(哌啶-2-基)乙酸甲酯', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:01.000000', '2023-08-10 18:14:08.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '哌甲酯盐酸盐', '冷藏贮存', 'GASS-314', '瓶', 'methyl 2-phenyl-2-(piperidin-2-yl)acetate', 1.00, NULL, NULL, '库存不足', 1, NULL, '20748-11-2', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('74023CB23D1E905DD3145D2D4FD824C5', '9B70DD1BCA13D99297FBD7193A198501', '二氯甲烷', '科密欧', '试剂', NULL, NULL, '500ml/瓶', '2023-08-07 15:36:47.000000', '2023-08-10 18:14:08.000000', '1', NULL, '/', NULL, 5, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('74A942912A50D34BE2FF21972F91D3A0', 'D0E6030C914F0689875B7AB1F5DC42FF', '4-氟氯苄', '阿拉丁', '试剂', NULL, NULL, '98%，25g/瓶', '2023-08-07 15:37:56.000000', '2023-08-10 18:14:08.000000', '1', NULL, '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, '352-11-4', 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('74B50958C67CC0FFDF106C9DDB5D18D4', '7D5B5A8D49B6658390DB107F299BC0D8', 'N-(金刚烷-1-基)-1-(4-氟苄基)-1H-吲唑-3-甲酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:38.000000', '2023-08-10 18:14:08.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'FUB-APINACA', '冷藏贮存', 'GASS-075', '瓶', 'N-(adamantan-1-yl)-1-(4-fluorobenzyl)-1H-indazole-3-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '2180933-90-6', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('75E34653B5A24F8497DE6E545EA5FAFD', '8C158B1C740A3D4C869D05C5A1F6FE69', '一次性使用无菌注射器 带针', '治宇', '耗材', NULL, NULL, '1ml，200支/盒', '2023-08-07 15:34:22.000000', '2023-08-10 18:14:08.000000', '1', NULL, '/', NULL, 3, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('76002A424A8EE3E6A437F242EE7E3BE4', 'D3BD4889B2F18F48E4289B1E87462AE3', '1-(3-氯苯基)-2-(吡咯烷-1-基) 丙-1-酮', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:10.000000', '2023-08-10 18:14:08.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'N-环丁基-间氯-卡西酮盐酸盐', '冷藏贮存', 'GASS-336', '瓶', '1-(3-chlorophenyl)-2-(pyrrolidin-1-yl)propan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '1152959-71-1', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('76EEC9D73AB357084EC104E62BD92D4A', 'A7FE683CAB26AD84E7736B9C31764CC6', '(1-(5-氟戊基)-1H-吲哚-3-羰基)缬氨酸甲酯', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:51.000000', '2023-08-10 18:14:08.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '5F-AMB-PICA', '冷藏贮存', 'GASS-262', '瓶', 'methyl(1-(5-fluoropentyl)-1H-indole-3-carbonyl)valinate', 1.00, NULL, NULL, '库存不足', 1, NULL, '1971007-87-0', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('7707BDC9A4A766A3C22CB498C95C368D', '15CDC53B9DAAFF18CC4126301C8DF93C', '2-(二乙基氨基)-1-苯基丙-1-酮', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:06.000000', '2023-08-10 18:14:08.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '安非拉酮盐酸盐', '冷藏贮存', 'GASS-330', '瓶', '2-(diethylamino)-1-phenylpropan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '134-80-5', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('7724DAEA32E995510233203B1432FFE5', '22631C128F2618E71FA23F2B95C06906', 'N-(金刚烷-1-基)-1-(5-氟戊基)-1H-吲唑-3-甲酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:21.000000', '2023-08-10 18:14:08.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '5F-APINACA', '冷藏贮存', 'GASS-038', '瓶', 'N-(adamantan-1-yl)-1-(5-fluoropentyl)-1H-indazole-3-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '1400742-13-3', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('7821E11D4DA6EF1F95128BD3747A9606', '08EFB9FAE59FEEB33E5FA1B96E03DAB5', '(1-(5-氟戊基)-1H-吲哚-3-羰基)缬氨酸乙酯', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:59.000000', '2023-08-10 18:14:08.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '5F-EMB-PICA', '冷藏贮存', 'GASS-308', '瓶', 'ethyl(1-(5-fluoropentyl)-1H-indole-3-carbonyl)valinate', 1.00, NULL, NULL, '库存不足', 1, NULL, '2648861-83-8', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('7A8376176B5517417254168CD5F887CF', '891DBDCA9192734D8CB0FEC3393E3D5E', '移液枪', 'Sartorius', '耗材', NULL, NULL, '1-10ml', '2023-08-07 15:32:54.000000', '2023-08-10 18:14:08.000000', '1', NULL, '/', NULL, 2, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('7BC86B864E1B7F03C8229B6C905142C1', '68319C85F4B05AD9E68A9482D74AF25B', 'TBTU, O-苯并三氮唑-N,N,N\',N\'-四甲基脲四氟硼酸酯', '阿拉丁', '试剂', NULL, NULL, '98%, 100g/瓶', '2023-08-07 15:38:03.000000', '2023-08-10 18:14:08.000000', '1', NULL, '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, '125700-67-6', 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('7C806FC8612149284DD350715FB7E7FA', '8834DF0D0CFF50BE539811B7AB6C70FC', '孕酮', 'VETEC', '试剂', NULL, NULL, '25g/瓶,98%', '2023-08-07 15:37:42.000000', '2023-08-10 18:14:08.000000', '1', NULL, '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'RG');
INSERT INTO `reagent_consumable_inventory` VALUES ('7DC2C9E09F6EF1DAAC553EBEFD00E932', '8ABD543384FBB5A8BC2C732B6CD2B1E8', '点样毛细管', '垒固', '耗材', NULL, NULL, '0.3x1000，1000支', '2023-08-07 15:36:31.000000', '2023-08-10 18:14:08.000000', '1', NULL, '/', NULL, 36, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('7E1D02BC84EE8D6E9E0D470AB43811F9', '78A9C291BA501412D1C03B73C3086CFF', '氨水', '沪试', '试剂', NULL, NULL, '500ml/瓶', '2023-08-07 15:37:28.000000', '2023-08-10 18:14:08.000000', '1', NULL, '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('7E5EE591497E0DD54C5DE83ACC58221B', '4DAA90811B2EF1EE4000DE16710EDBB4', '定性滤纸', '皎洁', '耗材', NULL, NULL, '12.5cm，中速', '2023-08-07 15:36:25.000000', '2023-08-10 18:14:09.000000', '1', NULL, '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('7E80184AFA3A40B53F59288F5B774A5B', '2DD4DBF5D49052B198CB67B0E13C55B6', '二甲基砜', 'Sigma-Aldrich', '试剂', NULL, NULL, '100g/瓶', '2023-08-07 15:36:38.000000', '2023-08-10 18:14:09.000000', '1', NULL, '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('7EBEB06A5FD50E321BC35B6747D5E994', '755876214A9224FA7D03F90EFAE0F20F', '移液管', 'MC', '耗材', NULL, NULL, '50ml', '2023-08-07 15:30:45.000000', '2023-08-10 18:14:09.000000', '1', NULL, '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('7ECBA4E3714B858D62362492F11E0804', '26FD5D4345BE687447D224C88131A9E5', '(1-(2-吗啉乙基)-1H-吲哚-3-基)(2,2,3,3-四甲基环丙基)甲酮', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:23.000000', '2023-08-10 18:14:09.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'A-796,260', '冷藏贮存', 'GASS-041', '瓶', '(1-(2-morpholinoethyl)-1H-indol-3-yl)(2,2,3,3-tetramethylcyclopropyl)methanone', 1.00, NULL, NULL, '库存不足', 1, NULL, '895155-26-7', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('7ED88E1FFCF851C2BF5A5B5123C3A607', 'C64DDBDF0F73927C2FDB6B2889DA3E85', '镊子', 'n/a', '耗材', NULL, NULL, '直头，12.5cm', '2023-08-07 15:33:05.000000', '2023-08-10 18:14:09.000000', '1', NULL, '/', NULL, 9, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('812FD9AA93AB314B0818E240F83511F0', 'EF4C6C13D202527FEFF066275392DF12', '1-(4-氰基丁基)-N-(2-苯基丙-2-基)-1H-吲唑-3-甲酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:52.000000', '2023-08-10 18:14:09.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '4CN-CUMYL-BUTINACA', '冷藏贮存', 'GASS-265', '瓶', '1-(4-cyanobutyl)-N-(2-phenylpropan-2-yl)-1H-indazole-3-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '1631074-54-8', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('816D6AAF603D9088D5949C0AC1CEB43C', '6F45EFAE20080A630E6FA1236E900B45', '乙酸铵', 'Sigma-Aldrich', '试剂', NULL, NULL, '32301-500g/瓶，98%', '2023-08-07 15:37:38.000000', '2023-08-10 18:14:09.000000', '1', NULL, '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'ACS级');
INSERT INTO `reagent_consumable_inventory` VALUES ('8194A233187D83F7A0BB190745B68ECA', 'B6F28EC8303DA17134FC584FB7F4C581', '无水硫酸镁', '科密欧', '试剂', NULL, NULL, '500g/瓶', '2023-08-07 15:36:54.000000', '2023-08-10 18:14:09.000000', '1', NULL, '/', NULL, 5, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('8285DDD524F3E12FA88B73C6BEB336F3', 'D511AE7925D0107021DDB425B9ABB37E', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)丁酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:41.000000', '2023-08-10 18:14:09.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '4-氟丁酰芬太尼', '冷藏贮存', 'GASS-090', '瓶', 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)butyramide', 1.00, NULL, NULL, '库存不足', 1, NULL, '244195-31-1', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('82E9BCD2564582DD7F9243CA7999A45C', 'E4BD4B753267A68A5E80DCD96784D510', '2-(乙基氨基) -2-苯基环已烷-1-酮', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:50.000000', '2023-08-10 18:14:09.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '去氯乙基氯胺酮盐酸盐', '冷藏贮存', 'GASS-510', '瓶', '2-(ethylamino)-2-phenylcyclohexan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '4551-92-2', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('835A3F584CA5AA73E82877317ABA6E82', '02E83D37D5EE01F4F5D57343278C197E', '氘代甲醇', 'CIL', '试剂', NULL, NULL, '50ml', '2023-08-07 15:37:33.000000', '2023-08-10 18:14:09.000000', '1', NULL, '/', NULL, 3, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('837BE1DFAF3760CFF36CDECDF997454D', 'E66D708FEDB4F6A42EF5FB86C610DAFB', '2-(4-氯-2,5-二甲氧基苯基)-N-(2-甲氧基苄基)乙烷-1-胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:36.000000', '2023-08-10 18:14:09.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'N-乙胺', '冷藏贮存', 'GASS-409', '瓶', '2-(4-chloro-2,5-dimethoxyphenyl)-N-(2-methoxybenzyl)ethan-1-amine', 1.00, NULL, NULL, '库存不足', 1, NULL, '1227608-02-7', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('84ACBAF91044C57406C0BD690EA8EBF7', 'E4A0B37AE6E950F5E992CE86B146D033', 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基) -1-戊基-1H-吲哚-3-甲酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:27.000000', '2023-08-10 18:14:09.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'ADBICA', '冷藏贮存', 'GASS-046', '瓶', 'N-(1-amino-3,3-dimethyl-1-oxobutan-2-yl)-1-pentyl-1H-indole-3-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '1445583-48-1', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('84BBD6F82D391A8ADD6A35338E3887CF', 'E9599A672B8C39177D398EB0B68492E6', '(1-(环己基甲基)-1H-吲哚-3-羰基)缬氨酸甲酯', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:40.000000', '2023-08-10 18:14:09.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'AMB-CHMICA', '冷藏贮存', 'GASS-079', '瓶', 'methyl(1-(cyclohexylmethyl)-1H-indole-3-carbonyl)valinate', 1.00, NULL, NULL, '库存不足', 1, NULL, '1971007-94-9', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('853133C348698F18B83E6F8380DCDC49', '82D031CABCC56E264C214B6D19240862', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基) 环己烷甲酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:26.000000', '2023-08-10 18:14:09.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对氟苯基环己甲酰基芬太尼', '冷藏贮存', 'GASS-385', '瓶', 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)cyclohexanecarboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('85451397FA0F937035DF0E2C7F125EC4', 'B4BCA3133D5AA0757BB68637EA5613B0', '喹啉-8-基-1-(4-氟苄基)-1H-吲哚-3-羧酸盐', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:32.000000', '2023-08-10 18:14:09.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'FUB-PB-22', '冷藏贮存', 'GASS-057', '瓶', 'quinolin-8-yl 1-(4-fluorobenzyl)-1H-indole-3-carboxylate', 1.00, NULL, NULL, '库存不足', 1, NULL, '1800098-36-5', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('859AD82429A9D9586E3049D08077C84E', '1874C3A1B77EC9AB11ED002E55595113', '1-(苯并[d][1,3]二羟基-5-基)-N-乙基丙-2-胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:03.000000', '2023-08-10 18:14:09.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'MDEA', '冷藏贮存', 'GASS-325', '瓶', '1-(benzo[d][1,3]dioxol-5-yl)-N-ethylpropan-2-amine', 1.00, NULL, NULL, '库存不足', 1, NULL, '74341-78-9', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('85D5DB5CC95D4975D3CA3FEAF436B591', 'C66863AC82EF4A07EAA60AD79F4CA465', '滴管', 'n/a', '耗材', NULL, NULL, '10cm', '2023-08-07 15:30:55.000000', '2023-08-10 18:14:09.000000', '1', NULL, '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('86A218A872030C37C39FC14C955E4297', '83B2967F3EC3DD6D2BB850D652872E56', '滴管', 'n/a', '耗材', NULL, NULL, '9cm', '2023-08-07 15:30:54.000000', '2023-08-10 18:14:09.000000', '1', NULL, '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('873522A86DC323452C5016BAF2F28040', 'BCFEC7D0419DE459480002B8A3A69D65', '乙酸', '科密欧', '试剂', NULL, NULL, '500ml/瓶', '2023-08-07 15:37:49.000000', '2023-08-10 18:14:09.000000', '1', NULL, '/', NULL, 9, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('882CE8A94AD10E93EDD8A2BDB5F50F7B', 'AA6C3882132A2983116C9735C6BD95A0', '称量纸', 'n/a', '耗材', NULL, NULL, '10cm', '2023-08-07 15:34:15.000000', '2023-08-10 18:14:09.000000', '1', NULL, '/', NULL, 30, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('889B89DCE0FCACF216D1FABB536215BB', '811A7A72E40A42BA2BAD71E4ED30C738', '镊子', 'n/a', '耗材', NULL, NULL, '直头，20cm', '2023-08-07 15:33:06.000000', '2023-08-10 18:14:09.000000', '1', NULL, '/', NULL, 2, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('894396490F0069745020D701A0B9D82A', '3566C17A2D82E8258AC1B19F059F4FEB', 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基)-1-(环己基甲基)-1H-吲唑-3-甲酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:39.000000', '2023-08-10 18:14:09.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'ADB-CHMINACA', '冷藏贮存', 'GASS-076', '瓶', 'N-(1-amino-3,3-dimethyl-1-oxobutan-2-yl)-1(cyclohexylmethyl)-1H-indazole-3-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '1863065-92-2', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('899D734EEFD9D0D03CB8B54B01B4EE67', '14F5942E8362EAA99DDED5E2E5E9D56B', '2-(1-(5-氟戊基)-1H-吲哚-3-甲酰胺)-3,3-二甲基丁酸乙酯', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:57.000000', '2023-08-10 18:14:09.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '5F-EDMB-PICA', '冷藏贮存', 'GASS-296', '瓶', 'ethyl 2-(1-(5-fluoropentyl)-1H-indole-3-carboxamido)-3,3-dimethylbutanoate', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('8A286DBD89B73EB5443EE6B822262036', 'DA065C1395A411DC7E5E404BBBCE0C51', '枪头', 'sartorius', '耗材', NULL, NULL, '10ul', '2023-08-07 15:34:53.000000', '2023-08-10 18:14:09.000000', '1', NULL, '/', NULL, 3, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('8C082C73A08DB84FDE4C86BBE3FDD54F', 'A6D963CC89ADB78DABECE98D6D2D2E6C', '3-(2-(二甲基氨基)乙基)-1H-吲哚-4-醇', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:48.000000', '2023-08-10 18:14:09.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '赛洛新', '冷藏贮存', 'GASS-198', '瓶', '3-(2-(dimethylamino)ethyl)-1H-indol-4-ol', 1.00, NULL, NULL, '库存不足', 1, NULL, '520-53-6', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('8C69C8142D29F2B51291C22DB9BBB019', '59D0BEABC8813D08CF9737F36B2251BA', '容量瓶', 'Bomex', '耗材', NULL, NULL, '250ml', '2023-08-07 15:33:27.000000', '2023-08-10 18:14:09.000000', '1', NULL, '/', NULL, 11, '普通耗材', '6', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('8CA04A6ECEC74FF1359464D41A7E9FE8', 'C81F5EC79A5B1F5EDD3805E95D52367C', '塑料离心管', 'n/a', '耗材', NULL, NULL, '8ml,，225支/袋', '2023-08-07 15:33:12.000000', '2023-08-10 18:14:10.000000', '1', NULL, '/', NULL, 1, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '袋', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('8D6F674AE0014B688D7736D23F141E48', 'F68F485D766F3EF2C0FD5E50F027EBB6', '2-(1-丁基-1H-吲唑-3-甲酰胺) -3,3-二甲基丁酸', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:45.000000', '2023-08-10 18:14:10.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'ADB-BUTINACA代谢物', '冷藏贮存', 'GASS-502', '瓶', '2-(1-butyl-1H-indazole-3-carboxamido)-3,3-dimethylbutanoic acid', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('8DE4016B78636604986862C527FD77BD', '9334C44D69094F5AA82C90F54D48E5E9', 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(5-氟戊基)-1H-吲哚-3-甲酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:18.000000', '2023-08-10 18:14:10.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '5F-ABICA', '冷藏贮存', 'GASS-034', '瓶', 'N-(1-amino-3-methyl-1-oxobutan-2-yl)-1-(5-fluoropentyl)-1H-indole-3-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '1801338-26-0', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('8E38A8F79305ECC17FE2ADC0603EDF3B', 'E43F52B0A0A8CBE7C49A6B6C7851805D', '石油醚', '利安隆博华', '试剂', NULL, NULL, '500ml/瓶', '2023-08-07 15:36:49.000000', '2023-08-10 18:14:10.000000', '1', NULL, '/', NULL, 40, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('8EE8E57A34A40A8E0EF17A0199E7671A', '011FBCC5A6AFA1EA0B5183602C7D111C', '移液枪', 'Sartorius', '耗材', NULL, NULL, '500-5000ul', '2023-08-07 15:32:54.000000', '2023-08-10 18:14:10.000000', '1', NULL, '/', NULL, 1, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('8F6235A75414AAE2FF21693656141468', '1A2AC0B294AD15545243F05ABD339F66', '2-(1-(环己基甲基)-1H-吲哚-3-甲酰胺)-3,3-二甲基丁酸甲酯', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:34.000000', '2023-08-10 18:14:10.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'MDMB-CHMICA', '冷藏贮存', 'GASS-067', '瓶', 'methyl2-(1-(cyclohexylmethyl)-1H-indole-3-carboxamido)-3,3-dimethylbutanoate', 1.00, NULL, NULL, '库存不足', 1, NULL, '1971007-95-0', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('8FB395CF7AD2797EE340B1D0E6B02831', '40372C676C35B084563EBB2269A0D194', '1-(4-溴苯基)-2-(吡咯烷-1-基)丙-1-酮', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:05.000000', '2023-08-10 18:14:10.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'N-环丁基-对溴-卡西酮盐酸盐', '冷藏贮存', 'GASS-329', '瓶', '1-(4-bromophenyl)-2-(pyrrolidin-1-yl)propan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '1152859-02-3', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('8FE3706AB1DE067AE3FA8E9287EA9035', 'A3A350FDCB68F50E43B15C4354FECC6B', '氯化钠', '科密欧', '试剂', NULL, NULL, '500g/瓶', '2023-08-07 15:36:55.000000', '2023-08-10 18:14:10.000000', '1', NULL, '/', NULL, 11, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('8FEB7D9AE3DCFDF91776079C6DAD7F73', '64BC7D5FA7983FF6479F0C92470626AB', '药匙', 'n/a', '耗材', NULL, NULL, '20cm', '2023-08-07 15:33:02.000000', '2023-08-10 18:14:10.000000', '1', NULL, '/', NULL, 5, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('90307EBDE9DEC23F2A04D0996EA41439', 'D688CC69822A3A7F2B2A8A6ACBA23691', '密封垫', '岛津', '耗材', NULL, NULL, '货号221-48972-91，20个/盒', '2023-08-07 15:30:39.000000', '2023-08-10 18:14:10.000000', '1', NULL, '/', NULL, 1, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('90BC3F48CF47C0E6778AA4331CED28E0', 'B3BB2E9A6077B57B92EDEF87A41988E7', '5-乙基-5-(苯基-d5)嘧啶-2,4,6 (1H，3H，5H)-三酮', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:51.000000', '2023-08-10 18:14:10.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'Ds-苯巴比妥', '冷藏贮存', 'GASS-512', '瓶', '5-ethyl-5-(phenyl-d5)pyrimidine-2,4,6(1H,3H,5H)-trione', 1.00, NULL, NULL, '库存不足', 1, NULL, '72793-46-5', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('911136512EF07D2864FC259D5EAB8F22', 'E5BC92FDCFFA9421ECAE9BE315D09BC2', '称量瓶', 'n/a', '耗材', NULL, NULL, '25x25', '2023-08-07 15:34:19.000000', '2023-08-10 18:14:10.000000', '1', NULL, '/', NULL, 15, '普通耗材', '20', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('91A4F2DD9B5C662C863E88C1C6E5B778', '13BA73ADF6EA3B4AD82721C0B458A17E', '2-氯-N-(2-氟苯基) N-(1-苯乙基哌啶-4-基) 乙酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:27.000000', '2023-08-10 18:14:10.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '邻氟苯基氯乙酰基芬太尼', '冷藏贮存', 'GASS-388', '瓶', '2-chloro-N-(2-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)acetamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('921BEB24B1E0D40344FE2429EFD4FDE4', '9A29EE4180224446B120AB0094884C16', '枪头', 'sartorius', '耗材', NULL, NULL, '200ul', '2023-08-07 15:34:53.000000', '2023-08-10 18:14:10.000000', '1', NULL, '/', NULL, 1, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('925A218CE4B6FDC42CA9C35E16DC1FBC', '142E623D92FD6013619D2BFA2B8CBA00', '牛皮纸物证袋', 'n/a', '耗材', NULL, NULL, '10.2*8.8cm', '2023-08-07 15:30:24.000000', '2023-08-10 18:14:10.000000', '1', NULL, '/', NULL, 170, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9419E6A99EDE20441BCCB15B2FD8D4E5', '830DFD7BBB0B1B92189E22A6689C0214', '枪头', 'n/a', '耗材', NULL, NULL, '5ml，200支/包', '2023-08-07 15:34:41.000000', '2023-08-10 18:14:10.000000', '1', NULL, '/', NULL, 4, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9520BAA8ED80DBDA6676041D71C8735D', '58B72CC05A3D8BB328C52578FD1499A8', '3-甲基-N-(1-苯基哌啶-4-基)-N-(对甲苯基) 丁酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:18.000000', '2023-08-10 18:14:10.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对甲苯基异戊酰基芬太尼', '冷藏贮存', 'GASS-372', '瓶', '3-methyl-N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)butanamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9563C954759FD53CEA6E9A052155EF45', 'F75240D323A92ED7EABEFB17C49AACCC', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)环戊酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:24.000000', '2023-08-10 18:14:10.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对氟苯基环戊甲酰基芬太尼', '冷藏贮存', 'GASS-382', '瓶', 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)cyclopentanecarboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('962DE12D21A9D1918286AACD2323A725', '8F4868609BDA216E2B82C8FC5019523D', '定性滤纸', '皎洁', '耗材', NULL, NULL, '15cm，中速', '2023-08-07 15:36:24.000000', '2023-08-10 18:14:10.000000', '1', NULL, '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('96B04F5297821C5927EF7FC938685D0E', '93B1E8071C9877CD92A6E90783E880E8', '密度计', '垒固', '耗材', NULL, NULL, '0.6-2.0', '2023-08-07 15:36:25.000000', '2023-08-10 18:14:10.000000', '1', NULL, '/', NULL, 14, '普通耗材', '14', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('96C474E2AD9400FCC158EFF0CD5E8F44', '8C857E51116A7D35C24B9E62684C556C', '乙醇', 'GRACE', '试剂', NULL, NULL, '4L/瓶', '2023-08-07 15:36:46.000000', '2023-08-10 18:14:10.000000', '1', NULL, '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('9745C95B6BD0EF237010F603C006D38D', 'B9DA1228B79526AB6727207D887B91E4', '萘-1-基(4-(戊基氧基)萘-1-基)甲酮', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:30.000000', '2023-08-10 18:14:10.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'CB-13', '冷藏贮存', 'GASS-053', '瓶', 'naphthalen-1-yl(4-(pentyloxy)naphthalen-1-yl)methanone', 1.00, NULL, NULL, '库存不足', 1, NULL, '432047-72-8', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('97A77BB38EDDA3A2D8237CED2487357D', 'F70814714C20862420EB2954D5556250', '保鲜自封袋8号', '苹果', '耗材', NULL, NULL, '240x170mm', '2023-08-07 15:30:21.000000', '2023-08-10 18:14:10.000000', '1', NULL, '/', NULL, 300, '普通耗材', '100', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9A5DDD1CB1CB356F6F6B3FF2B0BEC575', 'EF81725022A56229F6EA219A2BA8EF60', '2-(1-(4-氟苄基)-1H-吲哚-3-甲酰胺-4,5,6,7-d4)-3,3.二甲基丁酸甲酯', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:42.000000', '2023-08-10 18:14:10.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'D4-MDMB-FUBICA', '冷藏贮存', 'GASS-464', '瓶', 'methyl 2-(1-(4-fluorobenzyl)-1H-indole-3-carboxamido-4,5,6,7-d4)-3,3-dimethylbutanoate', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9AF1CB012642B4C7D56B78F30411570C', '9708E0942D8E1DC79822109F6DA7A96B', 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基)-1-(戊-4-烯-1基)-1H-吲唑-3-甲酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:58.000000', '2023-08-10 18:14:10.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'ADB-4en-PINACA', '冷藏贮存', 'GASS-307', '瓶', 'N-(1-amino-3,3-dimethyl-1-oxobutan-2-yl)-1-(pent-4-en-1-yl)-1H-indazole-3-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '2659308-44-6', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9AF7BE84B061F525A1FC0A31A98E3A71', 'AE5BE308ECA111AC72A6DB6E203E70A6', '4-氟苄溴', '阿拉丁', '试剂', NULL, NULL, '97%，25g/瓶', '2023-08-07 15:37:56.000000', '2023-08-10 18:14:11.000000', '1', NULL, '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, '459-46-1', 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('9B1A0CF8BC5BE2959D388E3914E6A385', 'BD61D6043BD666C6F319364357A556FF', 'DIPEA, N,N-二异丙基乙胺', '阿拉丁', '试剂', NULL, NULL, '99.5%, 100ml/瓶', '2023-08-07 15:38:04.000000', '2023-08-10 18:14:11.000000', '1', NULL, '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, '7087-68-5', 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('9D07EBDE7C731197ACE756D7C5BB265D', '0CD74C38EDA8DF5291F97A77B581743E', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)环丙烷甲酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:23.000000', '2023-08-10 18:14:11.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对氟苯基环丙甲酰基芬太尼', '冷藏贮存', 'GASS-380', '瓶', 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)cyclopropanecarboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '2306825-52-3', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9D6B1B8E8EE1E62F34CF27A387B74D23', 'A5318E54F48F8BDC1253AAE7A1E62563', '血清移液管', 'n/a', '耗材', NULL, NULL, '5ml', '2023-08-07 15:30:49.000000', '2023-08-10 18:14:11.000000', '1', NULL, '/', NULL, 18, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9D726356F51E1997FA8BE77D6B472F19', '067C961381167C96616836F148EF42FA', '8-氯-6-苯基-4H-苯并[f[1,2,4]三唑并[4,3-a][1,4]二氮卓', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:37.000000', '2023-08-10 18:14:11.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '艾司唑仑', '冷藏贮存', 'GASS-411', '瓶', '8-chloro-6-phenyl-4H-benzo[f][1,2,4]triazolo[4,3-a][1,4]diazepine', 1.00, NULL, NULL, '库存不足', 1, NULL, '29975-16-4', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9DC217BCDB6818B038302FCA7FD9B931', '2D6B2541297448FE0078EAF8AF41C2E2', '3,3-二甲基-2-(1-(戊-4-烯-1-基)-1H-吲唑-3-甲酰胺基)丁酸甲酯', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:55.000000', '2023-08-10 18:14:11.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'MDMB-4en-PINACA', '冷藏贮存', 'GASS-292', '瓶', 'methyl 3,3-dimethyl-2-(1-(pent-4-en-1-yl)-1H-indazole-3-carboxamido)butanoate', 1.00, NULL, NULL, '库存不足', 1, NULL, '2504100-70-1', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9E6964BE2F913C0F7BC03224C3345384', 'F0FE80BD7888F0A995FC90DDA23566AB', '1-(4-甲氧基苯基)丙-2-胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:44.000000', '2023-08-10 18:14:11.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'PMA盐酸盐', '冷藏贮存', 'GASS-467', '瓶', '1-(4-methoxyphenyl)propan-2-amine', 1.00, NULL, NULL, '库存不足', 1, NULL, '3706-26-1', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9EC6259276D455B8FAB3A87CD144F489', '6E56E841A7232E021C913960935BC5DD', '2-(甲氨基)-2-苯基环已烷-1-酮', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:33.000000', '2023-08-10 18:14:11.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '去氯氯胺酮盐酸盐', '冷藏贮存', 'GASS-402', '瓶', '2-(methylamino)-2-phenylcyclohexan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '4631-27-0', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9F8E76D108B308ABA206049E85777A37', 'D59782192AC184BBBBE2F4127E4DF1E2', '定性滤纸', '皎洁', '耗材', NULL, NULL, '11cm，中速', '2023-08-07 15:36:24.000000', '2023-08-10 18:14:11.000000', '1', NULL, '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9FEACAF60A86507525FB8407D58B4337', '54D07807B8B4DA7C365B63E801AA2386', '温度计', 'MC', '耗材', NULL, NULL, '200ml', '2023-08-07 15:33:04.000000', '2023-08-10 18:14:11.000000', '1', NULL, '/', NULL, 2, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A00CCE55A247EF0B287D885604D6E31D', '654B8F12875BB11266369F94A1F40200', '7-氯-5-(2-氯苯基-3,4.5,6-d4) -3-羟基-1,3-二氢-2H-苯并[e][1,4]二氮杂-2-酮', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:40.000000', '2023-08-10 18:14:11.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'D4-劳拉西半', '冷藏贮存', 'GASS-454', '瓶', '7-chloro-5-(2-chlorophenyl-3,4,5,6-d4)-3-hydroxy-13-dihydro-2H-benzole][1,4]diazepin-2-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A0BF5DBEF0748FA044BCD46AEA4265DD', '53C0DEB678AA3A10506DAB5A0E444BF8', '一次性蓝色丁腈手套', '柯沃', '耗材', NULL, NULL, 'L', '2023-08-07 15:36:21.000000', '2023-08-10 18:14:11.000000', '1', NULL, '/', NULL, 1, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A170567DA9F6E01979EEC67761B44793', '86701D15685D7E9F5A4998E854A5689E', '保鲜自封袋10号', '苹果', '耗材', NULL, NULL, '340x240mm', '2023-08-07 15:30:20.000000', '2023-08-10 18:14:11.000000', '1', NULL, '/', NULL, 100, '普通耗材', '100', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A178C0D1EEA03280ED8C2F1B5669259B', 'E3C3CC41C002D0E472D670A442FA819A', '2-(乙基氨基)-1-苯基丙-1-酮', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:44.000000', '2023-08-10 18:14:11.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '乙卡西酮(盐酸盐)', '冷藏贮存', 'GASS-127', '瓶', '2-(ethylamino)-1-phenylpropan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '18259-37-5', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A3007B31C0D3DB6F0BFBA18F559F989A', 'A1CCE463604881DEE2C9CC44CD27C49B', '移液枪', '普兰德', '耗材', NULL, NULL, '500-5000ul', '2023-08-07 15:32:53.000000', '2023-08-10 18:14:11.000000', '1', NULL, '/', NULL, 1, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A3D90FBF4E8A5017BA61F0EF88345DB4', 'A302F88E48E5972D4906029579DE21B6', '丙二酸二乙酯', '麦克林', '试剂', NULL, NULL, '99%，500ml/瓶', '2023-08-07 15:36:39.000000', '2023-08-10 18:14:11.000000', '1', NULL, '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('A405087A6BB42D7241BCAFA8BC433B2E', '0C873A88D9B8C98101495044FDBC3819', '量筒', 'Bomex', '耗材', NULL, NULL, '25ml', '2023-08-07 15:34:16.000000', '2023-08-10 18:14:11.000000', '1', NULL, '/', NULL, 11, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A66974AF01DE0EE9BA6E5672FB6404AA', 'F9E5A76C5D34E25E488FCC2B34A247C7', '乙醇', '利安隆博华', '试剂', NULL, NULL, '500ml/瓶', '2023-08-07 15:36:53.000000', '2023-08-10 18:14:11.000000', '1', NULL, '/', NULL, 20, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('A69B413FA100E9A68E0C64E0025F5DFD', 'F4A4D81D1FDA3EBDA45747CC9D47BF38', '圆底烧瓶', '申迪', '耗材', NULL, NULL, '500ml', '2023-08-07 15:34:14.000000', '2023-08-10 18:14:11.000000', '1', NULL, '/', NULL, 19, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A7043B9F5D73B03C8A3C1CDD39900348', '8095F5693B7AFB044BEF0238BE7D6455', '橡皮吸球', 'n/a', '耗材', NULL, NULL, '3ml', '2023-08-07 15:33:00.000000', '2023-08-10 18:14:11.000000', '1', NULL, '/', NULL, 16, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A73FA18C0490E3106E544FBEE69B59FA', '029A15E8D44EB6DE5F5F1773F7E08139', '试管帽', 'n/a', '耗材', NULL, NULL, 'Φ15', '2023-08-07 15:33:03.000000', '2023-08-10 18:14:11.000000', '1', NULL, '/', NULL, 30, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A746C67225BF08B6787F64EE2C5BB110', 'B7808AF2B78580A9721F84C6FF435D1B', '1-(苯并[d][1,3]二羟基-5-基)-2-(二甲基氨基)戊-1-酮', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:50.000000', '2023-08-10 18:14:12.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'N,N-Dimethylpentylone (hydrochloride)', '冷藏贮存', 'GASS-511', '瓶', '1-(benzo[d][1,3]dioxol-5-yl)-2-(dimethylamino)pentan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '17763-13-2', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A831741009B96794E2849383A9EF7325', '25865FA402CC8636E9F419F181032511', '乙醇', '西陇', '试剂', NULL, NULL, '500ml/瓶', '2023-08-07 15:36:41.000000', '2023-08-10 18:14:12.000000', '1', NULL, '/', NULL, 9, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('A90CC7626B596386969803EED3DA50B3', 'D0166F22A50A17BFF28D27F974E17297', '物证封装袋', 'n/a', '耗材', NULL, NULL, '30*22cm', '2023-08-07 15:30:30.000000', '2023-08-10 18:14:12.000000', '1', NULL, '/', NULL, 1300, '普通耗材', '100', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A95FF9905D85D57DBE7684AC04B017D4', '522DBDE9C87DBE8418B9FA7E14E54F82', '刮刀', 'n/a', '耗材', NULL, NULL, '25cm', '2023-08-07 15:33:08.000000', '2023-08-10 18:14:12.000000', '1', NULL, '/', NULL, 2, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('AB168552B2BE19F1DA4D2CEF9C6A2101', '00531ECB5197A8DBFFBF21A6E31B73A6', '正十九烷', 'Sigma-Aldrich', '试剂', NULL, NULL, '25g/瓶,99%', '2023-08-07 15:36:52.000000', '2023-08-10 18:14:12.000000', '1', NULL, '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, '其他');
INSERT INTO `reagent_consumable_inventory` VALUES ('ABD39F8CC544E8130B0EA0183E6C7E1C', '85FF2E0595827640E3A50E06E97883FF', '干燥器', 'n/a', '耗材', NULL, NULL, '300mm', '2023-08-07 15:36:26.000000', '2023-08-10 18:14:12.000000', '1', NULL, '/', NULL, 4, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('AD8C997FCB3FA9F08E1FDBDEF0221B1F', '6EDC54FBF595AFA3957BCD62B6AEEB8C', '塑料烧杯', 'n/a', '耗材', NULL, NULL, '10ml', '2023-08-07 15:30:54.000000', '2023-08-10 18:14:12.000000', '1', NULL, '/', NULL, 39, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('ADCACB0D1884B43457B7C74B7F8EE4CA', 'ED16A7F64E35AEC099084F5B6BAC55BC', '移液管架', 'n/a', '耗材', NULL, NULL, 'n/a', '2023-08-07 15:36:30.000000', '2023-08-10 18:14:12.000000', '1', NULL, '/', NULL, 10, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('AF997ED628D86671F2AEFDC6BA633B98', '458D8124F1A76358E89CE1A11F6E3EAB', '小口试剂瓶', 'n/a', '耗材', NULL, NULL, '1000ml', '2023-08-07 15:34:28.000000', '2023-08-10 18:14:12.000000', '1', NULL, '/', NULL, 19, '普通耗材', '6', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('AFB56C1D17C8C555C517C630BBCEBA94', 'F043DEC7DAE66BA8B5BCA619F99064A5', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)庚酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:14.000000', '2023-08-10 18:14:12.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对甲苯基庚酰基芬太尼', '冷藏贮存', 'GASS-366', '瓶', 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)heptanamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('AFCC23830CA9F666A988A0FD599BD69B', 'F25D948812BF489FB07CE350B518E5DB', '2,2,2-三氯-N-(1-苯乙基哌啶-4-基) -N-(对甲苯基) 乙酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:20.000000', '2023-08-10 18:14:12.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对甲苯基三氯乙酰基芬太尼', '冷藏贮存', 'GASS-376', '瓶', '2,2,2-trichloro-N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)acetamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B0DE7C08218F84D51B0F65375D79F56D', '7D16B6C8DFED62A7081D0863799BEB66', '研钵', '垒固', '耗材', NULL, NULL, '12ml', '2023-08-07 15:33:28.000000', '2023-08-10 18:14:12.000000', '1', NULL, '/', NULL, 4, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B18F3061B042DE96BB195DFCA9923818', '495257E4D581C3C125C618A354BA60FB', '带塞溶剂瓶', 'n/a', '耗材', NULL, NULL, '500ml', '2023-08-07 15:34:37.000000', '2023-08-10 18:14:12.000000', '1', NULL, '/', NULL, 18, '普通耗材', '8', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B1CA941C6466781AF01A56FB84A3B71E', 'C10C15842D355F161AA83A683F16AE3B', '白色滴瓶', 'n/a', '耗材', NULL, NULL, '60ml', '2023-08-07 15:33:17.000000', '2023-08-10 18:14:12.000000', '1', NULL, '/', NULL, 18, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B3AF1BA79140F64CF01D67184D463477', '1029CFD6734F216A16087944A869756E', '红色胶帽', '金利', '耗材', NULL, NULL, 'n/a', '2023-08-07 15:32:59.000000', '2023-08-10 18:14:12.000000', '1', NULL, '/', NULL, 200, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B3B02DB5F7D32541E0BC64998313BB28', '82EDE74335EFF690616BDF191CA529C2', '1-(3-氯苯基)-2-(二甲基氨基)丙-1-酮', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:09.000000', '2023-08-10 18:14:12.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'N-甲基-间氯-甲卡西酮盐酸盐', '冷藏贮存', 'GASS-334', '瓶', '1-(3-chlorophenyl)-2-(dimethylamino)propan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '514168-22-0', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B3FDF7A1587B2AFC7CDBECCEA189C4D0', '3EF4E48C464C9EABDF684A5756D5D054', '定量滤纸', '双联牌', '耗材', NULL, NULL, '12.5cm，慢速', '2023-08-07 15:34:47.000000', '2023-08-10 18:14:12.000000', '1', NULL, '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B418FACA9649D419E5E431F6E7CE651E', '762F34F1BE58638FF8FB8573D798A1E8', '白色滴瓶', 'n/a', '耗材', NULL, NULL, '125ml', '2023-08-07 15:33:18.000000', '2023-08-10 18:14:12.000000', '1', NULL, '/', NULL, 20, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B456B2F812F8B3F515CD3A29E5A35508', '164A1E418AA57EF3FA1709FBDCDFD2D5', '量筒', 'Bomex', '耗材', NULL, NULL, '50ml', '2023-08-07 15:34:17.000000', '2023-08-10 18:14:12.000000', '1', NULL, '/', NULL, 10, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B462CB7ECFF1B3F45187D97E6FF783DD', 'FE2CF03A49699073EC66E9ABDD539029', 'ACQUITY UPLC BEH C18                    ', 'Waters', '耗材', NULL, NULL, '2.1*100mm,1.7um', '2023-08-07 15:30:35.000000', '2023-08-10 18:14:12.000000', '1', NULL, '/', NULL, 4, '色谱柱', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B559F7629E11A11B40656F42BEB87F62', 'DEBA0C27F4C8F3204FA3B6674843497E', '二氯甲烷', 'CNW', '试剂', NULL, NULL, '4l/瓶', '2023-08-07 15:36:45.000000', '2023-08-10 18:14:12.000000', '1', NULL, '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('B5627C492BF880271323248446BA9A2A', 'A6EF41346BFDB97D559527CEB063B584', '滴管', 'n/a', '耗材', NULL, NULL, '12cm', '2023-08-07 15:30:56.000000', '2023-08-10 18:14:12.000000', '1', NULL, '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B6BBD357D54C6149C7743F88883EB541', 'AF283DF006F94E987783D9A723A43B47', 'LG玻板抽滤漏斗', '垒固', '耗材', NULL, NULL, '100ml', '2023-08-07 15:34:31.000000', '2023-08-10 18:14:12.000000', '1', NULL, '/', NULL, 5, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B766614679E806BFA98EEA95D4A5786A', 'AB3C762EC309876321351F5BF5ADA7AE', '橡皮吸球', 'n/a', '耗材', NULL, NULL, '1ml', '2023-08-07 15:33:00.000000', '2023-08-10 18:14:12.000000', '1', NULL, '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B86DC03F3F9DA53AE80E66E0973BD52B', '63133AE1D9CC147E69589B75454D40CA', '二苯胺', 'Sigma-Aldrich', '试剂', NULL, NULL, '100g/瓶', '2023-08-07 15:36:35.000000', '2023-08-10 18:14:12.000000', '1', NULL, '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'ReagentPlus');
INSERT INTO `reagent_consumable_inventory` VALUES ('B9190D8B708923A6672E6AF50C11C8FA', 'C8E3B4FA957A88FECA5D6693E2F95475', '试管架', 'n/a', '耗材', NULL, NULL, '3x6', '2023-08-07 15:34:25.000000', '2023-08-10 18:14:12.000000', '1', NULL, '/', NULL, 13, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B97563C053CD04908B19884308BE651E', '90A206FE06B75156D026821CCAA73E08', '正己烷', 'CNW', '试剂', NULL, NULL, '4l/瓶', '2023-08-07 15:36:45.000000', '2023-08-10 18:14:13.000000', '1', NULL, '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('BBCF76BCC1F393560A92E7C53CE37E9A', '337EECBBA5F7DA69F2B01605F16BDD4D', '带塞溶剂瓶', 'n/a', '耗材', NULL, NULL, '250ml', '2023-08-07 15:34:36.000000', '2023-08-10 18:14:13.000000', '1', NULL, '/', NULL, 19, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('BC4C089AB87B5339103B775C0BF344A9', '5139FC53B48B494AE8ADAE8DF5937121', '三乙胺', '百灵威', '试剂', NULL, NULL, '1L/瓶,99.7%', '2023-08-07 15:37:04.000000', '2023-08-10 18:14:13.000000', '1', NULL, '/', NULL, 5, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('BD0D250A563B4769B81C333DF903116A', 'F4FF372995387DB2285949022E13248E', '容量瓶', 'Brand', '耗材', NULL, NULL, '10ml', '2023-08-07 15:33:25.000000', '2023-08-10 18:14:13.000000', '1', NULL, '/', NULL, 41, '普通耗材', '2', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('BD1C008D85DA80C9000304B96260F8EB', 'E2D91DFA2C817E35E9DCCD79DBD55637', '塑料离心管', 'n/a', '耗材', NULL, NULL, '5ml，400支/袋', '2023-08-07 15:33:11.000000', '2023-08-10 18:14:13.000000', '1', NULL, '/', NULL, 2, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '袋', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('BD55A19CE547B89FF5BC2E6D2DEAB01C', '8DA76CCF4C0FBD463A5526B77792A61C', '2-(1-(4-氟丁基)-1H-吲哚-3-甲酰胺-4,5,6,7-d4)-3,3-二甲基丁酯甲酯', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:46.000000', '2023-08-10 18:14:13.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'D4-4F-MDMB-BICA', '冷藏贮存', 'GASS-504', '瓶', 'methyl 2-(1-(4-fluorobutyl)-1H-indole-3-carboxamido-4,5,6,7-d4)-3,3-dimethylbutanoate', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('BD822A7214C3B93D40CB035FC6B25F98', '940BBDA352303E8EADF712C65846B64F', '试管架', 'n/a', '耗材', NULL, NULL, '4x6', '2023-08-07 15:34:25.000000', '2023-08-10 18:14:13.000000', '1', NULL, '/', NULL, 16, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('BDC043905D82B6647538C360E0C12C13', 'C78E76F182E09D56E15745176ADC1D77', '2-(二乙基氨基)-1-(对甲苯基)丙-1-酮', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:07.000000', '2023-08-10 18:14:13.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'N-乙基-对甲-乙卡西酮盐酸盐', '冷藏贮存', 'GASS-332', '瓶', '2-(diethylamino)-1-(p-tolyl)propan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '676316-90-8', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('BE5D8EDA9472EFC41551FFB05B81E596', '2E90FCD4F093F3E8081C07EFB53A819E', '血清移液管', 'n/a', '耗材', NULL, NULL, '2ml', '2023-08-07 15:30:49.000000', '2023-08-10 18:14:13.000000', '1', NULL, '/', NULL, 17, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('BE67739BEC2CCA4DF7F1F19EFDAF7C99', '860A7DBC3C52BEF52D1768F078886E6C', '氯化亚砜', '科试', '试剂', NULL, NULL, '500ml/瓶', '2023-08-07 15:37:45.000000', '2023-08-10 18:14:13.000000', '1', NULL, '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('BEC0DE755761662AD9F5C2E997DEC1EB', '35C87ACDB1A187560C2DF29AF23D9067', 'D-缬氨酰胺盐酸盐', '阿拉丁', '试剂', NULL, NULL, '97%，1g/瓶', '2023-08-07 15:37:59.000000', '2023-08-10 18:14:13.000000', '1', NULL, '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, '133170-58-8', 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('BF80DE9513C1381C8ABBE0CD022A09A5', 'BFD45DE70FD45DC891E4ACAE2B876655', '进口滤膜', '津隆', '耗材', NULL, NULL, '25mm，100片/盒，有机尼龙66，0.22um，货号：JLSN172202', '2023-08-07 15:34:42.000000', '2023-08-10 18:14:13.000000', '1', NULL, '/', NULL, 19, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C023C288148BE0A3CA6EE365F553A9F7', 'B8DEB57BB4E7E553B23E0384ED779FC4', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)丁酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:15.000000', '2023-08-10 18:14:13.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对甲苯基异丁酰基芬太尼', '冷藏贮存', 'GASS-367', '瓶', 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)isobutyramide', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C0C71470C4D2D5DB90005E8760942300', 'B2809046CA41FA525598AAAEA166F29B', '小口试剂瓶', '蜀牛', '耗材', NULL, NULL, '2500ml', '2023-08-07 15:34:24.000000', '2023-08-10 18:14:13.000000', '1', NULL, '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C101E082F6F10A8CEDCC87E68F7CE924', '3A7CD812B8F2248CE3529D5AC16D4B94', '血清移液管', 'n/a', '耗材', NULL, NULL, '1ml', '2023-08-07 15:30:48.000000', '2023-08-10 18:14:13.000000', '1', NULL, '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C1CBD27CD4B933F46F41AA051C1A8E1A', 'A5E58EA85E8D595CEEAD33A2D3808D28', '刮刀', 'n/a', '耗材', NULL, NULL, '10cm', '2023-08-07 15:33:07.000000', '2023-08-10 18:14:13.000000', '1', NULL, '/', NULL, 3, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C2544BB792509CEBF03C55875AD4405F', 'B9AD4467FDD278604B0F6A41BD2ED70B', '1,4-二苄基哌嗪', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:30.000000', '2023-08-10 18:14:13.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '二苄基哌嗪', '冷藏贮存', 'GASS-392', '瓶', '1,4-dibenzylpiperazine', 1.00, NULL, NULL, '库存不足', 1, NULL, '1034-11-3', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C3AE40E2A1EAE5722367E3D51BBB6A38', '3E903D0EAFDAC96651AD06E4D8DCFBC2', '烟酰胺', 'Sigma-Aldrich', '试剂', NULL, NULL, '100g/瓶', '2023-08-07 15:37:34.000000', '2023-08-10 18:14:13.000000', '1', NULL, '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('C3EB37DE63243380D56C9D4ADDAABC15', 'E771D0043E0DB2F38C835AFB63C64379', '(1-(5-氟戊基)-1H-吲哚-3-羰基)苯丙氨酸甲酯', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:53.000000', '2023-08-10 18:14:13.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '5F-MPP-PICA', '冷藏贮存', 'GASS-271', '瓶', 'methyl(1-(5-fluoropentyl)-1H-indole-3-carbonyl)phenylalaninate', 1.00, NULL, NULL, '库存不足', 1, NULL, '2682867-54-3', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C423F082300208F6C500B9D3C7351952', '6358E718D7ED7F034C5D7CAAADCC5B2D', '滤膜', '上海新亚', '耗材', NULL, NULL, '有机，0.45um，50mm，50片/盒', '2023-08-07 15:34:46.000000', '2023-08-10 18:14:13.000000', '1', NULL, '/', NULL, 19, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C4262A942345078578688FF9C2AD1468', '364863F9D2A45ABAB4D5C5841763C800', '乙酸乙酯', '利安隆博华', '试剂', NULL, NULL, '500ml/瓶', '2023-08-07 15:36:53.000000', '2023-08-10 18:14:13.000000', '1', NULL, '/', NULL, 20, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('C537F41873C92FAE15002170C86697B8', 'D3411AFFC51539B2BAE7D2A7769BE469', '四氢呋喃', '阿拉丁', '试剂', NULL, NULL, 'AR,99.0% (含250 ppm BHT稳定剂)，500ml', '2023-08-07 15:37:55.000000', '2023-08-10 18:14:13.000000', '1', NULL, '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('C5919165080B675BC4E2C04EB576D04A', '1DF4AC0C977A1B250245F3C2FE45F9CC', 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(4-氟苄基)-1H-吲唑-3-甲酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:25.000000', '2023-08-10 18:14:13.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'AB-FUBINACA', '冷藏贮存', 'GASS-044', '瓶', 'N-(1-amino-3-methyl-1-oxobutan-2-yl)-1-(4-fluorobenzyl)-1H-indazole-3-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '1629062-56-1', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C6A66EEEE4921D9579B494EF2302AF32', 'A79CAD33FFD704B7C5F5176B7EF5968A', '八氟萘', 'Merck', '试剂', NULL, NULL, '1g/瓶,96%', '2023-08-07 15:37:39.000000', '2023-08-10 18:14:13.000000', '1', NULL, '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'RD');
INSERT INTO `reagent_consumable_inventory` VALUES ('C6D1B52D55A793F26A8FBC1018677D08', 'A4331C95AB8248040ADA02EA5E11C1D0', 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(环己基甲基)-1H-吲唑-3-甲酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:25.000000', '2023-08-10 18:14:13.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'AB-CHMINACA', '冷藏贮存', 'GASS-043', '瓶', 'N-(1-amino-3-methyl-1-oxobutan-2-yl)-1-(cyclohexylmethyl)-1H-indazole-3-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '1185887-21-1', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C77A0C7342168081231016C3DA61D400', '2F04EF4FBE9AF1C7BEF583748BB0B328', '甲醇', 'Thermo', '试剂', NULL, NULL, '4L/瓶', '2023-08-07 15:37:51.000000', '2023-08-10 18:14:13.000000', '1', NULL, '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'HPLC，GC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('C7C7348E0721E40B3685F167907646DD', 'EBF047954979B77DE64CD9F418C0E866', '螺纹试剂瓶', '蜀牛', '耗材', NULL, NULL, '80ml', '2023-08-07 15:34:27.000000', '2023-08-10 18:14:13.000000', '1', NULL, '/', NULL, 9, '普通耗材', '20', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C862092CAF84B7427AECB35CCDC26D2D', 'BAB380242F3D0474939FE3691384417B', 'N-(金刚烷-1-基)-1-戊基-1H-吲唑-3-甲酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:29.000000', '2023-08-10 18:14:14.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'APINACA', '冷藏贮存', 'GASS-052', '瓶', 'N-(adamantan-1-yl)-1-pentyl-1H-indazole-3-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '1345973-53-6', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C91B176922C0ADE6C13A60AB3404589F', '91BCF40356AB69963D4576E0933999D1', '2-(二甲基氨基)-1-苯基丙-1-酮', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:04.000000', '2023-08-10 18:14:14.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'N-甲基-甲卡西酮盐酸盐', '冷藏贮存', 'GASS-326', '瓶', '2-(dimethylamino)-1-phenylpropan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '10105-90-5', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C985A18B6399B84664937BBA5C48BA15', '2F5976EB0A24864A5284EAF7A13F1645', '移液管', 'MC', '耗材', NULL, NULL, '10ml', '2023-08-07 15:30:47.000000', '2023-08-10 18:14:14.000000', '1', NULL, '/', NULL, 19, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C9DF2C4934786DFD7FE5B25AFB920B2C', '4EF33C24C36B20192E348B1E12F63EBA', '枪头', 'Brand', '耗材', NULL, NULL, '5ml，200支/包', '2023-08-07 15:34:40.000000', '2023-08-10 18:14:14.000000', '1', NULL, '/', NULL, 4, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('CA43F1AD5FD36C7960B71199C15A71F3', '3186FFC751572631B2B9BEF98AEB0E3F', '4-(三氟甲基)氯苄', '阿拉丁', '试剂', NULL, NULL, '>97.0%(GC)，25g/瓶', '2023-08-07 15:37:57.000000', '2023-08-10 18:14:14.000000', '1', NULL, '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, '939-99-1', 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('CAC4288AB5DCF391F97E86BD596B2F7A', '7EA4C1F02590BBB79F865401780338C9', 'N-(1-氨基-1-氧代-3-苯基内-2-基)-1-(5-氟戊基)-1H-吲唑-3-甲酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:36.000000', '2023-08-10 18:14:14.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'PX-2', '冷藏贮存', 'GASS-070', '瓶', 'N-(1-amino-1-oxo-3-phenylpropan-2-yl)-1-(5-fluoropentyl)-1H-indazole-3-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '2205029-76-9', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('CB4431FCF7DCB117206EE2BF3BBFE8D0', '472D1E36C63F80BDE066597018339060', '试管刷', 'n/a', '耗材', NULL, NULL, '无', '2023-08-07 15:36:32.000000', '2023-08-10 18:14:14.000000', '1', NULL, '/', NULL, 75, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('CC024A6D57C292CE320A219622819445', 'A222DB3230CFF82E843099DFA05EB653', '物证提取袋', 'n/a', '耗材', NULL, NULL, '15*10cm', '2023-08-07 15:30:28.000000', '2023-08-10 18:14:14.000000', '1', NULL, '/', NULL, 950, '普通耗材', '50', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('CC7C5DE7B0B194A8FA17B60F41037DBC', '3C32A48ECD51CB0227232580562069A7', '收纳盒', 'n/a', '耗材', NULL, NULL, 'n/a', '2023-08-07 15:34:39.000000', '2023-08-10 18:14:14.000000', '1', NULL, '/', NULL, 2, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('CC82CC217EF9D663B0782A1329622B03', '486A95DA85C8F6DA1961B25C52A7760A', '活性炭口罩', 'n/a', '耗材', NULL, NULL, '50支/盒', '2023-08-07 15:33:15.000000', '2023-08-10 18:14:14.000000', '1', NULL, '/', NULL, 11, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('CD58E22C593C7B6CC2D3F8C708A17F42', 'A2046BB28D505ECF03E6177732A170FD', 'EDCI , 1-乙基-(3-二甲基氨基丙基)碳二亚胺盐酸盐', '阿拉丁', '试剂', NULL, NULL, '98%，100g/瓶', '2023-08-07 15:38:00.000000', '2023-08-10 18:14:14.000000', '1', NULL, '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, '25952-53-8', 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('CE85D7C19F351C08F0B1F1F93483BD7E', 'FD3EA168479AAB7DA5A16CA597EC3D1F', '瓶口分液器', 'sartorius', '耗材', NULL, NULL, '0.2ml-1ml', '2023-08-07 15:33:15.000000', '2023-08-10 18:14:14.000000', '1', NULL, '/', NULL, 1, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('CEDA8B2CFB1127D608F6F2D19C66380A', '95D2870514AAB6FD8357F64A7FE7EBE4', '一次性蓝色丁腈手套', '柯沃', '耗材', NULL, NULL, 'M', '2023-08-07 15:36:21.000000', '2023-08-10 18:14:14.000000', '1', NULL, '/', NULL, 45, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('CFAB41DF055E344BB36ABB50670FBFD5', '231A4405811ABD46E950F45492EFDF38', '无水硫酸钠', '科密欧', '试剂', NULL, NULL, '500g/瓶', '2023-08-07 15:36:55.000000', '2023-08-10 18:14:14.000000', '1', NULL, '/', NULL, 6, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('CFB5333D6A8F795891E44080C226C9B8', '6DACF18662F7A9C18CEAFAFAE3C49C2E', '石墨垫圈', '安捷伦', '耗材', NULL, NULL, '货号5080-8853，10个/盒', '2023-08-07 15:30:42.000000', '2023-08-10 18:14:14.000000', '1', NULL, '/', NULL, 5, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('CFD74B53D280B5BF32588F0BDB46FF3F', 'B6B3D596A9F72D2C12CCCF9CC4A599CB', '移液管', 'MC', '耗材', NULL, NULL, '5ml', '2023-08-07 15:30:45.000000', '2023-08-10 18:14:14.000000', '1', NULL, '/', NULL, 25, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('D0769DBBEAA4A089BDDF34E36C281D3E', 'C038C54C67FD3E455B198D372E6E6E8A', '磺胺', 'Sigma-Aldrich', '试剂', NULL, NULL, '5g/瓶', '2023-08-07 15:37:36.000000', '2023-08-10 18:14:14.000000', '1', NULL, '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'RD');
INSERT INTO `reagent_consumable_inventory` VALUES ('D0CCCC1B9A232977E99F64617368200F', '1DFD4106F8B89B85AFB5259CB2AFABC6', 'InfinityLab Poroshecll 120 PFP', 'agilent', '耗材', NULL, NULL, '4.6*250mm,4um', '2023-08-07 15:30:32.000000', '2023-08-10 18:14:14.000000', '1', NULL, '/', NULL, 1, '色谱柱', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('D0D9F318ECA0EBADD6E42BDA86B0DF7C', 'EA1828A829CD82CF9CB1E599A0ECDA10', 'O型圈', '岛津', '耗材', NULL, NULL, '货号036-11203-84，5个/袋', '2023-08-07 15:30:41.000000', '2023-08-10 18:14:14.000000', '1', NULL, '/', NULL, 2, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '袋', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('D1132A329EC68C085C7BE2AA337777F9', '75F357D2AD2B9D13D7C7D4F8FB3F3B28', '氢氧化钾', '光复', '试剂', NULL, NULL, '500g/瓶', '2023-08-07 15:37:01.000000', '2023-08-10 18:14:14.000000', '1', NULL, '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'GR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('D1824F10F3A4E7E063E45ABE2CCE2D0B', '03D91FBEB942CCBA3C196B2ABD6C49AB', '吡拉西坦', 'Sigma-Aldrich', '试剂', NULL, NULL, '25g/瓶', '2023-08-07 15:36:39.000000', '2023-08-10 18:14:14.000000', '1', NULL, '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'RD');
INSERT INTO `reagent_consumable_inventory` VALUES ('D20077FE474317A8878A43D267BF9BED', '5E0BD65BE78B51B4378D0E880E9CC0E7', 'ZORBAX Eclipse Plus C18', 'agilent', '耗材', NULL, NULL, '4.6*150mm,5um', '2023-08-07 15:30:31.000000', '2023-08-10 18:14:14.000000', '1', NULL, '/', NULL, 1, '色谱柱', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('D24A3EDEFD039AA323B46F6DED967F50', 'E22B55FE1EC89FB01A469622FF7D2294', '封口膜', 'Bemis', '耗材', NULL, NULL, '4IN.*125FT.ROLL，PM-996', '2023-08-07 15:30:31.000000', '2023-08-10 18:14:15.000000', '1', NULL, '/', NULL, 1300, '普通耗材', '100', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('D2542D5CB1188FEF44B169877F528457', '8D003C9F80A38650CE60A1CFECDA0FD0', '2-(1-(4-氟丁基)-1H-吲唑-3-甲酰胺-4,5,6,7-d4)-3,3-二甲基丁酸甲酯', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:47.000000', '2023-08-10 18:14:15.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'D4-4F-MDMB-BUTINACA', '冷藏贮存', 'GASS-506', '瓶', 'methyl 2-(1-(4-fluorobutyl)-1H-indazole-3-carboxamido4,5,6,7-d4)-33-dimethylbutanoate', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('D2EFE130B99EBD24C51B7897CF6075F2', '5F8139F9B3D6EEFB1D2A5B5692C5023B', '离心管架', 'n/a', '耗材', NULL, NULL, '4X5，20孔', '2023-08-07 15:36:27.000000', '2023-08-10 18:14:15.000000', '1', NULL, '/', NULL, 17, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('D2EFF4A34299368F4B7C22C59BD8F281', '74C19B1ACE20DBFA74D724E0EEB08C98', '洗瓶', 'n/a', '耗材', NULL, NULL, '250ml', '2023-08-07 15:33:19.000000', '2023-08-10 18:14:15.000000', '1', NULL, '/', NULL, 18, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('D43185A0AE371887F613301E0A79DB9F', '0AF14171948F730B6E6E3D2391DAFF50', '甲醇', 'Supelco', '试剂', NULL, NULL, '4L，LC/MS级', '2023-08-07 15:37:32.000000', '2023-08-10 18:14:15.000000', '1', NULL, '/', NULL, 4, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'LC/MS级');
INSERT INTO `reagent_consumable_inventory` VALUES ('D48AACAB1A94320986BAF2E5BF40F49C', 'CCD7B7B0ECA297F088ED476CBF21C128', '标准漏斗', 'n/a', '耗材', NULL, NULL, 'n/a', '2023-08-07 15:34:33.000000', '2023-08-10 18:14:15.000000', '1', NULL, '/', NULL, 19, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('D4AC118C23B6B4B75E5E726813E49D57', '3D64B5FE9A03A6113F4E75123F5B073B', '定量滤纸', '新星', '耗材', NULL, NULL, '18cm，中速', '2023-08-07 15:34:50.000000', '2023-08-10 18:14:15.000000', '1', NULL, '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('D56DE7E239797507B62FD271C85A0992', '3AF505D7CCA62A27A13EA6B59E06DABB', '1-(4-甲氧基苯基-2,3,5,6-d4)-N-甲基丙-2-胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:38.000000', '2023-08-10 18:14:15.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'D4-PMMA盐酸盐', '冷藏贮存', 'GASS-452', '瓶', '1-(4-methoxyphenyl-2,3,5,6-d4)-N-methylpropan-2-amine', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('D57A228C3A7F3D64C1713A77893382DC', '489E426D395850BA47290102C7E14824', '叔丁醇', '科密欧', '试剂', NULL, NULL, '500ml/瓶', '2023-08-07 15:37:29.000000', '2023-08-10 18:14:15.000000', '1', NULL, '/', NULL, 3, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('D5C8A0F5C1FE7DC02A69D8CBAA8E3DA9', '618E43444D316057BE919362FF5EABB4', '1-(4-氯-2,5-二甲氧基苯基)丙-2-胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:16.000000', '2023-08-10 18:14:15.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'DoC', '冷藏贮存', 'GASS-013', '瓶', '1-(4-chloro-2,5-dimethoxyphenyl)propan-2-amine', 1.00, NULL, NULL, '库存不足', 1, NULL, '123431-31-2', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('D5CB52F25D904C5549FB35E5A190C78A', 'CD5C40E7540209F16446256CB4328891', '研钵', '垒固', '耗材', NULL, NULL, '18cm', '2023-08-07 15:33:21.000000', '2023-08-10 18:14:15.000000', '1', NULL, '/', NULL, 5, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('D5E96663026BBA20B74CEBC32CCB26CA', 'C2FCC520B0F284133B73771252E31937', '丙三醇', '科密欧', '试剂', NULL, NULL, '500ml/瓶', '2023-08-07 15:36:57.000000', '2023-08-10 18:14:15.000000', '1', NULL, '/', NULL, 20, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('D60C66F4067D84F6976BBB6BDD98F593', 'A9B32DA29BB9A11D7C5BD82951CC2204', '乙酸乙酯', '国药集团', '试剂', NULL, NULL, '≥99.5', '2023-08-07 15:37:52.000000', '2023-08-10 18:14:15.000000', '1', NULL, '/', NULL, 9, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('D66CEF5D4501CD296E38F20F776EEDDA', 'E656B8FEEB216D5451763CB580655930', '1,3,5-三噁烷', 'Sigma-Aldrich', '试剂', NULL, NULL, '≥99%', '2023-08-07 15:37:37.000000', '2023-08-10 18:14:15.000000', '1', NULL, '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('D82502F58E3A1A0BCAFD995AF02ABF48', '0E8D8F06941DC74F11ACC6EA3636709F', '硝酸', '西陇', '试剂', NULL, NULL, '500ml/瓶', '2023-08-07 15:37:48.000000', '2023-08-10 18:14:15.000000', '1', NULL, '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('D89BCBA06C5D3FC62DF3F8FDFB514258', '99A30C6E8CC34802986939CC00BD0CDE', '1-(4-氟苯基)丙-2-胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:16.000000', '2023-08-10 18:14:15.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '4-FA', '冷藏贮存', 'GASS-007', '瓶', '1-(4-fluorophenyl)propan-2-amine', 1.00, NULL, NULL, '库存不足', 1, NULL, '459-02-9', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('D8BC28ECF7131131484F89F95E9D8076', 'C551568594025E6425F428F4CC23062C', '茶碱', 'TCI', '试剂', NULL, NULL, '25g/瓶,98%', '2023-08-07 15:37:30.000000', '2023-08-10 18:14:15.000000', '1', NULL, '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'RD');
INSERT INTO `reagent_consumable_inventory` VALUES ('DA5A70774EA306AA22F170571BF09F4B', 'B490C998E2D2AB4522F4550EFA84BA94', '四氢呋喃', '阿拉丁', '试剂', NULL, NULL, '500ml/瓶,99%', '2023-08-07 15:36:59.000000', '2023-08-10 18:14:15.000000', '1', NULL, '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('DADDD033405B3FDB299EC40E700422B8', '28339BB056B84B8F31CEEE1FFC58B681', '梨形分液漏斗', 'Bomex', '耗材', NULL, NULL, '250ml', '2023-08-07 15:34:36.000000', '2023-08-10 18:14:15.000000', '1', NULL, '/', NULL, 10, '普通耗材', '2', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('DBC39A9FB0B5E98E3B67139D496D0DB1', '3D29A83AC8A6B601D9E1FDA8B9E278A5', '马来酸', 'Sigma-Aldrich', '试剂', NULL, NULL, '100g/瓶，99%', '2023-08-07 15:37:38.000000', '2023-08-10 18:14:15.000000', '1', NULL, '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('DC3EB60DD6A35175512026E226D94088', '602337AAB3BEA6B21364D9DB831326BF', '乙腈', 'Fisher', '试剂', NULL, NULL, '4L/瓶', '2023-08-07 15:37:50.000000', '2023-08-10 18:14:15.000000', '1', NULL, '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'HPLC，GC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('DCAE1F7C76C94101C24CF97F1EC7C757', '447D05CA4302722D8860C978CDE2D23D', '(1-(4-氟苄基)-1H-吲哚-3-基)(萘-1-基)甲酮', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:31.000000', '2023-08-10 18:14:15.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'FUB-JWH-018', '冷藏贮存', 'GASS-056', '瓶', '(1-(4-fluorobenzyl)-1H-indol-3-yl)(naphthalen-1-yl)methanone', 1.00, NULL, NULL, '库存不足', 1, NULL, '2365471-45-8', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('DCEE176011B51D38A4F207FF0B9705EA', '3F90B55E322BA7EED1965C68F2319F80', '牛皮纸物证袋', 'n/a', '耗材', NULL, NULL, '16.5*9.8cm', '2023-08-07 15:30:25.000000', '2023-08-10 18:14:15.000000', '1', NULL, '/', NULL, 160, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('DD397FDBD35780F6A5EE0A98F50E575C', '32B1DEE418F48BDA79F432538D6A13F4', '核磁管', 'NORELL', '耗材', NULL, NULL, '100个/盒', '2023-08-07 15:30:38.000000', '2023-08-10 18:14:15.000000', '1', NULL, '/', NULL, 1, '核磁管', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('DE613573D93AD3B3CD4C9DC91226E52D', '6916A4B8B2C2E3F2E6B3856E5689D042', '研钵', '垒固', '耗材', NULL, NULL, '15ml', '2023-08-07 15:33:28.000000', '2023-08-10 18:14:15.000000', '1', NULL, '/', NULL, 5, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('DE8FB92438D94DE680BB679153A5B9E4', 'EA0F87FA63ADCB9853C4440DFE1C9D4A', '2-(二甲基氨基)-1-(对甲苯基)丙-1-酮', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:07.000000', '2023-08-10 18:14:15.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '4-CNB;N,N-DMC', '冷藏贮存', 'GASS-331', '瓶', '2-(dimethylamino)-1-(p-tolyl)propan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '1448845-14-4', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('DEA6C6EB95596C8171B367D2DB07BDE5', 'C1DF7BC8C3A62D73700B726AE4281ABE', '2-(1-(4-氟苄基) -1H-吲唑-3-甲酰胺) -3,3-二甲基丁酸甲酯', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:01.000000', '2023-08-10 18:14:15.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'MDMB-FUBICA', '冷藏贮存', 'GASS-315', '瓶', 'methyl 2-(1-(4-fluorobenzyl)-1H-indole-3-carboxamido)-3,3-dimethylbutanoate', 1.00, NULL, NULL, '库存不足', 1, NULL, '1971007-91-6', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('DF42D337B5F5574C98EC637DFA2C07FF', '30AA5619BAF96079A6D42B916CCF17C8', '一次性塑料离心管', 'Corning', '耗材', NULL, NULL, '50ml', '2023-08-07 15:34:27.000000', '2023-08-10 18:14:15.000000', '1', NULL, '/', NULL, 9, '普通耗材', '20', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '箱', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E035CDF7E4B70012B853420B8F7D59D1', '55EE43A294EC4808C3D83461F98F6D8F', '量筒', 'Bomex', '耗材', NULL, NULL, '100ml', '2023-08-07 15:34:18.000000', '2023-08-10 18:14:15.000000', '1', NULL, '/', NULL, 9, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E189CC5D54D8843EC42EF9939F306783', '3E9BF5F3AF8F122BB1E5FF065AF70D21', '螺纹试剂瓶', '蜀牛', '耗材', NULL, NULL, '250ml', '2023-08-07 15:34:26.000000', '2023-08-10 18:14:15.000000', '1', NULL, '/', NULL, 8, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E21D49C4BC1F36FFB63822CC05FBB3D3', 'ED65CC93864401897A8C7897DBBB5FE2', '擦镜纸', 'KIMTECH', '耗材', NULL, NULL, '11.0*21.3cm', '2023-08-07 15:32:57.000000', '2023-08-10 18:14:16.000000', '1', NULL, '/', NULL, 1, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E4114BB792D660092286B70C4D164F37', '97A8D4020AF716518341C0F9180EE297', '3-环戊基-N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)丙酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:15.000000', '2023-08-10 18:14:16.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对甲苯基环戊丙酰基芬太尼', '冷藏贮存', 'GASS-368', '瓶', '3-cyclopentyl-N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)propanamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E42D74AEFA3EBC8B2BBED2DA296F37DD', '24C4A490C09C2C08F7F1618F9FF9E483', '1-(4-氰基丁基)-N-(2-苯基丙-2-基) -1H-吲唑-4,5,6,7-d4-3-羧酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:48.000000', '2023-08-10 18:14:16.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'D4-4CN-CUMYL-BUTINACA', '冷藏贮存', 'GASS-507', '瓶', '1-(4-cyanobutyl)-N-(2-phenylpropan-2-yl)-1H-indazole-4,5,6,7-d4-3-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E49285489058D60BBFBDC9BDEAD3BA27', 'EEFDFB60C61A65B659B9BF09DC92C7B7', '一次性塑料烧杯', 'n/a', '耗材', NULL, NULL, '50ml', '2023-08-07 15:34:30.000000', '2023-08-10 18:14:16.000000', '1', NULL, '/', NULL, 18, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E4EC66567AD0607C304ACE2E7361EE1E', '1CDF5686482A98641B749E3B727B912D', '定量滤纸', '双联牌', '耗材', NULL, NULL, '9cm，慢速', '2023-08-07 15:34:47.000000', '2023-08-10 18:14:16.000000', '1', NULL, '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E5F29620429CC1273A7D0F3566493755', 'B6AFB43D70405DEBC7186191E75C1F64', '镊子', 'n/a', '耗材', NULL, NULL, '弯头，12.5cm', '2023-08-07 15:33:06.000000', '2023-08-10 18:14:16.000000', '1', NULL, '/', NULL, 3, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E6C2F213700F55E71DB205430E1C4B96', 'B501992585133ECCAF0ED000444EAEDB', '一次性塑料烧杯', 'n/a', '耗材', NULL, NULL, '100ml', '2023-08-07 15:34:30.000000', '2023-08-10 18:14:16.000000', '1', NULL, '/', NULL, 10, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E779C36078429E79BAB5D0DE9EA6BB7F', '9D5F615EFC2F7C2F5002ED0C8331FA3C', '苯骈三氮唑', '阿拉丁', '试剂', NULL, NULL, '99%，100g/瓶', '2023-08-07 15:38:05.000000', '2023-08-10 18:14:16.000000', '1', NULL, '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, ' 95-14-7 ', 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('E7B0DEB41ECB910EB8C2C89283B26B7E', 'BA2CA6AFC26B68C386AF60AF492C5F61', '进口滤膜', '津隆', '耗材', NULL, NULL, '13mm，有机尼龙66,0.45um，货号：JLSN024501', '2023-08-07 15:34:50.000000', '2023-08-10 18:14:16.000000', '1', NULL, '/', NULL, 9, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E7C59C214FC39AB21686E165A1394A52', '669731EA4E8D194CF74A9F628BA4A965', '牛皮纸物证袋', 'n/a', '耗材', NULL, NULL, '21*14cm', '2023-08-07 15:30:25.000000', '2023-08-10 18:14:16.000000', '1', NULL, '/', NULL, 100, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E87F5ED47168DA7D867C69B9DB505361', '0DCE8DF4674D5B7D94C271E1F0EE7E3A', 'DB-5', '安捷伦', '耗材', NULL, NULL, '30m*0.25mm*0.25um，122-5032', '2023-08-07 15:32:56.000000', '2023-08-10 18:14:16.000000', '1', NULL, '/', NULL, 1, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '根', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E96453448DF4DDE4181D819BCEA036F5', '1301C396B367102966733489B8C6FA65', '2-氯-N-(1-苯乙基哌啶-4-基)-N-(对甲苯)乙酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:18.000000', '2023-08-10 18:14:16.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对甲苯基氯乙酰基芬太尼', '冷藏贮存', 'GASS-373', '瓶', '2-chloro-N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)acetamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E9F1C67EFFE7EB5B4FF4F864D1852679', '691E2F271D0E892B978AED66600B5EBD', '隔垫', '岛津', '耗材', NULL, NULL, '货号221-75180，50个/盒', '2023-08-07 15:30:43.000000', '2023-08-10 18:14:16.000000', '1', NULL, '/', NULL, 1, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('EA52952E1A473C9417094B74908D3EFC', '2466AE7A9E10B4734167F409B1B44EA2', '量筒', 'Bomex', '耗材', NULL, NULL, '10ml', '2023-08-07 15:34:16.000000', '2023-08-10 18:14:16.000000', '1', NULL, '/', NULL, 19, '普通耗材', '20', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('EB44495873E8C3577111CC47CA13D22F', 'F9EA9FE6D54CC49D9C11B20809E4CBE9', '1-苯基-2-(吡咯烷-1-基)丙-1-酮', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:11.000000', '2023-08-10 18:14:16.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'PPP盐酸盐', '冷藏贮存', 'GASS-337', '瓶', '1-phenyl-2-(pyrrolidin-1-yl)propan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '92040-10-3', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('EB58F785EAA72E73D49C7DB39945383F', 'D4352D769EEFB32FCA28A33139C5784F', '保鲜自封袋9号', '苹果', '耗材', NULL, NULL, '280x200mm', '2023-08-07 15:30:20.000000', '2023-08-10 18:14:16.000000', '1', NULL, '/', NULL, 400, '普通耗材', '100', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('EB5AE2245EFC5B0821537F79445DA77D', '848C6CC81BE754FFE823F7041D2A2D3E', '5-乙基-1,2-二甲基-4,4-二苯基-3,4-二氢-2H-吡咯-1-鎓', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:03.000000', '2023-08-10 18:14:16.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'EDDP(高氯酸盐)', '冷藏贮存', 'GASS-317', '瓶', '5-ethyl-1,2-dimethyl-4,4-diphenyl-3,4-dihydro-2H-pyrrol-1-ium', 1.00, NULL, NULL, '库存不足', 1, NULL, '31161-17-8', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('ECF752DFDFE95BB11E53BD7D6302DCAC', '9BA758B4F99742158113A272F4F98189', 'Shim-pack GIST', '岛津', '耗材', NULL, NULL, '4.6*150mm,5um', '2023-08-07 15:30:33.000000', '2023-08-10 18:14:16.000000', '1', NULL, '/', NULL, 4, '色谱柱', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('ED4F4EA2EEE6DDF99CA83EC34F301C89', '77F9F9FDDE7B014029E13F6D52CD1C85', '3,3-二甲基-2-(1-(戊-4-烯-1-基)-1H-吲唑-3-甲酰胺-4,5,6,7-d4)丁酸甲酯', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:46.000000', '2023-08-10 18:14:16.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'D4-MDMB-4en-PINACA', '冷藏贮存', 'GASS-505', '瓶', 'methyl 3,3-dimethyl-2-(1-(pent-4-en-1-yl)-1H-indazole-3-carboxamido-4,5,6,7-d4)butanoate', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('ED64CAF216435311A031A662EC340C49', '247E210903CC9286794F7EB70B208662', '高硼硅量筒', 'Bomex', '耗材', NULL, NULL, '500ml', '2023-08-07 15:34:14.000000', '2023-08-10 18:14:16.000000', '1', NULL, '/', NULL, 9, '普通耗材', '2', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('EDC6A983C12A430AF351853444915011', '1DDBAB71B05F209909564702EF10B551', '异辛烷', 'Supelco', '试剂', NULL, NULL, '1L/瓶', '2023-08-07 15:37:53.000000', '2023-08-10 18:14:16.000000', '1', NULL, '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('EE118232D31FA68F2877F0E90C002ADD', '83E5C4312779D4946E3BBFC13A8A69BB', '甲酸', 'SturdeeSeal', '试剂', NULL, NULL, '50ml/瓶', '2023-08-07 15:36:37.000000', '2023-08-10 18:14:17.000000', '1', NULL, '/', NULL, 4, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'LC/MS级');
INSERT INTO `reagent_consumable_inventory` VALUES ('EE18E7BAD5B9559708728EC9736AA25D', 'B550FE5473D850F673BB86FAB8CEFCC2', '定量滤纸', '新星', '耗材', NULL, NULL, '11cm，中速', '2023-08-07 15:34:49.000000', '2023-08-10 18:14:17.000000', '1', NULL, '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('EE4C12AEA9877698D999BD2CEC573D5F', 'FF485C5DF896C3A41DDA91F71EE51BE0', '2-(甲氨基)-1-(对甲苯基)丙-1-酮', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:46.000000', '2023-08-10 18:14:17.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '4-甲基甲卡西酮(盐酸盐)', '冷藏贮存', 'GASS-164', '瓶', '2-(methylamino)-1-(p-tolyl)propan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '1189726-22-4', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('EF96E47D2FBD67291224BFC4D1BC2D48', '0F649AF0E871E7F2EE712B67FD9BBC07', '(7-氯-5-(2-氟苯基)-2,3-二氢-1H-苯并[e][1,4]二氮杂-2-基)甲胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:52.000000', '2023-08-10 18:14:17.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '咪达唑仑', '冷藏贮存', 'GASS-513', '瓶', '(7-chloro-5-(2-fluorophenyl)-2,3-dihydro-1H-benzo[e][1,4]diazepin-2-yl)methanamine', 1.00, NULL, NULL, '库存不足', 1, NULL, '59467-64-0', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('EFC1ECB51795EA780AB3F020F0172823', 'B60222AC24B6110513CD0130720DB5E8', 'ACQUITY UPLC BEN HILIC VanGuard Pre-Column 3/Pk', 'Waters', '耗材', NULL, NULL, '2.1*5mm,1.7um,3个/盒', '2023-08-07 15:30:36.000000', '2023-08-10 18:14:17.000000', '1', NULL, '/', NULL, 2, '色谱柱', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('F07B2F6EBECB10163CE1C1490AEE43D1', 'AC06910B2390E925302D14F5032BD9C1', '1-(4-氯苯基)-2-(二乙基氨基)丙-1-酮', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:31.000000', '2023-08-10 18:14:17.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对氯-N,N-二乙基卡西酮盐酸盐', '冷藏贮存', 'GASS-394', '瓶', '1-(4-chlorophenyl)-2-(diethylamino)propan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '92105-44-7', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('F0E3E3A2003CC9CB5DC5D291AAC5482E', '73F59F15202EF426B856E2513715529E', '塑料吸管', 'n/a', '耗材', NULL, NULL, '5ml，100支/袋', '2023-08-07 15:33:10.000000', '2023-08-10 18:14:17.000000', '1', NULL, '/', NULL, 10, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '袋', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('F10CCC832EEABDD02095BA8E25703284', '921A1AA79A9735F4C8C5896280322877', '保鲜自封袋7号', '苹果', '耗材', NULL, NULL, '200x140mm', '2023-08-07 15:30:21.000000', '2023-08-10 18:14:17.000000', '1', NULL, '/', NULL, 400, '普通耗材', '100', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('F18DA9A7E5AC69A22C33E8E7D75055EC', '6523699212A33CE47D8AF20FD7088607', '梨形分液漏斗', 'Bomex', '耗材', NULL, NULL, '125ml', '2023-08-07 15:34:35.000000', '2023-08-10 18:14:17.000000', '1', NULL, '/', NULL, 10, '普通耗材', '2', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('F1B079C85DF77FD01C0BA596601C47A5', '36A697E9443BF1658B3EF6D190360B1A', '正庚烷', '科密欧', '试剂', NULL, NULL, '500ml/瓶', '2023-08-07 15:36:51.000000', '2023-08-10 18:14:17.000000', '1', NULL, '/', NULL, 7, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('F1B4338D2D5470E8C641F72A5C1A9627', '51EA02B8DE70156912CB35879E47B3BD', '三（羟甲基）氨基甲烷', '阿拉丁', '试剂', NULL, NULL, '0.999', '2023-08-07 15:37:03.000000', '2023-08-10 18:14:17.000000', '1', NULL, '/', NULL, 3, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, '标准缓冲物质');
INSERT INTO `reagent_consumable_inventory` VALUES ('F341F34C013E73017943F083D3610CA5', '266F147AB32BCD27069EF1CD535C53A5', '保鲜自封袋5号', '苹果', '耗材', NULL, NULL, '100x150mm', '2023-08-07 15:30:23.000000', '2023-08-10 18:14:17.000000', '1', NULL, '/', NULL, 400, '普通耗材', '100', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('F34F7FD64E854CEF0680309B610EE360', 'AEA4495059172C2EF44E941D5CE455E7', 'N-(金刚烷-1-基)-1-(环己基甲基)-1H-吲唑-3-甲酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:59.000000', '2023-08-10 18:14:17.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'ACHMINACA', '冷藏贮存', 'GASS-309', '瓶', 'N-(adamantan-1-yl)-1-(cyclohexylmethyl)-1H-indazole-3-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '1400742-33-7', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('F3710C0C2F68A9E5825B690932DC61B2', '8C2F38F8B15C582D37241CAD3A2C5E80', '2-(二甲基氨基)-1-苯基戊烷-1-酮', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:11.000000', '2023-08-10 18:14:17.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '2-(二甲氨)-1-苯基-1-戊酮', '冷藏贮存', 'GASS-338', '瓶', '2-(dimethylamino)-1-phenylpentan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '2168229-67-0', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('F3E743A00338EF6D85A6660FD6C5EB02', '9154A073A85CA39F5B4B0D8EE9A8B935', '移液管', 'MC', '耗材', NULL, NULL, '2ml', '2023-08-07 15:30:47.000000', '2023-08-10 18:14:17.000000', '1', NULL, '/', NULL, 15, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('F442ABC13D4A3E14BFEA82900A626DCD', '3F814BFEF48658140A58EC860D1D30C6', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)戊酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:23.000000', '2023-08-10 18:14:17.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对氟苯基正戊基芬太尼', '冷藏贮存', 'GASS-381', '瓶', 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)pentanamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('F453B5FFA94EBF8EB09B6DD3ED40F780', '058EC45A42A937E13127239C4247E4F6', '1-(苯并[d][1,3]二羟基-5-基)-2-(甲氨基)丙-1-酮', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:46.000000', '2023-08-10 18:14:17.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '3,4-亚甲二氧基甲卡西酮(盐酸盐)', '冷藏贮存', 'GASS-165', '瓶', '1-(benzo[d][1,3]dioxol-5-yl)-2-(methylamino)propan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '186028-79-5', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('F535A41A55BFDC70CD50E7ED95676F86', 'DD9E129232304F82EE1ABFDD8DFE384A', 'DIC, N,N′-二异丙基碳二亚胺', '阿拉丁', '试剂', NULL, NULL, '≥98.5%，100ml/瓶', '2023-08-07 15:38:00.000000', '2023-08-10 18:14:17.000000', '1', NULL, '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, '693-13-0', 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('F57BDCC7EAF93ACB6C0D5F0F59D58CDE', '31E3C58322524411EEB50F9E7D89EF1F', '定性滤纸', '皎洁', '耗材', NULL, NULL, '9cm，中速', '2023-08-07 15:36:22.000000', '2023-08-10 18:14:17.000000', '1', NULL, '/', NULL, 19, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('F58F9055AA1FAEA4346BEBD765152381', '74F6DA8D9CF5A4F717EA9F86602F36FF', '进样小瓶', '安捷伦', '耗材', NULL, NULL, '2ml,5182-0714，100个/盒', '2023-08-07 15:34:23.000000', '2023-08-10 18:14:17.000000', '1', NULL, '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('F5D938DA08A383A04A523F00E153C6B7', 'BE29E85F4D2BB1FC64BE90D9A3A63911', 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基) -1-戊基-1H-吲唑-3-甲酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:27.000000', '2023-08-10 18:14:17.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'ADB-PINACA', '冷藏贮存', 'GASS-047', '瓶', 'N-(1-amino-3,3-dimethyl-1-oxobutan-2-yl)-1-pentyl-1H-indazole-3-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '1633766-73-0', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('F5EFFAF49A2F2CA5C7B2A127D612F9EA', '2E983AB5BCCDB678342BCB3261859BB8', '高硼硅量筒', 'Bomex', '耗材', NULL, NULL, '250ml', '2023-08-07 15:34:13.000000', '2023-08-10 18:14:17.000000', '1', NULL, '/', NULL, 16, '普通耗材', '2', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('F5F9977FB0C6A556D4C9BD31CA3FCB2B', 'CBD8441F76EBDD385953E892B839EFD2', '2-(1-(4-氟丁基)-1H-吲哚-3-甲酰胺)-3,3-二甲基丁酸甲酯', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:55.000000', '2023-08-10 18:14:17.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '4F-MDMB-BUTICA', '冷藏贮存', 'GASS-293', '瓶', 'methyl 2-(1-(4-fluorobutyl)-1H-indole-3-carboxamido)-3,3-dimethylbutanoate', 1.00, NULL, NULL, '库存不足', 1, NULL, '2682867-53-2', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('F649819DA5B03271EE6AAA3E27CA89F5', '46B3523E5E28B268C636A1DA98B49FF6', '连盖离心管', 'n/a', '耗材', NULL, NULL, '2ml，300个', '2023-08-07 15:36:30.000000', '2023-08-10 18:14:17.000000', '1', NULL, '/', NULL, 6, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '袋', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('F6508751FC867A0D61C005A19CB94232', '94C098EAD4F8DB023D5B82C2620B3A37', '丙酮', '西陇', '试剂', NULL, NULL, '500ml/瓶', '2023-08-07 15:36:42.000000', '2023-08-10 18:14:18.000000', '1', NULL, '/', NULL, 3, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('F6AB246F51F505E92E940B7AC9A147A1', '4E8A9A59F899B08A6E5FB58352985ED6', '甲醇', '科密欧', '试剂', NULL, NULL, '500ml/瓶', '2023-08-07 15:36:47.000000', '2023-08-10 18:14:18.000000', '1', NULL, '/', NULL, 5, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('F75864EAC540F14FCD9A173D86BE56B5', '42A44C857FC6E7434FFBEDB0D9965923', '氢氧化钠', '欧博凯', '试剂', NULL, NULL, '500g/瓶', '2023-08-07 15:37:02.000000', '2023-08-10 18:14:18.000000', '1', NULL, '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'GR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('F7E760DB9C291D56CADE8A238EDABB3A', '2579A2F679FDC265AB237A2534170814', '甲醇', 'Supelco', '试剂', NULL, NULL, '2.5L，LC/MS级', '2023-08-07 15:37:31.000000', '2023-08-10 18:14:18.000000', '1', NULL, '/', NULL, 8, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'LC/MS级');
INSERT INTO `reagent_consumable_inventory` VALUES ('F80F33DFE7EAAAE860000CF55170748D', '67785966FE51946AD6D7032061ABCABC', '容量瓶', 'Brand', '耗材', NULL, NULL, '1ml', '2023-08-07 15:33:27.000000', '2023-08-10 18:14:18.000000', '1', NULL, '/', NULL, 4, '普通耗材', '2', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('F86B94935AEEF268A4758A8C07C7D543', '6DE9F9CB9F7A63AD0E0DEE35E5F56B5A', '顶空瓶', '安捷伦', '耗材', NULL, NULL, '10ml,5182-0838', '2023-08-07 15:34:29.000000', '2023-08-10 18:14:18.000000', '1', NULL, '/', NULL, 2, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('F8949778BF4D14F3571B5D4C7987DC1A', 'F49744866B077CA124437741BB0B80FE', 'N-(1-苯乙基哌啶-4-基)-N-(苯基-d5)丙酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:49.000000', '2023-08-10 18:14:18.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'D5-芬太尼', '冷藏贮存', 'GASS-509', '瓶', 'N-(1-phenethylpiperidin-4-yl)-N-(phenyl-d5)propionamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '118357-29-2', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('F941D68E342E84AB50B8C2C8C5EE9269', 'EAA96347BDF35452CA60EE1D0F0E181D', '2-(2-氟苯基-3,4,5,6-d4)-2-(甲氨基)环己烷-1-酮', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:40.000000', '2023-08-10 18:14:18.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'D4-氟胺酮盐酸盐', '冷藏贮存', 'GASS-456', '瓶', '2-(2-fluorophenyl-3,4,5,6-d4)-2-(methylamino)cyclohexan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('FBB60138B2ABD2F6F8F687BD8B9A6208', '3FA1261A1AFD4A3E85615930F38C71D4', 'N-(1-苯乙基哌啶-4-基)-N-苯基环丙烷甲酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:29.000000', '2023-08-10 18:14:18.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '苯基环丙甲酰基芬太尼', '冷藏贮存', 'GASS-390', '瓶', 'N-(1-phenethylpiperidin-4-yl)-N-phenylcyclopropanecarboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '1169-68-2', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('FC9941B2BA0B1AB385BF8FEE1AD1C28B', '8A4DD497041F257DC241899F963BC079', '气相进样针', '岛津', '耗材', NULL, NULL, '10ul', '2023-08-07 15:30:38.000000', '2023-08-10 18:14:18.000000', '1', NULL, '/', NULL, 22, '进样针', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('FD220DC0DE7B09B464C75AA9DF95DD1B', 'AFB1BC30F652DD2E5D8D55C8CA4DAA8C', '1-(2-氟苯基)丙-2-胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:15.000000', '2023-08-10 18:14:18.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '2-FA', '冷藏贮存', 'GASS-001', '瓶', '1-(2-fluorophenyl)propan-2-amine', 1.00, NULL, NULL, '库存不足', 1, NULL, '1716-60-5', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('FD266CCD300BBC90C9E16650B2BB6B8C', '8BFF41CA5A70E2AA21F996506DD3FAC1', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)丙酰胺', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:57:22.000000', '2023-08-10 18:14:18.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对甲苯基正丙酰基芬太尼', '冷藏贮存', 'GASS-379', '瓶', 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)propionamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '1838-67-1', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('FDAB6D26FEA2349141383ADE8A49EEE4', 'DE5788046EAA95F40D00A0929A34E92B', 'Kinetex Biphenyl', '飞诺美', '耗材', NULL, NULL, '100*3.0mm,2.6um', '2023-08-07 15:30:34.000000', '2023-08-10 18:14:18.000000', '1', NULL, '/', NULL, 1, '色谱柱', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('FF19A982DCB972C705AE1950933E136D', 'F135FAAD06A9832BFCFCD17A32853E6B', '物证封装袋', 'n/a', '耗材', NULL, NULL, '43*31cm', '2023-08-07 15:30:30.000000', '2023-08-10 18:14:18.000000', '1', NULL, '/', NULL, 1300, '普通耗材', '100', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('FFE1D9FF0C8A57732D27FE0386BD0DF5', '34147522DFD90B0579F2A97EBA0FDD76', '喹啉-8-基-1-戊基-1H-吲哚-3-羧酸盐', NULL, '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-08-07 15:56:35.000000', '2023-08-10 18:14:18.000000', '1', NULL, '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'PB-22', '冷藏贮存', 'GASS-069', '瓶', 'quinolin-8-y1-pentyl-1H-indole-3-carboxylate', 1.00, NULL, NULL, '库存不足', 1, NULL, '1400742-17-7', NULL);

-- ----------------------------
-- Table structure for reagent_consumable_stash
-- ----------------------------
DROP TABLE IF EXISTS `reagent_consumable_stash`;
CREATE TABLE `reagent_consumable_stash`  (
  `id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `category` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材id',
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材名称',
  `brand` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(品牌)',
  `deviation_or_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '偏差/不确定度',
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(规格型号)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `technical_parameter` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术参数)',
  `total_quantity` int(55) NULL DEFAULT NULL COMMENT '(总数量)',
  `species` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '种类\r\n',
  `packaged_copies` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装份数',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '别名',
  `storage_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '存储条件',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `minimum_unit` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装单位',
  `english_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '英文名',
  `unit_price` decimal(10, 0) NULL DEFAULT NULL COMMENT '单价',
  `code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '物品编码',
  `cas_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'CAS编号',
  `purity_grade` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '纯度等级',
  `room_no` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '房间号\r\n',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of reagent_consumable_stash
-- ----------------------------
INSERT INTO `reagent_consumable_stash` VALUES ('001730CE187FFD9B09402EB8B532E0D6', '试剂', '78A9C291BA501412D1C03B73C3086CFF', '氨水', '沪试', NULL, '500ml/瓶', '2023-08-07 15:37:28.845000', '2023-08-07 15:37:28.845000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('003A0A9350EA3327B5A5962F07EC88A4', '试剂', 'E656B8FEEB216D5451763CB580655930', '1,3,5-三噁烷', 'Sigma-Aldrich', NULL, '≥99%', '2023-08-07 15:37:37.827000', '2023-08-07 15:37:37.827000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('035AE0DED46C32E591C5B580F5C0D5EB', '耗材', '522DBDE9C87DBE8418B9FA7E14E54F82', '刮刀', 'n/a', NULL, '25cm', '2023-08-07 15:33:08.193000', '2023-08-07 15:33:08.193000', '1', '1', '/', NULL, 2, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('03FB3EC3DB3B14709FB9AC19D53CA79F', '耗材', '67A72C92BDEF045C37D12F41D45F7CCC', '血清移液管', 'n/a', NULL, '50ml', '2023-08-07 15:30:52.378000', '2023-08-07 15:30:52.378000', '1', '1', '/', NULL, 20, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('05A0A126893B3278E9FB5FA54969D532', '耗材', '67785966FE51946AD6D7032061ABCABC', '容量瓶', 'Brand', NULL, '1ml', '2023-08-07 15:33:27.201000', '2023-08-07 15:33:27.201000', '1', '1', '/', NULL, 4, '普通耗材', '2', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('079EC416EB5B00220F332A9489BF137E', '耗材', '57B8083981D0C76FFB819298EF953E0F', '锥形瓶', '环球', NULL, '50ml', '2023-08-07 15:34:38.348000', '2023-08-07 15:34:38.348000', '1', '1', '/', NULL, 7, '普通耗材', '12', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('07C2804EA792831C7D774354AD3FD750', '试剂', 'C8C3F5D4163885E757FFEC2C4D62D3C7', '正己烷', '科密欧', NULL, '500ml/瓶', '2023-08-07 15:36:51.074000', '2023-08-07 15:37:52.840000', '1', '1', '/', NULL, 15, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('07E98C9AAF91A43EBA55469EAEFB9758', '耗材', '018DB548F851B29EE0E9CE0E7F684CA8', '洗瓶', 'n/a', NULL, '500ml', '2023-08-07 15:33:20.775000', '2023-08-07 15:33:20.775000', '1', '1', '/', NULL, 11, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('0800F2C234FC28C0FCF128DBF21845F8', '试剂', '394D2138D494C296800683C9C4E26A82', '乙酸乙酯', '沪试', NULL, '500ml/瓶', '2023-08-07 15:36:50.368000', '2023-08-07 15:36:50.368000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('09762935F90D3A3CE081EB3273DED9D5', '耗材', 'A6EF41346BFDB97D559527CEB063B584', '滴管', 'n/a', NULL, '12cm', '2023-08-07 15:30:56.352000', '2023-08-07 15:30:56.352000', '1', '1', '/', NULL, 20, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('0A522305BB79DAFAF60993FE46239DD0', '试剂', '68319C85F4B05AD9E68A9482D74AF25B', 'TBTU, O-苯并三氮唑-N,N,N\',N\'-四甲基脲四氟硼酸酯', '阿拉丁', NULL, '98%, 100g/瓶', '2023-08-07 15:38:03.846000', '2023-08-07 15:38:03.846000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, '125700-67-6', 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('0B05F24648B4910BE135ABF4D197EEA1', '耗材', 'EEFDFB60C61A65B659B9BF09DC92C7B7', '一次性塑料烧杯', 'n/a', NULL, '50ml', '2023-08-07 15:34:31.056000', '2023-08-07 15:34:31.056000', '1', '1', '/', NULL, 18, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('0BA2A58F1DA5EBDAADA87CB9A04FCCFB', '试剂', 'BCFEC7D0419DE459480002B8A3A69D65', '乙酸', '科密欧', NULL, '500ml/瓶', '2023-08-07 15:37:49.797000', '2023-08-07 15:37:49.797000', '1', '1', '/', NULL, 9, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('0CAE9013D6226D176F260DD378278040', '试剂', '4E8A9A59F899B08A6E5FB58352985ED6', '甲醇', '科密欧', NULL, '500ml/瓶', '2023-08-07 15:36:47.830000', '2023-08-07 15:36:47.830000', '1', '1', '/', NULL, 5, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('0CD94ACD61CF38B52FA4555AD39CF46D', '试剂', '75F357D2AD2B9D13D7C7D4F8FB3F3B28', '氢氧化钾', '光复', NULL, '500g/瓶', '2023-08-07 15:37:01.611000', '2023-08-07 15:37:01.611000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'GR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('0D816B313D823F86FA076828DE41A1B5', '耗材', '0138AED6BEFD91FE65F95ECF36BF78D0', '干燥器', 'n/a', NULL, '210mm', '2023-08-07 15:34:21.570000', '2023-08-07 15:34:21.981000', '1', '1', '/', NULL, 2, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('10DCC4172CA9C217C3EDE961BC2EEC00', '试剂', '3186FFC751572631B2B9BEF98AEB0E3F', '4-(三氟甲基)氯苄', '阿拉丁', NULL, '>97.0%(GC)，25g/瓶', '2023-08-07 15:37:58.116000', '2023-08-07 15:37:58.116000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, '939-99-1', 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('116AD240B234D91B813A1DDBD42D33FE', '耗材', '8A4DD497041F257DC241899F963BC079', '气相进样针', '岛津', NULL, '10ul', '2023-08-07 15:30:38.448000', '2023-08-07 15:30:38.448000', '1', '1', '/', NULL, 22, '进样针', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('11AFD6235B224239FB504A1D9C15EB7D', '耗材', '00451C90D70615792C4B1C81FD6020C4', '进样小瓶盖', '安捷伦', NULL, '2ml,5182-0717，100个/包', '2023-08-07 15:34:24.043000', '2023-08-07 15:34:24.043000', '1', '1', '/', NULL, 19, '普通耗材', '1', '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('12DF34B6F6B999C953414D41ED5C5D6B', '耗材', '56C7E762DC86C51F1672E018277D71DA', '药匙', 'n/a', NULL, '16cm', '2023-08-07 15:33:01.920000', '2023-08-07 15:33:01.920000', '1', '1', '/', NULL, 6, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('12E11720D31267CFD4E49C2E3D535255', '试剂', '36A697E9443BF1658B3EF6D190360B1A', '正庚烷', '科密欧', NULL, '500ml/瓶', '2023-08-07 15:36:51.766000', '2023-08-07 15:36:51.766000', '1', '1', '/', NULL, 7, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('13202DDD3D168B0EE39FD7B97536ECC8', '试剂', '8834DF0D0CFF50BE539811B7AB6C70FC', '孕酮', 'VETEC', NULL, '25g/瓶,98%', '2023-08-07 15:37:42.505000', '2023-08-07 15:37:42.505000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'RG', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('13CAACFF9A5AD9BD508A0177BC618F26', '试剂', 'B6F28EC8303DA17134FC584FB7F4C581', '无水硫酸镁', '科密欧', NULL, '500g/瓶', '2023-08-07 15:36:54.491000', '2023-08-07 15:37:44.321000', '1', '1', '/', NULL, 10, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('179F3531CBA5E69B20DD1A7EA06DD57B', '耗材', '8095F5693B7AFB044BEF0238BE7D6455', '橡皮吸球', 'n/a', NULL, '3ml', '2023-08-07 15:33:00.250000', '2023-08-07 15:33:00.250000', '1', '1', '/', NULL, 16, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('19BF813E76295B5A9C7B261587EE1EAA', '耗材', 'DEA5491CD6158FEEC3D028A08BEECDFB', '枪头', 'Brand', NULL, '1000ul', '2023-08-07 15:36:20.052000', '2023-08-07 15:36:20.052000', '1', '1', '/', NULL, 10, '普通耗材', '10', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('1A0633EBB95D8E11E100CA2205A7B2AF', '耗材', 'E22B55FE1EC89FB01A469622FF7D2294', '封口膜', 'Bemis', NULL, '4IN.*125FT.ROLL，PM-996', '2023-08-07 15:30:31.436000', '2023-08-07 15:30:31.436000', '1', '1', '/', NULL, 1300, '普通耗材', '100', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('1C0EC0B231557A6DEFE6220049625A06', '耗材', 'B42D5FF2A772984335EAA1342D266DFA', '微孔滤膜', 'GreenMall', NULL, '有机系（尼龙）,50mm,0.22um,50片/盒', '2023-08-07 15:34:45.186000', '2023-08-07 15:34:45.186000', '1', '1', '/', NULL, 4, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('1C1391B8EE3960EA8CC994BC92D13D78', '耗材', '580898C9034B29502B9F71345441E645', '密封垫', '岛津', NULL, '货号221-48398-91，20个/盒', '2023-08-07 15:30:40.632000', '2023-08-07 15:30:40.632000', '1', '1', '/', NULL, 1, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('1CED7559045BC10E130033AD4376650E', '试剂', '645FBBBDD5DC8BB2FF48C2BCC739F3B5', '甲醇', 'Supelco', NULL, '4L/瓶', '2023-08-07 15:36:40.991000', '2023-08-07 15:36:43.454000', '1', '1', '/', NULL, 42, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('1D73EAE75AA021968F3B98715DBBA198', '耗材', 'E0822406E503971E15D9C61F87FDCC75', '容量瓶', 'Brand', NULL, '100ml', '2023-08-07 15:33:23.269000', '2023-08-07 15:33:23.269000', '1', '1', '/', NULL, 13, '普通耗材', '2', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('1D7E10D3595F108104493C054B4AE28A', '试剂', 'C2FCC520B0F284133B73771252E31937', '丙三醇', '科密欧', NULL, '500ml/瓶', '2023-08-07 15:36:57.923000', '2023-08-07 15:37:45.315000', '1', '1', '/', NULL, 30, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('1E2E748ABA35C4A76438D3DA113C4625', '耗材', '3C32A48ECD51CB0227232580562069A7', '收纳盒', 'n/a', NULL, 'n/a', '2023-08-07 15:34:39.828000', '2023-08-07 15:34:39.828000', '1', '1', '/', NULL, 2, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('20F7D73CC111A2369CEA4CA9DF68282C', '试剂', 'E9746B3269FE9F3B4ED6201837075699', 'L-缬氨酰胺盐酸盐', '阿拉丁', NULL, '98%，25g/瓶', '2023-08-07 15:37:58.709000', '2023-08-07 15:37:58.709000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, '3014-80-0', 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('211371159AE4F54E9F068FFAF77BCF55', '耗材', 'D688CC69822A3A7F2B2A8A6ACBA23691', '密封垫', '岛津', NULL, '货号221-48972-91，20个/盒', '2023-08-07 15:30:39.917000', '2023-08-07 15:30:39.917000', '1', '1', '/', NULL, 1, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('213684C2E7D9985F3FDC9B78C91FE20C', '耗材', 'E2D91DFA2C817E35E9DCCD79DBD55637', '塑料离心管', 'n/a', NULL, '5ml，400支/袋', '2023-08-07 15:33:12.078000', '2023-08-07 15:33:12.078000', '1', '1', '/', NULL, 2, '普通耗材', '1', '/', '常规贮存', NULL, '袋', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('216610B67A14F419D97EB7A059612740', '耗材', 'A5E58EA85E8D595CEEAD33A2D3808D28', '刮刀', 'n/a', NULL, '10cm', '2023-08-07 15:33:07.731000', '2023-08-07 15:33:07.731000', '1', '1', '/', NULL, 3, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('222EDCF70C35B31D510872087033782B', '耗材', '891DBDCA9192734D8CB0FEC3393E3D5E', '移液枪', 'Sartorius', NULL, '1-10ml', '2023-08-07 15:32:54.419000', '2023-08-07 15:32:54.419000', '1', '1', '/', NULL, 2, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('226E8279BF629958347A75D5B79B7E8A', '耗材', 'F135FAAD06A9832BFCFCD17A32853E6B', '物证封装袋', 'n/a', NULL, '43*31cm', '2023-08-07 15:30:30.873000', '2023-08-07 15:30:30.873000', '1', '1', '/', NULL, 1300, '普通耗材', '100', '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('23A4EDC27170328085B3A1BA55525424', '耗材', '0E61BDE4FA7F220939C0CB3F01BB70F0', '丝口试剂瓶', 'n/a', NULL, '5000ml', '2023-08-07 15:33:21.318000', '2023-08-07 15:33:21.318000', '1', '1', '/', NULL, 6, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('259E6366D7CADCD8F06C7D05BA9937F2', '耗材', 'F1E6384E3A981BB4BA55EA276C7B3503', '连盖离心管', 'CYPRESS', NULL, '5ml，300支/袋', '2023-08-07 15:33:13.929000', '2023-08-07 15:33:13.929000', '1', '1', '/', NULL, 30, '普通耗材', '1', '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('25B31A9A724F8739DA872710C969016B', '耗材', '164A1E418AA57EF3FA1709FBDCDFD2D5', '量筒', 'Bomex', NULL, '50ml', '2023-08-07 15:34:18.077000', '2023-08-07 15:34:18.077000', '1', '1', '/', NULL, 10, '普通耗材', '10', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('26A23F26F04604FF442EC963FC158500', '耗材', '1C45AAAA7FDF17A6602269CFEE102380', '容量瓶', 'Brand', NULL, '2ml', '2023-08-07 15:33:26.498000', '2023-08-07 15:33:26.498000', '1', '1', '/', NULL, 2, '普通耗材', '2', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('2BAA76D67D48220293EF1880EF86A016', '试剂', 'E388F04926F2F731AA2C8F69C9A0783A', '氘代DMSO', 'CIL', NULL, '0.6mLx10,99.8%', '2023-08-07 15:37:34.278000', '2023-08-07 15:37:34.278000', '1', '1', '/', NULL, 8, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('2BF2AA668E059AE72A9E6A6FDC024CFB', '耗材', '2E90FCD4F093F3E8081C07EFB53A819E', '血清移液管', 'n/a', NULL, '2ml', '2023-08-07 15:30:49.505000', '2023-08-07 15:30:49.505000', '1', '1', '/', NULL, 17, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('2D9729D048D9C559F3FFB665F6B2E18E', '耗材', 'EF8CED4F364BDAE2D21F7EDCC36E6427', '手术剪', '安其生', NULL, '12.5cm弯尖', '2023-08-07 15:32:58.675000', '2023-08-07 15:32:58.675000', '1', '1', '/', NULL, 5, '普通耗材', '1', '/', '常规贮存', NULL, '把', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('2F332EFEC48901084BFE8210D36012E2', '耗材', '142E623D92FD6013619D2BFA2B8CBA00', '牛皮纸物证袋', 'n/a', NULL, '10.2*8.8cm', '2023-08-07 15:30:24.689000', '2023-08-07 15:30:24.689000', '1', '1', '/', NULL, 170, '普通耗材', '10', '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('3209BE685045A450DF03AF251221364C', '耗材', 'EBF047954979B77DE64CD9F418C0E866', '螺纹试剂瓶', '蜀牛', NULL, '80ml', '2023-08-07 15:34:27.332000', '2023-08-07 15:34:27.332000', '1', '1', '/', NULL, 9, '普通耗材', '20', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('325C877C7B85E83984333E7EAAA3FFAD', '耗材', 'AB3C762EC309876321351F5BF5ADA7AE', '橡皮吸球', 'n/a', NULL, '1ml', '2023-08-07 15:33:00.922000', '2023-08-07 15:33:00.922000', '1', '1', '/', NULL, 20, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('347719E414C23AD2EA80DB282E8E7AC2', '耗材', 'D0166F22A50A17BFF28D27F974E17297', '物证封装袋', 'n/a', NULL, '30*22cm', '2023-08-07 15:30:30.327000', '2023-08-07 15:30:30.327000', '1', '1', '/', NULL, 1300, '普通耗材', '100', '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('34A30E68A2A191EFAF5194FDD1AD9CE0', '耗材', '5F8139F9B3D6EEFB1D2A5B5692C5023B', '离心管架', 'n/a', NULL, '4X5，20孔', '2023-08-07 15:36:27.772000', '2023-08-07 15:36:27.772000', '1', '1', '/', NULL, 17, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('34EA160112B9669CE84375E71027EFEC', '试剂', '69E5D0D19023F961C27D5A7F4DF3D5F6', '1H-吲唑-3-羧酸甲酯', '阿拉丁', NULL, '97%，5g/瓶', '2023-08-07 15:37:54.238000', '2023-08-07 15:37:54.238000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, '43120-28-1', 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('3528CC3BF71C8DB4EA399BD26204B0A5', '试剂', '48EC487AE05A7A560F4C77171AA5EB69', '氘代DMSO', 'CIL', NULL, '50ml/瓶', '2023-08-07 15:37:41.290000', '2023-08-07 15:37:41.290000', '1', '1', '/', NULL, 3, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('355B38F4AE2F1F6E44C82DD2FD2E0737', '耗材', '56E22A84F698CE78C3933CECE54D2482', '进口滤膜', '津隆', NULL, '25mm，100片/盒，水洗聚醚砜（PES），0.22um，货号：JLSP202202', '2023-08-07 15:34:44.474000', '2023-08-07 15:34:44.474000', '1', '1', '/', NULL, 5, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('36AD5C075F94BB71FFD92586CE24B5A9', '试剂', '00531ECB5197A8DBFFBF21A6E31B73A6', '正十九烷', 'Sigma-Aldrich', NULL, '25g/瓶,99%', '2023-08-07 15:36:52.510000', '2023-08-07 15:36:52.510000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, '其他', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('36EE97523CB735EB036A167920CA3D7E', '耗材', '3A7CD812B8F2248CE3529D5AC16D4B94', '血清移液管', 'n/a', NULL, '1ml', '2023-08-07 15:30:48.831000', '2023-08-07 15:30:48.831000', '1', '1', '/', NULL, 20, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('36F525450A2CC833F124636EE6CF5E19', '耗材', '244998CCBE0453045562B3AD2DB7A716', '容量瓶', 'Brand', NULL, '25ml', '2023-08-07 15:33:24.511000', '2023-08-07 15:33:24.511000', '1', '1', '/', NULL, 36, '普通耗材', '2', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('38035D1AEE296D70DF06CBA008596CE5', '试剂', '25865FA402CC8636E9F419F181032511', '乙醇', '西陇', NULL, '500ml/瓶', '2023-08-07 15:36:41.674000', '2023-08-07 15:36:41.674000', '1', '1', '/', NULL, 9, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('3A0872706BE58C1812D8E0B410025C27', '试剂', '86A2C1E9102EF35C2B0F7A2581687793', '氘代氯仿', 'CIL', NULL, '0.6mLx10,99.8%', '2023-08-07 15:37:43.285000', '2023-08-07 15:37:43.285000', '1', '1', '/', NULL, 5, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('3B5F51C63090761DAC1C9E4ABFFC2CAC', '试剂', '7E06C0BBB18B9A79096FFC20E5B7B9F5', '石油醚', '津东天正', NULL, '500ml/瓶', '2023-08-07 15:37:44.784000', '2023-08-07 15:37:44.784000', '1', '1', '/', NULL, 10, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('3BA82E22AE9B49C238667145968A1C8B', '耗材', '8ABD543384FBB5A8BC2C732B6CD2B1E8', '点样毛细管', '垒固', NULL, '0.3x1000，1000支', '2023-08-07 15:36:31.690000', '2023-08-07 15:36:31.690000', '1', '1', '/', NULL, 36, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('3C3F75C3DBD46A11DE539508FC9F942E', '耗材', '1DFD4106F8B89B85AFB5259CB2AFABC6', 'InfinityLab Poroshecll 120 PFP', 'agilent', NULL, '4.6*250mm,4um', '2023-08-07 15:30:32.825000', '2023-08-07 15:30:32.825000', '1', '1', '/', NULL, 1, '色谱柱', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('3D226807C36C1D18DBC7297813B13B18', '耗材', 'BC16F1B86AEAB5AF6A4C733A0A73694D', '塑料吸管', 'n/a', NULL, '2ml，100支/袋', '2023-08-07 15:33:09.948000', '2023-08-07 15:33:09.948000', '1', '1', '/', NULL, 8, '普通耗材', '1', '/', '常规贮存', NULL, '袋', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('3DEE8E91A090E479A0177096207FE8E1', '试剂', '6A7CBA49B3C28071925AA41C35F1451A', '甲苯', 'fisher', NULL, '4L/瓶', '2023-08-07 15:36:44.882000', '2023-08-07 15:36:44.882000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('3F42DC01DEFFFF40E41299BC7CC7C9E3', '试剂', 'A2046BB28D505ECF03E6177732A170FD', 'EDCI , 1-乙基-(3-二甲基氨基丙基)碳二亚胺盐酸盐', '阿拉丁', NULL, '98%，100g/瓶', '2023-08-07 15:38:00.451000', '2023-08-07 15:38:00.451000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, '25952-53-8', 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('408BF56C63AA68F86E3E333558D41D4A', '试剂', '01BA4386D218AF388B671914A0E9BB82', '丙二酸二乙酯', '阿拉丁', NULL, '0.99', '2023-08-07 15:36:48.584000', '2023-08-07 15:36:48.584000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('40A13C4095DD2401432FD287B2BAFDBE', '试剂', 'AE5BE308ECA111AC72A6DB6E203E70A6', '4-氟苄溴', '阿拉丁', NULL, '97%，25g/瓶', '2023-08-07 15:37:56.162000', '2023-08-07 15:37:56.162000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, '459-46-1', 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('411102F1C6C221FB5C5481AEDFF7AD15', '试剂', '097C70D112714524642C73358077F01B', '三氯甲烷', '科隆', NULL, '500ml/瓶', '2023-08-07 15:36:58.705000', '2023-08-07 15:36:58.705000', '1', '1', '/', NULL, 19, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'GR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('41561E87F072EDC49E6EF4677E1FE703', '耗材', 'D4352D769EEFB32FCA28A33139C5784F', '保鲜自封袋9号', '苹果', NULL, '280x200mm', '2023-08-07 15:30:20.916000', '2023-08-07 15:30:20.916000', '1', '1', '/', NULL, 400, '普通耗材', '100', '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('41C71723ADEA896729021DC881B18B31', '耗材', '093AE0B83CF8020566FCC027799E9B4C', '塑料吸管', 'n/a', NULL, '1ml，100支/袋', '2023-08-07 15:33:08.828000', '2023-08-07 15:33:08.828000', '1', '1', '/', NULL, 10, '普通耗材', '1', '/', '常规贮存', NULL, '袋', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('422249DF7FEF637A2A30A61A82553192', '耗材', '8F2037D60AB31DFD078753FAB8D6DCF1', '自吸过滤式防毒面具', '唐丰', NULL, 'TF503型', '2023-08-07 15:34:12.325000', '2023-08-07 15:34:12.325000', '1', '1', '/', NULL, 8, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('43FF98996E240623A3D106E5AC62862B', '耗材', '5CD9478AB4B040086EF36B380C9C2B02', 'LG玻板抽滤漏斗', '垒固', NULL, '250ml', '2023-08-07 15:34:32.639000', '2023-08-07 15:34:32.639000', '1', '1', '/', NULL, 4, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('4407444707F18777735E34626952C2C3', '试剂', '51EA02B8DE70156912CB35879E47B3BD', '三（羟甲基）氨基甲烷', '阿拉丁', NULL, '0.999', '2023-08-07 15:37:03.394000', '2023-08-07 15:37:03.394000', '1', '1', '/', NULL, 3, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, '标准缓冲物质', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('483A42835B860A765088E8146DFBE47E', '试剂', '5139FC53B48B494AE8ADAE8DF5937121', '三乙胺', '百灵威', NULL, '1L/瓶,99.7%', '2023-08-07 15:37:04.569000', '2023-08-07 15:37:04.569000', '1', '1', '/', NULL, 5, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('49195449CCA612351AEF80B0F6047E1C', '耗材', 'E075111E085C24410795CC6AF951CF61', '枪头', 'brand', NULL, '50-1000ul', '2023-08-07 15:33:16.786000', '2023-08-07 15:33:16.786000', '1', '1', '/', NULL, 80, '普通耗材', '10', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('49609A9EA4737DC3DBA5EA6C1EC47DE3', '耗材', 'AD5787F5B41602692F655CA7F907271A', '称量瓶', 'n/a', NULL, '25x40', '2023-08-07 15:34:20.099000', '2023-08-07 15:34:20.099000', '1', '1', '/', NULL, 10, '普通耗材', '10', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('49F0F21A9476D7BDD2782BD43A84105B', '试剂', 'A79CAD33FFD704B7C5F5176B7EF5968A', '八氟萘', 'Merck', NULL, '1g/瓶,96%', '2023-08-07 15:37:39.886000', '2023-08-07 15:37:39.886000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'RD', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('4A8897BF46B13DEFB279E3804E622FDB', '耗材', 'DA065C1395A411DC7E5E404BBBCE0C51', '枪头', 'sartorius', NULL, '10ul', '2023-08-07 15:34:53.240000', '2023-08-07 15:34:53.240000', '1', '1', '/', NULL, 3, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('4BC5B17DA45F4C108DA8206031DDB6CD', '耗材', '9BA758B4F99742158113A272F4F98189', 'Shim-pack GIST', '岛津', NULL, '4.6*150mm,5um', '2023-08-07 15:30:33.896000', '2023-08-07 15:30:33.896000', '1', '1', '/', NULL, 4, '色谱柱', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('4E65D5BF12D7B29DEDFDDFE1ACD5F9E1', '耗材', '39D02BD5F462924DC30BC18405917852', '塑料吸管', 'n/a', NULL, '0.2ml，500支/袋', '2023-08-07 15:33:09.456000', '2023-08-07 15:33:09.456000', '1', '1', '/', NULL, 4, '普通耗材', '1', '/', '常规贮存', NULL, '袋', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('4F36E56264275B7520764FA169B20D77', '试剂', 'E43F52B0A0A8CBE7C49A6B6C7851805D', '石油醚', '利安隆博华', NULL, '500ml/瓶', '2023-08-07 15:36:49.207000', '2023-08-07 15:36:57.130000', '1', '1', '/', NULL, 40, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('4FC51D3B7F2C178DA2C359C56A5A202A', '耗材', 'D333EC2035E9EAEED2D06192ACFC636F', '物证封装袋', 'n/a', NULL, '16.5*12cm', '2023-08-07 15:30:29.620000', '2023-08-07 15:30:29.620000', '1', '1', '/', NULL, 1300, '普通耗材', '100', '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('505E6875657AEC06475678AEBDE6B4DE', '耗材', 'F4A4D81D1FDA3EBDA45747CC9D47BF38', '圆底烧瓶', '申迪', NULL, '500ml', '2023-08-07 15:34:15.121000', '2023-08-07 15:34:15.121000', '1', '1', '/', NULL, 19, '普通耗材', '10', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('5114EEAB9AD338EF3BC4FDD7A2F01E78', '试剂', '0CDBB88E9E6F7D5AC54F28B969E2D358', '碳酸氢钠', '大茂', NULL, '500g/瓶', '2023-08-07 15:37:00.528000', '2023-08-07 15:37:00.528000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'GR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('521CC17FAC4183B67A2C28826AE2E791', '耗材', '4E6E2670DA4B436067DB4040D53F8408', '进口滤膜', '津隆', NULL, '13mm，水洗聚醚砜（PES）,0.45um，货号：JLSP054501', '2023-08-07 15:34:51.867000', '2023-08-07 15:34:51.867000', '1', '1', '/', NULL, 9, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('529745FA6DE58F6BF76A2DCC9A9EE11F', '试剂', 'D0E6030C914F0689875B7AB1F5DC42FF', '4-氟氯苄', '阿拉丁', NULL, '98%，25g/瓶', '2023-08-07 15:37:56.698000', '2023-08-07 15:37:56.698000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, '352-11-4', 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('531BF0E40611413F0DEBE7A0548BE5C6', '耗材', 'B2809046CA41FA525598AAAEA166F29B', '小口试剂瓶', '蜀牛', NULL, '2500ml', '2023-08-07 15:34:24.809000', '2023-08-07 15:34:24.809000', '1', '1', '/', NULL, 20, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('537972BBF71118C3B5F4C406F2C72C2A', '试剂', '0F213C0ED1A14B88D92DE8AAC7BEB461', '乙腈', 'Thermo', NULL, '4L/瓶', '2023-08-07 15:37:50.723000', '2023-08-07 15:37:50.723000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC，GC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('53E203A78DFC0BCB73992DD6799C1E50', '耗材', '74F6DA8D9CF5A4F717EA9F86602F36FF', '进样小瓶', '安捷伦', NULL, '2ml,5182-0714，100个/盒', '2023-08-07 15:34:23.529000', '2023-08-07 15:34:23.529000', '1', '1', '/', NULL, 20, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('54F14074B3DD618EB9DAC6AA03B18D43', '耗材', '755876214A9224FA7D03F90EFAE0F20F', '移液管', 'MC', NULL, '50ml', '2023-08-07 15:30:46.145000', '2023-08-07 15:30:46.145000', '1', '1', '/', NULL, 20, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('5568B8EDB32866BE65717F2A7C2830D8', '试剂', '1DDBAB71B05F209909564702EF10B551', '异辛烷', 'Supelco', NULL, '1L/瓶', '2023-08-07 15:37:53.468000', '2023-08-07 15:37:53.468000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('557561FDA370362C71069F445DAAFF05', '试剂', '8F8B250118A466601C1DDF6B182442CF', 'HOBT, 1-羟基苯并三唑一水合物', '阿拉丁', NULL, '≥97.0%, 100g/瓶', '2023-08-07 15:38:02.329000', '2023-08-07 15:38:02.329000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, '123333-53-9', 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('5795DAD450B946C76745C10E4D6D3F4D', '试剂', 'A302F88E48E5972D4906029579DE21B6', '丙二酸二乙酯', '麦克林', NULL, '99%，500ml/瓶', '2023-08-07 15:36:39.909000', '2023-08-07 15:36:39.909000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('57BB15D10784D228845DF9403D7700D3', '试剂', '7EC164D0733886D977FD0E249D5CB63E', '丙酸酐', '成都艾科', NULL, '98%，500g/瓶', '2023-08-07 15:37:47.157000', '2023-08-07 15:37:47.157000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('5813CCEECE913A7AFA42EAFDEB110C77', '耗材', '3A1DB7700E66ABF1790BD9CDE1AFB89C', '枪头', 'Brand', NULL, '200ul', '2023-08-07 15:36:19.600000', '2023-08-07 15:36:19.600000', '1', '1', '/', NULL, 8, '普通耗材', '10', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('5835FD8ABBCEB9708665AB4A9599F50F', '耗材', '71D7226D3710BDFFEDC886C632BF7394', '容量瓶', 'Brand', NULL, '50ml', '2023-08-07 15:33:23.826000', '2023-08-07 15:33:23.826000', '1', '1', '/', NULL, 11, '普通耗材', '2', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('591F205D2E27CFAF7EDE8D41A8EB5F8B', '耗材', '86701D15685D7E9F5A4998E854A5689E', '保鲜自封袋10号', '苹果', NULL, '340x240mm', '2023-08-07 15:30:20.286000', '2023-08-07 15:30:20.286000', '1', '1', '/', NULL, 100, '普通耗材', '100', '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('59879C86A4619D88015D19E1267F672C', '耗材', '2F86BEA371F267DACFB3020053E7489B', '塑料烧杯', 'n/a', NULL, '3000ml', '2023-08-07 15:34:40.433000', '2023-08-07 15:34:40.433000', '1', '1', '/', NULL, 7, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('5987F5971273E302F875AFA5D27FC4C0', '试剂', '602337AAB3BEA6B21364D9DB831326BF', '乙腈', 'Fisher', NULL, '4L/瓶', '2023-08-07 15:37:50.244000', '2023-08-07 15:37:50.244000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC，GC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('5B61261B4EB383D2E9CFD1C98D09F705', '耗材', '6DE9F9CB9F7A63AD0E0DEE35E5F56B5A', '顶空瓶', '安捷伦', NULL, '10ml,5182-0838', '2023-08-07 15:34:29.216000', '2023-08-07 15:34:29.216000', '1', '1', '/', NULL, 2, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('5B95AE5E2313D08348BD5BE268536A55', '耗材', '762F34F1BE58638FF8FB8573D798A1E8', '白色滴瓶', 'n/a', NULL, '125ml', '2023-08-07 15:33:19.087000', '2023-08-07 15:33:19.087000', '1', '1', '/', NULL, 20, '普通耗材', '10', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('5C3B49090C6505BAE4582E5D4975DB74', '耗材', '31E3C58322524411EEB50F9E7D89EF1F', '定性滤纸', '皎洁', NULL, '9cm，中速', '2023-08-07 15:36:22.973000', '2023-08-07 15:36:22.973000', '1', '1', '/', NULL, 19, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('5D21DFACDC699F25E03D4AA7F3EB1716', '试剂', 'B62A324CA9DC60C34DDDA53B0863F912', '茶碱', '百灵威', NULL, '98%,5g/瓶', '2023-08-07 15:37:41.801000', '2023-08-07 15:37:41.801000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'RD', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('6067D68A9BED926C37C915D7E07E4155', '耗材', '472D1E36C63F80BDE066597018339060', '试管刷', 'n/a', NULL, '无', '2023-08-07 15:36:32.297000', '2023-08-07 15:36:32.297000', '1', '1', '/', NULL, 75, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('60EEDE23F2FB97C47DD30B6B3557F62C', '试剂', 'ABBF962315BB9B580B63A7323AAB1AED', 'DCC , N,N\'-二环己基碳二亚胺', '阿拉丁', NULL, '99%, 100g/瓶', '2023-08-07 15:37:59.754000', '2023-08-07 15:37:59.754000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, '538-75-0', 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('63050B8794AA0F22FCC4FD3461B670A9', '耗材', 'DE5788046EAA95F40D00A0929A34E92B', 'Kinetex Biphenyl', '飞诺美', NULL, '100*3.0mm,2.6um', '2023-08-07 15:30:34.599000', '2023-08-07 15:30:34.599000', '1', '1', '/', NULL, 1, '色谱柱', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('633B28095AD28BF57B1124A2087357F9', '耗材', 'AEBB5CD9428E71CD109199DD92F869DB', '废液瓶架', 'n/a', NULL, 'n/a', '2023-08-07 15:36:33.853000', '2023-08-07 15:36:33.853000', '1', '1', '/', NULL, 14, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('635B9CADBAD6B4586BB1C6AF6152E0D4', '试剂', 'B5024E2AB89F183774FDB1D8C4F00BEC', 'DMAP, 4-二甲氨基吡啶', '阿拉丁', NULL, '99%, 100g/瓶', '2023-08-07 15:38:01.587000', '2023-08-07 15:38:01.587000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, '1122-58-3', 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('6383F0B5A10BAC90B888F8AD47E35EE9', '试剂', 'C038C54C67FD3E455B198D372E6E6E8A', '磺胺', 'Sigma-Aldrich', NULL, '5g/瓶', '2023-08-07 15:37:36.520000', '2023-08-07 15:37:36.520000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'RD', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('63A7E7F6A2B4C77274F74E2D24230B58', '试剂', '83E5C4312779D4946E3BBFC13A8A69BB', '甲酸', 'SturdeeSeal', NULL, '50ml/瓶', '2023-08-07 15:36:37.427000', '2023-08-07 15:36:37.427000', '1', '1', '/', NULL, 4, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'LC/MS级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('641C24C1290261A1AFA70444C6745565', '耗材', '6916A4B8B2C2E3F2E6B3856E5689D042', '研钵', '垒固', NULL, '15ml', '2023-08-07 15:33:28.390000', '2023-08-07 15:33:28.390000', '1', '1', '/', NULL, 5, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('642929B9EC1DFDE3723ED36C5B0B0E25', '试剂', 'DD9E129232304F82EE1ABFDD8DFE384A', 'DIC, N,N′-二异丙基碳二亚胺', '阿拉丁', NULL, '≥98.5%，100ml/瓶', '2023-08-07 15:38:00.928000', '2023-08-07 15:38:00.928000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, '693-13-0', 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('64EEFDE827D94A013BC895238635CD45', '耗材', '8C158B1C740A3D4C869D05C5A1F6FE69', '一次性使用无菌注射器 带针', '治宇', NULL, '1ml，200支/盒', '2023-08-07 15:34:22.469000', '2023-08-07 15:34:22.469000', '1', '1', '/', NULL, 3, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('670E46E8A2194B2CBC7B73A59910685B', '耗材', '64BC7D5FA7983FF6479F0C92470626AB', '药匙', 'n/a', NULL, '20cm', '2023-08-07 15:33:02.741000', '2023-08-07 15:33:02.741000', '1', '1', '/', NULL, 5, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('68B1C4CD110CCBF01A99956877B5944F', '耗材', 'C96C32DAE04B9C8EFC0B928EED1E775F', '试管帽', 'n/a', NULL, 'Φ18', '2023-08-07 15:33:04.141000', '2023-08-07 15:33:04.141000', '1', '1', '/', NULL, 30, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('69238D3EC9A163A2A826CA990197BCC9', '耗材', 'C003B18CE042E50BA19E0971F8FC2851', '表面皿', 'n/a', NULL, 'Φ60mm，10个/盒', '2023-08-07 15:32:53.175000', '2023-08-07 15:32:53.175000', '1', '1', '/', NULL, 5, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('69C8A04B1E0064D0AB4C714B57F627FB', '耗材', '53C0DEB678AA3A10506DAB5A0E444BF8', '一次性蓝色丁腈手套', '柯沃', NULL, 'L', '2023-08-07 15:36:21.831000', '2023-08-07 15:36:21.831000', '1', '1', '/', NULL, 1, '普通耗材', '10', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('6A20EBE631F871383CED5E1607E5856B', '耗材', 'CCD7B7B0ECA297F088ED476CBF21C128', '标准漏斗', 'n/a', NULL, 'n/a', '2023-08-07 15:34:33.459000', '2023-08-07 15:34:33.459000', '1', '1', '/', NULL, 19, '普通耗材', '10', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('6B2F0ACD7281D691806E44438A8678C3', '耗材', '7D16B6C8DFED62A7081D0863799BEB66', '研钵', '垒固', NULL, '12ml', '2023-08-07 15:33:29.079000', '2023-08-07 15:33:29.079000', '1', '1', '/', NULL, 4, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('6CD36A96A2AC1CE8FDDF2575BED2910A', '耗材', 'C66863AC82EF4A07EAA60AD79F4CA465', '滴管', 'n/a', NULL, '10cm', '2023-08-07 15:30:55.733000', '2023-08-07 15:30:55.733000', '1', '1', '/', NULL, 20, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('6E064718AE991136D4E1EDCCEE3BF0A6', '耗材', 'D33F92F87E82492B04AB7F6D4C5A03B3', '试管', 'n/a', NULL, '15*150mm', '2023-08-07 15:30:44.434000', '2023-08-07 15:30:44.434000', '1', '1', '/', NULL, 26, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('6F1B999DBA68D8088CDF87312F414FBF', '耗材', '74C19B1ACE20DBFA74D724E0EEB08C98', '洗瓶', 'n/a', NULL, '250ml', '2023-08-07 15:33:20.136000', '2023-08-07 15:33:20.136000', '1', '1', '/', NULL, 18, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('6F767F75DD1FBCF89CD0618B9D0C017E', '试剂', '2DD4DBF5D49052B198CB67B0E13C55B6', '二甲基砜', 'Sigma-Aldrich', NULL, '100g/瓶', '2023-08-07 15:36:38.778000', '2023-08-07 15:36:38.778000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('6FBC401C9E5B19213546A53CA42D6AE6', '试剂', '0AF14171948F730B6E6E3D2391DAFF50', '甲醇', 'Supelco', NULL, '4L，LC/MS级', '2023-08-07 15:37:32.164000', '2023-08-07 15:37:32.164000', '1', '1', '/', NULL, 4, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'LC/MS级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('732AAE5A83F1E1F42626FF27F49EE75C', '耗材', 'B6404D5C5A1E4070B0E98E3D5958019A', '滴管', 'n/a', NULL, '15cm', '2023-08-07 15:30:57.178000', '2023-08-07 15:30:57.178000', '1', '1', '/', NULL, 20, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('7405AA456534C711E9945E50CB882857', '试剂', 'C4C69A812F4E91AA017ACE86ED8D7CA3', '氢氧化钠（片状）', '科密欧', NULL, '500g/瓶', '2023-08-07 15:37:02.888000', '2023-08-07 15:37:02.888000', '1', '1', '/', NULL, 3, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('759A9962DD25A0A083AAAE9D539E8761', '耗材', 'AF283DF006F94E987783D9A723A43B47', 'LG玻板抽滤漏斗', '垒固', NULL, '100ml', '2023-08-07 15:34:31.848000', '2023-08-07 15:34:31.848000', '1', '1', '/', NULL, 5, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('75A79A01C2F7B617B2A1C789A4D20378', '耗材', 'B49AF0E77FC8F15DEEADE629298F2EC4', '进口滤膜', '津隆', NULL, '25mm，100片/盒，有机尼龙66，0.45um，货号：JLSN184502', '2023-08-07 15:34:42.399000', '2023-08-07 15:34:42.399000', '1', '1', '/', NULL, 19, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('76D58253CE469AFF2F134C79D0A50602', '耗材', 'C6A48FE46881A23CCF263C180F1D0FC7', '白色药瓶', 'n/a', NULL, '20ml', '2023-08-07 15:33:13.442000', '2023-08-07 15:33:13.442000', '1', '1', '/', NULL, 20, '普通耗材', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('7804905FE29BC2569AB7037B3B3CC5CB', '耗材', '4FCCAB116AD0D5E388BD3F9F177A2DD2', '牛皮纸物证袋', 'n/a', NULL, '40*20cm', '2023-08-07 15:30:27.545000', '2023-08-07 15:30:27.545000', '1', '1', '/', NULL, 170, '普通耗材', '10', '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('789A1AEA5D866488CE1B2A3F47BE1B16', '耗材', 'C10C15842D355F161AA83A683F16AE3B', '白色滴瓶', 'n/a', NULL, '60ml', '2023-08-07 15:33:17.728000', '2023-08-07 15:33:17.728000', '1', '1', '/', NULL, 18, '普通耗材', '10', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('7991E770DE07B6C008022CAE8CF089C6', '试剂', '8DFBF7D817BFF34A459C4E4CCEED8389', '二氯甲烷', '国药集团', NULL, '≥99.5', '2023-08-07 15:37:51.963000', '2023-08-07 15:37:51.963000', '1', '1', '/', NULL, 8, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('79CC80C2A249CF667DB250B2F90BDB30', '耗材', '811A7A72E40A42BA2BAD71E4ED30C738', '镊子', 'n/a', NULL, '直头，20cm', '2023-08-07 15:33:06.981000', '2023-08-07 15:33:06.981000', '1', '1', '/', NULL, 2, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('7A6BD278CC4A08BCDA256DC1EFD3957E', '耗材', 'B6B3D596A9F72D2C12CCCF9CC4A599CB', '移液管', 'MC', NULL, '5ml', '2023-08-07 15:30:45.433000', '2023-08-07 15:30:45.433000', '1', '1', '/', NULL, 25, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('7AE1C4F046AFAC96AA10E4247EE83DF4', '耗材', '940BBDA352303E8EADF712C65846B64F', '试管架', 'n/a', NULL, '4x6', '2023-08-07 15:34:26.034000', '2023-08-07 15:34:26.034000', '1', '1', '/', NULL, 16, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('7B917E2ABCC5B9DB687AA3B5EAE29E2B', '耗材', '85FF2E0595827640E3A50E06E97883FF', '干燥器', 'n/a', NULL, '300mm', '2023-08-07 15:36:26.555000', '2023-08-07 15:36:27.089000', '1', '1', '/', NULL, 4, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('7C1FFCF012B340E66B6FCE77859DBAC6', '耗材', '215C4694C270F98AFFDDDD25D213DDA2', '试管', 'n/a', NULL, '18*180mm', '2023-08-07 15:30:44.928000', '2023-08-07 15:30:44.928000', '1', '1', '/', NULL, 30, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('7D61638408236A11ED9DD41CFF2A2744', '耗材', 'A1C0DC9BA7332C79FC40EBA95618FC53', 'O型圈', '安捷伦', NULL, '货号5188-5365，10个/盒', '2023-08-07 15:30:42.022000', '2023-08-07 15:30:42.022000', '1', '1', '/', NULL, 5, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('7D892F31D6FA9332B6CB94053CF909AE', '耗材', '1029CFD6734F216A16087944A869756E', '红色胶帽', '金利', NULL, 'n/a', '2023-08-07 15:32:59.289000', '2023-08-07 15:32:59.289000', '1', '1', '/', NULL, 200, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('7DE52783AAA572973D98E9163E3BD959', '耗材', '61C474011A1D8F6870A89E1DBBAF1252', '载玻片', 'SAIL BRAND', NULL, '25.4x76.2mm，50片，7102', '2023-08-07 15:36:28.989000', '2023-08-07 15:36:28.989000', '1', '1', '/', NULL, 39, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('7F68B7FD6808B9BE9A68CDCE8B47D453', '耗材', '9154A073A85CA39F5B4B0D8EE9A8B935', '移液管', 'MC', NULL, '2ml', '2023-08-07 15:30:48.051000', '2023-08-07 15:30:48.051000', '1', '1', '/', NULL, 15, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('8099684F002F02D763F46B6F82ADE673', '耗材', 'D2DB1A941ABA4D27685D764B73AAC8C9', '锥形瓶', 'Bomex', NULL, '250ml', '2023-08-07 15:36:33.077000', '2023-08-07 15:36:33.077000', '1', '1', '/', NULL, 9, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('82FADA15EF427389F51FD3B953B1E90D', '耗材', '2E983AB5BCCDB678342BCB3261859BB8', '高硼硅量筒', 'Bomex', NULL, '250ml', '2023-08-07 15:34:13.686000', '2023-08-07 15:34:13.686000', '1', '1', '/', NULL, 16, '普通耗材', '2', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('83B19AC2624F15565773D151CDD23B2D', '试剂', 'BBAF49D31EDF1FA98FEB6D9188D94521', '乙酸乙酯', '科密欧', NULL, '500ml/瓶', '2023-08-07 15:36:49.930000', '2023-08-07 15:36:49.930000', '1', '1', '/', NULL, 4, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('83E24815CCC4860E2F3484810AE269D1', '耗材', '1FF232E10510D1828861ED44A936EFDC', '擦镜纸', '杭州新星', NULL, '10*15cm', '2023-08-07 15:30:52.891000', '2023-08-07 15:30:52.891000', '1', '1', '/', NULL, 20, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('83E3DF525989442775B12EDAA394FEA0', '耗材', '4EF33C24C36B20192E348B1E12F63EBA', '枪头', 'Brand', NULL, '5ml，200支/包', '2023-08-07 15:34:41.061000', '2023-08-07 15:34:41.061000', '1', '1', '/', NULL, 4, '普通耗材', '1', '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('852CE9CBD6B436F68D688A402695F76D', '耗材', '1CDF5686482A98641B749E3B727B912D', '定量滤纸', '双联牌', NULL, '9cm，慢速', '2023-08-07 15:34:47.961000', '2023-08-07 15:34:47.961000', '1', '1', '/', NULL, 20, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('85AD444FDAC403A37DABFC05A84E6FA0', '耗材', 'FD3EA168479AAB7DA5A16CA597EC3D1F', '瓶口分液器', 'sartorius', NULL, '0.2ml-1ml', '2023-08-07 15:33:16.091000', '2023-08-07 15:33:16.091000', '1', '1', '/', NULL, 1, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('85C1525B6F30F84AA8133DE4BBC74CD1', '试剂', '9B70DD1BCA13D99297FBD7193A198501', '二氯甲烷', '科密欧', NULL, '500ml/瓶', '2023-08-07 15:36:47.208000', '2023-08-07 15:36:47.208000', '1', '1', '/', NULL, 5, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('8623FB47E7F57C49B5B13B7A29B00699', '耗材', '4F78CE16CE63E21FED9E9F3C18CC55D6', '称量瓶', 'n/a', NULL, '50x30', '2023-08-07 15:34:20.763000', '2023-08-07 15:34:20.763000', '1', '1', '/', NULL, 9, '普通耗材', '10', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('8719AA61BD2C7AD1606496ED9A23DB50', '试剂', 'C551568594025E6425F428F4CC23062C', '茶碱', 'TCI', NULL, '25g/瓶,98%', '2023-08-07 15:37:30.222000', '2023-08-07 15:37:30.222000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'RD', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('884E8EA245E3CABC0AC0BA04DBA168EE', '耗材', 'BFD45DE70FD45DC891E4ACAE2B876655', '进口滤膜', '津隆', NULL, '25mm，100片/盒，有机尼龙66，0.22um，货号：JLSN172202', '2023-08-07 15:34:43.116000', '2023-08-07 15:34:43.116000', '1', '1', '/', NULL, 19, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('888D9C1265BA0DC45B417B9C265633FE', '试剂', '02E83D37D5EE01F4F5D57343278C197E', '氘代甲醇', 'CIL', NULL, '50ml', '2023-08-07 15:37:33.587000', '2023-08-07 15:37:33.587000', '1', '1', '/', NULL, 3, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('89D73D9E2098371AD7825A15457B244B', '耗材', '6EDC54FBF595AFA3957BCD62B6AEEB8C', '塑料烧杯', 'n/a', NULL, '10ml', '2023-08-07 15:30:54.279000', '2023-08-07 15:30:54.279000', '1', '1', '/', NULL, 39, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('8AF9A1E4973B8AE26FE9FDD796D5E7AC', '耗材', '337EECBBA5F7DA69F2B01605F16BDD4D', '带塞溶剂瓶', 'n/a', NULL, '250ml', '2023-08-07 15:34:36.989000', '2023-08-07 15:34:36.989000', '1', '1', '/', NULL, 19, '普通耗材', '10', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('8BD9E0B211E9069E3F04D1ED8A6A7F49', '耗材', 'BA2CA6AFC26B68C386AF60AF492C5F61', '进口滤膜', '津隆', NULL, '13mm，有机尼龙66,0.45um，货号：JLSN024501', '2023-08-07 15:34:51.118000', '2023-08-07 15:34:51.118000', '1', '1', '/', NULL, 9, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('8C7AA7B6854234F653EEB469E1DFE92B', '试剂', '90A206FE06B75156D026821CCAA73E08', '正己烷', 'CNW', NULL, '4l/瓶', '2023-08-07 15:36:46.004000', '2023-08-07 15:36:46.004000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('8FA29318EF577363BFFB1A1160866A0F', '试剂', '489E426D395850BA47290102C7E14824', '叔丁醇', '科密欧', NULL, '500ml/瓶', '2023-08-07 15:37:29.543000', '2023-08-07 15:37:29.543000', '1', '1', '/', NULL, 3, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('8FFB4459309494D597A347689846C744', '耗材', '3E9BF5F3AF8F122BB1E5FF065AF70D21', '螺纹试剂瓶', '蜀牛', NULL, '250ml', '2023-08-07 15:34:26.867000', '2023-08-07 15:34:26.867000', '1', '1', '/', NULL, 8, '普通耗材', '10', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('90351A77D5704972BAA51668CE26C8CE', '耗材', 'B80D680E1050320966E988507C6881F9', '丝口试剂瓶', '蜀玻', NULL, '2000ml', '2023-08-07 15:34:22.999000', '2023-08-07 15:34:22.999000', '1', '1', '/', NULL, 12, '普通耗材', '3', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('9059BA456C6C10328050B1DA7331BC0D', '试剂', '88C5EFEBD97834A65965F5EBF55B99FC', '异丙醇', 'Supelco', NULL, '4L/瓶', '2023-08-07 15:36:36.077000', '2023-08-07 15:36:36.077000', '1', '1', '/', NULL, 3, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('91517D0FA30FFC0AE21649382A0E1406', '耗材', '8D2CB0670EA47879AABDCEEC9418046B', '玻璃冻存管', 'n/a', NULL, '棕色，5ml', '2023-08-07 15:32:52.485000', '2023-08-07 15:32:52.485000', '1', '1', '/', NULL, 19, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('91B94A60A6EC6331827556B81F3C0381', '耗材', '73F59F15202EF426B856E2513715529E', '塑料吸管', 'n/a', NULL, '5ml，100支/袋', '2023-08-07 15:33:10.654000', '2023-08-07 15:33:10.654000', '1', '1', '/', NULL, 10, '普通耗材', '1', '/', '常规贮存', NULL, '袋', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('91CDEA14DD3795111E8C78282E434911', '耗材', '53CEE1B8560E5AAB6A76AED8BE2F7935', '血清移液管', 'n/a', NULL, '25ml', '2023-08-07 15:30:50.860000', '2023-08-07 15:30:50.860000', '1', '1', '/', NULL, 21, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('922446C9643BDD5ABE078569A0795A2F', '耗材', '921A1AA79A9735F4C8C5896280322877', '保鲜自封袋7号', '苹果', NULL, '200x140mm', '2023-08-07 15:30:21.606000', '2023-08-07 15:30:21.606000', '1', '1', '/', NULL, 400, '普通耗材', '100', '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('932465384FC0EFF3FEFF129037253281', '耗材', '93B1E8071C9877CD92A6E90783E880E8', '密度计', '垒固', NULL, '0.6-2.0', '2023-08-07 15:36:25.857000', '2023-08-07 15:36:25.857000', '1', '1', '/', NULL, 14, '普通耗材', '14', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('9403BA0E47FE110D5314ACFA126BF65E', '耗材', '2F5976EB0A24864A5284EAF7A13F1645', '移液管', 'MC', NULL, '10ml', '2023-08-07 15:30:47.310000', '2023-08-07 15:30:47.310000', '1', '1', '/', NULL, 19, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('94AF1BED3ED965262F5F2391080A6AA0', '试剂', '8C191CF2585FE5C1378242661925FB93', '磷酸', 'Sigma-Aldrich', NULL, '0.85', '2023-08-07 15:36:38.063000', '2023-08-07 15:36:38.063000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('9500977704CA16E5FB10A01BA2B3505F', '试剂', 'B5450DADE2DCDF2100F618C70CD8B7D7', '叔丁醇钾', '阿拉丁', NULL, '98%，500g/瓶', '2023-08-07 15:37:54.929000', '2023-08-07 15:37:54.929000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('960A85DEEE7AC670992452F46E5ABBAD', '试剂', '8C857E51116A7D35C24B9E62684C556C', '乙醇', 'GRACE', NULL, '4L/瓶', '2023-08-07 15:36:46.534000', '2023-08-07 15:36:46.534000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('9702CD48384A5CD5BA9284414E54EEA5', '耗材', '30FE3DCECE20E17E9CE9AA4727BA06C3', '单凹片载玻片', 'SAIL BRAND', NULL, '25.4x76.2mm，50片，7103', '2023-08-07 15:36:28.431000', '2023-08-07 15:36:28.431000', '1', '1', '/', NULL, 3, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('9722BB96E496A49F03FF40C7CDB588C8', '耗材', 'E561DE0E1AE356249FF5134E816D0248', '一次性蓝色丁腈手套', '柯沃', NULL, 'S', '2023-08-07 15:36:20.599000', '2023-08-07 15:36:20.599000', '1', '1', '/', NULL, 42, '普通耗材', '10', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('973C2B1552AFD60574E88F4D0C1A1803', '耗材', '874618DDFD7973D71A61617C6F8246D1', '进口滤膜', '津隆', NULL, '13mm，水洗聚醚砜（PES）,0.22um，货号：JLSP042201', '2023-08-07 15:34:52.565000', '2023-08-07 15:34:52.565000', '1', '1', '/', NULL, 5, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('97AB71B8B411609D4BD809C0A066C75C', '耗材', '6B0F7889C40F7B658FC401EC3614E327', '枪头', 'Sartorius', NULL, '10ml，250个', '2023-08-07 15:36:29.672000', '2023-08-07 15:36:29.672000', '1', '1', '/', NULL, 6, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('989DAFEB85DCAC450B6BDC53E21289E8', '耗材', '6523699212A33CE47D8AF20FD7088607', '梨形分液漏斗', 'Bomex', NULL, '125ml', '2023-08-07 15:34:35.604000', '2023-08-07 15:34:35.604000', '1', '1', '/', NULL, 10, '普通耗材', '2', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('98F2C83091308E729750639DF2F94768', '试剂', 'DEBA0C27F4C8F3204FA3B6674843497E', '二氯甲烷', 'CNW', NULL, '4l/瓶', '2023-08-07 15:36:45.558000', '2023-08-07 15:36:45.558000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('993711A7910D911D18FFDC8509F640F5', '试剂', 'ABD300B06D0CA25F14984F738829ED46', '1,4-二甲氧基苯', 'Sigma-Aldrich', NULL, '100g/瓶,99%', '2023-08-07 15:37:35.781000', '2023-08-07 15:37:35.781000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'RP', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('9AAC4E2C75131B1060E80256AC8F32B3', '耗材', '55EE43A294EC4808C3D83461F98F6D8F', '量筒', 'Bomex', NULL, '100ml', '2023-08-07 15:34:18.837000', '2023-08-07 15:34:18.837000', '1', '1', '/', NULL, 9, '普通耗材', '10', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('9B26E7231E3CA25B169EEC1602D19C6C', '耗材', 'E5BC92FDCFFA9421ECAE9BE315D09BC2', '称量瓶', 'n/a', NULL, '25x25', '2023-08-07 15:34:19.534000', '2023-08-07 15:34:19.534000', '1', '1', '/', NULL, 15, '普通耗材', '20', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('9BB68A8FF22B5AD98BDC007D63CDC74F', '耗材', '744D830223F86194E6BA97329BDF10C2', '封口膜', 'Bemis', NULL, '4IN.*125FT.ROLL，PM-996', '2023-08-10 11:44:46.000000', '2023-08-10 11:44:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 500, '普通耗材', '100', '/', '常规贮存', '/', '个', '/', 1, '', '/', NULL, '606');
INSERT INTO `reagent_consumable_stash` VALUES ('9BEF70B140ACCEB083A2F61A97EFE7A9', '耗材', 'A1CCE463604881DEE2C9CC44CD27C49B', '移液枪', '普兰德', NULL, '500-5000ul', '2023-08-07 15:32:53.896000', '2023-08-07 15:32:53.896000', '1', '1', '/', NULL, 1, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('9C770210A4E938AA90297C7FE9F39427', '耗材', '159F8B42C9CC4F96D2137507A40F6481', '梨形分液漏斗', 'Bomex', NULL, '60ml', '2023-08-07 15:34:34.780000', '2023-08-07 15:34:34.780000', '1', '1', '/', NULL, 9, '普通耗材', '2', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('9CDCAF0580EE991666C871605B9BE8E6', '耗材', '32B1DEE418F48BDA79F432538D6A13F4', '核磁管', 'NORELL', NULL, '100个/盒', '2023-08-07 15:30:39.196000', '2023-08-07 15:30:39.196000', '1', '1', '/', NULL, 1, '核磁管', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('9CEF8291AEB760940056CCAE34F07BD2', '耗材', '57C4C6CBA1539BD5F2394B801CBFE52A', '定性滤纸', '皎洁', NULL, '7cm，中速', '2023-08-07 15:36:22.514000', '2023-08-07 15:36:22.514000', '1', '1', '/', NULL, 19, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('9F24C4F1F30146B056F10AA08EA7927C', '耗材', '2466AE7A9E10B4734167F409B1B44EA2', '量筒', 'Bomex', NULL, '10ml', '2023-08-07 15:34:16.452000', '2023-08-07 15:34:16.452000', '1', '1', '/', NULL, 19, '普通耗材', '20', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('9F301C958DDE2D7F4F69E67BCF8AA580', '耗材', 'B6AFB43D70405DEBC7186191E75C1F64', '镊子', 'n/a', NULL, '弯头，12.5cm', '2023-08-07 15:33:06.230000', '2023-08-07 15:33:06.230000', '1', '1', '/', NULL, 3, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('9F63A16BD59F7BB81A5DC0D8A687BE6B', '耗材', '3D64B5FE9A03A6113F4E75123F5B073B', '定量滤纸', '新星', NULL, '18cm，中速', '2023-08-07 15:34:50.618000', '2023-08-07 15:34:50.618000', '1', '1', '/', NULL, 20, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('A1A1A00320D465AC84FE17A653087AD2', '耗材', '266F147AB32BCD27069EF1CD535C53A5', '保鲜自封袋5号', '苹果', NULL, '100x150mm', '2023-08-07 15:30:23.339000', '2023-08-07 15:30:23.339000', '1', '1', '/', NULL, 400, '普通耗材', '100', '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('A1E4E5805285ED87E80D42166F60AEEA', '试剂', '94024C15BFFC7FF29AE0106E26BC5C1E', '丙酸酐', '麦克林', NULL, '98%,500g/瓶', '2023-08-07 15:37:46.466000', '2023-08-07 15:37:46.466000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('A3125776E17F39AC09F9B77A9D78B25C', '耗材', '744D830223F86194E6BA97329BDF10C2', '封口膜', 'Bemis', NULL, '4IN.*125FT.ROLL，PM-996', '2023-08-10 11:44:46.000000', '2023-08-10 11:44:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 800, '普通耗材', '100', '/', '常规贮存', '/', '个', '/', 1, '', '/', NULL, '706');
INSERT INTO `reagent_consumable_stash` VALUES ('A3A708C8460EEB1320B342A3F20AACD8', '试剂', '386EC0AE77D5A7DAC3500CBAEC32FC3B', '乙腈', 'Supelco', NULL, '2.5L/瓶', '2023-08-07 15:36:34.551000', '2023-08-07 15:36:34.936000', '1', '1', '/', NULL, 44, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'LC/MS级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('A4C3A79291B725019DDB66E1488D37A7', '耗材', '2EC8CCB1C3C71BC1901BE8DD9075F7D2', 'DB-35MS', '安捷伦', NULL, '30m*0.25mm*0.25um，122-3832', '2023-08-07 15:32:56.992000', '2023-08-07 15:32:56.992000', '1', '1', '/', NULL, 1, '普通耗材', '1', '/', '常规贮存', NULL, '根', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('A5C36CF295DDAEB9325A624856912536', '试剂', '0E8D8F06941DC74F11ACC6EA3636709F', '硝酸', '西陇', NULL, '500ml/瓶', '2023-08-07 15:37:49.053000', '2023-08-07 15:37:49.053000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('A75EC1EF3A16C81921A76311AD5AFA84', '试剂', 'CF1985061C9BF52C82BE0665559FF4E5', '利血平', 'Sigma-Aldrich', NULL, '5g/瓶,99%', '2023-08-07 15:37:40.585000', '2023-08-07 15:37:40.585000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('A7C161F037CF2CC9886014039E1021ED', '耗材', 'AA6C3882132A2983116C9735C6BD95A0', '称量纸', 'n/a', NULL, '10cm', '2023-08-07 15:34:15.876000', '2023-08-07 15:34:15.876000', '1', '1', '/', NULL, 30, '普通耗材', '10', '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('A7CDCBCED783745D3FC186D9134F4FEC', '耗材', '3F350C403EE7796C35559C7962EFF2C3', '进口滤膜', '津隆', NULL, '25mm，100片/盒，水洗聚醚砜（PES），0.45um，货号：JLSP214502', '2023-08-07 15:34:43.867000', '2023-08-07 15:34:43.867000', '1', '1', '/', NULL, 10, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('A822E8075F3B1686E4049B759C03C203', '耗材', '7342D52B5EB84CC3C418BDAC1F48CEC1', '滤膜', '上海新亚', NULL, '有机，0.22um，50mm，50片/盒', '2023-08-07 15:34:45.701000', '2023-08-07 15:34:45.701000', '1', '1', '/', NULL, 16, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('AAEB89BD966251ECB0D6246D854203B0', '试剂', '364863F9D2A45ABAB4D5C5841763C800', '乙酸乙酯', '利安隆博华', NULL, '500ml/瓶', '2023-08-07 15:36:53.897000', '2023-08-07 15:36:53.897000', '1', '1', '/', NULL, 20, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('AC492CEB2E9EBDFBDD2A4EDE3F25F2B3', '耗材', '690E4B113A8D28431037055D5B0E47E2', '滴管', 'n/a', NULL, '18cm', '2023-08-07 15:30:53.677000', '2023-08-07 15:30:53.677000', '1', '1', '/', NULL, 21, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('AC7229684696DC32C9B1B9EBBCA0F0F7', '耗材', 'F4FF372995387DB2285949022E13248E', '容量瓶', 'Brand', NULL, '10ml', '2023-08-07 15:33:25.147000', '2023-08-07 15:33:25.147000', '1', '1', '/', NULL, 41, '普通耗材', '2', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('ACC76B2BA08B134EED2740D072D54B81', '耗材', 'E8C0A88DFBA043AA9E55C4B4CDEA56A4', '防冲击眼罩', '3M', NULL, '1621型', '2023-08-07 15:34:12.995000', '2023-08-07 15:34:12.995000', '1', '1', '/', NULL, 11, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('AD8E29A4727BDA52AEB33F0E7FF92DEC', '耗材', 'AAD62619C7D3CB4966F8912FEFFAA6D5', '锥形瓶', '环球', NULL, '250ml', '2023-08-07 15:34:39.087000', '2023-08-07 15:34:39.087000', '1', '1', '/', NULL, 6, '普通耗材', '12', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('AE3068BAC1FFFB8EE54CF5A57FBE9CCF', '耗材', 'B60222AC24B6110513CD0130720DB5E8', 'ACQUITY UPLC BEN HILIC VanGuard Pre-Column 3/Pk', 'Waters', NULL, '2.1*5mm,1.7um,3个/盒', '2023-08-07 15:30:37.018000', '2023-08-07 15:30:37.018000', '1', '1', '/', NULL, 2, '色谱柱', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('AE83F2694A4F9ECE52AB65C86137B58E', '耗材', 'F70814714C20862420EB2954D5556250', '保鲜自封袋8号', '苹果', NULL, '240x170mm', '2023-08-07 15:30:22.095000', '2023-08-07 15:30:22.095000', '1', '1', '/', NULL, 300, '普通耗材', '100', '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('AE84D0B575543456063F94CD4537D380', '试剂', '0945C6A73C638F8332E89EA557585E06', '无水磷酸二氢钠', '麦克林', NULL, 'HPLC,50G', '2023-08-07 15:37:30.955000', '2023-08-07 15:37:30.955000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('AE8DA3D53412700D208F293B371D83D5', '试剂', '231A4405811ABD46E950F45492EFDF38', '无水硫酸钠', '科密欧', NULL, '500g/瓶', '2023-08-07 15:36:55.262000', '2023-08-07 15:36:55.262000', '1', '1', '/', NULL, 6, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('B00AF8EE086231B0AA38C79170D40D28', '耗材', '1ACD0FEA690B6C48E2F953468C6B2762', '棕色滴瓶', 'n/a', NULL, '125ml', '2023-08-07 15:33:19.591000', '2023-08-07 15:33:19.591000', '1', '1', '/', NULL, 10, '普通耗材', '10', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('B02952AC463B2CFD4C4F099CD19B30EF', '耗材', 'F16A0A56E41B57F1FA00893525F037D8', '移液枪', 'Sartorius', NULL, '0.1-3ul', '2023-08-07 15:32:55.534000', '2023-08-07 15:32:55.534000', '1', '1', '/', NULL, 1, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('B1E0D81C8CC1F352D27F643D6671117C', '耗材', '4CCAD38510D9C269B4DC4954AB09BFA5', '移液管', 'MC', NULL, '20ml', '2023-08-07 15:30:46.650000', '2023-08-07 15:30:46.650000', '1', '1', '/', NULL, 20, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('B2A2F7886A37EAB9A0AE0451E8C55995', '耗材', '0C873A88D9B8C98101495044FDBC3819', '量筒', 'Bomex', NULL, '25ml', '2023-08-07 15:34:17.103000', '2023-08-07 15:34:17.103000', '1', '1', '/', NULL, 11, '普通耗材', '10', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('B3BD677B1BD6AE13579643AA35190AFE', '耗材', '54D07807B8B4DA7C365B63E801AA2386', '温度计', 'MC', NULL, '200ml', '2023-08-07 15:33:04.790000', '2023-08-07 15:33:04.790000', '1', '1', '/', NULL, 2, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('B4DE687D9FCC8A9CE60ED5E735C71590', '试剂', 'CB48DFDD8C8237B1DC52340E130D73C2', '乙腈', 'OCEANPAK', NULL, '4L/瓶', '2023-08-07 15:36:44.147000', '2023-08-07 15:36:44.147000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('B5D5E46ED2C7A5576074546202C3C389', '耗材', '8F4868609BDA216E2B82C8FC5019523D', '定性滤纸', '皎洁', NULL, '15cm，中速', '2023-08-07 15:36:24.276000', '2023-08-07 15:36:24.276000', '1', '1', '/', NULL, 20, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('B77F703094DB08D3084F1CFA87F04D28', '试剂', '5E09A6BC8A90AD143BA66F657FA694EE', 'HBTU, 苯并三氮唑-N,N,N\',N\'-四甲基脲六氟磷酸酯', '阿拉丁', NULL, '99%, 100g/瓶', '2023-08-07 15:38:03.102000', '2023-08-07 15:38:03.102000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, '94790-37-1', 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('B83BE4A02BDDAE12FB4D6E88CFB93420', '耗材', '28339BB056B84B8F31CEEE1FFC58B681', '梨形分液漏斗', 'Bomex', NULL, '250ml', '2023-08-07 15:34:36.422000', '2023-08-07 15:34:36.422000', '1', '1', '/', NULL, 10, '普通耗材', '2', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('BA6933977E4E06DDCB457330CCA9E5FA', '耗材', '495257E4D581C3C125C618A354BA60FB', '带塞溶剂瓶', 'n/a', NULL, '500ml', '2023-08-07 15:34:37.708000', '2023-08-07 15:34:37.708000', '1', '1', '/', NULL, 18, '普通耗材', '8', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('BF5246A842CE7979DEE86EEB874CFD9D', '耗材', 'C81F5EC79A5B1F5EDD3805E95D52367C', '塑料离心管', 'n/a', NULL, '8ml,，225支/袋', '2023-08-07 15:33:12.863000', '2023-08-07 15:33:12.863000', '1', '1', '/', NULL, 1, '普通耗材', '1', '/', '常规贮存', NULL, '袋', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('BFB0085237CB6EBBC874249C95CD9301', '耗材', '9A29EE4180224446B120AB0094884C16', '枪头', 'sartorius', NULL, '200ul', '2023-08-07 15:34:53.833000', '2023-08-07 15:34:53.833000', '1', '1', '/', NULL, 1, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('C02E062C7DE8689024DF189D68AEAEE1', '耗材', 'CD5C40E7540209F16446256CB4328891', '研钵', '垒固', NULL, '18cm', '2023-08-07 15:33:21.939000', '2023-08-07 15:33:21.939000', '1', '1', '/', NULL, 5, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('C0720914D96BC54F37E9778820077BD5', '试剂', '7F5C6D308A1F0ED2BD72F2B9C440C64C', '乙酸铵', '大茂', NULL, '500g/瓶', '2023-08-07 15:37:01.094000', '2023-08-07 15:37:01.094000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'GR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('C0828581D3C1873EA4FBB1C7AC8DB128', '耗材', 'BE96A715FDC204E634C5563DAC5F9EF6', '保鲜自封袋6号', '苹果', NULL, '120x170mm', '2023-08-07 15:30:22.640000', '2023-08-07 15:30:22.640000', '1', '1', '/', NULL, 100, '普通耗材', '100', '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('C0CDE8F5F19EDD9400375808FD2D6178', '试剂', '3E903D0EAFDAC96651AD06E4D8DCFBC2', '烟酰胺', 'Sigma-Aldrich', NULL, '100g/瓶', '2023-08-07 15:37:35.020000', '2023-08-07 15:37:35.020000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('C152453CA1DE219C0419CBD14D019011', '耗材', '458D8124F1A76358E89CE1A11F6E3EAB', '小口试剂瓶', 'n/a', NULL, '1000ml', '2023-08-07 15:34:28.664000', '2023-08-07 15:34:28.664000', '1', '1', '/', NULL, 19, '普通耗材', '6', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('C169514B4A4DD475BD87848DB0C3CEEE', '耗材', '95D2870514AAB6FD8357F64A7FE7EBE4', '一次性蓝色丁腈手套', '柯沃', NULL, 'M', '2023-08-07 15:36:21.263000', '2023-08-07 15:36:21.263000', '1', '1', '/', NULL, 45, '普通耗材', '10', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('C222E417F7FA50E6A4C7F9E3ADAF6C81', '耗材', '691E2F271D0E892B978AED66600B5EBD', '隔垫', '岛津', NULL, '货号221-75180，50个/盒', '2023-08-07 15:30:43.343000', '2023-08-07 15:30:43.343000', '1', '1', '/', NULL, 1, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('C36BA1A9F7F1427DE8D74D41D80E8003', '耗材', 'F4FDEA8D4B58692F145C72C69097E9C5', 'Hypersil GOLD VANQUISH', '赛默飞', NULL, '100*2.1um', '2023-08-07 15:30:35.303000', '2023-08-07 15:30:35.303000', '1', '1', '/', NULL, 1, '色谱柱', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('C4B3FA4CA7B8DA9FCD5E45096CC50CA9', '耗材', '669731EA4E8D194CF74A9F628BA4A965', '牛皮纸物证袋', 'n/a', NULL, '21*14cm', '2023-08-07 15:30:26.127000', '2023-08-07 15:30:26.127000', '1', '1', '/', NULL, 100, '普通耗材', '10', '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('C4DF9502144665DC2B1623041CCEF491', '耗材', '31F05CF6E5FF37CA972C00FC71031DCF', '容量瓶', 'Brand', NULL, '5ml', '2023-08-07 15:33:25.786000', '2023-08-07 15:33:25.786000', '1', '1', '/', NULL, 44, '普通耗材', '2', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('C6411F62B67BB233F4249116519EC6DF', '耗材', '8FA73E52DDAE4A0C80D4EC58EA116775', '隔垫', '岛津', NULL, '货号221-76650-01,25个/盒', '2023-08-07 15:30:43.874000', '2023-08-07 15:30:43.874000', '1', '1', '/', NULL, 1, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('C6B72472D9F0C82AC7AE8D12ABBAF678', '耗材', '8AB34E548C776F4B618C732A34852F7C', '容量瓶', 'Bomex', NULL, '250ml', '2023-08-07 15:33:22.728000', '2023-08-07 15:33:22.728000', '1', '1', '/', NULL, 1, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('C6E957E640431E0BCF03B2E8477C7B8A', '耗材', '83B2967F3EC3DD6D2BB850D652872E56', '滴管', 'n/a', NULL, '9cm', '2023-08-07 15:30:55.041000', '2023-08-07 15:30:55.041000', '1', '1', '/', NULL, 20, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('C7314C7802F48312E8890CE7362B9144', '耗材', '486A95DA85C8F6DA1961B25C52A7760A', '活性炭口罩', 'n/a', NULL, '50支/盒', '2023-08-07 15:33:15.323000', '2023-08-07 15:33:15.323000', '1', '1', '/', NULL, 11, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('C80A39BE977704D12A4EE0CE9CB406BE', '试剂', 'F9E5A76C5D34E25E488FCC2B34A247C7', '乙醇', '利安隆博华', NULL, '500ml/瓶', '2023-08-07 15:36:53.319000', '2023-08-07 15:36:53.319000', '1', '1', '/', NULL, 20, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('C86F2191E3109B6B1DC0A54D5F43E10D', '耗材', '6DACF18662F7A9C18CEAFAFAE3C49C2E', '石墨垫圈', '安捷伦', NULL, '货号5080-8853，10个/盒', '2023-08-07 15:30:42.558000', '2023-08-07 15:30:42.558000', '1', '1', '/', NULL, 5, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('C898637DCC086701977F308E7CB85934', '耗材', 'A9E711D8C0A12C1217980D7EE9415ECB', '一次性使用无菌注射器 带针', '治宇', NULL, '2ml,200/支', '2023-08-07 15:34:46.994000', '2023-08-07 15:34:46.994000', '1', '1', '/', NULL, 5, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('C9895A1905CFCE60E48CF7A752DCF679', '耗材', 'B550FE5473D850F673BB86FAB8CEFCC2', '定量滤纸', '新星', NULL, '11cm，中速', '2023-08-07 15:34:49.290000', '2023-08-07 15:34:49.290000', '1', '1', '/', NULL, 20, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('CA6A58649958EE7966260C0753F66E4D', '耗材', '83DB90812F611E9FBBB0F881B8FA751D', '橡皮吸球', 'n/a', NULL, '10ml', '2023-08-07 15:32:59.799000', '2023-08-07 15:32:59.799000', '1', '1', '/', NULL, 13, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('CAD40783D2A16EAC083B6BECC6C7030D', '耗材', '7E80878D5E0D954D2AEE126884C2993F', 'ACQUITY UPLC ENH HILIC ', 'Waters', NULL, '2.1*100mm,1.7um', '2023-08-07 15:30:36.304000', '2023-08-07 15:30:36.304000', '1', '1', '/', NULL, 6, '色谱柱', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('CC6AF6FBC947619A0F45BE0C10486CE7', '试剂', '9D5F615EFC2F7C2F5002ED0C8331FA3C', '苯骈三氮唑', '阿拉丁', NULL, '99%，100g/瓶', '2023-08-07 15:38:05.241000', '2023-08-07 15:38:05.241000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, ' 95-14-7 ', 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('CD93E4EDF05287F8A4E48935D2E869ED', '耗材', '999681DC86C595D8595BF0584E9B1D45', '牛皮纸物证袋', 'n/a', NULL, '50*30cm', '2023-08-07 15:30:28.212000', '2023-08-07 15:30:28.212000', '1', '1', '/', NULL, 190, '普通耗材', '10', '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('CDA0AFA95F01D3214617AAC4E15EDFC4', '试剂', '42A44C857FC6E7434FFBEDB0D9965923', '氢氧化钠', '欧博凯', NULL, '500g/瓶', '2023-08-07 15:37:02.412000', '2023-08-07 15:37:02.412000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'GR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('CFC9384E2AB28BE98EC8CFD4464D9B15', '耗材', '46B3523E5E28B268C636A1DA98B49FF6', '连盖离心管', 'n/a', NULL, '2ml，300个', '2023-08-07 15:36:30.330000', '2023-08-07 15:36:30.330000', '1', '1', '/', NULL, 6, '普通耗材', '1', '/', '常规贮存', NULL, '袋', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('D0EB6B91D4303A9225BFF03D79DBBAFB', '耗材', 'C64DDBDF0F73927C2FDB6B2889DA3E85', '镊子', 'n/a', NULL, '直头，12.5cm', '2023-08-07 15:33:05.349000', '2023-08-07 15:33:05.349000', '1', '1', '/', NULL, 9, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('D363DEF7FAF0921FA0CA4F1A62971659', '试剂', 'B490C998E2D2AB4522F4550EFA84BA94', '四氢呋喃', '阿拉丁', NULL, '500ml/瓶,99%', '2023-08-07 15:36:59.200000', '2023-08-07 15:36:59.200000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('D41668E1435513023B8849851485DB21', '耗材', 'ED16A7F64E35AEC099084F5B6BAC55BC', '移液管架', 'n/a', NULL, 'n/a', '2023-08-07 15:36:30.984000', '2023-08-07 15:36:30.984000', '1', '1', '/', NULL, 10, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('D52545E647EC916B260606664423F8DF', '试剂', '94C098EAD4F8DB023D5B82C2620B3A37', '丙酮', '西陇', NULL, '500ml/瓶', '2023-08-07 15:36:42.913000', '2023-08-07 15:36:42.913000', '1', '1', '/', NULL, 3, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('D552FEFD6D1FAC452FDBFCDC53261C5A', '试剂', 'A3A350FDCB68F50E43B15C4354FECC6B', '氯化钠', '科密欧', NULL, '500g/瓶', '2023-08-07 15:36:55.940000', '2023-08-07 15:37:43.713000', '1', '1', '/', NULL, 20, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('D5C5F384549886F2A86008C3ACD220C9', '耗材', '4D23ABBEFE55381E96869D529E5F4380', '血清移液管', 'n/a', NULL, '10ml', '2023-08-07 15:30:51.635000', '2023-08-07 15:30:51.635000', '1', '1', '/', NULL, 18, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('D60C4F931FFBF5006609BF6ED9CAEF23', '试剂', '35C87ACDB1A187560C2DF29AF23D9067', 'D-缬氨酰胺盐酸盐', '阿拉丁', NULL, '97%，1g/瓶', '2023-08-07 15:37:59.272000', '2023-08-07 15:37:59.272000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, '133170-58-8', 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('D648FC3E2CABA6793F808434B61B144E', '试剂', '6F45EFAE20080A630E6FA1236E900B45', '乙酸铵', 'Sigma-Aldrich', NULL, '32301-500g/瓶，98%', '2023-08-07 15:37:38.481000', '2023-08-07 15:37:38.481000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'ACS级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('D6B088601DAE2989F5DB014D38B60DCD', '试剂', '466574DA20560FBFDCE01225B6FE92DA', '三（羟甲基）氨基甲烷', '沪试', NULL, '100g/瓶', '2023-08-07 15:37:04.128000', '2023-08-07 15:37:04.128000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('D70E741D219806485B1586A7AFD56565', '耗材', '937C05C281CE9A8EF537FF9F260CCBC8', 'ACQUITY UPLC CSH C18', 'Waters', NULL, '2.1*100mm,1.7um', '2023-08-07 15:30:37.757000', '2023-08-07 15:30:37.757000', '1', '1', '/', NULL, 2, '色谱柱', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('D8244282A1F8982870D9D89B930BF6C4', '试剂', '1CEC6B29599FADB6148D56C2A0987B11', '吡嗪', 'Sigma-Aldrich', NULL, '≥99，100g/瓶', '2023-08-07 15:37:37.101000', '2023-08-07 15:37:37.101000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'FG级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('D895B823083B8E8CE4E97BA8CEA28D88', '耗材', 'A222DB3230CFF82E843099DFA05EB653', '物证提取袋', 'n/a', NULL, '15*10cm', '2023-08-07 15:30:28.937000', '2023-08-07 15:30:28.937000', '1', '1', '/', NULL, 950, '普通耗材', '50', '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('D9C3CB4ACCBCA8C1A23AE53C39741579', '试剂', 'AAE59A34FCC4E0C2255A1F9DDAE93014', '氯化亚砜', '科密欧', NULL, '500ml/瓶', '2023-08-07 15:37:47.931000', '2023-08-07 15:37:47.931000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('DA7395E6839CFAD00AF01FE66066603A', '试剂', '860A7DBC3C52BEF52D1768F078886E6C', '氯化亚砜', '科试', NULL, '500ml/瓶', '2023-08-07 15:37:45.813000', '2023-08-07 15:37:45.813000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('DB9B9CDB20FA1200AB65ABD097276930', '试剂', '76C6B4AF93EF1172D28D191A9E64AF15', '正己烷', 'Supelco', NULL, '4L/瓶', '2023-08-07 15:36:36.680000', '2023-08-07 15:36:36.680000', '1', '1', '/', NULL, 4, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('DDF90CAC7D555B1C00086BB253DC6E5B', '耗材', 'D59782192AC184BBBBE2F4127E4DF1E2', '定性滤纸', '皎洁', NULL, '11cm，中速', '2023-08-07 15:36:24.766000', '2023-08-07 15:36:24.766000', '1', '1', '/', NULL, 20, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('DE38EE88A2431E86D8AADC4B44979CEF', '试剂', 'BD61D6043BD666C6F319364357A556FF', 'DIPEA, N,N-二异丙基乙胺', '阿拉丁', NULL, '99.5%, 100ml/瓶', '2023-08-07 15:38:04.476000', '2023-08-07 15:38:04.476000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, '7087-68-5', 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('E0572D8504E25F518A127501E75FB366', '耗材', '0DCE8DF4674D5B7D94C271E1F0EE7E3A', 'DB-5', '安捷伦', NULL, '30m*0.25mm*0.25um，122-5032', '2023-08-07 15:32:56.274000', '2023-08-07 15:32:56.274000', '1', '1', '/', NULL, 1, '普通耗材', '1', '/', '常规贮存', NULL, '根', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('E0618F52478BC383057A310F2FBFC6FF', '耗材', 'AAE383C084A3842EDEA63A5D11985001', '连盖离心管', 'AXYGEN', NULL, '2ml，500支/袋', '2023-08-07 15:33:14.611000', '2023-08-07 15:33:14.611000', '1', '1', '/', NULL, 1, '普通耗材', '1', '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('E1F99CD392DC28E267B92AE04CE96C0E', '试剂', '1AC113C7F73FD73BA6169E0203071323', '磷酸', '阿拉丁', NULL, '89-90%,500ml/瓶', '2023-08-07 15:36:40.429000', '2023-08-07 15:36:40.429000', '1', '1', '/', NULL, 5, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('E2A09ABBF0F30B9C57B32329AAA7B1E4', '耗材', '818A65DF5F637FC4FBF676232FE66BF8', '定性滤纸', '皎洁', NULL, '18cm，中速', '2023-08-07 15:36:23.605000', '2023-08-07 15:36:23.605000', '1', '1', '/', NULL, 20, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('E2D4CB667975DF299C097BD4D3CCB136', '试剂', '03D91FBEB942CCBA3C196B2ABD6C49AB', '吡拉西坦', 'Sigma-Aldrich', NULL, '25g/瓶', '2023-08-07 15:36:39.452000', '2023-08-07 15:36:39.452000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'RD', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('E2ED20E4076EB8FBEE55B73EC60D7EF1', '耗材', '7CE7BF22E7903FC545D1934ADEB888D1', 'Astec CHIROBIOTIC V2', 'merck', NULL, '25cm*4.6mm,5um', '2023-08-07 15:30:33.384000', '2023-08-07 15:30:33.384000', '1', '1', '/', NULL, 2, '色谱柱', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('E31E704F36F7FF0BAB2F97C35480E512', '耗材', '34C5C274AE4268C7992F2E638D12411B', '药匙', 'n/a', NULL, '3x1', '2023-08-07 15:33:01.430000', '2023-08-07 15:33:01.430000', '1', '1', '/', NULL, 8, '普通耗材', '1', '/', '常规贮存', NULL, '套', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('E32E6464C3E60DB80A1BC5ADCE7FC918', '耗材', 'EA1828A829CD82CF9CB1E599A0ECDA10', 'O型圈', '岛津', NULL, '货号036-11203-84，5个/袋', '2023-08-07 15:30:41.348000', '2023-08-07 15:30:41.348000', '1', '1', '/', NULL, 2, '普通耗材', '1', '/', '常规贮存', NULL, '袋', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('E39ACCC1DE556A856C5EE70F7F8378A6', '耗材', '40A9214BCD99CD09A316F534FFF28567', '棕色滴瓶', 'n/a', NULL, '60ml', '2023-08-07 15:33:18.417000', '2023-08-07 15:33:18.417000', '1', '1', '/', NULL, 20, '普通耗材', '10', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('E3B183295F05E8595C4B0C5E5D4BE0AD', '试剂', '2579A2F679FDC265AB237A2534170814', '甲醇', 'Supelco', NULL, '2.5L，LC/MS级', '2023-08-07 15:37:31.462000', '2023-08-07 15:37:31.462000', '1', '1', '/', NULL, 8, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'LC/MS级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('E4F162E520541092F4632D5860B7C539', '耗材', '3F90B55E322BA7EED1965C68F2319F80', '牛皮纸物证袋', 'n/a', NULL, '16.5*9.8cm', '2023-08-07 15:30:25.432000', '2023-08-07 15:30:25.432000', '1', '1', '/', NULL, 160, '普通耗材', '10', '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('E5909A9F033321BFF71AD261BED85BDE', '耗材', 'C2A04A64246A7F53DC978CC944529DCB', '梨形分液漏斗', 'n/a', NULL, '10ml', '2023-08-07 15:34:34.136000', '2023-08-07 15:34:34.136000', '1', '1', '/', NULL, 10, '普通耗材', '10', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('E590CECE4EF9DE613A94E5179EF2BC5E', '耗材', '30AA5619BAF96079A6D42B916CCF17C8', '一次性塑料离心管', 'Corning', NULL, '50ml', '2023-08-07 15:34:28.115000', '2023-08-07 15:34:28.115000', '1', '1', '/', NULL, 9, '普通耗材', '20', '/', '常规贮存', NULL, '箱', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('E5C0DCEE05DDFB811AD22A42F7B70D2B', '耗材', '6358E718D7ED7F034C5D7CAAADCC5B2D', '滤膜', '上海新亚', NULL, '有机，0.45um，50mm，50片/盒', '2023-08-07 15:34:46.227000', '2023-08-07 15:34:46.227000', '1', '1', '/', NULL, 19, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('E632EFB5C5CCA1182C9C50F98415D28D', '试剂', '338C3918009C9A3917C2D208A4C3A839', '氘代甲醇', 'CIL', NULL, '0.6mLx10,99.8%', '2023-08-07 15:37:32.878000', '2023-08-07 15:37:32.878000', '1', '1', '/', NULL, 5, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('E63C23389B52A99FF89AFBFA7827C0BB', '耗材', 'A5318E54F48F8BDC1253AAE7A1E62563', '血清移液管', 'n/a', NULL, '5ml', '2023-08-07 15:30:50.131000', '2023-08-07 15:30:50.131000', '1', '1', '/', NULL, 18, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('E72CB5C6C9DDCD4C25EB3067F855271D', '耗材', '247E210903CC9286794F7EB70B208662', '高硼硅量筒', 'Bomex', NULL, '500ml', '2023-08-07 15:34:14.360000', '2023-08-07 15:34:14.360000', '1', '1', '/', NULL, 9, '普通耗材', '2', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('E7A9C5CBB4E72137AB358A53CC36A824', '耗材', '59D0BEABC8813D08CF9737F36B2251BA', '容量瓶', 'Bomex', NULL, '250ml', '2023-08-07 15:33:27.842000', '2023-08-07 15:33:27.842000', '1', '1', '/', NULL, 11, '普通耗材', '6', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('E960A70DCF7198D302CBB379218207C4', '试剂', '2F04EF4FBE9AF1C7BEF583748BB0B328', '甲醇', 'Thermo', NULL, '4L/瓶', '2023-08-07 15:37:51.439000', '2023-08-07 15:37:51.439000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC，GC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('E9B6BE918FC1EE290BA2917290F2ABB5', '耗材', '55E216226612FF7924B63DEDAA07C589', '牛皮纸物证袋', 'n/a', NULL, '30*17*46cm', '2023-08-07 15:30:26.806000', '2023-08-07 15:30:26.806000', '1', '1', '/', NULL, 160, '普通耗材', '10', '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('EAB10640AE92F526F6F0D98212BF80CB', '耗材', 'FE2CF03A49699073EC66E9ABDD539029', 'ACQUITY UPLC BEH C18                    ', 'Waters', NULL, '2.1*100mm,1.7um', '2023-08-07 15:30:35.823000', '2023-08-07 15:30:35.823000', '1', '1', '/', NULL, 4, '色谱柱', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('EBC68E1F724EF2650DF04055609270C7', '耗材', '4270653BDC5653B68C477AFA61D876D3', '保鲜自封袋4号', '苹果', NULL, '85x120mm', '2023-08-07 15:30:23.928000', '2023-08-07 15:30:23.928000', '1', '1', '/', NULL, 100, '普通耗材', '100', '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('ECBD291E9AE4DD32DC5CB97A24F4C0FA', '耗材', 'ED65CC93864401897A8C7897DBBB5FE2', '擦镜纸', 'KIMTECH', NULL, '11.0*21.3cm', '2023-08-07 15:32:57.492000', '2023-08-07 15:32:57.492000', '1', '1', '/', NULL, 1, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('EDF1002727513B230B1C7D6E0919597F', '试剂', 'D3411AFFC51539B2BAE7D2A7769BE469', '四氢呋喃', '阿拉丁', NULL, 'AR,99.0% (含250 ppm BHT稳定剂)，500ml', '2023-08-07 15:37:55.429000', '2023-08-07 15:37:55.429000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('EEB4A04D560F0F0A2216E8EB889CA5FF', '试剂', 'A144BB4EC347709926A684376F0313B6', '4-(三氟甲基)苄溴', '阿拉丁', NULL, '98%，25g/瓶', '2023-08-07 15:37:57.462000', '2023-08-07 15:37:57.462000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, '402-49-3', 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('EF04688E14D2E9C8FEA0D0D80CE01774', '耗材', '3EF4E48C464C9EABDF684A5756D5D054', '定量滤纸', '双联牌', NULL, '12.5cm，慢速', '2023-08-07 15:34:47.467000', '2023-08-07 15:34:47.467000', '1', '1', '/', NULL, 20, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('EFDFD3BB471D8A85D2C97BD7E7206654', '耗材', '657DD8500E6ED23D735247F437F970E0', '定量滤纸', '双联牌', NULL, '7cm,快速', '2023-08-07 15:34:48.733000', '2023-08-07 15:34:48.733000', '1', '1', '/', NULL, 19, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('F0E9E2C3567597B75C31EDDE7B693CEC', '试剂', 'A9B32DA29BB9A11D7C5BD82951CC2204', '乙酸乙酯', '国药集团', NULL, '≥99.5', '2023-08-07 15:37:52.498000', '2023-08-07 15:37:52.498000', '1', '1', '/', NULL, 9, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('F0FA08FDB1A06A560B270B0E09806E2D', '耗材', '830DFD7BBB0B1B92189E22A6689C0214', '枪头', 'n/a', NULL, '5ml，200支/包', '2023-08-07 15:34:41.881000', '2023-08-07 15:34:41.881000', '1', '1', '/', NULL, 4, '普通耗材', '1', '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('F288CAE88D4D3A9050CDA0D7C1391785', '试剂', 'EBEDE816B7429859B1CB3C066AFB4D0F', '白凡士林', '上海商习伟康', NULL, '500g/瓶', '2023-08-07 15:36:59.688000', '2023-08-07 15:36:59.688000', '1', '1', '/', NULL, 4, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, '其他', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('F2BC224DD685FEAED683350BAA24C756', '耗材', 'B501992585133ECCAF0ED000444EAEDB', '一次性塑料烧杯', 'n/a', NULL, '100ml', '2023-08-07 15:34:30.256000', '2023-08-07 15:34:30.256000', '1', '1', '/', NULL, 10, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('F2EF2A52C85EFB41ED42CA1258B79597', '耗材', '89D52AE28AA1C68265C9E5A12DAF55FD', '定量滤纸', '新星', NULL, '15cm，中速', '2023-08-07 15:34:49.983000', '2023-08-07 15:34:49.983000', '1', '1', '/', NULL, 20, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('F406FCB64D8DC8914B5078F0597F7666', '耗材', '5383BC09A87CEFD4C74A2FF9A0094C26', '一次性塑料烧杯', 'n/a', NULL, '250ml', '2023-08-07 15:34:29.735000', '2023-08-07 15:34:29.735000', '1', '1', '/', NULL, 10, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('F4CF7FE25FF80A7317F83B1289E071A6', '耗材', '011FBCC5A6AFA1EA0B5183602C7D111C', '移液枪', 'Sartorius', NULL, '500-5000ul', '2023-08-07 15:32:55.008000', '2023-08-07 15:32:55.008000', '1', '1', '/', NULL, 1, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('F56EFBF2F8DDA9983A575AD688E85277', '耗材', 'C8E3B4FA957A88FECA5D6693E2F95475', '试管架', 'n/a', NULL, '3x6', '2023-08-07 15:34:25.334000', '2023-08-07 15:34:25.334000', '1', '1', '/', NULL, 13, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('F638AA5E29A2F46C8428727FF1BD5846', '耗材', '5E0BD65BE78B51B4378D0E880E9CC0E7', 'ZORBAX Eclipse Plus C18', 'agilent', NULL, '4.6*150mm,5um', '2023-08-07 15:30:32.103000', '2023-08-07 15:30:32.103000', '1', '1', '/', NULL, 1, '色谱柱', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('F6A1DEE4859621BF072E44C9C8AEDDAE', '耗材', 'C08500BAB84C89634EC2C961BD78B4D7', '手术剪', '双鹿', NULL, '12.5cm直尖', '2023-08-07 15:32:57.983000', '2023-08-07 15:32:57.983000', '1', '1', '/', NULL, 1, '普通耗材', '1', '/', '常规贮存', NULL, '把', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('F8C8956D83EDF3C5F188233F4B65E9A7', '试剂', '63133AE1D9CC147E69589B75454D40CA', '二苯胺', 'Sigma-Aldrich', NULL, '100g/瓶', '2023-08-07 15:36:35.619000', '2023-08-07 15:36:35.619000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'ReagentPlus', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('F9655ADB2D81B4F153DAB7B0A394907E', '耗材', '85A257C6F7CB140789AAEFF2121B6A00', '塑料吸管', 'n/a', NULL, '3ml，100支/袋', '2023-08-07 15:33:11.369000', '2023-08-07 15:33:11.369000', '1', '1', '/', NULL, 7, '普通耗材', '1', '/', '常规贮存', NULL, '袋', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('F9833166B4BB621C49025803322E6789', '耗材', '029A15E8D44EB6DE5F5F1773F7E08139', '试管帽', 'n/a', NULL, 'Φ15', '2023-08-07 15:33:03.450000', '2023-08-07 15:33:03.450000', '1', '1', '/', NULL, 30, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('F9A876E341D59E5D8FE6678F0D741106', '耗材', '4DAA90811B2EF1EE4000DE16710EDBB4', '定性滤纸', '皎洁', NULL, '12.5cm，中速', '2023-08-07 15:36:25.414000', '2023-08-07 15:36:25.414000', '1', '1', '/', NULL, 20, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('FB23F1B92B741E33574C6D3DC90750E8', '试剂', '6B7E6B64D85254C10C554F8020FA2647', '盐酸', '西陇', NULL, '500ml/瓶', '2023-08-07 15:37:48.515000', '2023-08-07 15:37:48.515000', '1', '1', '/', NULL, 4, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('FC236278820E9876DD34A91FEFDD91EF', '耗材', 'EA772F4FA807E9F04AAF24DF4F75EB5F', '玻璃冻存管', 'n/a', NULL, '透明，5ml', '2023-08-07 15:32:51.854000', '2023-08-07 15:32:51.854000', '1', '1', '/', NULL, 20, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('FF40E947517CE2C1ACC630B2105DA107', '试剂', '3D29A83AC8A6B601D9E1FDA8B9E278A5', '马来酸', 'Sigma-Aldrich', NULL, '100g/瓶，99%', '2023-08-07 15:37:39.090000', '2023-08-07 15:37:39.090000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC级', '706');

-- ----------------------------
-- Table structure for reagent_consumables
-- ----------------------------
DROP TABLE IF EXISTS `reagent_consumables`;
CREATE TABLE `reagent_consumables`  (
  `reagent_consumable_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材名称',
  `brand` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '品牌',
  `category` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '类别',
  `deviation_or_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '偏差/不确定度',
  `species` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '种类',
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '规格型号',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `technical_parameter` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术参数)',
  `unit_price` double(10, 2) NULL DEFAULT NULL COMMENT '单价',
  `english_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '英文名',
  `packaged_copies` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装份数',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '别名',
  `storage_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '存储条件',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `minimum_unit` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装单位',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `configuration_concentration` double(64, 30) NULL DEFAULT NULL COMMENT '配置浓度',
  `cas_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'CAS号',
  `code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '物品编码',
  `purity_grade` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '纯度等级',
  PRIMARY KEY (`reagent_consumable_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材类)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of reagent_consumables
-- ----------------------------
INSERT INTO `reagent_consumables` VALUES ('00451C90D70615792C4B1C81FD6020C4', '进样小瓶盖', '安捷伦', '耗材', NULL, '普通耗材', '2ml,5182-0717，100个/包', '2023-08-07 15:34:23.891000', '2023-08-07 15:34:23.891000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('00531ECB5197A8DBFFBF21A6E31B73A6', '正十九烷', 'Sigma-Aldrich', '试剂', NULL, '普通试剂', '25g/瓶,99%', '2023-08-07 15:36:52.341000', '2023-08-07 15:36:52.341000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, '其他');
INSERT INTO `reagent_consumables` VALUES ('011FBCC5A6AFA1EA0B5183602C7D111C', '移液枪', 'Sartorius', '耗材', NULL, '普通耗材', '500-5000ul', '2023-08-07 15:32:54.897000', '2023-08-07 15:32:54.897000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('0138AED6BEFD91FE65F95ECF36BF78D0', '干燥器', 'n/a', '耗材', NULL, '普通耗材', '210mm', '2023-08-07 15:34:21.364000', '2023-08-07 15:34:21.364000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('018DB548F851B29EE0E9CE0E7F684CA8', '洗瓶', 'n/a', '耗材', NULL, '普通耗材', '500ml', '2023-08-07 15:33:20.586000', '2023-08-07 15:33:20.586000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('01BA4386D218AF388B671914A0E9BB82', '丙二酸二乙酯', '阿拉丁', '试剂', NULL, '普通试剂', '0.99', '2023-08-07 15:36:48.428000', '2023-08-07 15:36:48.428000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('02431B9AC6753CCDED3CD404BED6174C', '锥形瓶', '环球', '耗材', NULL, '普通耗材', '250ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '12', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('029A15E8D44EB6DE5F5F1773F7E08139', '试管帽', 'n/a', '耗材', NULL, '普通耗材', 'Φ15', '2023-08-07 15:33:03.304000', '2023-08-07 15:33:03.304000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('02A2A02DBFA8512406243ACE8F46260F', 'O型圈', '岛津', '耗材', NULL, '普通耗材', '货号036-11203-84，5个/袋', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '袋', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('02E83D37D5EE01F4F5D57343278C197E', '氘代甲醇', 'CIL', '试剂', NULL, '普通试剂', '50ml', '2023-08-07 15:37:33.445000', '2023-08-07 15:37:33.445000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('03D91FBEB942CCBA3C196B2ABD6C49AB', '吡拉西坦', 'Sigma-Aldrich', '试剂', NULL, '普通试剂', '25g/瓶', '2023-08-07 15:36:39.309000', '2023-08-07 15:36:39.309000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'RD');
INSERT INTO `reagent_consumables` VALUES ('044CA537746A3E7288131F48D56A8C70', 'Hypersil GOLD VANQUISH', '赛默飞', '耗材', NULL, '色谱柱', '100*2.1um', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('058EC45A42A937E13127239C4247E4F6', '1-(苯并[d][1,3]二羟基-5-基)-2-(甲氨基)丙-1-酮', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:46.730000', '2023-08-07 15:56:46.730000', '1', '1', '/', NULL, 1.00, '1-(benzo[d][1,3]dioxol-5-yl)-2-(methylamino)propan-1-one', '1', '3,4-亚甲二氧基甲卡西酮(盐酸盐)', '冷藏贮存', 'GASS-165', '瓶', NULL, 0.000000000000000000000000000000, '186028-79-5', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('067C961381167C96616836F148EF42FA', '8-氯-6-苯基-4H-苯并[f[1,2,4]三唑并[4,3-a][1,4]二氮卓', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:37.510000', '2023-08-07 15:57:37.510000', '1', '1', '/', NULL, 1.00, '8-chloro-6-phenyl-4H-benzo[f][1,2,4]triazolo[4,3-a][1,4]diazepine', '1', '艾司唑仑', '冷藏贮存', 'GASS-411', '瓶', NULL, 0.000000000000000000000000000000, '29975-16-4', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('07B4BBFD02469A5EA387F68D71964D42', '橡皮吸球', 'n/a', '耗材', NULL, '普通耗材', '10ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('088D6CCA820C4D561C7B1F8BB0519892', '进口滤膜', '津隆', '耗材', NULL, '普通耗材', '13mm，有机尼龙66,0.45um，货号：JLSN024501', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '盒', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('08EFB9FAE59FEEB33E5FA1B96E03DAB5', '(1-(5-氟戊基)-1H-吲哚-3-羰基)缬氨酸乙酯', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:59.062000', '2023-08-07 15:56:59.062000', '1', '1', '/', NULL, 1.00, 'ethyl(1-(5-fluoropentyl)-1H-indole-3-carbonyl)valinate', '1', '5F-EMB-PICA', '冷藏贮存', 'GASS-308', '瓶', NULL, 0.000000000000000000000000000000, '2648861-83-8', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('093AE0B83CF8020566FCC027799E9B4C', '塑料吸管', 'n/a', '耗材', NULL, '普通耗材', '1ml，100支/袋', '2023-08-07 15:33:08.665000', '2023-08-07 15:33:08.665000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '袋', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('0945C6A73C638F8332E89EA557585E06', '无水磷酸二氢钠', '麦克林', '试剂', NULL, '普通试剂', 'HPLC,50G', '2023-08-07 15:37:30.824000', '2023-08-07 15:37:30.824000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('097C70D112714524642C73358077F01B', '三氯甲烷', '科隆', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-08-07 15:36:58.560000', '2023-08-07 15:36:58.560000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'GR级');
INSERT INTO `reagent_consumables` VALUES ('0AF14171948F730B6E6E3D2391DAFF50', '甲醇', 'Supelco', '试剂', NULL, '普通试剂', '4L，LC/MS级', '2023-08-07 15:37:32.023000', '2023-08-07 15:37:32.023000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'LC/MS级');
INSERT INTO `reagent_consumables` VALUES ('0C4D8E92748BF9A4506E68D338050350', '2-(乙基氨基)-2-(3-甲氧基苯基)环已烷-1-酮', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:47.508000', '2023-08-07 15:56:47.508000', '1', '1', '/', NULL, 1.00, '2-(ethylamino)-2-(3-methoxyphenyl)cyclohexan-1-one', '1', '2-(3-甲氧基苯基)-2-乙复基环己酮', '冷藏贮存', 'GASS-167', '瓶', NULL, 0.000000000000000000000000000000, '1239943-76-0', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('0C54AD522F6C0DBB1469027DB33E9265', '保鲜自封袋7号', '苹果', '耗材', NULL, '普通耗材', '200x140mm', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '100', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('0C873A88D9B8C98101495044FDBC3819', '量筒', 'Bomex', '耗材', NULL, '普通耗材', '25ml', '2023-08-07 15:34:16.940000', '2023-08-07 15:34:16.940000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('0CD74C38EDA8DF5291F97A77B581743E', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)环丙烷甲酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:23.103000', '2023-08-07 15:57:23.103000', '1', '1', '/', NULL, 1.00, 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)cyclopropanecarboxamide', '1', '对氟苯基环丙甲酰基芬太尼', '冷藏贮存', 'GASS-380', '瓶', NULL, 0.000000000000000000000000000000, '2306825-52-3', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('0CDBB88E9E6F7D5AC54F28B969E2D358', '碳酸氢钠', '大茂', '试剂', NULL, '普通试剂', '500g/瓶', '2023-08-07 15:37:00.331000', '2023-08-07 15:37:00.331000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'GR级');
INSERT INTO `reagent_consumables` VALUES ('0DCE8DF4674D5B7D94C271E1F0EE7E3A', 'DB-5', '安捷伦', '耗材', NULL, '普通耗材', '30m*0.25mm*0.25um，122-5032', '2023-08-07 15:32:56.095000', '2023-08-07 15:32:56.095000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '根', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('0E61BDE4FA7F220939C0CB3F01BB70F0', '丝口试剂瓶', 'n/a', '耗材', NULL, '普通耗材', '5000ml', '2023-08-07 15:33:21.199000', '2023-08-07 15:33:21.199000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('0E8D8F06941DC74F11ACC6EA3636709F', '硝酸', '西陇', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-08-07 15:37:48.900000', '2023-08-07 15:37:48.900000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('0EC1ACC0A649166388D2C1FA8C9930DF', '(2-甲基-1-丙基-1H-吲哚-3-基)(萘-1-基)甲酮', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:32.791000', '2023-08-07 15:56:32.791000', '1', '1', '/', NULL, 1.00, '(2-methyl-1-propyl-1H-indol-3-yl)(naphthalen-1-yl)methanone', '1', 'JWH-015', '冷藏贮存', 'GASS-059', '瓶', NULL, 0.000000000000000000000000000000, '155471-08-2', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('0F213C0ED1A14B88D92DE8AAC7BEB461', '乙腈', 'Thermo', '试剂', NULL, '普通试剂', '4L/瓶', '2023-08-07 15:37:50.618000', '2023-08-07 15:37:50.618000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC，GC级');
INSERT INTO `reagent_consumables` VALUES ('0F2333B90C15E33D5D5C1D86FB96C465', '擦镜纸', 'KIMTECH', '耗材', NULL, '普通耗材', '11.0*21.3cm', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '盒', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('0F4FC5312720C9EB37B40ADFF16CCA73', '血清移液管', 'n/a', '耗材', NULL, '普通耗材', '1ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('0F649AF0E871E7F2EE712B67FD9BBC07', '(7-氯-5-(2-氟苯基)-2,3-二氢-1H-苯并[e][1,4]二氮杂-2-基)甲胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:52.133000', '2023-08-07 15:57:52.133000', '1', '1', '/', NULL, 1.00, '(7-chloro-5-(2-fluorophenyl)-2,3-dihydro-1H-benzo[e][1,4]diazepin-2-yl)methanamine', '1', '咪达唑仑', '冷藏贮存', 'GASS-513', '瓶', NULL, 0.000000000000000000000000000000, '59467-64-0', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('0F8F9C2BC44BA339FB6781411761CECA', '牛皮纸物证袋', 'n/a', '耗材', NULL, '普通耗材', '40*20cm', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '10', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('0FE69FE9C8EB1E78667CC0531FE096E5', '量筒', 'Bomex', '耗材', NULL, '普通耗材', '100ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '10', '/', '常规贮存', '/', '支', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('101CC6B0B917BDB2CA88DFB72AB18F8E', '塑料吸管', 'n/a', '耗材', NULL, '普通耗材', '1ml，100支/袋', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '袋', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('1021A0694DFEB552C29E6D2233FDDA70', '血清移液管', 'n/a', '耗材', NULL, '普通耗材', '25ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('1029CFD6734F216A16087944A869756E', '红色胶帽', '金利', '耗材', NULL, '普通耗材', 'n/a', '2023-08-07 15:32:59.139000', '2023-08-07 15:32:59.139000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('11503E4159FB17CB53C2328F88A6E6D4', '试管架', 'n/a', '耗材', NULL, '普通耗材', '4x6', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('1301C396B367102966733489B8C6FA65', '2-氯-N-(1-苯乙基哌啶-4-基)-N-(对甲苯)乙酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:18.866000', '2023-08-07 15:57:18.866000', '1', '1', '/', NULL, 1.00, '2-chloro-N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)acetamide', '1', '对甲苯基氯乙酰基芬太尼', '冷藏贮存', 'GASS-373', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('13BA73ADF6EA3B4AD82721C0B458A17E', '2-氯-N-(2-氟苯基) N-(1-苯乙基哌啶-4-基) 乙酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:27.905000', '2023-08-07 15:57:27.905000', '1', '1', '/', NULL, 1.00, '2-chloro-N-(2-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)acetamide', '1', '邻氟苯基氯乙酰基芬太尼', '冷藏贮存', 'GASS-388', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('13DCD7053B5BD275B951916020157DEE', '塑料吸管', 'n/a', '耗材', NULL, '普通耗材', '5ml，100支/袋', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '袋', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('142E623D92FD6013619D2BFA2B8CBA00', '牛皮纸物证袋', 'n/a', '耗材', NULL, '普通耗材', '10.2*8.8cm', '2023-08-07 15:30:24.547000', '2023-08-07 15:30:24.547000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('14409B14272DB2601E796B3EDA3D444E', '单凹片载玻片', 'SAIL BRAND', '耗材', NULL, '普通耗材', '25.4x76.2mm，50片，7103', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '盒', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('144E3C8B6BF7A12B89CED05EB6C0AA09', '干燥器', 'n/a', '耗材', NULL, '普通耗材', '210mm', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('14F5942E8362EAA99DDED5E2E5E9D56B', '2-(1-(5-氟戊基)-1H-吲哚-3-甲酰胺)-3,3-二甲基丁酸乙酯', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:57.344000', '2023-08-07 15:56:57.344000', '1', '1', '/', NULL, 1.00, 'ethyl 2-(1-(5-fluoropentyl)-1H-indole-3-carboxamido)-3,3-dimethylbutanoate', '1', '5F-EDMB-PICA', '冷藏贮存', 'GASS-296', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('14F91800B812C3D971091669D5F54B6D', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)异丁酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:43.462000', '2023-08-07 15:56:43.462000', '1', '1', '/', NULL, 1.00, 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)isobutyramide', '1', '4-氟异丁酰芬太尼', '冷藏贮存', 'GASS-097', '瓶', NULL, 0.000000000000000000000000000000, '244195-32-2', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('152B2263E7DDC5293C7E794D848FEFBF', '容量瓶', 'Brand', '耗材', NULL, '普通耗材', '2ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '2', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('159F8B42C9CC4F96D2137507A40F6481', '梨形分液漏斗', 'Bomex', '耗材', NULL, '普通耗材', '60ml', '2023-08-07 15:34:34.641000', '2023-08-07 15:34:34.641000', '1', '1', '/', NULL, 1.00, '/', '2', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('15CDC53B9DAAFF18CC4126301C8DF93C', '2-(二乙基氨基)-1-苯基丙-1-酮', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:06.630000', '2023-08-07 15:57:06.630000', '1', '1', '/', NULL, 1.00, '2-(diethylamino)-1-phenylpropan-1-one', '1', '安非拉酮盐酸盐', '冷藏贮存', 'GASS-330', '瓶', NULL, 0.000000000000000000000000000000, '134-80-5', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('164A1E418AA57EF3FA1709FBDCDFD2D5', '量筒', 'Bomex', '耗材', NULL, '普通耗材', '50ml', '2023-08-07 15:34:17.921000', '2023-08-07 15:34:17.921000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('1874C3A1B77EC9AB11ED002E55595113', '1-(苯并[d][1,3]二羟基-5-基)-N-乙基丙-2-胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:03.594000', '2023-08-07 15:57:03.594000', '1', '1', '/', NULL, 1.00, '1-(benzo[d][1,3]dioxol-5-yl)-N-ethylpropan-2-amine', '1', 'MDEA', '冷藏贮存', 'GASS-325', '瓶', NULL, 0.000000000000000000000000000000, '74341-78-9', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('19D3A8EB33A3626BF4E1A4B410E2CF84', '定性滤纸', '皎洁', '耗材', NULL, '普通耗材', '7cm，中速', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '盒', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('1A2AC0B294AD15545243F05ABD339F66', '2-(1-(环己基甲基)-1H-吲哚-3-甲酰胺)-3,3-二甲基丁酸甲酯', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:34.168000', '2023-08-07 15:56:34.168000', '1', '1', '/', NULL, 1.00, 'methyl2-(1-(cyclohexylmethyl)-1H-indole-3-carboxamido)-3,3-dimethylbutanoate', '1', 'MDMB-CHMICA', '冷藏贮存', 'GASS-067', '瓶', NULL, 0.000000000000000000000000000000, '1971007-95-0', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('1A9BCFA8A0B40FC03460B5A0C1F44118', '橡皮吸球', 'n/a', '耗材', NULL, '普通耗材', '3ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('1AC113C7F73FD73BA6169E0203071323', '磷酸', '阿拉丁', '试剂', NULL, '普通试剂', '89-90%,500ml/瓶', '2023-08-07 15:36:40.290000', '2023-08-07 15:36:40.290000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('1ACD0FEA690B6C48E2F953468C6B2762', '棕色滴瓶', 'n/a', '耗材', NULL, '普通耗材', '125ml', '2023-08-07 15:33:19.424000', '2023-08-07 15:33:19.424000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('1B1E30CD32A8A9AF12F783236B6E178A', '1-(4-氯苯基)-2-(二甲基氨基)丙-1-酮', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:32.293000', '2023-08-07 15:57:32.293000', '1', '1', '/', NULL, 1.00, '1-(4-chlorophenyl)-2-(dimethylamino)propan-1-one', '1', '对氯-N,N-二甲基卡西酮盐酸盐', '冷藏贮存', 'GASS-395', '瓶', NULL, 0.000000000000000000000000000000, '2493977-47-0', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('1BC224475D8282E9FE9251E5FD0B2225', '干燥器', 'n/a', '耗材', NULL, '普通耗材', '300mm', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('1C45AAAA7FDF17A6602269CFEE102380', '容量瓶', 'Brand', '耗材', NULL, '普通耗材', '2ml', '2023-08-07 15:33:26.380000', '2023-08-07 15:33:26.380000', '1', '1', '/', NULL, 1.00, '/', '2', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('1CDF5686482A98641B749E3B727B912D', '定量滤纸', '双联牌', '耗材', NULL, '普通耗材', '9cm，慢速', '2023-08-07 15:34:47.858000', '2023-08-07 15:34:47.858000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('1CEC6B29599FADB6148D56C2A0987B11', '吡嗪', 'Sigma-Aldrich', '试剂', NULL, '普通试剂', '≥99，100g/瓶', '2023-08-07 15:37:36.942000', '2023-08-07 15:37:36.942000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'FG级');
INSERT INTO `reagent_consumables` VALUES ('1DDBAB71B05F209909564702EF10B551', '异辛烷', 'Supelco', '试剂', NULL, '普通试剂', '1L/瓶', '2023-08-07 15:37:53.356000', '2023-08-07 15:37:53.356000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('1DF4AC0C977A1B250245F3C2FE45F9CC', 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(4-氟苄基)-1H-吲唑-3-甲酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:25.713000', '2023-08-07 15:56:25.713000', '1', '1', '/', NULL, 1.00, 'N-(1-amino-3-methyl-1-oxobutan-2-yl)-1-(4-fluorobenzyl)-1H-indazole-3-carboxamide', '1', 'AB-FUBINACA', '冷藏贮存', 'GASS-044', '瓶', NULL, 0.000000000000000000000000000000, '1629062-56-1', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('1DFD4106F8B89B85AFB5259CB2AFABC6', 'InfinityLab Poroshecll 120 PFP', 'agilent', '耗材', NULL, '色谱柱', '4.6*250mm,4um', '2023-08-07 15:30:32.615000', '2023-08-07 15:30:32.615000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('1EB8C51BA03E156360273A437CC55BA5', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)环丙烷甲酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:17.055000', '2023-08-07 15:57:17.055000', '1', '1', '/', NULL, 1.00, 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)cyclopropanecarboxamide', '1', '对甲苯基环丙甲酰基芬太尼', '冷藏贮存', 'GASS-370', '瓶', NULL, 0.000000000000000000000000000000, '2749910-42-5', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('1F2A1C498B1EF465E33E0EE76D28AB03', '药匙', 'n/a', '耗材', NULL, '普通耗材', '20cm', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('1F3F7266A6534B8C3A18B96329CB5400', '棕色滴瓶', 'n/a', '耗材', NULL, '普通耗材', '60ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '10', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('1FF232E10510D1828861ED44A936EFDC', '擦镜纸', '杭州新星', '耗材', NULL, '普通耗材', '10*15cm', '2023-08-07 15:30:52.767000', '2023-08-07 15:30:52.767000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('204A88EA9170FEFF470492359A907248', '梨形分液漏斗', 'Bomex', '耗材', NULL, '普通耗材', '250ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '2', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('215C4694C270F98AFFDDDD25D213DDA2', '试管', 'n/a', '耗材', NULL, '普通耗材', '18*180mm', '2023-08-07 15:30:44.764000', '2023-08-07 15:30:44.764000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('21D74208AF1BA7B159F4B5B92205CA8C', '活性炭口罩', 'n/a', '耗材', NULL, '普通耗材', '50支/盒', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '盒', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('22631C128F2618E71FA23F2B95C06906', 'N-(金刚烷-1-基)-1-(5-氟戊基)-1H-吲唑-3-甲酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:21.655000', '2023-08-07 15:56:21.655000', '1', '1', '/', NULL, 1.00, 'N-(adamantan-1-yl)-1-(5-fluoropentyl)-1H-indazole-3-carboxamide', '1', '5F-APINACA', '冷藏贮存', 'GASS-038', '瓶', NULL, 0.000000000000000000000000000000, '1400742-13-3', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('231946970204C7048C7C17CC9E9F4FAC', '定性滤纸', '皎洁', '耗材', NULL, '普通耗材', '9cm，中速', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '盒', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('231A4405811ABD46E950F45492EFDF38', '无水硫酸钠', '科密欧', '试剂', NULL, '普通试剂', '500g/瓶', '2023-08-07 15:36:55.122000', '2023-08-07 15:36:55.122000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('244998CCBE0453045562B3AD2DB7A716', '容量瓶', 'Brand', '耗材', NULL, '普通耗材', '25ml', '2023-08-07 15:33:24.309000', '2023-08-07 15:33:24.309000', '1', '1', '/', NULL, 1.00, '/', '2', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('2466AE7A9E10B4734167F409B1B44EA2', '量筒', 'Bomex', '耗材', NULL, '普通耗材', '10ml', '2023-08-07 15:34:16.266000', '2023-08-07 15:34:16.266000', '1', '1', '/', NULL, 1.00, '/', '20', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('247E210903CC9286794F7EB70B208662', '高硼硅量筒', 'Bomex', '耗材', NULL, '普通耗材', '500ml', '2023-08-07 15:34:14.192000', '2023-08-07 15:34:14.192000', '1', '1', '/', NULL, 1.00, '/', '2', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('24C4A490C09C2C08F7F1618F9FF9E483', '1-(4-氰基丁基)-N-(2-苯基丙-2-基) -1H-吲唑-4,5,6,7-d4-3-羧酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:48.025000', '2023-08-07 15:57:48.025000', '1', '1', '/', NULL, 1.00, '1-(4-cyanobutyl)-N-(2-phenylpropan-2-yl)-1H-indazole-4,5,6,7-d4-3-carboxamide', '1', 'D4-4CN-CUMYL-BUTINACA', '冷藏贮存', 'GASS-507', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('2502C4C70D30DFF607A4014F6A201682', '塑料吸管', 'n/a', '耗材', NULL, '普通耗材', '0.2ml，500支/袋', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '袋', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('2579A2F679FDC265AB237A2534170814', '甲醇', 'Supelco', '试剂', NULL, '普通试剂', '2.5L，LC/MS级', '2023-08-07 15:37:31.305000', '2023-08-07 15:37:31.305000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'LC/MS级');
INSERT INTO `reagent_consumables` VALUES ('25865FA402CC8636E9F419F181032511', '乙醇', '西陇', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-08-07 15:36:41.495000', '2023-08-07 15:36:41.495000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('261C5B5984AC428C77EB0C536CDA2A5F', 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(4-氟苄基)-1H-吲唑-3-甲酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:02.391000', '2023-08-07 15:57:02.391000', '1', '1', '/', NULL, 1.00, 'N-(1-amino-3-methyl-1-oxobutan-2-yl)-1-(4-fluorobenzyl)-1H-indole-3-carboxamide', '1', 'AB-FUBICA', '冷藏贮存', 'GASS-316', '瓶', NULL, 0.000000000000000000000000000000, '1801338-22-6', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('266F147AB32BCD27069EF1CD535C53A5', '保鲜自封袋5号', '苹果', '耗材', NULL, '普通耗材', '100x150mm', '2023-08-07 15:30:23.179000', '2023-08-07 15:30:23.179000', '1', '1', '/', NULL, 1.00, '/', '100', '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('26FD5D4345BE687447D224C88131A9E5', '(1-(2-吗啉乙基)-1H-吲哚-3-基)(2,2,3,3-四甲基环丙基)甲酮', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:23.763000', '2023-08-07 15:56:23.763000', '1', '1', '/', NULL, 1.00, '(1-(2-morpholinoethyl)-1H-indol-3-yl)(2,2,3,3-tetramethylcyclopropyl)methanone', '1', 'A-796,260', '冷藏贮存', 'GASS-041', '瓶', NULL, 0.000000000000000000000000000000, '895155-26-7', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('27EBEF42F3FFAB56052EFBCC208B338D', '进样小瓶盖', '安捷伦', '耗材', NULL, '普通耗材', '2ml,5182-0717，100个/包', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '包', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('28339BB056B84B8F31CEEE1FFC58B681', '梨形分液漏斗', 'Bomex', '耗材', NULL, '普通耗材', '250ml', '2023-08-07 15:34:36.265000', '2023-08-07 15:34:36.265000', '1', '1', '/', NULL, 1.00, '/', '2', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('2881B2C3975BBF245A74686015746C3F', '2-(2-氟苯基)-2-(甲氨基) 环已烷-1-酮', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:34.537000', '2023-08-07 15:57:34.537000', '1', '1', '/', NULL, 1.00, '2-(2-fluorophenyl)-2-(methylamino)cyclohexan-1-one', '1', '氟胺酮盐酸盐', '冷藏贮存', 'GASS-404', '瓶', NULL, 0.000000000000000000000000000000, '111982-49-1', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('28A95A7EAD3928AF0390A98EDEA7EA00', '2-(乙基氨基)-2-(噻吩-2-基) 环己烷-1-酮', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:35.836000', '2023-08-07 15:57:35.836000', '1', '1', '/', NULL, 1.00, '2-(ethylamino)-2-(thiophen-2-yl)cyclohexan-1-one', '1', '乙基噻吩胺酮盐酸盐', '冷藏贮存', 'GASS-406', '瓶', NULL, 0.000000000000000000000000000000, '14176-50-2', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('293EFDAD996824B63FFBF6F7DAB3C09E', '保鲜自封袋9号', '苹果', '耗材', NULL, '普通耗材', '280x200mm', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '100', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('29D7E45FCEBBBED0D8A15D1EA7770BDB', '高硼硅量筒', 'Bomex', '耗材', NULL, '普通耗材', '250ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '2', '/', '常规贮存', '/', '支', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('2AF699BB34C7D2066D7F66D4B69227DE', '保鲜自封袋6号', '苹果', '耗材', NULL, '普通耗材', '120x170mm', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '100', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('2C18ACB96AB51A52715C2ADE1C81C222', 'N-(1-氨基-3-甲基-1-氧代丁-2-基) -1-戊基-1H-吲唑-3-甲酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:26.352000', '2023-08-07 15:56:26.352000', '1', '1', '/', NULL, 1.00, 'N-(1-amino-3-methyl-1-oxobutan-2-yl)-1-pentyl-1H-indazole-3-carboxamide', '1', 'AB-PINACA', '冷藏贮存', 'GASS-045', '瓶', NULL, 0.000000000000000000000000000000, '1445583-20-9', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('2C24F9332C21D66436C94D693C4EFDFF', '量筒', 'Bomex', '耗材', NULL, '普通耗材', '10ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '20', '/', '常规贮存', '/', '支', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('2CEF7953A7965A062F7487F170D5A576', '血清移液管', 'n/a', '耗材', NULL, '普通耗材', '10ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('2D05D439A02CC4CF61A010CB276C1C39', 'DB-35MS', '安捷伦', '耗材', NULL, '普通耗材', '30m*0.25mm*0.25um，122-3832', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '根', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('2D6B2541297448FE0078EAF8AF41C2E2', '3,3-二甲基-2-(1-(戊-4-烯-1-基)-1H-吲唑-3-甲酰胺基)丁酸甲酯', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:55.250000', '2023-08-07 15:56:55.250000', '1', '1', '/', NULL, 1.00, 'methyl 3,3-dimethyl-2-(1-(pent-4-en-1-yl)-1H-indazole-3-carboxamido)butanoate', '1', 'MDMB-4en-PINACA', '冷藏贮存', 'GASS-292', '瓶', NULL, 0.000000000000000000000000000000, '2504100-70-1', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('2DD4DBF5D49052B198CB67B0E13C55B6', '二甲基砜', 'Sigma-Aldrich', '试剂', NULL, '普通试剂', '100g/瓶', '2023-08-07 15:36:38.612000', '2023-08-07 15:36:38.612000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('2E7AE2A76E0463B8E7548CB751951FF5', '擦镜纸', '杭州新星', '耗材', NULL, '普通耗材', '10*15cm', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('2E90FCD4F093F3E8081C07EFB53A819E', '血清移液管', 'n/a', '耗材', NULL, '普通耗材', '2ml', '2023-08-07 15:30:49.304000', '2023-08-07 15:30:49.304000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('2E983AB5BCCDB678342BCB3261859BB8', '高硼硅量筒', 'Bomex', '耗材', NULL, '普通耗材', '250ml', '2023-08-07 15:34:13.550000', '2023-08-07 15:34:13.550000', '1', '1', '/', NULL, 1.00, '/', '2', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('2EC8CCB1C3C71BC1901BE8DD9075F7D2', 'DB-35MS', '安捷伦', '耗材', NULL, '普通耗材', '30m*0.25mm*0.25um，122-3832', '2023-08-07 15:32:56.868000', '2023-08-07 15:32:56.868000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '根', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('2F04EF4FBE9AF1C7BEF583748BB0B328', '甲醇', 'Thermo', '试剂', NULL, '普通试剂', '4L/瓶', '2023-08-07 15:37:51.312000', '2023-08-07 15:37:51.312000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC，GC级');
INSERT INTO `reagent_consumables` VALUES ('2F5976EB0A24864A5284EAF7A13F1645', '移液管', 'MC', '耗材', NULL, '普通耗材', '10ml', '2023-08-07 15:30:47.194000', '2023-08-07 15:30:47.194000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('2F86BEA371F267DACFB3020053E7489B', '塑料烧杯', 'n/a', '耗材', NULL, '普通耗材', '3000ml', '2023-08-07 15:34:40.291000', '2023-08-07 15:34:40.291000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('30469F338C71C8B478BB4CE8DD29961F', '密封垫', '岛津', '耗材', NULL, '普通耗材', '货号221-48398-91，20个/盒', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '盒', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('30AA5619BAF96079A6D42B916CCF17C8', '一次性塑料离心管', 'Corning', '耗材', NULL, '普通耗材', '50ml', '2023-08-07 15:34:27.896000', '2023-08-07 15:34:27.896000', '1', '1', '/', NULL, 1.00, '/', '20', '/', '常规贮存', NULL, '箱', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('30FE3DCECE20E17E9CE9AA4727BA06C3', '单凹片载玻片', 'SAIL BRAND', '耗材', NULL, '普通耗材', '25.4x76.2mm，50片，7103', '2023-08-07 15:36:28.262000', '2023-08-07 15:36:28.262000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('3186FFC751572631B2B9BEF98AEB0E3F', '4-(三氟甲基)氯苄', '阿拉丁', '试剂', NULL, '普通试剂', '>97.0%(GC)，25g/瓶', '2023-08-07 15:37:57.968000', '2023-08-07 15:37:57.968000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, '939-99-1', NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('31E3C58322524411EEB50F9E7D89EF1F', '定性滤纸', '皎洁', '耗材', NULL, '普通耗材', '9cm，中速', '2023-08-07 15:36:22.848000', '2023-08-07 15:36:22.848000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('31F05CF6E5FF37CA972C00FC71031DCF', '容量瓶', 'Brand', '耗材', NULL, '普通耗材', '5ml', '2023-08-07 15:33:25.617000', '2023-08-07 15:33:25.617000', '1', '1', '/', NULL, 1.00, '/', '2', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('32192E2A9D76069E893DAF5424E11575', '定性滤纸', '皎洁', '耗材', NULL, '普通耗材', '12.5cm，中速', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '盒', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('32714A502D90D86BA30D73CC69985709', '容量瓶', 'Brand', '耗材', NULL, '普通耗材', '100ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '2', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('32AB8D0E6C7D8910588365A17AA79AA2', '2-(1-(5-氟戊基)-1H-吲哚-3-甲酰胺)-3,3-二甲基丁酸甲酯', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:50.380000', '2023-08-07 15:56:50.380000', '1', '1', '/', NULL, 1.00, 'methyl 2-(1-(5-fluoropentyl)-1H-indole-3-carboxamido)-3,3-dimethylbutanoate', '1', '5F-MDMB-PICA', '冷藏贮存', 'GASS-259', '瓶', NULL, 0.000000000000000000000000000000, '1971007-88-1', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('32B1DEE418F48BDA79F432538D6A13F4', '核磁管', 'NORELL', '耗材', NULL, '核磁管', '100个/盒', '2023-08-07 15:30:38.971000', '2023-08-07 15:30:38.971000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('33507A4B07B101DDE09A2EAEE6D48699', '保鲜自封袋8号', '苹果', '耗材', NULL, '普通耗材', '240x170mm', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '100', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('337EECBBA5F7DA69F2B01605F16BDD4D', '带塞溶剂瓶', 'n/a', '耗材', NULL, '普通耗材', '250ml', '2023-08-07 15:34:36.801000', '2023-08-07 15:34:36.801000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('338C3918009C9A3917C2D208A4C3A839', '氘代甲醇', 'CIL', '试剂', NULL, '普通试剂', '0.6mLx10,99.8%', '2023-08-07 15:37:32.707000', '2023-08-07 15:37:32.707000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('34147522DFD90B0579F2A97EBA0FDD76', '喹啉-8-基-1-戊基-1H-吲哚-3-羧酸盐', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:35.716000', '2023-08-07 15:56:35.716000', '1', '1', '/', NULL, 1.00, 'quinolin-8-y1-pentyl-1H-indole-3-carboxylate', '1', 'PB-22', '冷藏贮存', 'GASS-069', '瓶', NULL, 0.000000000000000000000000000000, '1400742-17-7', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('3428BAC3FCF00E8F5952D85AAB63600F', '(1-(5-氟戊基)-1H-吲哚-3-基)(2,2,3,3-四甲基环丙基)甲酮', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:23.134000', '2023-08-07 15:56:23.134000', '1', '1', '/', NULL, 1.00, '(1-(5-fluoropentyl)-1H-indol-3-yl)(2,2,3,3-tetramethylcyclopropyl)methanone', '1', '5F-UR-144', '冷藏贮存', 'GASS-040', '瓶', NULL, 0.000000000000000000000000000000, '1364933-54-9', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('34C5C274AE4268C7992F2E638D12411B', '药匙', 'n/a', '耗材', NULL, '普通耗材', '3x1', '2023-08-07 15:33:01.287000', '2023-08-07 15:33:01.287000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '套', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('3566C17A2D82E8258AC1B19F059F4FEB', 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基)-1-(环己基甲基)-1H-吲唑-3-甲酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:39.434000', '2023-08-07 15:56:39.434000', '1', '1', '/', NULL, 1.00, 'N-(1-amino-3,3-dimethyl-1-oxobutan-2-yl)-1(cyclohexylmethyl)-1H-indazole-3-carboxamide', '1', 'ADB-CHMINACA', '冷藏贮存', 'GASS-076', '瓶', NULL, 0.000000000000000000000000000000, '1863065-92-2', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('35C00276463D29EB56ED44B6EF1C45B0', '枪头', 'Brand', '耗材', NULL, '普通耗材', '200ul', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '10', '/', '常规贮存', '/', '盒', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('35C87ACDB1A187560C2DF29AF23D9067', 'D-缬氨酰胺盐酸盐', '阿拉丁', '试剂', NULL, '普通试剂', '97%，1g/瓶', '2023-08-07 15:37:59.146000', '2023-08-07 15:37:59.146000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, '133170-58-8', NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('364863F9D2A45ABAB4D5C5841763C800', '乙酸乙酯', '利安隆博华', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-08-07 15:36:53.739000', '2023-08-07 15:36:53.739000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('36A697E9443BF1658B3EF6D190360B1A', '正庚烷', '科密欧', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-08-07 15:36:51.627000', '2023-08-07 15:36:51.627000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('378A58662B01BFAB3A9856956A26E8CE', '进口滤膜', '津隆', '耗材', NULL, '普通耗材', '25mm，100片/盒，水洗聚醚砜（PES），0.22um，货号：JLSP202202', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '盒', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('386EC0AE77D5A7DAC3500CBAEC32FC3B', '乙腈', 'Supelco', '试剂', NULL, '普通试剂', '2.5L/瓶', '2023-08-07 15:36:34.372000', '2023-08-07 15:36:34.372000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'LC/MS级');
INSERT INTO `reagent_consumables` VALUES ('394D2138D494C296800683C9C4E26A82', '乙酸乙酯', '沪试', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-08-07 15:36:50.249000', '2023-08-07 15:36:50.249000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('39CBA0E4D5644083828D1CFF88F81486', 'LG玻板抽滤漏斗', '垒固', '耗材', NULL, '普通耗材', '250ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('39D02BD5F462924DC30BC18405917852', '塑料吸管', 'n/a', '耗材', NULL, '普通耗材', '0.2ml，500支/袋', '2023-08-07 15:33:09.299000', '2023-08-07 15:33:09.299000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '袋', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('3A1DB7700E66ABF1790BD9CDE1AFB89C', '枪头', 'Brand', '耗材', NULL, '普通耗材', '200ul', '2023-08-07 15:36:19.320000', '2023-08-07 15:36:19.320000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('3A7CD812B8F2248CE3529D5AC16D4B94', '血清移液管', 'n/a', '耗材', NULL, '普通耗材', '1ml', '2023-08-07 15:30:48.655000', '2023-08-07 15:30:48.655000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('3AF505D7CCA62A27A13EA6B59E06DABB', '1-(4-甲氧基苯基-2,3,5,6-d4)-N-甲基丙-2-胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:38.912000', '2023-08-07 15:57:38.912000', '1', '1', '/', NULL, 1.00, '1-(4-methoxyphenyl-2,3,5,6-d4)-N-methylpropan-2-amine', '1', 'D4-PMMA盐酸盐', '冷藏贮存', 'GASS-452', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('3B7B987E5E74FF5BFE1EF23929D890A5', '表面皿', 'n/a', '耗材', NULL, '普通耗材', 'Φ60mm，10个/盒', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '盒', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('3BF1ECF7D80355363B735EFDF8150E78', '枪头', 'sartorius', '耗材', NULL, '普通耗材', '200ul', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '盒', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('3C32A48ECD51CB0227232580562069A7', '收纳盒', 'n/a', '耗材', NULL, '普通耗材', 'n/a', '2023-08-07 15:34:39.659000', '2023-08-07 15:34:39.659000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('3D29A83AC8A6B601D9E1FDA8B9E278A5', '马来酸', 'Sigma-Aldrich', '试剂', NULL, '普通试剂', '100g/瓶，99%', '2023-08-07 15:37:38.969000', '2023-08-07 15:37:38.969000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('3D64B5FE9A03A6113F4E75123F5B073B', '定量滤纸', '新星', '耗材', NULL, '普通耗材', '18cm，中速', '2023-08-07 15:34:50.430000', '2023-08-07 15:34:50.430000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('3DA72B2A1DC8C31A3D8F279D306690D1', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)戊酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:21.315000', '2023-08-07 15:57:21.315000', '1', '1', '/', NULL, 1.00, 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)pentanamide', '1', '对甲苯基正戊酰基芬太尼', '冷藏贮存', 'GASS-377', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('3E3DAF128CA84B5C9D56A39F667BD943', '小口试剂瓶', '蜀牛', '耗材', NULL, '普通耗材', '2500ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('3E6A60262CD921AEBE16DBF06A616B0B', '移液管', 'MC', '耗材', NULL, '普通耗材', '2ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('3E903D0EAFDAC96651AD06E4D8DCFBC2', '烟酰胺', 'Sigma-Aldrich', '试剂', NULL, '普通试剂', '100g/瓶', '2023-08-07 15:37:34.843000', '2023-08-07 15:37:34.843000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('3E9BF5F3AF8F122BB1E5FF065AF70D21', '螺纹试剂瓶', '蜀牛', '耗材', NULL, '普通耗材', '250ml', '2023-08-07 15:34:26.629000', '2023-08-07 15:34:26.629000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('3EF4E48C464C9EABDF684A5756D5D054', '定量滤纸', '双联牌', '耗材', NULL, '普通耗材', '12.5cm，慢速', '2023-08-07 15:34:47.339000', '2023-08-07 15:34:47.339000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('3F350C403EE7796C35559C7962EFF2C3', '进口滤膜', '津隆', '耗材', NULL, '普通耗材', '25mm，100片/盒，水洗聚醚砜（PES），0.45um，货号：JLSP214502', '2023-08-07 15:34:43.714000', '2023-08-07 15:34:43.714000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('3F814BFEF48658140A58EC860D1D30C6', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)戊酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:23.792000', '2023-08-07 15:57:23.792000', '1', '1', '/', NULL, 1.00, 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)pentanamide', '1', '对氟苯基正戊基芬太尼', '冷藏贮存', 'GASS-381', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('3F90B55E322BA7EED1965C68F2319F80', '牛皮纸物证袋', 'n/a', '耗材', NULL, '普通耗材', '16.5*9.8cm', '2023-08-07 15:30:25.292000', '2023-08-07 15:30:25.292000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('3FA1261A1AFD4A3E85615930F38C71D4', 'N-(1-苯乙基哌啶-4-基)-N-苯基环丙烷甲酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:29.101000', '2023-08-07 15:57:29.101000', '1', '1', '/', NULL, 1.00, 'N-(1-phenethylpiperidin-4-yl)-N-phenylcyclopropanecarboxamide', '1', '苯基环丙甲酰基芬太尼', '冷藏贮存', 'GASS-390', '瓶', NULL, 0.000000000000000000000000000000, '1169-68-2', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('40372C676C35B084563EBB2269A0D194', '1-(4-溴苯基)-2-(吡咯烷-1-基)丙-1-酮', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:05.846000', '2023-08-07 15:57:05.846000', '1', '1', '/', NULL, 1.00, '1-(4-bromophenyl)-2-(pyrrolidin-1-yl)propan-1-one', '1', 'N-环丁基-对溴-卡西酮盐酸盐', '冷藏贮存', 'GASS-329', '瓶', NULL, 0.000000000000000000000000000000, '1152859-02-3', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('408572A0E4C84F071F52CD183C13DA42', '(1-(4-氟苄基)-1H-吲唑-3-羰基)缬氨酸甲酯', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:37.970000', '2023-08-07 15:56:37.970000', '1', '1', '/', NULL, 1.00, 'methyl(1-(4-fluorobenzyl)-1H-indazole-3-carbonyl)valinate', '1', 'AMB-FUBINACA', '冷藏贮存', 'GASS-074', '瓶', NULL, 0.000000000000000000000000000000, '1715016-76-4', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('40A9214BCD99CD09A316F534FFF28567', '棕色滴瓶', 'n/a', '耗材', NULL, '普通耗材', '60ml', '2023-08-07 15:33:18.296000', '2023-08-07 15:33:18.296000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('41AD8970BF0C8B47856EA895F2317234', '核磁管', 'NORELL', '耗材', NULL, '核磁管', '100个/盒', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4270653BDC5653B68C477AFA61D876D3', '保鲜自封袋4号', '苹果', '耗材', NULL, '普通耗材', '85x120mm', '2023-08-07 15:30:23.811000', '2023-08-07 15:30:23.811000', '1', '1', '/', NULL, 1.00, '/', '100', '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('42A44C857FC6E7434FFBEDB0D9965923', '氢氧化钠', '欧博凯', '试剂', NULL, '普通试剂', '500g/瓶', '2023-08-07 15:37:02.180000', '2023-08-07 15:37:02.180000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'GR级');
INSERT INTO `reagent_consumables` VALUES ('42D8D00268672663E954E1D5DA52D588', '物证封装袋', 'n/a', '耗材', NULL, '普通耗材', '16.5*12cm', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '100', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('447D05CA4302722D8860C978CDE2D23D', '(1-(4-氟苄基)-1H-吲哚-3-基)(萘-1-基)甲酮', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:31.349000', '2023-08-07 15:56:31.349000', '1', '1', '/', NULL, 1.00, '(1-(4-fluorobenzyl)-1H-indol-3-yl)(naphthalen-1-yl)methanone', '1', 'FUB-JWH-018', '冷藏贮存', 'GASS-056', '瓶', NULL, 0.000000000000000000000000000000, '2365471-45-8', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('44FD2C851135570E474C12B36B1D84FB', '一次性蓝色丁腈手套', '柯沃', '耗材', NULL, '普通耗材', 'S', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '10', '/', '常规贮存', '/', '盒', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('45009596D81130BF2A9903E7D5889CAD', '滤膜', '上海新亚', '耗材', NULL, '普通耗材', '有机，0.45um，50mm，50片/盒', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '盒', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('458D8124F1A76358E89CE1A11F6E3EAB', '小口试剂瓶', 'n/a', '耗材', NULL, '普通耗材', '1000ml', '2023-08-07 15:34:28.554000', '2023-08-07 15:34:28.554000', '1', '1', '/', NULL, 1.00, '/', '6', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('466574DA20560FBFDCE01225B6FE92DA', '三（羟甲基）氨基甲烷', '沪试', '试剂', NULL, '普通试剂', '100g/瓶', '2023-08-07 15:37:03.934000', '2023-08-07 15:37:03.934000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('46B3523E5E28B268C636A1DA98B49FF6', '连盖离心管', 'n/a', '耗材', NULL, '普通耗材', '2ml，300个', '2023-08-07 15:36:30.196000', '2023-08-07 15:36:30.196000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '袋', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('47026962CA347D98D85ECFCB4E6C64CB', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)丁酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:17.541000', '2023-08-07 15:57:17.541000', '1', '1', '/', NULL, 1.00, 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)butyramide', '1', '对甲苯基正丁酰基芬太尼', '冷藏贮存', 'GASS-371', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('472D1E36C63F80BDE066597018339060', '试管刷', 'n/a', '耗材', NULL, '普通耗材', '无', '2023-08-07 15:36:32.165000', '2023-08-07 15:36:32.165000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('47CF44D683CCAEB50EB2C159FEB72A91', 'Astec CHIROBIOTIC V2', 'merck', '耗材', NULL, '色谱柱', '25cm*4.6mm,5um', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('47E5959EE794D809712ACE670507B79A', '连盖离心管', 'CYPRESS', '耗材', NULL, '普通耗材', '5ml，300支/袋', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '包', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('486A95DA85C8F6DA1961B25C52A7760A', '活性炭口罩', 'n/a', '耗材', NULL, '普通耗材', '50支/盒', '2023-08-07 15:33:15.153000', '2023-08-07 15:33:15.153000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('489E426D395850BA47290102C7E14824', '叔丁醇', '科密欧', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-08-07 15:37:29.399000', '2023-08-07 15:37:29.399000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('48EC487AE05A7A560F4C77171AA5EB69', '氘代DMSO', 'CIL', '试剂', NULL, '普通试剂', '50ml/瓶', '2023-08-07 15:37:41.180000', '2023-08-07 15:37:41.180000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('4921A490F66DAD25FD9B1AF6FDF24343', '滤膜', '上海新亚', '耗材', NULL, '普通耗材', '有机，0.22um，50mm，50片/盒', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '盒', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('495257E4D581C3C125C618A354BA60FB', '带塞溶剂瓶', 'n/a', '耗材', NULL, '普通耗材', '500ml', '2023-08-07 15:34:37.533000', '2023-08-07 15:34:37.533000', '1', '1', '/', NULL, 1.00, '/', '8', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4B5D062DBFA2711099274434984A3980', '锥形瓶', 'Bomex', '耗材', NULL, '普通耗材', '250ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4CCAD38510D9C269B4DC4954AB09BFA5', '移液管', 'MC', '耗材', NULL, '普通耗材', '20ml', '2023-08-07 15:30:46.514000', '2023-08-07 15:30:46.514000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4CEDDE1639D4D807DEB5CB0642E1A72A', '牛皮纸物证袋', 'n/a', '耗材', NULL, '普通耗材', '30*17*46cm', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '10', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4D23ABBEFE55381E96869D529E5F4380', '血清移液管', 'n/a', '耗材', NULL, '普通耗材', '10ml', '2023-08-07 15:30:51.409000', '2023-08-07 15:30:51.409000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4DAA90811B2EF1EE4000DE16710EDBB4', '定性滤纸', '皎洁', '耗材', NULL, '普通耗材', '12.5cm，中速', '2023-08-07 15:36:25.251000', '2023-08-07 15:36:25.251000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4E6E2670DA4B436067DB4040D53F8408', '进口滤膜', '津隆', '耗材', NULL, '普通耗材', '13mm，水洗聚醚砜（PES）,0.45um，货号：JLSP054501', '2023-08-07 15:34:51.708000', '2023-08-07 15:34:51.708000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4E8A9A59F899B08A6E5FB58352985ED6', '甲醇', '科密欧', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-08-07 15:36:47.685000', '2023-08-07 15:36:47.685000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('4EF33C24C36B20192E348B1E12F63EBA', '枪头', 'Brand', '耗材', NULL, '普通耗材', '5ml，200支/包', '2023-08-07 15:34:40.948000', '2023-08-07 15:34:40.948000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4F3854C62BB387A046FEA9D410635148', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)丙酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:44.182000', '2023-08-07 15:56:44.182000', '1', '1', '/', NULL, 1.00, 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)-propionamide', '1', '对氟芬太尼', '冷藏贮存', 'GASS-108', '瓶', NULL, 0.000000000000000000000000000000, '90736-23-5', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4F78CE16CE63E21FED9E9F3C18CC55D6', '称量瓶', 'n/a', '耗材', NULL, '普通耗材', '50x30', '2023-08-07 15:34:20.622000', '2023-08-07 15:34:20.622000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4FCCAB116AD0D5E388BD3F9F177A2DD2', '牛皮纸物证袋', 'n/a', '耗材', NULL, '普通耗材', '40*20cm', '2023-08-07 15:30:27.393000', '2023-08-07 15:30:27.393000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('504ACDC09F444287F4C0BD9BDFFB2BE8', '定量滤纸', '双联牌', '耗材', NULL, '普通耗材', '9cm，慢速', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '盒', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('50CD1613EAFBE23B56E5BD80AE295C2A', 'InfinityLab Poroshecll 120 PFP', 'agilent', '耗材', NULL, '色谱柱', '4.6*250mm,4um', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('5139FC53B48B494AE8ADAE8DF5937121', '三乙胺', '百灵威', '试剂', NULL, '普通试剂', '1L/瓶,99.7%', '2023-08-07 15:37:04.461000', '2023-08-07 15:37:04.461000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('51E89D3CD9AF92582CB3E0E91942B8E4', 'ACQUITY UPLC ENH HILIC ', 'Waters', '耗材', NULL, '色谱柱', '2.1*100mm,1.7um', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('51EA02B8DE70156912CB35879E47B3BD', '三（羟甲基）氨基甲烷', '阿拉丁', '试剂', NULL, '普通试剂', '0.999', '2023-08-07 15:37:03.270000', '2023-08-07 15:37:03.270000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, '标准缓冲物质');
INSERT INTO `reagent_consumables` VALUES ('52149875E223374F4CACA7C97D68FE56', '进口滤膜', '津隆', '耗材', NULL, '普通耗材', '13mm，水洗聚醚砜（PES）,0.22um，货号：JLSP042201', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '盒', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('522DBDE9C87DBE8418B9FA7E14E54F82', '刮刀', 'n/a', '耗材', NULL, '普通耗材', '25cm', '2023-08-07 15:33:08.081000', '2023-08-07 15:33:08.081000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('528E1ADCC042D779E830D3C39DF019CC', '一次性塑料烧杯', 'n/a', '耗材', NULL, '普通耗材', '250ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('52CBC132CB32C315D32AA93200229258', '载玻片', 'SAIL BRAND', '耗材', NULL, '普通耗材', '25.4x76.2mm，50片，7102', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '盒', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('534067179AD57F2F6182AF9ACEAB69C9', '瓶口分液器', 'sartorius', '耗材', NULL, '普通耗材', '0.2ml-1ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('5381BAFEA25E80A251B0549C6DDA9F4F', '(E)-N\'-(1-(5-氟戊基)-2-氧代吲哚-3-亚基) 苯甲酰肼', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:44.620000', '2023-08-07 15:57:44.620000', '1', '1', '/', NULL, 1.00, '(E)-N\'-(1-(5-fluoropentyl)-2-oxoindolin-3-ylidene)benzohydrazide', '1', '5F-MDA-19', '冷藏贮存', 'GASS-501', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('5383BC09A87CEFD4C74A2FF9A0094C26', '一次性塑料烧杯', 'n/a', '耗材', NULL, '普通耗材', '250ml', '2023-08-07 15:34:29.581000', '2023-08-07 15:34:29.581000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('53C0DEB678AA3A10506DAB5A0E444BF8', '一次性蓝色丁腈手套', '柯沃', '耗材', NULL, '普通耗材', 'L', '2023-08-07 15:36:21.652000', '2023-08-07 15:36:21.652000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('53CEE1B8560E5AAB6A76AED8BE2F7935', '血清移液管', 'n/a', '耗材', NULL, '普通耗材', '25ml', '2023-08-07 15:30:50.672000', '2023-08-07 15:30:50.672000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('545FED46C1885BEA22DCDF83EA8AA454', '枪头', 'sartorius', '耗材', NULL, '普通耗材', '10ul', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '盒', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('54D07807B8B4DA7C365B63E801AA2386', '温度计', 'MC', '耗材', NULL, '普通耗材', '200ml', '2023-08-07 15:33:04.626000', '2023-08-07 15:33:04.626000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('55E216226612FF7924B63DEDAA07C589', '牛皮纸物证袋', 'n/a', '耗材', NULL, '普通耗材', '30*17*46cm', '2023-08-07 15:30:26.692000', '2023-08-07 15:30:26.692000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('55EE43A294EC4808C3D83461F98F6D8F', '量筒', 'Bomex', '耗材', NULL, '普通耗材', '100ml', '2023-08-07 15:34:18.686000', '2023-08-07 15:34:18.686000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('568B888F25140F580D52432045B15F21', '移液枪', 'Sartorius', '耗材', NULL, '普通耗材', '1-10ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('56C7E762DC86C51F1672E018277D71DA', '药匙', 'n/a', '耗材', NULL, '普通耗材', '16cm', '2023-08-07 15:33:01.799000', '2023-08-07 15:33:01.799000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('56E22A84F698CE78C3933CECE54D2482', '进口滤膜', '津隆', '耗材', NULL, '普通耗材', '25mm，100片/盒，水洗聚醚砜（PES），0.22um，货号：JLSP202202', '2023-08-07 15:34:44.312000', '2023-08-07 15:34:44.312000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('5726EA29F7212BEFC0615D48258EBA82', '废液瓶架', 'n/a', '耗材', NULL, '普通耗材', 'n/a', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('57B8083981D0C76FFB819298EF953E0F', '锥形瓶', '环球', '耗材', NULL, '普通耗材', '50ml', '2023-08-07 15:34:38.203000', '2023-08-07 15:34:38.203000', '1', '1', '/', NULL, 1.00, '/', '12', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('57C4C6CBA1539BD5F2394B801CBFE52A', '定性滤纸', '皎洁', '耗材', NULL, '普通耗材', '7cm，中速', '2023-08-07 15:36:22.366000', '2023-08-07 15:36:22.366000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('57D9F0612EE202CF1BCA924E5408E7F0', '1-(4-甲氧基苯基-2,3,5,6-d4)丙-2-胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:38.212000', '2023-08-07 15:57:38.212000', '1', '1', '/', NULL, 1.00, '1-(4-methoxyphenyl-2,3,5,6-d4)propan-2-amine', '1', 'D4-PMA盐酸盐', '冷藏贮存', 'GASS-451', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('580898C9034B29502B9F71345441E645', '密封垫', '岛津', '耗材', NULL, '普通耗材', '货号221-48398-91，20个/盒', '2023-08-07 15:30:40.516000', '2023-08-07 15:30:40.516000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('589D62DF6390C0805D780C2895C33002', '进口滤膜', '津隆', '耗材', NULL, '普通耗材', '13mm，水洗聚醚砜（PES）,0.45um，货号：JLSP054501', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '盒', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('58B72CC05A3D8BB328C52578FD1499A8', '3-甲基-N-(1-苯基哌啶-4-基)-N-(对甲苯基) 丁酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:18.336000', '2023-08-07 15:57:18.336000', '1', '1', '/', NULL, 1.00, '3-methyl-N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)butanamide', '1', '对甲苯基异戊酰基芬太尼', '冷藏贮存', 'GASS-372', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('58D577E957141BC4F502285116C6139A', '3-环戊基-N-(1-苯乙基哌啶-4-基)-N-苯基丙酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:29.659000', '2023-08-07 15:57:29.659000', '1', '1', '/', NULL, 1.00, '3-cyclopentyl-N-(1-phenethylpiperidin-4-yl)-N-phenylpropanamide', '1', '苯基环戊丙酰基芬太尼', '冷藏贮存', 'GASS-391', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('59D0BEABC8813D08CF9737F36B2251BA', '容量瓶', 'Bomex', '耗材', NULL, '普通耗材', '250ml', '2023-08-07 15:33:27.698000', '2023-08-07 15:33:27.698000', '1', '1', '/', NULL, 1.00, '/', '6', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('5A061786CCF8559499EF8E9CF40DB4F1', '2-(2-溴苯基) -2-(甲氨基) 环己烷-1-酮', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:35.288000', '2023-08-07 15:57:35.288000', '1', '1', '/', NULL, 1.00, '2-(2-bromophenyl)-2-(methylamino)cyclohexan-1-one', '1', '溴胺酮盐酸盐', '冷藏贮存', 'GASS-405', '瓶', NULL, 0.000000000000000000000000000000, '120807-70-7(base)', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('5B26611EE22809F1BE2B86C544667972', 'N-(金刚烷-1-基)-1-戊基-1H-吲哚-3-甲酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:29.292000', '2023-08-07 15:56:29.292000', '1', '1', '/', NULL, 1.00, 'N-(adamantan-1-yl)-1-pentyl-1H-indole-3-carboxamide', '1', 'APICA', '冷藏贮存', 'GASS-051', '瓶', NULL, 0.000000000000000000000000000000, '1345973-50-3', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('5CD9478AB4B040086EF36B380C9C2B02', 'LG玻板抽滤漏斗', '垒固', '耗材', NULL, '普通耗材', '250ml', '2023-08-07 15:34:32.407000', '2023-08-07 15:34:32.407000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('5D0BE3B0732D3B165CF00645B77E874A', '定量滤纸', '新星', '耗材', NULL, '普通耗材', '15cm，中速', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '盒', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('5D5F26B7975C548CA62A0A17E388B76B', '1-(4-溴苯基)-2-(二乙基氨基)丙-1-酮', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:05.218000', '2023-08-07 15:57:05.218000', '1', '1', '/', NULL, 1.00, '1-(4-bromophenyl)-2-(diethylamino)propan-1-one', '1', 'N-乙基-对溴-乙卡西酮盐酸盐', '冷藏贮存', 'GASS-328', '瓶', NULL, 0.000000000000000000000000000000, '92104-89-7', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('5DB5491C5E2CB07E77190BD98DF27667', 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基)-1-(5-氟戊基-1H-吲哚-3-甲酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:20.225000', '2023-08-07 15:56:20.225000', '1', '1', '/', NULL, 1.00, 'N-(1-amino-3,3-dimethyl-1-oxobutan-2-yl)-1-(5-fluoropentyl)-1H-indole-3-carboxamide', '1', '5F-ADBICA', '冷藏贮存', 'GASS-036', '瓶', NULL, 0.000000000000000000000000000000, '1801338-27-1', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('5DDBFE5597C43CB16ED13AFA749C8449', '2-(2-氯苯基-3,4,5,6-d4) -2-(甲氨基) 环己烷-1-酮', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:41.316000', '2023-08-07 15:57:41.316000', '1', '1', '/', NULL, 1.00, '2-(2-chlorophenyl-3,4,5,6-d4)-2-(methylamino)cyclohexan-1-one', '1', 'D4-氯胺酮盐酸盐', '冷藏贮存', 'GASS-459', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('5E09A6BC8A90AD143BA66F657FA694EE', 'HBTU, 苯并三氮唑-N,N,N\',N\'-四甲基脲六氟磷酸酯', '阿拉丁', '试剂', NULL, '普通试剂', '99%, 100g/瓶', '2023-08-07 15:38:02.901000', '2023-08-07 15:38:02.901000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, '94790-37-1', NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('5E0BD65BE78B51B4378D0E880E9CC0E7', 'ZORBAX Eclipse Plus C18', 'agilent', '耗材', NULL, '色谱柱', '4.6*150mm,5um', '2023-08-07 15:30:31.967000', '2023-08-07 15:30:31.967000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('5F580364E00D2223A2BD97FBB000FB29', '塑料吸管', 'n/a', '耗材', NULL, '普通耗材', '2ml，100支/袋', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '袋', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('5F8139F9B3D6EEFB1D2A5B5692C5023B', '离心管架', 'n/a', '耗材', NULL, '普通耗材', '4X5，20孔', '2023-08-07 15:36:27.646000', '2023-08-07 15:36:27.646000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('602337AAB3BEA6B21364D9DB831326BF', '乙腈', 'Fisher', '试剂', NULL, '普通试剂', '4L/瓶', '2023-08-07 15:37:50.143000', '2023-08-07 15:37:50.143000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC，GC级');
INSERT INTO `reagent_consumables` VALUES ('60C1C4567C44951AB63F606F56AD3A9E', '塑料吸管', 'n/a', '耗材', NULL, '普通耗材', '3ml，100支/袋', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '袋', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('618E43444D316057BE919362FF5EABB4', '1-(4-氯-2,5-二甲氧基苯基)丙-2-胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:16.750000', '2023-08-07 15:56:16.750000', '1', '1', '/', NULL, 1.00, '1-(4-chloro-2,5-dimethoxyphenyl)propan-2-amine', '1', 'DoC', '冷藏贮存', 'GASS-013', '瓶', NULL, 0.000000000000000000000000000000, '123431-31-2', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('61C474011A1D8F6870A89E1DBBAF1252', '载玻片', 'SAIL BRAND', '耗材', NULL, '普通耗材', '25.4x76.2mm，50片，7102', '2023-08-07 15:36:28.797000', '2023-08-07 15:36:28.797000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('626006C737D336AC168F42D2C8A69767', '定性滤纸', '皎洁', '耗材', NULL, '普通耗材', '15cm，中速', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '盒', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('63133AE1D9CC147E69589B75454D40CA', '二苯胺', 'Sigma-Aldrich', '试剂', NULL, '普通试剂', '100g/瓶', '2023-08-07 15:36:35.460000', '2023-08-07 15:36:35.460000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'ReagentPlus');
INSERT INTO `reagent_consumables` VALUES ('6358E718D7ED7F034C5D7CAAADCC5B2D', '滤膜', '上海新亚', '耗材', NULL, '普通耗材', '有机，0.45um，50mm，50片/盒', '2023-08-07 15:34:46.043000', '2023-08-07 15:34:46.043000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('63A6FE5AA12AFFC8AC3EEE2C90E56401', '玻璃冻存管', 'n/a', '耗材', NULL, '普通耗材', '透明，5ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('645FBBBDD5DC8BB2FF48C2BCC739F3B5', '甲醇', 'Supelco', '试剂', NULL, '普通试剂', '4L/瓶', '2023-08-07 15:36:40.895000', '2023-08-07 15:36:40.895000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('6488A336F64C7F72211CB8D638DB15F8', '离心管架', 'n/a', '耗材', NULL, '普通耗材', '4X5，20孔', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('64B6C5E0B3DC6FA2F95422EE3BB083C6', '血清移液管', 'n/a', '耗材', NULL, '普通耗材', '2ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('64BC7D5FA7983FF6479F0C92470626AB', '药匙', 'n/a', '耗材', NULL, '普通耗材', '20cm', '2023-08-07 15:33:02.583000', '2023-08-07 15:33:02.583000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('6523699212A33CE47D8AF20FD7088607', '梨形分液漏斗', 'Bomex', '耗材', NULL, '普通耗材', '125ml', '2023-08-07 15:34:35.390000', '2023-08-07 15:34:35.390000', '1', '1', '/', NULL, 1.00, '/', '2', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('654B8F12875BB11266369F94A1F40200', '7-氯-5-(2-氯苯基-3,4.5,6-d4) -3-羟基-1,3-二氢-2H-苯并[e][1,4]二氮杂-2-酮', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:40.034000', '2023-08-07 15:57:40.034000', '1', '1', '/', NULL, 1.00, '7-chloro-5-(2-chlorophenyl-3,4,5,6-d4)-3-hydroxy-13-dihydro-2H-benzole][1,4]diazepin-2-one', '1', 'D4-劳拉西半', '冷藏贮存', 'GASS-454', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('657DD8500E6ED23D735247F437F970E0', '定量滤纸', '双联牌', '耗材', NULL, '普通耗材', '7cm,快速', '2023-08-07 15:34:48.577000', '2023-08-07 15:34:48.577000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('669731EA4E8D194CF74A9F628BA4A965', '牛皮纸物证袋', 'n/a', '耗材', NULL, '普通耗材', '21*14cm', '2023-08-07 15:30:25.950000', '2023-08-07 15:30:25.950000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('66E6C5C91E19DE089F69D239A20E5F3E', '2-苯基-2-(哌啶-2-基)乙酸甲酯', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:01.219000', '2023-08-07 15:57:01.219000', '1', '1', '/', NULL, 1.00, 'methyl 2-phenyl-2-(piperidin-2-yl)acetate', '1', '哌甲酯盐酸盐', '冷藏贮存', 'GASS-314', '瓶', NULL, 0.000000000000000000000000000000, '20748-11-2', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('67785966FE51946AD6D7032061ABCABC', '容量瓶', 'Brand', '耗材', NULL, '普通耗材', '1ml', '2023-08-07 15:33:27.056000', '2023-08-07 15:33:27.056000', '1', '1', '/', NULL, 1.00, '/', '2', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('67A72C92BDEF045C37D12F41D45F7CCC', '血清移液管', 'n/a', '耗材', NULL, '普通耗材', '50ml', '2023-08-07 15:30:52.204000', '2023-08-07 15:30:52.204000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('67ACFEC45187DDDAB4A3A3362F9FF1FC', 'N-(金刚烷-1-基)-1-(5-氟戊基)-1H-吲哚-3-甲酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:37.304000', '2023-08-07 15:56:37.304000', '1', '1', '/', NULL, 1.00, 'N-(adamantan-1-yl)-1-(5-fluoropentyl)-1H-indole-3-carboxamide', '1', '5F-APICA(STS-135)', '冷藏贮存', 'GASS-072', '瓶', NULL, 0.000000000000000000000000000000, '1354631-26-7', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('68319C85F4B05AD9E68A9482D74AF25B', 'TBTU, O-苯并三氮唑-N,N,N\',N\'-四甲基脲四氟硼酸酯', '阿拉丁', '试剂', NULL, '普通试剂', '98%, 100g/瓶', '2023-08-07 15:38:03.672000', '2023-08-07 15:38:03.672000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, '125700-67-6', NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('6853203D69ACE02C557525288B2294BF', '(4-乙基萘-1-基)(1-戊基-1H-吲哚-3-基)甲酮', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:33.529000', '2023-08-07 15:56:33.529000', '1', '1', '/', NULL, 1.00, '(4-ethylnaphthalen-1-yl)(1-pentyl-1H-indol-3-yl)methanone', '1', 'JWH-210', '冷藏贮存', 'GASS-064', '瓶', NULL, 0.000000000000000000000000000000, '824959-81-1', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('690E4B113A8D28431037055D5B0E47E2', '滴管', 'n/a', '耗材', NULL, '普通耗材', '18cm', '2023-08-07 15:30:53.419000', '2023-08-07 15:30:53.419000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('6916A4B8B2C2E3F2E6B3856E5689D042', '研钵', '垒固', '耗材', NULL, '普通耗材', '15ml', '2023-08-07 15:33:28.207000', '2023-08-07 15:33:28.207000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('691E2F271D0E892B978AED66600B5EBD', '隔垫', '岛津', '耗材', NULL, '普通耗材', '货号221-75180，50个/盒', '2023-08-07 15:30:43.190000', '2023-08-07 15:30:43.190000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('69230B2C940F52DAF85C1D529411C16F', '药匙', 'n/a', '耗材', NULL, '普通耗材', '16cm', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('69813B59D6AF644D9FF83F57FB3630D5', '微孔滤膜', 'GreenMall', '耗材', NULL, '普通耗材', '有机系（尼龙）,50mm,0.22um,50片/盒', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '盒', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('69E5D0D19023F961C27D5A7F4DF3D5F6', '1H-吲唑-3-羧酸甲酯', '阿拉丁', '试剂', NULL, '普通试剂', '97%，5g/瓶', '2023-08-07 15:37:54.032000', '2023-08-07 15:37:54.032000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, '43120-28-1', NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('6A7CBA49B3C28071925AA41C35F1451A', '甲苯', 'fisher', '试剂', NULL, '普通试剂', '4L/瓶', '2023-08-07 15:36:44.755000', '2023-08-07 15:36:44.755000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('6B0F7889C40F7B658FC401EC3614E327', '枪头', 'Sartorius', '耗材', NULL, '普通耗材', '10ml，250个', '2023-08-07 15:36:29.474000', '2023-08-07 15:36:29.474000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('6B508110CE358ED0A8DBB9EB1ABE3BAD', '石墨垫圈', '安捷伦', '耗材', NULL, '普通耗材', '货号5080-8853，10个/盒', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '盒', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('6B7E591FED81DD3E023EA2D7B3089FC9', '研钵', '垒固', '耗材', NULL, '普通耗材', '12ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('6B7E6B64D85254C10C554F8020FA2647', '盐酸', '西陇', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-08-07 15:37:48.404000', '2023-08-07 15:37:48.404000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('6C905D6EF005D6AB98A42914749D3685', '量筒', 'Bomex', '耗材', NULL, '普通耗材', '50ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '10', '/', '常规贮存', '/', '支', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('6DACF18662F7A9C18CEAFAFAE3C49C2E', '石墨垫圈', '安捷伦', '耗材', NULL, '普通耗材', '货号5080-8853，10个/盒', '2023-08-07 15:30:42.402000', '2023-08-07 15:30:42.402000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('6DB229DF049FB3EDFA6B04C09B48DB85', 'ACQUITY UPLC BEN HILIC VanGuard Pre-Column 3/Pk', 'Waters', '耗材', NULL, '色谱柱', '2.1*5mm,1.7um,3个/盒', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('6DE9F9CB9F7A63AD0E0DEE35E5F56B5A', '顶空瓶', '安捷伦', '耗材', NULL, '普通耗材', '10ml,5182-0838', '2023-08-07 15:34:29.039000', '2023-08-07 15:34:29.039000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('6E279FB7A7DE8E79E3102AFE8805951F', '移液管', 'MC', '耗材', NULL, '普通耗材', '5ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('6E3F4AD11E5F603AE53169491B8A32E2', '一次性塑料烧杯', 'n/a', '耗材', NULL, '普通耗材', '100ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('6E56E841A7232E021C913960935BC5DD', '2-(甲氨基)-2-苯基环已烷-1-酮', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:33.276000', '2023-08-07 15:57:33.276000', '1', '1', '/', NULL, 1.00, '2-(methylamino)-2-phenylcyclohexan-1-one', '1', '去氯氯胺酮盐酸盐', '冷藏贮存', 'GASS-402', '瓶', NULL, 0.000000000000000000000000000000, '4631-27-0', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('6E6C84960D9D6A3BE319C8842575D328', 'ACQUITY UPLC BEH C18                    ', 'Waters', '耗材', NULL, '色谱柱', '2.1*100mm,1.7um', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('6EDC54FBF595AFA3957BCD62B6AEEB8C', '塑料烧杯', 'n/a', '耗材', NULL, '普通耗材', '10ml', '2023-08-07 15:30:54.106000', '2023-08-07 15:30:54.106000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('6F2BB1AF01B78A52C800501C6DFFF7C4', '(2-碘代苯基)(1-((1-甲基哌啶-2-基)甲基)-1H-吲哚-3-基)甲酮', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:28.543000', '2023-08-07 15:56:28.543000', '1', '1', '/', NULL, 1.00, '(2-iodophenyl)(1-((1-methylpiperidin-2-yl)methyl)-1H-indol-3-yl)methanone', '1', 'AM-2233', '冷藏贮存', 'GASS-050', '瓶', NULL, 0.000000000000000000000000000000, '444912-75-8', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('6F45EFAE20080A630E6FA1236E900B45', '乙酸铵', 'Sigma-Aldrich', '试剂', NULL, '普通试剂', '32301-500g/瓶，98%', '2023-08-07 15:37:38.271000', '2023-08-07 15:37:38.271000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'ACS级');
INSERT INTO `reagent_consumables` VALUES ('6F676FEB5CC2C188BC9E80792A6921AC', '白色药瓶', 'n/a', '耗材', NULL, '普通耗材', '20ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('6F82F3636C1D6F6C6AB97C688832BB16', '刮刀', 'n/a', '耗材', NULL, '普通耗材', '25cm', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('6FA51C4CB01B6C5041E535D55E128530', '梨形分液漏斗', 'n/a', '耗材', NULL, '普通耗材', '10ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '10', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('6FF7AFD3D325A581BFB8C8CD8D9B4456', '2-(二乙基氨基)-1-苯基戊烷-1-酮', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:30.971000', '2023-08-07 15:57:30.971000', '1', '1', '/', NULL, 1.00, '2-(diethylamino)-1-phenylpentan-1-one', '1', 'N,N-二乙基戊卡西酮盐酸盐', '冷藏贮存', 'GASS-393', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('709C0DF2982CE7F1DA43E324A4CC7746', '试管', 'n/a', '耗材', NULL, '普通耗材', '15*150mm', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('71D7226D3710BDFFEDC886C632BF7394', '容量瓶', 'Brand', '耗材', NULL, '普通耗材', '50ml', '2023-08-07 15:33:23.656000', '2023-08-07 15:33:23.656000', '1', '1', '/', NULL, 1.00, '/', '2', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('7342D52B5EB84CC3C418BDAC1F48CEC1', '滤膜', '上海新亚', '耗材', NULL, '普通耗材', '有机，0.22um，50mm，50片/盒', '2023-08-07 15:34:45.535000', '2023-08-07 15:34:45.535000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('7397DBF2E1C3BD3BDA1B477EF207F050', '圆底烧瓶', '申迪', '耗材', NULL, '普通耗材', '500ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '10', '/', '常规贮存', '/', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('73F2F99975EEF2DD1B5F97742B36065F', '1-(4-肉桂酰哌嗪-1-基)丁-1-酮', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:36.917000', '2023-08-07 15:57:36.917000', '1', '1', '/', NULL, 1.00, '1-(4-cinnamylpiperazin-1-yl)butan-1-one', '1', '布桂嗪', '冷藏贮存', 'GASS-410', '瓶', NULL, 0.000000000000000000000000000000, '2624256-67-1', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('73F59F15202EF426B856E2513715529E', '塑料吸管', 'n/a', '耗材', NULL, '普通耗材', '5ml，100支/袋', '2023-08-07 15:33:10.504000', '2023-08-07 15:33:10.504000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '袋', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('744D830223F86194E6BA97329BDF10C2', '封口膜', 'Bemis', '耗材', NULL, '普通耗材', '4IN.*125FT.ROLL，PM-996', '2023-08-10 11:32:32.000000', '2023-08-10 11:44:46.000000', '8dc12f99dfe97426bf1ba00a0d037f60', 'd55ac39af1c11d7a61e7580a5a56a97a', '/', NULL, 1.00, '/', '100', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', '', NULL);
INSERT INTO `reagent_consumables` VALUES ('74B0D770C6F7DC69C081AD3A3F118195', '连盖离心管', 'n/a', '耗材', NULL, '普通耗材', '2ml，300个', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '袋', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('74C19B1ACE20DBFA74D724E0EEB08C98', '洗瓶', 'n/a', '耗材', NULL, '普通耗材', '250ml', '2023-08-07 15:33:19.981000', '2023-08-07 15:33:19.981000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('74F6DA8D9CF5A4F717EA9F86602F36FF', '进样小瓶', '安捷伦', '耗材', NULL, '普通耗材', '2ml,5182-0714，100个/盒', '2023-08-07 15:34:23.411000', '2023-08-07 15:34:23.411000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('755876214A9224FA7D03F90EFAE0F20F', '移液管', 'MC', '耗材', NULL, '普通耗材', '50ml', '2023-08-07 15:30:45.957000', '2023-08-07 15:30:45.957000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('75F357D2AD2B9D13D7C7D4F8FB3F3B28', '氢氧化钾', '光复', '试剂', NULL, '普通试剂', '500g/瓶', '2023-08-07 15:37:01.436000', '2023-08-07 15:37:01.436000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'GR级');
INSERT INTO `reagent_consumables` VALUES ('75FC7493802DA6090CE0C7D55BED036D', '2-氨基-2-(2-氟苯基)环已烷-1-酮', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:33.961000', '2023-08-07 15:57:33.961000', '1', '1', '/', NULL, 1.00, '2-amino-2-(2-fluorophenyl)cyclohexan-1-one', '1', '去甲氟胺酮盐酸盐', '冷藏贮存', 'GASS-403', '瓶', NULL, 0.000000000000000000000000000000, '1956327-93-7', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('762B564E8D8DB0754F68701EFFA08E98', '1-(5-氟戊基)-N-(2-苯基丙-2-基) -1H-吲唑-4,5,6,7-d4-3-羧酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:48.782000', '2023-08-07 15:57:48.782000', '1', '1', '/', NULL, 1.00, '1-(5-fluoropentyl)-N-(2-phenylpropan-2-yl)-1H-indazole-4,5,6,7-d4-3-carboxamide', '1', 'D4-5F-CUMYL-PINACA', '冷藏贮存', 'GASS-508', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('762F34F1BE58638FF8FB8573D798A1E8', '白色滴瓶', 'n/a', '耗材', NULL, '普通耗材', '125ml', '2023-08-07 15:33:18.905000', '2023-08-07 15:33:18.905000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('76C6B4AF93EF1172D28D191A9E64AF15', '正己烷', 'Supelco', '试剂', NULL, '普通试剂', '4L/瓶', '2023-08-07 15:36:36.526000', '2023-08-07 15:36:36.526000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('76D7CD14E2A462AB3B95A5B8942954BC', '连盖离心管', 'AXYGEN', '耗材', NULL, '普通耗材', '2ml，500支/袋', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '包', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('77F9F9FDDE7B014029E13F6D52CD1C85', '3,3-二甲基-2-(1-(戊-4-烯-1-基)-1H-吲唑-3-甲酰胺-4,5,6,7-d4)丁酸甲酯', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:46.756000', '2023-08-07 15:57:46.756000', '1', '1', '/', NULL, 1.00, 'methyl 3,3-dimethyl-2-(1-(pent-4-en-1-yl)-1H-indazole-3-carboxamido-4,5,6,7-d4)butanoate', '1', 'D4-MDMB-4en-PINACA', '冷藏贮存', 'GASS-505', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('78A9C291BA501412D1C03B73C3086CFF', '氨水', '沪试', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-08-07 15:37:28.713000', '2023-08-07 15:37:28.713000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('78BE79D6CB1A0B6E837B4B586464D34C', '手术剪', '双鹿', '耗材', NULL, '普通耗材', '12.5cm直尖', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '把', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('78C2B1903B63D83FB0D5214662AFCDAD', '1-(4-氯苯基)-2-(吡咯烷-1-基)丙-1-酮', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:32.817000', '2023-08-07 15:57:32.817000', '1', '1', '/', NULL, 1.00, '1-(4-chlorophenyl)-2-(pyrrolidin-1-yl)propan-1-one', '1', '4-氯苯基-N-吡咯烷基卡西酮盐酸盐', '冷藏贮存', 'GASS-396', '瓶', NULL, 0.000000000000000000000000000000, '93307-24-5', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('798FC26EFB30F0824A5491C33A151636', '3-(2-(二甲基氨基)乙基)-1H-吲哚-4-基磷酸二氢盐', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:49.719000', '2023-08-07 15:56:49.719000', '1', '1', '/', NULL, 1.00, '3-(2-(dimethylamino)ethyl)-1H-indol-4-yl dihydrogenphosphate', '1', '赛洛西宾', '冷藏贮存', 'GASS-199', '瓶', NULL, 0.000000000000000000000000000000, '520-52-5', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('7A84AE86F2F0332A6A0A278EE0263F85', '牛皮纸物证袋', 'n/a', '耗材', NULL, '普通耗材', '10.2*8.8cm', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '10', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('7A866B417B76820E58BDC693A15DF122', '洗瓶', 'n/a', '耗材', NULL, '普通耗材', '500ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('7ACF511AEB6EAA13A017CC5B566C9D9B', '玻璃冻存管', 'n/a', '耗材', NULL, '普通耗材', '棕色，5ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('7ADC467B4EEB6A3DCF2F7248BFA67990', '试管刷', 'n/a', '耗材', NULL, '普通耗材', '无', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('7B23DD07612A938E37234484BB5372BA', '收纳盒', 'n/a', '耗材', NULL, '普通耗材', 'n/a', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('7C2FDDA407F0D5634CD83FC93E69FE37', '定性滤纸', '皎洁', '耗材', NULL, '普通耗材', '11cm，中速', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '盒', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('7CE7BF22E7903FC545D1934ADEB888D1', 'Astec CHIROBIOTIC V2', 'merck', '耗材', NULL, '色谱柱', '25cm*4.6mm,5um', '2023-08-07 15:30:33.189000', '2023-08-07 15:30:33.189000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('7D16B6C8DFED62A7081D0863799BEB66', '研钵', '垒固', '耗材', NULL, '普通耗材', '12ml', '2023-08-07 15:33:28.935000', '2023-08-07 15:33:28.935000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('7D5B5A8D49B6658390DB107F299BC0D8', 'N-(金刚烷-1-基)-1-(4-氟苄基)-1H-吲唑-3-甲酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:38.607000', '2023-08-07 15:56:38.607000', '1', '1', '/', NULL, 1.00, 'N-(adamantan-1-yl)-1-(4-fluorobenzyl)-1H-indazole-3-carboxamide', '1', 'FUB-APINACA', '冷藏贮存', 'GASS-075', '瓶', NULL, 0.000000000000000000000000000000, '2180933-90-6', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('7D9D66C3E257C15325F0C2880B7AA43E', '定量滤纸', '新星', '耗材', NULL, '普通耗材', '11cm，中速', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '盒', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('7E06C0BBB18B9A79096FFC20E5B7B9F5', '石油醚', '津东天正', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-08-07 15:37:44.665000', '2023-08-07 15:37:44.665000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('7E177F2FF8071BA8F7A0B9B77F7A3947', '移液枪', 'Sartorius', '耗材', NULL, '普通耗材', '500-5000ul', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('7E80878D5E0D954D2AEE126884C2993F', 'ACQUITY UPLC ENH HILIC ', 'Waters', '耗材', NULL, '色谱柱', '2.1*100mm,1.7um', '2023-08-07 15:30:36.170000', '2023-08-07 15:30:36.170000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('7EA4C1F02590BBB79F865401780338C9', 'N-(1-氨基-1-氧代-3-苯基内-2-基)-1-(5-氟戊基)-1H-吲唑-3-甲酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:36.446000', '2023-08-07 15:56:36.446000', '1', '1', '/', NULL, 1.00, 'N-(1-amino-1-oxo-3-phenylpropan-2-yl)-1-(5-fluoropentyl)-1H-indazole-3-carboxamide', '1', 'PX-2', '冷藏贮存', 'GASS-070', '瓶', NULL, 0.000000000000000000000000000000, '2205029-76-9', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('7EC164D0733886D977FD0E249D5CB63E', '丙酸酐', '成都艾科', '试剂', NULL, '普通试剂', '98%，500g/瓶', '2023-08-07 15:37:47.004000', '2023-08-07 15:37:47.004000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('7EF757697E27A2EB416EE12C342AB735', '密度计', '垒固', '耗材', NULL, '普通耗材', '0.6-2.0', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '14', '/', '常规贮存', '/', '支', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('7F3BD1525FF4C4EAD39FACE5C208A2D5', '自吸过滤式防毒面具', '唐丰', '耗材', NULL, '普通耗材', 'TF503型', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('7F5C6D308A1F0ED2BD72F2B9C440C64C', '乙酸铵', '大茂', '试剂', NULL, '普通试剂', '500g/瓶', '2023-08-07 15:37:00.939000', '2023-08-07 15:37:00.939000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'GR级');
INSERT INTO `reagent_consumables` VALUES ('8095F5693B7AFB044BEF0238BE7D6455', '橡皮吸球', 'n/a', '耗材', NULL, '普通耗材', '3ml', '2023-08-07 15:33:00.135000', '2023-08-07 15:33:00.135000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('811A7A72E40A42BA2BAD71E4ED30C738', '镊子', 'n/a', '耗材', NULL, '普通耗材', '直头，20cm', '2023-08-07 15:33:06.814000', '2023-08-07 15:33:06.814000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('81481E96179F53AE3A7F7A1F3A9D6A68', '1-(3-氯苯基)-2-(二乙基氨基)丙-1-酮', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:09.885000', '2023-08-07 15:57:09.885000', '1', '1', '/', NULL, 1.00, '1-(3-chlorophenyl)-2-(diethylamino)propan-1-one', '1', 'N-乙基-间氯-乙卡西酮盐酸盐', '冷藏贮存', 'GASS-335', '瓶', NULL, 0.000000000000000000000000000000, '1152853-89-8', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('818A65DF5F637FC4FBF676232FE66BF8', '定性滤纸', '皎洁', '耗材', NULL, '普通耗材', '18cm，中速', '2023-08-07 15:36:23.455000', '2023-08-07 15:36:23.455000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('82D031CABCC56E264C214B6D19240862', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基) 环己烷甲酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:26.245000', '2023-08-07 15:57:26.245000', '1', '1', '/', NULL, 1.00, 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)cyclohexanecarboxamide', '1', '对氟苯基环己甲酰基芬太尼', '冷藏贮存', 'GASS-385', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('82EDE74335EFF690616BDF191CA529C2', '1-(3-氯苯基)-2-(二甲基氨基)丙-1-酮', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:09.160000', '2023-08-07 15:57:09.160000', '1', '1', '/', NULL, 1.00, '1-(3-chlorophenyl)-2-(dimethylamino)propan-1-one', '1', 'N-甲基-间氯-甲卡西酮盐酸盐', '冷藏贮存', 'GASS-334', '瓶', NULL, 0.000000000000000000000000000000, '514168-22-0', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('830DFD7BBB0B1B92189E22A6689C0214', '枪头', 'n/a', '耗材', NULL, '普通耗材', '5ml，200支/包', '2023-08-07 15:34:41.676000', '2023-08-07 15:34:41.676000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('8341CCD6BD433A1C49B66184A2E66886', '称量瓶', 'n/a', '耗材', NULL, '普通耗材', '25x40', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '10', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('8344618D833F56A832A1F131A9830D59', '容量瓶', 'Brand', '耗材', NULL, '普通耗材', '10ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '2', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('83AB14C7ECE6FA20518C7E90C6C2FC3B', 'N-(4-氟苯基)-3甲基-N-(1-苯乙基哌啶-4-基)丁酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:25.234000', '2023-08-07 15:57:25.234000', '1', '1', '/', NULL, 1.00, 'N-(4-fluorophenyl)-3-methyl-N-(1-phenethylpiperidin-4-yl)butanamide', '1', '对氟苯基3-甲基丁酰基芬太尼', '冷藏贮存', 'GASS-383', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('83B2967F3EC3DD6D2BB850D652872E56', '滴管', 'n/a', '耗材', NULL, '普通耗材', '9cm', '2023-08-07 15:30:54.832000', '2023-08-07 15:30:54.832000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('83DB90812F611E9FBBB0F881B8FA751D', '橡皮吸球', 'n/a', '耗材', NULL, '普通耗材', '10ml', '2023-08-07 15:32:59.685000', '2023-08-07 15:32:59.685000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('83E5C4312779D4946E3BBFC13A8A69BB', '甲酸', 'SturdeeSeal', '试剂', NULL, '普通试剂', '50ml/瓶', '2023-08-07 15:36:37.250000', '2023-08-07 15:36:37.250000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'LC/MS级');
INSERT INTO `reagent_consumables` VALUES ('8400EBBB8A41ABD8EE043C74C9057393', '1-(4-溴苯基)-2-(二甲基氨基)丙-1-酮', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:04.612000', '2023-08-07 15:57:04.612000', '1', '1', '/', NULL, 1.00, '1-(4-bromophenyl)-2-(dimethylamino)propan-1-one', '1', 'N-甲基-对溴-甲卡西酮盐酸盐', '冷藏贮存', 'GASS-327', '瓶', NULL, 0.000000000000000000000000000000, '1157737-03-5', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('844CB57FBA942358006F428D6F0BFC06', '枪头', 'n/a', '耗材', NULL, '普通耗材', '5ml，200支/包', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '包', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('848C6CC81BE754FFE823F7041D2A2D3E', '5-乙基-1,2-二甲基-4,4-二苯基-3,4-二氢-2H-吡咯-1-鎓', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:03.004000', '2023-08-07 15:57:03.004000', '1', '1', '/', NULL, 1.00, '5-ethyl-1,2-dimethyl-4,4-diphenyl-3,4-dihydro-2H-pyrrol-1-ium', '1', 'EDDP(高氯酸盐)', '冷藏贮存', 'GASS-317', '瓶', NULL, 0.000000000000000000000000000000, '31161-17-8', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('84A83141E2F36DFCF6849ABC05CD8148', '一次性使用无菌注射器 带针', '治宇', '耗材', NULL, '普通耗材', '2ml,200/支', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '盒', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('85A257C6F7CB140789AAEFF2121B6A00', '塑料吸管', 'n/a', '耗材', NULL, '普通耗材', '3ml，100支/袋', '2023-08-07 15:33:11.243000', '2023-08-07 15:33:11.243000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '袋', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('85D13698293047F5D4D4986F1F19BBFC', '移液枪', '普兰德', '耗材', NULL, '普通耗材', '500-5000ul', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('85FF2E0595827640E3A50E06E97883FF', '干燥器', 'n/a', '耗材', NULL, '普通耗材', '300mm', '2023-08-07 15:36:26.398000', '2023-08-07 15:36:26.398000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('860A7DBC3C52BEF52D1768F078886E6C', '氯化亚砜', '科试', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-08-07 15:37:45.673000', '2023-08-07 15:37:45.673000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('8629772E3F9D8246C03650CFCB3F7E55', '一次性塑料离心管', 'Corning', '耗材', NULL, '普通耗材', '50ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '20', '/', '常规贮存', '/', '盒', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('86569313D0FCD2B05981A9D4335CEBF4', '丝口试剂瓶', 'n/a', '耗材', NULL, '普通耗材', '5000ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('86701D15685D7E9F5A4998E854A5689E', '保鲜自封袋10号', '苹果', '耗材', NULL, '普通耗材', '340x240mm', '2023-08-07 15:30:20.118000', '2023-08-07 15:30:20.118000', '1', '1', '/', NULL, 1.00, '/', '100', '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('86A2C1E9102EF35C2B0F7A2581687793', '氘代氯仿', 'CIL', '试剂', NULL, '普通试剂', '0.6mLx10,99.8%', '2023-08-07 15:37:43.151000', '2023-08-07 15:37:43.151000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('86C29C45C3E33F236DB6323E926C65A5', '移液管', 'MC', '耗材', NULL, '普通耗材', '50ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('86DF990A143AC06EE8B04EC37960592F', '滴管', 'n/a', '耗材', NULL, '普通耗材', '15cm', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('874618DDFD7973D71A61617C6F8246D1', '进口滤膜', '津隆', '耗材', NULL, '普通耗材', '13mm，水洗聚醚砜（PES）,0.22um，货号：JLSP042201', '2023-08-07 15:34:52.393000', '2023-08-07 15:34:52.393000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('8834DF0D0CFF50BE539811B7AB6C70FC', '孕酮', 'VETEC', '试剂', NULL, '普通试剂', '25g/瓶,98%', '2023-08-07 15:37:42.365000', '2023-08-07 15:37:42.365000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'RG');
INSERT INTO `reagent_consumables` VALUES ('88C5EFEBD97834A65965F5EBF55B99FC', '异丙醇', 'Supelco', '试剂', NULL, '普通试剂', '4L/瓶', '2023-08-07 15:36:35.933000', '2023-08-07 15:36:35.933000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('891DBDCA9192734D8CB0FEC3393E3D5E', '移液枪', 'Sartorius', '耗材', NULL, '普通耗材', '1-10ml', '2023-08-07 15:32:54.234000', '2023-08-07 15:32:54.234000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('8977B20F5BB5DAA92F0E823D2FAB3E3E', '7-溴-5-(2-氯苯基)-1,3-二氢-2H-苯并[e][1,4]二氮杂-2-酮', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:18.196000', '2023-08-07 15:56:18.196000', '1', '1', '/', NULL, 1.00, '7-bromo-5-(2-chlorophenyl)-1,3-dihydro-2H-benzo[e][1,4]diazepin-2-one', '1', 'Phenazepam(芬纳西洋)', '冷藏贮存', 'GASS-018', '瓶', NULL, 0.000000000000000000000000000000, '51753-57-2', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('89D52AE28AA1C68265C9E5A12DAF55FD', '定量滤纸', '新星', '耗材', NULL, '普通耗材', '15cm，中速', '2023-08-07 15:34:49.791000', '2023-08-07 15:34:49.791000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('8A4DD497041F257DC241899F963BC079', '气相进样针', '岛津', '耗材', NULL, '进样针', '10ul', '2023-08-07 15:30:38.298000', '2023-08-07 15:30:38.298000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('8AB34E548C776F4B618C732A34852F7C', '容量瓶', 'Bomex', '耗材', NULL, '普通耗材', '250ml', '2023-08-07 15:33:22.481000', '2023-08-07 15:33:22.481000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('8ABD543384FBB5A8BC2C732B6CD2B1E8', '点样毛细管', '垒固', '耗材', NULL, '普通耗材', '0.3x1000，1000支', '2023-08-07 15:36:31.559000', '2023-08-07 15:36:31.559000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('8BFF41CA5A70E2AA21F996506DD3FAC1', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)丙酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:22.631000', '2023-08-07 15:57:22.631000', '1', '1', '/', NULL, 1.00, 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)propionamide', '1', '对甲苯基正丙酰基芬太尼', '冷藏贮存', 'GASS-379', '瓶', NULL, 0.000000000000000000000000000000, '1838-67-1', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('8C158B1C740A3D4C869D05C5A1F6FE69', '一次性使用无菌注射器 带针', '治宇', '耗材', NULL, '普通耗材', '1ml，200支/盒', '2023-08-07 15:34:22.368000', '2023-08-07 15:34:22.368000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('8C191CF2585FE5C1378242661925FB93', '磷酸', 'Sigma-Aldrich', '试剂', NULL, '普通试剂', '0.85', '2023-08-07 15:36:37.904000', '2023-08-07 15:36:37.904000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('8C243C724C9093F9114ECA175108F5AF', '萘-1-基-1-(5-氟戊基)-1H-吲唑-3-羧酸盐', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:54.628000', '2023-08-07 15:56:54.628000', '1', '1', '/', NULL, 1.00, 'naphthalen-1-yl 1-(5-fluoropentyl)-1H-indazole-3-carboxylate', '1', '5F-SDB-005', '冷藏贮存', 'GASS-291', '瓶', NULL, 0.000000000000000000000000000000, '2185863-14-1', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('8C2F38F8B15C582D37241CAD3A2C5E80', '2-(二甲基氨基)-1-苯基戊烷-1-酮', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:11.866000', '2023-08-07 15:57:11.866000', '1', '1', '/', NULL, 1.00, '2-(dimethylamino)-1-phenylpentan-1-one', '1', '2-(二甲氨)-1-苯基-1-戊酮', '冷藏贮存', 'GASS-338', '瓶', NULL, 0.000000000000000000000000000000, '2168229-67-0', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('8C857E51116A7D35C24B9E62684C556C', '乙醇', 'GRACE', '试剂', NULL, '普通试剂', '4L/瓶', '2023-08-07 15:36:46.379000', '2023-08-07 15:36:46.379000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('8CD32004D147BB981D6540DF5250D067', '隔垫', '岛津', '耗材', NULL, '普通耗材', '货号221-75180，50个/盒', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '盒', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('8D003C9F80A38650CE60A1CFECDA0FD0', '2-(1-(4-氟丁基)-1H-吲唑-3-甲酰胺-4,5,6,7-d4)-3,3-二甲基丁酸甲酯', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:47.309000', '2023-08-07 15:57:47.309000', '1', '1', '/', NULL, 1.00, 'methyl 2-(1-(4-fluorobutyl)-1H-indazole-3-carboxamido4,5,6,7-d4)-33-dimethylbutanoate', '1', 'D4-4F-MDMB-BUTINACA', '冷藏贮存', 'GASS-506', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('8D2CB0670EA47879AABDCEEC9418046B', '玻璃冻存管', 'n/a', '耗材', NULL, '普通耗材', '棕色，5ml', '2023-08-07 15:32:52.332000', '2023-08-07 15:32:52.332000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('8D9573F9EF9FA471F3519780403C452B', '试管帽', 'n/a', '耗材', NULL, '普通耗材', 'Φ18', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('8DA76CCF4C0FBD463A5526B77792A61C', '2-(1-(4-氟丁基)-1H-吲哚-3-甲酰胺-4,5,6,7-d4)-3,3-二甲基丁酯甲酯', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:46.283000', '2023-08-07 15:57:46.283000', '1', '1', '/', NULL, 1.00, 'methyl 2-(1-(4-fluorobutyl)-1H-indole-3-carboxamido-4,5,6,7-d4)-3,3-dimethylbutanoate', '1', 'D4-4F-MDMB-BICA', '冷藏贮存', 'GASS-504', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('8DFBF7D817BFF34A459C4E4CCEED8389', '二氯甲烷', '国药集团', '试剂', NULL, '普通试剂', '≥99.5', '2023-08-07 15:37:51.795000', '2023-08-07 15:37:51.795000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('8E9CE0DEE73422A05C0C2E4B02AD3ECD', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)乙酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:27.423000', '2023-08-07 15:57:27.423000', '1', '1', '/', NULL, 1.00, 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)acetamide', '1', '对氟苯基乙酰基芬太尼', '冷藏贮存', 'GASS-387', '瓶', NULL, 0.000000000000000000000000000000, '244195-30-0', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('8F2037D60AB31DFD078753FAB8D6DCF1', '自吸过滤式防毒面具', '唐丰', '耗材', NULL, '普通耗材', 'TF503型', '2023-08-07 15:34:12.179000', '2023-08-07 15:34:12.179000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('8F4868609BDA216E2B82C8FC5019523D', '定性滤纸', '皎洁', '耗材', NULL, '普通耗材', '15cm，中速', '2023-08-07 15:36:24.142000', '2023-08-07 15:36:24.142000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('8F8B250118A466601C1DDF6B182442CF', 'HOBT, 1-羟基苯并三唑一水合物', '阿拉丁', '试剂', NULL, '普通试剂', '≥97.0%, 100g/瓶', '2023-08-07 15:38:02.132000', '2023-08-07 15:38:02.132000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, '123333-53-9', NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('8FA73E52DDAE4A0C80D4EC58EA116775', '隔垫', '岛津', '耗材', NULL, '普通耗材', '货号221-76650-01,25个/盒', '2023-08-07 15:30:43.712000', '2023-08-07 15:30:43.712000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('8FCDBB170412C4ED1F25D08F4266D086', '标准漏斗', 'n/a', '耗材', NULL, '普通耗材', 'n/a', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '10', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('90358CFF01890738A4DFB2A7C395E672', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)环丁酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:26.882000', '2023-08-07 15:57:26.882000', '1', '1', '/', NULL, 1.00, 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)cyclobutanecarboxamide', '1', '对氟苯基环丁甲酰基芬太尼', '冷藏贮存', 'GASS-386', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('90A206FE06B75156D026821CCAA73E08', '正己烷', 'CNW', '试剂', NULL, '普通试剂', '4l/瓶', '2023-08-07 15:36:45.886000', '2023-08-07 15:36:45.886000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('9154A073A85CA39F5B4B0D8EE9A8B935', '移液管', 'MC', '耗材', NULL, '普通耗材', '2ml', '2023-08-07 15:30:47.862000', '2023-08-07 15:30:47.862000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('91BCF40356AB69963D4576E0933999D1', '2-(二甲基氨基)-1-苯基丙-1-酮', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:04.074000', '2023-08-07 15:57:04.074000', '1', '1', '/', NULL, 1.00, '2-(dimethylamino)-1-phenylpropan-1-one', '1', 'N-甲基-甲卡西酮盐酸盐', '冷藏贮存', 'GASS-326', '瓶', NULL, 0.000000000000000000000000000000, '10105-90-5', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('921A1AA79A9735F4C8C5896280322877', '保鲜自封袋7号', '苹果', '耗材', NULL, '普通耗材', '200x140mm', '2023-08-07 15:30:21.481000', '2023-08-07 15:30:21.481000', '1', '1', '/', NULL, 1.00, '/', '100', '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('92C9CCD28F576183CC8F7E6F4894D728', '塑料离心管', 'n/a', '耗材', NULL, '普通耗材', '8ml,，225支/袋', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '袋', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('9334C44D69094F5AA82C90F54D48E5E9', 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(5-氟戊基)-1H-吲哚-3-甲酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:18.846000', '2023-08-07 15:56:18.846000', '1', '1', '/', NULL, 1.00, 'N-(1-amino-3-methyl-1-oxobutan-2-yl)-1-(5-fluoropentyl)-1H-indole-3-carboxamide', '1', '5F-ABICA', '冷藏贮存', 'GASS-034', '瓶', NULL, 0.000000000000000000000000000000, '1801338-26-0', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('937C05C281CE9A8EF537FF9F260CCBC8', 'ACQUITY UPLC CSH C18', 'Waters', '耗材', NULL, '色谱柱', '2.1*100mm,1.7um', '2023-08-07 15:30:37.587000', '2023-08-07 15:30:37.587000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('9396F543C77820618010FA65A5F01361', 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基)-1-丁基-1H-吲唑-3-甲酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:56.659000', '2023-08-07 15:56:56.659000', '1', '1', '/', NULL, 1.00, 'N-(1-amino-3,3-dimethyl-1-oxobutan-2-yl)-1-butyl-1H-indazole-3-carboxamide', '1', 'ADB-BUTINACA', '冷藏贮存', 'GASS-295', '瓶', NULL, 0.000000000000000000000000000000, '2682867-55-4', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('93B1E8071C9877CD92A6E90783E880E8', '密度计', '垒固', '耗材', NULL, '普通耗材', '0.6-2.0', '2023-08-07 15:36:25.743000', '2023-08-07 15:36:25.743000', '1', '1', '/', NULL, 1.00, '/', '14', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('93B3738CD511C4D4CC5B99C3C4734FCF', '(1-((四氢-2H-吡喃-4-基)甲基)-1H-吲哚-3-基)(2,2,3,3-四甲基环丙基)甲酮', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:24.428000', '2023-08-07 15:56:24.428000', '1', '1', '/', NULL, 1.00, '(1-((tetrahydro-2H-pyran-4-yl)methyl)-1H-indol-3-yl)(2,2,3,3-tetramethylcyclopropyl)methanone', '1', 'A-834,735', '冷藏贮存', 'GASS-042', '瓶', NULL, 0.000000000000000000000000000000, '895155-57-4', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('93D63AFFB0954E8B16B16A0E24D73840', '橡皮吸球', 'n/a', '耗材', NULL, '普通耗材', '1ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('94024C15BFFC7FF29AE0106E26BC5C1E', '丙酸酐', '麦克林', '试剂', NULL, '普通试剂', '98%,500g/瓶', '2023-08-07 15:37:46.330000', '2023-08-07 15:37:46.330000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('940BBDA352303E8EADF712C65846B64F', '试管架', 'n/a', '耗材', NULL, '普通耗材', '4x6', '2023-08-07 15:34:25.868000', '2023-08-07 15:34:25.868000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('944C5FDE2CFFF8C99B6E90CCB14614CA', '镊子', 'n/a', '耗材', NULL, '普通耗材', '直头，20cm', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('94C098EAD4F8DB023D5B82C2620B3A37', '丙酮', '西陇', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-08-07 15:36:42.750000', '2023-08-07 15:36:42.750000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('95085B5F253E7CE9B7F5F1607BAF473C', '洗瓶', 'n/a', '耗材', NULL, '普通耗材', '250ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('95D2870514AAB6FD8357F64A7FE7EBE4', '一次性蓝色丁腈手套', '柯沃', '耗材', NULL, '普通耗材', 'M', '2023-08-07 15:36:21.111000', '2023-08-07 15:36:21.111000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('9708E0942D8E1DC79822109F6DA7A96B', 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基)-1-(戊-4-烯-1基)-1H-吲唑-3-甲酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:58.369000', '2023-08-07 15:56:58.369000', '1', '1', '/', NULL, 1.00, 'N-(1-amino-3,3-dimethyl-1-oxobutan-2-yl)-1-(pent-4-en-1-yl)-1H-indazole-3-carboxamide', '1', 'ADB-4en-PINACA', '冷藏贮存', 'GASS-307', '瓶', NULL, 0.000000000000000000000000000000, '2659308-44-6', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('97A8D4020AF716518341C0F9180EE297', '3-环戊基-N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)丙酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:15.929000', '2023-08-07 15:57:15.929000', '1', '1', '/', NULL, 1.00, '3-cyclopentyl-N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)propanamide', '1', '对甲苯基环戊丙酰基芬太尼', '冷藏贮存', 'GASS-368', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('97B178243D55A1532AC355CEE550A355', 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(4-氟苄基)-1H-吲哚-4,5,6,7-d4-3-羧酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:41.978000', '2023-08-07 15:57:41.978000', '1', '1', '/', NULL, 1.00, 'N-(1-amino-3-methyl-1-oxobutan-2-yl)-1-(4-fluorobenzyl)-1H-indole-4,5,6,7-d4-3-carboxamide', '1', 'D4-AB-FUBICA', '冷藏贮存', 'GASS-463', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('97DE3D7165EF2D1C0B8E228A95AE6549', '塑料烧杯', 'n/a', '耗材', NULL, '普通耗材', '10ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('97E93E9235339AFE03F52F081DB5AAEB', '定量滤纸', '双联牌', '耗材', NULL, '普通耗材', '7cm,快速', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '盒', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('98089E74B1CB8EE011A9DA071E2EF7EB', '枪头', 'brand', '耗材', NULL, '普通耗材', '50-1000ul', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '10', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('999681DC86C595D8595BF0584E9B1D45', '牛皮纸物证袋', 'n/a', '耗材', NULL, '普通耗材', '50*30cm', '2023-08-07 15:30:28.051000', '2023-08-07 15:30:28.051000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('99A30C6E8CC34802986939CC00BD0CDE', '1-(4-氟苯基)丙-2-胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:16.014000', '2023-08-07 15:56:16.014000', '1', '1', '/', NULL, 1.00, '1-(4-fluorophenyl)propan-2-amine', '1', '4-FA', '冷藏贮存', 'GASS-007', '瓶', NULL, 0.000000000000000000000000000000, '459-02-9', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('9A18912AA6BF66235704D1120710AD50', '研钵', '垒固', '耗材', NULL, '普通耗材', '18cm', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('9A29EE4180224446B120AB0094884C16', '枪头', 'sartorius', '耗材', NULL, '普通耗材', '200ul', '2023-08-07 15:34:53.670000', '2023-08-07 15:34:53.670000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('9B70DD1BCA13D99297FBD7193A198501', '二氯甲烷', '科密欧', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-08-07 15:36:47.092000', '2023-08-07 15:36:47.092000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('9B9C7C72BF125D90F52BE649433C0507', '高硼硅量筒', 'Bomex', '耗材', NULL, '普通耗材', '500ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '2', '/', '常规贮存', '/', '支', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('9BA758B4F99742158113A272F4F98189', 'Shim-pack GIST', '岛津', '耗材', NULL, '色谱柱', '4.6*150mm,5um', '2023-08-07 15:30:33.777000', '2023-08-07 15:30:33.777000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('9C0C4BCA4EF31E65E589CCB4849EE167', '棕色滴瓶', 'n/a', '耗材', NULL, '普通耗材', '125ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '10', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('9D5F615EFC2F7C2F5002ED0C8331FA3C', '苯骈三氮唑', '阿拉丁', '试剂', NULL, '普通试剂', '99%，100g/瓶', '2023-08-07 15:38:05.048000', '2023-08-07 15:38:05.048000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, ' 95-14-7 ', NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('9E9A19ACAB5251DF67AB18ACA2504AB8', '进口滤膜', '津隆', '耗材', NULL, '普通耗材', '25mm，100片/盒，有机尼龙66，0.45um，货号：JLSN184502', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '盒', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('9FAD2B0B27B4673C017CE9E9217E0B9E', '枪头', 'Brand', '耗材', NULL, '普通耗材', '1000ul', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '10', '/', '常规贮存', '/', '盒', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A07E18E5D70597299619CCAD5AC571DD', '1-(4-甲氧基苯基)-N-甲基丙-2-胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:17.531000', '2023-08-07 15:56:17.531000', '1', '1', '/', NULL, 1.00, '1-(4-methoxyphenyl)-N-methylpropan-2-amine', '1', 'PMMA盐酸盐', '冷藏贮存', 'GASS-017', '瓶', NULL, 0.000000000000000000000000000000, '22331-70-0', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A144BB4EC347709926A684376F0313B6', '4-(三氟甲基)苄溴', '阿拉丁', '试剂', NULL, '普通试剂', '98%，25g/瓶', '2023-08-07 15:37:57.291000', '2023-08-07 15:37:57.291000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, '402-49-3', NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('A164E9F7CB80DE42C7DB19E1A938A2D9', '梨形分液漏斗', 'Bomex', '耗材', NULL, '普通耗材', '125ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '2', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A1C0DC9BA7332C79FC40EBA95618FC53', 'O型圈', '安捷伦', '耗材', NULL, '普通耗材', '货号5188-5365，10个/盒', '2023-08-07 15:30:41.887000', '2023-08-07 15:30:41.887000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A1CCE463604881DEE2C9CC44CD27C49B', '移液枪', '普兰德', '耗材', NULL, '普通耗材', '500-5000ul', '2023-08-07 15:32:53.774000', '2023-08-07 15:32:53.774000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A1DF76E1887DA166F55DFC4D42018DE3', '一次性使用无菌注射器 带针', '治宇', '耗材', NULL, '普通耗材', '1ml，200支/盒', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '盒', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A2046BB28D505ECF03E6177732A170FD', 'EDCI , 1-乙基-(3-二甲基氨基丙基)碳二亚胺盐酸盐', '阿拉丁', '试剂', NULL, '普通试剂', '98%，100g/瓶', '2023-08-07 15:38:00.321000', '2023-08-07 15:38:00.321000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, '25952-53-8', NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('A222DB3230CFF82E843099DFA05EB653', '物证提取袋', 'n/a', '耗材', NULL, '普通耗材', '15*10cm', '2023-08-07 15:30:28.784000', '2023-08-07 15:30:28.784000', '1', '1', '/', NULL, 1.00, '/', '50', '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A302F88E48E5972D4906029579DE21B6', '丙二酸二乙酯', '麦克林', '试剂', NULL, '普通试剂', '99%，500ml/瓶', '2023-08-07 15:36:39.794000', '2023-08-07 15:36:39.794000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('A30D66508E87197B71D8F1AF899213DC', '2-(1-(4-氟苄基)-1H-吲唑-3-甲酰胺)-3,3-二甲基丁酸甲酯', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:34.916000', '2023-08-07 15:56:34.916000', '1', '1', '/', NULL, 1.00, 'methyl2-(1-(4-fluorobenzyl)-1H-indazole-3-carboxamido)-3,3-dimethylbutanoate', '1', 'MDMB-FUBINACA', '冷藏贮存', 'GASS-068', '瓶', NULL, 0.000000000000000000000000000000, '1715016-77-5', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A3A1315047C03897A95C0AC1C913A4DE', '刮刀', 'n/a', '耗材', NULL, '普通耗材', '10cm', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A3A350FDCB68F50E43B15C4354FECC6B', '氯化钠', '科密欧', '试剂', NULL, '普通试剂', '500g/瓶', '2023-08-07 15:36:55.795000', '2023-08-07 15:36:55.795000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('A4270E21FE6B7B925AE247C4F40418ED', '容量瓶', 'Brand', '耗材', NULL, '普通耗材', '1ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '2', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A4331C95AB8248040ADA02EA5E11C1D0', 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(环己基甲基)-1H-吲唑-3-甲酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:25.011000', '2023-08-07 15:56:25.011000', '1', '1', '/', NULL, 1.00, 'N-(1-amino-3-methyl-1-oxobutan-2-yl)-1-(cyclohexylmethyl)-1H-indazole-3-carboxamide', '1', 'AB-CHMINACA', '冷藏贮存', 'GASS-043', '瓶', NULL, 0.000000000000000000000000000000, '1185887-21-1', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A43593ED3DE7490AA34AF1BBDB8AAA19', '试管帽', 'n/a', '耗材', NULL, '普通耗材', 'Φ15', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A4563F6F3CD40BED135357D8666B96D7', '药匙', 'n/a', '耗材', NULL, '普通耗材', '3x1', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '套', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A458CF117D53FA82AD81A345AD031D9C', 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(5-氟戊基)-1H-吲唑-3-甲酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:19.540000', '2023-08-07 15:56:19.540000', '1', '1', '/', NULL, 1.00, 'N-(1-amino-3-methyl-1-oxobutan-2-yl)-1-(5-fluoropentyl)-1H-indazole-3-carboxamide', '1', '5F-AB-PINACA', '冷藏贮存', 'GASS-035', '瓶', NULL, 0.000000000000000000000000000000, '1800101-60-3', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A4D16B383557E926776B845CC0E443C7', '保鲜自封袋10号', '苹果', '耗材', NULL, '普通耗材', '340x240mm', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '100', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A5318E54F48F8BDC1253AAE7A1E62563', '血清移液管', 'n/a', '耗材', NULL, '普通耗材', '5ml', '2023-08-07 15:30:49.973000', '2023-08-07 15:30:49.973000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A5E58EA85E8D595CEEAD33A2D3808D28', '刮刀', 'n/a', '耗材', NULL, '普通耗材', '10cm', '2023-08-07 15:33:07.502000', '2023-08-07 15:33:07.502000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A602CD90C468292D419C6497141A237D', '5-氯-N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)戊酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:16.411000', '2023-08-07 15:57:16.411000', '1', '1', '/', NULL, 1.00, '5-chloro-N-(1-phenethylpiperidin-4-yl)-N-(ptolyl)pentanamide', '1', '对甲苯基5-氯戊酰基芬太尼', '冷藏贮存', 'GASS-369', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A67C35040F674EA5911488782081F0BF', '2-氯-N-(4-氟苯基) -N-(1-苯乙基哌啶-4-基) 乙酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:25.719000', '2023-08-07 15:57:25.719000', '1', '1', '/', NULL, 1.00, '2-chloro-N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)acetamide', '1', '对氟苯基氯乙酰基芬太尼', '冷藏贮存', 'GASS-384', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A6CE35E6E88616D2F6BA596C8806A2F7', '2-(苯甲基亚磺酰基)乙酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:57.853000', '2023-08-07 15:56:57.853000', '1', '1', '/', NULL, 1.00, '2-(benzhydrylsulfinyl)acetamide', '1', '莫达非尼', '冷藏贮存', 'GASS-298', '瓶', NULL, 0.000000000000000000000000000000, '68693-11-8', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A6D963CC89ADB78DABECE98D6D2D2E6C', '3-(2-(二甲基氨基)乙基)-1H-吲哚-4-醇', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:48.956000', '2023-08-07 15:56:48.956000', '1', '1', '/', NULL, 1.00, '3-(2-(dimethylamino)ethyl)-1H-indol-4-ol', '1', '赛洛新', '冷藏贮存', 'GASS-198', '瓶', NULL, 0.000000000000000000000000000000, '520-53-6', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A6EF41346BFDB97D559527CEB063B584', '滴管', 'n/a', '耗材', NULL, '普通耗材', '12cm', '2023-08-07 15:30:56.153000', '2023-08-07 15:30:56.153000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A79CAD33FFD704B7C5F5176B7EF5968A', '八氟萘', 'Merck', '试剂', NULL, '普通试剂', '1g/瓶,96%', '2023-08-07 15:37:39.697000', '2023-08-07 15:37:39.697000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'RD');
INSERT INTO `reagent_consumables` VALUES ('A7FE683CAB26AD84E7736B9C31764CC6', '(1-(5-氟戊基)-1H-吲哚-3-羰基)缬氨酸甲酯', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:51.573000', '2023-08-07 15:56:51.573000', '1', '1', '/', NULL, 1.00, 'methyl(1-(5-fluoropentyl)-1H-indole-3-carbonyl)valinate', '1', '5F-AMB-PICA', '冷藏贮存', 'GASS-262', '瓶', NULL, 0.000000000000000000000000000000, '1971007-87-0', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A91084FB4041E62AA9E88B5DD9C2D155', 'O型圈', '安捷伦', '耗材', NULL, '普通耗材', '货号5188-5365，10个/盒', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '盒', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A955AD0B6FFDCBD9AF062CF66FC22D89', '滴管', 'n/a', '耗材', NULL, '普通耗材', '12cm', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A9B32DA29BB9A11D7C5BD82951CC2204', '乙酸乙酯', '国药集团', '试剂', NULL, '普通试剂', '≥99.5', '2023-08-07 15:37:52.360000', '2023-08-07 15:37:52.360000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('A9E711D8C0A12C1217980D7EE9415ECB', '一次性使用无菌注射器 带针', '治宇', '耗材', NULL, '普通耗材', '2ml,200/支', '2023-08-07 15:34:46.833000', '2023-08-07 15:34:46.833000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('AA6C3882132A2983116C9735C6BD95A0', '称量纸', 'n/a', '耗材', NULL, '普通耗材', '10cm', '2023-08-07 15:34:15.719000', '2023-08-07 15:34:15.719000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('AAD62619C7D3CB4966F8912FEFFAA6D5', '锥形瓶', '环球', '耗材', NULL, '普通耗材', '250ml', '2023-08-07 15:34:38.874000', '2023-08-07 15:34:38.874000', '1', '1', '/', NULL, 1.00, '/', '12', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('AAE383C084A3842EDEA63A5D11985001', '连盖离心管', 'AXYGEN', '耗材', NULL, '普通耗材', '2ml，500支/袋', '2023-08-07 15:33:14.435000', '2023-08-07 15:33:14.435000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('AAE59A34FCC4E0C2255A1F9DDAE93014', '氯化亚砜', '科密欧', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-08-07 15:37:47.707000', '2023-08-07 15:37:47.707000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('AB3C762EC309876321351F5BF5ADA7AE', '橡皮吸球', 'n/a', '耗材', NULL, '普通耗材', '1ml', '2023-08-07 15:33:00.802000', '2023-08-07 15:33:00.802000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('ABBF962315BB9B580B63A7323AAB1AED', 'DCC , N,N\'-二环己基碳二亚胺', '阿拉丁', '试剂', NULL, '普通试剂', '99%, 100g/瓶', '2023-08-07 15:37:59.622000', '2023-08-07 15:37:59.622000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, '538-75-0', NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('ABD300B06D0CA25F14984F738829ED46', '1,4-二甲氧基苯', 'Sigma-Aldrich', '试剂', NULL, '普通试剂', '100g/瓶,99%', '2023-08-07 15:37:35.610000', '2023-08-07 15:37:35.610000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'RP');
INSERT INTO `reagent_consumables` VALUES ('AC06910B2390E925302D14F5032BD9C1', '1-(4-氯苯基)-2-(二乙基氨基)丙-1-酮', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:31.714000', '2023-08-07 15:57:31.714000', '1', '1', '/', NULL, 1.00, '1-(4-chlorophenyl)-2-(diethylamino)propan-1-one', '1', '对氯-N,N-二乙基卡西酮盐酸盐', '冷藏贮存', 'GASS-394', '瓶', NULL, 0.000000000000000000000000000000, '92105-44-7', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('AC43D3977BFF031A687525EFE60A054A', '称量瓶', 'n/a', '耗材', NULL, '普通耗材', '25x25', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '20', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('ACC94C533DA04F3C822C40DE2EB46502', '牛皮纸物证袋', 'n/a', '耗材', NULL, '普通耗材', '50*30cm', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '10', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('AD0C36C2C4C61AB1E9F2AF6CB8F7088B', '(1-((1-甲基哌啶-2-基)甲基)-1H-吲哚-3-基)(萘-1-基)甲酮', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:48.274000', '2023-08-07 15:56:48.274000', '1', '1', '/', NULL, 1.00, '(1-((1-methylpiperidin-2-yl)methyl)-1H-indol-3-yl)(naphthalen-1-yl)methanone', '1', 'AM-1220', '冷藏贮存', 'GASS-048', '瓶', NULL, 0.000000000000000000000000000000, '137642-54-7', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('AD5787F5B41602692F655CA7F907271A', '称量瓶', 'n/a', '耗材', NULL, '普通耗材', '25x40', '2023-08-07 15:34:19.976000', '2023-08-07 15:34:19.976000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('AD6044D8D82E3B81FF260063AA5040B1', '血清移液管', 'n/a', '耗材', NULL, '普通耗材', '50ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('AE5BE308ECA111AC72A6DB6E203E70A6', '4-氟苄溴', '阿拉丁', '试剂', NULL, '普通试剂', '97%，25g/瓶', '2023-08-07 15:37:55.998000', '2023-08-07 15:37:55.998000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, '459-46-1', NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('AE911C6C8F224DF2D8F3BED64B61E493', 'N-(1-苯乙基哌啶-4-基)-N-苯基环丁烷甲酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:28.516000', '2023-08-07 15:57:28.516000', '1', '1', '/', NULL, 1.00, 'N-(1-phenethylpiperidin-4-yl)-N-phenylcyclobutanecarboxamide', '1', '苯基环丁甲酰基芬太尼', '冷藏贮存', 'GASS-389', '瓶', NULL, 0.000000000000000000000000000000, '2306827-55-2', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('AEA4495059172C2EF44E941D5CE455E7', 'N-(金刚烷-1-基)-1-(环己基甲基)-1H-吲唑-3-甲酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:59.754000', '2023-08-07 15:56:59.754000', '1', '1', '/', NULL, 1.00, 'N-(adamantan-1-yl)-1-(cyclohexylmethyl)-1H-indazole-3-carboxamide', '1', 'ACHMINACA', '冷藏贮存', 'GASS-309', '瓶', NULL, 0.000000000000000000000000000000, '1400742-33-7', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('AEBB5CD9428E71CD109199DD92F869DB', '废液瓶架', 'n/a', '耗材', NULL, '普通耗材', 'n/a', '2023-08-07 15:36:33.701000', '2023-08-07 15:36:33.701000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('AF283DF006F94E987783D9A723A43B47', 'LG玻板抽滤漏斗', '垒固', '耗材', NULL, '普通耗材', '100ml', '2023-08-07 15:34:31.659000', '2023-08-07 15:34:31.659000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('AFB1BC30F652DD2E5D8D55C8CA4DAA8C', '1-(2-氟苯基)丙-2-胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:15.363000', '2023-08-07 15:56:15.363000', '1', '1', '/', NULL, 1.00, '1-(2-fluorophenyl)propan-2-amine', '1', '2-FA', '冷藏贮存', 'GASS-001', '瓶', NULL, 0.000000000000000000000000000000, '1716-60-5', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('AFD3BA44C8C057D75791801661C03440', '手术剪', '安其生', '耗材', NULL, '普通耗材', '12.5cm弯尖', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '把', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('AFEB27FC0278E762957A99F249F3E033', '滴管', 'n/a', '耗材', NULL, '普通耗材', '9cm', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B00AC6E5CD8A4968088E71FBEEA78788', '保鲜自封袋4号', '苹果', '耗材', NULL, '普通耗材', '85x120mm', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '100', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B1415E7712373D16325D5F5F13B6806E', '带塞溶剂瓶', 'n/a', '耗材', NULL, '普通耗材', '500ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '8', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B2809046CA41FA525598AAAEA166F29B', '小口试剂瓶', '蜀牛', '耗材', NULL, '普通耗材', '2500ml', '2023-08-07 15:34:24.621000', '2023-08-07 15:34:24.621000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B394DAEF34639B7809C0B2B472FDA610', '气相进样针', '岛津', '耗材', NULL, '进样针', '10ul', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B3BB2E9A6077B57B92EDEF87A41988E7', '5-乙基-5-(苯基-d5)嘧啶-2,4,6 (1H，3H，5H)-三酮', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:51.446000', '2023-08-07 15:57:51.446000', '1', '1', '/', NULL, 1.00, '5-ethyl-5-(phenyl-d5)pyrimidine-2,4,6(1H,3H,5H)-trione', '1', 'Ds-苯巴比妥', '冷藏贮存', 'GASS-512', '瓶', NULL, 0.000000000000000000000000000000, '72793-46-5', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B42D5FF2A772984335EAA1342D266DFA', '微孔滤膜', 'GreenMall', '耗材', NULL, '普通耗材', '有机系（尼龙）,50mm,0.22um,50片/盒', '2023-08-07 15:34:45.023000', '2023-08-07 15:34:45.023000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B490C998E2D2AB4522F4550EFA84BA94', '四氢呋喃', '阿拉丁', '试剂', NULL, '普通试剂', '500ml/瓶,99%', '2023-08-07 15:36:59.094000', '2023-08-07 15:36:59.094000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('B49AF0E77FC8F15DEEADE629298F2EC4', '进口滤膜', '津隆', '耗材', NULL, '普通耗材', '25mm，100片/盒，有机尼龙66，0.45um，货号：JLSN184502', '2023-08-07 15:34:42.231000', '2023-08-07 15:34:42.231000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B4BCA3133D5AA0757BB68637EA5613B0', '喹啉-8-基-1-(4-氟苄基)-1H-吲哚-3-羧酸盐', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:32.080000', '2023-08-07 15:56:32.080000', '1', '1', '/', NULL, 1.00, 'quinolin-8-yl 1-(4-fluorobenzyl)-1H-indole-3-carboxylate', '1', 'FUB-PB-22', '冷藏贮存', 'GASS-057', '瓶', NULL, 0.000000000000000000000000000000, '1800098-36-5', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B501992585133ECCAF0ED000444EAEDB', '一次性塑料烧杯', 'n/a', '耗材', NULL, '普通耗材', '100ml', '2023-08-07 15:34:30.089000', '2023-08-07 15:34:30.089000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B5024E2AB89F183774FDB1D8C4F00BEC', 'DMAP, 4-二甲氨基吡啶', '阿拉丁', '试剂', NULL, '普通试剂', '99%, 100g/瓶', '2023-08-07 15:38:01.470000', '2023-08-07 15:38:01.470000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, '1122-58-3', NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('B5450DADE2DCDF2100F618C70CD8B7D7', '叔丁醇钾', '阿拉丁', '试剂', NULL, '普通试剂', '98%，500g/瓶', '2023-08-07 15:37:54.777000', '2023-08-07 15:37:54.777000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('B550FE5473D850F673BB86FAB8CEFCC2', '定量滤纸', '新星', '耗材', NULL, '普通耗材', '11cm，中速', '2023-08-07 15:34:49.095000', '2023-08-07 15:34:49.095000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B55A5C2CD5E02E2E5FCA6613E6B9DE01', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)辛酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:21.861000', '2023-08-07 15:57:21.861000', '1', '1', '/', NULL, 1.00, 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)octanamide', '1', '对甲苯基正辛酰基芬太尼', '冷藏贮存', 'GASS-378', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B55D7547F900E35B7AAD24AE081D07F4', '螺纹试剂瓶', '蜀牛', '耗材', NULL, '普通耗材', '80ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '20', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B60222AC24B6110513CD0130720DB5E8', 'ACQUITY UPLC BEN HILIC VanGuard Pre-Column 3/Pk', 'Waters', '耗材', NULL, '色谱柱', '2.1*5mm,1.7um,3个/盒', '2023-08-07 15:30:36.836000', '2023-08-07 15:30:36.836000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B62A324CA9DC60C34DDDA53B0863F912', '茶碱', '百灵威', '试剂', NULL, '普通试剂', '98%,5g/瓶', '2023-08-07 15:37:41.661000', '2023-08-07 15:37:41.661000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'RD');
INSERT INTO `reagent_consumables` VALUES ('B6404D5C5A1E4070B0E98E3D5958019A', '滴管', 'n/a', '耗材', NULL, '普通耗材', '15cm', '2023-08-07 15:30:56.991000', '2023-08-07 15:30:56.991000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B6AFB43D70405DEBC7186191E75C1F64', '镊子', 'n/a', '耗材', NULL, '普通耗材', '弯头，12.5cm', '2023-08-07 15:33:06.073000', '2023-08-07 15:33:06.073000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B6B3D596A9F72D2C12CCCF9CC4A599CB', '移液管', 'MC', '耗材', NULL, '普通耗材', '5ml', '2023-08-07 15:30:45.292000', '2023-08-07 15:30:45.292000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B6F28EC8303DA17134FC584FB7F4C581', '无水硫酸镁', '科密欧', '试剂', NULL, '普通试剂', '500g/瓶', '2023-08-07 15:36:54.377000', '2023-08-07 15:36:54.377000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('B7808AF2B78580A9721F84C6FF435D1B', '1-(苯并[d][1,3]二羟基-5-基)-2-(二甲基氨基)戊-1-酮', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:50.924000', '2023-08-07 15:57:50.924000', '1', '1', '/', NULL, 1.00, '1-(benzo[d][1,3]dioxol-5-yl)-2-(dimethylamino)pentan-1-one', '1', 'N,N-Dimethylpentylone (hydrochloride)', '冷藏贮存', 'GASS-511', '瓶', NULL, 0.000000000000000000000000000000, '17763-13-2', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B80D680E1050320966E988507C6881F9', '丝口试剂瓶', '蜀玻', '耗材', NULL, '普通耗材', '2000ml', '2023-08-07 15:34:22.823000', '2023-08-07 15:34:22.823000', '1', '1', '/', NULL, 1.00, '/', '3', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B8B3F5D0463B018F1A1B86E02D4F445E', '白色滴瓶', 'n/a', '耗材', NULL, '普通耗材', '125ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '10', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B8DEB57BB4E7E553B23E0384ED779FC4', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)丁酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:15.242000', '2023-08-07 15:57:15.242000', '1', '1', '/', NULL, 1.00, 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)isobutyramide', '1', '对甲苯基异丁酰基芬太尼', '冷藏贮存', 'GASS-367', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B8FEF531D07C0352F447F20BB2A8A932', 'Shim-pack GIST', '岛津', '耗材', NULL, '色谱柱', '4.6*150mm,5um', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B9AD4467FDD278604B0F6A41BD2ED70B', '1,4-二苄基哌嗪', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:30.323000', '2023-08-07 15:57:30.323000', '1', '1', '/', NULL, 1.00, '1,4-dibenzylpiperazine', '1', '二苄基哌嗪', '冷藏贮存', 'GASS-392', '瓶', NULL, 0.000000000000000000000000000000, '1034-11-3', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B9DA1228B79526AB6727207D887B91E4', '萘-1-基(4-(戊基氧基)萘-1-基)甲酮', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:30.729000', '2023-08-07 15:56:30.729000', '1', '1', '/', NULL, 1.00, 'naphthalen-1-yl(4-(pentyloxy)naphthalen-1-yl)methanone', '1', 'CB-13', '冷藏贮存', 'GASS-053', '瓶', NULL, 0.000000000000000000000000000000, '432047-72-8', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('BA2CA6AFC26B68C386AF60AF492C5F61', '进口滤膜', '津隆', '耗材', NULL, '普通耗材', '13mm，有机尼龙66,0.45um，货号：JLSN024501', '2023-08-07 15:34:50.993000', '2023-08-07 15:34:50.993000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('BAA62B9F52C052FFF45A7AA8483CFD10', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基) 环戊酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:20.080000', '2023-08-07 15:57:20.080000', '1', '1', '/', NULL, 1.00, 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)cyclopentanecarboxamide', '1', '对甲苯基环戊甲酰基芬太尼', '冷藏贮存', 'GASS-375', '瓶', NULL, 0.000000000000000000000000000000, '2748409-67-6', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('BAB380242F3D0474939FE3691384417B', 'N-(金刚烷-1-基)-1-戊基-1H-吲唑-3-甲酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:29.982000', '2023-08-07 15:56:29.982000', '1', '1', '/', NULL, 1.00, 'N-(adamantan-1-yl)-1-pentyl-1H-indazole-3-carboxamide', '1', 'APINACA', '冷藏贮存', 'GASS-052', '瓶', NULL, 0.000000000000000000000000000000, '1345973-53-6', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('BBAF49D31EDF1FA98FEB6D9188D94521', '乙酸乙酯', '科密欧', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-08-07 15:36:49.787000', '2023-08-07 15:36:49.787000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('BBE1455505831DEA264ACEA2D52A44A1', '一次性蓝色丁腈手套', '柯沃', '耗材', NULL, '普通耗材', 'L', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '10', '/', '常规贮存', '/', '盒', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('BC16F1B86AEAB5AF6A4C733A0A73694D', '塑料吸管', 'n/a', '耗材', NULL, '普通耗材', '2ml，100支/袋', '2023-08-07 15:33:09.845000', '2023-08-07 15:33:09.845000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '袋', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('BC6ACF483410EEB9BE0347484D0591F2', '称量瓶', 'n/a', '耗材', NULL, '普通耗材', '50x30', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '10', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('BCFEC7D0419DE459480002B8A3A69D65', '乙酸', '科密欧', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-08-07 15:37:49.597000', '2023-08-07 15:37:49.597000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('BD61D6043BD666C6F319364357A556FF', 'DIPEA, N,N-二异丙基乙胺', '阿拉丁', '试剂', NULL, '普通试剂', '99.5%, 100ml/瓶', '2023-08-07 15:38:04.302000', '2023-08-07 15:38:04.302000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, '7087-68-5', NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('BE29E85F4D2BB1FC64BE90D9A3A63911', 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基) -1-戊基-1H-吲唑-3-甲酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:27.855000', '2023-08-07 15:56:27.855000', '1', '1', '/', NULL, 1.00, 'N-(1-amino-3,3-dimethyl-1-oxobutan-2-yl)-1-pentyl-1H-indazole-3-carboxamide', '1', 'ADB-PINACA', '冷藏贮存', 'GASS-047', '瓶', NULL, 0.000000000000000000000000000000, '1633766-73-0', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('BE96A715FDC204E634C5563DAC5F9EF6', '保鲜自封袋6号', '苹果', '耗材', NULL, '普通耗材', '120x170mm', '2023-08-07 15:30:22.522000', '2023-08-07 15:30:22.522000', '1', '1', '/', NULL, 1.00, '/', '100', '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('BEBFD30233119277C91537263D1BB8A0', '滴管', 'n/a', '耗材', NULL, '普通耗材', '10cm', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('BF45AE6FE966F27F4EF7A9887A4A6D3B', 'LG玻板抽滤漏斗', '垒固', '耗材', NULL, '普通耗材', '100ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('BF7C76CF1975341D02DD66A7542B6C7B', '定量滤纸', '双联牌', '耗材', NULL, '普通耗材', '12.5cm，慢速', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '盒', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('BFD45DE70FD45DC891E4ACAE2B876655', '进口滤膜', '津隆', '耗材', NULL, '普通耗材', '25mm，100片/盒，有机尼龙66，0.22um，货号：JLSN172202', '2023-08-07 15:34:42.949000', '2023-08-07 15:34:42.949000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('BFFF00F8593F383078830951636D399E', '丝口试剂瓶', '蜀玻', '耗材', NULL, '普通耗材', '2000ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '3', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C003B18CE042E50BA19E0971F8FC2851', '表面皿', 'n/a', '耗材', NULL, '普通耗材', 'Φ60mm，10个/盒', '2023-08-07 15:32:53.035000', '2023-08-07 15:32:53.035000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C038C54C67FD3E455B198D372E6E6E8A', '磺胺', 'Sigma-Aldrich', '试剂', NULL, '普通试剂', '5g/瓶', '2023-08-07 15:37:36.357000', '2023-08-07 15:37:36.357000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'RD');
INSERT INTO `reagent_consumables` VALUES ('C08500BAB84C89634EC2C961BD78B4D7', '手术剪', '双鹿', '耗材', NULL, '普通耗材', '12.5cm直尖', '2023-08-07 15:32:57.835000', '2023-08-07 15:32:57.835000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '把', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C0989B3D20F6859AF650A9AF553B3F7B', '螺纹试剂瓶', '蜀牛', '耗材', NULL, '普通耗材', '250ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '10', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C10C15842D355F161AA83A683F16AE3B', '白色滴瓶', 'n/a', '耗材', NULL, '普通耗材', '60ml', '2023-08-07 15:33:17.453000', '2023-08-07 15:33:17.453000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C145040CE040D4C85211CA52CB3CC0DC', '1-(苯并[d][1,3]二羟基-5-基)-2-(吡咯烷-1-基)戊-1-酮', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:45.502000', '2023-08-07 15:56:45.502000', '1', '1', '/', NULL, 1.00, '1-(benzo[d][1,3]dioxol-5-yl)-2-(pyrrolidin-1-yl)pentan-1-one', '1', 'MDPV(盐酸盐)', '冷藏贮存', 'GASS-162', '瓶', NULL, 0.000000000000000000000000000000, '24622-62-6', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C1DF7BC8C3A62D73700B726AE4281ABE', '2-(1-(4-氟苄基) -1H-吲唑-3-甲酰胺) -3,3-二甲基丁酸甲酯', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:01.840000', '2023-08-07 15:57:01.840000', '1', '1', '/', NULL, 1.00, 'methyl 2-(1-(4-fluorobenzyl)-1H-indole-3-carboxamido)-3,3-dimethylbutanoate', '1', 'MDMB-FUBICA', '冷藏贮存', 'GASS-315', '瓶', NULL, 0.000000000000000000000000000000, '1971007-91-6', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C26ABE44D0565A3E4DBA9C03C135CBAB', '进口滤膜', '津隆', '耗材', NULL, '普通耗材', '25mm，100片/盒，水洗聚醚砜（PES），0.45um，货号：JLSP214502', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '盒', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C2A04A64246A7F53DC978CC944529DCB', '梨形分液漏斗', 'n/a', '耗材', NULL, '普通耗材', '10ml', '2023-08-07 15:34:33.973000', '2023-08-07 15:34:33.973000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C2FCC520B0F284133B73771252E31937', '丙三醇', '科密欧', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-08-07 15:36:57.752000', '2023-08-07 15:36:57.752000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('C2FE68D41F8F7B76A558EC10F38F816B', '物证封装袋', 'n/a', '耗材', NULL, '普通耗材', '30*22cm', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '100', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C31FE534F362A3B43A6E9798A8A1B2A4', 'ZORBAX Eclipse Plus C18', 'agilent', '耗材', NULL, '色谱柱', '4.6*150mm,5um', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C4613814105DF4561982D10C40BB5278', '称量纸', 'n/a', '耗材', NULL, '普通耗材', '10cm', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '10', '/', '常规贮存', '/', '包', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C4A0CD31CDB29E271567A7CA0F0FDC02', '移液管', 'MC', '耗材', NULL, '普通耗材', '10ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C4C69A812F4E91AA017ACE86ED8D7CA3', '氢氧化钠（片状）', '科密欧', '试剂', NULL, '普通试剂', '500g/瓶', '2023-08-07 15:37:02.774000', '2023-08-07 15:37:02.774000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('C551568594025E6425F428F4CC23062C', '茶碱', 'TCI', '试剂', NULL, '普通试剂', '25g/瓶,98%', '2023-08-07 15:37:30.088000', '2023-08-07 15:37:30.088000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'RD');
INSERT INTO `reagent_consumables` VALUES ('C5956C2B4AA4211F1803DDDC1F01C29F', '2-(1-(5-氟戊基)-1H-吲哚-3-甲酰胺-4,5,6,7-d4)-3,3-二甲基丁酸甲酯', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:43.276000', '2023-08-07 15:57:43.276000', '1', '1', '/', NULL, 1.00, 'methyl 2-(1-(5-fluoropentyl)-1H-indole-3-carboxamido-4,5,6,7-d4)-3,3-dimethylbutanoate', '1', 'D4-5F-MDMB-PICA', '冷藏贮存', 'GASS-465', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C64DDBDF0F73927C2FDB6B2889DA3E85', '镊子', 'n/a', '耗材', NULL, '普通耗材', '直头，12.5cm', '2023-08-07 15:33:05.170000', '2023-08-07 15:33:05.170000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C66863AC82EF4A07EAA60AD79F4CA465', '滴管', 'n/a', '耗材', NULL, '普通耗材', '10cm', '2023-08-07 15:30:55.616000', '2023-08-07 15:30:55.616000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C670EAED879ECDE8B08EE622A9F3FD86', '研钵', '垒固', '耗材', NULL, '普通耗材', '15ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C6A48FE46881A23CCF263C180F1D0FC7', '白色药瓶', 'n/a', '耗材', NULL, '普通耗材', '20ml', '2023-08-07 15:33:13.264000', '2023-08-07 15:33:13.264000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C751651120BE2BEA89867B45444CEF87', '进口滤膜', '津隆', '耗材', NULL, '普通耗材', '25mm，100片/盒，有机尼龙66，0.22um，货号：JLSN172202', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '盒', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C78E76F182E09D56E15745176ADC1D77', '2-(二乙基氨基)-1-(对甲苯基)丙-1-酮', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:07.941000', '2023-08-07 15:57:07.941000', '1', '1', '/', NULL, 1.00, '2-(diethylamino)-1-(p-tolyl)propan-1-one', '1', 'N-乙基-对甲-乙卡西酮盐酸盐', '冷藏贮存', 'GASS-332', '瓶', NULL, 0.000000000000000000000000000000, '676316-90-8', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C7B07AB86612807AAA50E4324EC8C481', '牛皮纸物证袋', 'n/a', '耗材', NULL, '普通耗材', '21*14cm', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '10', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C7DA99EF4ACDF57E33DF36C2235AF83C', '2-氨基-2-(2-氯苯基) 环已烷-1-酮', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:13.313000', '2023-08-07 15:57:13.313000', '1', '1', '/', NULL, 1.00, '2-amino-2-(2-chlorophenyl)cyclohexan-1-one', '1', '去甲氯胺酮盐酸盐', '冷藏贮存', 'GASS-341', '瓶', NULL, 0.000000000000000000000000000000, '79499-59-5', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C81F5EC79A5B1F5EDD3805E95D52367C', '塑料离心管', 'n/a', '耗材', NULL, '普通耗材', '8ml,，225支/袋', '2023-08-07 15:33:12.690000', '2023-08-07 15:33:12.690000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '袋', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C87A6D17F7BA87713673518034100249', 'N-(1-苯乙基哌啶-4-基)-N-苯基呋喃-2-甲酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:42.772000', '2023-08-07 15:56:42.772000', '1', '1', '/', NULL, 1.00, 'N-(1-phenethylpiperidin-4-yl)-N-phenylfuran-2-carboxamide', '1', '呋喃芬太尼', '冷藏贮存', 'GASS-095', '瓶', NULL, 0.000000000000000000000000000000, '101345-66-8', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C8C3F5D4163885E757FFEC2C4D62D3C7', '正己烷', '科密欧', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-08-07 15:36:50.914000', '2023-08-07 15:36:50.914000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('C8E3B4FA957A88FECA5D6693E2F95475', '试管架', 'n/a', '耗材', NULL, '普通耗材', '3x6', '2023-08-07 15:34:25.187000', '2023-08-07 15:34:25.187000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C8F879630BD68FE5D337D79FF81DA1CD', 'ACQUITY UPLC CSH C18', 'Waters', '耗材', NULL, '色谱柱', '2.1*100mm,1.7um', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C96C32DAE04B9C8EFC0B928EED1E775F', '试管帽', 'n/a', '耗材', NULL, '普通耗材', 'Φ18', '2023-08-07 15:33:03.960000', '2023-08-07 15:33:03.960000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('CA5B5351C698FF785F036C7452AD24F0', '镊子', 'n/a', '耗材', NULL, '普通耗材', '直头，12.5cm', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('CAD80C3160774CC1C7840BFDA814A503', '移液管架', 'n/a', '耗材', NULL, '普通耗材', 'n/a', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('CADC742EE1BE70774DA89E4719769575', '容量瓶', 'Bomex', '耗材', NULL, '普通耗材', '250ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '6', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('CAE43EAFBE0DAD2A81086FF043289A12', 'N、N-二乙基-7-甲基-4,6,6a，7,8,9-六氢吲哚[4,3-fg]喹啉-9-羧酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:12.598000', '2023-08-07 15:57:12.598000', '1', '1', '/', NULL, 1.00, 'N,N-diethyl-7-methyl-4,6,6a,7,8,9-hexahydroindolo[4,3-fg]quinoline-9-carboxamide', '1', 'LSD', '冷藏贮存', 'GASS-340', '瓶', NULL, 0.000000000000000000000000000000, '50-37-3', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('CB48DFDD8C8237B1DC52340E130D73C2', '乙腈', 'OCEANPAK', '试剂', NULL, '普通试剂', '4L/瓶', '2023-08-07 15:36:43.971000', '2023-08-07 15:36:43.971000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('CBD8441F76EBDD385953E892B839EFD2', '2-(1-(4-氟丁基)-1H-吲哚-3-甲酰胺)-3,3-二甲基丁酸甲酯', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:55.924000', '2023-08-07 15:56:55.924000', '1', '1', '/', NULL, 1.00, 'methyl 2-(1-(4-fluorobutyl)-1H-indole-3-carboxamido)-3,3-dimethylbutanoate', '1', '4F-MDMB-BUTICA', '冷藏贮存', 'GASS-293', '瓶', NULL, 0.000000000000000000000000000000, '2682867-53-2', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('CC1D517497249BA28F72CF284554E058', '血清移液管', 'n/a', '耗材', NULL, '普通耗材', '5ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('CCD7B7B0ECA297F088ED476CBF21C128', '标准漏斗', 'n/a', '耗材', NULL, '普通耗材', 'n/a', '2023-08-07 15:34:33.260000', '2023-08-07 15:34:33.260000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('CD5C40E7540209F16446256CB4328891', '研钵', '垒固', '耗材', NULL, '普通耗材', '18cm', '2023-08-07 15:33:21.796000', '2023-08-07 15:33:21.796000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('CF0DB4AEF5975149FC08519CCF9DEFAB', '保鲜自封袋5号', '苹果', '耗材', NULL, '普通耗材', '100x150mm', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '100', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('CF1985061C9BF52C82BE0665559FF4E5', '利血平', 'Sigma-Aldrich', '试剂', NULL, '普通试剂', '5g/瓶,99%', '2023-08-07 15:37:40.433000', '2023-08-07 15:37:40.433000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('D0166F22A50A17BFF28D27F974E17297', '物证封装袋', 'n/a', '耗材', NULL, '普通耗材', '30*22cm', '2023-08-07 15:30:30.171000', '2023-08-07 15:30:30.171000', '1', '1', '/', NULL, 1.00, '/', '100', '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D0E6030C914F0689875B7AB1F5DC42FF', '4-氟氯苄', '阿拉丁', '试剂', NULL, '普通试剂', '98%，25g/瓶', '2023-08-07 15:37:56.566000', '2023-08-07 15:37:56.566000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, '352-11-4', NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('D10DBC3AEAF5182F38549DBE43422BDB', '一次性蓝色丁腈手套', '柯沃', '耗材', NULL, '普通耗材', 'M', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '10', '/', '常规贮存', '/', '盒', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D1150317A7B12F4731A48D221445CF62', '塑料烧杯', 'n/a', '耗材', NULL, '普通耗材', '3000ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D19A01AAF2B221025D67F3126A0DBB3B', '量筒', 'Bomex', '耗材', NULL, '普通耗材', '25ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '10', '/', '常规贮存', '/', '支', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D26EDE6A9C060186AB7B052AB07AA2D6', '(1-(4-氟苄基)-1H-吲哚-3-羰基)缬氨酸甲酯', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:54.006000', '2023-08-07 15:56:54.006000', '1', '1', '/', NULL, 1.00, 'methyl(1-(4-fluorobenzyl)-1H-indole-3-carbonyl)valinate', '1', 'AMB-FUBICA', '冷藏贮存', 'GASS-275', '瓶', NULL, 0.000000000000000000000000000000, '1971007-90-5', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D2DB1A941ABA4D27685D764B73AAC8C9', '锥形瓶', 'Bomex', '耗材', NULL, '普通耗材', '250ml', '2023-08-07 15:36:32.906000', '2023-08-07 15:36:32.906000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D333EC2035E9EAEED2D06192ACFC636F', '物证封装袋', 'n/a', '耗材', NULL, '普通耗材', '16.5*12cm', '2023-08-07 15:30:29.461000', '2023-08-07 15:30:29.461000', '1', '1', '/', NULL, 1.00, '/', '100', '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D33F92F87E82492B04AB7F6D4C5A03B3', '试管', 'n/a', '耗材', NULL, '普通耗材', '15*150mm', '2023-08-07 15:30:44.297000', '2023-08-07 15:30:44.297000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D3411AFFC51539B2BAE7D2A7769BE469', '四氢呋喃', '阿拉丁', '试剂', NULL, '普通试剂', 'AR,99.0% (含250 ppm BHT稳定剂)，500ml', '2023-08-07 15:37:55.297000', '2023-08-07 15:37:55.297000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('D35946108BEDB65B089B4C070D78C5C3', '2-(吡咯烷-1-基)-1-(对甲苯基)丙-1-酮', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:08.636000', '2023-08-07 15:57:08.636000', '1', '1', '/', NULL, 1.00, '2-(pyrrolidin-1-yl)-1-(p-tolyl)propan-1-one', '1', 'N-环丁基-对甲-卡西酮盐酸盐', '冷藏贮存', 'GASS-333', '瓶', NULL, 0.000000000000000000000000000000, '1313393-58-6', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D3BD4889B2F18F48E4289B1E87462AE3', '1-(3-氯苯基)-2-(吡咯烷-1-基) 丙-1-酮', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:10.364000', '2023-08-07 15:57:10.364000', '1', '1', '/', NULL, 1.00, '1-(3-chlorophenyl)-2-(pyrrolidin-1-yl)propan-1-one', '1', 'N-环丁基-间氯-卡西酮盐酸盐', '冷藏贮存', 'GASS-336', '瓶', NULL, 0.000000000000000000000000000000, '1152959-71-1', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D4352D769EEFB32FCA28A33139C5784F', '保鲜自封袋9号', '苹果', '耗材', NULL, '普通耗材', '280x200mm', '2023-08-07 15:30:20.708000', '2023-08-07 15:30:20.708000', '1', '1', '/', NULL, 1.00, '/', '100', '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D43DB550EFD4D9F03A363462124A0EAF', '小口试剂瓶', 'n/a', '耗材', NULL, '普通耗材', '1000ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '6', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D4A7E6FD2D4657C98DCEA77B96F50FF9', '进样小瓶', '安捷伦', '耗材', NULL, '普通耗材', '2ml,5182-0714，100个/盒', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '盒', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D4BA4A4EBC6452E9AF1BD8AC2D1911BE', 'N-(金刚烷-1-基)-1-(5-氯戊基)-1H-吲唑-3-甲酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:51.023000', '2023-08-07 15:56:51.023000', '1', '1', '/', NULL, 1.00, 'N-(adamantan-1-yl)-1-(5-chloropentyl)-1H-indazole-3-carboxamide', '1', '5CI-APINACA', '冷藏贮存', 'GASS-260', '瓶', NULL, 0.000000000000000000000000000000, '2160555-52-0', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D511AE7925D0107021DDB425B9ABB37E', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)丁酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:41.340000', '2023-08-07 15:56:41.340000', '1', '1', '/', NULL, 1.00, 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)butyramide', '1', '4-氟丁酰芬太尼', '冷藏贮存', 'GASS-090', '瓶', NULL, 0.000000000000000000000000000000, '244195-31-1', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D59782192AC184BBBBE2F4127E4DF1E2', '定性滤纸', '皎洁', '耗材', NULL, '普通耗材', '11cm，中速', '2023-08-07 15:36:24.637000', '2023-08-07 15:36:24.637000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D5F2B1CD5E63BEEC306691F0D001261F', '试管架', 'n/a', '耗材', NULL, '普通耗材', '3x6', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D688CC69822A3A7F2B2A8A6ACBA23691', '密封垫', '岛津', '耗材', NULL, '普通耗材', '货号221-48972-91，20个/盒', '2023-08-07 15:30:39.763000', '2023-08-07 15:30:39.763000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D6AD35C22BE6B386B66127E3BA869746', '定性滤纸', '皎洁', '耗材', NULL, '普通耗材', '18cm，中速', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '盒', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D757B0E9566323FE34D626242620D940', '3,4-二甲基-2-苯基吗啉', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:00.472000', '2023-08-07 15:57:00.472000', '1', '1', '/', NULL, 1.00, '3,4-dimethyl-2-phenylmorpholine', '1', '苯甲曲秦', '冷藏贮存', 'GASS-312', '瓶', NULL, 0.000000000000000000000000000000, '634-03-7', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D7B5E6C0E897CCA263F25CAAEF2B9C3B', '移液管', 'MC', '耗材', NULL, '普通耗材', '20ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D86D8D9E39A9103ACDA28BE8043696B6', 'Kinetex Biphenyl', '飞诺美', '耗材', NULL, '色谱柱', '100*3.0mm,2.6um', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D906882CCB6D3BDD0C4E5091799A92C5', '2-(1-(5-氟戊基)-1H-吲唑-3-甲酰胺-4,5,6,7-d4)-3,3-二甲基丁酸甲酯', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:45.707000', '2023-08-07 15:57:45.707000', '1', '1', '/', NULL, 1.00, 'methyl 2-(1-(5-fluoropentyl)-1H-indazole-3-carboxamido-4,5,6,7-d4)-3,3-dimethylbutanoate', '1', 'D4-5F-ADB', '冷藏贮存', 'GASS-503', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D99C8531F034DE73F25FE05C3BB0AC37', '一次性塑料烧杯', 'n/a', '耗材', NULL, '普通耗材', '50ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('DA065C1395A411DC7E5E404BBBCE0C51', '枪头', 'sartorius', '耗材', NULL, '普通耗材', '10ul', '2023-08-07 15:34:53.128000', '2023-08-07 15:34:53.128000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('DA1A60DB3806C16C2FCC7D789735A44A', '(1-(戊-4-烯-1-基) -1H-吲哚-3-羰基)缬氨酸甲酯', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:52.798000', '2023-08-07 15:56:52.798000', '1', '1', '/', NULL, 1.00, 'methyl(1-(pent-4-en-1-yl)-1H-indole-3-carbonyl)valinate', '1', 'AMB-4en-PICA', '冷藏贮存', 'GASS-269', '瓶', NULL, 0.000000000000000000000000000000, '2659308-31-1', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('DC3833FB7AEC86FEF6AF5146BE87932A', '容量瓶', 'Brand', '耗材', NULL, '普通耗材', '25ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '2', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('DC52185FFE7F26B8CB0D15188B1C4266', '2-((二甲基氨基)甲基)-1-(3-甲氧基苯基-2,4,5,6-d4)环己烷-1-醇', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:39.345000', '2023-08-07 15:57:39.345000', '1', '1', '/', NULL, 1.00, '2-((dimethylamino)methyl)-1-(3-methoxyphenyl-2,4,5,6-d4)cyclohexan-1-ol', '1', 'D4-曲马多盐酸盐', '冷藏贮存', 'GASS-453', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('DC984A25B5CA0B8CCEF2DD385CBA6F82', '定量滤纸', '新星', '耗材', NULL, '普通耗材', '18cm，中速', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '盒', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('DD2A66BBA9B8D89D445D45D62523342C', '试管', 'n/a', '耗材', NULL, '普通耗材', '18*180mm', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('DD88719507D2FBA86528C2A4FC797786', '滴管', 'n/a', '耗材', NULL, '普通耗材', '18cm', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('DD9E129232304F82EE1ABFDD8DFE384A', 'DIC, N,N′-二异丙基碳二亚胺', '阿拉丁', '试剂', NULL, '普通试剂', '≥98.5%，100ml/瓶', '2023-08-07 15:38:00.784000', '2023-08-07 15:38:00.784000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, '693-13-0', NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('DE5788046EAA95F40D00A0929A34E92B', 'Kinetex Biphenyl', '飞诺美', '耗材', NULL, '色谱柱', '100*3.0mm,2.6um', '2023-08-07 15:30:34.451000', '2023-08-07 15:30:34.451000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('DE69E4CA07464E195FD37184401D1210', '防冲击眼罩', '3M', '耗材', NULL, '普通耗材', '1621型', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('DEA5491CD6158FEEC3D028A08BEECDFB', '枪头', 'Brand', '耗材', NULL, '普通耗材', '1000ul', '2023-08-07 15:36:19.935000', '2023-08-07 15:36:19.935000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('DEBA0C27F4C8F3204FA3B6674843497E', '二氯甲烷', 'CNW', '试剂', NULL, '普通试剂', '4l/瓶', '2023-08-07 15:36:45.390000', '2023-08-07 15:36:45.390000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('E075111E085C24410795CC6AF951CF61', '枪头', 'brand', '耗材', NULL, '普通耗材', '50-1000ul', '2023-08-07 15:33:16.652000', '2023-08-07 15:33:16.652000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E08090F3B415AD7FC1D283F997EDCB21', '镊子', 'n/a', '耗材', NULL, '普通耗材', '弯头，12.5cm', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E0822406E503971E15D9C61F87FDCC75', '容量瓶', 'Brand', '耗材', NULL, '普通耗材', '100ml', '2023-08-07 15:33:23.108000', '2023-08-07 15:33:23.108000', '1', '1', '/', NULL, 1.00, '/', '2', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E091060F53A0F7394788391079FC7F84', 'N-(1-苯乙基哌啶-4-基)-N-苯基异丁酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:42.020000', '2023-08-07 15:56:42.020000', '1', '1', '/', NULL, 1.00, 'N-(1-phenethylpiperidin-4-yl)-N-phenylisobutyramide', '1', '异丁酰芬太尼', '冷藏贮存', 'GASS-091', '瓶', NULL, 0.000000000000000000000000000000, '119618-70-1', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E215BAC1B87CF0348ED63561A32E3DA4', '容量瓶', 'Brand', '耗材', NULL, '普通耗材', '5ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '2', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E22B55FE1EC89FB01A469622FF7D2294', '封口膜', 'Bemis', '耗材', NULL, '普通耗材', '4IN.*125FT.ROLL，PM-996', '2023-08-07 15:30:31.288000', '2023-08-07 15:30:31.288000', '1', '1', '/', NULL, 1.00, '/', '100', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E2D91DFA2C817E35E9DCCD79DBD55637', '塑料离心管', 'n/a', '耗材', NULL, '普通耗材', '5ml，400支/袋', '2023-08-07 15:33:11.941000', '2023-08-07 15:33:11.941000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '袋', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E388F04926F2F731AA2C8F69C9A0783A', '氘代DMSO', 'CIL', '试剂', NULL, '普通试剂', '0.6mLx10,99.8%', '2023-08-07 15:37:34.080000', '2023-08-07 15:37:34.080000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('E3C3CC41C002D0E472D670A442FA819A', '2-(乙基氨基)-1-苯基丙-1-酮', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:44.798000', '2023-08-07 15:56:44.798000', '1', '1', '/', NULL, 1.00, '2-(ethylamino)-1-phenylpropan-1-one', '1', '乙卡西酮(盐酸盐)', '冷藏贮存', 'GASS-127', '瓶', NULL, 0.000000000000000000000000000000, '18259-37-5', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E43F52B0A0A8CBE7C49A6B6C7851805D', '石油醚', '利安隆博华', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-08-07 15:36:49.067000', '2023-08-07 15:36:49.067000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('E4A0B37AE6E950F5E992CE86B146D033', 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基) -1-戊基-1H-吲哚-3-甲酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:27.082000', '2023-08-07 15:56:27.082000', '1', '1', '/', NULL, 1.00, 'N-(1-amino-3,3-dimethyl-1-oxobutan-2-yl)-1-pentyl-1H-indole-3-carboxamide', '1', 'ADBICA', '冷藏贮存', 'GASS-046', '瓶', NULL, 0.000000000000000000000000000000, '1445583-48-1', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E4BD4B753267A68A5E80DCD96784D510', '2-(乙基氨基) -2-苯基环已烷-1-酮', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:50.310000', '2023-08-07 15:57:50.310000', '1', '1', '/', NULL, 1.00, '2-(ethylamino)-2-phenylcyclohexan-1-one', '1', '去氯乙基氯胺酮盐酸盐', '冷藏贮存', 'GASS-510', '瓶', NULL, 0.000000000000000000000000000000, '4551-92-2', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E53B993CAB95C141F1BC596A6C08F52E', '塑料离心管', 'n/a', '耗材', NULL, '普通耗材', '5ml，400支/袋', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '袋', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E561DE0E1AE356249FF5134E816D0248', '一次性蓝色丁腈手套', '柯沃', '耗材', NULL, '普通耗材', 'S', '2023-08-07 15:36:20.406000', '2023-08-07 15:36:20.406000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E5BC92FDCFFA9421ECAE9BE315D09BC2', '称量瓶', 'n/a', '耗材', NULL, '普通耗材', '25x25', '2023-08-07 15:34:19.363000', '2023-08-07 15:34:19.363000', '1', '1', '/', NULL, 1.00, '/', '20', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E63B3F00E2BF74520A54F16DECEE7F3D', '锥形瓶', '环球', '耗材', NULL, '普通耗材', '50ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '12', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E656B8FEEB216D5451763CB580655930', '1,3,5-三噁烷', 'Sigma-Aldrich', '试剂', NULL, '普通试剂', '≥99%', '2023-08-07 15:37:37.657000', '2023-08-07 15:37:37.657000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('E6611493FCB01177492609A45313672D', '带塞溶剂瓶', 'n/a', '耗材', NULL, '普通耗材', '250ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '10', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E66D708FEDB4F6A42EF5FB86C610DAFB', '2-(4-氯-2,5-二甲氧基苯基)-N-(2-甲氧基苄基)乙烷-1-胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:36.348000', '2023-08-07 15:57:36.348000', '1', '1', '/', NULL, 1.00, '2-(4-chloro-2,5-dimethoxyphenyl)-N-(2-methoxybenzyl)ethan-1-amine', '1', 'N-乙胺', '冷藏贮存', 'GASS-409', '瓶', NULL, 0.000000000000000000000000000000, '1227608-02-7', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E72AB4267DF408E6DC5AD95BC768FB9E', '枪头', 'Sartorius', '耗材', NULL, '普通耗材', '10ml，250个', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '盒', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E75356588FC63528CA41B6523E32563B', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)乙酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:13.998000', '2023-08-07 15:57:13.998000', '1', '1', '/', NULL, 1.00, 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)acetamide', '1', '对甲苯基乙酰基芬太尼', '冷藏贮存', 'GASS-365', '瓶', NULL, 0.000000000000000000000000000000, '90736-12-2', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E771D0043E0DB2F38C835AFB63C64379', '(1-(5-氟戊基)-1H-吲哚-3-羰基)苯丙氨酸甲酯', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:53.382000', '2023-08-07 15:56:53.382000', '1', '1', '/', NULL, 1.00, 'methyl(1-(5-fluoropentyl)-1H-indole-3-carbonyl)phenylalaninate', '1', '5F-MPP-PICA', '冷藏贮存', 'GASS-271', '瓶', NULL, 0.000000000000000000000000000000, '2682867-54-3', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E7746A9BF42E7EE5F9AB438A6A789419', '白色滴瓶', 'n/a', '耗材', NULL, '普通耗材', '60ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '10', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E79EFB15AF32D290C8D8147CE6BBF1AD', '隔垫', '岛津', '耗材', NULL, '普通耗材', '货号221-76650-01,25个/盒', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '盒', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E8C0A88DFBA043AA9E55C4B4CDEA56A4', '防冲击眼罩', '3M', '耗材', NULL, '普通耗材', '1621型', '2023-08-07 15:34:12.848000', '2023-08-07 15:34:12.848000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E8FF134E5B5B70F33EDAC9F56DB33979', '物证提取袋', 'n/a', '耗材', NULL, '普通耗材', '15*10cm', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '50', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E928A6A531739D32149C5153C1392191', '喹啉-8-基1-(5-氟戊基)-1H-吲哚-3-羧酸盐', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:22.369000', '2023-08-07 15:56:22.369000', '1', '1', '/', NULL, 1.00, 'quinolin-8-yl 1-(5-fluoropentyl)-1H-indole-3-carboxylate', '1', '5F-PB-22', '冷藏贮存', 'GASS-039', '瓶', NULL, 0.000000000000000000000000000000, '1400742-41-7', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E9599A672B8C39177D398EB0B68492E6', '(1-(环己基甲基)-1H-吲哚-3-羰基)缬氨酸甲酯', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:40.839000', '2023-08-07 15:56:40.839000', '1', '1', '/', NULL, 1.00, 'methyl(1-(cyclohexylmethyl)-1H-indole-3-carbonyl)valinate', '1', 'AMB-CHMICA', '冷藏贮存', 'GASS-079', '瓶', NULL, 0.000000000000000000000000000000, '1971007-94-9', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E9746B3269FE9F3B4ED6201837075699', 'L-缬氨酰胺盐酸盐', '阿拉丁', '试剂', NULL, '普通试剂', '98%，25g/瓶', '2023-08-07 15:37:58.592000', '2023-08-07 15:37:58.592000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, '3014-80-0', NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('E9E3C4DD9912649514E31FCF8EACEB05', '顶空瓶', '安捷伦', '耗材', NULL, '普通耗材', '10ml,5182-0838', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '盒', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('EA0F87FA63ADCB9853C4440DFE1C9D4A', '2-(二甲基氨基)-1-(对甲苯基)丙-1-酮', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:07.274000', '2023-08-07 15:57:07.274000', '1', '1', '/', NULL, 1.00, '2-(dimethylamino)-1-(p-tolyl)propan-1-one', '1', '4-CNB;N,N-DMC', '冷藏贮存', 'GASS-331', '瓶', NULL, 0.000000000000000000000000000000, '1448845-14-4', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('EA1828A829CD82CF9CB1E599A0ECDA10', 'O型圈', '岛津', '耗材', NULL, '普通耗材', '货号036-11203-84，5个/袋', '2023-08-07 15:30:41.180000', '2023-08-07 15:30:41.180000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '袋', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('EA2EBB6232BD7892B31365B20941282A', '梨形分液漏斗', 'Bomex', '耗材', NULL, '普通耗材', '60ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '2', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('EA772F4FA807E9F04AAF24DF4F75EB5F', '玻璃冻存管', 'n/a', '耗材', NULL, '普通耗材', '透明，5ml', '2023-08-07 15:32:51.703000', '2023-08-07 15:32:51.703000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('EAA96347BDF35452CA60EE1D0F0E181D', '2-(2-氟苯基-3,4,5,6-d4)-2-(甲氨基)环己烷-1-酮', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:40.760000', '2023-08-07 15:57:40.760000', '1', '1', '/', NULL, 1.00, '2-(2-fluorophenyl-3,4,5,6-d4)-2-(methylamino)cyclohexan-1-one', '1', 'D4-氟胺酮盐酸盐', '冷藏贮存', 'GASS-456', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('EB13E1DF593885F213266B18E1F89DCA', '点样毛细管', '垒固', '耗材', NULL, '普通耗材', '0.3x1000，1000支', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('EBEDE816B7429859B1CB3C066AFB4D0F', '白凡士林', '上海商习伟康', '试剂', NULL, '普通试剂', '500g/瓶', '2023-08-07 15:36:59.564000', '2023-08-07 15:36:59.564000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, '其他');
INSERT INTO `reagent_consumables` VALUES ('EBF047954979B77DE64CD9F418C0E866', '螺纹试剂瓶', '蜀牛', '耗材', NULL, '普通耗材', '80ml', '2023-08-07 15:34:27.217000', '2023-08-07 15:34:27.217000', '1', '1', '/', NULL, 1.00, '/', '20', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('ECBF93E0371BC42CD3AF8F6488475558', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基) 环丁酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:19.422000', '2023-08-07 15:57:19.422000', '1', '1', '/', NULL, 1.00, 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)cyclobutanecarboxamide', '1', '对甲苯基环丁甲酰基芬太尼', '冷藏贮存', 'GASS-374', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('ECFAE346B9FC674DE107C579D93ADC41', '容量瓶', 'Brand', '耗材', NULL, '普通耗材', '50ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '2', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('ED16A7F64E35AEC099084F5B6BAC55BC', '移液管架', 'n/a', '耗材', NULL, '普通耗材', 'n/a', '2023-08-07 15:36:30.842000', '2023-08-07 15:36:30.842000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('ED65CC93864401897A8C7897DBBB5FE2', '擦镜纸', 'KIMTECH', '耗材', NULL, '普通耗材', '11.0*21.3cm', '2023-08-07 15:32:57.344000', '2023-08-07 15:32:57.344000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('EE6386F97F3C2EDB188F4B2442BCF139', '移液枪', 'Sartorius', '耗材', NULL, '普通耗材', '0.1-3ul', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('EEFDFB60C61A65B659B9BF09DC92C7B7', '一次性塑料烧杯', 'n/a', '耗材', NULL, '普通耗材', '50ml', '2023-08-07 15:34:30.874000', '2023-08-07 15:34:30.874000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('EF4C6C13D202527FEFF066275392DF12', '1-(4-氰基丁基)-N-(2-苯基丙-2-基)-1H-吲唑-3-甲酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:52.114000', '2023-08-07 15:56:52.114000', '1', '1', '/', NULL, 1.00, '1-(4-cyanobutyl)-N-(2-phenylpropan-2-yl)-1H-indazole-3-carboxamide', '1', '4CN-CUMYL-BUTINACA', '冷藏贮存', 'GASS-265', '瓶', NULL, 0.000000000000000000000000000000, '1631074-54-8', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('EF81725022A56229F6EA219A2BA8EF60', '2-(1-(4-氟苄基)-1H-吲哚-3-甲酰胺-4,5,6,7-d4)-3,3.二甲基丁酸甲酯', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:42.647000', '2023-08-07 15:57:42.647000', '1', '1', '/', NULL, 1.00, 'methyl 2-(1-(4-fluorobenzyl)-1H-indole-3-carboxamido-4,5,6,7-d4)-3,3-dimethylbutanoate', '1', 'D4-MDMB-FUBICA', '冷藏贮存', 'GASS-464', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('EF8CED4F364BDAE2D21F7EDCC36E6427', '手术剪', '安其生', '耗材', NULL, '普通耗材', '12.5cm弯尖', '2023-08-07 15:32:58.534000', '2023-08-07 15:32:58.534000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '把', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('F043DEC7DAE66BA8B5BCA619F99064A5', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)庚酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:14.707000', '2023-08-07 15:57:14.707000', '1', '1', '/', NULL, 1.00, 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)heptanamide', '1', '对甲苯基庚酰基芬太尼', '冷藏贮存', 'GASS-366', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('F0607FE67D8B461FFBF35F91C2AB94B6', '红色胶帽', '金利', '耗材', NULL, '普通耗材', 'n/a', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('F0FE80BD7888F0A995FC90DDA23566AB', '1-(4-甲氧基苯基)丙-2-胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:44.024000', '2023-08-07 15:57:44.024000', '1', '1', '/', NULL, 1.00, '1-(4-methoxyphenyl)propan-2-amine', '1', 'PMA盐酸盐', '冷藏贮存', 'GASS-467', '瓶', NULL, 0.000000000000000000000000000000, '3706-26-1', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('F135FAAD06A9832BFCFCD17A32853E6B', '物证封装袋', 'n/a', '耗材', NULL, '普通耗材', '43*31cm', '2023-08-07 15:30:30.718000', '2023-08-07 15:30:30.718000', '1', '1', '/', NULL, 1.00, '/', '100', '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('F16A0A56E41B57F1FA00893525F037D8', '移液枪', 'Sartorius', '耗材', NULL, '普通耗材', '0.1-3ul', '2023-08-07 15:32:55.381000', '2023-08-07 15:32:55.381000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('F1E6384E3A981BB4BA55EA276C7B3503', '连盖离心管', 'CYPRESS', '耗材', NULL, '普通耗材', '5ml，300支/袋', '2023-08-07 15:33:13.794000', '2023-08-07 15:33:13.794000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('F21DCA0AB2615586CE73504A97FE8E34', '容量瓶', 'Bomex', '耗材', NULL, '普通耗材', '250ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('F2394477AA5FC846D335C0EDEDFD6160', '牛皮纸物证袋', 'n/a', '耗材', NULL, '普通耗材', '16.5*9.8cm', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '10', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('F25D948812BF489FB07CE350B518E5DB', '2,2,2-三氯-N-(1-苯乙基哌啶-4-基) -N-(对甲苯基) 乙酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:20.748000', '2023-08-07 15:57:20.748000', '1', '1', '/', NULL, 1.00, '2,2,2-trichloro-N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)acetamide', '1', '对甲苯基三氯乙酰基芬太尼', '冷藏贮存', 'GASS-376', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('F323ADD0644D620B3109DA3F620D7B31', '物证封装袋', 'n/a', '耗材', NULL, '普通耗材', '43*31cm', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '100', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('F49744866B077CA124437741BB0B80FE', 'N-(1-苯乙基哌啶-4-基)-N-(苯基-d5)丙酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:49.455000', '2023-08-07 15:57:49.455000', '1', '1', '/', NULL, 1.00, 'N-(1-phenethylpiperidin-4-yl)-N-(phenyl-d5)propionamide', '1', 'D5-芬太尼', '冷藏贮存', 'GASS-509', '瓶', NULL, 0.000000000000000000000000000000, '118357-29-2', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('F4A4D81D1FDA3EBDA45747CC9D47BF38', '圆底烧瓶', '申迪', '耗材', NULL, '普通耗材', '500ml', '2023-08-07 15:34:14.944000', '2023-08-07 15:34:14.944000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('F4FDEA8D4B58692F145C72C69097E9C5', 'Hypersil GOLD VANQUISH', '赛默飞', '耗材', NULL, '色谱柱', '100*2.1um', '2023-08-07 15:30:35.191000', '2023-08-07 15:30:35.191000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('F4FF372995387DB2285949022E13248E', '容量瓶', 'Brand', '耗材', NULL, '普通耗材', '10ml', '2023-08-07 15:33:25.006000', '2023-08-07 15:33:25.006000', '1', '1', '/', NULL, 1.00, '/', '2', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('F6075C5465F08741B67B9BEF24E06FFE', '(1-(5-氟戊基)-1H-吲唑-3-羰基)缬氨酸甲酯', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:20.891000', '2023-08-07 15:56:20.891000', '1', '1', '/', NULL, 1.00, 'methyl (1-(5-fluoropentyl)-1H-indazole-3-carbonyl)valinate', '1', '5F-AMB', '冷藏贮存', 'GASS-037', '瓶', NULL, 0.000000000000000000000000000000, '1715016-74-2', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('F68F485D766F3EF2C0FD5E50F027EBB6', '2-(1-丁基-1H-吲唑-3-甲酰胺) -3,3-二甲基丁酸', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:45.210000', '2023-08-07 15:57:45.210000', '1', '1', '/', NULL, 1.00, '2-(1-butyl-1H-indazole-3-carboxamido)-3,3-dimethylbutanoic acid', '1', 'ADB-BUTINACA代谢物', '冷藏贮存', 'GASS-502', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('F70814714C20862420EB2954D5556250', '保鲜自封袋8号', '苹果', '耗材', NULL, '普通耗材', '240x170mm', '2023-08-07 15:30:21.926000', '2023-08-07 15:30:21.926000', '1', '1', '/', NULL, 1.00, '/', '100', '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('F75240D323A92ED7EABEFB17C49AACCC', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)环戊酰胺', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:24.515000', '2023-08-07 15:57:24.515000', '1', '1', '/', NULL, 1.00, 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)cyclopentanecarboxamide', '1', '对氟苯基环戊甲酰基芬太尼', '冷藏贮存', 'GASS-382', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('F83B62E78CA0A47C02A4F47AC4744924', '枪头', 'Brand', '耗材', NULL, '普通耗材', '5ml，200支/包', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '包', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('F90E8EC819B068BCF944A27E4CB33B39', '温度计', 'MC', '耗材', NULL, '普通耗材', '200ml', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '个', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('F9E5A76C5D34E25E488FCC2B34A247C7', '乙醇', '利安隆博华', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-08-07 15:36:53.096000', '2023-08-07 15:36:53.096000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('F9EA9FE6D54CC49D9C11B20809E4CBE9', '1-苯基-2-(吡咯烷-1-基)丙-1-酮', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:57:11.065000', '2023-08-07 15:57:11.065000', '1', '1', '/', NULL, 1.00, '1-phenyl-2-(pyrrolidin-1-yl)propan-1-one', '1', 'PPP盐酸盐', '冷藏贮存', 'GASS-337', '瓶', NULL, 0.000000000000000000000000000000, '92040-10-3', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('FC804628C6F60382F1CDD5ABF9FE13C3', '2-(1-(5-氟戊基)-1H-吲唑-3-甲酰胺)-3,3-二甲基丁酸甲酯', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:40.111000', '2023-08-07 15:56:40.111000', '1', '1', '/', NULL, 1.00, 'methyl 2-(1-(5-fluoropentyl)-1H-indazole-3-carboxamido)-3,3-dimethylbutanoate', '1', '5F-ADB', '冷藏贮存', 'GASS-078', '瓶', NULL, 0.000000000000000000000000000000, '1715016-75-3', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('FD3EA168479AAB7DA5A16CA597EC3D1F', '瓶口分液器', 'sartorius', '耗材', NULL, '普通耗材', '0.2ml-1ml', '2023-08-07 15:33:15.920000', '2023-08-07 15:33:15.920000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('FE0095EAE5AB73FD244CC06416E507D6', '密封垫', '岛津', '耗材', NULL, '普通耗材', '货号221-48972-91，20个/盒', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '盒', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('FE2CF03A49699073EC66E9ABDD539029', 'ACQUITY UPLC BEH C18                    ', 'Waters', '耗材', NULL, '色谱柱', '2.1*100mm,1.7um', '2023-08-07 15:30:35.677000', '2023-08-07 15:30:35.677000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('FF485C5DF896C3A41DDA91F71EE51BE0', '2-(甲氨基)-1-(对甲苯基)丙-1-酮', NULL, '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-08-07 15:56:46.018000', '2023-08-07 15:56:46.018000', '1', '1', '/', NULL, 1.00, '2-(methylamino)-1-(p-tolyl)propan-1-one', '1', '4-甲基甲卡西酮(盐酸盐)', '冷藏贮存', 'GASS-164', '瓶', NULL, 0.000000000000000000000000000000, '1189726-22-4', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('FFBC2B16FF1D546DEE5ED4CD09BC74AD', 'DB-5', '安捷伦', '耗材', NULL, '普通耗材', '30m*0.25mm*0.25um，122-5032', '2023-08-10 11:32:32.000000', '2023-08-10 11:32:32.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '/', NULL, 1.00, '/', '1', '/', '常规贮存', '/', '根', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);

-- ----------------------------
-- Table structure for reagent_consumables_set
-- ----------------------------
DROP TABLE IF EXISTS `reagent_consumables_set`;
CREATE TABLE `reagent_consumables_set`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `quantity` int(11) NULL DEFAULT NULL COMMENT '(数量)',
  `reagent_consumable_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '规格型号',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `purpose` int(6) NULL DEFAULT NULL COMMENT '用途 ：0 案件 1 科研',
  `batch_details_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '批次ID',
  `application_for_use_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '领用申请表ID',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质ID',
  `quantity_delivered` int(255) NULL DEFAULT NULL COMMENT '实际领用数量',
  `outgoing_content_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '出库明细ID',
  `reagent_consumable_stash_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材集合)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of reagent_consumables_set
-- ----------------------------
INSERT INTO `reagent_consumables_set` VALUES ('0787F6C9A09F2396F1FB2C1C0B768AA1', 1, '93B3738CD511C4D4CC5B99C3C4734FCF', '2023-08-07 16:36:29.000000', '2023-08-07 16:58:28.000000', 'd26046736c8c7bf2dd9ac996081d7715', 'c4a61eae81712e03f58a1922f8be27de', '1mg/ml,1ml', NULL, 0, 'AD8F37000D7CDF01B69A8D29B322407C', '41C6C13050E16BDD9EF234DF796C44C6', '061E8E372BC500DB13FFB8E3264AADB2', 1, NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES ('A5B67C44D2D41D1D171D4543318AD6A0', 1, '5DDBFE5597C43CB16ED13AFA749C8449', '2023-08-07 16:36:29.000000', '2023-08-07 16:58:28.000000', 'd26046736c8c7bf2dd9ac996081d7715', 'c4a61eae81712e03f58a1922f8be27de', '1mg/ml,1ml', NULL, 0, 'BD71E3890C0C9C5BE92ABA640E65EF19', '41C6C13050E16BDD9EF234DF796C44C6', '0517660CA04B665259F16D849CB3C23E', 1, NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES ('AAB5B149806CE1CDADD7A137B6C2AB97', 1, 'A30D66508E87197B71D8F1AF899213DC', '2023-08-07 16:36:29.000000', '2023-08-07 16:58:27.000000', 'd26046736c8c7bf2dd9ac996081d7715', 'c4a61eae81712e03f58a1922f8be27de', '1mg/ml,1ml', NULL, 0, 'F4E27DFFE086DBF7468A774766754D6A', '41C6C13050E16BDD9EF234DF796C44C6', '001B7205D76A8A08D925A27C4C72BF16', 1, NULL, NULL);

-- ----------------------------
-- Table structure for reference_material
-- ----------------------------
DROP TABLE IF EXISTS `reference_material`;
CREATE TABLE `reference_material`  (
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '类ID',
  `batch_details_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '批次ID',
  `create_time` datetime(6) NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `status` int(11) NULL DEFAULT NULL COMMENT '状态 0为可以使用，-1为停用,-2为降级使用、-3 已被领用,-4 使用完毕,报废',
  `reagent_consumable_inventory_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '库存类ID',
  `lattice_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '格子ID',
  `location` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '位置信息',
  `custodian_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '管理员名称',
  `box_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '柜子ID',
  `code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '物品编码',
  `fixed_result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '定值结果',
  `service_status` int(6) NULL DEFAULT NULL COMMENT '使用状态 0 正常使用、-2降级使用',
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of reference_material
-- ----------------------------
INSERT INTO `reference_material` VALUES ('001B7205D76A8A08D925A27C4C72BF16', 'MDMB-FUBINACA-2023-7-1', 'A30D66508E87197B71D8F1AF899213DC', 'F4E27DFFE086DBF7468A774766754D6A', '2023-08-07 15:56:35.000000', '2023-08-07 16:58:28.000000', '1', 'c4a61eae81712e03f58a1922f8be27de', -3, '18AB697E0F8DB975FF4C6509543B4904', 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'MDMB-FUBINACA-2023-7-1', NULL, NULL, '2-(1-(4-氟苄基)-1H-吲唑-3-甲酰胺)-3,3-二甲基丁酸甲酯');
INSERT INTO `reference_material` VALUES ('0517660CA04B665259F16D849CB3C23E', 'D4-氯胺酮盐酸盐-2023-7-1', '5DDBFE5597C43CB16ED13AFA749C8449', 'BD71E3890C0C9C5BE92ABA640E65EF19', '2023-08-07 15:57:41.000000', '2023-08-07 16:58:28.000000', '1', 'c4a61eae81712e03f58a1922f8be27de', -3, '50A74CC26B0DC5C0C0025C54314363C0', 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'D4-氯胺酮盐酸盐-2023-7-1', NULL, NULL, '2-(2-氯苯基-3,4,5,6-d4) -2-(甲氨基) 环己烷-1-酮');
INSERT INTO `reference_material` VALUES ('061E8E372BC500DB13FFB8E3264AADB2', 'A-834,735-2023-7-1', '93B3738CD511C4D4CC5B99C3C4734FCF', 'AD8F37000D7CDF01B69A8D29B322407C', '2023-08-07 15:56:24.000000', '2023-08-07 16:58:28.000000', '1', 'c4a61eae81712e03f58a1922f8be27de', -3, '198E86E88F34CFD8AD8F040346773E65', 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'A-834,735-2023-7-1', NULL, NULL, '(1-((四氢-2H-吡喃-4-基)甲基)-1H-吲哚-3-基)(2,2,3,3-四甲基环丙基)甲酮');
INSERT INTO `reference_material` VALUES ('065D7AE3511AB8510CEEFB5B22E1133E', 'PX-2-2023-7-1', '7EA4C1F02590BBB79F865401780338C9', '2F0EBBCE5E40355E2F1F4E906118CF3A', '2023-08-07 15:56:36.659000', '2023-08-07 15:56:36.659000', '1', '1', 0, 'CAC4288AB5DCF391F97E86BD596B2F7A', 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'PX-2-2023-7-1', NULL, NULL, 'N-(1-氨基-1-氧代-3-苯基内-2-基)-1-(5-氟戊基)-1H-吲唑-3-甲酰胺');
INSERT INTO `reference_material` VALUES ('06672ADC6D1D7704F8CE0C7B2E27A24D', '对氯-N,N-二乙基卡西酮盐酸盐-2023-7-1', 'AC06910B2390E925302D14F5032BD9C1', 'E7D771696AC54F153AFE589B750632D3', '2023-08-07 15:57:31.889000', '2023-08-07 15:57:31.889000', '1', '1', 0, 'F07B2F6EBECB10163CE1C1490AEE43D1', '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', '对氯-N,N-二乙基卡西酮盐酸盐-2023-7-1', NULL, NULL, '1-(4-氯苯基)-2-(二乙基氨基)丙-1-酮');
INSERT INTO `reference_material` VALUES ('080327FA67E817FFD479303B2FF4B0F0', 'D4-5F-MDMB-PICA-2023-7-1', 'C5956C2B4AA4211F1803DDDC1F01C29F', '2109274B4EAE477B01CEBB7B37FF4D25', '2023-08-07 15:57:43.394000', '2023-08-07 15:57:43.394000', '1', '1', 0, '06E21C9F43EC36C7B76E2BFED782F6BA', 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'D4-5F-MDMB-PICA-2023-7-1', NULL, NULL, '2-(1-(5-氟戊基)-1H-吲哚-3-甲酰胺-4,5,6,7-d4)-3,3-二甲基丁酸甲酯');
INSERT INTO `reference_material` VALUES ('0E5D9A524D4812B81C55EE3F266A4079', 'APICA-2023-7-1', '5B26611EE22809F1BE2B86C544667972', '7C9F20E1454696E9AEE9D6DF0D0B1283', '2023-08-07 15:56:29.417000', '2023-08-07 15:56:29.417000', '1', '1', 0, '7223CB915C2C025FCE968C9C46ACED2D', 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'APICA-2023-7-1', NULL, NULL, 'N-(金刚烷-1-基)-1-戊基-1H-吲哚-3-甲酰胺');
INSERT INTO `reference_material` VALUES ('0F9A2A008996943AE1041D65CEE5B602', '苯基环戊丙酰基芬太尼-2023-7-1', '58D577E957141BC4F502285116C6139A', '94FCBAADA2F0274DF47E140F1ACF51DD', '2023-08-07 15:57:29.823000', '2023-08-07 15:57:29.823000', '1', '1', 0, '4B0ED03A7BAB3C04098E7FEB5130FE61', '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', '苯基环戊丙酰基芬太尼-2023-7-1', NULL, NULL, '3-环戊基-N-(1-苯乙基哌啶-4-基)-N-苯基丙酰胺');
INSERT INTO `reference_material` VALUES ('0FE535D397D5078CAE7D559000535252', 'ADB-BUTINACA-2023-7-1', '9396F543C77820618010FA65A5F01361', '54D09037B955FE87B0A95EF531738F53', '2023-08-07 15:56:56.792000', '2023-08-07 15:56:56.792000', '1', '1', 0, '6B311D2A51F2D6A4E36B49FC89201B0A', 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'ADB-BUTINACA-2023-7-1', NULL, NULL, 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基)-1-丁基-1H-吲唑-3-甲酰胺');
INSERT INTO `reference_material` VALUES ('126D35C9DA336698B9DE3A95C247171B', '5F-EDMB-PICA-2023-7-1', '14F5942E8362EAA99DDED5E2E5E9D56B', '5EBCC82BE4EC4C436380F06ECFC04968', '2023-08-07 15:56:57.454000', '2023-08-07 15:56:57.454000', '1', '1', 0, '899D734EEFD9D0D03CB8B54B01B4EE67', 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', '5F-EDMB-PICA-2023-7-1', NULL, NULL, '2-(1-(5-氟戊基)-1H-吲哚-3-甲酰胺)-3,3-二甲基丁酸乙酯');
INSERT INTO `reference_material` VALUES ('15671D7BD79CE63A296E4357066CAD68', '5F-ADBICA-2023-7-1', '5DB5491C5E2CB07E77190BD98DF27667', '3F97D4B9864263182433F0E8FFC595C9', '2023-08-07 15:56:20.357000', '2023-08-07 15:56:20.357000', '1', '1', 0, '24B7715CDC080DA0FD2EAC24D7109D31', 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', '5F-ADBICA-2023-7-1', NULL, NULL, 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基)-1-(5-氟戊基-1H-吲哚-3-甲酰胺');
INSERT INTO `reference_material` VALUES ('158E8B789624FBDB163C17C54F6C1CDA', 'FUB-JWH-018-2023-7-1', '447D05CA4302722D8860C978CDE2D23D', '6E9FD4A4CF351535C212772F7A193586', '2023-08-07 15:56:31.514000', '2023-08-07 15:56:31.514000', '1', '1', 0, 'DCAE1F7C76C94101C24CF97F1EC7C757', 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'FUB-JWH-018-2023-7-1', NULL, NULL, '(1-(4-氟苄基)-1H-吲哚-3-基)(萘-1-基)甲酮');
INSERT INTO `reference_material` VALUES ('159197069624B868B71535BE6B6D77FD', 'PB-22-2023-7-1', '34147522DFD90B0579F2A97EBA0FDD76', '14DABA0A50C6B7EDBC7BCEFDF06C8405', '2023-08-07 15:56:35.847000', '2023-08-07 15:56:35.847000', '1', '1', 0, 'FFE1D9FF0C8A57732D27FE0386BD0DF5', 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'PB-22-2023-7-1', NULL, NULL, '喹啉-8-基-1-戊基-1H-吲哚-3-羧酸盐');
INSERT INTO `reference_material` VALUES ('15FCCCE5CB88245073E2F6B9B441CDFD', 'FUB-APINACA-2023-7-1', '7D5B5A8D49B6658390DB107F299BC0D8', '495316FF971E4FC1C4A383DBDBC69919', '2023-08-07 15:56:38.699000', '2023-08-07 15:56:38.699000', '1', '1', 0, '74B50958C67CC0FFDF106C9DDB5D18D4', 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'FUB-APINACA-2023-7-1', NULL, NULL, 'N-(金刚烷-1-基)-1-(4-氟苄基)-1H-吲唑-3-甲酰胺');
INSERT INTO `reference_material` VALUES ('16685A85BABCA98E3F874969EB5FB208', '去氯氯胺酮盐酸盐-2023-7-1', '6E56E841A7232E021C913960935BC5DD', 'D2E981386D0F108E7B7A0547CC6D7755', '2023-08-07 15:57:33.398000', '2023-08-07 15:57:33.398000', '1', '1', 0, '9EC6259276D455B8FAB3A87CD144F489', '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', '去氯氯胺酮盐酸盐-2023-7-1', NULL, NULL, '2-(甲氨基)-2-苯基环已烷-1-酮');
INSERT INTO `reference_material` VALUES ('16F8BE2838D24F35D6E23A039D5364B5', 'EDDP(高氯酸盐)-2023-7-1', '848C6CC81BE754FFE823F7041D2A2D3E', 'AAF92281721CD064824A4964442C664E', '2023-08-07 15:57:03.107000', '2023-08-07 15:57:03.107000', '1', '1', 0, 'EB5AE2245EFC5B0821537F79445DA77D', '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'EDDP(高氯酸盐)-2023-7-1', NULL, NULL, '5-乙基-1,2-二甲基-4,4-二苯基-3,4-二氢-2H-吡咯-1-鎓');
INSERT INTO `reference_material` VALUES ('198BCC532A17527CD01232FB235DC958', '安非拉酮盐酸盐-2023-7-1', '15CDC53B9DAAFF18CC4126301C8DF93C', '51083000EAB6D55573F4DD2CA3990F34', '2023-08-07 15:57:06.776000', '2023-08-07 15:57:06.776000', '1', '1', 0, '7707BDC9A4A766A3C22CB498C95C368D', '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', '安非拉酮盐酸盐-2023-7-1', NULL, NULL, '2-(二乙基氨基)-1-苯基丙-1-酮');
INSERT INTO `reference_material` VALUES ('1AB49D51D1367AC8AC3E44C60B4277EC', 'AMB-CHMICA-2023-7-1', 'E9599A672B8C39177D398EB0B68492E6', '7E6FC577464A14DBA95B5072368F222C', '2023-08-07 15:56:40.961000', '2023-08-07 15:56:40.961000', '1', '1', 0, '84BBD6F82D391A8ADD6A35338E3887CF', 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'AMB-CHMICA-2023-7-1', NULL, NULL, '(1-(环己基甲基)-1H-吲哚-3-羰基)缬氨酸甲酯');
INSERT INTO `reference_material` VALUES ('1CDD19450485688CCE46ACB2C775C34D', '布桂嗪-2023-7-1', '73F2F99975EEF2DD1B5F97742B36065F', '7028B6C753D834E5EAACFC029514E1D1', '2023-08-07 15:57:36.984000', '2023-08-07 15:57:36.984000', '1', '1', 0, '3E8FDD461EBA806650E74516F3ADC8B8', 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', '布桂嗪-2023-7-1', NULL, NULL, '1-(4-肉桂酰哌嗪-1-基)丁-1-酮');
INSERT INTO `reference_material` VALUES ('2293DD16A59EFD0B8905D0920F6AC5E0', '3,4-亚甲二氧基甲卡西酮(盐酸盐)-2023-7-1', '058EC45A42A937E13127239C4247E4F6', '8ECC9D87F0E44358A0ABAF3DC08766D1', '2023-08-07 15:56:46.814000', '2023-08-07 15:56:46.814000', '1', '1', 0, 'F453B5FFA94EBF8EB09B6DD3ED40F780', 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', '3,4-亚甲二氧基甲卡西酮(盐酸盐)-2023-7-1', NULL, NULL, '1-(苯并[d][1,3]二羟基-5-基)-2-(甲氨基)丙-1-酮');
INSERT INTO `reference_material` VALUES ('234586298B544A0F685676F27C12AD5A', 'D4-MDMB-4en-PINACA-2023-7-1', '77F9F9FDDE7B014029E13F6D52CD1C85', 'B27D09172BC8360624E8A061250CDEE4', '2023-08-07 15:57:46.919000', '2023-08-07 15:57:46.919000', '1', '1', 0, 'ED4F4EA2EEE6DDF99CA83EC34F301C89', 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'D4-MDMB-4en-PINACA-2023-7-1', NULL, NULL, '3,3-二甲基-2-(1-(戊-4-烯-1-基)-1H-吲唑-3-甲酰胺-4,5,6,7-d4)丁酸甲酯');
INSERT INTO `reference_material` VALUES ('2653B69AAE28D519A865AF0B051D21CE', '邻氟苯基氯乙酰基芬太尼-2023-7-1', '13BA73ADF6EA3B4AD82721C0B458A17E', 'C75C0E6F1F20A509D8D6B13BE26238F3', '2023-08-07 15:57:27.981000', '2023-08-07 15:57:27.981000', '1', '1', 0, '91A4F2DD9B5C662C863E88C1C6E5B778', '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', '邻氟苯基氯乙酰基芬太尼-2023-7-1', NULL, NULL, '2-氯-N-(2-氟苯基) N-(1-苯乙基哌啶-4-基) 乙酰胺');
INSERT INTO `reference_material` VALUES ('297D20AA58224E6CBD99F59C27D042D4', '对甲苯基异丁酰基芬太尼-2023-7-1', 'B8DEB57BB4E7E553B23E0384ED779FC4', 'CE2C0893C31E4259E94D285CE36C0631', '2023-08-07 15:57:15.367000', '2023-08-07 15:57:15.367000', '1', '1', 0, 'C023C288148BE0A3CA6EE365F553A9F7', '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', '对甲苯基异丁酰基芬太尼-2023-7-1', NULL, NULL, 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)丁酰胺');
INSERT INTO `reference_material` VALUES ('2AFB0DD08C7E150C899F3A7845602A6F', 'MDMB-CHMICA-2023-7-1', '1A2AC0B294AD15545243F05ABD339F66', '1E05BC6417C4F8B999F07C133B7517FD', '2023-08-07 15:56:34.307000', '2023-08-07 15:56:34.307000', '1', '1', 0, '8F6235A75414AAE2FF21693656141468', 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'MDMB-CHMICA-2023-7-1', NULL, NULL, '2-(1-(环己基甲基)-1H-吲哚-3-甲酰胺)-3,3-二甲基丁酸甲酯');
INSERT INTO `reference_material` VALUES ('2B7E762F18131275D7F169269A14943D', '去甲氟胺酮盐酸盐-2023-7-1', '75FC7493802DA6090CE0C7D55BED036D', '143B312935CF5AD443E1B58A4C0418F1', '2023-08-07 15:57:34.070000', '2023-08-07 15:57:34.070000', '1', '1', 0, '078388701B1CDC4B584476E9C498AD15', 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', '去甲氟胺酮盐酸盐-2023-7-1', NULL, NULL, '2-氨基-2-(2-氟苯基)环已烷-1-酮');
INSERT INTO `reference_material` VALUES ('2D7B6400B2ECF8A82B879B3A1E4B1919', 'N-乙基-间氯-乙卡西酮盐酸盐-2023-7-1', '81481E96179F53AE3A7F7A1F3A9D6A68', 'EB5A9F406B026B9D29006AA096BAEBE4', '2023-08-07 15:57:09.996000', '2023-08-07 15:57:09.996000', '1', '1', 0, '203AB6180D7F4DC96EA1AD7507092166', '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'N-乙基-间氯-乙卡西酮盐酸盐-2023-7-1', NULL, NULL, '1-(3-氯苯基)-2-(二乙基氨基)丙-1-酮');
INSERT INTO `reference_material` VALUES ('2F4DF063D8F28B0598A468A31D91F519', 'DoC-2023-7-1', '618E43444D316057BE919362FF5EABB4', '8E379C99B1047A46A60A7508A6EF92C4', '2023-08-07 15:56:16.894000', '2023-08-07 15:56:16.894000', '1', '1', 0, 'D5C8A0F5C1FE7DC02A69D8CBAA8E3DA9', 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'DoC-2023-7-1', NULL, NULL, '1-(4-氯-2,5-二甲氧基苯基)丙-2-胺');
INSERT INTO `reference_material` VALUES ('2F6C4DAAE8667E5D128522131655EDA2', '对甲苯基环戊丙酰基芬太尼-2023-7-1', '97A8D4020AF716518341C0F9180EE297', '19607861EDB5DE5E79136376B5F0AABD', '2023-08-07 15:57:16.063000', '2023-08-07 15:57:16.063000', '1', '1', 0, 'E4114BB792D660092286B70C4D164F37', '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', '对甲苯基环戊丙酰基芬太尼-2023-7-1', NULL, NULL, '3-环戊基-N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)丙酰胺');
INSERT INTO `reference_material` VALUES ('3023959A5C96277CB3B769DA19A9EEAD', '去甲氯胺酮盐酸盐-2023-7-1', 'C7DA99EF4ACDF57E33DF36C2235AF83C', 'BBA1E83DD9CADA6D093AD45F0B71A506', '2023-08-07 15:57:13.442000', '2023-08-07 15:57:13.442000', '1', '1', 0, '2DAAA0DFE89A1ECEF3ADF97DED7DFDA9', '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', '去甲氯胺酮盐酸盐-2023-7-1', NULL, NULL, '2-氨基-2-(2-氯苯基) 环已烷-1-酮');
INSERT INTO `reference_material` VALUES ('31401DC9418E1031A597AD14C954AAE0', '对氟苯基环戊甲酰基芬太尼-2023-7-1', 'F75240D323A92ED7EABEFB17C49AACCC', 'E0B049292BDBF38B7555ACF43F3BC64B', '2023-08-07 15:57:24.672000', '2023-08-07 15:57:24.672000', '1', '1', 0, '9563C954759FD53CEA6E9A052155EF45', '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', '对氟苯基环戊甲酰基芬太尼-2023-7-1', NULL, NULL, 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)环戊酰胺');
INSERT INTO `reference_material` VALUES ('33172046E91DBB39358BB832F2213388', '呋喃芬太尼-2023-7-1', 'C87A6D17F7BA87713673518034100249', '182DAABD9DC2BDB9241562B5FBC0BF89', '2023-08-07 15:56:42.851000', '2023-08-07 15:56:42.851000', '1', '1', 0, '6CDCBA60F535BE6176C421442ADFE589', 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', '呋喃芬太尼-2023-7-1', NULL, NULL, 'N-(1-苯乙基哌啶-4-基)-N-苯基呋喃-2-甲酰胺');
INSERT INTO `reference_material` VALUES ('3377B83B1E9F4964CD19DB136596AB06', 'N-甲基-间氯-甲卡西酮盐酸盐-2023-7-1', '82EDE74335EFF690616BDF191CA529C2', 'E09C6256250A4ACF6E9D670B4139CCA7', '2023-08-07 15:57:09.317000', '2023-08-07 15:57:09.317000', '1', '1', 0, 'B3B02DB5F7D32541E0BC64998313BB28', '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'N-甲基-间氯-甲卡西酮盐酸盐-2023-7-1', NULL, NULL, '1-(3-氯苯基)-2-(二甲基氨基)丙-1-酮');
INSERT INTO `reference_material` VALUES ('33B3CBAC303253358007828C9683486E', 'D4-氟胺酮盐酸盐-2023-7-1', 'EAA96347BDF35452CA60EE1D0F0E181D', '41154CAF10460D73088A748383DCAAEA', '2023-08-07 15:57:40.900000', '2023-08-07 15:57:40.900000', '1', '1', 0, 'F941D68E342E84AB50B8C2C8C5EE9269', 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'D4-氟胺酮盐酸盐-2023-7-1', NULL, NULL, '2-(2-氟苯基-3,4,5,6-d4)-2-(甲氨基)环己烷-1-酮');
INSERT INTO `reference_material` VALUES ('33C036710C7A46E2CEBA347C461CCAA0', '5F-AMB-PICA-2023-7-1', 'A7FE683CAB26AD84E7736B9C31764CC6', '7AFC1AEC8FB707B82E843D075005F39A', '2023-08-07 15:56:51.652000', '2023-08-07 15:56:51.652000', '1', '1', 0, '76EEC9D73AB357084EC104E62BD92D4A', 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', '5F-AMB-PICA-2023-7-1', NULL, NULL, '(1-(5-氟戊基)-1H-吲哚-3-羰基)缬氨酸甲酯');
INSERT INTO `reference_material` VALUES ('34C55ABC1B5ABC82491BBA97D2652831', 'AB-PINACA-2023-7-1', '2C18ACB96AB51A52715C2ADE1C81C222', '9C6DAA7C6700CA9AAE532E6FD7DC6DAE', '2023-08-07 15:56:26.483000', '2023-08-07 15:56:26.483000', '1', '1', 0, '5AFD18F1A777C35598D6FAB9FBECDBD6', 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'AB-PINACA-2023-7-1', NULL, NULL, 'N-(1-氨基-3-甲基-1-氧代丁-2-基) -1-戊基-1H-吲唑-3-甲酰胺');
INSERT INTO `reference_material` VALUES ('3723E8C90318BDC37B7768EDEAB07417', '4-氟异丁酰芬太尼-2023-7-1', '14F91800B812C3D971091669D5F54B6D', '0BD33D9D9DFE63DB7C8F5A34EE709073', '2023-08-07 15:56:43.548000', '2023-08-07 15:56:43.548000', '1', '1', 0, '16A3C2DF2D33F489C7AE17DFC149AF1A', 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', '4-氟异丁酰芬太尼-2023-7-1', NULL, NULL, 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)异丁酰胺');
INSERT INTO `reference_material` VALUES ('373697FE21D8509A147BA445E6A93887', '艾司唑仑-2023-7-1', '067C961381167C96616836F148EF42FA', '4184964508663269DD4DA4AFA772F98A', '2023-08-07 15:57:37.664000', '2023-08-07 15:57:37.664000', '1', '1', 0, '9D726356F51E1997FA8BE77D6B472F19', 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', '艾司唑仑-2023-7-1', NULL, NULL, '8-氯-6-苯基-4H-苯并[f[1,2,4]三唑并[4,3-a][1,4]二氮卓');
INSERT INTO `reference_material` VALUES ('3A08DFAAD9D011D7C361CB63C984995B', 'D5-芬太尼-2023-7-1', 'F49744866B077CA124437741BB0B80FE', '03FA086F2A5529092F3DA5D3C8DE05B7', '2023-08-07 15:57:49.652000', '2023-08-07 15:57:49.652000', '1', '1', 0, 'F8949778BF4D14F3571B5D4C7987DC1A', 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'D5-芬太尼-2023-7-1', NULL, NULL, 'N-(1-苯乙基哌啶-4-基)-N-(苯基-d5)丙酰胺');
INSERT INTO `reference_material` VALUES ('3C2D8382122347D106C60F023A6BAC1A', 'D4-PMMA盐酸盐-2023-7-1', '3AF505D7CCA62A27A13EA6B59E06DABB', '441A610A01F382C71BAB5D75A3C70AC2', '2023-08-07 15:57:38.981000', '2023-08-07 15:57:38.981000', '1', '1', 0, 'D56DE7E239797507B62FD271C85A0992', 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'D4-PMMA盐酸盐-2023-7-1', NULL, NULL, '1-(4-甲氧基苯基-2,3,5,6-d4)-N-甲基丙-2-胺');
INSERT INTO `reference_material` VALUES ('3D724D8167416849746CE251B3B97CBB', '咪达唑仑-2023-7-1', '0F649AF0E871E7F2EE712B67FD9BBC07', '6D2AA8C12D19D743628CC48B0EB540BF', '2023-08-07 15:57:52.237000', '2023-08-07 15:57:52.237000', '1', '1', 0, 'EF96E47D2FBD67291224BFC4D1BC2D48', 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', '咪达唑仑-2023-7-1', NULL, NULL, '(7-氯-5-(2-氟苯基)-2,3-二氢-1H-苯并[e][1,4]二氮杂-2-基)甲胺');
INSERT INTO `reference_material` VALUES ('3E02B43E1B4A45D22B6939E729C9EB39', '5F-APICA(STS-135)-2023-7-1', '67ACFEC45187DDDAB4A3A3362F9FF1FC', '312A646257554063976824EAF265D63E', '2023-08-07 15:56:37.383000', '2023-08-07 15:56:37.383000', '1', '1', 0, '506BA297ABEDA062C27D109A3AF4B2FB', 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', '5F-APICA(STS-135)-2023-7-1', NULL, NULL, 'N-(金刚烷-1-基)-1-(5-氟戊基)-1H-吲哚-3-甲酰胺');
INSERT INTO `reference_material` VALUES ('4039E51DD0D054FB135D268344552757', '4CN-CUMYL-BUTINACA-2023-7-1', 'EF4C6C13D202527FEFF066275392DF12', '21815553A2528E10DC9C8B8951282E21', '2023-08-07 15:56:52.254000', '2023-08-07 15:56:52.254000', '1', '1', 0, '812FD9AA93AB314B0818E240F83511F0', 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', '4CN-CUMYL-BUTINACA-2023-7-1', NULL, NULL, '1-(4-氰基丁基)-N-(2-苯基丙-2-基)-1H-吲唑-3-甲酰胺');
INSERT INTO `reference_material` VALUES ('40B28615E59FA4820F492604FFA1D8B1', '对甲苯基正丙酰基芬太尼-2023-7-1', '8BFF41CA5A70E2AA21F996506DD3FAC1', '5D17AF2A9C90C83CA005E5769485AD87', '2023-08-07 15:57:22.727000', '2023-08-07 15:57:22.727000', '1', '1', 0, 'FD266CCD300BBC90C9E16650B2BB6B8C', '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', '对甲苯基正丙酰基芬太尼-2023-7-1', NULL, NULL, 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)丙酰胺');
INSERT INTO `reference_material` VALUES ('411E4A5AFBC0BD4F86DD3EC79F54BC8F', '哌甲酯盐酸盐-2023-7-1', '66E6C5C91E19DE089F69D239A20E5F3E', 'BBC1AB9468A513F0A8A062B1A2FA64D1', '2023-08-07 15:57:01.339000', '2023-08-07 15:57:01.339000', '1', '1', 0, '739A80444BA1FFA023808CA5D1DD3239', '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', '哌甲酯盐酸盐-2023-7-1', NULL, NULL, '2-苯基-2-(哌啶-2-基)乙酸甲酯');
INSERT INTO `reference_material` VALUES ('41EACB3601F5CB3CAA5CEE5E18087936', '对甲苯基庚酰基芬太尼-2023-7-1', 'F043DEC7DAE66BA8B5BCA619F99064A5', '21D771FE06A96261A34A8D3A2B571B59', '2023-08-07 15:57:14.869000', '2023-08-07 15:57:14.869000', '1', '1', 0, 'AFB56C1D17C8C555C517C630BBCEBA94', '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', '对甲苯基庚酰基芬太尼-2023-7-1', NULL, NULL, 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)庚酰胺');
INSERT INTO `reference_material` VALUES ('449206AE458125DDFFD664FF37EC64A1', 'ADB-4en-PINACA-2023-7-1', '9708E0942D8E1DC79822109F6DA7A96B', '9CE827A9E6C91A91D74A268D5A73A650', '2023-08-07 15:56:58.511000', '2023-08-07 15:56:58.511000', '1', '1', 0, '9AF1CB012642B4C7D56B78F30411570C', '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'ADB-4en-PINACA-2023-7-1', NULL, NULL, 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基)-1-(戊-4-烯-1基)-1H-吲唑-3-甲酰胺');
INSERT INTO `reference_material` VALUES ('45A3EA4B313CE288717C9F877797E40E', '5F-SDB-005-2023-7-1', '8C243C724C9093F9114ECA175108F5AF', '05D9A348821E69154C9D6843A06094C3', '2023-08-07 15:56:54.753000', '2023-08-07 15:56:54.753000', '1', '1', 0, '418F01C0BC29E8A1F511C5A6D08F9545', 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', '5F-SDB-005-2023-7-1', NULL, NULL, '萘-1-基-1-(5-氟戊基)-1H-吲唑-3-羧酸盐');
INSERT INTO `reference_material` VALUES ('47B9BC59E50F5E4F4C11D9D531E87B59', '对甲苯基正戊酰基芬太尼-2023-7-1', '3DA72B2A1DC8C31A3D8F279D306690D1', '208D5C438DD73960A2E3BD2149E84E45', '2023-08-07 15:57:21.450000', '2023-08-07 15:57:21.450000', '1', '1', 0, '3FE940131BB97815423EA1DD8D0045FD', '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', '对甲苯基正戊酰基芬太尼-2023-7-1', NULL, NULL, 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)戊酰胺');
INSERT INTO `reference_material` VALUES ('48CFA5BEF63DA8D823379745BE94E63A', 'N,N-Dimethylpentylone (hydrochloride)-2023-7-1', 'B7808AF2B78580A9721F84C6FF435D1B', '7ABA1106DAE7B56BDC3F0F5DE9E71A3D', '2023-08-07 15:57:51.050000', '2023-08-07 15:57:51.050000', '1', '1', 0, 'A746C67225BF08B6787F64EE2C5BB110', 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'N,N-Dimethylpentylone (hydrochloride)-2023-7-1', NULL, NULL, '1-(苯并[d][1,3]二羟基-5-基)-2-(二甲基氨基)戊-1-酮');
INSERT INTO `reference_material` VALUES ('4B9165A3C0A5E0A8B4A67C7202AD3720', '对甲苯基正丁酰基芬太尼-2023-7-1', '47026962CA347D98D85ECFCB4E6C64CB', '36923C9322F3EF82013B16DBEE3E955F', '2023-08-07 15:57:17.701000', '2023-08-07 15:57:17.701000', '1', '1', 0, '62899DD33584C40B92571EDC0658AF70', '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', '对甲苯基正丁酰基芬太尼-2023-7-1', NULL, NULL, 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)丁酰胺');
INSERT INTO `reference_material` VALUES ('539862414747AF1143C2CC07B7DB8E31', '5F-PB-22-2023-7-1', 'E928A6A531739D32149C5153C1392191', '2B568A7093815C0C463F1EF1A847F899', '2023-08-07 15:56:22.483000', '2023-08-07 15:56:22.483000', '1', '1', 0, '4CB8FFB7294A8DD519A6235BD6356543', 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', '5F-PB-22-2023-7-1', NULL, NULL, '喹啉-8-基1-(5-氟戊基)-1H-吲哚-3-羧酸盐');
INSERT INTO `reference_material` VALUES ('5548F75138532F5572C975E5F9310E5B', 'AB-CHMINACA-2023-7-1', 'A4331C95AB8248040ADA02EA5E11C1D0', '737D47BA9F6B2A749CBDDA3B37914743', '2023-08-07 15:56:25.185000', '2023-08-07 15:56:25.185000', '1', '1', 0, 'C6D1B52D55A793F26A8FBC1018677D08', 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'AB-CHMINACA-2023-7-1', NULL, NULL, 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(环己基甲基)-1H-吲唑-3-甲酰胺');
INSERT INTO `reference_material` VALUES ('55B7DF9768669FD4FA0EC49B222F4E1C', '对氟苯基环己甲酰基芬太尼-2023-7-1', '82D031CABCC56E264C214B6D19240862', '625E2C789AA4ED5A8A7F1382AC8CC182', '2023-08-07 15:57:26.371000', '2023-08-07 15:57:26.371000', '1', '1', 0, '853133C348698F18B83E6F8380DCDC49', '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', '对氟苯基环己甲酰基芬太尼-2023-7-1', NULL, NULL, 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基) 环己烷甲酰胺');
INSERT INTO `reference_material` VALUES ('55B8DC977C09E63C1965E8C06B0ACDCB', '5F-ABICA-2023-7-1', '9334C44D69094F5AA82C90F54D48E5E9', '4F6FD44E8062B336D2B95C14E892123F', '2023-08-07 15:56:19.012000', '2023-08-07 15:56:19.012000', '1', '1', 0, '8DE4016B78636604986862C527FD77BD', 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', '5F-ABICA-2023-7-1', NULL, NULL, 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(5-氟戊基)-1H-吲哚-3-甲酰胺');
INSERT INTO `reference_material` VALUES ('55C605999DF8EC6E1FA5B88804FABA28', '对甲苯基氯乙酰基芬太尼-2023-7-1', '1301C396B367102966733489B8C6FA65', '230DE447FF3A482E1CDB684CED57DD87', '2023-08-07 15:57:18.995000', '2023-08-07 15:57:18.995000', '1', '1', 0, 'E96453448DF4DDE4181D819BCEA036F5', '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', '对甲苯基氯乙酰基芬太尼-2023-7-1', NULL, NULL, '2-氯-N-(1-苯乙基哌啶-4-基)-N-(对甲苯)乙酰胺');
INSERT INTO `reference_material` VALUES ('561A26C9AED9C70CF14FA63C1059E3F0', '5F-AB-PINACA-2023-7-1', 'A458CF117D53FA82AD81A345AD031D9C', 'A030693FD1F69A81F359D7F5C0121E56', '2023-08-07 15:56:19.669000', '2023-08-07 15:56:19.669000', '1', '1', 0, '35E21486BC08E63FE7E6AA1C9352E605', 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', '5F-AB-PINACA-2023-7-1', NULL, NULL, 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(5-氟戊基)-1H-吲唑-3-甲酰胺');
INSERT INTO `reference_material` VALUES ('570811ECED20EE8464D9383BD2E78129', '5F-EMB-PICA-2023-7-1', '08EFB9FAE59FEEB33E5FA1B96E03DAB5', '0F48A0B7FF7AD5C7E06727795F859F1A', '2023-08-07 15:56:59.233000', '2023-08-07 15:56:59.233000', '1', '1', 0, '7821E11D4DA6EF1F95128BD3747A9606', '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', '5F-EMB-PICA-2023-7-1', NULL, NULL, '(1-(5-氟戊基)-1H-吲哚-3-羰基)缬氨酸乙酯');
INSERT INTO `reference_material` VALUES ('57AB848A6F1E2780F0336751337D63AE', '乙卡西酮(盐酸盐)-2023-7-1', 'E3C3CC41C002D0E472D670A442FA819A', '2F49FEB61E11679830490711A6C328BD', '2023-08-07 15:56:44.890000', '2023-08-07 15:56:44.890000', '1', '1', 0, 'A178C0D1EEA03280ED8C2F1B5669259B', 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', '乙卡西酮(盐酸盐)-2023-7-1', NULL, NULL, '2-(乙基氨基)-1-苯基丙-1-酮');
INSERT INTO `reference_material` VALUES ('59E154F1A190DCF6FC689DD4B60E74A9', 'N-乙胺-2023-7-1', 'E66D708FEDB4F6A42EF5FB86C610DAFB', '1CF4275A3D45D12E28AA965D3C9455B2', '2023-08-07 15:57:36.463000', '2023-08-07 15:57:36.463000', '1', '1', 0, '837BE1DFAF3760CFF36CDECDF997454D', 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'N-乙胺-2023-7-1', NULL, NULL, '2-(4-氯-2,5-二甲氧基苯基)-N-(2-甲氧基苄基)乙烷-1-胺');
INSERT INTO `reference_material` VALUES ('5E089DAD2AC612B7ABA1463A97D1E1EB', '乙基噻吩胺酮盐酸盐-2023-7-1', '28A95A7EAD3928AF0390A98EDEA7EA00', 'B1B1D2F65063B0350BAC4BB9B50C58E9', '2023-08-07 15:57:35.947000', '2023-08-07 15:57:35.947000', '1', '1', 0, '47B27E5D5B7AC4DC611AF3C7622B905E', 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', '乙基噻吩胺酮盐酸盐-2023-7-1', NULL, NULL, '2-(乙基氨基)-2-(噻吩-2-基) 环己烷-1-酮');
INSERT INTO `reference_material` VALUES ('5E57F7FD9B1DC28A1F2749E33F42966E', 'D4-PMA盐酸盐-2023-7-1', '57D9F0612EE202CF1BCA924E5408E7F0', 'D4BBA6F3AEA8CE036976F7EC93B83319', '2023-08-07 15:57:38.320000', '2023-08-07 15:57:38.320000', '1', '1', 0, '0069AFFD4A973D117D57F1202F2A0B6F', 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'D4-PMA盐酸盐-2023-7-1', NULL, NULL, '1-(4-甲氧基苯基-2,3,5,6-d4)丙-2-胺');
INSERT INTO `reference_material` VALUES ('6364A77C7A42C3C3FE63EC9BAF46E776', '5F-APINACA-2023-7-1', '22631C128F2618E71FA23F2B95C06906', '9002CC8A413CD8FAF749DDA0945BDE38', '2023-08-07 15:56:21.791000', '2023-08-07 15:56:21.791000', '1', '1', 0, '7724DAEA32E995510233203B1432FFE5', 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', '5F-APINACA-2023-7-1', NULL, NULL, 'N-(金刚烷-1-基)-1-(5-氟戊基)-1H-吲唑-3-甲酰胺');
INSERT INTO `reference_material` VALUES ('645176BA65359988B796E9A318BE006C', 'ADB-CHMINACA-2023-7-1', '3566C17A2D82E8258AC1B19F059F4FEB', 'C7B5162E766235F2B1C92E981A6BC8BA', '2023-08-07 15:56:39.585000', '2023-08-07 15:56:39.585000', '1', '1', 0, '894396490F0069745020D701A0B9D82A', 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'ADB-CHMINACA-2023-7-1', NULL, NULL, 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基)-1-(环己基甲基)-1H-吲唑-3-甲酰胺');
INSERT INTO `reference_material` VALUES ('672D59B715F1A113E88AA65092DB247A', 'AMB-FUBICA-2023-7-1', 'D26EDE6A9C060186AB7B052AB07AA2D6', '2A18ECA2A8F08981C0A07DBA17D84561', '2023-08-07 15:56:54.106000', '2023-08-07 15:56:54.106000', '1', '1', 0, '5F2349E317E1488B460F34DF70C073C0', 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'AMB-FUBICA-2023-7-1', NULL, NULL, '(1-(4-氟苄基)-1H-吲哚-3-羰基)缬氨酸甲酯');
INSERT INTO `reference_material` VALUES ('6755A367A8B10F7FB5B281766F84B45B', 'ACHMINACA-2023-7-1', 'AEA4495059172C2EF44E941D5CE455E7', 'F05C8725EF6925264A3788EA9E3A13A0', '2023-08-07 15:56:59.948000', '2023-08-07 15:56:59.948000', '1', '1', 0, 'F34F7FD64E854CEF0680309B610EE360', '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'ACHMINACA-2023-7-1', NULL, NULL, 'N-(金刚烷-1-基)-1-(环己基甲基)-1H-吲唑-3-甲酰胺');
INSERT INTO `reference_material` VALUES ('67C04BA9F15E7FCF0BE9AEFA729045EF', '对甲苯基乙酰基芬太尼-2023-7-1', 'E75356588FC63528CA41B6523E32563B', 'F525169BE0DF037F494010E3ADB202CC', '2023-08-07 15:57:14.129000', '2023-08-07 15:57:14.129000', '1', '1', 0, '4297659AEA24F3AF86E31D18CCD7DAA9', '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', '对甲苯基乙酰基芬太尼-2023-7-1', NULL, NULL, 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)乙酰胺');
INSERT INTO `reference_material` VALUES ('6909CD231398F22DA33BCF37E98AE7F6', '4-氟丁酰芬太尼-2023-7-1', 'D511AE7925D0107021DDB425B9ABB37E', '15B9F045A1281F45D3114CE950033B85', '2023-08-07 15:56:41.477000', '2023-08-07 15:56:41.477000', '1', '1', 0, '8285DDD524F3E12FA88B73C6BEB336F3', 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', '4-氟丁酰芬太尼-2023-7-1', NULL, NULL, 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)丁酰胺');
INSERT INTO `reference_material` VALUES ('69B4FC7CA14998A0CCAD6F267915F9DA', '对甲苯基5-氯戊酰基芬太尼-2023-7-1', 'A602CD90C468292D419C6497141A237D', 'EB37331AEF40D900B82ACA5D5D92EBAE', '2023-08-07 15:57:16.554000', '2023-08-07 15:57:16.554000', '1', '1', 0, '5E4B8A83611EC34F7E84B91F66A64BE4', '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', '对甲苯基5-氯戊酰基芬太尼-2023-7-1', NULL, NULL, '5-氯-N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)戊酰胺');
INSERT INTO `reference_material` VALUES ('6AC15818FEA24A439BB50730FEAB0356', '5F-MDMB-PICA-2023-7-1', '32AB8D0E6C7D8910588365A17AA79AA2', 'A4496BA22C2A26DD841F7D8B2A62891A', '2023-08-07 15:56:50.510000', '2023-08-07 15:56:50.510000', '1', '1', 0, '23EB4310EF1C2DCBCD7B79A3348BE58E', 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', '5F-MDMB-PICA-2023-7-1', NULL, NULL, '2-(1-(5-氟戊基)-1H-吲哚-3-甲酰胺)-3,3-二甲基丁酸甲酯');
INSERT INTO `reference_material` VALUES ('6B3F357ECE6FBFE151EF8CE53005A373', '对氟苯基乙酰基芬太尼-2023-7-1', '8E9CE0DEE73422A05C0C2E4B02AD3ECD', '2CE6BA40C745E85BE60D3D657E61DFE0', '2023-08-07 15:57:27.506000', '2023-08-07 15:57:27.506000', '1', '1', 0, '3328A401E2B95766D6034F3B2757A698', '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', '对氟苯基乙酰基芬太尼-2023-7-1', NULL, NULL, 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)乙酰胺');
INSERT INTO `reference_material` VALUES ('6BB9C82040A021B1316EA7E7AE3345BE', 'Phenazepam(芬纳西洋)-2023-7-1', '8977B20F5BB5DAA92F0E823D2FAB3E3E', '89E224B21EBAF05473C2142432F8C7BC', '2023-08-07 15:56:18.299000', '2023-08-07 15:56:18.299000', '1', '1', 0, '6632A407EC3F054B0C1DEEE2EFD62C0F', 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'Phenazepam(芬纳西洋)-2023-7-1', NULL, NULL, '7-溴-5-(2-氯苯基)-1,3-二氢-2H-苯并[e][1,4]二氮杂-2-酮');
INSERT INTO `reference_material` VALUES ('7352120348F73DE6C7DD86FBA0EC39A6', 'PPP盐酸盐-2023-7-1', 'F9EA9FE6D54CC49D9C11B20809E4CBE9', '54BBE6AC40AD9C2F9AA187CCC0A9C2AE', '2023-08-07 15:57:11.377000', '2023-08-07 15:57:11.377000', '1', '1', 0, 'EB44495873E8C3577111CC47CA13D22F', '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'PPP盐酸盐-2023-7-1', NULL, NULL, '1-苯基-2-(吡咯烷-1-基)丙-1-酮');
INSERT INTO `reference_material` VALUES ('77BAA9EAA2ED7BB0C566B0B99E0DAC27', 'N-环丁基-对溴-卡西酮盐酸盐-2023-7-1', '40372C676C35B084563EBB2269A0D194', 'DA4D97342043307CF018FA6ED4F214E7', '2023-08-07 15:57:05.988000', '2023-08-07 15:57:05.988000', '1', '1', 0, '8FB395CF7AD2797EE340B1D0E6B02831', '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'N-环丁基-对溴-卡西酮盐酸盐-2023-7-1', NULL, NULL, '1-(4-溴苯基)-2-(吡咯烷-1-基)丙-1-酮');
INSERT INTO `reference_material` VALUES ('78D0EB9C2BA30797AFE4391146CC6A67', 'MDPV(盐酸盐)-2023-7-1', 'C145040CE040D4C85211CA52CB3CC0DC', 'A0875A347F4A014AFC8204087C895079', '2023-08-07 15:56:45.659000', '2023-08-07 15:56:45.659000', '1', '1', 0, '67176A19B94BA8BC86E018D86F874B28', 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'MDPV(盐酸盐)-2023-7-1', NULL, NULL, '1-(苯并[d][1,3]二羟基-5-基)-2-(吡咯烷-1-基)戊-1-酮');
INSERT INTO `reference_material` VALUES ('79512735A29FF5B14EE7E0D5BD05B3ED', 'ADB-BUTINACA代谢物-2023-7-1', 'F68F485D766F3EF2C0FD5E50F027EBB6', 'C496AD1D012F3A589DE3D31AE1974487', '2023-08-07 15:57:45.343000', '2023-08-07 15:57:45.343000', '1', '1', 0, '8D6F674AE0014B688D7736D23F141E48', 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'ADB-BUTINACA代谢物-2023-7-1', NULL, NULL, '2-(1-丁基-1H-吲唑-3-甲酰胺) -3,3-二甲基丁酸');
INSERT INTO `reference_material` VALUES ('7FDA17BD9E671E1A6FA268A73DD669E6', '对氟苯基环丁甲酰基芬太尼-2023-7-1', '90358CFF01890738A4DFB2A7C395E672', '1C270A3B2D867BB9FF84AADAC0143541', '2023-08-07 15:57:27.019000', '2023-08-07 15:57:27.019000', '1', '1', 0, '4B9EE04B2B9B074F1E3F06DD87F18F1F', '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', '对氟苯基环丁甲酰基芬太尼-2023-7-1', NULL, NULL, 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)环丁酰胺');
INSERT INTO `reference_material` VALUES ('803FB261B86D2A07484E5DCF5500C2F0', 'PMA盐酸盐-2023-7-1', 'F0FE80BD7888F0A995FC90DDA23566AB', '3DE5E9F2ED98C1E43E3B32B977157AB4', '2023-08-07 15:57:44.143000', '2023-08-07 15:57:44.143000', '1', '1', 0, '9E6964BE2F913C0F7BC03224C3345384', 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'PMA盐酸盐-2023-7-1', NULL, NULL, '1-(4-甲氧基苯基)丙-2-胺');
INSERT INTO `reference_material` VALUES ('855824929BDF81C30A756D68E41CF26C', '对甲苯基正辛酰基芬太尼-2023-7-1', 'B55A5C2CD5E02E2E5FCA6613E6B9DE01', 'B83CAC4B45530954AF3CF008B0996C9D', '2023-08-07 15:57:22.014000', '2023-08-07 15:57:22.014000', '1', '1', 0, '0D48CA983D7382041FDF0A204EB54C1C', '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', '对甲苯基正辛酰基芬太尼-2023-7-1', NULL, NULL, 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)辛酰胺');
INSERT INTO `reference_material` VALUES ('8645B64E2E46D444B9AE6EE391E6ED0F', 'JWH-210-2023-7-1', '6853203D69ACE02C557525288B2294BF', 'ECADB3B0CA97081EA32CD72D755C9044', '2023-08-07 15:56:33.682000', '2023-08-07 15:56:33.682000', '1', '1', 0, '295DF4C699B071CDE7C3C425641D748E', 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'JWH-210-2023-7-1', NULL, NULL, '(4-乙基萘-1-基)(1-戊基-1H-吲哚-3-基)甲酮');
INSERT INTO `reference_material` VALUES ('8A48FC052A0CC5A7464562448E7F0E58', 'AMB-4en-PICA-2023-7-1', 'DA1A60DB3806C16C2FCC7D789735A44A', 'D2508586A4DB76C595B167F6C8CF0ED6', '2023-08-07 15:56:52.871000', '2023-08-07 15:56:52.871000', '1', '1', 0, '07EC002A0113F4F90A5EABE7413C5BAE', 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'AMB-4en-PICA-2023-7-1', NULL, NULL, '(1-(戊-4-烯-1-基) -1H-吲哚-3-羰基)缬氨酸甲酯');
INSERT INTO `reference_material` VALUES ('8C7E27980CC10634C6FED63882DF719B', 'LSD-2023-7-1', 'CAE43EAFBE0DAD2A81086FF043289A12', '8A9D5D85711D50E5EDDB57AE9187ADC6', '2023-08-07 15:57:12.762000', '2023-08-07 15:57:12.762000', '1', '1', 0, '1142B7F1289C9CF694DF660E94D80804', '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'LSD-2023-7-1', NULL, NULL, 'N、N-二乙基-7-甲基-4,6,6a，7,8,9-六氢吲哚[4,3-fg]喹啉-9-羧酰胺');
INSERT INTO `reference_material` VALUES ('8E99B7E2C075E10F058F0514018FA9A2', '氟胺酮盐酸盐-2023-7-1', '2881B2C3975BBF245A74686015746C3F', 'EAD5D402158097622E9DAC4C529B02F1', '2023-08-07 15:57:34.689000', '2023-08-07 15:57:34.689000', '1', '1', 0, '28891BD4137B4DE114C7EBDCF6184B0B', 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', '氟胺酮盐酸盐-2023-7-1', NULL, NULL, '2-(2-氟苯基)-2-(甲氨基) 环已烷-1-酮');
INSERT INTO `reference_material` VALUES ('920F651F9F0D0742704ED7DD4CA7A262', '对甲苯基异戊酰基芬太尼-2023-7-1', '58B72CC05A3D8BB328C52578FD1499A8', 'CE29349684DF3EE9F7AA01C4E2748293', '2023-08-07 15:57:18.494000', '2023-08-07 15:57:18.494000', '1', '1', 0, '9520BAA8ED80DBDA6676041D71C8735D', '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', '对甲苯基异戊酰基芬太尼-2023-7-1', NULL, NULL, '3-甲基-N-(1-苯基哌啶-4-基)-N-(对甲苯基) 丁酰胺');
INSERT INTO `reference_material` VALUES ('9378F919A422B3773EB33AF1130CB265', 'APINACA-2023-7-1', 'BAB380242F3D0474939FE3691384417B', '2EAE4680C0276A1016DC9AF66E8EC038', '2023-08-07 15:56:30.132000', '2023-08-07 15:56:30.132000', '1', '1', 0, 'C862092CAF84B7427AECB35CCDC26D2D', 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'APINACA-2023-7-1', NULL, NULL, 'N-(金刚烷-1-基)-1-戊基-1H-吲唑-3-甲酰胺');
INSERT INTO `reference_material` VALUES ('93C38FB7DC6EB53B3C62DC013E1E4E9B', '对氟苯基环丙甲酰基芬太尼-2023-7-1', '0CD74C38EDA8DF5291F97A77B581743E', '60E2E33DEFD5205197D77F8D1D2F58C2', '2023-08-07 15:57:23.250000', '2023-08-07 15:57:23.250000', '1', '1', 0, '9D07EBDE7C731197ACE756D7C5BB265D', '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', '对氟苯基环丙甲酰基芬太尼-2023-7-1', NULL, NULL, 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)环丙烷甲酰胺');
INSERT INTO `reference_material` VALUES ('96662FAC807B56E6E9A4BAC291AA2673', '对甲苯基三氯乙酰基芬太尼-2023-7-1', 'F25D948812BF489FB07CE350B518E5DB', '8765E3BCFE3CDE263947143F99502FCC', '2023-08-07 15:57:20.868000', '2023-08-07 15:57:20.868000', '1', '1', 0, 'AFCC23830CA9F666A988A0FD599BD69B', '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', '对甲苯基三氯乙酰基芬太尼-2023-7-1', NULL, NULL, '2,2,2-三氯-N-(1-苯乙基哌啶-4-基) -N-(对甲苯基) 乙酰胺');
INSERT INTO `reference_material` VALUES ('97F1BDCCCA704E1C0CCE0AF00ED3E424', 'MDEA-2023-7-1', '1874C3A1B77EC9AB11ED002E55595113', '09E50A4B313BDA9A876ED7076147734F', '2023-08-07 15:57:03.715000', '2023-08-07 15:57:03.715000', '1', '1', 0, '859AD82429A9D9586E3049D08077C84E', '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'MDEA-2023-7-1', NULL, NULL, '1-(苯并[d][1,3]二羟基-5-基)-N-乙基丙-2-胺');
INSERT INTO `reference_material` VALUES ('98FDB3DA206BC1A4A45FBB0DE09D4DFD', '异丁酰芬太尼-2023-7-1', 'E091060F53A0F7394788391079FC7F84', '6C9E15D6CAEC85E57D9784D2555E0D18', '2023-08-07 15:56:42.147000', '2023-08-07 15:56:42.147000', '1', '1', 0, '3EE6A804F0BD45345F575E291FE51CD5', 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', '异丁酰芬太尼-2023-7-1', NULL, NULL, 'N-(1-苯乙基哌啶-4-基)-N-苯基异丁酰胺');
INSERT INTO `reference_material` VALUES ('9ADBCF8C15056DF7ADCDF7BF560C7096', '4-甲基甲卡西酮(盐酸盐)-2023-7-1', 'FF485C5DF896C3A41DDA91F71EE51BE0', '4B3D6FB229CB48BAEF7F6B35EC72466D', '2023-08-07 15:56:46.153000', '2023-08-07 15:56:46.153000', '1', '1', 0, 'EE4C12AEA9877698D999BD2CEC573D5F', 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', '4-甲基甲卡西酮(盐酸盐)-2023-7-1', NULL, NULL, '2-(甲氨基)-1-(对甲苯基)丙-1-酮');
INSERT INTO `reference_material` VALUES ('9C6DBA279C3A01E9E843BF60A0DDF9C5', '二苄基哌嗪-2023-7-1', 'B9AD4467FDD278604B0F6A41BD2ED70B', 'FCCABBC35E10E934A0186587CC06EF83', '2023-08-07 15:57:30.438000', '2023-08-07 15:57:30.438000', '1', '1', 0, 'C2544BB792509CEBF03C55875AD4405F', '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', '二苄基哌嗪-2023-7-1', NULL, NULL, '1,4-二苄基哌嗪');
INSERT INTO `reference_material` VALUES ('9D7B902878539A5897F98505B41058CE', '5F-UR-144-2023-7-1', '3428BAC3FCF00E8F5952D85AAB63600F', '0932AE0B2CF21BE3248FE503A4500E77', '2023-08-07 15:56:23.226000', '2023-08-07 15:56:23.226000', '1', '1', 0, '331D4D8FE0F4FC0224B8BD2619896F23', 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', '5F-UR-144-2023-7-1', NULL, NULL, '(1-(5-氟戊基)-1H-吲哚-3-基)(2,2,3,3-四甲基环丙基)甲酮');
INSERT INTO `reference_material` VALUES ('9EC08A792EF3E05C7E6B66677B4518CB', '苯基环丁甲酰基芬太尼-2023-7-1', 'AE911C6C8F224DF2D8F3BED64B61E493', '2632904B66C565E807CE91B058C16BC8', '2023-08-07 15:57:28.707000', '2023-08-07 15:57:28.707000', '1', '1', 0, '18DB33F906BF7DA07E5B3C2F05A177C5', '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', '苯基环丁甲酰基芬太尼-2023-7-1', NULL, NULL, 'N-(1-苯乙基哌啶-4-基)-N-苯基环丁烷甲酰胺');
INSERT INTO `reference_material` VALUES ('A3602988C7E9E84E352911F26F0964E3', '5CI-APINACA-2023-7-1', 'D4BA4A4EBC6452E9AF1BD8AC2D1911BE', '9340DC5E9B9551F324B3DE5656342580', '2023-08-07 15:56:51.110000', '2023-08-07 15:56:51.110000', '1', '1', 0, '111DD90CF9F4C8D0F89AC923433AAB56', 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', '5CI-APINACA-2023-7-1', NULL, NULL, 'N-(金刚烷-1-基)-1-(5-氯戊基)-1H-吲唑-3-甲酰胺');
INSERT INTO `reference_material` VALUES ('A4090830E9EDF68FEB3FE16CDC2A7C5D', 'D4-5F-CUMYL-PINACA-2023-7-1', '762B564E8D8DB0754F68701EFFA08E98', 'B47DBCBB0708646D1C12CD9DDB8494C2', '2023-08-07 15:57:48.949000', '2023-08-07 15:57:48.949000', '1', '1', 0, '2EEF7BD191749822AC4171A2F7174903', 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'D4-5F-CUMYL-PINACA-2023-7-1', NULL, NULL, '1-(5-氟戊基)-N-(2-苯基丙-2-基) -1H-吲唑-4,5,6,7-d4-3-羧酰胺');
INSERT INTO `reference_material` VALUES ('A464EB786D254D706D0D0742069D41AD', '对氟芬太尼-2023-7-1', '4F3854C62BB387A046FEA9D410635148', '43F1A18FE0D2C1D94F13E0DE585B865E', '2023-08-07 15:56:44.309000', '2023-08-07 15:56:44.309000', '1', '1', 0, '00434EFB8EAA519B01668C2B45C23A54', 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', '对氟芬太尼-2023-7-1', NULL, NULL, 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)丙酰胺');
INSERT INTO `reference_material` VALUES ('A5505D94A1AAA276B71E863414B808C4', '2-FA-2023-7-1', 'AFB1BC30F652DD2E5D8D55C8CA4DAA8C', 'B4CCD14FCF057061D6D1AE733DEFBE8D', '2023-08-07 15:56:15.518000', '2023-08-07 15:56:15.518000', '1', '1', 0, 'FD220DC0DE7B09B464C75AA9DF95DD1B', 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', '2-FA-2023-7-1', NULL, NULL, '1-(2-氟苯基)丙-2-胺');
INSERT INTO `reference_material` VALUES ('A831966AEE73147DFAA07D65E74EF688', 'N-环丁基-对甲-卡西酮盐酸盐-2023-7-1', 'D35946108BEDB65B089B4C070D78C5C3', '2320B0967B414CCBC2A32B2326EB8CFB', '2023-08-07 15:57:08.764000', '2023-08-07 15:57:08.764000', '1', '1', 0, '47FB190424449C5B79C81209E2AFA7ED', '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'N-环丁基-对甲-卡西酮盐酸盐-2023-7-1', NULL, NULL, '2-(吡咯烷-1-基)-1-(对甲苯基)丙-1-酮');
INSERT INTO `reference_material` VALUES ('AB4B1B554292100B2A163C085A1D645A', '2-(二甲氨)-1-苯基-1-戊酮-2023-7-1', '8C2F38F8B15C582D37241CAD3A2C5E80', '40CA68450762379E7D373C6C092A1D07', '2023-08-07 15:57:12.009000', '2023-08-07 15:57:12.009000', '1', '1', 0, 'F3710C0C2F68A9E5825B690932DC61B2', '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', '2-(二甲氨)-1-苯基-1-戊酮-2023-7-1', NULL, NULL, '2-(二甲基氨基)-1-苯基戊烷-1-酮');
INSERT INTO `reference_material` VALUES ('AD94A095A1779EDDC4BE2CBF075422B6', 'ADB-PINACA-2023-7-1', 'BE29E85F4D2BB1FC64BE90D9A3A63911', '10D4B20B673DFD3F960E0749D9982527', '2023-08-07 15:56:27.952000', '2023-08-07 15:56:27.952000', '1', '1', 0, 'F5D938DA08A383A04A523F00E153C6B7', 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'ADB-PINACA-2023-7-1', NULL, NULL, 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基) -1-戊基-1H-吲唑-3-甲酰胺');
INSERT INTO `reference_material` VALUES ('AF24CD2E8624B7135F7298EE2AC95EAE', '对甲苯基环丁甲酰基芬太尼-2023-7-1', 'ECBF93E0371BC42CD3AF8F6488475558', '6CEEBC01AF6021FA3AA2ED52A4393355', '2023-08-07 15:57:19.526000', '2023-08-07 15:57:19.526000', '1', '1', 0, '387296ADD206403C03300FDF5BD15706', '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', '对甲苯基环丁甲酰基芬太尼-2023-7-1', NULL, NULL, 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基) 环丁酰胺');
INSERT INTO `reference_material` VALUES ('AFEDCEAF20CD81912F7D0FA419F5B1CB', '莫达非尼-2023-7-1', 'A6CE35E6E88616D2F6BA596C8806A2F7', '9529BE09CD57C495410D5BFC809106AE', '2023-08-07 15:56:57.976000', '2023-08-07 15:56:57.976000', '1', '1', 0, '0B6C86C49AC0719FF5AA2DBF33DAF4FA', 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', '莫达非尼-2023-7-1', NULL, NULL, '2-(苯甲基亚磺酰基)乙酰胺');
INSERT INTO `reference_material` VALUES ('B1996A873F4E08356007388F049DA549', 'N-甲基-甲卡西酮盐酸盐-2023-7-1', '91BCF40356AB69963D4576E0933999D1', '6502D9BC0E58CF23DA48D436EBB9314D', '2023-08-07 15:57:04.209000', '2023-08-07 15:57:04.209000', '1', '1', 0, 'C91B176922C0ADE6C13A60AB3404589F', '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'N-甲基-甲卡西酮盐酸盐-2023-7-1', NULL, NULL, '2-(二甲基氨基)-1-苯基丙-1-酮');
INSERT INTO `reference_material` VALUES ('B396083A482547A6004AF293F5E8FD61', 'D4-劳拉西半-2023-7-1', '654B8F12875BB11266369F94A1F40200', 'A897C640B93A1EC4EBA82147A8C452B8', '2023-08-07 15:57:40.145000', '2023-08-07 15:57:40.145000', '1', '1', 0, 'A00CCE55A247EF0B287D885604D6E31D', 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'D4-劳拉西半-2023-7-1', NULL, NULL, '7-氯-5-(2-氯苯基-3,4.5,6-d4) -3-羟基-1,3-二氢-2H-苯并[e][1,4]二氮杂-2-酮');
INSERT INTO `reference_material` VALUES ('B5124E34FA6998F8D862AEA93A58FA69', '对氟苯基3-甲基丁酰基芬太尼-2023-7-1', '83AB14C7ECE6FA20518C7E90C6C2FC3B', '7F76E8C58DD2EC7A45C7874B0E87A729', '2023-08-07 15:57:25.332000', '2023-08-07 15:57:25.332000', '1', '1', 0, '3FD37486C97275CC3C7E92202400B323', '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', '对氟苯基3-甲基丁酰基芬太尼-2023-7-1', NULL, NULL, 'N-(4-氟苯基)-3甲基-N-(1-苯乙基哌啶-4-基)丁酰胺');
INSERT INTO `reference_material` VALUES ('B5C9A0541B030C4B5294330748731FF6', '4-氯苯基-N-吡咯烷基卡西酮盐酸盐-2023-7-1', '78C2B1903B63D83FB0D5214662AFCDAD', 'AA35AB2A7FA59F0FD850D1F3DDCB5F4A', '2023-08-07 15:57:32.894000', '2023-08-07 15:57:32.894000', '1', '1', 0, '371E4C0355F48CE648ECE2594E4F9185', '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', '4-氯苯基-N-吡咯烷基卡西酮盐酸盐-2023-7-1', NULL, NULL, '1-(4-氯苯基)-2-(吡咯烷-1-基)丙-1-酮');
INSERT INTO `reference_material` VALUES ('B89BA0BFCB69DFEE9338D6861B39AA48', '去氯乙基氯胺酮盐酸盐-2023-7-1', 'E4BD4B753267A68A5E80DCD96784D510', 'FC496329C6D8CEC7067E02FE8B10C996', '2023-08-07 15:57:50.406000', '2023-08-07 15:57:50.406000', '1', '1', 0, '82E9BCD2564582DD7F9243CA7999A45C', 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', '去氯乙基氯胺酮盐酸盐-2023-7-1', NULL, NULL, '2-(乙基氨基) -2-苯基环已烷-1-酮');
INSERT INTO `reference_material` VALUES ('B9C50C770F502CDB3531EE06616C9895', 'MDMB-4en-PINACA-2023-7-1', '2D6B2541297448FE0078EAF8AF41C2E2', '6A69D30941C4CD61C71A248848985C18', '2023-08-07 15:56:55.374000', '2023-08-07 15:56:55.374000', '1', '1', 0, '9DC217BCDB6818B038302FCA7FD9B931', 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'MDMB-4en-PINACA-2023-7-1', NULL, NULL, '3,3-二甲基-2-(1-(戊-4-烯-1-基)-1H-吲唑-3-甲酰胺基)丁酸甲酯');
INSERT INTO `reference_material` VALUES ('BCDE1EA5EA1FAF3C13A478F6A505244C', '5F-MDA-19-2023-7-1', '5381BAFEA25E80A251B0549C6DDA9F4F', '7830537D936C20A95BC4E208D55ECA0C', '2023-08-07 15:57:44.741000', '2023-08-07 15:57:44.741000', '1', '1', 0, '36766EE82D7F5DB50860D5E6E63BAE01', 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', '5F-MDA-19-2023-7-1', NULL, NULL, '(E)-N\'-(1-(5-氟戊基)-2-氧代吲哚-3-亚基) 苯甲酰肼');
INSERT INTO `reference_material` VALUES ('BD59682F61444E1BE466AF4783ECDE4B', 'N-乙基-对溴-乙卡西酮盐酸盐-2023-7-1', '5D5F26B7975C548CA62A0A17E388B76B', '3548F632985250B9237F1FD7BA33DC75', '2023-08-07 15:57:05.301000', '2023-08-07 15:57:05.301000', '1', '1', 0, '41B192AE5213EA46AC6C7599AB0784C0', '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'N-乙基-对溴-乙卡西酮盐酸盐-2023-7-1', NULL, NULL, '1-(4-溴苯基)-2-(二乙基氨基)丙-1-酮');
INSERT INTO `reference_material` VALUES ('BD5C66F8E54D703ACD75F2266B31163E', 'D4-4CN-CUMYL-BUTINACA-2023-7-1', '24C4A490C09C2C08F7F1618F9FF9E483', '7298A7EC5C83C53F07F1EFE11D5DB10B', '2023-08-07 15:57:48.195000', '2023-08-07 15:57:48.195000', '1', '1', 0, 'E42D74AEFA3EBC8B2BBED2DA296F37DD', 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'D4-4CN-CUMYL-BUTINACA-2023-7-1', NULL, NULL, '1-(4-氰基丁基)-N-(2-苯基丙-2-基) -1H-吲唑-4,5,6,7-d4-3-羧酰胺');
INSERT INTO `reference_material` VALUES ('C0188EF46E35022346BF273772C5FAC2', 'JWH-015-2023-7-1', '0EC1ACC0A649166388D2C1FA8C9930DF', 'A8F51AD844444FCDCC68C786160287C9', '2023-08-07 15:56:32.909000', '2023-08-07 15:56:32.909000', '1', '1', 0, '631314CDF9F0808DC4CA1AC320B7FE44', 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'JWH-015-2023-7-1', NULL, NULL, '(2-甲基-1-丙基-1H-吲哚-3-基)(萘-1-基)甲酮');
INSERT INTO `reference_material` VALUES ('CA6942A3CBB66B9A34A336ACEAE73A75', '2-(3-甲氧基苯基)-2-乙复基环己酮-2023-7-1', '0C4D8E92748BF9A4506E68D338050350', 'E43500D682260D843968E3793F4CAA7B', '2023-08-07 15:56:47.670000', '2023-08-07 15:56:47.670000', '1', '1', 0, '13BBE4C856008BD35CCCCAEB72AC0017', 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', '2-(3-甲氧基苯基)-2-乙复基环己酮-2023-7-1', NULL, NULL, '2-(乙基氨基)-2-(3-甲氧基苯基)环已烷-1-酮');
INSERT INTO `reference_material` VALUES ('CC77B58FC2614CA59AABDA5342720197', '对氟苯基正戊基芬太尼-2023-7-1', '3F814BFEF48658140A58EC860D1D30C6', '4C0FC887666B6F08E873F30D812CDCCD', '2023-08-07 15:57:23.941000', '2023-08-07 15:57:23.941000', '1', '1', 0, 'F442ABC13D4A3E14BFEA82900A626DCD', '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', '对氟苯基正戊基芬太尼-2023-7-1', NULL, NULL, 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)戊酰胺');
INSERT INTO `reference_material` VALUES ('CE35B5B3AC60E5C7BC70831EC09131D2', 'D4-AB-FUBICA-2023-7-1', '97B178243D55A1532AC355CEE550A355', '5CA83DCBC5A489DB7688A65DE16A3DD1', '2023-08-07 15:57:42.070000', '2023-08-07 15:57:42.070000', '1', '1', 0, '3F9F867CC2CD6F03B73026D1ACB4473C', 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'D4-AB-FUBICA-2023-7-1', NULL, NULL, 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(4-氟苄基)-1H-吲哚-4,5,6,7-d4-3-羧酰胺');
INSERT INTO `reference_material` VALUES ('CE82FE91675E0577E59C0C6EFF618A02', 'AM-1220-2023-7-1', 'AD0C36C2C4C61AB1E9F2AF6CB8F7088B', '73719C49671B6EE1ED114246F46489A6', '2023-08-07 15:56:48.388000', '2023-08-07 15:56:48.388000', '1', '1', 0, '0C231ACA5EF0DEC02FF67865EECFFE4B', 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'AM-1220-2023-7-1', NULL, NULL, '(1-((1-甲基哌啶-2-基)甲基)-1H-吲哚-3-基)(萘-1-基)甲酮');
INSERT INTO `reference_material` VALUES ('D0159605C9DE5A68C0D956EEC8C95A73', '对甲苯基环丙甲酰基芬太尼-2023-7-1', '1EB8C51BA03E156360273A437CC55BA5', '10205F9B22AC63B5232B802CA1F2A1D1', '2023-08-07 15:57:17.143000', '2023-08-07 15:57:17.143000', '1', '1', 0, '1EE0F290E543C4746F2CE440762D64E8', '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', '对甲苯基环丙甲酰基芬太尼-2023-7-1', NULL, NULL, 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)环丙烷甲酰胺');
INSERT INTO `reference_material` VALUES ('D2AC02381133B49334E997A82718530D', '苯甲曲秦-2023-7-1', 'D757B0E9566323FE34D626242620D940', 'EA09F55C8814C5D64020EEC04B34CCF2', '2023-08-07 15:57:00.571000', '2023-08-07 15:57:00.571000', '1', '1', 0, '3E3139858ABBAA7D103DB4CD9D173292', '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', '苯甲曲秦-2023-7-1', NULL, NULL, '3,4-二甲基-2-苯基吗啉');
INSERT INTO `reference_material` VALUES ('D337399471A2703B11388CA4590B47CF', '5F-ADB-2023-7-1', 'FC804628C6F60382F1CDD5ABF9FE13C3', '49276B74113BAD0EA6A0A08DACB19D4B', '2023-08-07 15:56:40.214000', '2023-08-07 15:56:40.214000', '1', '1', 0, '61E758A564D3FB3EBE040BB902C9908C', 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', '5F-ADB-2023-7-1', NULL, NULL, '2-(1-(5-氟戊基)-1H-吲唑-3-甲酰胺)-3,3-二甲基丁酸甲酯');
INSERT INTO `reference_material` VALUES ('D392D342ACB5C63DEEADFD30E7A42060', '赛洛西宾-2023-7-1', '798FC26EFB30F0824A5491C33A151636', 'A683A12C59C1754784BF6D8D958F32D1', '2023-08-07 15:56:49.802000', '2023-08-07 15:56:49.802000', '1', '1', 0, '325DFC851CA9E0B72CD8A80CBF5D5AFF', 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', '赛洛西宾-2023-7-1', NULL, NULL, '3-(2-(二甲基氨基)乙基)-1H-吲哚-4-基磷酸二氢盐');
INSERT INTO `reference_material` VALUES ('D4D5BA6F5AF147552CE238BB35C21675', 'Ds-苯巴比妥-2023-7-1', 'B3BB2E9A6077B57B92EDEF87A41988E7', 'DA7257105C1061DB691471F4C780D94F', '2023-08-07 15:57:51.539000', '2023-08-07 15:57:51.539000', '1', '1', 0, '90BC3F48CF47C0E6778AA4331CED28E0', 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'Ds-苯巴比妥-2023-7-1', NULL, NULL, '5-乙基-5-(苯基-d5)嘧啶-2,4,6 (1H，3H，5H)-三酮');
INSERT INTO `reference_material` VALUES ('D58F7D9E7452A6A19E9484EAB556D28A', 'AB-FUBINACA-2023-7-1', '1DF4AC0C977A1B250245F3C2FE45F9CC', 'C527E0811F7CF12DC544472BE50FE97F', '2023-08-07 15:56:25.843000', '2023-08-07 15:56:25.843000', '1', '1', 0, 'C5919165080B675BC4E2C04EB576D04A', 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'AB-FUBINACA-2023-7-1', NULL, NULL, 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(4-氟苄基)-1H-吲唑-3-甲酰胺');
INSERT INTO `reference_material` VALUES ('D8E8EFD3999DF268C0FA5740713B6CF1', '对氯-N,N-二甲基卡西酮盐酸盐-2023-7-1', '1B1E30CD32A8A9AF12F783236B6E178A', '6EBB9C94E177EE8882EFE374BA9EB4B5', '2023-08-07 15:57:32.412000', '2023-08-07 15:57:32.412000', '1', '1', 0, '3E01263EF648C15AFB8AD3E0AA11CB71', '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', '对氯-N,N-二甲基卡西酮盐酸盐-2023-7-1', NULL, NULL, '1-(4-氯苯基)-2-(二甲基氨基)丙-1-酮');
INSERT INTO `reference_material` VALUES ('DBF8D065BC97A0727D18D5D61F8B79BC', '对氟苯基氯乙酰基芬太尼-2023-7-1', 'A67C35040F674EA5911488782081F0BF', '2D70BA799816D2C288608D1D8690A177', '2023-08-07 15:57:25.842000', '2023-08-07 15:57:25.842000', '1', '1', 0, '114023E3E773FD2C69D3E5E62F320C56', '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', '对氟苯基氯乙酰基芬太尼-2023-7-1', NULL, NULL, '2-氯-N-(4-氟苯基) -N-(1-苯乙基哌啶-4-基) 乙酰胺');
INSERT INTO `reference_material` VALUES ('DCB80C3E824BC217F730359705AD0953', 'N-环丁基-间氯-卡西酮盐酸盐-2023-7-1', 'D3BD4889B2F18F48E4289B1E87462AE3', '68E96FEE4D3679EDF27DFDF1740839A0', '2023-08-07 15:57:10.471000', '2023-08-07 15:57:10.471000', '1', '1', 0, '76002A424A8EE3E6A437F242EE7E3BE4', '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'N-环丁基-间氯-卡西酮盐酸盐-2023-7-1', NULL, NULL, '1-(3-氯苯基)-2-(吡咯烷-1-基) 丙-1-酮');
INSERT INTO `reference_material` VALUES ('DEE869F6B9793BBEFEF41A15D570A127', 'PMMA盐酸盐-2023-7-1', 'A07E18E5D70597299619CCAD5AC571DD', '9A718219B887F7AD214C5BCCEA448B80', '2023-08-07 15:56:17.709000', '2023-08-07 15:56:17.709000', '1', '1', 0, '6541864C32DA61EBA80D8C297C88C406', 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'PMMA盐酸盐-2023-7-1', NULL, NULL, '1-(4-甲氧基苯基)-N-甲基丙-2-胺');
INSERT INTO `reference_material` VALUES ('E1F94423ACF7E9F723C4E38239557F6E', 'A-796,260-2023-7-1', '26FD5D4345BE687447D224C88131A9E5', 'AE1ADB91CBAD631AA3C46361FC1AF6D6', '2023-08-07 15:56:23.911000', '2023-08-07 15:56:23.911000', '1', '1', 0, '7ECBA4E3714B858D62362492F11E0804', 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'A-796,260-2023-7-1', NULL, NULL, '(1-(2-吗啉乙基)-1H-吲哚-3-基)(2,2,3,3-四甲基环丙基)甲酮');
INSERT INTO `reference_material` VALUES ('E26CE10ECF8C51D40A1FB3A1868AECBB', 'CB-13-2023-7-1', 'B9DA1228B79526AB6727207D887B91E4', '7E4D80792D59BACFB400D226FC6A2A54', '2023-08-07 15:56:30.841000', '2023-08-07 15:56:30.841000', '1', '1', 0, '9745C95B6BD0EF237010F603C006D38D', 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'CB-13-2023-7-1', NULL, NULL, '萘-1-基(4-(戊基氧基)萘-1-基)甲酮');
INSERT INTO `reference_material` VALUES ('E3851CD7019A099D28A3E5F2C829050C', 'D4-4F-MDMB-BUTINACA-2023-7-1', '8D003C9F80A38650CE60A1CFECDA0FD0', '8157C935CAC7C16CEE63A5E0960A5B69', '2023-08-07 15:57:47.447000', '2023-08-07 15:57:47.447000', '1', '1', 0, 'D2542D5CB1188FEF44B169877F528457', 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'D4-4F-MDMB-BUTINACA-2023-7-1', NULL, NULL, '2-(1-(4-氟丁基)-1H-吲唑-3-甲酰胺-4,5,6,7-d4)-3,3-二甲基丁酸甲酯');
INSERT INTO `reference_material` VALUES ('E4E0C2055E071C1DDB5C5CD2A4CD6F3B', 'D4-MDMB-FUBICA-2023-7-1', 'EF81725022A56229F6EA219A2BA8EF60', 'E20DD9AD0BB216E4815CDB7E346485EF', '2023-08-07 15:57:42.776000', '2023-08-07 15:57:42.776000', '1', '1', 0, '9A5DDD1CB1CB356F6F6B3FF2B0BEC575', 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'D4-MDMB-FUBICA-2023-7-1', NULL, NULL, '2-(1-(4-氟苄基)-1H-吲哚-3-甲酰胺-4,5,6,7-d4)-3,3.二甲基丁酸甲酯');
INSERT INTO `reference_material` VALUES ('E5E25FA69F6BC22A6F7BAB2587CF4341', 'N,N-二乙基戊卡西酮盐酸盐-2023-7-1', '6FF7AFD3D325A581BFB8C8CD8D9B4456', 'C78A8E74322F06E27B03BF3D88757B07', '2023-08-07 15:57:31.080000', '2023-08-07 15:57:31.080000', '1', '1', 0, '4E6DDC0DE89F5F456EE93368D2F7D648', '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'N,N-二乙基戊卡西酮盐酸盐-2023-7-1', NULL, NULL, '2-(二乙基氨基)-1-苯基戊烷-1-酮');
INSERT INTO `reference_material` VALUES ('E766595CE876B36881E931F65467A549', 'MDMB-FUBICA-2023-7-1', 'C1DF7BC8C3A62D73700B726AE4281ABE', '4F4F66B4122D089CAC7F3140B046C326', '2023-08-07 15:57:01.980000', '2023-08-07 15:57:01.980000', '1', '1', 0, 'DEA6C6EB95596C8171B367D2DB07BDE5', '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'MDMB-FUBICA-2023-7-1', NULL, NULL, '2-(1-(4-氟苄基) -1H-吲唑-3-甲酰胺) -3,3-二甲基丁酸甲酯');
INSERT INTO `reference_material` VALUES ('E96140C03343D5B96F06179643680A91', 'AB-FUBICA-2023-7-1', '261C5B5984AC428C77EB0C536CDA2A5F', '8D2334C514BD91E71F171EF838DCDDD9', '2023-08-07 15:57:02.539000', '2023-08-07 15:57:02.539000', '1', '1', 0, '6A25EA5B63DDDF0FA28F88C5D6F74073', '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'AB-FUBICA-2023-7-1', NULL, NULL, 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(4-氟苄基)-1H-吲唑-3-甲酰胺');
INSERT INTO `reference_material` VALUES ('ED749777BC72E5B491228A8CA93D34A8', '4-CNB;N,N-DMC-2023-7-1', 'EA0F87FA63ADCB9853C4440DFE1C9D4A', '078968158633A482FBBD706F6FE957C9', '2023-08-07 15:57:07.386000', '2023-08-07 15:57:07.386000', '1', '1', 0, 'DE8FB92438D94DE680BB679153A5B9E4', '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', '4-CNB;N,N-DMC-2023-7-1', NULL, NULL, '2-(二甲基氨基)-1-(对甲苯基)丙-1-酮');
INSERT INTO `reference_material` VALUES ('EE2D2DD1CE4B6A27237A268D430561DC', '苯基环丙甲酰基芬太尼-2023-7-1', '3FA1261A1AFD4A3E85615930F38C71D4', '69A4DA57EFDFB2CC8D296700319A46E2', '2023-08-07 15:57:29.201000', '2023-08-07 15:57:29.201000', '1', '1', 0, 'FBB60138B2ABD2F6F8F687BD8B9A6208', '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', '苯基环丙甲酰基芬太尼-2023-7-1', NULL, NULL, 'N-(1-苯乙基哌啶-4-基)-N-苯基环丙烷甲酰胺');
INSERT INTO `reference_material` VALUES ('EEEEF4A0C98E8A2E54F61CB2B4DA637B', 'D4-曲马多盐酸盐-2023-7-1', 'DC52185FFE7F26B8CB0D15188B1C4266', '19B9593A1B2FB774AAC6BD30DBF1D445', '2023-08-07 15:57:39.458000', '2023-08-07 15:57:39.458000', '1', '1', 0, '62344A39AC021A55F73FF0394725AFDE', 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'D4-曲马多盐酸盐-2023-7-1', NULL, NULL, '2-((二甲基氨基)甲基)-1-(3-甲氧基苯基-2,4,5,6-d4)环己烷-1-醇');
INSERT INTO `reference_material` VALUES ('F0E86350EAD90B2D962D812AB54D0B02', '溴胺酮盐酸盐-2023-7-1', '5A061786CCF8559499EF8E9CF40DB4F1', '6E00B4432BAEB746F36445572CC6F8A3', '2023-08-07 15:57:35.427000', '2023-08-07 15:57:35.427000', '1', '1', 0, '2112BAC200A40BFC1EFC281F203B8581', 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', '溴胺酮盐酸盐-2023-7-1', NULL, NULL, '2-(2-溴苯基) -2-(甲氨基) 环己烷-1-酮');
INSERT INTO `reference_material` VALUES ('F319B49C71CAB51F949F354F3A05359C', '4-FA-2023-7-1', '99A30C6E8CC34802986939CC00BD0CDE', '4F22FAB1BF4BEAA31802D5BA5A9EFF46', '2023-08-07 15:56:16.137000', '2023-08-07 15:56:16.137000', '1', '1', 0, 'D89BCBA06C5D3FC62DF3F8FDFB514258', 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', '4-FA-2023-7-1', NULL, NULL, '1-(4-氟苯基)丙-2-胺');
INSERT INTO `reference_material` VALUES ('F3FA25FD00F48D58E7F08B2C8D0CE9CF', 'FUB-PB-22-2023-7-1', 'B4BCA3133D5AA0757BB68637EA5613B0', 'FA05DC835337D070DAD5C8572DBEAA4D', '2023-08-07 15:56:32.197000', '2023-08-07 15:56:32.197000', '1', '1', 0, '85451397FA0F937035DF0E2C7F125EC4', 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'FUB-PB-22-2023-7-1', NULL, NULL, '喹啉-8-基-1-(4-氟苄基)-1H-吲哚-3-羧酸盐');
INSERT INTO `reference_material` VALUES ('F4831F83B2E9D55B3B4ADBEC3207C22D', '5F-MPP-PICA-2023-7-1', 'E771D0043E0DB2F38C835AFB63C64379', '6E68D784C0CF5C277FD06567C8870859', '2023-08-07 15:56:53.468000', '2023-08-07 15:56:53.468000', '1', '1', 0, 'C3EB37DE63243380D56C9D4ADDAABC15', 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', '5F-MPP-PICA-2023-7-1', NULL, NULL, '(1-(5-氟戊基)-1H-吲哚-3-羰基)苯丙氨酸甲酯');
INSERT INTO `reference_material` VALUES ('F4E411E728889FF962DF41FE47557409', 'ADBICA-2023-7-1', 'E4A0B37AE6E950F5E992CE86B146D033', '6F9AD77A5081A01D6F7E5C34FC74C2AF', '2023-08-07 15:56:27.216000', '2023-08-07 15:56:27.216000', '1', '1', 0, '84ACBAF91044C57406C0BD690EA8EBF7', 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'ADBICA-2023-7-1', NULL, NULL, 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基) -1-戊基-1H-吲哚-3-甲酰胺');
INSERT INTO `reference_material` VALUES ('F546223FB23A4BF4D34BBD33ACFF18C0', 'N-甲基-对溴-甲卡西酮盐酸盐-2023-7-1', '8400EBBB8A41ABD8EE043C74C9057393', '5EC64493726C3942E7E6D2C21649931A', '2023-08-07 15:57:04.682000', '2023-08-07 15:57:04.682000', '1', '1', 0, '35D645789EC4220335893F545AC232D3', '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'N-甲基-对溴-甲卡西酮盐酸盐-2023-7-1', NULL, NULL, '1-(4-溴苯基)-2-(二甲基氨基)丙-1-酮');
INSERT INTO `reference_material` VALUES ('F6527B66B704108E4C5F4E59E3896983', 'N-乙基-对甲-乙卡西酮盐酸盐-2023-7-1', 'C78E76F182E09D56E15745176ADC1D77', 'EF2855A3A73579BE823B328EABB5AF94', '2023-08-07 15:57:08.114000', '2023-08-07 15:57:08.114000', '1', '1', 0, 'BDC043905D82B6647538C360E0C12C13', '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'N-乙基-对甲-乙卡西酮盐酸盐-2023-7-1', NULL, NULL, '2-(二乙基氨基)-1-(对甲苯基)丙-1-酮');
INSERT INTO `reference_material` VALUES ('F7D9937179C1C8ED649FA2FF5E232A62', 'AMB-FUBINACA-2023-7-1', '408572A0E4C84F071F52CD183C13DA42', '17CD7C2BBC7D550CE40246F7E2F12252', '2023-08-07 15:56:38.105000', '2023-08-07 15:56:38.105000', '1', '1', 0, '6A4346E526F75F504FF07D9422D7A90E', 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'AMB-FUBINACA-2023-7-1', NULL, NULL, '(1-(4-氟苄基)-1H-吲唑-3-羰基)缬氨酸甲酯');
INSERT INTO `reference_material` VALUES ('F9936B7C58CAD10D825E79C80B506212', '对甲苯基环戊甲酰基芬太尼-2023-7-1', 'BAA62B9F52C052FFF45A7AA8483CFD10', '373ACE9B3362E2A0A4252A2327851660', '2023-08-07 15:57:20.219000', '2023-08-07 15:57:20.219000', '1', '1', 0, '46D8333B17DA623B7E650FB89BE90052', '6ef5627f6ffed29a1212d2892ffa86c8', 'F7-707_试剂柜-A_A1-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', '对甲苯基环戊甲酰基芬太尼-2023-7-1', NULL, NULL, 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基) 环戊酰胺');
INSERT INTO `reference_material` VALUES ('F9D6C0856605C83467D041E35EBA3572', '4F-MDMB-BUTICA-2023-7-1', 'CBD8441F76EBDD385953E892B839EFD2', 'F4EEFE470D1F25EF3886345E5F1C6F23', '2023-08-07 15:56:56.072000', '2023-08-07 15:56:56.072000', '1', '1', 0, 'F5F9977FB0C6A556D4C9BD31CA3FCB2B', 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', '4F-MDMB-BUTICA-2023-7-1', NULL, NULL, '2-(1-(4-氟丁基)-1H-吲哚-3-甲酰胺)-3,3-二甲基丁酸甲酯');
INSERT INTO `reference_material` VALUES ('FAAC442D507DC7D0E869AE43F9295E02', '赛洛新-2023-7-1', 'A6D963CC89ADB78DABECE98D6D2D2E6C', '0D9388B72BA4E14F8199EC5A453681BE', '2023-08-07 15:56:49.094000', '2023-08-07 15:56:49.094000', '1', '1', 0, '8C082C73A08DB84FDE4C86BBE3FDD54F', 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', '赛洛新-2023-7-1', NULL, NULL, '3-(2-(二甲基氨基)乙基)-1H-吲哚-4-醇');
INSERT INTO `reference_material` VALUES ('FBA5CA905ACC34CCDB7FB6CF30680A2B', 'AM-2233-2023-7-1', '6F2BB1AF01B78A52C800501C6DFFF7C4', '7F1D7C21EA7F5D950D9FD30CDB3D2537', '2023-08-07 15:56:28.646000', '2023-08-07 15:56:28.646000', '1', '1', 0, '2B6630C0BCB0DC3CB06B075759317FCB', 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'AM-2233-2023-7-1', NULL, NULL, '(2-碘代苯基)(1-((1-甲基哌啶-2-基)甲基)-1H-吲哚-3-基)甲酮');
INSERT INTO `reference_material` VALUES ('FEED116E35B732DC2120474F95953A2D', 'D4-4F-MDMB-BICA-2023-7-1', '8DA76CCF4C0FBD463A5526B77792A61C', 'BC52F54665E277716D8D0B1242C2DF72', '2023-08-07 15:57:46.378000', '2023-08-07 15:57:46.378000', '1', '1', 0, 'BD55A19CE547B89FF5BC2E6D2DEAB01C', 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'D4-4F-MDMB-BICA-2023-7-1', NULL, NULL, '2-(1-(4-氟丁基)-1H-吲哚-3-甲酰胺-4,5,6,7-d4)-3,3-二甲基丁酯甲酯');
INSERT INTO `reference_material` VALUES ('FF12F18762143B9773A5A0471F46154C', 'D4-5F-ADB-2023-7-1', 'D906882CCB6D3BDD0C4E5091799A92C5', '3CB68A94A2EF041FD0E419749F651774', '2023-08-07 15:57:45.786000', '2023-08-07 15:57:45.786000', '1', '1', 0, '6793B039B096711B4F17C046154891E5', 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', 'D4-5F-ADB-2023-7-1', NULL, NULL, '2-(1-(5-氟戊基)-1H-吲唑-3-甲酰胺-4,5,6,7-d4)-3,3-二甲基丁酸甲酯');
INSERT INTO `reference_material` VALUES ('FF9FF20A84720C8D6B33B58D19171EB4', '5F-AMB-2023-7-1', 'F6075C5465F08741B67B9BEF24E06FFE', 'C4604873FBDD5F1AED4C7122327C934D', '2023-08-07 15:56:21.020000', '2023-08-07 15:56:21.020000', '1', '1', 0, '718A3993C174415BCA3935D3A70D6A0E', 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', '5F-AMB-2023-7-1', NULL, NULL, '(1-(5-氟戊基)-1H-吲唑-3-羰基)缬氨酸甲酯');

-- ----------------------------
-- Table structure for requisition_record
-- ----------------------------
DROP TABLE IF EXISTS `requisition_record`;
CREATE TABLE `requisition_record`  (
  `requisition_record_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `date_of_claim` datetime(6) NULL DEFAULT NULL COMMENT '(领用日期)',
  `recipient_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(领用人)',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材ID',
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '规格型号\r\n',
  `drawing_amount` int(8) NULL DEFAULT NULL COMMENT '领用数量',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `delivery_registration_form_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '出库登记表ID',
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材名称',
  PRIMARY KEY (`requisition_record_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材领用记录表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of requisition_record
-- ----------------------------

-- ----------------------------
-- Table structure for solution_use_form
-- ----------------------------
DROP TABLE IF EXISTS `solution_use_form`;
CREATE TABLE `solution_use_form`  (
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '溶液使用记录表\r\n',
  `solution_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '溶液ID',
  `user_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '使用人ID',
  `quantity_used` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '使用数量',
  `order_of_use` int(255) NULL DEFAULT NULL COMMENT '用途',
  `date_of_use` datetime(6) NULL DEFAULT NULL COMMENT '使用日期',
  `standard_material_application_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质领用归还登记表ID',
  `create_time` datetime(6) NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of solution_use_form
-- ----------------------------

-- ----------------------------
-- Table structure for standard_material_application
-- ----------------------------
DROP TABLE IF EXISTS `standard_material_application`;
CREATE TABLE `standard_material_application`  (
  `standard_material_application_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `administrator_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质管理员ID)',
  `date_of_claim` datetime(6) NULL DEFAULT NULL COMMENT '(领用日期)',
  `date_of_return` datetime(6) NULL DEFAULT NULL COMMENT '(归还日期)',
  `purpose_and_quantity` varchar(6) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '使用数量',
  `recipient_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(领用人ID)',
  `reference_material_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质编号)',
  `reference_substance_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质ID)',
  `requisitioned_quantity` int(11) NULL DEFAULT NULL COMMENT '(领用数量)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `serial_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(序号)',
  `specification` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(规格)',
  `delivery_registration_form_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '出库登记表ID',
  `requisition_record_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '领用登记表ID',
  `storage_registration_form_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '入库登记表ID',
  `claim_code` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '领取码',
  `purpose` int(6) NULL DEFAULT NULL COMMENT '用途',
  `number` varchar(11) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `application_for_use_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '领用申请表ID',
  `status` int(3) NULL DEFAULT NULL COMMENT '状态 0 ：未提交 1：已归还',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质ID',
  `is_return` int(3) NULL DEFAULT NULL COMMENT '是否归还',
  `reference_substance_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质名称',
  PRIMARY KEY (`standard_material_application_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准物质领用/归还登记表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of standard_material_application
-- ----------------------------
INSERT INTO `standard_material_application` VALUES ('8756A0D4CB9050507276BA318F4C6C92', 'c4a61eae81712e03f58a1922f8be27de', '2023-08-07 16:58:28.000000', NULL, NULL, 'd26046736c8c7bf2dd9ac996081d7715', 'D4-氯胺酮盐酸盐-2023-7-1', '5DDBFE5597C43CB16ED13AFA749C8449', 1, '2023-08-07 16:58:28.000000', '2023-08-07 16:58:28.000000', 'c4a61eae81712e03f58a1922f8be27de', 'c4a61eae81712e03f58a1922f8be27de', NULL, '1mg/ml,1ml', '51B12917EA0C9672E2647001E6664C49', NULL, NULL, NULL, 0, NULL, '41C6C13050E16BDD9EF234DF796C44C6', 0, '0517660CA04B665259F16D849CB3C23E', 0, '2-(2-氯苯基-3,4,5,6-d4) -2-(甲氨基) 环己烷-1-酮');
INSERT INTO `standard_material_application` VALUES ('C16ECAE5D753044083DB139F31761C80', 'c4a61eae81712e03f58a1922f8be27de', '2023-08-07 16:58:28.000000', NULL, NULL, 'd26046736c8c7bf2dd9ac996081d7715', 'A-834,735-2023-7-1', '93B3738CD511C4D4CC5B99C3C4734FCF', 1, '2023-08-07 16:58:28.000000', '2023-08-07 16:58:28.000000', 'c4a61eae81712e03f58a1922f8be27de', 'c4a61eae81712e03f58a1922f8be27de', NULL, '1mg/ml,1ml', '51B12917EA0C9672E2647001E6664C49', NULL, NULL, NULL, 0, NULL, '41C6C13050E16BDD9EF234DF796C44C6', 0, '061E8E372BC500DB13FFB8E3264AADB2', 0, '(1-((四氢-2H-吡喃-4-基)甲基)-1H-吲哚-3-基)(2,2,3,3-四甲基环丙基)甲酮');
INSERT INTO `standard_material_application` VALUES ('D261944A800C544E19DB6C13AEA01371', 'c4a61eae81712e03f58a1922f8be27de', '2023-08-07 16:58:27.000000', NULL, NULL, 'd26046736c8c7bf2dd9ac996081d7715', 'MDMB-FUBINACA-2023-7-1', 'A30D66508E87197B71D8F1AF899213DC', 1, '2023-08-07 16:58:28.000000', '2023-08-07 16:58:28.000000', 'c4a61eae81712e03f58a1922f8be27de', 'c4a61eae81712e03f58a1922f8be27de', NULL, '1mg/ml,1ml', '51B12917EA0C9672E2647001E6664C49', NULL, NULL, NULL, 0, NULL, '41C6C13050E16BDD9EF234DF796C44C6', 0, '001B7205D76A8A08D925A27C4C72BF16', 0, '2-(1-(4-氟苄基)-1H-吲唑-3-甲酰胺)-3,3-二甲基丁酸甲酯');

-- ----------------------------
-- Table structure for standard_material_approval_form
-- ----------------------------
DROP TABLE IF EXISTS `standard_material_approval_form`;
CREATE TABLE `standard_material_approval_form`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `agent_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(经办人)',
  `applicant_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(申请人)',
  `application_time` datetime(6) NULL DEFAULT NULL COMMENT '(申请时间)',
  `opinion_of_approval` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(主任审批意见)',
  `result_of_approval` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(主任审批结果)',
  `approval_of_time` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(主任审批时间)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `audit_opinion_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质管理员审核意见)',
  `audit_opinion_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术负责人审核意见)',
  `audit_result_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术负责人审核结果)',
  `audit_time_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术负责人审核时间)',
  `batch_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(批号)',
  `commit_status` int(11) NULL DEFAULT NULL COMMENT '(提交状态)',
  `approver_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(主任id)',
  `fixed_result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(定值结果)',
  `manufacturer_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(制造商)',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(编号)',
  `processing_time` datetime(6) NULL DEFAULT NULL COMMENT '(处理时间)',
  `purchase_time` datetime(6) NULL DEFAULT NULL COMMENT '(购置时间)',
  `quantity` int(11) NULL DEFAULT NULL COMMENT '(数量)',
  `reason_for_application` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(申请原因)',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质id)',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `specification` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(规格)',
  `secondary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术负责人id)',
  `reference_material_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质编号',
  `applicant_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '申请人名称',
  `reference_material_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质名称',
  `application_content` int(6) NULL DEFAULT NULL COMMENT '申请原因',
  `commit_time` datetime(6) NULL DEFAULT NULL COMMENT '提交时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准物质停用/报废销毁/恢复/降级使用审批表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of standard_material_approval_form
-- ----------------------------

-- ----------------------------
-- Table structure for standard_reserve_solution
-- ----------------------------
DROP TABLE IF EXISTS `standard_reserve_solution`;
CREATE TABLE `standard_reserve_solution`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `configuration_concentration` double(64, 30) NULL DEFAULT NULL COMMENT '(配置浓度(mg/mL))',
  `configuration_date` datetime(6) NULL DEFAULT NULL COMMENT '(配置日期)',
  `constant_volume` double(255, 5) NULL DEFAULT NULL COMMENT '(定容体积（mL）)',
  `dispenser_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(配制人ID)',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质ID)',
  `reference_material_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质编号)',
  `reference_material_scale` double(255, 5) NULL DEFAULT NULL COMMENT '(标准物质称取量)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `solution_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(溶液名称)',
  `solution_numbering` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(溶液编号)',
  `use_of_solvent` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(使用溶剂)',
  `user_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(使用人ID)',
  `validity_period` int(6) NULL DEFAULT NULL COMMENT '(有效期限)',
  `status` int(5) NULL DEFAULT NULL COMMENT '状态  0 已配置未入库 1: 已入库',
  `warehousing_remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '入库备注',
  `reference_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '生成的标准溶液ID',
  `warning_information` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '预警信息',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准储备溶液配制及使用记录表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of standard_reserve_solution
-- ----------------------------

-- ----------------------------
-- Table structure for standard_solution_curve
-- ----------------------------
DROP TABLE IF EXISTS `standard_solution_curve`;
CREATE TABLE `standard_solution_curve`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `dispenser_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(配制人ID)',
  `serialn_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(序号)',
  `solution_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(溶液名称)',
  `solution_concentration` double(64, 30) NULL DEFAULT NULL COMMENT '(标准储备溶液浓度)',
  `concentration_numbering` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准储备溶液浓度编号)',
  `step_solution_concentration` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(逐级溶液浓度)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `configuration_date` datetime(6) NULL DEFAULT NULL COMMENT '(工作曲线溶液配置日期)',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准工作曲线溶液配置记录表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of standard_solution_curve
-- ----------------------------

-- ----------------------------
-- Table structure for supplier_information
-- ----------------------------
DROP TABLE IF EXISTS `supplier_information`;
CREATE TABLE `supplier_information`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `acceptable_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(合格状态)',
  `contact_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(联系人电话)',
  `contact_person_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(联系人名称)',
  `name_of_supplier` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应人姓名)',
  `photograph_of_supplier` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应人照片)路径',
  `qualification_document` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(资质文件)路径',
  `scope_of_supply` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应范围)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `supplier_coding` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商编码)',
  `supplier_id_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应人身份证号)',
  `supplier_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商名称)',
  `supplier_telephone` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应人电话)',
  `supplier_business_license` tinyint(1) NULL DEFAULT NULL COMMENT '(供应商营业执照)',
  `supplier_passes_quality_assurance_system` tinyint(1) NULL DEFAULT NULL COMMENT '(供应商通过质量保证体系)',
  `supplier_product_certification` tinyint(1) NULL DEFAULT NULL COMMENT '(供应商产品认证)',
  `check_and_calibrate_efficiency_of_supplies` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(对供应品检验校准效率)',
  `overall_supplier_service_satisfaction` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(对供应商总体服务是否满意)',
  `supplier_attitude` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商态度)',
  `supplier_equipment_and_facilities` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商设备与设施)',
  `supplier_technology_and_management_capability` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商技术与管理能力)',
  `whether_the_supplier_delivers_on_time` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商交货是否及时)',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `photograph` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '供应商图片',
  `qualification_document_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '资质文件名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(服务商/供应商信息)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of supplier_information
-- ----------------------------
INSERT INTO `supplier_information` VALUES ('118C0523C039906FF8ABFAF8C4A4BC52', '合格', NULL, NULL, NULL, 'reagen_managment/supplierInformation/118C0523C039906FF8ABFAF8C4A4BC52', 'reagen_managment/supplierInformation/118C0523C039906FF8ABFAF8C4A4BC52', NULL, '2023-07-24 11:55:05.756000', '2023-07-31 11:29:04.526000', '1', '1', NULL, NULL, '初始化', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '20230731112654.jpeg', '核查指导书模板1.pdf');

-- ----------------------------
-- Table structure for undo_log
-- ----------------------------
DROP TABLE IF EXISTS `undo_log`;
CREATE TABLE `undo_log`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `branch_id` bigint(20) NOT NULL,
  `xid` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `context` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `rollback_info` longblob NOT NULL,
  `log_status` int(11) NOT NULL,
  `log_created` datetime(0) NOT NULL,
  `log_modified` datetime(0) NOT NULL,
  `ext` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `ux_undo_log`(`xid`, `branch_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 8 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of undo_log
-- ----------------------------

-- ----------------------------
-- Table structure for warehousing_batch_list
-- ----------------------------
DROP TABLE IF EXISTS `warehousing_batch_list`;
CREATE TABLE `warehousing_batch_list`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `batch` int(6) NULL DEFAULT NULL COMMENT '(批次)',
  `batch_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(批号)',
  `date_of_production` datetime(6) NULL DEFAULT NULL COMMENT '(生产日期)',
  `date_of_receipt` datetime(6) NULL DEFAULT NULL COMMENT '签收日期',
  `expiration_date` datetime(6) NULL DEFAULT NULL COMMENT '(有效日期)',
  `quantity` int(11) NULL DEFAULT NULL COMMENT '(数量)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商ID)',
  `warning_value` int(11) NULL DEFAULT NULL COMMENT '(预警值)',
  `depositor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '签收人\r\n',
  `warehousing_content_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '签收内容ID',
  `lattice_Id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '格子ID',
  `limit_date` varbinary(255) NULL DEFAULT NULL COMMENT '存储期限',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `location` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '位置信息',
  `batch_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '批次ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '签收批次明细' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of warehousing_batch_list
-- ----------------------------
INSERT INTO `warehousing_batch_list` VALUES ('38E0D03518D975B07BB5C25F55EE6810', 1, '1', '2023-08-10 00:00:00.000000', '2023-08-10 11:44:46.000000', NULL, 5, '2023-08-10 11:44:47.000000', '2023-08-10 11:44:47.000000', 'd55ac39af1c11d7a61e7580a5a56a97a', 'd55ac39af1c11d7a61e7580a5a56a97a', NULL, 1, 'd55ac39af1c11d7a61e7580a5a56a97a', '1B0B485F9FEA757F8B150B132B69AAFC', '1702536e1b32690e06ce92c51dec7227', NULL, NULL, 'F6_606_606-耗材柜-F_F1-1', '4B55E2C90145812D01ADD966DF2EA0AC');
INSERT INTO `warehousing_batch_list` VALUES ('779167B030DE5498CD3E41AD6FF856D7', 2, '1', '2023-08-10 00:00:00.000000', '2023-08-10 11:44:57.000000', NULL, 8, '2023-08-10 11:44:57.000000', '2023-08-10 11:44:57.000000', 'd55ac39af1c11d7a61e7580a5a56a97a', 'd55ac39af1c11d7a61e7580a5a56a97a', NULL, 1, 'd55ac39af1c11d7a61e7580a5a56a97a', '1B0B485F9FEA757F8B150B132B69AAFC', '029e9facf01df4463e0cfc021f2387b5', NULL, NULL, 'F7_706_试剂柜-D_D1-1', '878E53222FD8D2B1690DD2A2E82394C9');

-- ----------------------------
-- Table structure for warehousing_content
-- ----------------------------
DROP TABLE IF EXISTS `warehousing_content`;
CREATE TABLE `warehousing_content`  (
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材名称',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材ID',
  `total_quantity` int(6) NULL DEFAULT NULL COMMENT '应签收数量',
  `warehousing_quantity` int(6) NULL DEFAULT NULL COMMENT '每次签收数量',
  `catalogue_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购目录编号',
  `create_time` datetime(6) NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `warehousing_record_form_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '入库登记表ID',
  `acceptance_record_form_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '验收记录表ID',
  `supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '供应商ID',
  `evaluation_form_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '供应商评价表ID',
  `purchase_list_details_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购清单批次ID',
  `status` int(6) NULL DEFAULT NULL COMMENT '状态0 未签收完 1 已签收完',
  `warning_value` int(255) NULL DEFAULT NULL COMMENT '预警值',
  `code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '物品编码',
  `last_storage_location` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '上次存放位置',
  `lattice_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '格子ID',
  `box_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '柜子ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of warehousing_content
-- ----------------------------
INSERT INTO `warehousing_content` VALUES ('1B0B485F9FEA757F8B150B132B69AAFC', '封口膜', '744D830223F86194E6BA97329BDF10C2', 13, 13, NULL, '2023-08-10 11:44:30.000000', '2023-08-10 11:44:57.000000', 'd55ac39af1c11d7a61e7580a5a56a97a', 'd55ac39af1c11d7a61e7580a5a56a97a', 'C67BDC8BFE471D34C825221DFDAD5A45', '4311CD5226DB11917B4A5D088D5524E4', '118C0523C039906FF8ABFAF8C4A4BC52', NULL, '4C9D0F237FEE00296330364ABC26B581', 1, NULL, NULL, 'F7_706_试剂柜-D_D1-1', '029e9facf01df4463e0cfc021f2387b5', '1BE682BBB78BA411984C24CA8A242189');
INSERT INTO `warehousing_content` VALUES ('5B36025D45674276F12831A501D56394', '核磁管', '41AD8970BF0C8B47856EA895F2317234', 14, 0, NULL, '2023-08-10 11:44:30.000000', '2023-08-10 11:44:30.000000', 'd55ac39af1c11d7a61e7580a5a56a97a', 'd55ac39af1c11d7a61e7580a5a56a97a', 'C67BDC8BFE471D34C825221DFDAD5A45', NULL, '118C0523C039906FF8ABFAF8C4A4BC52', NULL, '2C42E3F9BAC4333F81F36B52764B2AFB', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `warehousing_content` VALUES ('917EDEF378B785AE543FC946DEE880FB', '刮刀', 'A3A1315047C03897A95C0AC1C913A4DE', 14, 0, NULL, '2023-08-10 11:44:30.000000', '2023-08-10 11:44:30.000000', 'd55ac39af1c11d7a61e7580a5a56a97a', 'd55ac39af1c11d7a61e7580a5a56a97a', 'C67BDC8BFE471D34C825221DFDAD5A45', NULL, '118C0523C039906FF8ABFAF8C4A4BC52', NULL, 'F0118855E310EB0B4426873EF856A11C', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `warehousing_content` VALUES ('945634887042FC448802A89F102922C8', '擦镜纸', '2E7AE2A76E0463B8E7548CB751951FF5', 13, 0, NULL, '2023-08-10 11:44:30.000000', '2023-08-10 11:44:30.000000', 'd55ac39af1c11d7a61e7580a5a56a97a', 'd55ac39af1c11d7a61e7580a5a56a97a', 'C67BDC8BFE471D34C825221DFDAD5A45', NULL, '118C0523C039906FF8ABFAF8C4A4BC52', NULL, 'F923FF16160ED929D9DFEDBA2F3CBBD3', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `warehousing_content` VALUES ('9BBDFAF3D286F80F1CFBED7547035787', '保鲜自封袋10号', 'A4D16B383557E926776B845CC0E443C7', 1, 0, NULL, '2023-08-10 11:44:30.000000', '2023-08-10 11:44:30.000000', 'd55ac39af1c11d7a61e7580a5a56a97a', 'd55ac39af1c11d7a61e7580a5a56a97a', 'C67BDC8BFE471D34C825221DFDAD5A45', NULL, '118C0523C039906FF8ABFAF8C4A4BC52', NULL, 'E5A8F52931C1457C269BDB799B339FBB', NULL, NULL, NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for warehousing_record_form
-- ----------------------------
DROP TABLE IF EXISTS `warehousing_record_form`;
CREATE TABLE `warehousing_record_form`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `purchase_list_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购清单ID',
  `status` int(6) NULL DEFAULT NULL COMMENT '状态',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `purchase_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '签收记录表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of warehousing_record_form
-- ----------------------------
INSERT INTO `warehousing_record_form` VALUES ('C67BDC8BFE471D34C825221DFDAD5A45', '120A9C800B833CA4E7639D52D2C275E3', 1, '2023-08-10 11:44:30.000000', '2023-08-10 11:44:57.000000', 'd55ac39af1c11d7a61e7580a5a56a97a', 'd55ac39af1c11d7a61e7580a5a56a97a', '2023-08-10入库任务');

-- ----------------------------
-- Procedure structure for pro_code_generator
-- ----------------------------
DROP PROCEDURE IF EXISTS `pro_code_generator`;
delimiter ;;
CREATE PROCEDURE `pro_code_generator`()
begin
	SELECT COUNT(*) INTO @menucount FROM sys_menu WHERE menu="reagent";
	-- SELECT @menucount;
	set @parentId = replace(UUID(),"-","");
	SELECT MAX(sort) into @maxsort FROM sys_menu WHERE parent_id = "root";
	if ((SELECT @menucount)>0) then
		SELECT menu_id INTO @parentId FROM sys_menu WHERE menu="reagent";
	else
		INSERT into `sys_menu` ( `parent_id`, menu_id, `path`, menu,  `permission_id`, `type`, `icon`, `sort`, `name`)
    		values ( 'root', @parentId, '/reagent', 'reagent', '', '0', 'icon-bangzhushouji', @maxsort+10,'reagent管理');
	end if;
end
;;
delimiter ;

SET FOREIGN_KEY_CHECKS = 1;
